using System.Collections;
using System.Drawing;
using System.Drawing.Drawing2D;
using System.Drawing.Text;

namespace TestProject
{
    /// <summary>
    ///  ׸ ü
    /// </summary>
    public class CatDrawingObject : BaseDrawingObject, IDrawingObject
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region Field

        /// <summary>
        /// ũ ׸ ü
        /// </summary>
        public CatCreditDrawingObject CreditDrawingObject = null;

        /// <summary>
        ///  ׸ ü
        /// </summary>
        public CatBackgroundDrawingObject BackgroundDrawingObject = null;

        /// <summary>
        ///  ״ ׸ ü
        /// </summary>
        public CatBowerDrawingObject BowerDrawingObject = null;

        /// <summary>
        ///  ׸ ü
        /// </summary>
        public CatFlowerDrawingObject FlowerDrawingObject = null;

        /// <summary>
        ///  ׸ ü
        /// </summary>
        public CatTreeDrawingObject TreeDrawingObject = null;

        /// <summary>
        ///  ׸ ü
        /// </summary>
        public CatSnakeDrawingObject SnakeDrawingObject = null;

        /// <summary>
        ///  ׸ ü
        /// </summary>
        public CatUmbrellaDrawingObject UmbrellaDrawingObject = null;

        /// <summary>
        /// ¥ ׸ ü
        /// </summary>
        public CatDateDrawingObject DateDrawingObject = null;

        /// <summary>
        /// ʸ ׸ ü
        /// </summary>
        public CatFillmoreDrawingObject FillmoreDrawingObject = null;

        /// <summary>
        /// ü ׸ ü
        /// </summary>
        public CatCheshireDrawingObject CheshireDrawingObject = null;

        /// <summary>
        ///  ׸ ü
        /// </summary>
        public CatRainDrawingObject RainDrawingObject = null;

        /// <summary>
        ///  ׸ ü
        /// </summary>
        public CatTailDrawingObject TailDrawingObject = null;

        /// <summary>
        ///  ׸ ü
        /// </summary>
        public CatBodyDrawingObject BodyDrawingObject = null;

        /// <summary>
        /// Ӹ ׸ ü
        /// </summary>
        public CatHeadDrawingObject HeadDrawingObject = null;

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region Ī - Name

        /// <summary>
        /// Ī
        /// </summary>
        public string Name
        {
            get
            {
                return "Cat";
            }
        }

        #endregion
        #region ڽ ׸ ü 迭 - ChildArray

        /// <summary>
        /// ڽ ׸ ü 迭
        /// </summary>
        public override IDrawingObject[] ChildArray
        {
            get
            {
                IDrawingObject[] drawingObjectArray = new IDrawingObject[14];

                drawingObjectArray[0 ] = CreditDrawingObject;
                drawingObjectArray[1 ] = BackgroundDrawingObject;
                drawingObjectArray[2 ] = BowerDrawingObject;
                drawingObjectArray[3 ] = FlowerDrawingObject;
                drawingObjectArray[4 ] = TreeDrawingObject;
                drawingObjectArray[5 ] = SnakeDrawingObject;
                drawingObjectArray[6 ] = UmbrellaDrawingObject;
                drawingObjectArray[7 ] = DateDrawingObject;
                drawingObjectArray[8 ] = FillmoreDrawingObject;
                drawingObjectArray[9 ] = CheshireDrawingObject;
                drawingObjectArray[10] = RainDrawingObject;
                drawingObjectArray[11] = TailDrawingObject;
                drawingObjectArray[12] = BodyDrawingObject;
                drawingObjectArray[13] = HeadDrawingObject;

                return drawingObjectArray;
            }
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region  - CatDrawingObject()

        /// <summary>
        /// 
        /// </summary>
        public CatDrawingObject()
        {
            this.parent = null;

            this.isVisible = true;

            this.cacheGraphicsPath = new GraphicsPath();

            CreditDrawingObject     = new CatCreditDrawingObject(this);
            BackgroundDrawingObject = new CatBackgroundDrawingObject(this);
            BowerDrawingObject      = new CatBowerDrawingObject(this);
            FlowerDrawingObject     = new CatFlowerDrawingObject(this);
            TreeDrawingObject       = new CatTreeDrawingObject(this);
            SnakeDrawingObject      = new CatSnakeDrawingObject(this);
            UmbrellaDrawingObject   = new CatUmbrellaDrawingObject(this);
            DateDrawingObject       = new CatDateDrawingObject(this);
            FillmoreDrawingObject   = new CatFillmoreDrawingObject(this);
            CheshireDrawingObject   = new CatCheshireDrawingObject(this);
            RainDrawingObject       = new CatRainDrawingObject(this);
            TailDrawingObject       = new CatTailDrawingObject(this);
            BodyDrawingObject       = new CatBodyDrawingObject(this);
            HeadDrawingObject       = new CatHeadDrawingObject(this);

            this.hashTable = new Hashtable();

            foreach(IDrawingObject child in ChildArray)
            {
                hashTable.Add(child.Name.ToLower(), child);
            }
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region ȯϱ - Transform(sourceMatrix)

        /// <summary>
        /// ȯϱ
        /// </summary>
        /// <param name="sourceMatrix">ҽ Ʈ</param>
        /// <returns>ȯ Ʈ</returns>
        public override Matrix Transform(Matrix sourceMatrix)
        {
            Matrix targetMatrix = new Matrix();

            IDrawingObject currentDrawingObject = this;

            while(currentDrawingObject != null)
            {
                targetMatrix.Multiply(currentDrawingObject.GetRelativeTransform(), MatrixOrder.Append);

                currentDrawingObject = currentDrawingObject.Parent;
            }

            targetMatrix.Multiply(sourceMatrix, MatrixOrder.Append);

            return targetMatrix;
        }

        #endregion

        #region ĥϱ - Paint(graphics, sourceMatrix)

        /// <summary>
        /// ĥϱ
        /// </summary>
        /// <param name="graphics">׷Ƚ</param>
        /// <param name="sourceMatrix">ҽ Ʈ</param>
        public override void Paint(Graphics graphics, Matrix sourceMatrix)
        {
            if(!IsVisible)
            {
                return;
            }
            
            GraphicsPath graphicsPath       = new GraphicsPath();
            GraphicsPath radialGraphicsPath = null;
            Pen          pen                = null;

            Matrix saveMatrix = graphics.Transform.Clone();
            
            if(this.SmoothingMode != SmoothingMode.Invalid)
            {
                graphics.SmoothingMode = this.SmoothingMode;
            }

            if(this.TextRenderingHint != TextRenderingHint.SystemDefault)
            {
                graphics.TextRenderingHint = this.TextRenderingHint;
            }

            graphics.Transform = this.Transform(sourceMatrix);

            CreditDrawingObject.Paint(graphics, sourceMatrix);
            BackgroundDrawingObject.Paint(graphics, sourceMatrix);
            BowerDrawingObject.Paint(graphics, sourceMatrix);
            FlowerDrawingObject.Paint(graphics, sourceMatrix);
            TreeDrawingObject.Paint(graphics, sourceMatrix);
            SnakeDrawingObject.Paint(graphics, sourceMatrix);
            UmbrellaDrawingObject.Paint(graphics, sourceMatrix);
            DateDrawingObject.Paint(graphics, sourceMatrix);
            FillmoreDrawingObject.Paint(graphics, sourceMatrix);
            CheshireDrawingObject.Paint(graphics, sourceMatrix);
            RainDrawingObject.Paint(graphics, sourceMatrix);
            TailDrawingObject.Paint(graphics, sourceMatrix);
            BodyDrawingObject.Paint(graphics, sourceMatrix);
            HeadDrawingObject.Paint(graphics, sourceMatrix);

            if(pen != null)
            {
                pen.Dispose();
            }

            if(radialGraphicsPath != null)
            {
                radialGraphicsPath.Dispose();
            }

            if(graphicsPath != null)
            {
                graphicsPath.Dispose();
            }

            graphics.Transform = saveMatrix;
        }

        #endregion
    }
}