﻿using System.Collections;
using System.Drawing;
using System.Drawing.Drawing2D;
using System.Drawing.Text;

namespace TestProject
{
    /// <summary>
    /// 고양이/뱀 그리기 객체
    /// </summary>
    public class CatSnakeDrawingObject : BaseDrawingObject, IDrawingObject
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 명칭 - Name

        /// <summary>
        /// 명칭
        /// </summary>
        public string Name
        {
            get
            {
                return "Snake";
            }
        }

        #endregion
        #region 자식 그리기 객체 배열 - ChildArray

        /// <summary>
        /// 자식 그리기 객체 배열
        /// </summary>
        public override IDrawingObject[] ChildArray
        {
            get
            {
                IDrawingObject[] drawingObjectArray = new IDrawingObject[0];

                return drawingObjectArray;
            }
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - CatSnakeDrawingObject(parent)

        /// <summary>
        /// 생성자
        /// </summary>
        /// <param name="parent">부모 그리기 객체</param>
        public CatSnakeDrawingObject(IDrawingObject parent)
        {
            this.parent = parent;

            this.isVisible = true;

            this.cacheGraphicsPath = new GraphicsPath();
                
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(223.5F, 474F, 223.5F, 474F, 210.79931640625F, 460.1630859375F, 199.5F, 456F);
            this.cacheGraphicsPath.AddBezier(199.5F, 456F, 180.5F, 449F, 155.5F, 462F, 149.5F, 476F);
            this.cacheGraphicsPath.AddBezier(149.5F, 476F, 143.5F, 490F, 173.5F, 480F, 178.5F, 476F);
            this.cacheGraphicsPath.AddBezier(158.5F, 488F, 158.5F, 488F, 178F, 489.3330078125F, 189F, 483.5F);
            this.cacheGraphicsPath.AddBezier(189F, 483.5F, 196.90185546875F, 479.3095703125F, 219F, 502F, 230F, 515F);
            this.cacheGraphicsPath.AddBezier(230F, 515F, 230F, 515F, 222.5F, 486F, 223.5F, 474F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(201F, 514.5F, 201F, 514.5F, 205F, 527.5F, 220F, 533.5F);
            this.cacheGraphicsPath.AddBezier(220F, 533.5F, 235F, 539.5F, 248F, 547.5F, 249F, 560.5F);
            this.cacheGraphicsPath.AddBezier(249F, 560.5F, 250F, 573.5F, 240F, 579.5F, 240F, 579.5F);
            this.cacheGraphicsPath.AddBezier(240F, 579.5F, 240F, 579.5F, 227.880859375F, 564.04296875F, 213F, 560.5F);
            this.cacheGraphicsPath.AddBezier(213F, 560.5F, 192F, 555.5F, 170F, 529.5F, 201F, 514.5F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(201.5F, 564F, 201.5F, 564F, 187.5F, 568F, 184.5F, 580F);
            this.cacheGraphicsPath.AddBezier(184.5F, 580F, 181.5F, 592F, 190.5F, 616F, 214.5F, 621F);
            this.cacheGraphicsPath.AddBezier(214.5F, 621F, 238.5F, 626F, 246.5F, 634F, 249.5F, 641F);
            this.cacheGraphicsPath.AddBezier(249.5F, 641F, 249.5F, 641F, 269.5F, 624F, 248.5F, 609F);
            this.cacheGraphicsPath.AddBezier(248.5F, 609F, 227.5F, 594F, 202.5F, 599F, 201.5F, 564F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(168F, 666F, 183F, 668.5F, 194F, 662F, 199F, 626F);
            this.cacheGraphicsPath.AddBezier(199F, 626F, 199F, 626F, 186F, 631F, 180F, 642F);
            this.cacheGraphicsPath.AddBezier(180F, 642F, 174F, 653F, 183F, 665F, 168F, 664F);
            this.cacheGraphicsPath.AddBezier(168F, 664F, 153F, 663F, 132F, 654F, 142F, 618F);
            this.cacheGraphicsPath.AddBezier(142F, 618F, 152F, 582F, 124.5F, 581F, 115.5F, 582.5F);
            this.cacheGraphicsPath.AddBezier(115.5F, 582.5F, 103.08154296875F, 584.5693359375F, 88F, 589F, 90F, 593F);
            this.cacheGraphicsPath.AddBezier(90F, 593F, 92F, 597F, 104.5F, 595F, 115F, 594F);
            this.cacheGraphicsPath.AddBezier(115F, 594F, 124.17822265625F, 593.1259765625F, 132F, 597F, 126F, 619F);
            this.cacheGraphicsPath.AddBezier(126F, 619F, 120F, 641F, 122F, 676F, 141F, 681F);
            this.cacheGraphicsPath.AddBezier(141F, 681F, 149.67919921875F, 683.283203125F, 158F, 667.5F, 168F, 666F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(180.1272430419922F, 465.5164489746094F, 181.1272888183594F, 465.7796325683594F);
            this.cacheGraphicsPath.AddLine(182.0454864501953F, 466.2387084960938F, 183.6162109375F, 467.2267456054688F);
            this.cacheGraphicsPath.AddLine(183.0837554931641F, 468.0732116699219F, 181.5337524414063F, 467.0982055664063F);
            this.cacheGraphicsPath.AddLine(181.5763702392578F, 467.1221923828125F, 180.7263793945313F, 466.6972045898438F);
            this.cacheGraphicsPath.AddLine(180.8227386474609F, 466.7335205078125F, 179.8727416992188F, 466.4835205078125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(179.4980621337891F, 467.8724365234375F, 180.4480590820313F, 469.1224365234375F);
            this.cacheGraphicsPath.AddLine(180.4076690673828F, 469.0755920410156F, 181.4576721191406F, 470.1506042480469F);
            this.cacheGraphicsPath.AddLine(180.7422943115234F, 470.849365234375F, 179.6706390380859F, 469.7521667480469F);
            this.cacheGraphicsPath.AddLine(179.6706390380859F, 469.7521667480469F, 178.701904296875F, 468.4775085449219F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(177.6956329345703F, 470.1982421875F, 178.4214172363281F, 471.6248168945313F);
            this.cacheGraphicsPath.AddLine(179.0471954345703F, 472.8763732910156F, 178.1527709960938F, 473.3236083984375F);
            this.cacheGraphicsPath.AddLine(177.5277709960938F, 472.0736083984375F, 177.5293426513672F, 472.0767211914063F);
            this.cacheGraphicsPath.AddLine(177.5293426513672F, 472.0767211914063F, 176.8043518066406F, 470.6517028808594F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(184.6826171875F, 467.8173828125F, 184.6826171875F, 468.40625F, 184.2041015625F, 468.884765625F, 183.615234375F, 468.884765625F);
            this.cacheGraphicsPath.AddBezier(183.615234375F, 468.884765625F, 183.0263671875F, 468.884765625F, 182.5478515625F, 468.40625F, 182.5478515625F, 467.8173828125F);
            this.cacheGraphicsPath.AddBezier(182.5478515625F, 467.8173828125F, 182.5478515625F, 467.228515625F, 183.0263671875F, 466.75F, 183.615234375F, 466.75F);
            this.cacheGraphicsPath.AddBezier(183.615234375F, 466.75F, 184.2041015625F, 466.75F, 184.6826171875F, 467.228515625F, 184.6826171875F, 467.8173828125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(182.54443359375F, 470.630859375F, 182.60986328125F, 471.2158203125F, 182.18798828125F, 471.744140625F, 181.60205078125F, 471.810546875F);
            this.cacheGraphicsPath.AddBezier(181.60205078125F, 471.810546875F, 181.01708984375F, 471.875F, 180.48876953125F, 471.453125F, 180.42333984375F, 470.8681640625F);
            this.cacheGraphicsPath.AddBezier(180.42333984375F, 470.8681640625F, 180.35791015625F, 470.283203125F, 180.78076171875F, 469.75390625F, 181.36572265625F, 469.689453125F);
            this.cacheGraphicsPath.AddBezier(181.36572265625F, 469.689453125F, 181.95068359375F, 469.623046875F, 182.47900390625F, 470.0458984375F, 182.54443359375F, 470.630859375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(179.75F, 473.25F, 179.75F, 473.8388671875F, 179.271484375F, 474.3173828125F, 178.6826171875F, 474.3173828125F);
            this.cacheGraphicsPath.AddBezier(178.6826171875F, 474.3173828125F, 178.09375F, 474.3173828125F, 177.615234375F, 473.8388671875F, 177.615234375F, 473.25F);
            this.cacheGraphicsPath.AddBezier(177.615234375F, 473.25F, 177.615234375F, 472.6611328125F, 178.09375F, 472.1826171875F, 178.6826171875F, 472.1826171875F);
            this.cacheGraphicsPath.AddBezier(178.6826171875F, 472.1826171875F, 179.271484375F, 472.1826171875F, 179.75F, 472.6611328125F, 179.75F, 473.25F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(166.33349609375F, 472.3330078125F, 166.33349609375F, 472.3330078125F, 170F, 464.6669921875F, 181.66650390625F, 464.6669921875F);
            this.cacheGraphicsPath.AddBezier(181.66650390625F, 464.6669921875F, 181.66650390625F, 464.6669921875F, 175.00048828125F, 475.666015625F, 166.33349609375F, 472.3330078125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(170.66650390625F, 463F, 168.4306640625F, 463.94140625F, 167F, 467.3330078125F, 166.33349609375F, 472.6669921875F);
            this.cacheGraphicsPath.AddBezier(166.33349609375F, 472.6669921875F, 166.33349609375F, 472.6669921875F, 170.66650390625F, 467F, 182.66650390625F, 464.6669921875F);
            this.cacheGraphicsPath.AddBezier(182.66650390625F, 464.6669921875F, 182.66650390625F, 464.6669921875F, 177F, 460.3330078125F, 170.66650390625F, 463F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(178.58154296875F, 467.8310546875F, 178.58154296875F, 468.890625F, 177.72265625F, 469.7490234375F, 176.6630859375F, 469.7490234375F);
            this.cacheGraphicsPath.AddBezier(176.6630859375F, 469.7490234375F, 175.603515625F, 469.7490234375F, 174.74462890625F, 468.890625F, 174.74462890625F, 467.8310546875F);
            this.cacheGraphicsPath.AddBezier(174.74462890625F, 467.8310546875F, 174.74462890625F, 466.7705078125F, 175.603515625F, 465.9130859375F, 176.6630859375F, 465.9130859375F);
            this.cacheGraphicsPath.AddBezier(176.6630859375F, 465.9130859375F, 177.72265625F, 465.9130859375F, 178.58154296875F, 466.7705078125F, 178.58154296875F, 467.8310546875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(179.1098785400391F, 467.8500061035156F, 178.91943359375F, 468.8022766113281F);
            this.cacheGraphicsPath.AddLine(178.3794403076172F, 469.5645751953125F, 177.6200408935547F, 470.0708923339844F);
            this.cacheGraphicsPath.AddLine(176.6749877929688F, 470.2598876953125F, 175.7299194335938F, 470.0708923339844F);
            this.cacheGraphicsPath.AddLine(174.9705352783203F, 469.5645751953125F, 174.4305419921875F, 468.8022766113281F);
            this.cacheGraphicsPath.AddLine(174.2400970458984F, 467.8500061035156F, 174.4295654296875F, 466.902587890625F);
            this.cacheGraphicsPath.AddLine(174.9664154052734F, 466.1131286621094F, 175.7299194335938F, 465.6040649414063F);
            this.cacheGraphicsPath.AddLine(176.6749877929688F, 465.4150695800781F, 177.6200408935547F, 465.6040649414063F);
            this.cacheGraphicsPath.AddLine(178.3835601806641F, 466.1131286621094F, 178.92041015625F, 466.902587890625F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(177.9597015380859F, 467.1980590820313F, 178.0365295410156F, 467.3811340332031F);
            this.cacheGraphicsPath.AddLine(177.6115264892578F, 466.7561340332031F, 177.7476196289063F, 466.8910217285156F);
            this.cacheGraphicsPath.AddLine(177.1476135253906F, 466.4909973144531F, 177.3269195556641F, 466.5652465820313F);
            this.cacheGraphicsPath.AddLine(176.5769195556641F, 466.4152526855469F, 176.7730407714844F, 466.4152526855469F);
            this.cacheGraphicsPath.AddLine(176.0230407714844F, 466.5652465820313F, 176.2023468017578F, 466.4909973144531F);
            this.cacheGraphicsPath.AddLine(175.6023559570313F, 466.8910217285156F, 175.7384490966797F, 466.7561340332031F);
            this.cacheGraphicsPath.AddLine(175.3134460449219F, 467.3811340332031F, 175.3902740478516F, 467.1980590820313F);
            this.cacheGraphicsPath.AddLine(175.2402801513672F, 467.9480590820313F, 175.2402801513672F, 467.7519226074219F);
            this.cacheGraphicsPath.AddLine(175.3902740478516F, 468.5019226074219F, 175.3079986572266F, 468.3109741210938F);
            this.cacheGraphicsPath.AddLine(175.7330017089844F, 468.9109497070313F, 175.6023559570313F, 468.783935546875F);
            this.cacheGraphicsPath.AddLine(176.2023468017578F, 469.1839599609375F, 176.0230407714844F, 469.1097106933594F);
            this.cacheGraphicsPath.AddLine(176.7730407714844F, 469.2597045898438F, 176.5769195556641F, 469.2597045898438F);
            this.cacheGraphicsPath.AddLine(177.3269195556641F, 469.1097106933594F, 177.1476135253906F, 469.1839599609375F);
            this.cacheGraphicsPath.AddLine(177.7476196289063F, 468.783935546875F, 177.6169738769531F, 468.9109497070313F);
            this.cacheGraphicsPath.AddLine(178.0419769287109F, 468.3109741210938F, 177.9597015380859F, 468.5019226074219F);
            this.cacheGraphicsPath.AddLine(178.1096954345703F, 467.7519226074219F, 178.1096954345703F, 467.9480590820313F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(177.25F, 467.826171875F, 177.25F, 468.150390625F, 176.9873046875F, 468.4130859375F, 176.6630859375F, 468.4130859375F);
            this.cacheGraphicsPath.AddBezier(176.6630859375F, 468.4130859375F, 176.3388671875F, 468.4130859375F, 176.076171875F, 468.150390625F, 176.076171875F, 467.826171875F);
            this.cacheGraphicsPath.AddBezier(176.076171875F, 467.826171875F, 176.076171875F, 467.501953125F, 176.3388671875F, 467.2392578125F, 176.6630859375F, 467.2392578125F);
            this.cacheGraphicsPath.AddBezier(176.6630859375F, 467.2392578125F, 176.9873046875F, 467.2392578125F, 177.25F, 467.501953125F, 177.25F, 467.826171875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(177.7931671142578F, 467.8559265136719F, 177.4546356201172F, 468.629638671875F);
            this.cacheGraphicsPath.AddLine(176.6749725341797F, 468.9707336425781F, 175.8953399658203F, 468.629638671875F);
            this.cacheGraphicsPath.AddLine(175.5568084716797F, 467.8559265136719F, 175.8895416259766F, 467.0478515625F);
            this.cacheGraphicsPath.AddLine(176.6749725341797F, 466.7042236328125F, 177.4604339599609F, 467.0478515625F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(176.6126556396484F, 467.6153564453125F, 176.8745880126953F, 467.883056640625F);
            this.cacheGraphicsPath.AddLine(176.4745788574219F, 467.7080688476563F, 176.8753814697266F, 467.7080688476563F);
            this.cacheGraphicsPath.AddLine(176.4753875732422F, 467.883056640625F, 176.7373199462891F, 467.6153564453125F);
            this.cacheGraphicsPath.AddLine(176.5623168945313F, 468.0403747558594F, 176.5580596923828F, 467.6495666503906F);
            this.cacheGraphicsPath.AddLine(176.7330627441406F, 468.049560546875F, 176.4753875732422F, 467.7919006347656F);
            this.cacheGraphicsPath.AddLine(176.8753814697266F, 467.9668884277344F, 176.4745788574219F, 467.9668884277344F);
            this.cacheGraphicsPath.AddLine(176.8745880126953F, 467.7919006347656F, 176.6169128417969F, 468.049560546875F);
            this.cacheGraphicsPath.AddLine(176.7919158935547F, 467.6495666503906F, 176.7876586914063F, 468.0403747558594F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(194.5048828125F, 537.7646484375F, 193.47900390625F, 537.044921875F, 192.9658203125F, 536.6875F, 191.94189453125F, 536.0107421875F);
            this.cacheGraphicsPath.AddBezier(191.94189453125F, 536.0107421875F, 190.7236328125F, 535.205078125F, 190.1220703125F, 535.79296875F, 190.5693359375F, 537.5078125F);
            this.cacheGraphicsPath.AddBezier(190.5693359375F, 537.5078125F, 191.43359375F, 540.822265625F, 192.2529296875F, 542.4384765625F, 193.99609375F, 544.685546875F);
            this.cacheGraphicsPath.AddBezier(193.99609375F, 544.685546875F, 194.8974609375F, 545.84765625F, 196.16943359375F, 546.94140625F, 197.27880859375F, 548.0146484375F);
            this.cacheGraphicsPath.AddBezier(197.27880859375F, 548.0146484375F, 197.9736328125F, 548.6865234375F, 198.3017578125F, 549.0087890625F, 198.93994140625F, 549.62109375F);
            this.cacheGraphicsPath.AddBezier(198.93994140625F, 549.62109375F, 199.826171875F, 550.470703125F, 199.60205078125F, 550.0439453125F, 198.99169921875F, 548.9423828125F);
            this.cacheGraphicsPath.AddBezier(198.99169921875F, 548.9423828125F, 197.619140625F, 546.46484375F, 197.02978515625F, 544.8349609375F, 196.4306640625F, 541.484375F);
            this.cacheGraphicsPath.AddBezier(196.4306640625F, 541.484375F, 196.21484375F, 540.2783203125F, 195.54296875F, 538.4931640625F, 194.5048828125F, 537.7646484375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(200.1689453125F, 523.0146484375F, 199.486328125F, 522.32421875F, 199.162109375F, 522.0107421875F, 198.5732421875F, 521.5078125F);
            this.cacheGraphicsPath.AddBezier(198.5732421875F, 521.5078125F, 197.8720703125F, 520.9091796875F, 196.32763671875F, 521.1787109375F, 194.728515625F, 522.375F);
            this.cacheGraphicsPath.AddBezier(194.728515625F, 522.375F, 191.66259765625F, 524.66796875F, 190.8916015625F, 526.287109375F, 190.2177734375F, 529.58984375F);
            this.cacheGraphicsPath.AddBezier(190.2177734375F, 529.58984375F, 189.8662109375F, 531.3134765625F, 190.58203125F, 532.9580078125F, 191.99169921875F, 533.88671875F);
            this.cacheGraphicsPath.AddBezier(191.99169921875F, 533.88671875F, 192.8740234375F, 534.4677734375F, 193.3193359375F, 534.775390625F, 194.212890625F, 535.40234375F);
            this.cacheGraphicsPath.AddBezier(194.212890625F, 535.40234375F, 195.453125F, 536.2734375F, 196.021484375F, 535.28125F, 196.2412109375F, 533.763671875F);
            this.cacheGraphicsPath.AddBezier(196.2412109375F, 533.763671875F, 196.73486328125F, 530.3544921875F, 197.29931640625F, 528.6572265625F, 199.4521484375F, 525.98828125F);
            this.cacheGraphicsPath.AddBezier(199.4521484375F, 525.98828125F, 200.22705078125F, 525.02734375F, 200.85986328125F, 523.712890625F, 200.1689453125F, 523.0146484375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(202.4375F, 543.078125F, 201.3740234375F, 542.4619140625F, 200.8466796875F, 542.125F, 199.80029296875F, 541.435546875F);
            this.cacheGraphicsPath.AddBezier(199.80029296875F, 541.435546875F, 198.61669921875F, 540.65625F, 197.958984375F, 541.123046875F, 198.205078125F, 542.7841796875F);
            this.cacheGraphicsPath.AddBezier(198.205078125F, 542.7841796875F, 198.6806640625F, 545.9951171875F, 199.16357421875F, 547.55859375F, 200.34619140625F, 549.994140625F);
            this.cacheGraphicsPath.AddBezier(200.34619140625F, 549.994140625F, 200.95751953125F, 551.25390625F, 201.88818359375F, 552.3251953125F, 202.83349609375F, 553.0205078125F);
            this.cacheGraphicsPath.AddBezier(202.83349609375F, 553.0205078125F, 203.40869140625F, 553.443359375F, 203.69677734375F, 553.638671875F, 204.291015625F, 553.9892578125F);
            this.cacheGraphicsPath.AddBezier(204.291015625F, 553.9892578125F, 205.1826171875F, 554.515625F, 205.2197265625F, 553.8828125F, 204.931640625F, 552.849609375F);
            this.cacheGraphicsPath.AddBezier(204.931640625F, 552.849609375F, 204.28369140625F, 550.52734375F, 204.11572265625F, 549.1240234375F, 204.064453125F, 546.2275390625F);
            this.cacheGraphicsPath.AddBezier(204.064453125F, 546.2275390625F, 204.0458984375F, 545.1845703125F, 203.5771484375F, 543.7392578125F, 202.4375F, 543.078125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(205.95556640625F, 529.1552734375F, 205.1640625F, 528.3466796875F, 204.76318359375F, 527.9169921875F, 203.97802734375F, 527.072265625F);
            this.cacheGraphicsPath.AddBezier(203.97802734375F, 527.072265625F, 203.08984375F, 526.1171875F, 201.88671875F, 526.193359375F, 200.9453125F, 527.5751953125F);
            this.cacheGraphicsPath.AddBezier(200.9453125F, 527.5751953125F, 199.14013671875F, 530.224609375F, 198.63671875F, 531.84765625F, 198.15771484375F, 535.103515625F);
            this.cacheGraphicsPath.AddBezier(198.15771484375F, 535.103515625F, 197.90771484375F, 536.802734375F, 198.6005859375F, 538.5361328125F, 200.07421875F, 539.5283203125F);
            this.cacheGraphicsPath.AddBezier(200.07421875F, 539.5283203125F, 200.970703125F, 540.1318359375F, 201.42138671875F, 540.42578125F, 202.3291015625F, 540.982421875F);
            this.cacheGraphicsPath.AddBezier(202.3291015625F, 540.982421875F, 203.69091796875F, 541.8173828125F, 204.32373046875F, 540.8623046875F, 204.529296875F, 539.521484375F);
            this.cacheGraphicsPath.AddBezier(204.529296875F, 539.521484375F, 204.99072265625F, 536.5107421875F, 205.36328125F, 534.9892578125F, 206.369140625F, 532.296875F);
            this.cacheGraphicsPath.AddBezier(206.369140625F, 532.296875F, 206.73095703125F, 531.3271484375F, 206.8037109375F, 530.021484375F, 205.95556640625F, 529.1552734375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(215.611328125F, 547.0234375F, 214.6611328125F, 546.8515625F, 214.185546875F, 546.7724609375F, 213.23828125F, 546.6171875F);
            this.cacheGraphicsPath.AddBezier(213.23828125F, 546.6171875F, 212.11083984375F, 546.4326171875F, 211.44482421875F, 547.060546875F, 211.39306640625F, 548.35546875F);
            this.cacheGraphicsPath.AddBezier(211.39306640625F, 548.35546875F, 211.29248046875F, 550.8583984375F, 211.2763671875F, 552.076171875F, 211.51416015625F, 554.2578125F);
            this.cacheGraphicsPath.AddBezier(211.51416015625F, 554.2578125F, 211.63720703125F, 555.3857421875F, 212.447265625F, 556.15625F, 213.890625F, 556.421875F);
            this.cacheGraphicsPath.AddBezier(213.890625F, 556.421875F, 214.79443359375F, 556.587890625F, 215.25390625F, 556.6806640625F, 216.1640625F, 556.890625F);
            this.cacheGraphicsPath.AddBezier(216.1640625F, 556.890625F, 217.42822265625F, 557.181640625F, 217.89501953125F, 556.4970703125F, 217.794921875F, 555.447265625F);
            this.cacheGraphicsPath.AddBezier(217.794921875F, 555.447265625F, 217.5703125F, 553.0859375F, 217.46923828125F, 551.80859375F, 217.25048828125F, 549.2548828125F);
            this.cacheGraphicsPath.AddBezier(217.25048828125F, 549.2548828125F, 217.171875F, 548.3349609375F, 216.57275390625F, 547.197265625F, 215.611328125F, 547.0234375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(214.7724609375F, 535.3662109375F, 214.1845703125F, 535.0908203125F, 213.8974609375F, 534.94921875F, 213.30517578125F, 534.642578125F);
            this.cacheGraphicsPath.AddBezier(213.30517578125F, 534.642578125F, 212.60009765625F, 534.27734375F, 212.20458984375F, 534.716796875F, 212.1669921875F, 536.0087890625F);
            this.cacheGraphicsPath.AddBezier(212.1669921875F, 536.0087890625F, 212.0947265625F, 538.486328125F, 211.97802734375F, 539.7958984375F, 211.78125F, 542.376953125F);
            this.cacheGraphicsPath.AddBezier(211.78125F, 542.376953125F, 211.6787109375F, 543.7236328125F, 212.19775390625F, 544.7783203125F, 213.43408203125F, 545.001953125F);
            this.cacheGraphicsPath.AddBezier(213.43408203125F, 545.001953125F, 214.20849609375F, 545.142578125F, 214.595703125F, 545.21484375F, 215.37109375F, 545.3623046875F);
            this.cacheGraphicsPath.AddBezier(215.37109375F, 545.3623046875F, 216.44775390625F, 545.5673828125F, 216.837890625F, 544.63671875F, 216.72265625F, 543.509765625F);
            this.cacheGraphicsPath.AddBezier(216.72265625F, 543.509765625F, 216.4638671875F, 540.978515625F, 216.3212890625F, 539.7255859375F, 215.9677734375F, 537.4375F);
            this.cacheGraphicsPath.AddBezier(215.9677734375F, 537.4375F, 215.84033203125F, 536.61328125F, 215.36767578125F, 535.64453125F, 214.7724609375F, 535.3662109375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(222.7470703125F, 548.767578125F, 221.8359375F, 548.4599609375F, 221.3740234375F, 548.322265625F, 220.4423828125F, 548.0732421875F);
            this.cacheGraphicsPath.AddBezier(220.4423828125F, 548.0732421875F, 219.388671875F, 547.7919921875F, 218.86474609375F, 548.375F, 219.02001953125F, 549.6884765625F);
            this.cacheGraphicsPath.AddBezier(219.02001953125F, 549.6884765625F, 219.3203125F, 552.2275390625F, 219.44921875F, 553.5048828125F, 219.65478515625F, 555.8984375F);
            this.cacheGraphicsPath.AddBezier(219.65478515625F, 555.8984375F, 219.7607421875F, 557.1357421875F, 220.50439453125F, 558.119140625F, 221.77490234375F, 558.685546875F);
            this.cacheGraphicsPath.AddBezier(221.77490234375F, 558.685546875F, 222.54833984375F, 559.0302734375F, 222.91748046875F, 559.2177734375F, 223.60107421875F, 559.6279296875F);
            this.cacheGraphicsPath.AddBezier(223.60107421875F, 559.6279296875F, 224.62646484375F, 560.2431640625F, 225.01025390625F, 559.5087890625F, 225.02197265625F, 558.2880859375F);
            this.cacheGraphicsPath.AddBezier(225.02197265625F, 558.2880859375F, 225.048828125F, 555.54296875F, 224.9091796875F, 554.12109375F, 224.49658203125F, 551.3642578125F);
            this.cacheGraphicsPath.AddBezier(224.49658203125F, 551.3642578125F, 224.34814453125F, 550.3720703125F, 223.72314453125F, 549.09765625F, 222.7470703125F, 548.767578125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(219.8291015625F, 537.3818359375F, 219.0341796875F, 537.1015625F, 218.6708984375F, 536.970703125F, 217.98046875F, 536.708984375F);
            this.cacheGraphicsPath.AddBezier(217.98046875F, 536.708984375F, 217.19970703125F, 536.4130859375F, 216.93603515625F, 536.81640625F, 217.17529296875F, 537.9580078125F);
            this.cacheGraphicsPath.AddBezier(217.17529296875F, 537.9580078125F, 217.6337890625F, 540.1474609375F, 217.845703125F, 541.3515625F, 218.224609375F, 543.8095703125F);
            this.cacheGraphicsPath.AddBezier(218.224609375F, 543.8095703125F, 218.42236328125F, 545.0927734375F, 219.1416015625F, 546.1455078125F, 220.376953125F, 546.478515625F);
            this.cacheGraphicsPath.AddBezier(220.376953125F, 546.478515625F, 221.12890625F, 546.681640625F, 221.50537109375F, 546.791015625F, 222.2548828125F, 547.03125F);
            this.cacheGraphicsPath.AddBezier(222.2548828125F, 547.03125F, 223.37890625F, 547.3916015625F, 223.57470703125F, 546.4892578125F, 223.2939453125F, 545.341796875F);
            this.cacheGraphicsPath.AddBezier(223.2939453125F, 545.341796875F, 222.6630859375F, 542.765625F, 222.2919921875F, 541.5322265625F, 221.6142578125F, 539.37109375F);
            this.cacheGraphicsPath.AddBezier(221.6142578125F, 539.37109375F, 221.3701171875F, 538.5927734375F, 220.6806640625F, 537.681640625F, 219.8291015625F, 537.3818359375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(236.1533203125F, 557.9736328125F, 234.9267578125F, 556.9228515625F, 234.2939453125F, 556.4169921875F, 233.072265625F, 555.458984375F);
            this.cacheGraphicsPath.AddBezier(233.072265625F, 555.458984375F, 231.61767578125F, 554.318359375F, 230.90625F, 554.5234375F, 230.88671875F, 555.947265625F);
            this.cacheGraphicsPath.AddBezier(230.88671875F, 555.947265625F, 230.84912109375F, 558.69921875F, 230.7490234375F, 560.1005859375F, 230.2353515625F, 562.8798828125F);
            this.cacheGraphicsPath.AddBezier(230.2353515625F, 562.8798828125F, 229.9697265625F, 564.31640625F, 230.2470703125F, 565.7392578125F, 231.49658203125F, 566.71484375F);
            this.cacheGraphicsPath.AddBezier(231.49658203125F, 566.71484375F, 232.2783203125F, 567.3251953125F, 232.68212890625F, 567.6318359375F, 233.474609375F, 568.232421875F);
            this.cacheGraphicsPath.AddBezier(233.474609375F, 568.232421875F, 234.57568359375F, 569.0673828125F, 235.45947265625F, 568.5048828125F, 235.8671875F, 567.4375F);
            this.cacheGraphicsPath.AddBezier(235.8671875F, 567.4375F, 236.78369140625F, 565.037109375F, 237.12939453125F, 563.853515625F, 237.658203125F, 561.462890625F);
            this.cacheGraphicsPath.AddBezier(237.658203125F, 561.462890625F, 237.8486328125F, 560.6025390625F, 237.39453125F, 559.037109375F, 236.1533203125F, 557.9736328125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(236.35498046875F, 545.900390625F, 234.7802734375F, 544.67578125F, 233.96630859375F, 544.11328125F, 232.3857421875F, 543.103515625F);
            this.cacheGraphicsPath.AddBezier(232.3857421875F, 543.103515625F, 230.50341796875F, 541.9013671875F, 229.63134765625F, 542.0517578125F, 229.822265625F, 543.318359375F);
            this.cacheGraphicsPath.AddBezier(229.822265625F, 543.318359375F, 230.18798828125F, 545.74609375F, 230.37646484375F, 547.02734375F, 230.6171875F, 549.6513671875F);
            this.cacheGraphicsPath.AddBezier(230.6171875F, 549.6513671875F, 230.74267578125F, 551.0205078125F, 231.57275390625F, 552.5634765625F, 233.326171875F, 553.927734375F);
            this.cacheGraphicsPath.AddBezier(233.326171875F, 553.927734375F, 234.42333984375F, 554.7822265625F, 234.986328125F, 555.232421875F, 236.0859375F, 556.1669921875F);
            this.cacheGraphicsPath.AddBezier(236.0859375F, 556.1669921875F, 237.61376953125F, 557.46484375F, 238.40478515625F, 557.1328125F, 238.51171875F, 556.0458984375F);
            this.cacheGraphicsPath.AddBezier(238.51171875F, 556.0458984375F, 238.75244140625F, 553.60546875F, 238.79443359375F, 552.37109375F, 238.78125F, 549.80859375F);
            this.cacheGraphicsPath.AddBezier(238.78125F, 549.80859375F, 238.7763671875F, 548.8857421875F, 237.9482421875F, 547.1396484375F, 236.35498046875F, 545.900390625F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(243.8828125F, 566.724609375F, 243.2275390625F, 565.5068359375F, 242.81005859375F, 564.90234375F, 241.8701171875F, 563.720703125F);
            this.cacheGraphicsPath.AddBezier(241.8701171875F, 563.720703125F, 240.806640625F, 562.3837890625F, 239.9111328125F, 562.25390625F, 239.57177734375F, 563.37109375F);
            this.cacheGraphicsPath.AddBezier(239.57177734375F, 563.37109375F, 238.916015625F, 565.5302734375F, 238.50927734375F, 566.587890625F, 237.509765625F, 568.7509765625F);
            this.cacheGraphicsPath.AddBezier(237.509765625F, 568.7509765625F, 236.9931640625F, 569.869140625F, 237.1884765625F, 571.0703125F, 238.1533203125F, 571.9140625F);
            this.cacheGraphicsPath.AddBezier(238.1533203125F, 571.9140625F, 238.74072265625F, 572.427734375F, 239.00537109375F, 572.677734375F, 239.44482421875F, 573.1474609375F);
            this.cacheGraphicsPath.AddBezier(239.44482421875F, 573.1474609375F, 240.10400390625F, 573.8525390625F, 240.69677734375F, 573.548828125F, 241.24365234375F, 572.9560546875F);
            this.cacheGraphicsPath.AddBezier(241.24365234375F, 572.9560546875F, 242.47265625F, 571.6240234375F, 243.041015625F, 571.01171875F, 244.0185546875F, 569.6650390625F);
            this.cacheGraphicsPath.AddBezier(244.0185546875F, 569.6650390625F, 244.37060546875F, 569.1806640625F, 244.58447265625F, 568.0283203125F, 243.8828125F, 566.724609375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(246.181640625F, 557.3466796875F, 245.36083984375F, 555.599609375F, 244.833984375F, 554.759765625F, 243.64404296875F, 553.162109375F);
            this.cacheGraphicsPath.AddBezier(243.64404296875F, 553.162109375F, 242.2978515625F, 551.35546875F, 241.34765625F, 551.142578125F, 241.3037109375F, 552.41796875F);
            this.cacheGraphicsPath.AddBezier(241.3037109375F, 552.41796875F, 241.21923828125F, 554.8642578125F, 241.11474609375F, 556.0126953125F, 240.75341796875F, 558.25F);
            this.cacheGraphicsPath.AddBezier(240.75341796875F, 558.25F, 240.56494140625F, 559.41796875F, 241.19921875F, 560.9990234375F, 242.5087890625F, 562.7333984375F);
            this.cacheGraphicsPath.AddBezier(242.5087890625F, 562.7333984375F, 243.30615234375F, 563.7890625F, 243.66552734375F, 564.3291015625F, 244.25634765625F, 565.419921875F);
            this.cacheGraphicsPath.AddBezier(244.25634765625F, 565.419921875F, 245.14208984375F, 567.0556640625F, 245.58935546875F, 567.1123046875F, 245.8916015625F, 566.400390625F);
            this.cacheGraphicsPath.AddBezier(245.8916015625F, 566.400390625F, 246.5703125F, 564.8017578125F, 246.8232421875F, 563.92578125F, 247.0888671875F, 561.7822265625F);
            this.cacheGraphicsPath.AddBezier(247.0888671875F, 561.7822265625F, 247.1845703125F, 561.0107421875F, 247.060546875F, 559.2177734375F, 246.181640625F, 557.3466796875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(192.91064453125F, 594.2587890625F, 191.884765625F, 593.3828125F, 191.373046875F, 592.962890625F, 190.34912109375F, 592.2119140625F);
            this.cacheGraphicsPath.AddBezier(190.34912109375F, 592.2119140625F, 189.13037109375F, 591.3173828125F, 188.59228515625F, 592.34765625F, 189.1474609375F, 594.765625F);
            this.cacheGraphicsPath.AddBezier(189.1474609375F, 594.765625F, 190.220703125F, 599.439453125F, 191.14111328125F, 601.7109375F, 192.9619140625F, 604.4619140625F);
            this.cacheGraphicsPath.AddBezier(192.9619140625F, 604.4619140625F, 193.9033203125F, 605.884765625F, 195.169921875F, 606.947265625F, 196.279296875F, 607.9912109375F);
            this.cacheGraphicsPath.AddBezier(196.279296875F, 607.9912109375F, 196.97412109375F, 608.64453125F, 197.3017578125F, 608.9541015625F, 197.93994140625F, 609.533203125F);
            this.cacheGraphicsPath.AddBezier(197.93994140625F, 609.533203125F, 198.826171875F, 610.3369140625F, 198.6025390625F, 609.8642578125F, 197.9580078125F, 608.5712890625F);
            this.cacheGraphicsPath.AddBezier(197.9580078125F, 608.5712890625F, 196.50830078125F, 605.6650390625F, 195.81591796875F, 603.5146484375F, 195.00341796875F, 599.0927734375F);
            this.cacheGraphicsPath.AddBezier(195.00341796875F, 599.0927734375F, 194.7109375F, 597.5009765625F, 193.94873046875F, 595.14453125F, 192.91064453125F, 594.2587890625F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(197.8359375F, 575.3017578125F, 197.1533203125F, 574.2138671875F, 196.82958984375F, 573.7353515625F, 196.24072265625F, 573.0322265625F);
            this.cacheGraphicsPath.AddBezier(196.24072265625F, 573.0322265625F, 195.53955078125F, 572.1953125F, 193.9873046875F, 572.4619140625F, 192.42578125F, 573.9013671875F);
            this.cacheGraphicsPath.AddBezier(192.42578125F, 573.9013671875F, 189.431640625F, 576.6611328125F, 188.7568359375F, 578.9111328125F, 188.28857421875F, 583.546875F);
            this.cacheGraphicsPath.AddBezier(188.28857421875F, 583.546875F, 188.0439453125F, 585.9658203125F, 188.8447265625F, 588.1279296875F, 190.25439453125F, 589.2109375F);
            this.cacheGraphicsPath.AddBezier(190.25439453125F, 589.2109375F, 191.13720703125F, 589.8896484375F, 191.580078125F, 590.267578125F, 192.4736328125F, 591.0634765625F);
            this.cacheGraphicsPath.AddBezier(192.4736328125F, 591.0634765625F, 193.7138671875F, 592.16796875F, 194.19091796875F, 590.865234375F, 194.31640625F, 588.875F);
            this.cacheGraphicsPath.AddBezier(194.31640625F, 588.875F, 194.5986328125F, 584.404296875F, 195.0625F, 582.1962890625F, 197.1455078125F, 579.1328125F);
            this.cacheGraphicsPath.AddBezier(197.1455078125F, 579.1328125F, 197.8955078125F, 578.0302734375F, 198.52685546875F, 576.4033203125F, 197.8359375F, 575.3017578125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(200.8427734375F, 601.1142578125F, 199.779296875F, 600.3017578125F, 199.251953125F, 599.8564453125F, 198.20556640625F, 598.9501953125F);
            this.cacheGraphicsPath.AddBezier(198.20556640625F, 598.9501953125F, 197.02197265625F, 597.9248046875F, 196.42919921875F, 598.5263671875F, 196.783203125F, 600.6572265625F);
            this.cacheGraphicsPath.AddBezier(196.783203125F, 600.6572265625F, 197.4677734375F, 604.775390625F, 198.0517578125F, 606.7724609375F, 199.31201171875F, 609.564453125F);
            this.cacheGraphicsPath.AddBezier(199.31201171875F, 609.564453125F, 199.96337890625F, 611.0078125F, 200.8876953125F, 612.033203125F, 201.8330078125F, 612.654296875F);
            this.cacheGraphicsPath.AddBezier(201.8330078125F, 612.654296875F, 202.408203125F, 613.0322265625F, 202.69677734375F, 613.205078125F, 203.291015625F, 613.513671875F);
            this.cacheGraphicsPath.AddBezier(203.291015625F, 613.513671875F, 204.18212890625F, 613.9765625F, 204.220703125F, 613.3583984375F, 203.89794921875F, 612.2763671875F);
            this.cacheGraphicsPath.AddBezier(203.89794921875F, 612.2763671875F, 203.1728515625F, 609.84375F, 202.90185546875F, 608.2294921875F, 202.6376953125F, 604.8935546875F);
            this.cacheGraphicsPath.AddBezier(202.6376953125F, 604.8935546875F, 202.54248046875F, 603.6923828125F, 201.982421875F, 601.984375F, 200.8427734375F, 601.1142578125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(203.62109375F, 585.33203125F, 202.82958984375F, 584.0283203125F, 202.43017578125F, 583.322265625F, 201.64501953125F, 581.9296875F);
            this.cacheGraphicsPath.AddBezier(201.64501953125F, 581.9296875F, 200.7568359375F, 580.35546875F, 199.5458984375F, 580.0517578125F, 198.6416015625F, 581.6064453125F);
            this.cacheGraphicsPath.AddBezier(198.6416015625F, 581.6064453125F, 196.908203125F, 584.5869140625F, 196.501953125F, 586.630859375F, 196.228515625F, 590.7763671875F);
            this.cacheGraphicsPath.AddBezier(196.228515625F, 590.7763671875F, 196.0859375F, 592.939453125F, 196.86279296875F, 595.2177734375F, 198.3359375F, 596.5859375F);
            this.cacheGraphicsPath.AddBezier(198.3359375F, 596.5859375F, 199.232421875F, 597.4189453125F, 199.6826171875F, 597.8291015625F, 200.59033203125F, 598.595703125F);
            this.cacheGraphicsPath.AddBezier(200.59033203125F, 598.595703125F, 201.95166015625F, 599.74609375F, 202.49267578125F, 598.6884765625F, 202.60400390625F, 597.154296875F);
            this.cacheGraphicsPath.AddBezier(202.60400390625F, 597.154296875F, 202.8544921875F, 593.7080078125F, 203.126953125F, 591.9775390625F, 204.06298828125F, 589.1923828125F);
            this.cacheGraphicsPath.AddBezier(204.06298828125F, 589.1923828125F, 204.39990234375F, 588.189453125F, 204.46923828125F, 586.728515625F, 203.62109375F, 585.33203125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(215.6123046875F, 606.880859375F, 214.24267578125F, 606.4375F, 213.576171875F, 606.2265625F, 212.3251953125F, 605.85546875F);
            this.cacheGraphicsPath.AddBezier(212.3251953125F, 605.85546875F, 210.83642578125F, 605.4140625F, 210.1220703125F, 606.01953125F, 210.150390625F, 607.4013671875F);
            this.cacheGraphicsPath.AddBezier(210.150390625F, 607.4013671875F, 210.205078125F, 610.072265625F, 210.263671875F, 611.3720703125F, 210.5673828125F, 613.650390625F);
            this.cacheGraphicsPath.AddBezier(210.5673828125F, 613.650390625F, 210.724609375F, 614.828125F, 211.5634765625F, 615.6611328125F, 213.1982421875F, 616.125F);
            this.cacheGraphicsPath.AddBezier(213.1982421875F, 616.125F, 214.2216796875F, 616.416015625F, 214.755859375F, 616.58203125F, 215.8447265625F, 616.931640625F);
            this.cacheGraphicsPath.AddBezier(215.8447265625F, 616.931640625F, 217.35791015625F, 617.4169921875F, 218.03076171875F, 616.779296875F, 217.9921875F, 615.7080078125F);
            this.cacheGraphicsPath.AddBezier(217.9921875F, 615.7080078125F, 217.90478515625F, 613.30078125F, 217.8828125F, 612.037109375F, 217.8193359375F, 609.5166015625F);
            this.cacheGraphicsPath.AddBezier(217.8193359375F, 609.5166015625F, 217.79638671875F, 608.609375F, 216.998046875F, 607.330078125F, 215.6123046875F, 606.880859375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(215.09326171875F, 594.9990234375F, 213.84228515625F, 594.31640625F, 213.240234375F, 593.98046875F, 212.1416015625F, 593.3623046875F);
            this.cacheGraphicsPath.AddBezier(212.1416015625F, 593.3623046875F, 210.833984375F, 592.6259765625F, 210.26806640625F, 592.97265625F, 210.2626953125F, 594.3125F);
            this.cacheGraphicsPath.AddBezier(210.2626953125F, 594.3125F, 210.25244140625F, 596.8818359375F, 210.2080078125F, 598.271484375F, 210.16357421875F, 601.017578125F);
            this.cacheGraphicsPath.AddBezier(210.16357421875F, 601.017578125F, 210.14013671875F, 602.451171875F, 210.81640625F, 603.6474609375F, 212.5283203125F, 604.205078125F);
            this.cacheGraphicsPath.AddBezier(212.5283203125F, 604.205078125F, 213.60009765625F, 604.5537109375F, 214.1669921875F, 604.748046875F, 215.3291015625F, 605.150390625F);
            this.cacheGraphicsPath.AddBezier(215.3291015625F, 605.150390625F, 216.94384765625F, 605.708984375F, 217.689453125F, 604.970703125F, 217.64306640625F, 603.857421875F);
            this.cacheGraphicsPath.AddBezier(217.64306640625F, 603.857421875F, 217.53955078125F, 601.357421875F, 217.4736328125F, 600.1181640625F, 217.25634765625F, 597.7783203125F);
            this.cacheGraphicsPath.AddBezier(217.25634765625F, 597.7783203125F, 217.17822265625F, 596.9365234375F, 216.359375F, 595.6904296875F, 215.09326171875F, 594.9990234375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(226.41455078125F, 610.3779296875F, 225.037109375F, 609.96875F, 224.32275390625F, 609.7421875F, 222.88916015625F, 609.279296875F);
            this.cacheGraphicsPath.AddBezier(222.88916015625F, 609.279296875F, 221.267578125F, 608.755859375F, 220.34326171875F, 609.11328125F, 220.369140625F, 610.369140625F);
            this.cacheGraphicsPath.AddBezier(220.369140625F, 610.369140625F, 220.4189453125F, 612.7958984375F, 220.421875F, 614.0205078125F, 220.42626953125F, 616.423828125F);
            this.cacheGraphicsPath.AddBezier(220.42626953125F, 616.423828125F, 220.42822265625F, 617.666015625F, 221.3037109375F, 618.7919921875F, 223.10400390625F, 619.4296875F);
            this.cacheGraphicsPath.AddBezier(223.10400390625F, 619.4296875F, 224.19970703125F, 619.818359375F, 224.744140625F, 620.013671875F, 225.80615234375F, 620.3828125F);
            this.cacheGraphicsPath.AddBezier(225.80615234375F, 620.3828125F, 227.3994140625F, 620.9375F, 228.1044921875F, 620.078125F, 228.2236328125F, 618.916015625F);
            this.cacheGraphicsPath.AddBezier(228.2236328125F, 618.916015625F, 228.49169921875F, 616.3037109375F, 228.54833984375F, 615.0791015625F, 228.53759765625F, 612.7333984375F);
            this.cacheGraphicsPath.AddBezier(228.53759765625F, 612.7333984375F, 228.53369140625F, 611.888671875F, 227.89013671875F, 610.81640625F, 226.41455078125F, 610.3779296875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(225.138671875F, 600.0849609375F, 223.86328125F, 599.509765625F, 223.1953125F, 599.189453125F, 221.85498046875F, 598.5283203125F);
            this.cacheGraphicsPath.AddBezier(221.85498046875F, 598.5283203125F, 220.3388671875F, 597.7802734375F, 219.5458984375F, 597.9150390625F, 219.68212890625F, 599.064453125F);
            this.cacheGraphicsPath.AddBezier(219.68212890625F, 599.064453125F, 219.943359375F, 601.2685546875F, 220.03173828125F, 602.42578125F, 220.1630859375F, 604.7744140625F);
            this.cacheGraphicsPath.AddBezier(220.1630859375F, 604.7744140625F, 220.2314453125F, 606F, 221.2138671875F, 607.2197265625F, 223.16796875F, 607.880859375F);
            this.cacheGraphicsPath.AddBezier(223.16796875F, 607.880859375F, 224.357421875F, 608.283203125F, 224.94921875F, 608.48046875F, 226.0986328125F, 608.841796875F);
            this.cacheGraphicsPath.AddBezier(226.0986328125F, 608.841796875F, 227.82275390625F, 609.3837890625F, 228.36376953125F, 608.640625F, 228.2607421875F, 607.6748046875F);
            this.cacheGraphicsPath.AddBezier(228.2607421875F, 607.6748046875F, 228.02880859375F, 605.5048828125F, 227.85205078125F, 604.466796875F, 227.4072265625F, 602.4228515625F);
            this.cacheGraphicsPath.AddBezier(227.4072265625F, 602.4228515625F, 227.2470703125F, 601.6875F, 226.5048828125F, 600.701171875F, 225.138671875F, 600.0849609375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(243.31640625F, 618.4140625F, 241.86865234375F, 617.3955078125F, 241.11962890625F, 616.912109375F, 239.666015625F, 616.0234375F);
            this.cacheGraphicsPath.AddBezier(239.666015625F, 616.0234375F, 237.935546875F, 614.9658203125F, 237.033203125F, 615.1064453125F, 236.94775390625F, 616.279296875F);
            this.cacheGraphicsPath.AddBezier(236.94775390625F, 616.279296875F, 236.7822265625F, 618.5458984375F, 236.6220703125F, 619.708984375F, 236.0927734375F, 622.1953125F);
            this.cacheGraphicsPath.AddBezier(236.0927734375F, 622.1953125F, 235.81884765625F, 623.4814453125F, 236.34814453125F, 624.822265625F, 238.0595703125F, 625.978515625F);
            this.cacheGraphicsPath.AddBezier(238.0595703125F, 625.978515625F, 239.130859375F, 626.7021484375F, 239.677734375F, 627.0888671875F, 240.7392578125F, 627.87109375F);
            this.cacheGraphicsPath.AddBezier(240.7392578125F, 627.87109375F, 242.21435546875F, 628.9580078125F, 243.2109375F, 628.5654296875F, 243.5859375F, 627.533203125F);
            this.cacheGraphicsPath.AddBezier(243.5859375F, 627.533203125F, 244.4287109375F, 625.2119140625F, 244.73974609375F, 624.076171875F, 245.201171875F, 621.7880859375F);
            this.cacheGraphicsPath.AddBezier(245.201171875F, 621.7880859375F, 245.3671875F, 620.96484375F, 244.78125F, 619.4453125F, 243.31640625F, 618.4140625F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(243.34912109375F, 607.25F, 241.6650390625F, 606.3544921875F, 240.79541015625F, 605.9599609375F, 239.11376953125F, 605.25390625F);
            this.cacheGraphicsPath.AddBezier(239.11376953125F, 605.25390625F, 237.111328125F, 604.4130859375F, 236.20703125F, 604.6806640625F, 236.39208984375F, 605.7998046875F);
            this.cacheGraphicsPath.AddBezier(236.39208984375F, 605.7998046875F, 236.7470703125F, 607.9453125F, 236.87744140625F, 608.9951171875F, 236.9931640625F, 611.140625F);
            this.cacheGraphicsPath.AddBezier(236.9931640625F, 611.140625F, 237.0537109375F, 612.2607421875F, 237.962890625F, 613.5185546875F, 240.00146484375F, 614.734375F);
            this.cacheGraphicsPath.AddBezier(240.00146484375F, 614.734375F, 241.27734375F, 615.4951171875F, 241.9296875F, 615.9052734375F, 243.2021484375F, 616.767578125F);
            this.cacheGraphicsPath.AddBezier(243.2021484375F, 616.767578125F, 244.9697265625F, 617.9658203125F, 245.828125F, 617.6484375F, 245.9052734375F, 616.607421875F);
            this.cacheGraphicsPath.AddBezier(245.9052734375F, 616.607421875F, 246.07861328125F, 614.2685546875F, 246.0869140625F, 613.0849609375F, 246F, 610.6005859375F);
            this.cacheGraphicsPath.AddBezier(246F, 610.6005859375F, 245.96875F, 609.7060546875F, 245.05322265625F, 608.15625F, 243.34912109375F, 607.25F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(252.23876953125F, 627.150390625F, 251.52392578125F, 625.9228515625F, 251.052734375F, 625.3134765625F, 249.978515625F, 624.123046875F);
            this.cacheGraphicsPath.AddBezier(249.978515625F, 624.123046875F, 248.763671875F, 622.7763671875F, 247.77587890625F, 622.658203125F, 247.4951171875F, 623.7919921875F);
            this.cacheGraphicsPath.AddBezier(247.4951171875F, 623.7919921875F, 246.9521484375F, 625.982421875F, 246.6005859375F, 627.0546875F, 245.6875F, 629.220703125F);
            this.cacheGraphicsPath.AddBezier(245.6875F, 629.220703125F, 245.21533203125F, 630.3408203125F, 245.61474609375F, 631.716796875F, 246.8115234375F, 632.828125F);
            this.cacheGraphicsPath.AddBezier(246.8115234375F, 632.828125F, 247.5400390625F, 633.5048828125F, 247.86181640625F, 633.82421875F, 248.37109375F, 634.3837890625F);
            this.cacheGraphicsPath.AddBezier(248.37109375F, 634.3837890625F, 249.13525390625F, 635.22265625F, 249.6982421875F, 634.8837890625F, 250.21044921875F, 634.240234375F);
            this.cacheGraphicsPath.AddBezier(250.21044921875F, 634.240234375F, 251.3623046875F, 632.79296875F, 251.828125F, 632.025390625F, 252.59228515625F, 630.359375F);
            this.cacheGraphicsPath.AddBezier(252.59228515625F, 630.359375F, 252.8671875F, 629.759765625F, 253.0048828125F, 628.4658203125F, 252.23876953125F, 627.150390625F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(253.82177734375F, 616.76171875F, 252.966796875F, 615.1171875F, 252.408203125F, 614.369140625F, 251.142578125F, 612.9990234375F);
            this.cacheGraphicsPath.AddBezier(251.142578125F, 612.9990234375F, 249.7109375F, 611.44921875F, 248.7109375F, 611.435546875F, 248.7109375F, 612.712890625F);
            this.cacheGraphicsPath.AddBezier(248.7109375F, 612.712890625F, 248.7109375F, 615.1611328125F, 248.6611328125F, 616.3251953125F, 248.4111328125F, 618.59375F);
            this.cacheGraphicsPath.AddBezier(248.4111328125F, 618.59375F, 248.28076171875F, 619.77734375F, 249.078125F, 621.3359375F, 250.5439453125F, 623.02734375F);
            this.cacheGraphicsPath.AddBezier(250.5439453125F, 623.02734375F, 251.4365234375F, 624.0576171875F, 251.83251953125F, 624.5859375F, 252.4697265625F, 625.6640625F);
            this.cacheGraphicsPath.AddBezier(252.4697265625F, 625.6640625F, 253.42578125F, 627.28125F, 253.7578125F, 627.19921875F, 253.9658203125F, 626.3466796875F);
            this.cacheGraphicsPath.AddBezier(253.9658203125F, 626.3466796875F, 254.43359375F, 624.431640625F, 254.5869140625F, 623.4052734375F, 254.7822265625F, 621.1572265625F);
            this.cacheGraphicsPath.AddBezier(254.7822265625F, 621.1572265625F, 254.8525390625F, 620.34765625F, 254.73779296875F, 618.5244140625F, 253.82177734375F, 616.76171875F);
            this.cacheGraphicsPath.CloseFigure();

            this.hashTable = new Hashtable();

            foreach(IDrawingObject child in ChildArray)
            {
                this.hashTable.Add(child.Name.ToLower(), child);
            }
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 변환하기 - Transform(sourceMatrix)

        /// <summary>
        /// 변환하기
        /// </summary>
        /// <param name="sourceMatrix">소스 매트릭스</param>
        /// <returns>변환 매트릭스</returns>
        public override Matrix Transform(Matrix sourceMatrix)
        {
            Matrix targetMatrix = new Matrix();

            IDrawingObject currentDrawingObject = this;

            while(currentDrawingObject != null)
            {
                targetMatrix.Multiply(currentDrawingObject.GetRelativeTransform(), MatrixOrder.Append);

                currentDrawingObject = currentDrawingObject.Parent;
            }

            targetMatrix.Multiply(sourceMatrix, MatrixOrder.Append);

            return targetMatrix;
        }

        #endregion

        #region 칠하기 - Paint(graphics, sourceMatrix)

        /// <summary>
        /// 칠하기
        /// </summary>
        /// <param name="graphics">그래픽스</param>
        /// <param name="sourceMatrix">소스 매트릭스</param>
        public override void Paint(Graphics graphics, Matrix sourceMatrix)
        {
            if(!IsVisible)
            {
                return;
            }
                
            GraphicsPath graphicsPath       = new GraphicsPath();
            GraphicsPath radialGraphicsPath = null;
            Pen          pen                = null;
            Brush        brush              = null;

            Matrix saveMatrix = graphics.Transform.Clone();
                
            if(this.SmoothingMode != SmoothingMode.Invalid)
            {
                graphics.SmoothingMode = this.SmoothingMode;
            }

            if(this.TextRenderingHint != TextRenderingHint.SystemDefault)
            {
                graphics.TextRenderingHint = this.TextRenderingHint;
            }

            graphics.Transform = this.Transform(sourceMatrix);

            graphicsPath.StartFigure();
            graphicsPath.AddBezier(223.5F, 474F, 223.5F, 474F, 210.79931640625F, 460.1630859375F, 199.5F, 456F);
            graphicsPath.AddBezier(199.5F, 456F, 180.5F, 449F, 155.5F, 462F, 149.5F, 476F);
            graphicsPath.AddBezier(149.5F, 476F, 143.5F, 490F, 173.5F, 480F, 178.5F, 476F);
            graphicsPath.AddBezier(158.5F, 488F, 158.5F, 488F, 178F, 489.3330078125F, 189F, 483.5F);
            graphicsPath.AddBezier(189F, 483.5F, 196.90185546875F, 479.3095703125F, 219F, 502F, 230F, 515F);
            graphicsPath.AddBezier(230F, 515F, 230F, 515F, 222.5F, 486F, 223.5F, 474F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 248, 91, 16));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(201F, 514.5F, 201F, 514.5F, 205F, 527.5F, 220F, 533.5F);
            graphicsPath.AddBezier(220F, 533.5F, 235F, 539.5F, 248F, 547.5F, 249F, 560.5F);
            graphicsPath.AddBezier(249F, 560.5F, 250F, 573.5F, 240F, 579.5F, 240F, 579.5F);
            graphicsPath.AddBezier(240F, 579.5F, 240F, 579.5F, 227.880859375F, 564.04296875F, 213F, 560.5F);
            graphicsPath.AddBezier(213F, 560.5F, 192F, 555.5F, 170F, 529.5F, 201F, 514.5F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 248, 91, 16));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();

            graphicsPath.StartFigure();
            graphicsPath.AddBezier(201.5F, 564F, 201.5F, 564F, 187.5F, 568F, 184.5F, 580F);
            graphicsPath.AddBezier(184.5F, 580F, 181.5F, 592F, 190.5F, 616F, 214.5F, 621F);
            graphicsPath.AddBezier(214.5F, 621F, 238.5F, 626F, 246.5F, 634F, 249.5F, 641F);
            graphicsPath.AddBezier(249.5F, 641F, 249.5F, 641F, 269.5F, 624F, 248.5F, 609F);
            graphicsPath.AddBezier(248.5F, 609F, 227.5F, 594F, 202.5F, 599F, 201.5F, 564F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 248, 91, 16));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(168F, 666F, 183F, 668.5F, 194F, 662F, 199F, 626F);
            graphicsPath.AddBezier(199F, 626F, 199F, 626F, 186F, 631F, 180F, 642F);
            graphicsPath.AddBezier(180F, 642F, 174F, 653F, 183F, 665F, 168F, 664F);
            graphicsPath.AddBezier(168F, 664F, 153F, 663F, 132F, 654F, 142F, 618F);
            graphicsPath.AddBezier(142F, 618F, 152F, 582F, 124.5F, 581F, 115.5F, 582.5F);
            graphicsPath.AddBezier(115.5F, 582.5F, 103.08154296875F, 584.5693359375F, 88F, 589F, 90F, 593F);
            graphicsPath.AddBezier(90F, 593F, 92F, 597F, 104.5F, 595F, 115F, 594F);
            graphicsPath.AddBezier(115F, 594F, 124.17822265625F, 593.1259765625F, 132F, 597F, 126F, 619F);
            graphicsPath.AddBezier(126F, 619F, 120F, 641F, 122F, 676F, 141F, 681F);
            graphicsPath.AddBezier(141F, 681F, 149.67919921875F, 683.283203125F, 158F, 667.5F, 168F, 666F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 248, 91, 16));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(180F, 466F, 181.3173828125F, 466.1826171875F, 182.3408203125F, 467.0517578125F, 183.34912109375F, 467.650390625F);
            graphicsPath.AddLine(183.34912109375F, 467.650390625F, 183.34912109375F, 467.650390625F);
                
            if(pen == null) pen = new Pen(Color.Red);

            pen.Color      = Color.FromArgb(255, 0, 0, 0);
            pen.MiterLimit = 4F;
            pen.LineJoin   = LineJoin.Miter;
            pen.StartCap   = LineCap.Flat;
            pen.EndCap     = LineCap.Flat;
            pen.Width      = 0.5F;
            pen.DashStyle  = DashStyle.Solid;

            graphics.DrawPath(pen, graphicsPath);

            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(179.08349609375F, 468.1669921875F, 179.64306640625F, 468.9931640625F, 180.38818359375F, 469.865234375F, 181.08349609375F, 470.5F);
            graphicsPath.AddLine(181.08349609375F, 470.5F, 181.08349609375F, 470.5F);
                
            if(pen == null) pen = new Pen(Color.Red);

            pen.Color      = Color.FromArgb(255, 0, 0, 0);
            pen.MiterLimit = 4F;
            pen.LineJoin   = LineJoin.Miter;
            pen.StartCap   = LineCap.Flat;
            pen.EndCap     = LineCap.Flat;
            pen.Width      = 0.5F;
            pen.DashStyle  = DashStyle.Solid;

            graphics.DrawPath(pen, graphicsPath);

            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(177.25F, 470.4169921875F, 177.689453125F, 471.302734375F, 178.2373046875F, 472.3984375F, 178.58349609375F, 473.0830078125F);
            graphicsPath.AddLine(178.58349609375F, 473.0830078125F, 178.58349609375F, 473.0830078125F);
                
            if(pen == null) pen = new Pen(Color.Red);

            pen.Color      = Color.FromArgb(255, 0, 0, 0);
            pen.MiterLimit = 4F;
            pen.LineJoin   = LineJoin.Miter;
            pen.StartCap   = LineCap.Flat;
            pen.EndCap     = LineCap.Flat;
            pen.Width      = 0.5F;
            pen.DashStyle  = DashStyle.Solid;

            graphics.DrawPath(pen, graphicsPath);

            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(184.6826171875F, 467.8173828125F, 184.6826171875F, 468.40625F, 184.2041015625F, 468.884765625F, 183.615234375F, 468.884765625F);
            graphicsPath.AddBezier(183.615234375F, 468.884765625F, 183.0263671875F, 468.884765625F, 182.5478515625F, 468.40625F, 182.5478515625F, 467.8173828125F);
            graphicsPath.AddBezier(182.5478515625F, 467.8173828125F, 182.5478515625F, 467.228515625F, 183.0263671875F, 466.75F, 183.615234375F, 466.75F);
            graphicsPath.AddBezier(183.615234375F, 466.75F, 184.2041015625F, 466.75F, 184.6826171875F, 467.228515625F, 184.6826171875F, 467.8173828125F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();

            graphicsPath.StartFigure();
            graphicsPath.AddBezier(182.54443359375F, 470.630859375F, 182.60986328125F, 471.2158203125F, 182.18798828125F, 471.744140625F, 181.60205078125F, 471.810546875F);
            graphicsPath.AddBezier(181.60205078125F, 471.810546875F, 181.01708984375F, 471.875F, 180.48876953125F, 471.453125F, 180.42333984375F, 470.8681640625F);
            graphicsPath.AddBezier(180.42333984375F, 470.8681640625F, 180.35791015625F, 470.283203125F, 180.78076171875F, 469.75390625F, 181.36572265625F, 469.689453125F);
            graphicsPath.AddBezier(181.36572265625F, 469.689453125F, 181.95068359375F, 469.623046875F, 182.47900390625F, 470.0458984375F, 182.54443359375F, 470.630859375F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();

            graphicsPath.StartFigure();
            graphicsPath.AddBezier(179.75F, 473.25F, 179.75F, 473.8388671875F, 179.271484375F, 474.3173828125F, 178.6826171875F, 474.3173828125F);
            graphicsPath.AddBezier(178.6826171875F, 474.3173828125F, 178.09375F, 474.3173828125F, 177.615234375F, 473.8388671875F, 177.615234375F, 473.25F);
            graphicsPath.AddBezier(177.615234375F, 473.25F, 177.615234375F, 472.6611328125F, 178.09375F, 472.1826171875F, 178.6826171875F, 472.1826171875F);
            graphicsPath.AddBezier(178.6826171875F, 472.1826171875F, 179.271484375F, 472.1826171875F, 179.75F, 472.6611328125F, 179.75F, 473.25F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();

            graphicsPath.StartFigure();
            graphicsPath.AddBezier(166.33349609375F, 472.3330078125F, 166.33349609375F, 472.3330078125F, 170F, 464.6669921875F, 181.66650390625F, 464.6669921875F);
            graphicsPath.AddBezier(181.66650390625F, 464.6669921875F, 181.66650390625F, 464.6669921875F, 175.00048828125F, 475.666015625F, 166.33349609375F, 472.3330078125F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 255, 192, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();

            graphicsPath.StartFigure();
            graphicsPath.AddBezier(170.66650390625F, 463F, 168.4306640625F, 463.94140625F, 167F, 467.3330078125F, 166.33349609375F, 472.6669921875F);
            graphicsPath.AddBezier(166.33349609375F, 472.6669921875F, 166.33349609375F, 472.6669921875F, 170.66650390625F, 467F, 182.66650390625F, 464.6669921875F);
            graphicsPath.AddBezier(182.66650390625F, 464.6669921875F, 182.66650390625F, 464.6669921875F, 177F, 460.3330078125F, 170.66650390625F, 463F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 94, 0, 127));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(178.58154296875F, 467.8310546875F, 178.58154296875F, 468.890625F, 177.72265625F, 469.7490234375F, 176.6630859375F, 469.7490234375F);
            graphicsPath.AddBezier(176.6630859375F, 469.7490234375F, 175.603515625F, 469.7490234375F, 174.74462890625F, 468.890625F, 174.74462890625F, 467.8310546875F);
            graphicsPath.AddBezier(174.74462890625F, 467.8310546875F, 174.74462890625F, 466.7705078125F, 175.603515625F, 465.9130859375F, 176.6630859375F, 465.9130859375F);
            graphicsPath.AddBezier(176.6630859375F, 465.9130859375F, 177.72265625F, 465.9130859375F, 178.58154296875F, 466.7705078125F, 178.58154296875F, 467.8310546875F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 255, 255, 255));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            if(pen == null) pen = new Pen(Color.Red);

            pen.Color      = Color.FromArgb(255, 23, 81, 53);
            pen.MiterLimit = 4F;
            pen.LineJoin   = LineJoin.Miter;
            pen.StartCap   = LineCap.Flat;
            pen.EndCap     = LineCap.Flat;
            pen.Width      = 1F;
            pen.DashStyle  = DashStyle.Solid;

            graphics.DrawPath(pen, graphicsPath);

            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(177.25F, 467.826171875F, 177.25F, 468.150390625F, 176.9873046875F, 468.4130859375F, 176.6630859375F, 468.4130859375F);
            graphicsPath.AddBezier(176.6630859375F, 468.4130859375F, 176.3388671875F, 468.4130859375F, 176.076171875F, 468.150390625F, 176.076171875F, 467.826171875F);
            graphicsPath.AddBezier(176.076171875F, 467.826171875F, 176.076171875F, 467.501953125F, 176.3388671875F, 467.2392578125F, 176.6630859375F, 467.2392578125F);
            graphicsPath.AddBezier(176.6630859375F, 467.2392578125F, 176.9873046875F, 467.2392578125F, 177.25F, 467.501953125F, 177.25F, 467.826171875F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 255, 255, 255));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            if(pen == null) pen = new Pen(Color.Red);

            pen.Color      = Color.FromArgb(255, 21, 127, 50);
            pen.MiterLimit = 4F;
            pen.LineJoin   = LineJoin.Miter;
            pen.StartCap   = LineCap.Flat;
            pen.EndCap     = LineCap.Flat;
            pen.Width      = 1F;
            pen.DashStyle  = DashStyle.Solid;

            graphics.DrawPath(pen, graphicsPath);

            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(194.5048828125F, 537.7646484375F, 193.47900390625F, 537.044921875F, 192.9658203125F, 536.6875F, 191.94189453125F, 536.0107421875F);
            graphicsPath.AddBezier(191.94189453125F, 536.0107421875F, 190.7236328125F, 535.205078125F, 190.1220703125F, 535.79296875F, 190.5693359375F, 537.5078125F);
            graphicsPath.AddBezier(190.5693359375F, 537.5078125F, 191.43359375F, 540.822265625F, 192.2529296875F, 542.4384765625F, 193.99609375F, 544.685546875F);
            graphicsPath.AddBezier(193.99609375F, 544.685546875F, 194.8974609375F, 545.84765625F, 196.16943359375F, 546.94140625F, 197.27880859375F, 548.0146484375F);
            graphicsPath.AddBezier(197.27880859375F, 548.0146484375F, 197.9736328125F, 548.6865234375F, 198.3017578125F, 549.0087890625F, 198.93994140625F, 549.62109375F);
            graphicsPath.AddBezier(198.93994140625F, 549.62109375F, 199.826171875F, 550.470703125F, 199.60205078125F, 550.0439453125F, 198.99169921875F, 548.9423828125F);
            graphicsPath.AddBezier(198.99169921875F, 548.9423828125F, 197.619140625F, 546.46484375F, 197.02978515625F, 544.8349609375F, 196.4306640625F, 541.484375F);
            graphicsPath.AddBezier(196.4306640625F, 541.484375F, 196.21484375F, 540.2783203125F, 195.54296875F, 538.4931640625F, 194.5048828125F, 537.7646484375F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(200.1689453125F, 523.0146484375F, 199.486328125F, 522.32421875F, 199.162109375F, 522.0107421875F, 198.5732421875F, 521.5078125F);
            graphicsPath.AddBezier(198.5732421875F, 521.5078125F, 197.8720703125F, 520.9091796875F, 196.32763671875F, 521.1787109375F, 194.728515625F, 522.375F);
            graphicsPath.AddBezier(194.728515625F, 522.375F, 191.66259765625F, 524.66796875F, 190.8916015625F, 526.287109375F, 190.2177734375F, 529.58984375F);
            graphicsPath.AddBezier(190.2177734375F, 529.58984375F, 189.8662109375F, 531.3134765625F, 190.58203125F, 532.9580078125F, 191.99169921875F, 533.88671875F);
            graphicsPath.AddBezier(191.99169921875F, 533.88671875F, 192.8740234375F, 534.4677734375F, 193.3193359375F, 534.775390625F, 194.212890625F, 535.40234375F);
            graphicsPath.AddBezier(194.212890625F, 535.40234375F, 195.453125F, 536.2734375F, 196.021484375F, 535.28125F, 196.2412109375F, 533.763671875F);
            graphicsPath.AddBezier(196.2412109375F, 533.763671875F, 196.73486328125F, 530.3544921875F, 197.29931640625F, 528.6572265625F, 199.4521484375F, 525.98828125F);
            graphicsPath.AddBezier(199.4521484375F, 525.98828125F, 200.22705078125F, 525.02734375F, 200.85986328125F, 523.712890625F, 200.1689453125F, 523.0146484375F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(202.4375F, 543.078125F, 201.3740234375F, 542.4619140625F, 200.8466796875F, 542.125F, 199.80029296875F, 541.435546875F);
            graphicsPath.AddBezier(199.80029296875F, 541.435546875F, 198.61669921875F, 540.65625F, 197.958984375F, 541.123046875F, 198.205078125F, 542.7841796875F);
            graphicsPath.AddBezier(198.205078125F, 542.7841796875F, 198.6806640625F, 545.9951171875F, 199.16357421875F, 547.55859375F, 200.34619140625F, 549.994140625F);
            graphicsPath.AddBezier(200.34619140625F, 549.994140625F, 200.95751953125F, 551.25390625F, 201.88818359375F, 552.3251953125F, 202.83349609375F, 553.0205078125F);
            graphicsPath.AddBezier(202.83349609375F, 553.0205078125F, 203.40869140625F, 553.443359375F, 203.69677734375F, 553.638671875F, 204.291015625F, 553.9892578125F);
            graphicsPath.AddBezier(204.291015625F, 553.9892578125F, 205.1826171875F, 554.515625F, 205.2197265625F, 553.8828125F, 204.931640625F, 552.849609375F);
            graphicsPath.AddBezier(204.931640625F, 552.849609375F, 204.28369140625F, 550.52734375F, 204.11572265625F, 549.1240234375F, 204.064453125F, 546.2275390625F);
            graphicsPath.AddBezier(204.064453125F, 546.2275390625F, 204.0458984375F, 545.1845703125F, 203.5771484375F, 543.7392578125F, 202.4375F, 543.078125F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(205.95556640625F, 529.1552734375F, 205.1640625F, 528.3466796875F, 204.76318359375F, 527.9169921875F, 203.97802734375F, 527.072265625F);
            graphicsPath.AddBezier(203.97802734375F, 527.072265625F, 203.08984375F, 526.1171875F, 201.88671875F, 526.193359375F, 200.9453125F, 527.5751953125F);
            graphicsPath.AddBezier(200.9453125F, 527.5751953125F, 199.14013671875F, 530.224609375F, 198.63671875F, 531.84765625F, 198.15771484375F, 535.103515625F);
            graphicsPath.AddBezier(198.15771484375F, 535.103515625F, 197.90771484375F, 536.802734375F, 198.6005859375F, 538.5361328125F, 200.07421875F, 539.5283203125F);
            graphicsPath.AddBezier(200.07421875F, 539.5283203125F, 200.970703125F, 540.1318359375F, 201.42138671875F, 540.42578125F, 202.3291015625F, 540.982421875F);
            graphicsPath.AddBezier(202.3291015625F, 540.982421875F, 203.69091796875F, 541.8173828125F, 204.32373046875F, 540.8623046875F, 204.529296875F, 539.521484375F);
            graphicsPath.AddBezier(204.529296875F, 539.521484375F, 204.99072265625F, 536.5107421875F, 205.36328125F, 534.9892578125F, 206.369140625F, 532.296875F);
            graphicsPath.AddBezier(206.369140625F, 532.296875F, 206.73095703125F, 531.3271484375F, 206.8037109375F, 530.021484375F, 205.95556640625F, 529.1552734375F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 255, 216, 31));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();

            graphicsPath.StartFigure();
            graphicsPath.AddBezier(215.611328125F, 547.0234375F, 214.6611328125F, 546.8515625F, 214.185546875F, 546.7724609375F, 213.23828125F, 546.6171875F);
            graphicsPath.AddBezier(213.23828125F, 546.6171875F, 212.11083984375F, 546.4326171875F, 211.44482421875F, 547.060546875F, 211.39306640625F, 548.35546875F);
            graphicsPath.AddBezier(211.39306640625F, 548.35546875F, 211.29248046875F, 550.8583984375F, 211.2763671875F, 552.076171875F, 211.51416015625F, 554.2578125F);
            graphicsPath.AddBezier(211.51416015625F, 554.2578125F, 211.63720703125F, 555.3857421875F, 212.447265625F, 556.15625F, 213.890625F, 556.421875F);
            graphicsPath.AddBezier(213.890625F, 556.421875F, 214.79443359375F, 556.587890625F, 215.25390625F, 556.6806640625F, 216.1640625F, 556.890625F);
            graphicsPath.AddBezier(216.1640625F, 556.890625F, 217.42822265625F, 557.181640625F, 217.89501953125F, 556.4970703125F, 217.794921875F, 555.447265625F);
            graphicsPath.AddBezier(217.794921875F, 555.447265625F, 217.5703125F, 553.0859375F, 217.46923828125F, 551.80859375F, 217.25048828125F, 549.2548828125F);
            graphicsPath.AddBezier(217.25048828125F, 549.2548828125F, 217.171875F, 548.3349609375F, 216.57275390625F, 547.197265625F, 215.611328125F, 547.0234375F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(214.7724609375F, 535.3662109375F, 214.1845703125F, 535.0908203125F, 213.8974609375F, 534.94921875F, 213.30517578125F, 534.642578125F);
            graphicsPath.AddBezier(213.30517578125F, 534.642578125F, 212.60009765625F, 534.27734375F, 212.20458984375F, 534.716796875F, 212.1669921875F, 536.0087890625F);
            graphicsPath.AddBezier(212.1669921875F, 536.0087890625F, 212.0947265625F, 538.486328125F, 211.97802734375F, 539.7958984375F, 211.78125F, 542.376953125F);
            graphicsPath.AddBezier(211.78125F, 542.376953125F, 211.6787109375F, 543.7236328125F, 212.19775390625F, 544.7783203125F, 213.43408203125F, 545.001953125F);
            graphicsPath.AddBezier(213.43408203125F, 545.001953125F, 214.20849609375F, 545.142578125F, 214.595703125F, 545.21484375F, 215.37109375F, 545.3623046875F);
            graphicsPath.AddBezier(215.37109375F, 545.3623046875F, 216.44775390625F, 545.5673828125F, 216.837890625F, 544.63671875F, 216.72265625F, 543.509765625F);
            graphicsPath.AddBezier(216.72265625F, 543.509765625F, 216.4638671875F, 540.978515625F, 216.3212890625F, 539.7255859375F, 215.9677734375F, 537.4375F);
            graphicsPath.AddBezier(215.9677734375F, 537.4375F, 215.84033203125F, 536.61328125F, 215.36767578125F, 535.64453125F, 214.7724609375F, 535.3662109375F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(222.7470703125F, 548.767578125F, 221.8359375F, 548.4599609375F, 221.3740234375F, 548.322265625F, 220.4423828125F, 548.0732421875F);
            graphicsPath.AddBezier(220.4423828125F, 548.0732421875F, 219.388671875F, 547.7919921875F, 218.86474609375F, 548.375F, 219.02001953125F, 549.6884765625F);
            graphicsPath.AddBezier(219.02001953125F, 549.6884765625F, 219.3203125F, 552.2275390625F, 219.44921875F, 553.5048828125F, 219.65478515625F, 555.8984375F);
            graphicsPath.AddBezier(219.65478515625F, 555.8984375F, 219.7607421875F, 557.1357421875F, 220.50439453125F, 558.119140625F, 221.77490234375F, 558.685546875F);
            graphicsPath.AddBezier(221.77490234375F, 558.685546875F, 222.54833984375F, 559.0302734375F, 222.91748046875F, 559.2177734375F, 223.60107421875F, 559.6279296875F);
            graphicsPath.AddBezier(223.60107421875F, 559.6279296875F, 224.62646484375F, 560.2431640625F, 225.01025390625F, 559.5087890625F, 225.02197265625F, 558.2880859375F);
            graphicsPath.AddBezier(225.02197265625F, 558.2880859375F, 225.048828125F, 555.54296875F, 224.9091796875F, 554.12109375F, 224.49658203125F, 551.3642578125F);
            graphicsPath.AddBezier(224.49658203125F, 551.3642578125F, 224.34814453125F, 550.3720703125F, 223.72314453125F, 549.09765625F, 222.7470703125F, 548.767578125F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(219.8291015625F, 537.3818359375F, 219.0341796875F, 537.1015625F, 218.6708984375F, 536.970703125F, 217.98046875F, 536.708984375F);
            graphicsPath.AddBezier(217.98046875F, 536.708984375F, 217.19970703125F, 536.4130859375F, 216.93603515625F, 536.81640625F, 217.17529296875F, 537.9580078125F);
            graphicsPath.AddBezier(217.17529296875F, 537.9580078125F, 217.6337890625F, 540.1474609375F, 217.845703125F, 541.3515625F, 218.224609375F, 543.8095703125F);
            graphicsPath.AddBezier(218.224609375F, 543.8095703125F, 218.42236328125F, 545.0927734375F, 219.1416015625F, 546.1455078125F, 220.376953125F, 546.478515625F);
            graphicsPath.AddBezier(220.376953125F, 546.478515625F, 221.12890625F, 546.681640625F, 221.50537109375F, 546.791015625F, 222.2548828125F, 547.03125F);
            graphicsPath.AddBezier(222.2548828125F, 547.03125F, 223.37890625F, 547.3916015625F, 223.57470703125F, 546.4892578125F, 223.2939453125F, 545.341796875F);
            graphicsPath.AddBezier(223.2939453125F, 545.341796875F, 222.6630859375F, 542.765625F, 222.2919921875F, 541.5322265625F, 221.6142578125F, 539.37109375F);
            graphicsPath.AddBezier(221.6142578125F, 539.37109375F, 221.3701171875F, 538.5927734375F, 220.6806640625F, 537.681640625F, 219.8291015625F, 537.3818359375F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 255, 216, 31));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(236.1533203125F, 557.9736328125F, 234.9267578125F, 556.9228515625F, 234.2939453125F, 556.4169921875F, 233.072265625F, 555.458984375F);
            graphicsPath.AddBezier(233.072265625F, 555.458984375F, 231.61767578125F, 554.318359375F, 230.90625F, 554.5234375F, 230.88671875F, 555.947265625F);
            graphicsPath.AddBezier(230.88671875F, 555.947265625F, 230.84912109375F, 558.69921875F, 230.7490234375F, 560.1005859375F, 230.2353515625F, 562.8798828125F);
            graphicsPath.AddBezier(230.2353515625F, 562.8798828125F, 229.9697265625F, 564.31640625F, 230.2470703125F, 565.7392578125F, 231.49658203125F, 566.71484375F);
            graphicsPath.AddBezier(231.49658203125F, 566.71484375F, 232.2783203125F, 567.3251953125F, 232.68212890625F, 567.6318359375F, 233.474609375F, 568.232421875F);
            graphicsPath.AddBezier(233.474609375F, 568.232421875F, 234.57568359375F, 569.0673828125F, 235.45947265625F, 568.5048828125F, 235.8671875F, 567.4375F);
            graphicsPath.AddBezier(235.8671875F, 567.4375F, 236.78369140625F, 565.037109375F, 237.12939453125F, 563.853515625F, 237.658203125F, 561.462890625F);
            graphicsPath.AddBezier(237.658203125F, 561.462890625F, 237.8486328125F, 560.6025390625F, 237.39453125F, 559.037109375F, 236.1533203125F, 557.9736328125F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(236.35498046875F, 545.900390625F, 234.7802734375F, 544.67578125F, 233.96630859375F, 544.11328125F, 232.3857421875F, 543.103515625F);
            graphicsPath.AddBezier(232.3857421875F, 543.103515625F, 230.50341796875F, 541.9013671875F, 229.63134765625F, 542.0517578125F, 229.822265625F, 543.318359375F);
            graphicsPath.AddBezier(229.822265625F, 543.318359375F, 230.18798828125F, 545.74609375F, 230.37646484375F, 547.02734375F, 230.6171875F, 549.6513671875F);
            graphicsPath.AddBezier(230.6171875F, 549.6513671875F, 230.74267578125F, 551.0205078125F, 231.57275390625F, 552.5634765625F, 233.326171875F, 553.927734375F);
            graphicsPath.AddBezier(233.326171875F, 553.927734375F, 234.42333984375F, 554.7822265625F, 234.986328125F, 555.232421875F, 236.0859375F, 556.1669921875F);
            graphicsPath.AddBezier(236.0859375F, 556.1669921875F, 237.61376953125F, 557.46484375F, 238.40478515625F, 557.1328125F, 238.51171875F, 556.0458984375F);
            graphicsPath.AddBezier(238.51171875F, 556.0458984375F, 238.75244140625F, 553.60546875F, 238.79443359375F, 552.37109375F, 238.78125F, 549.80859375F);
            graphicsPath.AddBezier(238.78125F, 549.80859375F, 238.7763671875F, 548.8857421875F, 237.9482421875F, 547.1396484375F, 236.35498046875F, 545.900390625F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(243.8828125F, 566.724609375F, 243.2275390625F, 565.5068359375F, 242.81005859375F, 564.90234375F, 241.8701171875F, 563.720703125F);
            graphicsPath.AddBezier(241.8701171875F, 563.720703125F, 240.806640625F, 562.3837890625F, 239.9111328125F, 562.25390625F, 239.57177734375F, 563.37109375F);
            graphicsPath.AddBezier(239.57177734375F, 563.37109375F, 238.916015625F, 565.5302734375F, 238.50927734375F, 566.587890625F, 237.509765625F, 568.7509765625F);
            graphicsPath.AddBezier(237.509765625F, 568.7509765625F, 236.9931640625F, 569.869140625F, 237.1884765625F, 571.0703125F, 238.1533203125F, 571.9140625F);
            graphicsPath.AddBezier(238.1533203125F, 571.9140625F, 238.74072265625F, 572.427734375F, 239.00537109375F, 572.677734375F, 239.44482421875F, 573.1474609375F);
            graphicsPath.AddBezier(239.44482421875F, 573.1474609375F, 240.10400390625F, 573.8525390625F, 240.69677734375F, 573.548828125F, 241.24365234375F, 572.9560546875F);
            graphicsPath.AddBezier(241.24365234375F, 572.9560546875F, 242.47265625F, 571.6240234375F, 243.041015625F, 571.01171875F, 244.0185546875F, 569.6650390625F);
            graphicsPath.AddBezier(244.0185546875F, 569.6650390625F, 244.37060546875F, 569.1806640625F, 244.58447265625F, 568.0283203125F, 243.8828125F, 566.724609375F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(246.181640625F, 557.3466796875F, 245.36083984375F, 555.599609375F, 244.833984375F, 554.759765625F, 243.64404296875F, 553.162109375F);
            graphicsPath.AddBezier(243.64404296875F, 553.162109375F, 242.2978515625F, 551.35546875F, 241.34765625F, 551.142578125F, 241.3037109375F, 552.41796875F);
            graphicsPath.AddBezier(241.3037109375F, 552.41796875F, 241.21923828125F, 554.8642578125F, 241.11474609375F, 556.0126953125F, 240.75341796875F, 558.25F);
            graphicsPath.AddBezier(240.75341796875F, 558.25F, 240.56494140625F, 559.41796875F, 241.19921875F, 560.9990234375F, 242.5087890625F, 562.7333984375F);
            graphicsPath.AddBezier(242.5087890625F, 562.7333984375F, 243.30615234375F, 563.7890625F, 243.66552734375F, 564.3291015625F, 244.25634765625F, 565.419921875F);
            graphicsPath.AddBezier(244.25634765625F, 565.419921875F, 245.14208984375F, 567.0556640625F, 245.58935546875F, 567.1123046875F, 245.8916015625F, 566.400390625F);
            graphicsPath.AddBezier(245.8916015625F, 566.400390625F, 246.5703125F, 564.8017578125F, 246.8232421875F, 563.92578125F, 247.0888671875F, 561.7822265625F);
            graphicsPath.AddBezier(247.0888671875F, 561.7822265625F, 247.1845703125F, 561.0107421875F, 247.060546875F, 559.2177734375F, 246.181640625F, 557.3466796875F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 255, 216, 31));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(192.91064453125F, 594.2587890625F, 191.884765625F, 593.3828125F, 191.373046875F, 592.962890625F, 190.34912109375F, 592.2119140625F);
            graphicsPath.AddBezier(190.34912109375F, 592.2119140625F, 189.13037109375F, 591.3173828125F, 188.59228515625F, 592.34765625F, 189.1474609375F, 594.765625F);
            graphicsPath.AddBezier(189.1474609375F, 594.765625F, 190.220703125F, 599.439453125F, 191.14111328125F, 601.7109375F, 192.9619140625F, 604.4619140625F);
            graphicsPath.AddBezier(192.9619140625F, 604.4619140625F, 193.9033203125F, 605.884765625F, 195.169921875F, 606.947265625F, 196.279296875F, 607.9912109375F);
            graphicsPath.AddBezier(196.279296875F, 607.9912109375F, 196.97412109375F, 608.64453125F, 197.3017578125F, 608.9541015625F, 197.93994140625F, 609.533203125F);
            graphicsPath.AddBezier(197.93994140625F, 609.533203125F, 198.826171875F, 610.3369140625F, 198.6025390625F, 609.8642578125F, 197.9580078125F, 608.5712890625F);
            graphicsPath.AddBezier(197.9580078125F, 608.5712890625F, 196.50830078125F, 605.6650390625F, 195.81591796875F, 603.5146484375F, 195.00341796875F, 599.0927734375F);
            graphicsPath.AddBezier(195.00341796875F, 599.0927734375F, 194.7109375F, 597.5009765625F, 193.94873046875F, 595.14453125F, 192.91064453125F, 594.2587890625F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(197.8359375F, 575.3017578125F, 197.1533203125F, 574.2138671875F, 196.82958984375F, 573.7353515625F, 196.24072265625F, 573.0322265625F);
            graphicsPath.AddBezier(196.24072265625F, 573.0322265625F, 195.53955078125F, 572.1953125F, 193.9873046875F, 572.4619140625F, 192.42578125F, 573.9013671875F);
            graphicsPath.AddBezier(192.42578125F, 573.9013671875F, 189.431640625F, 576.6611328125F, 188.7568359375F, 578.9111328125F, 188.28857421875F, 583.546875F);
            graphicsPath.AddBezier(188.28857421875F, 583.546875F, 188.0439453125F, 585.9658203125F, 188.8447265625F, 588.1279296875F, 190.25439453125F, 589.2109375F);
            graphicsPath.AddBezier(190.25439453125F, 589.2109375F, 191.13720703125F, 589.8896484375F, 191.580078125F, 590.267578125F, 192.4736328125F, 591.0634765625F);
            graphicsPath.AddBezier(192.4736328125F, 591.0634765625F, 193.7138671875F, 592.16796875F, 194.19091796875F, 590.865234375F, 194.31640625F, 588.875F);
            graphicsPath.AddBezier(194.31640625F, 588.875F, 194.5986328125F, 584.404296875F, 195.0625F, 582.1962890625F, 197.1455078125F, 579.1328125F);
            graphicsPath.AddBezier(197.1455078125F, 579.1328125F, 197.8955078125F, 578.0302734375F, 198.52685546875F, 576.4033203125F, 197.8359375F, 575.3017578125F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(200.8427734375F, 601.1142578125F, 199.779296875F, 600.3017578125F, 199.251953125F, 599.8564453125F, 198.20556640625F, 598.9501953125F);
            graphicsPath.AddBezier(198.20556640625F, 598.9501953125F, 197.02197265625F, 597.9248046875F, 196.42919921875F, 598.5263671875F, 196.783203125F, 600.6572265625F);
            graphicsPath.AddBezier(196.783203125F, 600.6572265625F, 197.4677734375F, 604.775390625F, 198.0517578125F, 606.7724609375F, 199.31201171875F, 609.564453125F);
            graphicsPath.AddBezier(199.31201171875F, 609.564453125F, 199.96337890625F, 611.0078125F, 200.8876953125F, 612.033203125F, 201.8330078125F, 612.654296875F);
            graphicsPath.AddBezier(201.8330078125F, 612.654296875F, 202.408203125F, 613.0322265625F, 202.69677734375F, 613.205078125F, 203.291015625F, 613.513671875F);
            graphicsPath.AddBezier(203.291015625F, 613.513671875F, 204.18212890625F, 613.9765625F, 204.220703125F, 613.3583984375F, 203.89794921875F, 612.2763671875F);
            graphicsPath.AddBezier(203.89794921875F, 612.2763671875F, 203.1728515625F, 609.84375F, 202.90185546875F, 608.2294921875F, 202.6376953125F, 604.8935546875F);
            graphicsPath.AddBezier(202.6376953125F, 604.8935546875F, 202.54248046875F, 603.6923828125F, 201.982421875F, 601.984375F, 200.8427734375F, 601.1142578125F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(203.62109375F, 585.33203125F, 202.82958984375F, 584.0283203125F, 202.43017578125F, 583.322265625F, 201.64501953125F, 581.9296875F);
            graphicsPath.AddBezier(201.64501953125F, 581.9296875F, 200.7568359375F, 580.35546875F, 199.5458984375F, 580.0517578125F, 198.6416015625F, 581.6064453125F);
            graphicsPath.AddBezier(198.6416015625F, 581.6064453125F, 196.908203125F, 584.5869140625F, 196.501953125F, 586.630859375F, 196.228515625F, 590.7763671875F);
            graphicsPath.AddBezier(196.228515625F, 590.7763671875F, 196.0859375F, 592.939453125F, 196.86279296875F, 595.2177734375F, 198.3359375F, 596.5859375F);
            graphicsPath.AddBezier(198.3359375F, 596.5859375F, 199.232421875F, 597.4189453125F, 199.6826171875F, 597.8291015625F, 200.59033203125F, 598.595703125F);
            graphicsPath.AddBezier(200.59033203125F, 598.595703125F, 201.95166015625F, 599.74609375F, 202.49267578125F, 598.6884765625F, 202.60400390625F, 597.154296875F);
            graphicsPath.AddBezier(202.60400390625F, 597.154296875F, 202.8544921875F, 593.7080078125F, 203.126953125F, 591.9775390625F, 204.06298828125F, 589.1923828125F);
            graphicsPath.AddBezier(204.06298828125F, 589.1923828125F, 204.39990234375F, 588.189453125F, 204.46923828125F, 586.728515625F, 203.62109375F, 585.33203125F);
            graphicsPath.CloseFigure();

            brush = new SolidBrush(Color.FromArgb(255, 255, 216, 31));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(215.6123046875F, 606.880859375F, 214.24267578125F, 606.4375F, 213.576171875F, 606.2265625F, 212.3251953125F, 605.85546875F);
            graphicsPath.AddBezier(212.3251953125F, 605.85546875F, 210.83642578125F, 605.4140625F, 210.1220703125F, 606.01953125F, 210.150390625F, 607.4013671875F);
            graphicsPath.AddBezier(210.150390625F, 607.4013671875F, 210.205078125F, 610.072265625F, 210.263671875F, 611.3720703125F, 210.5673828125F, 613.650390625F);
            graphicsPath.AddBezier(210.5673828125F, 613.650390625F, 210.724609375F, 614.828125F, 211.5634765625F, 615.6611328125F, 213.1982421875F, 616.125F);
            graphicsPath.AddBezier(213.1982421875F, 616.125F, 214.2216796875F, 616.416015625F, 214.755859375F, 616.58203125F, 215.8447265625F, 616.931640625F);
            graphicsPath.AddBezier(215.8447265625F, 616.931640625F, 217.35791015625F, 617.4169921875F, 218.03076171875F, 616.779296875F, 217.9921875F, 615.7080078125F);
            graphicsPath.AddBezier(217.9921875F, 615.7080078125F, 217.90478515625F, 613.30078125F, 217.8828125F, 612.037109375F, 217.8193359375F, 609.5166015625F);
            graphicsPath.AddBezier(217.8193359375F, 609.5166015625F, 217.79638671875F, 608.609375F, 216.998046875F, 607.330078125F, 215.6123046875F, 606.880859375F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(215.09326171875F, 594.9990234375F, 213.84228515625F, 594.31640625F, 213.240234375F, 593.98046875F, 212.1416015625F, 593.3623046875F);
            graphicsPath.AddBezier(212.1416015625F, 593.3623046875F, 210.833984375F, 592.6259765625F, 210.26806640625F, 592.97265625F, 210.2626953125F, 594.3125F);
            graphicsPath.AddBezier(210.2626953125F, 594.3125F, 210.25244140625F, 596.8818359375F, 210.2080078125F, 598.271484375F, 210.16357421875F, 601.017578125F);
            graphicsPath.AddBezier(210.16357421875F, 601.017578125F, 210.14013671875F, 602.451171875F, 210.81640625F, 603.6474609375F, 212.5283203125F, 604.205078125F);
            graphicsPath.AddBezier(212.5283203125F, 604.205078125F, 213.60009765625F, 604.5537109375F, 214.1669921875F, 604.748046875F, 215.3291015625F, 605.150390625F);
            graphicsPath.AddBezier(215.3291015625F, 605.150390625F, 216.94384765625F, 605.708984375F, 217.689453125F, 604.970703125F, 217.64306640625F, 603.857421875F);
            graphicsPath.AddBezier(217.64306640625F, 603.857421875F, 217.53955078125F, 601.357421875F, 217.4736328125F, 600.1181640625F, 217.25634765625F, 597.7783203125F);
            graphicsPath.AddBezier(217.25634765625F, 597.7783203125F, 217.17822265625F, 596.9365234375F, 216.359375F, 595.6904296875F, 215.09326171875F, 594.9990234375F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(226.41455078125F, 610.3779296875F, 225.037109375F, 609.96875F, 224.32275390625F, 609.7421875F, 222.88916015625F, 609.279296875F);
            graphicsPath.AddBezier(222.88916015625F, 609.279296875F, 221.267578125F, 608.755859375F, 220.34326171875F, 609.11328125F, 220.369140625F, 610.369140625F);
            graphicsPath.AddBezier(220.369140625F, 610.369140625F, 220.4189453125F, 612.7958984375F, 220.421875F, 614.0205078125F, 220.42626953125F, 616.423828125F);
            graphicsPath.AddBezier(220.42626953125F, 616.423828125F, 220.42822265625F, 617.666015625F, 221.3037109375F, 618.7919921875F, 223.10400390625F, 619.4296875F);
            graphicsPath.AddBezier(223.10400390625F, 619.4296875F, 224.19970703125F, 619.818359375F, 224.744140625F, 620.013671875F, 225.80615234375F, 620.3828125F);
            graphicsPath.AddBezier(225.80615234375F, 620.3828125F, 227.3994140625F, 620.9375F, 228.1044921875F, 620.078125F, 228.2236328125F, 618.916015625F);
            graphicsPath.AddBezier(228.2236328125F, 618.916015625F, 228.49169921875F, 616.3037109375F, 228.54833984375F, 615.0791015625F, 228.53759765625F, 612.7333984375F);
            graphicsPath.AddBezier(228.53759765625F, 612.7333984375F, 228.53369140625F, 611.888671875F, 227.89013671875F, 610.81640625F, 226.41455078125F, 610.3779296875F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(225.138671875F, 600.0849609375F, 223.86328125F, 599.509765625F, 223.1953125F, 599.189453125F, 221.85498046875F, 598.5283203125F);
            graphicsPath.AddBezier(221.85498046875F, 598.5283203125F, 220.3388671875F, 597.7802734375F, 219.5458984375F, 597.9150390625F, 219.68212890625F, 599.064453125F);
            graphicsPath.AddBezier(219.68212890625F, 599.064453125F, 219.943359375F, 601.2685546875F, 220.03173828125F, 602.42578125F, 220.1630859375F, 604.7744140625F);
            graphicsPath.AddBezier(220.1630859375F, 604.7744140625F, 220.2314453125F, 606F, 221.2138671875F, 607.2197265625F, 223.16796875F, 607.880859375F);
            graphicsPath.AddBezier(223.16796875F, 607.880859375F, 224.357421875F, 608.283203125F, 224.94921875F, 608.48046875F, 226.0986328125F, 608.841796875F);
            graphicsPath.AddBezier(226.0986328125F, 608.841796875F, 227.82275390625F, 609.3837890625F, 228.36376953125F, 608.640625F, 228.2607421875F, 607.6748046875F);
            graphicsPath.AddBezier(228.2607421875F, 607.6748046875F, 228.02880859375F, 605.5048828125F, 227.85205078125F, 604.466796875F, 227.4072265625F, 602.4228515625F);
            graphicsPath.AddBezier(227.4072265625F, 602.4228515625F, 227.2470703125F, 601.6875F, 226.5048828125F, 600.701171875F, 225.138671875F, 600.0849609375F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 255, 216, 31));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();

            graphicsPath.StartFigure();
            graphicsPath.AddBezier(243.31640625F, 618.4140625F, 241.86865234375F, 617.3955078125F, 241.11962890625F, 616.912109375F, 239.666015625F, 616.0234375F);
            graphicsPath.AddBezier(239.666015625F, 616.0234375F, 237.935546875F, 614.9658203125F, 237.033203125F, 615.1064453125F, 236.94775390625F, 616.279296875F);
            graphicsPath.AddBezier(236.94775390625F, 616.279296875F, 236.7822265625F, 618.5458984375F, 236.6220703125F, 619.708984375F, 236.0927734375F, 622.1953125F);
            graphicsPath.AddBezier(236.0927734375F, 622.1953125F, 235.81884765625F, 623.4814453125F, 236.34814453125F, 624.822265625F, 238.0595703125F, 625.978515625F);
            graphicsPath.AddBezier(238.0595703125F, 625.978515625F, 239.130859375F, 626.7021484375F, 239.677734375F, 627.0888671875F, 240.7392578125F, 627.87109375F);
            graphicsPath.AddBezier(240.7392578125F, 627.87109375F, 242.21435546875F, 628.9580078125F, 243.2109375F, 628.5654296875F, 243.5859375F, 627.533203125F);
            graphicsPath.AddBezier(243.5859375F, 627.533203125F, 244.4287109375F, 625.2119140625F, 244.73974609375F, 624.076171875F, 245.201171875F, 621.7880859375F);
            graphicsPath.AddBezier(245.201171875F, 621.7880859375F, 245.3671875F, 620.96484375F, 244.78125F, 619.4453125F, 243.31640625F, 618.4140625F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(243.34912109375F, 607.25F, 241.6650390625F, 606.3544921875F, 240.79541015625F, 605.9599609375F, 239.11376953125F, 605.25390625F);
            graphicsPath.AddBezier(239.11376953125F, 605.25390625F, 237.111328125F, 604.4130859375F, 236.20703125F, 604.6806640625F, 236.39208984375F, 605.7998046875F);
            graphicsPath.AddBezier(236.39208984375F, 605.7998046875F, 236.7470703125F, 607.9453125F, 236.87744140625F, 608.9951171875F, 236.9931640625F, 611.140625F);
            graphicsPath.AddBezier(236.9931640625F, 611.140625F, 237.0537109375F, 612.2607421875F, 237.962890625F, 613.5185546875F, 240.00146484375F, 614.734375F);
            graphicsPath.AddBezier(240.00146484375F, 614.734375F, 241.27734375F, 615.4951171875F, 241.9296875F, 615.9052734375F, 243.2021484375F, 616.767578125F);
            graphicsPath.AddBezier(243.2021484375F, 616.767578125F, 244.9697265625F, 617.9658203125F, 245.828125F, 617.6484375F, 245.9052734375F, 616.607421875F);
            graphicsPath.AddBezier(245.9052734375F, 616.607421875F, 246.07861328125F, 614.2685546875F, 246.0869140625F, 613.0849609375F, 246F, 610.6005859375F);
            graphicsPath.AddBezier(246F, 610.6005859375F, 245.96875F, 609.7060546875F, 245.05322265625F, 608.15625F, 243.34912109375F, 607.25F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(252.23876953125F, 627.150390625F, 251.52392578125F, 625.9228515625F, 251.052734375F, 625.3134765625F, 249.978515625F, 624.123046875F);
            graphicsPath.AddBezier(249.978515625F, 624.123046875F, 248.763671875F, 622.7763671875F, 247.77587890625F, 622.658203125F, 247.4951171875F, 623.7919921875F);
            graphicsPath.AddBezier(247.4951171875F, 623.7919921875F, 246.9521484375F, 625.982421875F, 246.6005859375F, 627.0546875F, 245.6875F, 629.220703125F);
            graphicsPath.AddBezier(245.6875F, 629.220703125F, 245.21533203125F, 630.3408203125F, 245.61474609375F, 631.716796875F, 246.8115234375F, 632.828125F);
            graphicsPath.AddBezier(246.8115234375F, 632.828125F, 247.5400390625F, 633.5048828125F, 247.86181640625F, 633.82421875F, 248.37109375F, 634.3837890625F);
            graphicsPath.AddBezier(248.37109375F, 634.3837890625F, 249.13525390625F, 635.22265625F, 249.6982421875F, 634.8837890625F, 250.21044921875F, 634.240234375F);
            graphicsPath.AddBezier(250.21044921875F, 634.240234375F, 251.3623046875F, 632.79296875F, 251.828125F, 632.025390625F, 252.59228515625F, 630.359375F);
            graphicsPath.AddBezier(252.59228515625F, 630.359375F, 252.8671875F, 629.759765625F, 253.0048828125F, 628.4658203125F, 252.23876953125F, 627.150390625F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(253.82177734375F, 616.76171875F, 252.966796875F, 615.1171875F, 252.408203125F, 614.369140625F, 251.142578125F, 612.9990234375F);
            graphicsPath.AddBezier(251.142578125F, 612.9990234375F, 249.7109375F, 611.44921875F, 248.7109375F, 611.435546875F, 248.7109375F, 612.712890625F);
            graphicsPath.AddBezier(248.7109375F, 612.712890625F, 248.7109375F, 615.1611328125F, 248.6611328125F, 616.3251953125F, 248.4111328125F, 618.59375F);
            graphicsPath.AddBezier(248.4111328125F, 618.59375F, 248.28076171875F, 619.77734375F, 249.078125F, 621.3359375F, 250.5439453125F, 623.02734375F);
            graphicsPath.AddBezier(250.5439453125F, 623.02734375F, 251.4365234375F, 624.0576171875F, 251.83251953125F, 624.5859375F, 252.4697265625F, 625.6640625F);
            graphicsPath.AddBezier(252.4697265625F, 625.6640625F, 253.42578125F, 627.28125F, 253.7578125F, 627.19921875F, 253.9658203125F, 626.3466796875F);
            graphicsPath.AddBezier(253.9658203125F, 626.3466796875F, 254.43359375F, 624.431640625F, 254.5869140625F, 623.4052734375F, 254.7822265625F, 621.1572265625F);
            graphicsPath.AddBezier(254.7822265625F, 621.1572265625F, 254.8525390625F, 620.34765625F, 254.73779296875F, 618.5244140625F, 253.82177734375F, 616.76171875F);
            graphicsPath.CloseFigure();

            brush = new SolidBrush(Color.FromArgb(255, 255, 216, 31));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();

            if(pen != null)
            {
                pen.Dispose();
            }

            if(radialGraphicsPath != null)
            {
                radialGraphicsPath.Dispose();
            }

            if(graphicsPath != null)
            {
                graphicsPath.Dispose();
            }

            graphics.Transform = saveMatrix;
        }

        #endregion
    }
}