﻿using System.ComponentModel;
using System.Runtime.InteropServices;

namespace TestProject
{
	/// <summary>
	/// 성능 헬퍼
	/// </summary>
	public class PerformanceHelper
	{
        //////////////////////////////////////////////////////////////////////////////////////////////////// Import
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Private

        #region 성능 카운트 질의하기 - QueryPerformanceCounter(performanceCount)

        /// <summary>
        /// 성능 카운트 질의하기
        /// </summary>
        /// <param name="performanceCount">성능 카운트</param>
        /// <returns>처리 결과</returns>
		[DllImport("Kernel32.dll")]
		private static extern bool QueryPerformanceCounter(out long performanceCount);

        #endregion
        #region 성능 주기 질의하기 - QueryPerformanceFrequency(frequency)

        /// <summary>
        /// 성능 주기 질의하기
        /// </summary>
        /// <param name="frequency">주기</param>
        /// <returns>처리 결과</returns>
        [DllImport("Kernel32.dll")]
		private static extern bool QueryPerformanceFrequency(out long frequency);

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region Field

        /// <summary>
        /// 주기
        /// </summary>
		private long frequency;

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 경과 시간 - ElapsedTime

        /// <summary>
        /// 경과 시간
        /// </summary>
		public double ElapsedTime
		{
			get 
			{
				long time;

				QueryPerformanceCounter(out time);

				return ((double)time)/((double)frequency);
			}
		}

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - PerformanceHelper()

        /// <summary>
        /// 생성자
        /// </summary>
        public PerformanceHelper()
		{
			if(!QueryPerformanceFrequency(out this.frequency))
			{
				throw new Win32Exception();
			}
		}

        #endregion
	}
}