﻿using System.Collections;
using System.Drawing;
using System.Drawing.Drawing2D;
using System.Drawing.Text;

namespace TestProject
{
    /// <summary>
    /// 고양이/크레딧 그리기 객체
    /// </summary>
    public class CatCreditDrawingObject : BaseDrawingObject, IDrawingObject
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 명칭 - Name

        /// <summary>
        /// 명칭
        /// </summary>
        public string Name
        {
            get
            {
                return "Credits";
            }
        }

        #endregion
        #region 자식 그리기 객체 배열 - ChildArray

        /// <summary>
        /// 자식 그리기 객체 배열
        /// </summary>
        public override IDrawingObject[] ChildArray
        {
            get
            {
                IDrawingObject[] drawingObjectArray = new IDrawingObject[0];

                return drawingObjectArray;
            }
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - CatCreditDrawingObject(parent)

        /// <summary>
        /// 생성자
        /// </summary>
        /// <param name="parent">부모 그리기 객체</param>
        public CatCreditDrawingObject(IDrawingObject parent)
        {
            this.parent = parent;

            this.isVisible = true;

            this.cacheGraphicsPath = new GraphicsPath();
                
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(215.17236328125F, 874.8701171875F, 215.17236328125F, 848.1943359375F);
            this.cacheGraphicsPath.AddLine(41.22265625F, 848.1943359375F, 41.22265625F, 874.8701171875F);
            this.cacheGraphicsPath.AddLine(41.22265625F, 874.8701171875F, 215.17236328125F, 874.8701171875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(49.0537109375F, 864.568359375F, 50.2109375F, 860.87890625F);
            this.cacheGraphicsPath.AddBezier(50.2109375F, 860.87890625F, 50.4755859375F, 859.982421875F, 50.705078125F, 858.947265625F, 50.921875F, 858.0703125F);
            this.cacheGraphicsPath.AddBezier(50.9716796875F, 858.0703125F, 51.19775390625F, 858.939453125F, 51.44580078125F, 859.9560546875F, 51.73291015625F, 860.8828125F);
            this.cacheGraphicsPath.AddLine(52.91455078125F, 864.568359375F, 49.0537109375F, 864.568359375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(53.3662109375F, 866.646484375F, 54.72216796875F, 870.8857421875F);
            this.cacheGraphicsPath.AddLine(57.6611328125F, 870.8857421875F, 52.79248046875F, 855.916015625F);
            this.cacheGraphicsPath.AddLine(49.306640625F, 855.916015625F, 44.4990234375F, 870.8857421875F);
            this.cacheGraphicsPath.AddLine(47.32861328125F, 870.8857421875F, 48.60693359375F, 866.646484375F);
            this.cacheGraphicsPath.AddLine(48.60693359375F, 866.646484375F, 53.3662109375F, 866.646484375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(66.91259765625F, 866.189453125F, 66.91259765625F, 866.4755859375F, 66.8916015625F, 866.744140625F, 66.8291015625F, 866.98828125F);
            this.cacheGraphicsPath.AddBezier(66.8291015625F, 866.98828125F, 66.552734375F, 868.177734375F, 65.578125F, 868.94140625F, 64.45556640625F, 868.94140625F);
            this.cacheGraphicsPath.AddBezier(64.45556640625F, 868.94140625F, 62.72265625F, 868.94140625F, 61.732421875F, 867.4873046875F, 61.732421875F, 865.494140625F);
            this.cacheGraphicsPath.AddBezier(61.732421875F, 865.494140625F, 61.732421875F, 863.484375F, 62.71337890625F, 861.9248046875F, 64.486328125F, 861.9248046875F);
            this.cacheGraphicsPath.AddBezier(64.486328125F, 861.9248046875F, 65.72216796875F, 861.9248046875F, 66.60693359375F, 862.794921875F, 66.85107421875F, 863.8515625F);
            this.cacheGraphicsPath.AddBezier(66.85107421875F, 863.8515625F, 66.8984375F, 864.07421875F, 66.91259765625F, 864.345703125F, 66.91259765625F, 864.564453125F);
            this.cacheGraphicsPath.AddLine(66.91259765625F, 864.564453125F, 66.91259765625F, 866.189453125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(66.91259765625F, 855.1171875F, 66.91259765625F, 861.2177734375F);
            this.cacheGraphicsPath.AddBezier(66.86767578125F, 861.2177734375F, 66.380859375F, 860.41796875F, 65.30859375F, 859.806640625F, 63.81982421875F, 859.806640625F);
            this.cacheGraphicsPath.AddBezier(63.81982421875F, 859.806640625F, 61.20654296875F, 859.806640625F, 58.9404296875F, 861.962890625F, 58.95703125F, 865.595703125F);
            this.cacheGraphicsPath.AddBezier(58.95703125F, 865.595703125F, 58.95703125F, 868.927734375F, 61.00439453125F, 871.12890625F, 63.59765625F, 871.12890625F);
            this.cacheGraphicsPath.AddBezier(63.59765625F, 871.12890625F, 65.16748046875F, 871.12890625F, 66.48095703125F, 870.384765625F, 67.12841796875F, 869.17578125F);
            this.cacheGraphicsPath.AddLine(67.17822265625F, 869.17578125F, 67.3017578125F, 870.8857421875F);
            this.cacheGraphicsPath.AddBezier(69.73974609375F, 870.8857421875F, 69.6904296875F, 870.1513671875F, 69.650390625F, 868.958984375F, 69.650390625F, 867.8466796875F);
            this.cacheGraphicsPath.AddLine(69.650390625F, 855.1171875F, 66.91259765625F, 855.1171875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(77.3369140625F, 869.1494140625F, 75.708984375F, 869.1494140625F, 74.66845703125F, 867.572265625F, 74.66845703125F, 865.478515625F);
            this.cacheGraphicsPath.AddBezier(74.66845703125F, 865.478515625F, 74.66845703125F, 863.66796875F, 75.45654296875F, 861.78515625F, 77.376953125F, 861.78515625F);
            this.cacheGraphicsPath.AddBezier(77.376953125F, 861.78515625F, 79.26611328125F, 861.78515625F, 80.01806640625F, 863.7353515625F, 80.01806640625F, 865.443359375F);
            this.cacheGraphicsPath.AddBezier(80.01806640625F, 865.443359375F, 80.01806640625F, 867.630859375F, 78.92822265625F, 869.1494140625F, 77.359375F, 869.1494140625F);
            this.cacheGraphicsPath.AddLine(77.359375F, 869.1494140625F, 77.3369140625F, 869.1494140625F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(77.31591796875F, 871.12890625F, 80.0615234375F, 871.12890625F, 82.853515625F, 869.353515625F, 82.853515625F, 865.361328125F);
            this.cacheGraphicsPath.AddBezier(82.853515625F, 865.361328125F, 82.853515625F, 862.068359375F, 80.69873046875F, 859.806640625F, 77.47802734375F, 859.806640625F);
            this.cacheGraphicsPath.AddBezier(77.47802734375F, 859.806640625F, 74.216796875F, 859.806640625F, 71.87841796875F, 861.984375F, 71.87841796875F, 865.548828125F);
            this.cacheGraphicsPath.AddBezier(71.87841796875F, 865.548828125F, 71.87841796875F, 869.029296875F, 74.240234375F, 871.12890625F, 77.29345703125F, 871.12890625F);
            this.cacheGraphicsPath.AddLine(77.29345703125F, 871.12890625F, 77.31591796875F, 871.12890625F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(87.8525390625F, 864.6474609375F, 87.8525390625F, 864.38671875F, 87.89111328125F, 864.1484375F, 87.94091796875F, 863.93359375F);
            this.cacheGraphicsPath.AddBezier(87.94091796875F, 863.93359375F, 88.236328125F, 862.72265625F, 89.26025390625F, 861.9248046875F, 90.37158203125F, 861.9248046875F);
            this.cacheGraphicsPath.AddBezier(90.37158203125F, 861.9248046875F, 92.18115234375F, 861.9248046875F, 93.10205078125F, 863.498046875F, 93.10205078125F, 865.412109375F);
            this.cacheGraphicsPath.AddBezier(93.10205078125F, 865.412109375F, 93.10205078125F, 867.607421875F, 92.0625F, 868.9765625F, 90.34228515625F, 868.9765625F);
            this.cacheGraphicsPath.AddBezier(90.34228515625F, 868.9765625F, 89.1611328125F, 868.9765625F, 88.2109375F, 868.166015625F, 87.921875F, 867.052734375F);
            this.cacheGraphicsPath.AddBezier(87.921875F, 867.052734375F, 87.876953125F, 866.85546875F, 87.8525390625F, 866.6337890625F, 87.8525390625F, 866.4052734375F);
            this.cacheGraphicsPath.AddLine(87.8525390625F, 866.4052734375F, 87.8525390625F, 864.6474609375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(85.11376953125F, 867.853515625F, 85.11376953125F, 868.95703125F, 85.07470703125F, 870.1572265625F, 85.025390625F, 870.8857421875F);
            this.cacheGraphicsPath.AddLine(87.365234375F, 870.8857421875F, 87.48828125F, 869.25390625F);
            this.cacheGraphicsPath.AddBezier(87.53759765625F, 869.25390625F, 88.32080078125F, 870.599609375F, 89.5556640625F, 871.12890625F, 90.9560546875F, 871.12890625F);
            this.cacheGraphicsPath.AddBezier(90.9560546875F, 871.12890625F, 93.412109375F, 871.12890625F, 95.87646484375F, 869.2021484375F, 95.87646484375F, 865.298828125F);
            this.cacheGraphicsPath.AddBezier(95.87646484375F, 865.298828125F, 95.8955078125F, 861.986328125F, 94.00537109375F, 859.806640625F, 91.36083984375F, 859.806640625F);
            this.cacheGraphicsPath.AddBezier(91.36083984375F, 859.806640625F, 89.7470703125F, 859.806640625F, 88.56201171875F, 860.4794921875F, 87.89697265625F, 861.5341796875F);
            this.cacheGraphicsPath.AddLine(87.8525390625F, 861.5341796875F, 87.8525390625F, 855.1171875F);
            this.cacheGraphicsPath.AddLine(85.11376953125F, 855.1171875F, 85.11376953125F, 867.853515625F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(100.05712890625F, 864.32421875F, 100.17919921875F, 863.212890625F, 100.87841796875F, 861.6796875F, 102.5615234375F, 861.6796875F);
            this.cacheGraphicsPath.AddBezier(102.5615234375F, 861.6796875F, 104.392578125F, 861.6796875F, 104.828125F, 863.318359375F, 104.81591796875F, 864.32421875F);
            this.cacheGraphicsPath.AddLine(104.81591796875F, 864.32421875F, 100.05712890625F, 864.32421875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(107.2900390625F, 866.232421875F, 107.3427734375F, 865.998046875F, 107.38671875F, 865.591796875F, 107.38671875F, 865.08203125F);
            this.cacheGraphicsPath.AddBezier(107.38671875F, 865.08203125F, 107.38671875F, 862.70703125F, 106.244140625F, 859.8115234375F, 102.7314453125F, 859.8115234375F);
            this.cacheGraphicsPath.AddBezier(102.7314453125F, 859.8115234375F, 99.25732421875F, 859.8115234375F, 97.4521484375F, 862.640625F, 97.4521484375F, 865.630859375F);
            this.cacheGraphicsPath.AddBezier(97.4521484375F, 865.630859375F, 97.4521484375F, 868.947265625F, 99.501953125F, 871.126953125F, 103.01123046875F, 871.126953125F);
            this.cacheGraphicsPath.AddBezier(103.01123046875F, 871.126953125F, 104.5791015625F, 871.126953125F, 105.8623046875F, 870.83203125F, 106.7861328125F, 870.4375F);
            this.cacheGraphicsPath.AddBezier(106.380859375F, 868.5478515625F, 105.55615234375F, 868.8515625F, 104.65771484375F, 869.05078125F, 103.400390625F, 869.05078125F);
            this.cacheGraphicsPath.AddBezier(103.400390625F, 869.05078125F, 101.6513671875F, 869.05078125F, 100.134765625F, 868.193359375F, 100.06103515625F, 866.232421875F);
            this.cacheGraphicsPath.AddLine(100.06103515625F, 866.232421875F, 107.2900390625F, 866.232421875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(117.01611328125F, 855.916015625F, 117.01611328125F, 870.8857421875F);
            this.cacheGraphicsPath.AddLine(114.27880859375F, 870.8857421875F, 114.27880859375F, 855.916015625F);
            this.cacheGraphicsPath.AddLine(114.27880859375F, 855.916015625F, 117.01611328125F, 855.916015625F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(120.0537109375F, 855.1171875F, 122.79248046875F, 855.1171875F);
            this.cacheGraphicsPath.AddLine(122.79248046875F, 870.8857421875F, 120.0537109375F, 870.8857421875F);
            this.cacheGraphicsPath.AddLine(120.0537109375F, 870.8857421875F, 120.0537109375F, 855.1171875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(125.74267578125F, 855.1171875F, 128.48095703125F, 855.1171875F);
            this.cacheGraphicsPath.AddLine(128.48095703125F, 870.8857421875F, 125.74267578125F, 870.8857421875F);
            this.cacheGraphicsPath.AddLine(125.74267578125F, 870.8857421875F, 125.74267578125F, 855.1171875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(141.1181640625F, 867.640625F, 141.1181640625F, 868.927734375F, 141.158203125F, 870.005859375F, 141.20654296875F, 870.8857421875F);
            this.cacheGraphicsPath.AddLine(138.81689453125F, 870.8857421875F, 138.6845703125F, 869.25390625F);
            this.cacheGraphicsPath.AddBezier(138.61962890625F, 869.25390625F, 138.1630859375F, 870.01171875F, 137.09716796875F, 871.12890625F, 135.1630859375F, 871.12890625F);
            this.cacheGraphicsPath.AddBezier(135.1630859375F, 871.12890625F, 133.1943359375F, 871.12890625F, 131.3984375F, 869.94921875F, 131.3984375F, 866.41015625F);
            this.cacheGraphicsPath.AddLine(131.3984375F, 860.048828125F, 134.13623046875F, 860.048828125F);
            this.cacheGraphicsPath.AddBezier(134.13623046875F, 865.951171875F, 134.13623046875F, 867.75390625F, 134.703125F, 868.90625F, 136.1484375F, 868.90625F);
            this.cacheGraphicsPath.AddBezier(136.1484375F, 868.90625F, 137.240234375F, 868.90625F, 137.9501953125F, 868.142578125F, 138.232421875F, 867.4404296875F);
            this.cacheGraphicsPath.AddBezier(138.232421875F, 867.4404296875F, 138.32373046875F, 867.20703125F, 138.38037109375F, 866.912109375F, 138.38037109375F, 866.595703125F);
            this.cacheGraphicsPath.AddLine(138.38037109375F, 860.048828125F, 141.1181640625F, 860.048828125F);
            this.cacheGraphicsPath.AddLine(141.1181640625F, 860.048828125F, 141.1181640625F, 867.640625F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(143.95703125F, 868.392578125F, 144.5625F, 868.767578125F, 145.740234375F, 869.1845703125F, 146.71875F, 869.1845703125F);
            this.cacheGraphicsPath.AddBezier(146.71875F, 869.1845703125F, 147.91357421875F, 869.1845703125F, 148.4462890625F, 868.67578125F, 148.4462890625F, 867.96484375F);
            this.cacheGraphicsPath.AddBezier(148.4462890625F, 867.96484375F, 148.4462890625F, 867.2265625F, 148.00390625F, 866.8525390625F, 146.68359375F, 866.376953125F);
            this.cacheGraphicsPath.AddBezier(146.68359375F, 866.376953125F, 144.564453125F, 865.6474609375F, 143.68115234375F, 864.4912109375F, 143.69140625F, 863.201171875F);
            this.cacheGraphicsPath.AddBezier(143.69140625F, 863.201171875F, 143.69140625F, 861.2890625F, 145.275390625F, 859.806640625F, 147.791015625F, 859.806640625F);
            this.cacheGraphicsPath.AddBezier(147.791015625F, 859.806640625F, 148.978515625F, 859.806640625F, 150.0205078125F, 860.103515625F, 150.65673828125F, 860.453125F);
            this.cacheGraphicsPath.AddBezier(150.1142578125F, 862.376953125F, 149.65771484375F, 862.1181640625F, 148.783203125F, 861.75F, 147.82958984375F, 861.75F);
            this.cacheGraphicsPath.AddBezier(147.82958984375F, 861.75F, 146.86328125F, 861.75F, 146.32470703125F, 862.234375F, 146.32470703125F, 862.904296875F);
            this.cacheGraphicsPath.AddBezier(146.32470703125F, 862.904296875F, 146.32470703125F, 863.5947265625F, 146.84228515625F, 863.9267578125F, 148.2001953125F, 864.427734375F);
            this.cacheGraphicsPath.AddBezier(148.2001953125F, 864.427734375F, 150.16796875F, 865.126953125F, 151.07666015625F, 866.13671875F, 151.08642578125F, 867.7412109375F);
            this.cacheGraphicsPath.AddBezier(151.08642578125F, 867.7412109375F, 151.08642578125F, 869.71875F, 149.54931640625F, 871.12890625F, 146.703125F, 871.12890625F);
            this.cacheGraphicsPath.AddBezier(146.703125F, 871.12890625F, 145.396484375F, 871.12890625F, 144.2041015625F, 870.8193359375F, 143.40576171875F, 870.37890625F);
            this.cacheGraphicsPath.AddLine(143.40576171875F, 870.37890625F, 143.95703125F, 868.392578125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(156.50634765625F, 857.2734375F, 156.50634765625F, 860.052734375F);
            this.cacheGraphicsPath.AddLine(159.10986328125F, 860.052734375F, 159.10986328125F, 862.0966796875F);
            this.cacheGraphicsPath.AddLine(156.50634765625F, 862.0966796875F, 156.50634765625F, 866.876953125F);
            this.cacheGraphicsPath.AddBezier(156.50634765625F, 866.876953125F, 156.50634765625F, 868.201171875F, 156.85888671875F, 868.876953125F, 157.9052734375F, 868.876953125F);
            this.cacheGraphicsPath.AddBezier(157.9052734375F, 868.876953125F, 158.40283203125F, 868.876953125F, 158.65869140625F, 868.841796875F, 158.96875F, 868.7578125F);
            this.cacheGraphicsPath.AddBezier(159.02294921875F, 870.845703125F, 158.61328125F, 870.998046875F, 157.89599609375F, 871.126953125F, 157.0322265625F, 871.126953125F);
            this.cacheGraphicsPath.AddBezier(157.0322265625F, 871.126953125F, 156.02685546875F, 871.126953125F, 155.19287109375F, 870.7822265625F, 154.68603515625F, 870.234375F);
            this.cacheGraphicsPath.AddBezier(154.68603515625F, 870.234375F, 154.10009765625F, 869.607421875F, 153.83203125F, 868.609375F, 153.83203125F, 867.189453125F);
            this.cacheGraphicsPath.AddLine(153.83203125F, 862.0966796875F, 152.287109375F, 862.0966796875F);
            this.cacheGraphicsPath.AddLine(152.287109375F, 860.052734375F, 153.83203125F, 860.052734375F);
            this.cacheGraphicsPath.AddLine(153.83203125F, 858.037109375F, 156.50634765625F, 857.2734375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(161.14892578125F, 863.533203125F, 161.14892578125F, 862.0810546875F, 161.11962890625F, 861.015625F, 161.0595703125F, 860.048828125F);
            this.cacheGraphicsPath.AddLine(163.43017578125F, 860.048828125F, 163.53125F, 862.1162109375F);
            this.cacheGraphicsPath.AddBezier(163.6083984375F, 862.1162109375F, 164.14208984375F, 860.587890625F, 165.4033203125F, 859.8115234375F, 166.572265625F, 859.8115234375F);
            this.cacheGraphicsPath.AddBezier(166.572265625F, 859.8115234375F, 166.83837890625F, 859.8115234375F, 166.9951171875F, 859.8203125F, 167.21337890625F, 859.876953125F);
            this.cacheGraphicsPath.AddBezier(167.21337890625F, 862.4521484375F, 166.9794921875F, 862.40234375F, 166.740234375F, 862.375F, 166.41064453125F, 862.375F);
            this.cacheGraphicsPath.AddBezier(166.41064453125F, 862.375F, 165.107421875F, 862.375F, 164.203125F, 863.2041015625F, 163.95751953125F, 864.4453125F);
            this.cacheGraphicsPath.AddBezier(163.95751953125F, 864.4453125F, 163.91259765625F, 864.685546875F, 163.88818359375F, 864.978515625F, 163.88818359375F, 865.26953125F);
            this.cacheGraphicsPath.AddLine(163.88818359375F, 870.8857421875F, 161.14892578125F, 870.8857421875F);
            this.cacheGraphicsPath.AddLine(161.14892578125F, 870.8857421875F, 161.14892578125F, 863.533203125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(174.79931640625F, 867.072265625F, 174.79931640625F, 867.26953125F, 174.78173828125F, 867.4873046875F, 174.7236328125F, 867.677734375F);
            this.cacheGraphicsPath.AddBezier(174.7236328125F, 867.677734375F, 174.4580078125F, 868.474609375F, 173.66943359375F, 869.1845703125F, 172.57275390625F, 869.1845703125F);
            this.cacheGraphicsPath.AddBezier(172.57275390625F, 869.1845703125F, 171.70458984375F, 869.1845703125F, 171.00634765625F, 868.68359375F, 171.00634765625F, 867.615234375F);
            this.cacheGraphicsPath.AddBezier(171.00634765625F, 867.615234375F, 171.00634765625F, 865.95703125F, 172.86083984375F, 865.5458984375F, 174.79931640625F, 865.572265625F);
            this.cacheGraphicsPath.AddLine(174.79931640625F, 865.572265625F, 174.79931640625F, 867.072265625F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(177.46484375F, 864.369140625F, 177.46484375F, 862.005859375F, 176.47314453125F, 859.8115234375F, 172.99267578125F, 859.8115234375F);
            this.cacheGraphicsPath.AddBezier(172.99267578125F, 859.8115234375F, 171.28271484375F, 859.8115234375F, 169.88232421875F, 860.275390625F, 169.06591796875F, 860.7734375F);
            this.cacheGraphicsPath.AddBezier(169.60791015625F, 862.55078125F, 170.34423828125F, 862.087890625F, 171.45654296875F, 861.7490234375F, 172.52001953125F, 861.7490234375F);
            this.cacheGraphicsPath.AddBezier(172.52001953125F, 861.7490234375F, 174.44287109375F, 861.740234375F, 174.72705078125F, 862.91796875F, 174.72705078125F, 863.623046875F);
            this.cacheGraphicsPath.AddBezier(174.72705078125F, 863.80078125F, 170.7265625F, 863.7861328125F, 168.2978515625F, 865.16796875F, 168.2978515625F, 867.9150390625F);
            this.cacheGraphicsPath.AddBezier(168.2978515625F, 867.9150390625F, 168.2978515625F, 869.5712890625F, 169.51123046875F, 871.12890625F, 171.70751953125F, 871.12890625F);
            this.cacheGraphicsPath.AddBezier(171.70751953125F, 871.12890625F, 173.11376953125F, 871.12890625F, 174.25F, 870.5380859375F, 174.908203125F, 869.6875F);
            this.cacheGraphicsPath.AddLine(174.974609375F, 869.6875F, 175.162109375F, 870.8857421875F);
            this.cacheGraphicsPath.AddBezier(177.6328125F, 870.8857421875F, 177.51416015625F, 870.2177734375F, 177.46484375F, 869.2607421875F, 177.46484375F, 868.2734375F);
            this.cacheGraphicsPath.AddLine(177.46484375F, 868.2734375F, 177.46484375F, 864.369140625F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(183.2890625F, 857.2734375F, 183.2890625F, 860.052734375F);
            this.cacheGraphicsPath.AddLine(185.8935546875F, 860.052734375F, 185.8935546875F, 862.0966796875F);
            this.cacheGraphicsPath.AddLine(183.2890625F, 862.0966796875F, 183.2890625F, 866.876953125F);
            this.cacheGraphicsPath.AddBezier(183.2890625F, 866.876953125F, 183.2890625F, 868.201171875F, 183.6435546875F, 868.876953125F, 184.68994140625F, 868.876953125F);
            this.cacheGraphicsPath.AddBezier(184.68994140625F, 868.876953125F, 185.185546875F, 868.876953125F, 185.4423828125F, 868.841796875F, 185.75244140625F, 868.7578125F);
            this.cacheGraphicsPath.AddBezier(185.8076171875F, 870.845703125F, 185.39697265625F, 870.998046875F, 184.6787109375F, 871.126953125F, 183.81640625F, 871.126953125F);
            this.cacheGraphicsPath.AddBezier(183.81640625F, 871.126953125F, 182.81201171875F, 871.126953125F, 181.97607421875F, 870.7822265625F, 181.46923828125F, 870.234375F);
            this.cacheGraphicsPath.AddBezier(181.46923828125F, 870.234375F, 180.88232421875F, 869.607421875F, 180.615234375F, 868.609375F, 180.615234375F, 867.189453125F);
            this.cacheGraphicsPath.AddLine(180.615234375F, 862.0966796875F, 179.0712890625F, 862.0966796875F);
            this.cacheGraphicsPath.AddLine(179.0712890625F, 860.052734375F, 180.615234375F, 860.052734375F);
            this.cacheGraphicsPath.AddLine(180.615234375F, 858.037109375F, 183.2890625F, 857.2734375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(192.5869140625F, 869.1494140625F, 190.95703125F, 869.1494140625F, 189.91748046875F, 867.572265625F, 189.91748046875F, 865.478515625F);
            this.cacheGraphicsPath.AddBezier(189.91748046875F, 865.478515625F, 189.91748046875F, 863.66796875F, 190.70556640625F, 861.78515625F, 192.626953125F, 861.78515625F);
            this.cacheGraphicsPath.AddBezier(192.626953125F, 861.78515625F, 194.515625F, 861.78515625F, 195.26806640625F, 863.7353515625F, 195.26806640625F, 865.443359375F);
            this.cacheGraphicsPath.AddBezier(195.26806640625F, 865.443359375F, 195.26806640625F, 867.630859375F, 194.1787109375F, 869.1494140625F, 192.609375F, 869.1494140625F);
            this.cacheGraphicsPath.AddLine(192.609375F, 869.1494140625F, 192.5869140625F, 869.1494140625F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(192.56591796875F, 871.12890625F, 195.3115234375F, 871.12890625F, 198.1025390625F, 869.353515625F, 198.1025390625F, 865.361328125F);
            this.cacheGraphicsPath.AddBezier(198.1025390625F, 865.361328125F, 198.1025390625F, 862.068359375F, 195.9482421875F, 859.806640625F, 192.72607421875F, 859.806640625F);
            this.cacheGraphicsPath.AddBezier(192.72607421875F, 859.806640625F, 189.4658203125F, 859.806640625F, 187.1279296875F, 861.984375F, 187.1279296875F, 865.548828125F);
            this.cacheGraphicsPath.AddBezier(187.1279296875F, 865.548828125F, 187.1279296875F, 869.029296875F, 189.48974609375F, 871.12890625F, 192.54345703125F, 871.12890625F);
            this.cacheGraphicsPath.AddLine(192.54345703125F, 871.12890625F, 192.56591796875F, 871.12890625F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(200.36328125F, 863.533203125F, 200.36328125F, 862.0810546875F, 200.33349609375F, 861.015625F, 200.27490234375F, 860.048828125F);
            this.cacheGraphicsPath.AddLine(202.642578125F, 860.048828125F, 202.74462890625F, 862.1162109375F);
            this.cacheGraphicsPath.AddBezier(202.82275390625F, 862.1162109375F, 203.35498046875F, 860.587890625F, 204.61669921875F, 859.8115234375F, 205.7841796875F, 859.8115234375F);
            this.cacheGraphicsPath.AddBezier(205.7841796875F, 859.8115234375F, 206.05126953125F, 859.8115234375F, 206.20751953125F, 859.8203125F, 206.4267578125F, 859.876953125F);
            this.cacheGraphicsPath.AddBezier(206.4267578125F, 862.4521484375F, 206.1923828125F, 862.40234375F, 205.95361328125F, 862.375F, 205.62353515625F, 862.375F);
            this.cacheGraphicsPath.AddBezier(205.62353515625F, 862.375F, 204.3212890625F, 862.375F, 203.416015625F, 863.2041015625F, 203.17138671875F, 864.4453125F);
            this.cacheGraphicsPath.AddBezier(203.17138671875F, 864.4453125F, 203.125F, 864.685546875F, 203.1015625F, 864.978515625F, 203.1015625F, 865.26953125F);
            this.cacheGraphicsPath.AddLine(203.1015625F, 870.8857421875F, 200.36328125F, 870.8857421875F);
            this.cacheGraphicsPath.AddLine(200.36328125F, 870.8857421875F, 200.36328125F, 863.533203125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(210.3271484375F, 859.5625F, 210.3271484375F, 858.7958984375F);
            this.cacheGraphicsPath.AddBezier(210.8037109375F, 858.7958984375F, 211.06103515625F, 858.7958984375F, 211.41259765625F, 858.8193359375F, 211.41259765625F, 859.1474609375F);
            this.cacheGraphicsPath.AddBezier(211.41259765625F, 859.1474609375F, 211.41259765625F, 859.4990234375F, 211.2333984375F, 859.5625F, 210.92822265625F, 859.5625F);
            this.cacheGraphicsPath.AddLine(210.92822265625F, 859.5625F, 210.3271484375F, 859.5625F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(210.3271484375F, 860.0966796875F, 210.64697265625F, 860.0966796875F);
            this.cacheGraphicsPath.AddLine(211.380859375F, 861.427734375F, 212.1796875F, 861.427734375F);
            this.cacheGraphicsPath.AddBezier(211.37353515625F, 860.04296875F, 211.79248046875F, 860.01171875F, 212.13330078125F, 859.802734375F, 212.13330078125F, 859.21875F);
            this.cacheGraphicsPath.AddBezier(212.13330078125F, 859.21875F, 212.13330078125F, 858.4931640625F, 211.65185546875F, 858.2578125F, 210.833984375F, 858.2578125F);
            this.cacheGraphicsPath.AddLine(209.64990234375F, 858.2578125F, 209.64990234375F, 861.427734375F);
            this.cacheGraphicsPath.AddLine(210.3271484375F, 861.427734375F, 210.3271484375F, 860.0966796875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(213.7646484375F, 859.8505859375F, 213.7646484375F, 857.98828125F, 212.37255859375F, 856.912109375F, 210.81884765625F, 856.912109375F);
            this.cacheGraphicsPath.AddBezier(210.81884765625F, 856.912109375F, 209.25341796875F, 856.912109375F, 207.8623046875F, 857.98828125F, 207.8623046875F, 859.8505859375F);
            this.cacheGraphicsPath.AddBezier(207.8623046875F, 859.8505859375F, 207.8623046875F, 861.70703125F, 209.25341796875F, 862.791015625F, 210.81884765625F, 862.791015625F);
            this.cacheGraphicsPath.AddBezier(210.81884765625F, 862.791015625F, 212.37255859375F, 862.791015625F, 213.7646484375F, 861.70703125F, 213.7646484375F, 859.8505859375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(212.91552734375F, 859.8505859375F, 212.91552734375F, 861.2021484375F, 211.95458984375F, 862.1142578125F, 210.81884765625F, 862.1142578125F);
            this.cacheGraphicsPath.AddBezier(210.81884765625F, 862.10546875F, 209.64990234375F, 862.1142578125F, 208.7109375F, 861.2021484375F, 208.7109375F, 859.8505859375F);
            this.cacheGraphicsPath.AddBezier(208.7109375F, 859.8505859375F, 208.7109375F, 858.4931640625F, 209.64990234375F, 857.5966796875F, 210.81884765625F, 857.5966796875F);
            this.cacheGraphicsPath.AddBezier(210.81884765625F, 857.5966796875F, 211.95458984375F, 857.5966796875F, 212.91552734375F, 858.4931640625F, 212.91552734375F, 859.8505859375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(109.3662109375F, 859.5625F, 109.3662109375F, 858.7958984375F);
            this.cacheGraphicsPath.AddBezier(109.84326171875F, 858.7958984375F, 110.10009765625F, 858.7958984375F, 110.45166015625F, 858.8193359375F, 110.45166015625F, 859.1474609375F);
            this.cacheGraphicsPath.AddBezier(110.45166015625F, 859.1474609375F, 110.45166015625F, 859.4990234375F, 110.27099609375F, 859.5625F, 109.96728515625F, 859.5625F);
            this.cacheGraphicsPath.AddLine(109.96728515625F, 859.5625F, 109.3662109375F, 859.5625F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(109.3662109375F, 860.0966796875F, 109.6865234375F, 860.0966796875F);
            this.cacheGraphicsPath.AddLine(110.419921875F, 861.427734375F, 111.21875F, 861.427734375F);
            this.cacheGraphicsPath.AddBezier(110.41259765625F, 860.04296875F, 110.83154296875F, 860.01171875F, 111.17236328125F, 859.802734375F, 111.17236328125F, 859.21875F);
            this.cacheGraphicsPath.AddBezier(111.17236328125F, 859.21875F, 111.17236328125F, 858.4931640625F, 110.69287109375F, 858.2578125F, 109.8740234375F, 858.2578125F);
            this.cacheGraphicsPath.AddLine(108.68896484375F, 858.2578125F, 108.68896484375F, 861.427734375F);
            this.cacheGraphicsPath.AddLine(109.3662109375F, 861.427734375F, 109.3662109375F, 860.0966796875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(112.8037109375F, 859.8505859375F, 112.8037109375F, 857.98828125F, 111.41259765625F, 856.912109375F, 109.85791015625F, 856.912109375F);
            this.cacheGraphicsPath.AddBezier(109.85791015625F, 856.912109375F, 108.2939453125F, 856.912109375F, 106.9013671875F, 857.98828125F, 106.9013671875F, 859.8505859375F);
            this.cacheGraphicsPath.AddBezier(106.9013671875F, 859.8505859375F, 106.9013671875F, 861.70703125F, 108.2939453125F, 862.791015625F, 109.85791015625F, 862.791015625F);
            this.cacheGraphicsPath.AddBezier(109.85791015625F, 862.791015625F, 111.41259765625F, 862.791015625F, 112.8037109375F, 861.70703125F, 112.8037109375F, 859.8505859375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(111.95556640625F, 859.8505859375F, 111.95556640625F, 861.2021484375F, 110.99462890625F, 862.1142578125F, 109.85791015625F, 862.1142578125F);
            this.cacheGraphicsPath.AddBezier(109.85791015625F, 862.10546875F, 108.68896484375F, 862.1142578125F, 107.74951171875F, 861.2021484375F, 107.74951171875F, 859.8505859375F);
            this.cacheGraphicsPath.AddBezier(107.74951171875F, 859.8505859375F, 107.74951171875F, 858.4931640625F, 108.68896484375F, 857.5966796875F, 109.85791015625F, 857.5966796875F);
            this.cacheGraphicsPath.AddBezier(109.85791015625F, 857.5966796875F, 110.99462890625F, 857.5966796875F, 111.95556640625F, 858.4931640625F, 111.95556640625F, 859.8505859375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(225.03955078125F, 852.169921875F, 224.54150390625F, 853.677734375F);
            this.cacheGraphicsPath.AddLine(223.9013671875F, 853.677734375F, 225.5302734375F, 848.8828125F);
            this.cacheGraphicsPath.AddLine(226.27734375F, 848.8828125F, 227.91357421875F, 853.677734375F);
            this.cacheGraphicsPath.AddLine(227.251953125F, 853.677734375F, 226.73974609375F, 852.169921875F);
            this.cacheGraphicsPath.AddLine(226.73974609375F, 852.169921875F, 225.03955078125F, 852.169921875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(226.61181640625F, 851.685546875F, 226.13525390625F, 850.3056640625F);
            this.cacheGraphicsPath.AddBezier(226.13525390625F, 850.3056640625F, 226.03564453125F, 849.9931640625F, 225.96435546875F, 849.7080078125F, 225.89306640625F, 849.4306640625F);
            this.cacheGraphicsPath.AddBezier(225.8720703125F, 849.4306640625F, 225.80810546875F, 849.7080078125F, 225.7294921875F, 850.0068359375F, 225.63720703125F, 850.298828125F);
            this.cacheGraphicsPath.AddLine(225.16748046875F, 851.685546875F, 226.61181640625F, 851.685546875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(231.484375F, 848.626953125F, 231.484375F, 852.7880859375F);
            this.cacheGraphicsPath.AddBezier(231.484375F, 852.7880859375F, 231.484375F, 853.0947265625F, 231.49169921875F, 853.443359375F, 231.5126953125F, 853.677734375F);
            this.cacheGraphicsPath.AddLine(230.951171875F, 853.677734375F, 230.92236328125F, 853.080078125F);
            this.cacheGraphicsPath.AddBezier(230.908203125F, 853.080078125F, 230.71630859375F, 853.4638671875F, 230.3037109375F, 853.755859375F, 229.74169921875F, 853.755859375F);
            this.cacheGraphicsPath.AddBezier(229.74169921875F, 853.755859375F, 228.9091796875F, 853.755859375F, 228.26220703125F, 853.0517578125F, 228.26220703125F, 852.005859375F);
            this.cacheGraphicsPath.AddBezier(228.26220703125F, 852.005859375F, 228.2548828125F, 850.853515625F, 228.97314453125F, 850.15625F, 229.8056640625F, 850.15625F);
            this.cacheGraphicsPath.AddBezier(229.8056640625F, 850.15625F, 230.33935546875F, 850.15625F, 230.69482421875F, 850.4052734375F, 230.84423828125F, 850.67578125F);
            this.cacheGraphicsPath.AddLine(230.8583984375F, 850.67578125F, 230.8583984375F, 848.626953125F);
            this.cacheGraphicsPath.AddLine(230.8583984375F, 848.626953125F, 231.484375F, 848.626953125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(230.8583984375F, 851.6357421875F, 230.8583984375F, 851.55078125F, 230.8515625F, 851.451171875F, 230.830078125F, 851.3662109375F);
            this.cacheGraphicsPath.AddBezier(230.830078125F, 851.3662109375F, 230.7373046875F, 850.974609375F, 230.39599609375F, 850.6474609375F, 229.9267578125F, 850.6474609375F);
            this.cacheGraphicsPath.AddBezier(229.9267578125F, 850.6474609375F, 229.279296875F, 850.6474609375F, 228.89501953125F, 851.216796875F, 228.89501953125F, 851.970703125F);
            this.cacheGraphicsPath.AddBezier(228.89501953125F, 851.970703125F, 228.89501953125F, 852.6748046875F, 229.24365234375F, 853.2509765625F, 229.91259765625F, 853.2509765625F);
            this.cacheGraphicsPath.AddBezier(229.91259765625F, 853.2509765625F, 230.33203125F, 853.2509765625F, 230.71630859375F, 852.966796875F, 230.830078125F, 852.4970703125F);
            this.cacheGraphicsPath.AddBezier(230.830078125F, 852.4970703125F, 230.8515625F, 852.4189453125F, 230.8583984375F, 852.3330078125F, 230.8583984375F, 852.2333984375F);
            this.cacheGraphicsPath.AddLine(230.8583984375F, 852.2333984375F, 230.8583984375F, 851.6357421875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(233.92431640625F, 853.755859375F, 233F, 853.755859375F, 232.2744140625F, 853.0732421875F, 232.2744140625F, 851.984375F);
            this.cacheGraphicsPath.AddBezier(232.2744140625F, 851.984375F, 232.2744140625F, 850.83203125F, 233.03515625F, 850.15625F, 233.9814453125F, 850.15625F);
            this.cacheGraphicsPath.AddBezier(233.9814453125F, 850.15625F, 234.97021484375F, 850.15625F, 235.63916015625F, 850.875F, 235.63916015625F, 851.9208984375F);
            this.cacheGraphicsPath.AddBezier(235.63916015625F, 851.9208984375F, 235.63916015625F, 853.201171875F, 234.74951171875F, 853.755859375F, 233.931640625F, 853.755859375F);
            this.cacheGraphicsPath.AddLine(233.931640625F, 853.755859375F, 233.92431640625F, 853.755859375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(233.953125F, 853.2861328125F, 234.55078125F, 853.2861328125F, 234.99853515625F, 852.724609375F, 234.99853515625F, 851.9423828125F);
            this.cacheGraphicsPath.AddBezier(234.99853515625F, 851.9423828125F, 234.99853515625F, 851.3583984375F, 234.70703125F, 850.6259765625F, 233.96728515625F, 850.6259765625F);
            this.cacheGraphicsPath.AddBezier(233.96728515625F, 850.6259765625F, 233.234375F, 850.6259765625F, 232.91455078125F, 851.30859375F, 232.91455078125F, 851.962890625F);
            this.cacheGraphicsPath.AddBezier(232.91455078125F, 851.962890625F, 232.91455078125F, 852.7177734375F, 233.34130859375F, 853.2861328125F, 233.94580078125F, 853.2861328125F);
            this.cacheGraphicsPath.AddLine(233.94580078125F, 853.2861328125F, 233.953125F, 853.2861328125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(236.42822265625F, 848.626953125F, 237.0546875F, 848.626953125F);
            this.cacheGraphicsPath.AddLine(237.0546875F, 850.7822265625F, 237.06884765625F, 850.7822265625F);
            this.cacheGraphicsPath.AddBezier(237.06884765625F, 850.7822265625F, 237.2890625F, 850.3984375F, 237.6875F, 850.15625F, 238.24267578125F, 850.15625F);
            this.cacheGraphicsPath.AddBezier(238.24267578125F, 850.15625F, 239.09619140625F, 850.15625F, 239.693359375F, 850.8681640625F, 239.693359375F, 851.90625F);
            this.cacheGraphicsPath.AddBezier(239.693359375F, 851.90625F, 239.693359375F, 853.14453125F, 238.9111328125F, 853.755859375F, 238.14306640625F, 853.755859375F);
            this.cacheGraphicsPath.AddBezier(238.14306640625F, 853.755859375F, 237.64501953125F, 853.755859375F, 237.25341796875F, 853.5634765625F, 236.990234375F, 853.1083984375F);
            this.cacheGraphicsPath.AddLine(236.97607421875F, 853.1083984375F, 236.9404296875F, 853.677734375F);
            this.cacheGraphicsPath.AddBezier(236.39990234375F, 853.677734375F, 236.42138671875F, 853.443359375F, 236.42822265625F, 853.0947265625F, 236.42822265625F, 852.7880859375F);
            this.cacheGraphicsPath.AddLine(236.42822265625F, 852.7880859375F, 236.42822265625F, 848.626953125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(237.0546875F, 852.2978515625F, 237.0546875F, 852.3759765625F, 237.0615234375F, 852.4541015625F, 237.07568359375F, 852.525390625F);
            this.cacheGraphicsPath.AddBezier(237.07568359375F, 852.525390625F, 237.19677734375F, 852.958984375F, 237.56640625F, 853.2578125F, 238.0146484375F, 853.2578125F);
            this.cacheGraphicsPath.AddBezier(238.0146484375F, 853.2578125F, 238.67626953125F, 853.2578125F, 239.060546875F, 852.724609375F, 239.060546875F, 851.9345703125F);
            this.cacheGraphicsPath.AddBezier(239.060546875F, 851.9345703125F, 239.060546875F, 851.2373046875F, 238.70458984375F, 850.6474609375F, 238.0361328125F, 850.6474609375F);
            this.cacheGraphicsPath.AddBezier(238.0361328125F, 850.6474609375F, 237.609375F, 850.6474609375F, 237.2109375F, 850.9462890625F, 237.08984375F, 851.416015625F);
            this.cacheGraphicsPath.AddBezier(237.08984375F, 851.416015625F, 237.06884765625F, 851.494140625F, 237.0546875F, 851.5791015625F, 237.0546875F, 851.6787109375F);
            this.cacheGraphicsPath.AddLine(237.0546875F, 851.6787109375F, 237.0546875F, 852.2978515625F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(240.83154296875F, 852.0703125F, 240.845703125F, 852.9091796875F, 241.37939453125F, 853.2578125F, 242.00537109375F, 853.2578125F);
            this.cacheGraphicsPath.AddBezier(242.00537109375F, 853.2578125F, 242.45361328125F, 853.2578125F, 242.73095703125F, 853.1796875F, 242.95849609375F, 853.080078125F);
            this.cacheGraphicsPath.AddBezier(243.072265625F, 853.5283203125F, 242.8515625F, 853.6279296875F, 242.4677734375F, 853.7490234375F, 241.919921875F, 853.7490234375F);
            this.cacheGraphicsPath.AddBezier(241.919921875F, 853.7490234375F, 240.8671875F, 853.7490234375F, 240.22705078125F, 853.044921875F, 240.22705078125F, 852.0126953125F);
            this.cacheGraphicsPath.AddBezier(240.22705078125F, 852.0126953125F, 240.22705078125F, 850.974609375F, 240.845703125F, 850.15625F, 241.8486328125F, 850.15625F);
            this.cacheGraphicsPath.AddBezier(241.8486328125F, 850.15625F, 242.97265625F, 850.15625F, 243.26416015625F, 851.1455078125F, 243.26416015625F, 851.7783203125F);
            this.cacheGraphicsPath.AddBezier(243.26416015625F, 851.7783203125F, 243.26416015625F, 851.90625F, 243.25732421875F, 851.9990234375F, 243.2431640625F, 852.0703125F);
            this.cacheGraphicsPath.AddLine(243.2431640625F, 852.0703125F, 240.83154296875F, 852.0703125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(242.65966796875F, 851.6220703125F, 242.6669921875F, 851.2236328125F, 242.49609375F, 850.6044921875F, 241.798828125F, 850.6044921875F);
            this.cacheGraphicsPath.AddBezier(241.798828125F, 850.6044921875F, 241.15869140625F, 850.6044921875F, 240.88818359375F, 851.1875F, 240.83837890625F, 851.6220703125F);
            this.cacheGraphicsPath.AddLine(240.83837890625F, 851.6220703125F, 242.65966796875F, 851.6220703125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(243.548828125F, 854.5595703125F, 243.70556640625F, 854.1328125F, 243.8974609375F, 853.3720703125F, 243.9755859375F, 852.8525390625F);
            this.cacheGraphicsPath.AddBezier(244.6728515625F, 852.78125F, 244.501953125F, 853.3857421875F, 244.18896484375F, 854.17578125F, 243.98974609375F, 854.509765625F);
            this.cacheGraphicsPath.AddLine(243.98974609375F, 854.509765625F, 243.548828125F, 854.5595703125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(249.3603515625F, 852.8525390625F, 249.3603515625F, 853.1513671875F, 249.375F, 853.443359375F, 249.41015625F, 853.677734375F);
            this.cacheGraphicsPath.AddLine(248.84814453125F, 853.677734375F, 248.79150390625F, 853.244140625F);
            this.cacheGraphicsPath.AddBezier(248.77001953125F, 853.244140625F, 248.5849609375F, 853.513671875F, 248.2080078125F, 853.755859375F, 247.71728515625F, 853.755859375F);
            this.cacheGraphicsPath.AddBezier(247.71728515625F, 853.755859375F, 247.02001953125F, 853.755859375F, 246.66455078125F, 853.265625F, 246.66455078125F, 852.767578125F);
            this.cacheGraphicsPath.AddBezier(246.66455078125F, 852.767578125F, 246.66455078125F, 851.9345703125F, 247.404296875F, 851.4794921875F, 248.734375F, 851.486328125F);
            this.cacheGraphicsPath.AddBezier(248.734375F, 851.416015625F, 248.734375F, 851.130859375F, 248.65625F, 850.611328125F, 247.9521484375F, 850.619140625F);
            this.cacheGraphicsPath.AddBezier(247.9521484375F, 850.619140625F, 247.625F, 850.619140625F, 247.29052734375F, 850.7109375F, 247.048828125F, 850.875F);
            this.cacheGraphicsPath.AddBezier(246.90625F, 850.455078125F, 247.19091796875F, 850.27734375F, 247.61083984375F, 850.15625F, 248.04443359375F, 850.15625F);
            this.cacheGraphicsPath.AddBezier(248.04443359375F, 850.15625F, 249.1044921875F, 850.15625F, 249.3603515625F, 850.875F, 249.3603515625F, 851.5654296875F);
            this.cacheGraphicsPath.AddLine(249.3603515625F, 851.5654296875F, 249.3603515625F, 852.8525390625F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(248.74853515625F, 851.9208984375F, 248.06591796875F, 851.90625F, 247.29052734375F, 852.02734375F, 247.29052734375F, 852.6962890625F);
            this.cacheGraphicsPath.AddBezier(247.29052734375F, 852.6962890625F, 247.29052734375F, 853.1083984375F, 247.56103515625F, 853.2939453125F, 247.8740234375F, 853.2939453125F);
            this.cacheGraphicsPath.AddBezier(247.8740234375F, 853.2939453125F, 248.3291015625F, 853.2939453125F, 248.62060546875F, 853.0087890625F, 248.72021484375F, 852.7177734375F);
            this.cacheGraphicsPath.AddBezier(248.72021484375F, 852.7177734375F, 248.74169921875F, 852.6533203125F, 248.74853515625F, 852.58203125F, 248.74853515625F, 852.5185546875F);
            this.cacheGraphicsPath.AddLine(248.74853515625F, 852.5185546875F, 248.74853515625F, 851.9208984375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(250.36376953125F, 851.1669921875F, 250.36376953125F, 850.8037109375F, 250.3564453125F, 850.51953125F, 250.3349609375F, 850.234375F);
            this.cacheGraphicsPath.AddLine(250.89013671875F, 850.234375F, 250.92529296875F, 850.796875F);
            this.cacheGraphicsPath.AddBezier(250.93994140625F, 850.796875F, 251.1103515625F, 850.4765625F, 251.5087890625F, 850.15625F, 252.078125F, 850.15625F);
            this.cacheGraphicsPath.AddBezier(252.078125F, 850.15625F, 252.5546875F, 850.15625F, 253.29443359375F, 850.44140625F, 253.29443359375F, 851.6220703125F);
            this.cacheGraphicsPath.AddLine(253.29443359375F, 853.677734375F, 252.66845703125F, 853.677734375F);
            this.cacheGraphicsPath.AddBezier(252.66845703125F, 851.693359375F, 252.66845703125F, 851.138671875F, 252.4619140625F, 850.6689453125F, 251.87158203125F, 850.6689453125F);
            this.cacheGraphicsPath.AddBezier(251.87158203125F, 850.6689453125F, 251.46630859375F, 850.6689453125F, 251.14599609375F, 850.9599609375F, 251.0322265625F, 851.30859375F);
            this.cacheGraphicsPath.AddBezier(251.0322265625F, 851.30859375F, 251.00390625F, 851.38671875F, 250.98974609375F, 851.5009765625F, 250.98974609375F, 851.6005859375F);
            this.cacheGraphicsPath.AddLine(250.98974609375F, 853.677734375F, 250.36376953125F, 853.677734375F);
            this.cacheGraphicsPath.AddLine(250.36376953125F, 853.677734375F, 250.36376953125F, 851.1669921875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(257.28466796875F, 848.626953125F, 257.28466796875F, 852.7880859375F);
            this.cacheGraphicsPath.AddBezier(257.28466796875F, 852.7880859375F, 257.28466796875F, 853.0947265625F, 257.2919921875F, 853.443359375F, 257.31298828125F, 853.677734375F);
            this.cacheGraphicsPath.AddLine(256.75146484375F, 853.677734375F, 256.72265625F, 853.080078125F);
            this.cacheGraphicsPath.AddBezier(256.70849609375F, 853.080078125F, 256.5166015625F, 853.4638671875F, 256.10400390625F, 853.755859375F, 255.5419921875F, 853.755859375F);
            this.cacheGraphicsPath.AddBezier(255.5419921875F, 853.755859375F, 254.70947265625F, 853.755859375F, 254.0625F, 853.0517578125F, 254.0625F, 852.005859375F);
            this.cacheGraphicsPath.AddBezier(254.0625F, 852.005859375F, 254.05517578125F, 850.853515625F, 254.7734375F, 850.15625F, 255.60595703125F, 850.15625F);
            this.cacheGraphicsPath.AddBezier(255.60595703125F, 850.15625F, 256.1396484375F, 850.15625F, 256.4951171875F, 850.4052734375F, 256.64453125F, 850.67578125F);
            this.cacheGraphicsPath.AddLine(256.65869140625F, 850.67578125F, 256.65869140625F, 848.626953125F);
            this.cacheGraphicsPath.AddLine(256.65869140625F, 848.626953125F, 257.28466796875F, 848.626953125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(256.65869140625F, 851.6357421875F, 256.65869140625F, 851.55078125F, 256.65185546875F, 851.451171875F, 256.63037109375F, 851.3662109375F);
            this.cacheGraphicsPath.AddBezier(256.63037109375F, 851.3662109375F, 256.53759765625F, 850.974609375F, 256.1962890625F, 850.6474609375F, 255.72705078125F, 850.6474609375F);
            this.cacheGraphicsPath.AddBezier(255.72705078125F, 850.6474609375F, 255.07958984375F, 850.6474609375F, 254.6953125F, 851.216796875F, 254.6953125F, 851.970703125F);
            this.cacheGraphicsPath.AddBezier(254.6953125F, 851.970703125F, 254.6953125F, 852.6748046875F, 255.0439453125F, 853.2509765625F, 255.71240234375F, 853.2509765625F);
            this.cacheGraphicsPath.AddBezier(255.71240234375F, 853.2509765625F, 256.13232421875F, 853.2509765625F, 256.5166015625F, 852.966796875F, 256.63037109375F, 852.4970703125F);
            this.cacheGraphicsPath.AddBezier(256.63037109375F, 852.4970703125F, 256.65185546875F, 852.4189453125F, 256.65869140625F, 852.3330078125F, 256.65869140625F, 852.2333984375F);
            this.cacheGraphicsPath.AddLine(256.65869140625F, 852.2333984375F, 256.65869140625F, 851.6357421875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(260.4716796875F, 848.8828125F, 260.4716796875F, 853.677734375F);
            this.cacheGraphicsPath.AddLine(259.845703125F, 853.677734375F, 259.845703125F, 848.8828125F);
            this.cacheGraphicsPath.AddLine(259.845703125F, 848.8828125F, 260.4716796875F, 848.8828125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(261.60302734375F, 848.626953125F, 262.22900390625F, 848.626953125F);
            this.cacheGraphicsPath.AddLine(262.22900390625F, 853.677734375F, 261.60302734375F, 853.677734375F);
            this.cacheGraphicsPath.AddLine(261.60302734375F, 853.677734375F, 261.60302734375F, 848.626953125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(263.28173828125F, 848.626953125F, 263.90771484375F, 848.626953125F);
            this.cacheGraphicsPath.AddLine(263.90771484375F, 853.677734375F, 263.28173828125F, 853.677734375F);
            this.cacheGraphicsPath.AddLine(263.28173828125F, 853.677734375F, 263.28173828125F, 848.626953125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(267.84130859375F, 852.7314453125F, 267.84130859375F, 853.0947265625F, 267.84814453125F, 853.4072265625F, 267.86962890625F, 853.677734375F);
            this.cacheGraphicsPath.AddLine(267.31494140625F, 853.677734375F, 267.279296875F, 853.1162109375F);
            this.cacheGraphicsPath.AddBezier(267.26513671875F, 853.1162109375F, 267.1083984375F, 853.3935546875F, 266.73876953125F, 853.755859375F, 266.126953125F, 853.755859375F);
            this.cacheGraphicsPath.AddBezier(266.126953125F, 853.755859375F, 265.58642578125F, 853.755859375F, 264.93896484375F, 853.4501953125F, 264.93896484375F, 852.248046875F);
            this.cacheGraphicsPath.AddLine(264.93896484375F, 850.234375F, 265.56494140625F, 850.234375F);
            this.cacheGraphicsPath.AddBezier(265.56494140625F, 852.1337890625F, 265.56494140625F, 852.7880859375F, 265.77099609375F, 853.236328125F, 266.3330078125F, 853.236328125F);
            this.cacheGraphicsPath.AddBezier(266.3330078125F, 853.236328125F, 266.7529296875F, 853.236328125F, 267.04443359375F, 852.9453125F, 267.158203125F, 852.66015625F);
            this.cacheGraphicsPath.AddBezier(267.158203125F, 852.66015625F, 267.19384765625F, 852.5751953125F, 267.21533203125F, 852.4609375F, 267.21533203125F, 852.3408203125F);
            this.cacheGraphicsPath.AddLine(267.21533203125F, 850.234375F, 267.84130859375F, 850.234375F);
            this.cacheGraphicsPath.AddLine(267.84130859375F, 850.234375F, 267.84130859375F, 852.7314453125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(268.79443359375F, 853.037109375F, 268.986328125F, 853.1513671875F, 269.3134765625F, 853.279296875F, 269.62646484375F, 853.279296875F);
            this.cacheGraphicsPath.AddBezier(269.62646484375F, 853.279296875F, 270.07470703125F, 853.279296875F, 270.2880859375F, 853.05859375F, 270.2880859375F, 852.767578125F);
            this.cacheGraphicsPath.AddBezier(270.2880859375F, 852.767578125F, 270.2880859375F, 852.46875F, 270.1103515625F, 852.3115234375F, 269.65478515625F, 852.1416015625F);
            this.cacheGraphicsPath.AddBezier(269.65478515625F, 852.1416015625F, 269.02880859375F, 851.9130859375F, 268.7373046875F, 851.572265625F, 268.7373046875F, 851.1669921875F);
            this.cacheGraphicsPath.AddBezier(268.7373046875F, 851.1669921875F, 268.7373046875F, 850.611328125F, 269.19287109375F, 850.15625F, 269.92529296875F, 850.15625F);
            this.cacheGraphicsPath.AddBezier(269.92529296875F, 850.15625F, 270.27392578125F, 850.15625F, 270.57958984375F, 850.2490234375F, 270.7646484375F, 850.3701171875F);
            this.cacheGraphicsPath.AddBezier(270.615234375F, 850.818359375F, 270.47998046875F, 850.740234375F, 270.2314453125F, 850.619140625F, 269.9111328125F, 850.619140625F);
            this.cacheGraphicsPath.AddBezier(269.9111328125F, 850.619140625F, 269.541015625F, 850.619140625F, 269.341796875F, 850.83203125F, 269.341796875F, 851.087890625F);
            this.cacheGraphicsPath.AddBezier(269.341796875F, 851.087890625F, 269.341796875F, 851.373046875F, 269.541015625F, 851.5009765625F, 269.9892578125F, 851.6787109375F);
            this.cacheGraphicsPath.AddBezier(269.9892578125F, 851.6787109375F, 270.57958984375F, 851.8994140625F, 270.892578125F, 852.1982421875F, 270.892578125F, 852.7099609375F);
            this.cacheGraphicsPath.AddBezier(270.892578125F, 852.7099609375F, 270.892578125F, 853.322265625F, 270.416015625F, 853.7490234375F, 269.6123046875F, 853.7490234375F);
            this.cacheGraphicsPath.AddBezier(269.6123046875F, 853.7490234375F, 269.2353515625F, 853.7490234375F, 268.88671875F, 853.6494140625F, 268.64501953125F, 853.5068359375F);
            this.cacheGraphicsPath.AddLine(268.64501953125F, 853.5068359375F, 268.79443359375F, 853.037109375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(272.45068359375F, 849.4091796875F, 272.45068359375F, 850.234375F);
            this.cacheGraphicsPath.AddLine(273.3466796875F, 850.234375F, 273.3466796875F, 850.7109375F);
            this.cacheGraphicsPath.AddLine(272.45068359375F, 850.7109375F, 272.45068359375F, 852.560546875F);
            this.cacheGraphicsPath.AddBezier(272.45068359375F, 852.560546875F, 272.45068359375F, 852.9873046875F, 272.5712890625F, 853.2294921875F, 272.919921875F, 853.2294921875F);
            this.cacheGraphicsPath.AddBezier(272.919921875F, 853.2294921875F, 273.0908203125F, 853.2294921875F, 273.1904296875F, 853.2158203125F, 273.28271484375F, 853.1865234375F);
            this.cacheGraphicsPath.AddBezier(273.3115234375F, 853.6630859375F, 273.1904296875F, 853.7060546875F, 272.99853515625F, 853.7490234375F, 272.75634765625F, 853.7490234375F);
            this.cacheGraphicsPath.AddBezier(272.75634765625F, 853.7490234375F, 272.46484375F, 853.7490234375F, 272.22998046875F, 853.6494140625F, 272.08056640625F, 853.4853515625F);
            this.cacheGraphicsPath.AddBezier(272.08056640625F, 853.4853515625F, 271.91015625F, 853.2939453125F, 271.8388671875F, 852.9873046875F, 271.8388671875F, 852.58203125F);
            this.cacheGraphicsPath.AddLine(271.8388671875F, 850.7109375F, 271.30517578125F, 850.7109375F);
            this.cacheGraphicsPath.AddLine(271.30517578125F, 850.234375F, 271.8388671875F, 850.234375F);
            this.cacheGraphicsPath.AddLine(271.8388671875F, 849.6015625F, 272.45068359375F, 849.4091796875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(274.05126953125F, 851.30859375F, 274.05126953125F, 850.9033203125F, 274.0439453125F, 850.5546875F, 274.0224609375F, 850.234375F);
            this.cacheGraphicsPath.AddLine(274.5703125F, 850.234375F, 274.5986328125F, 850.91015625F);
            this.cacheGraphicsPath.AddBezier(274.6201171875F, 850.91015625F, 274.77685546875F, 850.4482421875F, 275.16064453125F, 850.15625F, 275.58056640625F, 850.15625F);
            this.cacheGraphicsPath.AddBezier(275.58056640625F, 850.15625F, 275.64453125F, 850.15625F, 275.6943359375F, 850.1640625F, 275.7509765625F, 850.1708984375F);
            this.cacheGraphicsPath.AddBezier(275.7509765625F, 850.7607421875F, 275.68701171875F, 850.75390625F, 275.623046875F, 850.7470703125F, 275.53759765625F, 850.7470703125F);
            this.cacheGraphicsPath.AddBezier(275.53759765625F, 850.7470703125F, 275.0966796875F, 850.7470703125F, 274.78369140625F, 851.0810546875F, 274.6982421875F, 851.5439453125F);
            this.cacheGraphicsPath.AddBezier(274.6982421875F, 851.5439453125F, 274.68408203125F, 851.6357421875F, 274.67724609375F, 851.7353515625F, 274.67724609375F, 851.8349609375F);
            this.cacheGraphicsPath.AddLine(274.67724609375F, 853.677734375F, 274.05126953125F, 853.677734375F);
            this.cacheGraphicsPath.AddLine(274.05126953125F, 853.677734375F, 274.05126953125F, 851.30859375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(278.76708984375F, 852.8525390625F, 278.76708984375F, 853.1513671875F, 278.78173828125F, 853.443359375F, 278.81689453125F, 853.677734375F);
            this.cacheGraphicsPath.AddLine(278.2548828125F, 853.677734375F, 278.1982421875F, 853.244140625F);
            this.cacheGraphicsPath.AddBezier(278.1767578125F, 853.244140625F, 277.99169921875F, 853.513671875F, 277.61474609375F, 853.755859375F, 277.1240234375F, 853.755859375F);
            this.cacheGraphicsPath.AddBezier(277.1240234375F, 853.755859375F, 276.4267578125F, 853.755859375F, 276.0712890625F, 853.265625F, 276.0712890625F, 852.767578125F);
            this.cacheGraphicsPath.AddBezier(276.0712890625F, 852.767578125F, 276.0712890625F, 851.9345703125F, 276.81103515625F, 851.4794921875F, 278.14111328125F, 851.486328125F);
            this.cacheGraphicsPath.AddBezier(278.14111328125F, 851.416015625F, 278.14111328125F, 851.130859375F, 278.06298828125F, 850.611328125F, 277.35888671875F, 850.619140625F);
            this.cacheGraphicsPath.AddBezier(277.35888671875F, 850.619140625F, 277.03173828125F, 850.619140625F, 276.697265625F, 850.7109375F, 276.45556640625F, 850.875F);
            this.cacheGraphicsPath.AddBezier(276.31298828125F, 850.455078125F, 276.59765625F, 850.27734375F, 277.01708984375F, 850.15625F, 277.451171875F, 850.15625F);
            this.cacheGraphicsPath.AddBezier(277.451171875F, 850.15625F, 278.51123046875F, 850.15625F, 278.76708984375F, 850.875F, 278.76708984375F, 851.5654296875F);
            this.cacheGraphicsPath.AddLine(278.76708984375F, 851.5654296875F, 278.76708984375F, 852.8525390625F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(278.15576171875F, 851.9208984375F, 277.47265625F, 851.90625F, 276.697265625F, 852.02734375F, 276.697265625F, 852.6962890625F);
            this.cacheGraphicsPath.AddBezier(276.697265625F, 852.6962890625F, 276.697265625F, 853.1083984375F, 276.9677734375F, 853.2939453125F, 277.28076171875F, 853.2939453125F);
            this.cacheGraphicsPath.AddBezier(277.28076171875F, 853.2939453125F, 277.73583984375F, 853.2939453125F, 278.02734375F, 853.0087890625F, 278.126953125F, 852.7177734375F);
            this.cacheGraphicsPath.AddBezier(278.126953125F, 852.7177734375F, 278.1484375F, 852.6533203125F, 278.15576171875F, 852.58203125F, 278.15576171875F, 852.5185546875F);
            this.cacheGraphicsPath.AddLine(278.15576171875F, 852.5185546875F, 278.15576171875F, 851.9208984375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(280.49609375F, 849.4091796875F, 280.49609375F, 850.234375F);
            this.cacheGraphicsPath.AddLine(281.39208984375F, 850.234375F, 281.39208984375F, 850.7109375F);
            this.cacheGraphicsPath.AddLine(280.49609375F, 850.7109375F, 280.49609375F, 852.560546875F);
            this.cacheGraphicsPath.AddBezier(280.49609375F, 852.560546875F, 280.49609375F, 852.9873046875F, 280.61669921875F, 853.2294921875F, 280.96533203125F, 853.2294921875F);
            this.cacheGraphicsPath.AddBezier(280.96533203125F, 853.2294921875F, 281.13623046875F, 853.2294921875F, 281.23583984375F, 853.2158203125F, 281.328125F, 853.1865234375F);
            this.cacheGraphicsPath.AddBezier(281.35693359375F, 853.6630859375F, 281.23583984375F, 853.7060546875F, 281.0439453125F, 853.7490234375F, 280.8017578125F, 853.7490234375F);
            this.cacheGraphicsPath.AddBezier(280.8017578125F, 853.7490234375F, 280.51025390625F, 853.7490234375F, 280.275390625F, 853.6494140625F, 280.1259765625F, 853.4853515625F);
            this.cacheGraphicsPath.AddBezier(280.1259765625F, 853.4853515625F, 279.95556640625F, 853.2939453125F, 279.88427734375F, 852.9873046875F, 279.88427734375F, 852.58203125F);
            this.cacheGraphicsPath.AddLine(279.88427734375F, 850.7109375F, 279.3505859375F, 850.7109375F);
            this.cacheGraphicsPath.AddLine(279.3505859375F, 850.234375F, 279.88427734375F, 850.234375F);
            this.cacheGraphicsPath.AddLine(279.88427734375F, 849.6015625F, 280.49609375F, 849.4091796875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(283.45458984375F, 853.755859375F, 282.5302734375F, 853.755859375F, 281.8046875F, 853.0732421875F, 281.8046875F, 851.984375F);
            this.cacheGraphicsPath.AddBezier(281.8046875F, 851.984375F, 281.8046875F, 850.83203125F, 282.5654296875F, 850.15625F, 283.51171875F, 850.15625F);
            this.cacheGraphicsPath.AddBezier(283.51171875F, 850.15625F, 284.50048828125F, 850.15625F, 285.16943359375F, 850.875F, 285.16943359375F, 851.9208984375F);
            this.cacheGraphicsPath.AddBezier(285.16943359375F, 851.9208984375F, 285.16943359375F, 853.201171875F, 284.27978515625F, 853.755859375F, 283.4619140625F, 853.755859375F);
            this.cacheGraphicsPath.AddLine(283.4619140625F, 853.755859375F, 283.45458984375F, 853.755859375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(283.4833984375F, 853.2861328125F, 284.0810546875F, 853.2861328125F, 284.52880859375F, 852.724609375F, 284.52880859375F, 851.9423828125F);
            this.cacheGraphicsPath.AddBezier(284.52880859375F, 851.9423828125F, 284.52880859375F, 851.3583984375F, 284.2373046875F, 850.6259765625F, 283.49755859375F, 850.6259765625F);
            this.cacheGraphicsPath.AddBezier(283.49755859375F, 850.6259765625F, 282.7646484375F, 850.6259765625F, 282.44482421875F, 851.30859375F, 282.44482421875F, 851.962890625F);
            this.cacheGraphicsPath.AddBezier(282.44482421875F, 851.962890625F, 282.44482421875F, 852.7177734375F, 282.87158203125F, 853.2861328125F, 283.47607421875F, 853.2861328125F);
            this.cacheGraphicsPath.AddLine(283.47607421875F, 853.2861328125F, 283.4833984375F, 853.2861328125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(285.95947265625F, 851.30859375F, 285.95947265625F, 850.9033203125F, 285.9521484375F, 850.5546875F, 285.9306640625F, 850.234375F);
            this.cacheGraphicsPath.AddLine(286.478515625F, 850.234375F, 286.5068359375F, 850.91015625F);
            this.cacheGraphicsPath.AddBezier(286.5283203125F, 850.91015625F, 286.68505859375F, 850.4482421875F, 287.06884765625F, 850.15625F, 287.48876953125F, 850.15625F);
            this.cacheGraphicsPath.AddBezier(287.48876953125F, 850.15625F, 287.552734375F, 850.15625F, 287.6025390625F, 850.1640625F, 287.6591796875F, 850.1708984375F);
            this.cacheGraphicsPath.AddBezier(287.6591796875F, 850.7607421875F, 287.59521484375F, 850.75390625F, 287.53125F, 850.7470703125F, 287.44580078125F, 850.7470703125F);
            this.cacheGraphicsPath.AddBezier(287.44580078125F, 850.7470703125F, 287.0048828125F, 850.7470703125F, 286.69189453125F, 851.0810546875F, 286.6064453125F, 851.5439453125F);
            this.cacheGraphicsPath.AddBezier(286.6064453125F, 851.5439453125F, 286.59228515625F, 851.6357421875F, 286.58544921875F, 851.7353515625F, 286.58544921875F, 851.8349609375F);
            this.cacheGraphicsPath.AddLine(286.58544921875F, 853.677734375F, 285.95947265625F, 853.677734375F);
            this.cacheGraphicsPath.AddLine(285.95947265625F, 853.677734375F, 285.95947265625F, 851.30859375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(292.21875F, 852.8525390625F, 292.21875F, 853.1513671875F, 292.2333984375F, 853.443359375F, 292.2685546875F, 853.677734375F);
            this.cacheGraphicsPath.AddLine(291.70654296875F, 853.677734375F, 291.64990234375F, 853.244140625F);
            this.cacheGraphicsPath.AddBezier(291.62841796875F, 853.244140625F, 291.443359375F, 853.513671875F, 291.06640625F, 853.755859375F, 290.57568359375F, 853.755859375F);
            this.cacheGraphicsPath.AddBezier(290.57568359375F, 853.755859375F, 289.87841796875F, 853.755859375F, 289.52294921875F, 853.265625F, 289.52294921875F, 852.767578125F);
            this.cacheGraphicsPath.AddBezier(289.52294921875F, 852.767578125F, 289.52294921875F, 851.9345703125F, 290.2626953125F, 851.4794921875F, 291.5927734375F, 851.486328125F);
            this.cacheGraphicsPath.AddBezier(291.5927734375F, 851.416015625F, 291.5927734375F, 851.130859375F, 291.5146484375F, 850.611328125F, 290.810546875F, 850.619140625F);
            this.cacheGraphicsPath.AddBezier(290.810546875F, 850.619140625F, 290.4833984375F, 850.619140625F, 290.14892578125F, 850.7109375F, 289.9072265625F, 850.875F);
            this.cacheGraphicsPath.AddBezier(289.7646484375F, 850.455078125F, 290.04931640625F, 850.27734375F, 290.46923828125F, 850.15625F, 290.90283203125F, 850.15625F);
            this.cacheGraphicsPath.AddBezier(290.90283203125F, 850.15625F, 291.962890625F, 850.15625F, 292.21875F, 850.875F, 292.21875F, 851.5654296875F);
            this.cacheGraphicsPath.AddLine(292.21875F, 851.5654296875F, 292.21875F, 852.8525390625F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(291.60693359375F, 851.9208984375F, 290.92431640625F, 851.90625F, 290.14892578125F, 852.02734375F, 290.14892578125F, 852.6962890625F);
            this.cacheGraphicsPath.AddBezier(290.14892578125F, 852.6962890625F, 290.14892578125F, 853.1083984375F, 290.41943359375F, 853.2939453125F, 290.732421875F, 853.2939453125F);
            this.cacheGraphicsPath.AddBezier(290.732421875F, 853.2939453125F, 291.1875F, 853.2939453125F, 291.47900390625F, 853.0087890625F, 291.57861328125F, 852.7177734375F);
            this.cacheGraphicsPath.AddBezier(291.57861328125F, 852.7177734375F, 291.60009765625F, 852.6533203125F, 291.60693359375F, 852.58203125F, 291.60693359375F, 852.5185546875F);
            this.cacheGraphicsPath.AddLine(291.60693359375F, 852.5185546875F, 291.60693359375F, 851.9208984375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(293.22216796875F, 851.30859375F, 293.22216796875F, 850.9033203125F, 293.21484375F, 850.5546875F, 293.193359375F, 850.234375F);
            this.cacheGraphicsPath.AddLine(293.7412109375F, 850.234375F, 293.76953125F, 850.91015625F);
            this.cacheGraphicsPath.AddBezier(293.791015625F, 850.91015625F, 293.94775390625F, 850.4482421875F, 294.33154296875F, 850.15625F, 294.75146484375F, 850.15625F);
            this.cacheGraphicsPath.AddBezier(294.75146484375F, 850.15625F, 294.81494140625F, 850.15625F, 294.86474609375F, 850.1640625F, 294.92236328125F, 850.1708984375F);
            this.cacheGraphicsPath.AddBezier(294.92236328125F, 850.7607421875F, 294.85791015625F, 850.75390625F, 294.79443359375F, 850.7470703125F, 294.70849609375F, 850.7470703125F);
            this.cacheGraphicsPath.AddBezier(294.70849609375F, 850.7470703125F, 294.26806640625F, 850.7470703125F, 293.95458984375F, 851.0810546875F, 293.869140625F, 851.5439453125F);
            this.cacheGraphicsPath.AddBezier(293.869140625F, 851.5439453125F, 293.85498046875F, 851.6357421875F, 293.84814453125F, 851.7353515625F, 293.84814453125F, 851.8349609375F);
            this.cacheGraphicsPath.AddLine(293.84814453125F, 853.677734375F, 293.22216796875F, 853.677734375F);
            this.cacheGraphicsPath.AddLine(293.22216796875F, 853.677734375F, 293.22216796875F, 851.30859375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(295.83251953125F, 852.0703125F, 295.84716796875F, 852.9091796875F, 296.38037109375F, 853.2578125F, 297.00634765625F, 853.2578125F);
            this.cacheGraphicsPath.AddBezier(297.00634765625F, 853.2578125F, 297.45458984375F, 853.2578125F, 297.73193359375F, 853.1796875F, 297.95947265625F, 853.080078125F);
            this.cacheGraphicsPath.AddBezier(298.07373046875F, 853.5283203125F, 297.85302734375F, 853.6279296875F, 297.46826171875F, 853.7490234375F, 296.92041015625F, 853.7490234375F);
            this.cacheGraphicsPath.AddBezier(296.92041015625F, 853.7490234375F, 295.86767578125F, 853.7490234375F, 295.22802734375F, 853.044921875F, 295.22802734375F, 852.0126953125F);
            this.cacheGraphicsPath.AddBezier(295.22802734375F, 852.0126953125F, 295.22802734375F, 850.974609375F, 295.84716796875F, 850.15625F, 296.85009765625F, 850.15625F);
            this.cacheGraphicsPath.AddBezier(296.85009765625F, 850.15625F, 297.97412109375F, 850.15625F, 298.26513671875F, 851.1455078125F, 298.26513671875F, 851.7783203125F);
            this.cacheGraphicsPath.AddBezier(298.26513671875F, 851.7783203125F, 298.26513671875F, 851.90625F, 298.25830078125F, 851.9990234375F, 298.24365234375F, 852.0703125F);
            this.cacheGraphicsPath.AddLine(298.24365234375F, 852.0703125F, 295.83251953125F, 852.0703125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(297.66064453125F, 851.6220703125F, 297.66748046875F, 851.2236328125F, 297.49658203125F, 850.6044921875F, 296.80029296875F, 850.6044921875F);
            this.cacheGraphicsPath.AddBezier(296.80029296875F, 850.6044921875F, 296.15966796875F, 850.6044921875F, 295.88916015625F, 851.1875F, 295.83935546875F, 851.6220703125F);
            this.cacheGraphicsPath.AddLine(295.83935546875F, 851.6220703125F, 297.66064453125F, 851.6220703125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(300.90478515625F, 852.0703125F, 300.91943359375F, 852.9091796875F, 301.45263671875F, 853.2578125F, 302.07861328125F, 853.2578125F);
            this.cacheGraphicsPath.AddBezier(302.07861328125F, 853.2578125F, 302.52685546875F, 853.2578125F, 302.80419921875F, 853.1796875F, 303.03173828125F, 853.080078125F);
            this.cacheGraphicsPath.AddBezier(303.14599609375F, 853.5283203125F, 302.92529296875F, 853.6279296875F, 302.54052734375F, 853.7490234375F, 301.99267578125F, 853.7490234375F);
            this.cacheGraphicsPath.AddBezier(301.99267578125F, 853.7490234375F, 300.93994140625F, 853.7490234375F, 300.30029296875F, 853.044921875F, 300.30029296875F, 852.0126953125F);
            this.cacheGraphicsPath.AddBezier(300.30029296875F, 852.0126953125F, 300.30029296875F, 850.974609375F, 300.91943359375F, 850.15625F, 301.92236328125F, 850.15625F);
            this.cacheGraphicsPath.AddBezier(301.92236328125F, 850.15625F, 303.04638671875F, 850.15625F, 303.33740234375F, 851.1455078125F, 303.33740234375F, 851.7783203125F);
            this.cacheGraphicsPath.AddBezier(303.33740234375F, 851.7783203125F, 303.33740234375F, 851.90625F, 303.33056640625F, 851.9990234375F, 303.31591796875F, 852.0703125F);
            this.cacheGraphicsPath.AddLine(303.31591796875F, 852.0703125F, 300.90478515625F, 852.0703125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(302.73291015625F, 851.6220703125F, 302.73974609375F, 851.2236328125F, 302.56884765625F, 850.6044921875F, 301.87255859375F, 850.6044921875F);
            this.cacheGraphicsPath.AddBezier(301.87255859375F, 850.6044921875F, 301.23193359375F, 850.6044921875F, 300.96142578125F, 851.1875F, 300.91162109375F, 851.6220703125F);
            this.cacheGraphicsPath.AddLine(300.91162109375F, 851.6220703125F, 302.73291015625F, 851.6220703125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(304.41162109375F, 849.6513671875F, 304.18408203125F, 849.6513671875F, 304.03466796875F, 849.4736328125F, 304.03466796875F, 849.267578125F);
            this.cacheGraphicsPath.AddBezier(304.03466796875F, 849.267578125F, 304.03466796875F, 849.046875F, 304.19091796875F, 848.8759765625F, 304.42529296875F, 848.8759765625F);
            this.cacheGraphicsPath.AddBezier(304.42529296875F, 848.8759765625F, 304.65283203125F, 848.8759765625F, 304.81005859375F, 849.046875F, 304.81005859375F, 849.267578125F);
            this.cacheGraphicsPath.AddBezier(304.81005859375F, 849.267578125F, 304.81005859375F, 849.4736328125F, 304.66064453125F, 849.6513671875F, 304.41845703125F, 849.6513671875F);
            this.cacheGraphicsPath.AddLine(304.41845703125F, 849.6513671875F, 304.41162109375F, 849.6513671875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(304.11279296875F, 853.677734375F, 304.11279296875F, 850.234375F);
            this.cacheGraphicsPath.AddLine(304.73876953125F, 850.234375F, 304.73876953125F, 853.677734375F);
            this.cacheGraphicsPath.AddLine(304.73876953125F, 853.677734375F, 304.11279296875F, 853.677734375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(306.5322265625F, 849.4091796875F, 306.5322265625F, 850.234375F);
            this.cacheGraphicsPath.AddLine(307.4287109375F, 850.234375F, 307.4287109375F, 850.7109375F);
            this.cacheGraphicsPath.AddLine(306.5322265625F, 850.7109375F, 306.5322265625F, 852.560546875F);
            this.cacheGraphicsPath.AddBezier(306.5322265625F, 852.560546875F, 306.5322265625F, 852.9873046875F, 306.6533203125F, 853.2294921875F, 307.001953125F, 853.2294921875F);
            this.cacheGraphicsPath.AddBezier(307.001953125F, 853.2294921875F, 307.171875F, 853.2294921875F, 307.271484375F, 853.2158203125F, 307.3642578125F, 853.1865234375F);
            this.cacheGraphicsPath.AddBezier(307.392578125F, 853.6630859375F, 307.271484375F, 853.7060546875F, 307.080078125F, 853.7490234375F, 306.837890625F, 853.7490234375F);
            this.cacheGraphicsPath.AddBezier(306.837890625F, 853.7490234375F, 306.5458984375F, 853.7490234375F, 306.3115234375F, 853.6494140625F, 306.162109375F, 853.4853515625F);
            this.cacheGraphicsPath.AddBezier(306.162109375F, 853.4853515625F, 305.99072265625F, 853.2939453125F, 305.91943359375F, 852.9873046875F, 305.91943359375F, 852.58203125F);
            this.cacheGraphicsPath.AddLine(305.91943359375F, 850.7109375F, 305.38623046875F, 850.7109375F);
            this.cacheGraphicsPath.AddLine(305.38623046875F, 850.234375F, 305.91943359375F, 850.234375F);
            this.cacheGraphicsPath.AddLine(305.91943359375F, 849.6015625F, 306.5322265625F, 849.4091796875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(308.1328125F, 848.626953125F, 308.7587890625F, 848.626953125F);
            this.cacheGraphicsPath.AddLine(308.7587890625F, 850.775390625F, 308.7724609375F, 850.775390625F);
            this.cacheGraphicsPath.AddBezier(308.7724609375F, 850.775390625F, 308.8720703125F, 850.59765625F, 309.029296875F, 850.43359375F, 309.220703125F, 850.333984375F);
            this.cacheGraphicsPath.AddBezier(309.220703125F, 850.333984375F, 309.40625F, 850.220703125F, 309.6259765625F, 850.15625F, 309.861328125F, 850.15625F);
            this.cacheGraphicsPath.AddBezier(309.861328125F, 850.15625F, 310.3232421875F, 850.15625F, 311.0634765625F, 850.44140625F, 311.0634765625F, 851.62890625F);
            this.cacheGraphicsPath.AddLine(311.0634765625F, 853.677734375F, 310.4375F, 853.677734375F);
            this.cacheGraphicsPath.AddBezier(310.4375F, 851.693359375F, 310.4375F, 851.138671875F, 310.2314453125F, 850.67578125F, 309.640625F, 850.67578125F);
            this.cacheGraphicsPath.AddBezier(309.640625F, 850.67578125F, 309.2353515625F, 850.67578125F, 308.921875F, 850.9599609375F, 308.80078125F, 851.3017578125F);
            this.cacheGraphicsPath.AddBezier(308.80078125F, 851.3017578125F, 308.765625F, 851.38671875F, 308.7587890625F, 851.4794921875F, 308.7587890625F, 851.6005859375F);
            this.cacheGraphicsPath.AddLine(308.7587890625F, 853.677734375F, 308.1328125F, 853.677734375F);
            this.cacheGraphicsPath.AddLine(308.1328125F, 853.677734375F, 308.1328125F, 848.626953125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(312.4365234375F, 852.0703125F, 312.451171875F, 852.9091796875F, 312.984375F, 853.2578125F, 313.6103515625F, 853.2578125F);
            this.cacheGraphicsPath.AddBezier(313.6103515625F, 853.2578125F, 314.05859375F, 853.2578125F, 314.3359375F, 853.1796875F, 314.5634765625F, 853.080078125F);
            this.cacheGraphicsPath.AddBezier(314.677734375F, 853.5283203125F, 314.45703125F, 853.6279296875F, 314.072265625F, 853.7490234375F, 313.5244140625F, 853.7490234375F);
            this.cacheGraphicsPath.AddBezier(313.5244140625F, 853.7490234375F, 312.4716796875F, 853.7490234375F, 311.83203125F, 853.044921875F, 311.83203125F, 852.0126953125F);
            this.cacheGraphicsPath.AddBezier(311.83203125F, 852.0126953125F, 311.83203125F, 850.974609375F, 312.451171875F, 850.15625F, 313.4541015625F, 850.15625F);
            this.cacheGraphicsPath.AddBezier(313.4541015625F, 850.15625F, 314.578125F, 850.15625F, 314.869140625F, 851.1455078125F, 314.869140625F, 851.7783203125F);
            this.cacheGraphicsPath.AddBezier(314.869140625F, 851.7783203125F, 314.869140625F, 851.90625F, 314.8623046875F, 851.9990234375F, 314.84765625F, 852.0703125F);
            this.cacheGraphicsPath.AddLine(314.84765625F, 852.0703125F, 312.4365234375F, 852.0703125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(314.2646484375F, 851.6220703125F, 314.271484375F, 851.2236328125F, 314.1005859375F, 850.6044921875F, 313.404296875F, 850.6044921875F);
            this.cacheGraphicsPath.AddBezier(313.404296875F, 850.6044921875F, 312.763671875F, 850.6044921875F, 312.4931640625F, 851.1875F, 312.443359375F, 851.6220703125F);
            this.cacheGraphicsPath.AddLine(312.443359375F, 851.6220703125F, 314.2646484375F, 851.6220703125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(315.64453125F, 851.30859375F, 315.64453125F, 850.9033203125F, 315.63671875F, 850.5546875F, 315.6162109375F, 850.234375F);
            this.cacheGraphicsPath.AddLine(316.1630859375F, 850.234375F, 316.1923828125F, 850.91015625F);
            this.cacheGraphicsPath.AddBezier(316.212890625F, 850.91015625F, 316.3701171875F, 850.4482421875F, 316.75390625F, 850.15625F, 317.173828125F, 850.15625F);
            this.cacheGraphicsPath.AddBezier(317.173828125F, 850.15625F, 317.2373046875F, 850.15625F, 317.287109375F, 850.1640625F, 317.3447265625F, 850.1708984375F);
            this.cacheGraphicsPath.AddBezier(317.3447265625F, 850.7607421875F, 317.2802734375F, 850.75390625F, 317.216796875F, 850.7470703125F, 317.130859375F, 850.7470703125F);
            this.cacheGraphicsPath.AddBezier(317.130859375F, 850.7470703125F, 316.6904296875F, 850.7470703125F, 316.376953125F, 851.0810546875F, 316.2919921875F, 851.5439453125F);
            this.cacheGraphicsPath.AddBezier(316.2919921875F, 851.5439453125F, 316.27734375F, 851.6357421875F, 316.2705078125F, 851.7353515625F, 316.2705078125F, 851.8349609375F);
            this.cacheGraphicsPath.AddLine(316.2705078125F, 853.677734375F, 315.64453125F, 853.677734375F);
            this.cacheGraphicsPath.AddLine(315.64453125F, 853.677734375F, 315.64453125F, 851.30859375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(319.478515625F, 851.30859375F, 319.478515625F, 850.9033203125F, 319.470703125F, 850.5546875F, 319.4501953125F, 850.234375F);
            this.cacheGraphicsPath.AddLine(319.9970703125F, 850.234375F, 320.0263671875F, 850.91015625F);
            this.cacheGraphicsPath.AddBezier(320.046875F, 850.91015625F, 320.2041015625F, 850.4482421875F, 320.587890625F, 850.15625F, 321.0078125F, 850.15625F);
            this.cacheGraphicsPath.AddBezier(321.0078125F, 850.15625F, 321.0712890625F, 850.15625F, 321.12109375F, 850.1640625F, 321.1787109375F, 850.1708984375F);
            this.cacheGraphicsPath.AddBezier(321.1787109375F, 850.7607421875F, 321.1142578125F, 850.75390625F, 321.05078125F, 850.7470703125F, 320.96484375F, 850.7470703125F);
            this.cacheGraphicsPath.AddBezier(320.96484375F, 850.7470703125F, 320.5244140625F, 850.7470703125F, 320.2109375F, 851.0810546875F, 320.1259765625F, 851.5439453125F);
            this.cacheGraphicsPath.AddBezier(320.1259765625F, 851.5439453125F, 320.111328125F, 851.6357421875F, 320.1044921875F, 851.7353515625F, 320.1044921875F, 851.8349609375F);
            this.cacheGraphicsPath.AddLine(320.1044921875F, 853.677734375F, 319.478515625F, 853.677734375F);
            this.cacheGraphicsPath.AddLine(319.478515625F, 853.677734375F, 319.478515625F, 851.30859375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(322.0888671875F, 852.0703125F, 322.103515625F, 852.9091796875F, 322.63671875F, 853.2578125F, 323.2626953125F, 853.2578125F);
            this.cacheGraphicsPath.AddBezier(323.2626953125F, 853.2578125F, 323.7109375F, 853.2578125F, 323.98828125F, 853.1796875F, 324.2158203125F, 853.080078125F);
            this.cacheGraphicsPath.AddBezier(324.330078125F, 853.5283203125F, 324.109375F, 853.6279296875F, 323.724609375F, 853.7490234375F, 323.1767578125F, 853.7490234375F);
            this.cacheGraphicsPath.AddBezier(323.1767578125F, 853.7490234375F, 322.1240234375F, 853.7490234375F, 321.484375F, 853.044921875F, 321.484375F, 852.0126953125F);
            this.cacheGraphicsPath.AddBezier(321.484375F, 852.0126953125F, 321.484375F, 850.974609375F, 322.103515625F, 850.15625F, 323.1064453125F, 850.15625F);
            this.cacheGraphicsPath.AddBezier(323.1064453125F, 850.15625F, 324.23046875F, 850.15625F, 324.521484375F, 851.1455078125F, 324.521484375F, 851.7783203125F);
            this.cacheGraphicsPath.AddBezier(324.521484375F, 851.7783203125F, 324.521484375F, 851.90625F, 324.5146484375F, 851.9990234375F, 324.5F, 852.0703125F);
            this.cacheGraphicsPath.AddLine(324.5F, 852.0703125F, 322.0888671875F, 852.0703125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(323.9169921875F, 851.6220703125F, 323.923828125F, 851.2236328125F, 323.7529296875F, 850.6044921875F, 323.056640625F, 850.6044921875F);
            this.cacheGraphicsPath.AddBezier(323.056640625F, 850.6044921875F, 322.416015625F, 850.6044921875F, 322.1455078125F, 851.1875F, 322.095703125F, 851.6220703125F);
            this.cacheGraphicsPath.AddLine(322.095703125F, 851.6220703125F, 323.9169921875F, 851.6220703125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(328.2412109375F, 853.1728515625F, 328.2412109375F, 853.9697265625F, 328.078125F, 854.4462890625F, 327.7509765625F, 854.751953125F);
            this.cacheGraphicsPath.AddBezier(327.7509765625F, 854.751953125F, 327.4091796875F, 855.0576171875F, 326.92578125F, 855.1640625F, 326.4921875F, 855.1640625F);
            this.cacheGraphicsPath.AddBezier(326.4921875F, 855.1640625F, 326.0791015625F, 855.1640625F, 325.6240234375F, 855.064453125F, 325.3466796875F, 854.8798828125F);
            this.cacheGraphicsPath.AddBezier(325.5029296875F, 854.396484375F, 325.73046875F, 854.5458984375F, 326.0859375F, 854.673828125F, 326.5126953125F, 854.673828125F);
            this.cacheGraphicsPath.AddBezier(326.5126953125F, 854.673828125F, 327.1533203125F, 854.673828125F, 327.623046875F, 854.3388671875F, 327.623046875F, 853.4638671875F);
            this.cacheGraphicsPath.AddLine(327.623046875F, 853.0869140625F, 327.6083984375F, 853.0869140625F);
            this.cacheGraphicsPath.AddBezier(327.6083984375F, 853.0869140625F, 327.423828125F, 853.4072265625F, 327.046875F, 853.6630859375F, 326.5126953125F, 853.6630859375F);
            this.cacheGraphicsPath.AddBezier(326.5126953125F, 853.6630859375F, 325.6591796875F, 853.6630859375F, 325.0478515625F, 852.9375F, 325.0478515625F, 851.9775390625F);
            this.cacheGraphicsPath.AddBezier(325.0478515625F, 851.9775390625F, 325.0478515625F, 850.810546875F, 325.80859375F, 850.15625F, 326.60546875F, 850.15625F);
            this.cacheGraphicsPath.AddBezier(326.60546875F, 850.15625F, 327.203125F, 850.15625F, 327.5234375F, 850.4619140625F, 327.6796875F, 850.75390625F);
            this.cacheGraphicsPath.AddLine(327.6943359375F, 850.75390625F, 327.71484375F, 850.234375F);
            this.cacheGraphicsPath.AddBezier(328.2705078125F, 850.234375F, 328.2490234375F, 850.4765625F, 328.2412109375F, 850.7607421875F, 328.2412109375F, 851.173828125F);
            this.cacheGraphicsPath.AddLine(328.2412109375F, 851.173828125F, 328.2412109375F, 853.1728515625F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(327.615234375F, 851.5859375F, 327.615234375F, 851.486328125F, 327.6083984375F, 851.39453125F, 327.580078125F, 851.30859375F);
            this.cacheGraphicsPath.AddBezier(327.580078125F, 851.30859375F, 327.4658203125F, 850.939453125F, 327.16796875F, 850.640625F, 326.705078125F, 850.640625F);
            this.cacheGraphicsPath.AddBezier(326.705078125F, 850.640625F, 326.107421875F, 850.640625F, 325.6806640625F, 851.1455078125F, 325.6806640625F, 851.94921875F);
            this.cacheGraphicsPath.AddBezier(325.6806640625F, 851.94921875F, 325.6806640625F, 852.6181640625F, 326.029296875F, 853.1865234375F, 326.6982421875F, 853.1865234375F);
            this.cacheGraphicsPath.AddBezier(326.6982421875F, 853.1865234375F, 327.0888671875F, 853.1865234375F, 327.4375F, 852.9453125F, 327.5654296875F, 852.5390625F);
            this.cacheGraphicsPath.AddBezier(327.5654296875F, 852.5390625F, 327.6015625F, 852.4404296875F, 327.615234375F, 852.3193359375F, 327.615234375F, 852.205078125F);
            this.cacheGraphicsPath.AddLine(327.615234375F, 852.205078125F, 327.615234375F, 851.5859375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(329.529296875F, 849.6513671875F, 329.3017578125F, 849.6513671875F, 329.15234375F, 849.4736328125F, 329.15234375F, 849.267578125F);
            this.cacheGraphicsPath.AddBezier(329.15234375F, 849.267578125F, 329.15234375F, 849.046875F, 329.30859375F, 848.8759765625F, 329.54296875F, 848.8759765625F);
            this.cacheGraphicsPath.AddBezier(329.54296875F, 848.8759765625F, 329.7705078125F, 848.8759765625F, 329.927734375F, 849.046875F, 329.927734375F, 849.267578125F);
            this.cacheGraphicsPath.AddBezier(329.927734375F, 849.267578125F, 329.927734375F, 849.4736328125F, 329.7783203125F, 849.6513671875F, 329.5361328125F, 849.6513671875F);
            this.cacheGraphicsPath.AddLine(329.5361328125F, 849.6513671875F, 329.529296875F, 849.6513671875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(329.23046875F, 853.677734375F, 329.23046875F, 850.234375F);
            this.cacheGraphicsPath.AddLine(329.8564453125F, 850.234375F, 329.8564453125F, 853.677734375F);
            this.cacheGraphicsPath.AddLine(329.8564453125F, 853.677734375F, 329.23046875F, 853.677734375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(330.8095703125F, 853.037109375F, 331.001953125F, 853.1513671875F, 331.3291015625F, 853.279296875F, 331.642578125F, 853.279296875F);
            this.cacheGraphicsPath.AddBezier(331.642578125F, 853.279296875F, 332.0908203125F, 853.279296875F, 332.3037109375F, 853.05859375F, 332.3037109375F, 852.767578125F);
            this.cacheGraphicsPath.AddBezier(332.3037109375F, 852.767578125F, 332.3037109375F, 852.46875F, 332.1259765625F, 852.3115234375F, 331.6708984375F, 852.1416015625F);
            this.cacheGraphicsPath.AddBezier(331.6708984375F, 852.1416015625F, 331.044921875F, 851.9130859375F, 330.7529296875F, 851.572265625F, 330.7529296875F, 851.1669921875F);
            this.cacheGraphicsPath.AddBezier(330.7529296875F, 851.1669921875F, 330.7529296875F, 850.611328125F, 331.2080078125F, 850.15625F, 331.94140625F, 850.15625F);
            this.cacheGraphicsPath.AddBezier(331.94140625F, 850.15625F, 332.2890625F, 850.15625F, 332.595703125F, 850.2490234375F, 332.7802734375F, 850.3701171875F);
            this.cacheGraphicsPath.AddBezier(332.630859375F, 850.818359375F, 332.49609375F, 850.740234375F, 332.2470703125F, 850.619140625F, 331.9267578125F, 850.619140625F);
            this.cacheGraphicsPath.AddBezier(331.9267578125F, 850.619140625F, 331.556640625F, 850.619140625F, 331.357421875F, 850.83203125F, 331.357421875F, 851.087890625F);
            this.cacheGraphicsPath.AddBezier(331.357421875F, 851.087890625F, 331.357421875F, 851.373046875F, 331.556640625F, 851.5009765625F, 332.0048828125F, 851.6787109375F);
            this.cacheGraphicsPath.AddBezier(332.0048828125F, 851.6787109375F, 332.595703125F, 851.8994140625F, 332.908203125F, 852.1982421875F, 332.908203125F, 852.7099609375F);
            this.cacheGraphicsPath.AddBezier(332.908203125F, 852.7099609375F, 332.908203125F, 853.322265625F, 332.431640625F, 853.7490234375F, 331.6279296875F, 853.7490234375F);
            this.cacheGraphicsPath.AddBezier(331.6279296875F, 853.7490234375F, 331.2509765625F, 853.7490234375F, 330.90234375F, 853.6494140625F, 330.66015625F, 853.5068359375F);
            this.cacheGraphicsPath.AddLine(330.66015625F, 853.5068359375F, 330.8095703125F, 853.037109375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(334.4658203125F, 849.4091796875F, 334.4658203125F, 850.234375F);
            this.cacheGraphicsPath.AddLine(335.3623046875F, 850.234375F, 335.3623046875F, 850.7109375F);
            this.cacheGraphicsPath.AddLine(334.4658203125F, 850.7109375F, 334.4658203125F, 852.560546875F);
            this.cacheGraphicsPath.AddBezier(334.4658203125F, 852.560546875F, 334.4658203125F, 852.9873046875F, 334.5869140625F, 853.2294921875F, 334.935546875F, 853.2294921875F);
            this.cacheGraphicsPath.AddBezier(334.935546875F, 853.2294921875F, 335.10546875F, 853.2294921875F, 335.205078125F, 853.2158203125F, 335.2978515625F, 853.1865234375F);
            this.cacheGraphicsPath.AddBezier(335.326171875F, 853.6630859375F, 335.205078125F, 853.7060546875F, 335.013671875F, 853.7490234375F, 334.771484375F, 853.7490234375F);
            this.cacheGraphicsPath.AddBezier(334.771484375F, 853.7490234375F, 334.4794921875F, 853.7490234375F, 334.2451171875F, 853.6494140625F, 334.095703125F, 853.4853515625F);
            this.cacheGraphicsPath.AddBezier(334.095703125F, 853.4853515625F, 333.9248046875F, 853.2939453125F, 333.853515625F, 852.9873046875F, 333.853515625F, 852.58203125F);
            this.cacheGraphicsPath.AddLine(333.853515625F, 850.7109375F, 333.3203125F, 850.7109375F);
            this.cacheGraphicsPath.AddLine(333.3203125F, 850.234375F, 333.853515625F, 850.234375F);
            this.cacheGraphicsPath.AddLine(333.853515625F, 849.6015625F, 334.4658203125F, 849.4091796875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(336.37890625F, 852.0703125F, 336.3935546875F, 852.9091796875F, 336.9267578125F, 853.2578125F, 337.552734375F, 853.2578125F);
            this.cacheGraphicsPath.AddBezier(337.552734375F, 853.2578125F, 338.0009765625F, 853.2578125F, 338.2783203125F, 853.1796875F, 338.505859375F, 853.080078125F);
            this.cacheGraphicsPath.AddBezier(338.6201171875F, 853.5283203125F, 338.3994140625F, 853.6279296875F, 338.0146484375F, 853.7490234375F, 337.466796875F, 853.7490234375F);
            this.cacheGraphicsPath.AddBezier(337.466796875F, 853.7490234375F, 336.4140625F, 853.7490234375F, 335.7744140625F, 853.044921875F, 335.7744140625F, 852.0126953125F);
            this.cacheGraphicsPath.AddBezier(335.7744140625F, 852.0126953125F, 335.7744140625F, 850.974609375F, 336.3935546875F, 850.15625F, 337.396484375F, 850.15625F);
            this.cacheGraphicsPath.AddBezier(337.396484375F, 850.15625F, 338.5205078125F, 850.15625F, 338.8115234375F, 851.1455078125F, 338.8115234375F, 851.7783203125F);
            this.cacheGraphicsPath.AddBezier(338.8115234375F, 851.7783203125F, 338.8115234375F, 851.90625F, 338.8046875F, 851.9990234375F, 338.7900390625F, 852.0703125F);
            this.cacheGraphicsPath.AddLine(338.7900390625F, 852.0703125F, 336.37890625F, 852.0703125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(338.20703125F, 851.6220703125F, 338.2138671875F, 851.2236328125F, 338.04296875F, 850.6044921875F, 337.3466796875F, 850.6044921875F);
            this.cacheGraphicsPath.AddBezier(337.3466796875F, 850.6044921875F, 336.7060546875F, 850.6044921875F, 336.435546875F, 851.1875F, 336.3857421875F, 851.6220703125F);
            this.cacheGraphicsPath.AddLine(336.3857421875F, 851.6220703125F, 338.20703125F, 851.6220703125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(339.587890625F, 851.30859375F, 339.587890625F, 850.9033203125F, 339.580078125F, 850.5546875F, 339.5595703125F, 850.234375F);
            this.cacheGraphicsPath.AddLine(340.1064453125F, 850.234375F, 340.1357421875F, 850.91015625F);
            this.cacheGraphicsPath.AddBezier(340.15625F, 850.91015625F, 340.3134765625F, 850.4482421875F, 340.697265625F, 850.15625F, 341.1171875F, 850.15625F);
            this.cacheGraphicsPath.AddBezier(341.1171875F, 850.15625F, 341.1806640625F, 850.15625F, 341.23046875F, 850.1640625F, 341.2880859375F, 850.1708984375F);
            this.cacheGraphicsPath.AddBezier(341.2880859375F, 850.7607421875F, 341.2236328125F, 850.75390625F, 341.16015625F, 850.7470703125F, 341.07421875F, 850.7470703125F);
            this.cacheGraphicsPath.AddBezier(341.07421875F, 850.7470703125F, 340.6337890625F, 850.7470703125F, 340.3203125F, 851.0810546875F, 340.2353515625F, 851.5439453125F);
            this.cacheGraphicsPath.AddBezier(340.2353515625F, 851.5439453125F, 340.220703125F, 851.6357421875F, 340.2138671875F, 851.7353515625F, 340.2138671875F, 851.8349609375F);
            this.cacheGraphicsPath.AddLine(340.2138671875F, 853.677734375F, 339.587890625F, 853.677734375F);
            this.cacheGraphicsPath.AddLine(339.587890625F, 853.677734375F, 339.587890625F, 851.30859375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(342.19921875F, 852.0703125F, 342.2138671875F, 852.9091796875F, 342.7470703125F, 853.2578125F, 343.373046875F, 853.2578125F);
            this.cacheGraphicsPath.AddBezier(343.373046875F, 853.2578125F, 343.8212890625F, 853.2578125F, 344.0986328125F, 853.1796875F, 344.326171875F, 853.080078125F);
            this.cacheGraphicsPath.AddBezier(344.4404296875F, 853.5283203125F, 344.2197265625F, 853.6279296875F, 343.8349609375F, 853.7490234375F, 343.287109375F, 853.7490234375F);
            this.cacheGraphicsPath.AddBezier(343.287109375F, 853.7490234375F, 342.234375F, 853.7490234375F, 341.5947265625F, 853.044921875F, 341.5947265625F, 852.0126953125F);
            this.cacheGraphicsPath.AddBezier(341.5947265625F, 852.0126953125F, 341.5947265625F, 850.974609375F, 342.2138671875F, 850.15625F, 343.216796875F, 850.15625F);
            this.cacheGraphicsPath.AddBezier(343.216796875F, 850.15625F, 344.3408203125F, 850.15625F, 344.6318359375F, 851.1455078125F, 344.6318359375F, 851.7783203125F);
            this.cacheGraphicsPath.AddBezier(344.6318359375F, 851.7783203125F, 344.6318359375F, 851.90625F, 344.625F, 851.9990234375F, 344.6103515625F, 852.0703125F);
            this.cacheGraphicsPath.AddLine(344.6103515625F, 852.0703125F, 342.19921875F, 852.0703125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(344.02734375F, 851.6220703125F, 344.0341796875F, 851.2236328125F, 343.86328125F, 850.6044921875F, 343.1669921875F, 850.6044921875F);
            this.cacheGraphicsPath.AddBezier(343.1669921875F, 850.6044921875F, 342.5263671875F, 850.6044921875F, 342.255859375F, 851.1875F, 342.2060546875F, 851.6220703125F);
            this.cacheGraphicsPath.AddLine(342.2060546875F, 851.6220703125F, 344.02734375F, 851.6220703125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(348.380859375F, 848.626953125F, 348.380859375F, 852.7880859375F);
            this.cacheGraphicsPath.AddBezier(348.380859375F, 852.7880859375F, 348.380859375F, 853.0947265625F, 348.3876953125F, 853.443359375F, 348.4091796875F, 853.677734375F);
            this.cacheGraphicsPath.AddLine(347.8466796875F, 853.677734375F, 347.818359375F, 853.080078125F);
            this.cacheGraphicsPath.AddBezier(347.8046875F, 853.080078125F, 347.6123046875F, 853.4638671875F, 347.19921875F, 853.755859375F, 346.6376953125F, 853.755859375F);
            this.cacheGraphicsPath.AddBezier(346.6376953125F, 853.755859375F, 345.8056640625F, 853.755859375F, 345.158203125F, 853.0517578125F, 345.158203125F, 852.005859375F);
            this.cacheGraphicsPath.AddBezier(345.158203125F, 852.005859375F, 345.1513671875F, 850.853515625F, 345.869140625F, 850.15625F, 346.701171875F, 850.15625F);
            this.cacheGraphicsPath.AddBezier(346.701171875F, 850.15625F, 347.2353515625F, 850.15625F, 347.5908203125F, 850.4052734375F, 347.740234375F, 850.67578125F);
            this.cacheGraphicsPath.AddLine(347.7548828125F, 850.67578125F, 347.7548828125F, 848.626953125F);
            this.cacheGraphicsPath.AddLine(347.7548828125F, 848.626953125F, 348.380859375F, 848.626953125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(347.7548828125F, 851.6357421875F, 347.7548828125F, 851.55078125F, 347.7470703125F, 851.451171875F, 347.7255859375F, 851.3662109375F);
            this.cacheGraphicsPath.AddBezier(347.7255859375F, 851.3662109375F, 347.6337890625F, 850.974609375F, 347.2919921875F, 850.6474609375F, 346.822265625F, 850.6474609375F);
            this.cacheGraphicsPath.AddBezier(346.822265625F, 850.6474609375F, 346.1748046875F, 850.6474609375F, 345.791015625F, 851.216796875F, 345.791015625F, 851.970703125F);
            this.cacheGraphicsPath.AddBezier(345.791015625F, 851.970703125F, 345.791015625F, 852.6748046875F, 346.1396484375F, 853.2509765625F, 346.80859375F, 853.2509765625F);
            this.cacheGraphicsPath.AddBezier(346.80859375F, 853.2509765625F, 347.228515625F, 853.2509765625F, 347.6123046875F, 852.966796875F, 347.7255859375F, 852.4970703125F);
            this.cacheGraphicsPath.AddBezier(347.7255859375F, 852.4970703125F, 347.7470703125F, 852.4189453125F, 347.7548828125F, 852.3330078125F, 347.7548828125F, 852.2333984375F);
            this.cacheGraphicsPath.AddLine(347.7548828125F, 852.2333984375F, 347.7548828125F, 851.6357421875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(351.6806640625F, 849.4091796875F, 351.6806640625F, 850.234375F);
            this.cacheGraphicsPath.AddLine(352.5771484375F, 850.234375F, 352.5771484375F, 850.7109375F);
            this.cacheGraphicsPath.AddLine(351.6806640625F, 850.7109375F, 351.6806640625F, 852.560546875F);
            this.cacheGraphicsPath.AddBezier(351.6806640625F, 852.560546875F, 351.6806640625F, 852.9873046875F, 351.8017578125F, 853.2294921875F, 352.150390625F, 853.2294921875F);
            this.cacheGraphicsPath.AddBezier(352.150390625F, 853.2294921875F, 352.3203125F, 853.2294921875F, 352.419921875F, 853.2158203125F, 352.5126953125F, 853.1865234375F);
            this.cacheGraphicsPath.AddBezier(352.541015625F, 853.6630859375F, 352.419921875F, 853.7060546875F, 352.228515625F, 853.7490234375F, 351.986328125F, 853.7490234375F);
            this.cacheGraphicsPath.AddBezier(351.986328125F, 853.7490234375F, 351.6943359375F, 853.7490234375F, 351.4599609375F, 853.6494140625F, 351.310546875F, 853.4853515625F);
            this.cacheGraphicsPath.AddBezier(351.310546875F, 853.4853515625F, 351.1396484375F, 853.2939453125F, 351.068359375F, 852.9873046875F, 351.068359375F, 852.58203125F);
            this.cacheGraphicsPath.AddLine(351.068359375F, 850.7109375F, 350.53515625F, 850.7109375F);
            this.cacheGraphicsPath.AddLine(350.53515625F, 850.234375F, 351.068359375F, 850.234375F);
            this.cacheGraphicsPath.AddLine(351.068359375F, 849.6015625F, 351.6806640625F, 849.4091796875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(353.2822265625F, 851.30859375F, 353.2822265625F, 850.9033203125F, 353.2744140625F, 850.5546875F, 353.25390625F, 850.234375F);
            this.cacheGraphicsPath.AddLine(353.8017578125F, 850.234375F, 353.830078125F, 850.91015625F);
            this.cacheGraphicsPath.AddBezier(353.8505859375F, 850.91015625F, 354.0078125F, 850.4482421875F, 354.3916015625F, 850.15625F, 354.8115234375F, 850.15625F);
            this.cacheGraphicsPath.AddBezier(354.8115234375F, 850.15625F, 354.875F, 850.15625F, 354.9248046875F, 850.1640625F, 354.982421875F, 850.1708984375F);
            this.cacheGraphicsPath.AddBezier(354.982421875F, 850.7607421875F, 354.91796875F, 850.75390625F, 354.8544921875F, 850.7470703125F, 354.7685546875F, 850.7470703125F);
            this.cacheGraphicsPath.AddBezier(354.7685546875F, 850.7470703125F, 354.328125F, 850.7470703125F, 354.0146484375F, 851.0810546875F, 353.9296875F, 851.5439453125F);
            this.cacheGraphicsPath.AddBezier(353.9296875F, 851.5439453125F, 353.9150390625F, 851.6357421875F, 353.908203125F, 851.7353515625F, 353.908203125F, 851.8349609375F);
            this.cacheGraphicsPath.AddLine(353.908203125F, 853.677734375F, 353.2822265625F, 853.677734375F);
            this.cacheGraphicsPath.AddLine(353.2822265625F, 853.677734375F, 353.2822265625F, 851.30859375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(357.9970703125F, 852.8525390625F, 357.9970703125F, 853.1513671875F, 358.0107421875F, 853.443359375F, 358.046875F, 853.677734375F);
            this.cacheGraphicsPath.AddLine(357.484375F, 853.677734375F, 357.427734375F, 853.244140625F);
            this.cacheGraphicsPath.AddBezier(357.40625F, 853.244140625F, 357.2216796875F, 853.513671875F, 356.8447265625F, 853.755859375F, 356.353515625F, 853.755859375F);
            this.cacheGraphicsPath.AddBezier(356.353515625F, 853.755859375F, 355.65625F, 853.755859375F, 355.30078125F, 853.265625F, 355.30078125F, 852.767578125F);
            this.cacheGraphicsPath.AddBezier(355.30078125F, 852.767578125F, 355.30078125F, 851.9345703125F, 356.041015625F, 851.4794921875F, 357.37109375F, 851.486328125F);
            this.cacheGraphicsPath.AddBezier(357.37109375F, 851.416015625F, 357.37109375F, 851.130859375F, 357.29296875F, 850.611328125F, 356.587890625F, 850.619140625F);
            this.cacheGraphicsPath.AddBezier(356.587890625F, 850.619140625F, 356.2607421875F, 850.619140625F, 355.9267578125F, 850.7109375F, 355.6845703125F, 850.875F);
            this.cacheGraphicsPath.AddBezier(355.54296875F, 850.455078125F, 355.8271484375F, 850.27734375F, 356.2470703125F, 850.15625F, 356.6806640625F, 850.15625F);
            this.cacheGraphicsPath.AddBezier(356.6806640625F, 850.15625F, 357.740234375F, 850.15625F, 357.9970703125F, 850.875F, 357.9970703125F, 851.5654296875F);
            this.cacheGraphicsPath.AddLine(357.9970703125F, 851.5654296875F, 357.9970703125F, 852.8525390625F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(357.384765625F, 851.9208984375F, 356.7021484375F, 851.90625F, 355.9267578125F, 852.02734375F, 355.9267578125F, 852.6962890625F);
            this.cacheGraphicsPath.AddBezier(355.9267578125F, 852.6962890625F, 355.9267578125F, 853.1083984375F, 356.197265625F, 853.2939453125F, 356.509765625F, 853.2939453125F);
            this.cacheGraphicsPath.AddBezier(356.509765625F, 853.2939453125F, 356.96484375F, 853.2939453125F, 357.2568359375F, 853.0087890625F, 357.3564453125F, 852.7177734375F);
            this.cacheGraphicsPath.AddBezier(357.3564453125F, 852.7177734375F, 357.3779296875F, 852.6533203125F, 357.384765625F, 852.58203125F, 357.384765625F, 852.5185546875F);
            this.cacheGraphicsPath.AddLine(357.384765625F, 852.5185546875F, 357.384765625F, 851.9208984375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(361.9736328125F, 848.626953125F, 361.9736328125F, 852.7880859375F);
            this.cacheGraphicsPath.AddBezier(361.9736328125F, 852.7880859375F, 361.9736328125F, 853.0947265625F, 361.98046875F, 853.443359375F, 362.001953125F, 853.677734375F);
            this.cacheGraphicsPath.AddLine(361.439453125F, 853.677734375F, 361.4111328125F, 853.080078125F);
            this.cacheGraphicsPath.AddBezier(361.3974609375F, 853.080078125F, 361.205078125F, 853.4638671875F, 360.7919921875F, 853.755859375F, 360.23046875F, 853.755859375F);
            this.cacheGraphicsPath.AddBezier(360.23046875F, 853.755859375F, 359.3984375F, 853.755859375F, 358.7509765625F, 853.0517578125F, 358.7509765625F, 852.005859375F);
            this.cacheGraphicsPath.AddBezier(358.7509765625F, 852.005859375F, 358.744140625F, 850.853515625F, 359.4619140625F, 850.15625F, 360.2939453125F, 850.15625F);
            this.cacheGraphicsPath.AddBezier(360.2939453125F, 850.15625F, 360.828125F, 850.15625F, 361.18359375F, 850.4052734375F, 361.3330078125F, 850.67578125F);
            this.cacheGraphicsPath.AddLine(361.34765625F, 850.67578125F, 361.34765625F, 848.626953125F);
            this.cacheGraphicsPath.AddLine(361.34765625F, 848.626953125F, 361.9736328125F, 848.626953125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(361.34765625F, 851.6357421875F, 361.34765625F, 851.55078125F, 361.33984375F, 851.451171875F, 361.318359375F, 851.3662109375F);
            this.cacheGraphicsPath.AddBezier(361.318359375F, 851.3662109375F, 361.2265625F, 850.974609375F, 360.884765625F, 850.6474609375F, 360.4150390625F, 850.6474609375F);
            this.cacheGraphicsPath.AddBezier(360.4150390625F, 850.6474609375F, 359.767578125F, 850.6474609375F, 359.3837890625F, 851.216796875F, 359.3837890625F, 851.970703125F);
            this.cacheGraphicsPath.AddBezier(359.3837890625F, 851.970703125F, 359.3837890625F, 852.6748046875F, 359.732421875F, 853.2509765625F, 360.4013671875F, 853.2509765625F);
            this.cacheGraphicsPath.AddBezier(360.4013671875F, 853.2509765625F, 360.8212890625F, 853.2509765625F, 361.205078125F, 852.966796875F, 361.318359375F, 852.4970703125F);
            this.cacheGraphicsPath.AddBezier(361.318359375F, 852.4970703125F, 361.33984375F, 852.4189453125F, 361.34765625F, 852.3330078125F, 361.34765625F, 852.2333984375F);
            this.cacheGraphicsPath.AddLine(361.34765625F, 852.2333984375F, 361.34765625F, 851.6357421875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(363.3681640625F, 852.0703125F, 363.3828125F, 852.9091796875F, 363.916015625F, 853.2578125F, 364.5419921875F, 853.2578125F);
            this.cacheGraphicsPath.AddBezier(364.5419921875F, 853.2578125F, 364.990234375F, 853.2578125F, 365.267578125F, 853.1796875F, 365.4951171875F, 853.080078125F);
            this.cacheGraphicsPath.AddBezier(365.609375F, 853.5283203125F, 365.388671875F, 853.6279296875F, 365.00390625F, 853.7490234375F, 364.4560546875F, 853.7490234375F);
            this.cacheGraphicsPath.AddBezier(364.4560546875F, 853.7490234375F, 363.4033203125F, 853.7490234375F, 362.763671875F, 853.044921875F, 362.763671875F, 852.0126953125F);
            this.cacheGraphicsPath.AddBezier(362.763671875F, 852.0126953125F, 362.763671875F, 850.974609375F, 363.3828125F, 850.15625F, 364.3857421875F, 850.15625F);
            this.cacheGraphicsPath.AddBezier(364.3857421875F, 850.15625F, 365.509765625F, 850.15625F, 365.80078125F, 851.1455078125F, 365.80078125F, 851.7783203125F);
            this.cacheGraphicsPath.AddBezier(365.80078125F, 851.7783203125F, 365.80078125F, 851.90625F, 365.7939453125F, 851.9990234375F, 365.779296875F, 852.0703125F);
            this.cacheGraphicsPath.AddLine(365.779296875F, 852.0703125F, 363.3681640625F, 852.0703125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(365.1962890625F, 851.6220703125F, 365.203125F, 851.2236328125F, 365.0322265625F, 850.6044921875F, 364.3359375F, 850.6044921875F);
            this.cacheGraphicsPath.AddBezier(364.3359375F, 850.6044921875F, 363.6953125F, 850.6044921875F, 363.4248046875F, 851.1875F, 363.375F, 851.6220703125F);
            this.cacheGraphicsPath.AddLine(363.375F, 851.6220703125F, 365.1962890625F, 851.6220703125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(366.576171875F, 851.1669921875F, 366.576171875F, 850.8037109375F, 366.5615234375F, 850.51953125F, 366.5478515625F, 850.234375F);
            this.cacheGraphicsPath.AddLine(367.0947265625F, 850.234375F, 367.1240234375F, 850.7900390625F);
            this.cacheGraphicsPath.AddBezier(367.14453125F, 850.7900390625F, 367.3369140625F, 850.4619140625F, 367.6572265625F, 850.15625F, 368.2333984375F, 850.15625F);
            this.cacheGraphicsPath.AddBezier(368.2333984375F, 850.15625F, 368.6953125F, 850.15625F, 369.0517578125F, 850.44140625F, 369.201171875F, 850.8466796875F);
            this.cacheGraphicsPath.AddBezier(369.21484375F, 850.8466796875F, 369.3212890625F, 850.6474609375F, 369.4638671875F, 850.5048828125F, 369.6064453125F, 850.3984375F);
            this.cacheGraphicsPath.AddBezier(369.6064453125F, 850.3984375F, 369.8125F, 850.2421875F, 370.033203125F, 850.15625F, 370.3603515625F, 850.15625F);
            this.cacheGraphicsPath.AddBezier(370.3603515625F, 850.15625F, 370.822265625F, 850.15625F, 371.498046875F, 850.455078125F, 371.498046875F, 851.650390625F);
            this.cacheGraphicsPath.AddLine(371.498046875F, 853.677734375F, 370.88671875F, 853.677734375F);
            this.cacheGraphicsPath.AddBezier(370.88671875F, 851.728515625F, 370.88671875F, 851.0595703125F, 370.6376953125F, 850.6689453125F, 370.1396484375F, 850.6689453125F);
            this.cacheGraphicsPath.AddBezier(370.1396484375F, 850.6689453125F, 369.77734375F, 850.6689453125F, 369.5068359375F, 850.931640625F, 369.392578125F, 851.23046875F);
            this.cacheGraphicsPath.AddBezier(369.392578125F, 851.23046875F, 369.3642578125F, 851.3232421875F, 369.3427734375F, 851.4365234375F, 369.3427734375F, 851.5439453125F);
            this.cacheGraphicsPath.AddLine(369.3427734375F, 853.677734375F, 368.7314453125F, 853.677734375F);
            this.cacheGraphicsPath.AddBezier(368.7314453125F, 851.607421875F, 368.7314453125F, 851.0595703125F, 368.4892578125F, 850.6689453125F, 368.0126953125F, 850.6689453125F);
            this.cacheGraphicsPath.AddBezier(368.0126953125F, 850.6689453125F, 367.62890625F, 850.6689453125F, 367.3369140625F, 850.9814453125F, 367.2373046875F, 851.294921875F);
            this.cacheGraphicsPath.AddBezier(367.2373046875F, 851.294921875F, 367.2021484375F, 851.38671875F, 367.1875F, 851.494140625F, 367.1875F, 851.6005859375F);
            this.cacheGraphicsPath.AddLine(367.1875F, 853.677734375F, 366.576171875F, 853.677734375F);
            this.cacheGraphicsPath.AddLine(366.576171875F, 853.677734375F, 366.576171875F, 851.1669921875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(374.9345703125F, 852.8525390625F, 374.9345703125F, 853.1513671875F, 374.9482421875F, 853.443359375F, 374.984375F, 853.677734375F);
            this.cacheGraphicsPath.AddLine(374.421875F, 853.677734375F, 374.365234375F, 853.244140625F);
            this.cacheGraphicsPath.AddBezier(374.34375F, 853.244140625F, 374.1591796875F, 853.513671875F, 373.7822265625F, 853.755859375F, 373.291015625F, 853.755859375F);
            this.cacheGraphicsPath.AddBezier(373.291015625F, 853.755859375F, 372.59375F, 853.755859375F, 372.23828125F, 853.265625F, 372.23828125F, 852.767578125F);
            this.cacheGraphicsPath.AddBezier(372.23828125F, 852.767578125F, 372.23828125F, 851.9345703125F, 372.978515625F, 851.4794921875F, 374.30859375F, 851.486328125F);
            this.cacheGraphicsPath.AddBezier(374.30859375F, 851.416015625F, 374.30859375F, 851.130859375F, 374.23046875F, 850.611328125F, 373.525390625F, 850.619140625F);
            this.cacheGraphicsPath.AddBezier(373.525390625F, 850.619140625F, 373.1982421875F, 850.619140625F, 372.8642578125F, 850.7109375F, 372.6220703125F, 850.875F);
            this.cacheGraphicsPath.AddBezier(372.48046875F, 850.455078125F, 372.7646484375F, 850.27734375F, 373.1845703125F, 850.15625F, 373.6181640625F, 850.15625F);
            this.cacheGraphicsPath.AddBezier(373.6181640625F, 850.15625F, 374.677734375F, 850.15625F, 374.9345703125F, 850.875F, 374.9345703125F, 851.5654296875F);
            this.cacheGraphicsPath.AddLine(374.9345703125F, 851.5654296875F, 374.9345703125F, 852.8525390625F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(374.322265625F, 851.9208984375F, 373.6396484375F, 851.90625F, 372.8642578125F, 852.02734375F, 372.8642578125F, 852.6962890625F);
            this.cacheGraphicsPath.AddBezier(372.8642578125F, 852.6962890625F, 372.8642578125F, 853.1083984375F, 373.134765625F, 853.2939453125F, 373.447265625F, 853.2939453125F);
            this.cacheGraphicsPath.AddBezier(373.447265625F, 853.2939453125F, 373.90234375F, 853.2939453125F, 374.1943359375F, 853.0087890625F, 374.2939453125F, 852.7177734375F);
            this.cacheGraphicsPath.AddBezier(374.2939453125F, 852.7177734375F, 374.3154296875F, 852.6533203125F, 374.322265625F, 852.58203125F, 374.322265625F, 852.5185546875F);
            this.cacheGraphicsPath.AddLine(374.322265625F, 852.5185546875F, 374.322265625F, 851.9208984375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(375.9375F, 851.30859375F, 375.9375F, 850.9033203125F, 375.9296875F, 850.5546875F, 375.9091796875F, 850.234375F);
            this.cacheGraphicsPath.AddLine(376.4560546875F, 850.234375F, 376.4853515625F, 850.91015625F);
            this.cacheGraphicsPath.AddBezier(376.505859375F, 850.91015625F, 376.6630859375F, 850.4482421875F, 377.046875F, 850.15625F, 377.466796875F, 850.15625F);
            this.cacheGraphicsPath.AddBezier(377.466796875F, 850.15625F, 377.5302734375F, 850.15625F, 377.580078125F, 850.1640625F, 377.6376953125F, 850.1708984375F);
            this.cacheGraphicsPath.AddBezier(377.6376953125F, 850.7607421875F, 377.5732421875F, 850.75390625F, 377.509765625F, 850.7470703125F, 377.423828125F, 850.7470703125F);
            this.cacheGraphicsPath.AddBezier(377.423828125F, 850.7470703125F, 376.9833984375F, 850.7470703125F, 376.669921875F, 851.0810546875F, 376.5849609375F, 851.5439453125F);
            this.cacheGraphicsPath.AddBezier(376.5849609375F, 851.5439453125F, 376.5703125F, 851.6357421875F, 376.5634765625F, 851.7353515625F, 376.5634765625F, 851.8349609375F);
            this.cacheGraphicsPath.AddLine(376.5634765625F, 853.677734375F, 375.9375F, 853.677734375F);
            this.cacheGraphicsPath.AddLine(375.9375F, 853.677734375F, 375.9375F, 851.30859375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(378.91796875F, 851.814453125F, 378.931640625F, 851.814453125F);
            this.cacheGraphicsPath.AddBezier(378.931640625F, 851.814453125F, 379.017578125F, 851.693359375F, 379.130859375F, 851.5439453125F, 379.23046875F, 851.4228515625F);
            this.cacheGraphicsPath.AddLine(380.248046875F, 850.234375F, 380.9951171875F, 850.234375F);
            this.cacheGraphicsPath.AddLine(379.6650390625F, 851.650390625F, 381.1796875F, 853.677734375F);
            this.cacheGraphicsPath.AddLine(380.4189453125F, 853.677734375F, 379.23828125F, 852.02734375F);
            this.cacheGraphicsPath.AddLine(378.91796875F, 852.3828125F, 378.91796875F, 853.677734375F);
            this.cacheGraphicsPath.AddLine(378.2919921875F, 853.677734375F, 378.2919921875F, 848.626953125F);
            this.cacheGraphicsPath.AddLine(378.91796875F, 848.626953125F, 378.91796875F, 851.814453125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(381.5419921875F, 853.037109375F, 381.734375F, 853.1513671875F, 382.0615234375F, 853.279296875F, 382.375F, 853.279296875F);
            this.cacheGraphicsPath.AddBezier(382.375F, 853.279296875F, 382.8232421875F, 853.279296875F, 383.0361328125F, 853.05859375F, 383.0361328125F, 852.767578125F);
            this.cacheGraphicsPath.AddBezier(383.0361328125F, 852.767578125F, 383.0361328125F, 852.46875F, 382.8583984375F, 852.3115234375F, 382.4033203125F, 852.1416015625F);
            this.cacheGraphicsPath.AddBezier(382.4033203125F, 852.1416015625F, 381.77734375F, 851.9130859375F, 381.4853515625F, 851.572265625F, 381.4853515625F, 851.1669921875F);
            this.cacheGraphicsPath.AddBezier(381.4853515625F, 851.1669921875F, 381.4853515625F, 850.611328125F, 381.9404296875F, 850.15625F, 382.673828125F, 850.15625F);
            this.cacheGraphicsPath.AddBezier(382.673828125F, 850.15625F, 383.021484375F, 850.15625F, 383.328125F, 850.2490234375F, 383.5126953125F, 850.3701171875F);
            this.cacheGraphicsPath.AddBezier(383.36328125F, 850.818359375F, 383.228515625F, 850.740234375F, 382.9794921875F, 850.619140625F, 382.6591796875F, 850.619140625F);
            this.cacheGraphicsPath.AddBezier(382.6591796875F, 850.619140625F, 382.2890625F, 850.619140625F, 382.08984375F, 850.83203125F, 382.08984375F, 851.087890625F);
            this.cacheGraphicsPath.AddBezier(382.08984375F, 851.087890625F, 382.08984375F, 851.373046875F, 382.2890625F, 851.5009765625F, 382.7373046875F, 851.6787109375F);
            this.cacheGraphicsPath.AddBezier(382.7373046875F, 851.6787109375F, 383.328125F, 851.8994140625F, 383.640625F, 852.1982421875F, 383.640625F, 852.7099609375F);
            this.cacheGraphicsPath.AddBezier(383.640625F, 852.7099609375F, 383.640625F, 853.322265625F, 383.1640625F, 853.7490234375F, 382.3603515625F, 853.7490234375F);
            this.cacheGraphicsPath.AddBezier(382.3603515625F, 853.7490234375F, 381.9833984375F, 853.7490234375F, 381.634765625F, 853.6494140625F, 381.392578125F, 853.5068359375F);
            this.cacheGraphicsPath.AddLine(381.392578125F, 853.5068359375F, 381.5419921875F, 853.037109375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(387.3544921875F, 853.755859375F, 386.4296875F, 853.755859375F, 385.7041015625F, 853.0732421875F, 385.7041015625F, 851.984375F);
            this.cacheGraphicsPath.AddBezier(385.7041015625F, 851.984375F, 385.7041015625F, 850.83203125F, 386.46484375F, 850.15625F, 387.4111328125F, 850.15625F);
            this.cacheGraphicsPath.AddBezier(387.4111328125F, 850.15625F, 388.400390625F, 850.15625F, 389.068359375F, 850.875F, 389.068359375F, 851.9208984375F);
            this.cacheGraphicsPath.AddBezier(389.068359375F, 851.9208984375F, 389.068359375F, 853.201171875F, 388.1796875F, 853.755859375F, 387.361328125F, 853.755859375F);
            this.cacheGraphicsPath.AddLine(387.361328125F, 853.755859375F, 387.3544921875F, 853.755859375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(387.3828125F, 853.2861328125F, 387.98046875F, 853.2861328125F, 388.4287109375F, 852.724609375F, 388.4287109375F, 851.9423828125F);
            this.cacheGraphicsPath.AddBezier(388.4287109375F, 851.9423828125F, 388.4287109375F, 851.3583984375F, 388.13671875F, 850.6259765625F, 387.396484375F, 850.6259765625F);
            this.cacheGraphicsPath.AddBezier(387.396484375F, 850.6259765625F, 386.6640625F, 850.6259765625F, 386.34375F, 851.30859375F, 386.34375F, 851.962890625F);
            this.cacheGraphicsPath.AddBezier(386.34375F, 851.962890625F, 386.34375F, 852.7177734375F, 386.7705078125F, 853.2861328125F, 387.3759765625F, 853.2861328125F);
            this.cacheGraphicsPath.AddLine(387.3759765625F, 853.2861328125F, 387.3828125F, 853.2861328125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(389.8583984375F, 851.30859375F, 389.8583984375F, 850.9033203125F, 389.8505859375F, 850.5546875F, 389.830078125F, 850.234375F);
            this.cacheGraphicsPath.AddLine(390.3779296875F, 850.234375F, 390.40625F, 850.91015625F);
            this.cacheGraphicsPath.AddBezier(390.4267578125F, 850.91015625F, 390.583984375F, 850.4482421875F, 390.9677734375F, 850.15625F, 391.3876953125F, 850.15625F);
            this.cacheGraphicsPath.AddBezier(391.3876953125F, 850.15625F, 391.451171875F, 850.15625F, 391.5009765625F, 850.1640625F, 391.55859375F, 850.1708984375F);
            this.cacheGraphicsPath.AddBezier(391.55859375F, 850.7607421875F, 391.494140625F, 850.75390625F, 391.4306640625F, 850.7470703125F, 391.3447265625F, 850.7470703125F);
            this.cacheGraphicsPath.AddBezier(391.3447265625F, 850.7470703125F, 390.904296875F, 850.7470703125F, 390.5908203125F, 851.0810546875F, 390.505859375F, 851.5439453125F);
            this.cacheGraphicsPath.AddBezier(390.505859375F, 851.5439453125F, 390.4912109375F, 851.6357421875F, 390.484375F, 851.7353515625F, 390.484375F, 851.8349609375F);
            this.cacheGraphicsPath.AddLine(390.484375F, 853.677734375F, 389.8583984375F, 853.677734375F);
            this.cacheGraphicsPath.AddLine(389.8583984375F, 853.677734375F, 389.8583984375F, 851.30859375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(394.4462890625F, 849.4091796875F, 394.4462890625F, 850.234375F);
            this.cacheGraphicsPath.AddLine(395.3427734375F, 850.234375F, 395.3427734375F, 850.7109375F);
            this.cacheGraphicsPath.AddLine(394.4462890625F, 850.7109375F, 394.4462890625F, 852.560546875F);
            this.cacheGraphicsPath.AddBezier(394.4462890625F, 852.560546875F, 394.4462890625F, 852.9873046875F, 394.5673828125F, 853.2294921875F, 394.916015625F, 853.2294921875F);
            this.cacheGraphicsPath.AddBezier(394.916015625F, 853.2294921875F, 395.0859375F, 853.2294921875F, 395.185546875F, 853.2158203125F, 395.2783203125F, 853.1865234375F);
            this.cacheGraphicsPath.AddBezier(395.306640625F, 853.6630859375F, 395.185546875F, 853.7060546875F, 394.994140625F, 853.7490234375F, 394.751953125F, 853.7490234375F);
            this.cacheGraphicsPath.AddBezier(394.751953125F, 853.7490234375F, 394.4599609375F, 853.7490234375F, 394.2255859375F, 853.6494140625F, 394.076171875F, 853.4853515625F);
            this.cacheGraphicsPath.AddBezier(394.076171875F, 853.4853515625F, 393.9052734375F, 853.2939453125F, 393.833984375F, 852.9873046875F, 393.833984375F, 852.58203125F);
            this.cacheGraphicsPath.AddLine(393.833984375F, 850.7109375F, 393.30078125F, 850.7109375F);
            this.cacheGraphicsPath.AddLine(393.30078125F, 850.234375F, 393.833984375F, 850.234375F);
            this.cacheGraphicsPath.AddLine(393.833984375F, 849.6015625F, 394.4462890625F, 849.4091796875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(396.046875F, 851.30859375F, 396.046875F, 850.9033203125F, 396.0390625F, 850.5546875F, 396.0185546875F, 850.234375F);
            this.cacheGraphicsPath.AddLine(396.5654296875F, 850.234375F, 396.5947265625F, 850.91015625F);
            this.cacheGraphicsPath.AddBezier(396.615234375F, 850.91015625F, 396.7724609375F, 850.4482421875F, 397.15625F, 850.15625F, 397.576171875F, 850.15625F);
            this.cacheGraphicsPath.AddBezier(397.576171875F, 850.15625F, 397.6396484375F, 850.15625F, 397.689453125F, 850.1640625F, 397.7470703125F, 850.1708984375F);
            this.cacheGraphicsPath.AddBezier(397.7470703125F, 850.7607421875F, 397.6826171875F, 850.75390625F, 397.619140625F, 850.7470703125F, 397.533203125F, 850.7470703125F);
            this.cacheGraphicsPath.AddBezier(397.533203125F, 850.7470703125F, 397.0927734375F, 850.7470703125F, 396.779296875F, 851.0810546875F, 396.6943359375F, 851.5439453125F);
            this.cacheGraphicsPath.AddBezier(396.6943359375F, 851.5439453125F, 396.6796875F, 851.6357421875F, 396.6728515625F, 851.7353515625F, 396.6728515625F, 851.8349609375F);
            this.cacheGraphicsPath.AddLine(396.6728515625F, 853.677734375F, 396.046875F, 853.677734375F);
            this.cacheGraphicsPath.AddLine(396.046875F, 853.677734375F, 396.046875F, 851.30859375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(400.763671875F, 852.8525390625F, 400.763671875F, 853.1513671875F, 400.77734375F, 853.443359375F, 400.8134765625F, 853.677734375F);
            this.cacheGraphicsPath.AddLine(400.2509765625F, 853.677734375F, 400.1943359375F, 853.244140625F);
            this.cacheGraphicsPath.AddBezier(400.1728515625F, 853.244140625F, 399.98828125F, 853.513671875F, 399.611328125F, 853.755859375F, 399.1201171875F, 853.755859375F);
            this.cacheGraphicsPath.AddBezier(399.1201171875F, 853.755859375F, 398.4228515625F, 853.755859375F, 398.0673828125F, 853.265625F, 398.0673828125F, 852.767578125F);
            this.cacheGraphicsPath.AddBezier(398.0673828125F, 852.767578125F, 398.0673828125F, 851.9345703125F, 398.8076171875F, 851.4794921875F, 400.1376953125F, 851.486328125F);
            this.cacheGraphicsPath.AddBezier(400.1376953125F, 851.416015625F, 400.1376953125F, 851.130859375F, 400.0595703125F, 850.611328125F, 399.3544921875F, 850.619140625F);
            this.cacheGraphicsPath.AddBezier(399.3544921875F, 850.619140625F, 399.02734375F, 850.619140625F, 398.693359375F, 850.7109375F, 398.451171875F, 850.875F);
            this.cacheGraphicsPath.AddBezier(398.3095703125F, 850.455078125F, 398.59375F, 850.27734375F, 399.013671875F, 850.15625F, 399.447265625F, 850.15625F);
            this.cacheGraphicsPath.AddBezier(399.447265625F, 850.15625F, 400.5068359375F, 850.15625F, 400.763671875F, 850.875F, 400.763671875F, 851.5654296875F);
            this.cacheGraphicsPath.AddLine(400.763671875F, 851.5654296875F, 400.763671875F, 852.8525390625F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(400.1513671875F, 851.9208984375F, 399.46875F, 851.90625F, 398.693359375F, 852.02734375F, 398.693359375F, 852.6962890625F);
            this.cacheGraphicsPath.AddBezier(398.693359375F, 852.6962890625F, 398.693359375F, 853.1083984375F, 398.9638671875F, 853.2939453125F, 399.2763671875F, 853.2939453125F);
            this.cacheGraphicsPath.AddBezier(399.2763671875F, 853.2939453125F, 399.7314453125F, 853.2939453125F, 400.0234375F, 853.0087890625F, 400.123046875F, 852.7177734375F);
            this.cacheGraphicsPath.AddBezier(400.123046875F, 852.7177734375F, 400.14453125F, 852.6533203125F, 400.1513671875F, 852.58203125F, 400.1513671875F, 852.5185546875F);
            this.cacheGraphicsPath.AddLine(400.1513671875F, 852.5185546875F, 400.1513671875F, 851.9208984375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(404.740234375F, 848.626953125F, 404.740234375F, 852.7880859375F);
            this.cacheGraphicsPath.AddBezier(404.740234375F, 852.7880859375F, 404.740234375F, 853.0947265625F, 404.7470703125F, 853.443359375F, 404.7685546875F, 853.677734375F);
            this.cacheGraphicsPath.AddLine(404.2060546875F, 853.677734375F, 404.177734375F, 853.080078125F);
            this.cacheGraphicsPath.AddBezier(404.1640625F, 853.080078125F, 403.9716796875F, 853.4638671875F, 403.55859375F, 853.755859375F, 402.9970703125F, 853.755859375F);
            this.cacheGraphicsPath.AddBezier(402.9970703125F, 853.755859375F, 402.1650390625F, 853.755859375F, 401.517578125F, 853.0517578125F, 401.517578125F, 852.005859375F);
            this.cacheGraphicsPath.AddBezier(401.517578125F, 852.005859375F, 401.5107421875F, 850.853515625F, 402.228515625F, 850.15625F, 403.060546875F, 850.15625F);
            this.cacheGraphicsPath.AddBezier(403.060546875F, 850.15625F, 403.5947265625F, 850.15625F, 403.9501953125F, 850.4052734375F, 404.099609375F, 850.67578125F);
            this.cacheGraphicsPath.AddLine(404.1142578125F, 850.67578125F, 404.1142578125F, 848.626953125F);
            this.cacheGraphicsPath.AddLine(404.1142578125F, 848.626953125F, 404.740234375F, 848.626953125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(404.1142578125F, 851.6357421875F, 404.1142578125F, 851.55078125F, 404.1064453125F, 851.451171875F, 404.0849609375F, 851.3662109375F);
            this.cacheGraphicsPath.AddBezier(404.0849609375F, 851.3662109375F, 403.9931640625F, 850.974609375F, 403.6513671875F, 850.6474609375F, 403.181640625F, 850.6474609375F);
            this.cacheGraphicsPath.AddBezier(403.181640625F, 850.6474609375F, 402.5341796875F, 850.6474609375F, 402.150390625F, 851.216796875F, 402.150390625F, 851.970703125F);
            this.cacheGraphicsPath.AddBezier(402.150390625F, 851.970703125F, 402.150390625F, 852.6748046875F, 402.4990234375F, 853.2509765625F, 403.16796875F, 853.2509765625F);
            this.cacheGraphicsPath.AddBezier(403.16796875F, 853.2509765625F, 403.587890625F, 853.2509765625F, 403.9716796875F, 852.966796875F, 404.0849609375F, 852.4970703125F);
            this.cacheGraphicsPath.AddBezier(404.0849609375F, 852.4970703125F, 404.1064453125F, 852.4189453125F, 404.1142578125F, 852.3330078125F, 404.1142578125F, 852.2333984375F);
            this.cacheGraphicsPath.AddLine(404.1142578125F, 852.2333984375F, 404.1142578125F, 851.6357421875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(406.134765625F, 852.0703125F, 406.1494140625F, 852.9091796875F, 406.6826171875F, 853.2578125F, 407.30859375F, 853.2578125F);
            this.cacheGraphicsPath.AddBezier(407.30859375F, 853.2578125F, 407.7568359375F, 853.2578125F, 408.0341796875F, 853.1796875F, 408.26171875F, 853.080078125F);
            this.cacheGraphicsPath.AddBezier(408.3759765625F, 853.5283203125F, 408.1552734375F, 853.6279296875F, 407.7705078125F, 853.7490234375F, 407.22265625F, 853.7490234375F);
            this.cacheGraphicsPath.AddBezier(407.22265625F, 853.7490234375F, 406.169921875F, 853.7490234375F, 405.5302734375F, 853.044921875F, 405.5302734375F, 852.0126953125F);
            this.cacheGraphicsPath.AddBezier(405.5302734375F, 852.0126953125F, 405.5302734375F, 850.974609375F, 406.1494140625F, 850.15625F, 407.15234375F, 850.15625F);
            this.cacheGraphicsPath.AddBezier(407.15234375F, 850.15625F, 408.2763671875F, 850.15625F, 408.5673828125F, 851.1455078125F, 408.5673828125F, 851.7783203125F);
            this.cacheGraphicsPath.AddBezier(408.5673828125F, 851.7783203125F, 408.5673828125F, 851.90625F, 408.560546875F, 851.9990234375F, 408.5458984375F, 852.0703125F);
            this.cacheGraphicsPath.AddLine(408.5458984375F, 852.0703125F, 406.134765625F, 852.0703125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(407.962890625F, 851.6220703125F, 407.9697265625F, 851.2236328125F, 407.798828125F, 850.6044921875F, 407.1025390625F, 850.6044921875F);
            this.cacheGraphicsPath.AddBezier(407.1025390625F, 850.6044921875F, 406.4619140625F, 850.6044921875F, 406.19140625F, 851.1875F, 406.1416015625F, 851.6220703125F);
            this.cacheGraphicsPath.AddLine(406.1416015625F, 851.6220703125F, 407.962890625F, 851.6220703125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(409.3427734375F, 851.1669921875F, 409.3427734375F, 850.8037109375F, 409.328125F, 850.51953125F, 409.314453125F, 850.234375F);
            this.cacheGraphicsPath.AddLine(409.8623046875F, 850.234375F, 409.890625F, 850.7900390625F);
            this.cacheGraphicsPath.AddBezier(409.9111328125F, 850.7900390625F, 410.103515625F, 850.4619140625F, 410.423828125F, 850.15625F, 411F, 850.15625F);
            this.cacheGraphicsPath.AddBezier(411F, 850.15625F, 411.4619140625F, 850.15625F, 411.818359375F, 850.44140625F, 411.9677734375F, 850.8466796875F);
            this.cacheGraphicsPath.AddBezier(411.9814453125F, 850.8466796875F, 412.087890625F, 850.6474609375F, 412.23046875F, 850.5048828125F, 412.373046875F, 850.3984375F);
            this.cacheGraphicsPath.AddBezier(412.373046875F, 850.3984375F, 412.5791015625F, 850.2421875F, 412.7998046875F, 850.15625F, 413.126953125F, 850.15625F);
            this.cacheGraphicsPath.AddBezier(413.126953125F, 850.15625F, 413.5888671875F, 850.15625F, 414.2646484375F, 850.455078125F, 414.2646484375F, 851.650390625F);
            this.cacheGraphicsPath.AddLine(414.2646484375F, 853.677734375F, 413.6533203125F, 853.677734375F);
            this.cacheGraphicsPath.AddBezier(413.6533203125F, 851.728515625F, 413.6533203125F, 851.0595703125F, 413.404296875F, 850.6689453125F, 412.90625F, 850.6689453125F);
            this.cacheGraphicsPath.AddBezier(412.90625F, 850.6689453125F, 412.5439453125F, 850.6689453125F, 412.2734375F, 850.931640625F, 412.1591796875F, 851.23046875F);
            this.cacheGraphicsPath.AddBezier(412.1591796875F, 851.23046875F, 412.130859375F, 851.3232421875F, 412.109375F, 851.4365234375F, 412.109375F, 851.5439453125F);
            this.cacheGraphicsPath.AddLine(412.109375F, 853.677734375F, 411.498046875F, 853.677734375F);
            this.cacheGraphicsPath.AddBezier(411.498046875F, 851.607421875F, 411.498046875F, 851.0595703125F, 411.255859375F, 850.6689453125F, 410.779296875F, 850.6689453125F);
            this.cacheGraphicsPath.AddBezier(410.779296875F, 850.6689453125F, 410.3955078125F, 850.6689453125F, 410.103515625F, 850.9814453125F, 410.00390625F, 851.294921875F);
            this.cacheGraphicsPath.AddBezier(410.00390625F, 851.294921875F, 409.96875F, 851.38671875F, 409.9541015625F, 851.494140625F, 409.9541015625F, 851.6005859375F);
            this.cacheGraphicsPath.AddLine(409.9541015625F, 853.677734375F, 409.3427734375F, 853.677734375F);
            this.cacheGraphicsPath.AddLine(409.3427734375F, 853.677734375F, 409.3427734375F, 851.1669921875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(417.701171875F, 852.8525390625F, 417.701171875F, 853.1513671875F, 417.71484375F, 853.443359375F, 417.7509765625F, 853.677734375F);
            this.cacheGraphicsPath.AddLine(417.1884765625F, 853.677734375F, 417.1318359375F, 853.244140625F);
            this.cacheGraphicsPath.AddBezier(417.1103515625F, 853.244140625F, 416.92578125F, 853.513671875F, 416.548828125F, 853.755859375F, 416.0576171875F, 853.755859375F);
            this.cacheGraphicsPath.AddBezier(416.0576171875F, 853.755859375F, 415.3603515625F, 853.755859375F, 415.0048828125F, 853.265625F, 415.0048828125F, 852.767578125F);
            this.cacheGraphicsPath.AddBezier(415.0048828125F, 852.767578125F, 415.0048828125F, 851.9345703125F, 415.7451171875F, 851.4794921875F, 417.0751953125F, 851.486328125F);
            this.cacheGraphicsPath.AddBezier(417.0751953125F, 851.416015625F, 417.0751953125F, 851.130859375F, 416.9970703125F, 850.611328125F, 416.2919921875F, 850.619140625F);
            this.cacheGraphicsPath.AddBezier(416.2919921875F, 850.619140625F, 415.96484375F, 850.619140625F, 415.630859375F, 850.7109375F, 415.388671875F, 850.875F);
            this.cacheGraphicsPath.AddBezier(415.2470703125F, 850.455078125F, 415.53125F, 850.27734375F, 415.951171875F, 850.15625F, 416.384765625F, 850.15625F);
            this.cacheGraphicsPath.AddBezier(416.384765625F, 850.15625F, 417.4443359375F, 850.15625F, 417.701171875F, 850.875F, 417.701171875F, 851.5654296875F);
            this.cacheGraphicsPath.AddLine(417.701171875F, 851.5654296875F, 417.701171875F, 852.8525390625F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(417.0888671875F, 851.9208984375F, 416.40625F, 851.90625F, 415.630859375F, 852.02734375F, 415.630859375F, 852.6962890625F);
            this.cacheGraphicsPath.AddBezier(415.630859375F, 852.6962890625F, 415.630859375F, 853.1083984375F, 415.9013671875F, 853.2939453125F, 416.2138671875F, 853.2939453125F);
            this.cacheGraphicsPath.AddBezier(416.2138671875F, 853.2939453125F, 416.6689453125F, 853.2939453125F, 416.9609375F, 853.0087890625F, 417.060546875F, 852.7177734375F);
            this.cacheGraphicsPath.AddBezier(417.060546875F, 852.7177734375F, 417.08203125F, 852.6533203125F, 417.0888671875F, 852.58203125F, 417.0888671875F, 852.5185546875F);
            this.cacheGraphicsPath.AddLine(417.0888671875F, 852.5185546875F, 417.0888671875F, 851.9208984375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(418.7041015625F, 851.30859375F, 418.7041015625F, 850.9033203125F, 418.6962890625F, 850.5546875F, 418.67578125F, 850.234375F);
            this.cacheGraphicsPath.AddLine(419.2236328125F, 850.234375F, 419.251953125F, 850.91015625F);
            this.cacheGraphicsPath.AddBezier(419.2724609375F, 850.91015625F, 419.4296875F, 850.4482421875F, 419.8134765625F, 850.15625F, 420.2333984375F, 850.15625F);
            this.cacheGraphicsPath.AddBezier(420.2333984375F, 850.15625F, 420.296875F, 850.15625F, 420.3466796875F, 850.1640625F, 420.404296875F, 850.1708984375F);
            this.cacheGraphicsPath.AddBezier(420.404296875F, 850.7607421875F, 420.33984375F, 850.75390625F, 420.2763671875F, 850.7470703125F, 420.1904296875F, 850.7470703125F);
            this.cacheGraphicsPath.AddBezier(420.1904296875F, 850.7470703125F, 419.75F, 850.7470703125F, 419.4365234375F, 851.0810546875F, 419.3515625F, 851.5439453125F);
            this.cacheGraphicsPath.AddBezier(419.3515625F, 851.5439453125F, 419.3369140625F, 851.6357421875F, 419.330078125F, 851.7353515625F, 419.330078125F, 851.8349609375F);
            this.cacheGraphicsPath.AddLine(419.330078125F, 853.677734375F, 418.7041015625F, 853.677734375F);
            this.cacheGraphicsPath.AddLine(418.7041015625F, 853.677734375F, 418.7041015625F, 851.30859375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(421.6845703125F, 851.814453125F, 421.6982421875F, 851.814453125F);
            this.cacheGraphicsPath.AddBezier(421.6982421875F, 851.814453125F, 421.7841796875F, 851.693359375F, 421.8974609375F, 851.5439453125F, 421.9970703125F, 851.4228515625F);
            this.cacheGraphicsPath.AddLine(423.0146484375F, 850.234375F, 423.76171875F, 850.234375F);
            this.cacheGraphicsPath.AddLine(422.431640625F, 851.650390625F, 423.9462890625F, 853.677734375F);
            this.cacheGraphicsPath.AddLine(423.185546875F, 853.677734375F, 422.0048828125F, 852.02734375F);
            this.cacheGraphicsPath.AddLine(421.6845703125F, 852.3828125F, 421.6845703125F, 853.677734375F);
            this.cacheGraphicsPath.AddLine(421.05859375F, 853.677734375F, 421.05859375F, 848.626953125F);
            this.cacheGraphicsPath.AddLine(421.6845703125F, 848.626953125F, 421.6845703125F, 851.814453125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(424.30859375F, 853.037109375F, 424.5009765625F, 853.1513671875F, 424.828125F, 853.279296875F, 425.1416015625F, 853.279296875F);
            this.cacheGraphicsPath.AddBezier(425.1416015625F, 853.279296875F, 425.58984375F, 853.279296875F, 425.802734375F, 853.05859375F, 425.802734375F, 852.767578125F);
            this.cacheGraphicsPath.AddBezier(425.802734375F, 852.767578125F, 425.802734375F, 852.46875F, 425.625F, 852.3115234375F, 425.169921875F, 852.1416015625F);
            this.cacheGraphicsPath.AddBezier(425.169921875F, 852.1416015625F, 424.5439453125F, 851.9130859375F, 424.251953125F, 851.572265625F, 424.251953125F, 851.1669921875F);
            this.cacheGraphicsPath.AddBezier(424.251953125F, 851.1669921875F, 424.251953125F, 850.611328125F, 424.70703125F, 850.15625F, 425.4404296875F, 850.15625F);
            this.cacheGraphicsPath.AddBezier(425.4404296875F, 850.15625F, 425.7880859375F, 850.15625F, 426.0947265625F, 850.2490234375F, 426.279296875F, 850.3701171875F);
            this.cacheGraphicsPath.AddBezier(426.1298828125F, 850.818359375F, 425.9951171875F, 850.740234375F, 425.74609375F, 850.619140625F, 425.42578125F, 850.619140625F);
            this.cacheGraphicsPath.AddBezier(425.42578125F, 850.619140625F, 425.0556640625F, 850.619140625F, 424.8564453125F, 850.83203125F, 424.8564453125F, 851.087890625F);
            this.cacheGraphicsPath.AddBezier(424.8564453125F, 851.087890625F, 424.8564453125F, 851.373046875F, 425.0556640625F, 851.5009765625F, 425.50390625F, 851.6787109375F);
            this.cacheGraphicsPath.AddBezier(425.50390625F, 851.6787109375F, 426.0947265625F, 851.8994140625F, 426.4072265625F, 852.1982421875F, 426.4072265625F, 852.7099609375F);
            this.cacheGraphicsPath.AddBezier(426.4072265625F, 852.7099609375F, 426.4072265625F, 853.322265625F, 425.9306640625F, 853.7490234375F, 425.126953125F, 853.7490234375F);
            this.cacheGraphicsPath.AddBezier(425.126953125F, 853.7490234375F, 424.75F, 853.7490234375F, 424.4013671875F, 853.6494140625F, 424.1591796875F, 853.5068359375F);
            this.cacheGraphicsPath.AddLine(424.1591796875F, 853.5068359375F, 424.30859375F, 853.037109375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(430.12109375F, 853.755859375F, 429.1962890625F, 853.755859375F, 428.470703125F, 853.0732421875F, 428.470703125F, 851.984375F);
            this.cacheGraphicsPath.AddBezier(428.470703125F, 851.984375F, 428.470703125F, 850.83203125F, 429.2314453125F, 850.15625F, 430.177734375F, 850.15625F);
            this.cacheGraphicsPath.AddBezier(430.177734375F, 850.15625F, 431.1669921875F, 850.15625F, 431.8349609375F, 850.875F, 431.8349609375F, 851.9208984375F);
            this.cacheGraphicsPath.AddBezier(431.8349609375F, 851.9208984375F, 431.8349609375F, 853.201171875F, 430.9462890625F, 853.755859375F, 430.1279296875F, 853.755859375F);
            this.cacheGraphicsPath.AddLine(430.1279296875F, 853.755859375F, 430.12109375F, 853.755859375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(430.1494140625F, 853.2861328125F, 430.7470703125F, 853.2861328125F, 431.1953125F, 852.724609375F, 431.1953125F, 851.9423828125F);
            this.cacheGraphicsPath.AddBezier(431.1953125F, 851.9423828125F, 431.1953125F, 851.3583984375F, 430.9033203125F, 850.6259765625F, 430.1630859375F, 850.6259765625F);
            this.cacheGraphicsPath.AddBezier(430.1630859375F, 850.6259765625F, 429.4306640625F, 850.6259765625F, 429.1103515625F, 851.30859375F, 429.1103515625F, 851.962890625F);
            this.cacheGraphicsPath.AddBezier(429.1103515625F, 851.962890625F, 429.1103515625F, 852.7177734375F, 429.537109375F, 853.2861328125F, 430.142578125F, 853.2861328125F);
            this.cacheGraphicsPath.AddLine(430.142578125F, 853.2861328125F, 430.1494140625F, 853.2861328125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(432.681640625F, 853.677734375F, 432.681640625F, 850.7109375F);
            this.cacheGraphicsPath.AddLine(432.205078125F, 850.7109375F, 432.205078125F, 850.234375F);
            this.cacheGraphicsPath.AddLine(432.681640625F, 850.234375F, 432.681640625F, 850.0712890625F);
            this.cacheGraphicsPath.AddBezier(432.681640625F, 850.0712890625F, 432.681640625F, 849.587890625F, 432.7958984375F, 849.146484375F, 433.0869140625F, 848.869140625F);
            this.cacheGraphicsPath.AddBezier(433.0869140625F, 848.869140625F, 433.322265625F, 848.6416015625F, 433.634765625F, 848.548828125F, 433.9189453125F, 848.548828125F);
            this.cacheGraphicsPath.AddBezier(433.9189453125F, 848.548828125F, 434.1474609375F, 848.548828125F, 434.33203125F, 848.5986328125F, 434.453125F, 848.6484375F);
            this.cacheGraphicsPath.AddBezier(434.375F, 849.1318359375F, 434.275390625F, 849.08984375F, 434.154296875F, 849.0537109375F, 433.96875F, 849.0537109375F);
            this.cacheGraphicsPath.AddBezier(433.96875F, 849.0537109375F, 433.4423828125F, 849.0537109375F, 433.30078125F, 849.5234375F, 433.30078125F, 850.0498046875F);
            this.cacheGraphicsPath.AddLine(433.30078125F, 850.234375F, 434.1328125F, 850.234375F);
            this.cacheGraphicsPath.AddLine(434.1328125F, 850.7109375F, 433.3076171875F, 850.7109375F);
            this.cacheGraphicsPath.AddLine(433.3076171875F, 853.677734375F, 432.681640625F, 853.677734375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(437.0068359375F, 852.169921875F, 436.5087890625F, 853.677734375F);
            this.cacheGraphicsPath.AddLine(435.8681640625F, 853.677734375F, 437.4970703125F, 848.8828125F);
            this.cacheGraphicsPath.AddLine(438.244140625F, 848.8828125F, 439.8798828125F, 853.677734375F);
            this.cacheGraphicsPath.AddLine(439.21875F, 853.677734375F, 438.70703125F, 852.169921875F);
            this.cacheGraphicsPath.AddLine(438.70703125F, 852.169921875F, 437.0068359375F, 852.169921875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(438.578125F, 851.685546875F, 438.1015625F, 850.3056640625F);
            this.cacheGraphicsPath.AddBezier(438.1015625F, 850.3056640625F, 438.001953125F, 849.9931640625F, 437.931640625F, 849.7080078125F, 437.8603515625F, 849.4306640625F);
            this.cacheGraphicsPath.AddBezier(437.8388671875F, 849.4306640625F, 437.7744140625F, 849.7080078125F, 437.6962890625F, 850.0068359375F, 437.603515625F, 850.298828125F);
            this.cacheGraphicsPath.AddLine(437.134765625F, 851.685546875F, 438.578125F, 851.685546875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(443.4521484375F, 848.626953125F, 443.4521484375F, 852.7880859375F);
            this.cacheGraphicsPath.AddBezier(443.4521484375F, 852.7880859375F, 443.4521484375F, 853.0947265625F, 443.458984375F, 853.443359375F, 443.48046875F, 853.677734375F);
            this.cacheGraphicsPath.AddLine(442.91796875F, 853.677734375F, 442.8896484375F, 853.080078125F);
            this.cacheGraphicsPath.AddBezier(442.8759765625F, 853.080078125F, 442.68359375F, 853.4638671875F, 442.2705078125F, 853.755859375F, 441.708984375F, 853.755859375F);
            this.cacheGraphicsPath.AddBezier(441.708984375F, 853.755859375F, 440.876953125F, 853.755859375F, 440.2294921875F, 853.0517578125F, 440.2294921875F, 852.005859375F);
            this.cacheGraphicsPath.AddBezier(440.2294921875F, 852.005859375F, 440.22265625F, 850.853515625F, 440.9404296875F, 850.15625F, 441.7724609375F, 850.15625F);
            this.cacheGraphicsPath.AddBezier(441.7724609375F, 850.15625F, 442.306640625F, 850.15625F, 442.662109375F, 850.4052734375F, 442.8115234375F, 850.67578125F);
            this.cacheGraphicsPath.AddLine(442.826171875F, 850.67578125F, 442.826171875F, 848.626953125F);
            this.cacheGraphicsPath.AddLine(442.826171875F, 848.626953125F, 443.4521484375F, 848.626953125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(442.826171875F, 851.6357421875F, 442.826171875F, 851.55078125F, 442.818359375F, 851.451171875F, 442.796875F, 851.3662109375F);
            this.cacheGraphicsPath.AddBezier(442.796875F, 851.3662109375F, 442.705078125F, 850.974609375F, 442.36328125F, 850.6474609375F, 441.8935546875F, 850.6474609375F);
            this.cacheGraphicsPath.AddBezier(441.8935546875F, 850.6474609375F, 441.24609375F, 850.6474609375F, 440.8623046875F, 851.216796875F, 440.8623046875F, 851.970703125F);
            this.cacheGraphicsPath.AddBezier(440.8623046875F, 851.970703125F, 440.8623046875F, 852.6748046875F, 441.2109375F, 853.2509765625F, 441.8798828125F, 853.2509765625F);
            this.cacheGraphicsPath.AddBezier(441.8798828125F, 853.2509765625F, 442.2998046875F, 853.2509765625F, 442.68359375F, 852.966796875F, 442.796875F, 852.4970703125F);
            this.cacheGraphicsPath.AddBezier(442.796875F, 852.4970703125F, 442.818359375F, 852.4189453125F, 442.826171875F, 852.3330078125F, 442.826171875F, 852.2333984375F);
            this.cacheGraphicsPath.AddLine(442.826171875F, 852.2333984375F, 442.826171875F, 851.6357421875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(445.892578125F, 853.755859375F, 444.9677734375F, 853.755859375F, 444.2421875F, 853.0732421875F, 444.2421875F, 851.984375F);
            this.cacheGraphicsPath.AddBezier(444.2421875F, 851.984375F, 444.2421875F, 850.83203125F, 445.0029296875F, 850.15625F, 445.94921875F, 850.15625F);
            this.cacheGraphicsPath.AddBezier(445.94921875F, 850.15625F, 446.9384765625F, 850.15625F, 447.6064453125F, 850.875F, 447.6064453125F, 851.9208984375F);
            this.cacheGraphicsPath.AddBezier(447.6064453125F, 851.9208984375F, 447.6064453125F, 853.201171875F, 446.7177734375F, 853.755859375F, 445.8994140625F, 853.755859375F);
            this.cacheGraphicsPath.AddLine(445.8994140625F, 853.755859375F, 445.892578125F, 853.755859375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(445.9208984375F, 853.2861328125F, 446.5185546875F, 853.2861328125F, 446.966796875F, 852.724609375F, 446.966796875F, 851.9423828125F);
            this.cacheGraphicsPath.AddBezier(446.966796875F, 851.9423828125F, 446.966796875F, 851.3583984375F, 446.6748046875F, 850.6259765625F, 445.9345703125F, 850.6259765625F);
            this.cacheGraphicsPath.AddBezier(445.9345703125F, 850.6259765625F, 445.2021484375F, 850.6259765625F, 444.8818359375F, 851.30859375F, 444.8818359375F, 851.962890625F);
            this.cacheGraphicsPath.AddBezier(444.8818359375F, 851.962890625F, 444.8818359375F, 852.7177734375F, 445.30859375F, 853.2861328125F, 445.9140625F, 853.2861328125F);
            this.cacheGraphicsPath.AddLine(445.9140625F, 853.2861328125F, 445.9208984375F, 853.2861328125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(448.396484375F, 848.626953125F, 449.0224609375F, 848.626953125F);
            this.cacheGraphicsPath.AddLine(449.0224609375F, 850.7822265625F, 449.0361328125F, 850.7822265625F);
            this.cacheGraphicsPath.AddBezier(449.0361328125F, 850.7822265625F, 449.2568359375F, 850.3984375F, 449.6552734375F, 850.15625F, 450.2099609375F, 850.15625F);
            this.cacheGraphicsPath.AddBezier(450.2099609375F, 850.15625F, 451.0634765625F, 850.15625F, 451.6611328125F, 850.8681640625F, 451.6611328125F, 851.90625F);
            this.cacheGraphicsPath.AddBezier(451.6611328125F, 851.90625F, 451.6611328125F, 853.14453125F, 450.87890625F, 853.755859375F, 450.1103515625F, 853.755859375F);
            this.cacheGraphicsPath.AddBezier(450.1103515625F, 853.755859375F, 449.6123046875F, 853.755859375F, 449.2216796875F, 853.5634765625F, 448.9580078125F, 853.1083984375F);
            this.cacheGraphicsPath.AddLine(448.9443359375F, 853.1083984375F, 448.908203125F, 853.677734375F);
            this.cacheGraphicsPath.AddBezier(448.3681640625F, 853.677734375F, 448.388671875F, 853.443359375F, 448.396484375F, 853.0947265625F, 448.396484375F, 852.7880859375F);
            this.cacheGraphicsPath.AddLine(448.396484375F, 852.7880859375F, 448.396484375F, 848.626953125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(449.0224609375F, 852.2978515625F, 449.0224609375F, 852.3759765625F, 449.029296875F, 852.4541015625F, 449.0439453125F, 852.525390625F);
            this.cacheGraphicsPath.AddBezier(449.0439453125F, 852.525390625F, 449.1640625F, 852.958984375F, 449.5341796875F, 853.2578125F, 449.982421875F, 853.2578125F);
            this.cacheGraphicsPath.AddBezier(449.982421875F, 853.2578125F, 450.64453125F, 853.2578125F, 451.0283203125F, 852.724609375F, 451.0283203125F, 851.9345703125F);
            this.cacheGraphicsPath.AddBezier(451.0283203125F, 851.9345703125F, 451.0283203125F, 851.2373046875F, 450.6728515625F, 850.6474609375F, 450.00390625F, 850.6474609375F);
            this.cacheGraphicsPath.AddBezier(450.00390625F, 850.6474609375F, 449.5771484375F, 850.6474609375F, 449.1787109375F, 850.9462890625F, 449.0576171875F, 851.416015625F);
            this.cacheGraphicsPath.AddBezier(449.0576171875F, 851.416015625F, 449.0361328125F, 851.494140625F, 449.0224609375F, 851.5791015625F, 449.0224609375F, 851.6787109375F);
            this.cacheGraphicsPath.AddLine(449.0224609375F, 851.6787109375F, 449.0224609375F, 852.2978515625F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(452.798828125F, 852.0703125F, 452.8134765625F, 852.9091796875F, 453.3466796875F, 853.2578125F, 453.97265625F, 853.2578125F);
            this.cacheGraphicsPath.AddBezier(453.97265625F, 853.2578125F, 454.4208984375F, 853.2578125F, 454.6982421875F, 853.1796875F, 454.92578125F, 853.080078125F);
            this.cacheGraphicsPath.AddBezier(455.0400390625F, 853.5283203125F, 454.8193359375F, 853.6279296875F, 454.4345703125F, 853.7490234375F, 453.88671875F, 853.7490234375F);
            this.cacheGraphicsPath.AddBezier(453.88671875F, 853.7490234375F, 452.833984375F, 853.7490234375F, 452.1943359375F, 853.044921875F, 452.1943359375F, 852.0126953125F);
            this.cacheGraphicsPath.AddBezier(452.1943359375F, 852.0126953125F, 452.1943359375F, 850.974609375F, 452.8134765625F, 850.15625F, 453.81640625F, 850.15625F);
            this.cacheGraphicsPath.AddBezier(453.81640625F, 850.15625F, 454.9404296875F, 850.15625F, 455.2314453125F, 851.1455078125F, 455.2314453125F, 851.7783203125F);
            this.cacheGraphicsPath.AddBezier(455.2314453125F, 851.7783203125F, 455.2314453125F, 851.90625F, 455.224609375F, 851.9990234375F, 455.2099609375F, 852.0703125F);
            this.cacheGraphicsPath.AddLine(455.2099609375F, 852.0703125F, 452.798828125F, 852.0703125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(454.626953125F, 851.6220703125F, 454.6337890625F, 851.2236328125F, 454.462890625F, 850.6044921875F, 453.7666015625F, 850.6044921875F);
            this.cacheGraphicsPath.AddBezier(453.7666015625F, 850.6044921875F, 453.1259765625F, 850.6044921875F, 452.85546875F, 851.1875F, 452.8056640625F, 851.6220703125F);
            this.cacheGraphicsPath.AddLine(452.8056640625F, 851.6220703125F, 454.626953125F, 851.6220703125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(457.4580078125F, 852.923828125F, 457.736328125F, 853.0947265625F, 458.1337890625F, 853.2294921875F, 458.5615234375F, 853.2294921875F);
            this.cacheGraphicsPath.AddBezier(458.5615234375F, 853.2294921875F, 459.1943359375F, 853.2294921875F, 459.564453125F, 852.90234375F, 459.564453125F, 852.4189453125F);
            this.cacheGraphicsPath.AddBezier(459.564453125F, 852.4189453125F, 459.564453125F, 851.970703125F, 459.3076171875F, 851.70703125F, 458.6611328125F, 851.4658203125F);
            this.cacheGraphicsPath.AddBezier(458.6611328125F, 851.4658203125F, 457.8779296875F, 851.1953125F, 457.39453125F, 850.7822265625F, 457.39453125F, 850.1142578125F);
            this.cacheGraphicsPath.AddBezier(457.39453125F, 850.1142578125F, 457.39453125F, 849.3671875F, 458.013671875F, 848.8125F, 458.9453125F, 848.8125F);
            this.cacheGraphicsPath.AddBezier(458.9453125F, 848.8125F, 459.4287109375F, 848.8125F, 459.7919921875F, 848.92578125F, 459.998046875F, 849.0400390625F);
            this.cacheGraphicsPath.AddBezier(459.8271484375F, 849.5517578125F, 459.677734375F, 849.458984375F, 459.357421875F, 849.32421875F, 458.923828125F, 849.32421875F);
            this.cacheGraphicsPath.AddBezier(458.923828125F, 849.32421875F, 458.26953125F, 849.32421875F, 458.0205078125F, 849.7158203125F, 458.0205078125F, 850.04296875F);
            this.cacheGraphicsPath.AddBezier(458.0205078125F, 850.04296875F, 458.0205078125F, 850.4833984375F, 458.3125F, 850.7041015625F, 458.9736328125F, 850.9599609375F);
            this.cacheGraphicsPath.AddBezier(458.9736328125F, 850.9599609375F, 459.7841796875F, 851.2802734375F, 460.1904296875F, 851.6650390625F, 460.1904296875F, 852.369140625F);
            this.cacheGraphicsPath.AddBezier(460.1904296875F, 852.369140625F, 460.1904296875F, 853.1015625F, 459.6494140625F, 853.7490234375F, 458.5185546875F, 853.7490234375F);
            this.cacheGraphicsPath.AddBezier(458.5185546875F, 853.7490234375F, 458.0556640625F, 853.7490234375F, 457.55078125F, 853.6064453125F, 457.294921875F, 853.435546875F);
            this.cacheGraphicsPath.AddLine(457.294921875F, 853.435546875F, 457.4580078125F, 852.923828125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(461.1923828125F, 850.234375F, 461.939453125F, 852.26953125F);
            this.cacheGraphicsPath.AddBezier(461.939453125F, 852.26953125F, 462.0244140625F, 852.4970703125F, 462.1103515625F, 852.767578125F, 462.1669921875F, 852.9736328125F);
            this.cacheGraphicsPath.AddBezier(462.1806640625F, 852.9736328125F, 462.2451171875F, 852.767578125F, 462.31640625F, 852.50390625F, 462.4013671875F, 852.2548828125F);
            this.cacheGraphicsPath.AddLine(463.083984375F, 850.234375F, 463.74609375F, 850.234375F);
            this.cacheGraphicsPath.AddBezier(462.806640625F, 852.6884765625F, 462.3583984375F, 853.8701171875F, 462.052734375F, 854.4677734375F, 461.6259765625F, 854.8447265625F);
            this.cacheGraphicsPath.AddBezier(461.6259765625F, 854.8447265625F, 461.3134765625F, 855.107421875F, 461.0146484375F, 855.2138671875F, 460.857421875F, 855.2431640625F);
            this.cacheGraphicsPath.AddBezier(460.701171875F, 854.7236328125F, 460.857421875F, 854.673828125F, 461.064453125F, 854.57421875F, 461.2490234375F, 854.41796875F);
            this.cacheGraphicsPath.AddBezier(461.2490234375F, 854.41796875F, 461.419921875F, 854.2822265625F, 461.6259765625F, 854.0400390625F, 461.775390625F, 853.720703125F);
            this.cacheGraphicsPath.AddBezier(461.775390625F, 853.720703125F, 461.8037109375F, 853.65625F, 461.8251953125F, 853.6064453125F, 461.8251953125F, 853.5712890625F);
            this.cacheGraphicsPath.AddBezier(461.8251953125F, 853.5712890625F, 461.8251953125F, 853.53515625F, 461.8115234375F, 853.4853515625F, 461.775390625F, 853.4072265625F);
            this.cacheGraphicsPath.AddLine(460.509765625F, 850.234375F, 461.1923828125F, 850.234375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(464.1875F, 853.037109375F, 464.3798828125F, 853.1513671875F, 464.70703125F, 853.279296875F, 465.0205078125F, 853.279296875F);
            this.cacheGraphicsPath.AddBezier(465.0205078125F, 853.279296875F, 465.46875F, 853.279296875F, 465.681640625F, 853.05859375F, 465.681640625F, 852.767578125F);
            this.cacheGraphicsPath.AddBezier(465.681640625F, 852.767578125F, 465.681640625F, 852.46875F, 465.50390625F, 852.3115234375F, 465.048828125F, 852.1416015625F);
            this.cacheGraphicsPath.AddBezier(465.048828125F, 852.1416015625F, 464.4228515625F, 851.9130859375F, 464.130859375F, 851.572265625F, 464.130859375F, 851.1669921875F);
            this.cacheGraphicsPath.AddBezier(464.130859375F, 851.1669921875F, 464.130859375F, 850.611328125F, 464.5859375F, 850.15625F, 465.3193359375F, 850.15625F);
            this.cacheGraphicsPath.AddBezier(465.3193359375F, 850.15625F, 465.6669921875F, 850.15625F, 465.9736328125F, 850.2490234375F, 466.158203125F, 850.3701171875F);
            this.cacheGraphicsPath.AddBezier(466.0087890625F, 850.818359375F, 465.8740234375F, 850.740234375F, 465.625F, 850.619140625F, 465.3046875F, 850.619140625F);
            this.cacheGraphicsPath.AddBezier(465.3046875F, 850.619140625F, 464.9345703125F, 850.619140625F, 464.7353515625F, 850.83203125F, 464.7353515625F, 851.087890625F);
            this.cacheGraphicsPath.AddBezier(464.7353515625F, 851.087890625F, 464.7353515625F, 851.373046875F, 464.9345703125F, 851.5009765625F, 465.3828125F, 851.6787109375F);
            this.cacheGraphicsPath.AddBezier(465.3828125F, 851.6787109375F, 465.9736328125F, 851.8994140625F, 466.2861328125F, 852.1982421875F, 466.2861328125F, 852.7099609375F);
            this.cacheGraphicsPath.AddBezier(466.2861328125F, 852.7099609375F, 466.2861328125F, 853.322265625F, 465.8095703125F, 853.7490234375F, 465.005859375F, 853.7490234375F);
            this.cacheGraphicsPath.AddBezier(465.005859375F, 853.7490234375F, 464.62890625F, 853.7490234375F, 464.2802734375F, 853.6494140625F, 464.0380859375F, 853.5068359375F);
            this.cacheGraphicsPath.AddLine(464.0380859375F, 853.5068359375F, 464.1875F, 853.037109375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(467.84375F, 849.4091796875F, 467.84375F, 850.234375F);
            this.cacheGraphicsPath.AddLine(468.740234375F, 850.234375F, 468.740234375F, 850.7109375F);
            this.cacheGraphicsPath.AddLine(467.84375F, 850.7109375F, 467.84375F, 852.560546875F);
            this.cacheGraphicsPath.AddBezier(467.84375F, 852.560546875F, 467.84375F, 852.9873046875F, 467.96484375F, 853.2294921875F, 468.3134765625F, 853.2294921875F);
            this.cacheGraphicsPath.AddBezier(468.3134765625F, 853.2294921875F, 468.4833984375F, 853.2294921875F, 468.5830078125F, 853.2158203125F, 468.67578125F, 853.1865234375F);
            this.cacheGraphicsPath.AddBezier(468.7041015625F, 853.6630859375F, 468.5830078125F, 853.7060546875F, 468.3916015625F, 853.7490234375F, 468.1494140625F, 853.7490234375F);
            this.cacheGraphicsPath.AddBezier(468.1494140625F, 853.7490234375F, 467.857421875F, 853.7490234375F, 467.623046875F, 853.6494140625F, 467.4736328125F, 853.4853515625F);
            this.cacheGraphicsPath.AddBezier(467.4736328125F, 853.4853515625F, 467.302734375F, 853.2939453125F, 467.2314453125F, 852.9873046875F, 467.2314453125F, 852.58203125F);
            this.cacheGraphicsPath.AddLine(467.2314453125F, 850.7109375F, 466.6982421875F, 850.7109375F);
            this.cacheGraphicsPath.AddLine(466.6982421875F, 850.234375F, 467.2314453125F, 850.234375F);
            this.cacheGraphicsPath.AddLine(467.2314453125F, 849.6015625F, 467.84375F, 849.4091796875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(469.7578125F, 852.0703125F, 469.7724609375F, 852.9091796875F, 470.3056640625F, 853.2578125F, 470.931640625F, 853.2578125F);
            this.cacheGraphicsPath.AddBezier(470.931640625F, 853.2578125F, 471.3798828125F, 853.2578125F, 471.6572265625F, 853.1796875F, 471.884765625F, 853.080078125F);
            this.cacheGraphicsPath.AddBezier(471.9990234375F, 853.5283203125F, 471.7783203125F, 853.6279296875F, 471.3935546875F, 853.7490234375F, 470.845703125F, 853.7490234375F);
            this.cacheGraphicsPath.AddBezier(470.845703125F, 853.7490234375F, 469.79296875F, 853.7490234375F, 469.1533203125F, 853.044921875F, 469.1533203125F, 852.0126953125F);
            this.cacheGraphicsPath.AddBezier(469.1533203125F, 852.0126953125F, 469.1533203125F, 850.974609375F, 469.7724609375F, 850.15625F, 470.775390625F, 850.15625F);
            this.cacheGraphicsPath.AddBezier(470.775390625F, 850.15625F, 471.8994140625F, 850.15625F, 472.1904296875F, 851.1455078125F, 472.1904296875F, 851.7783203125F);
            this.cacheGraphicsPath.AddBezier(472.1904296875F, 851.7783203125F, 472.1904296875F, 851.90625F, 472.18359375F, 851.9990234375F, 472.1689453125F, 852.0703125F);
            this.cacheGraphicsPath.AddLine(472.1689453125F, 852.0703125F, 469.7578125F, 852.0703125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(471.5859375F, 851.6220703125F, 471.5927734375F, 851.2236328125F, 471.421875F, 850.6044921875F, 470.7255859375F, 850.6044921875F);
            this.cacheGraphicsPath.AddBezier(470.7255859375F, 850.6044921875F, 470.0849609375F, 850.6044921875F, 469.814453125F, 851.1875F, 469.7646484375F, 851.6220703125F);
            this.cacheGraphicsPath.AddLine(469.7646484375F, 851.6220703125F, 471.5859375F, 851.6220703125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(472.9658203125F, 851.1669921875F, 472.9658203125F, 850.8037109375F, 472.951171875F, 850.51953125F, 472.9375F, 850.234375F);
            this.cacheGraphicsPath.AddLine(473.4853515625F, 850.234375F, 473.513671875F, 850.7900390625F);
            this.cacheGraphicsPath.AddBezier(473.5341796875F, 850.7900390625F, 473.7265625F, 850.4619140625F, 474.046875F, 850.15625F, 474.623046875F, 850.15625F);
            this.cacheGraphicsPath.AddBezier(474.623046875F, 850.15625F, 475.0849609375F, 850.15625F, 475.44140625F, 850.44140625F, 475.5908203125F, 850.8466796875F);
            this.cacheGraphicsPath.AddBezier(475.6044921875F, 850.8466796875F, 475.7109375F, 850.6474609375F, 475.853515625F, 850.5048828125F, 475.99609375F, 850.3984375F);
            this.cacheGraphicsPath.AddBezier(475.99609375F, 850.3984375F, 476.2021484375F, 850.2421875F, 476.4228515625F, 850.15625F, 476.75F, 850.15625F);
            this.cacheGraphicsPath.AddBezier(476.75F, 850.15625F, 477.2119140625F, 850.15625F, 477.8876953125F, 850.455078125F, 477.8876953125F, 851.650390625F);
            this.cacheGraphicsPath.AddLine(477.8876953125F, 853.677734375F, 477.2763671875F, 853.677734375F);
            this.cacheGraphicsPath.AddBezier(477.2763671875F, 851.728515625F, 477.2763671875F, 851.0595703125F, 477.02734375F, 850.6689453125F, 476.529296875F, 850.6689453125F);
            this.cacheGraphicsPath.AddBezier(476.529296875F, 850.6689453125F, 476.1669921875F, 850.6689453125F, 475.896484375F, 850.931640625F, 475.7822265625F, 851.23046875F);
            this.cacheGraphicsPath.AddBezier(475.7822265625F, 851.23046875F, 475.75390625F, 851.3232421875F, 475.732421875F, 851.4365234375F, 475.732421875F, 851.5439453125F);
            this.cacheGraphicsPath.AddLine(475.732421875F, 853.677734375F, 475.12109375F, 853.677734375F);
            this.cacheGraphicsPath.AddBezier(475.12109375F, 851.607421875F, 475.12109375F, 851.0595703125F, 474.87890625F, 850.6689453125F, 474.40234375F, 850.6689453125F);
            this.cacheGraphicsPath.AddBezier(474.40234375F, 850.6689453125F, 474.0185546875F, 850.6689453125F, 473.7265625F, 850.9814453125F, 473.626953125F, 851.294921875F);
            this.cacheGraphicsPath.AddBezier(473.626953125F, 851.294921875F, 473.591796875F, 851.38671875F, 473.5771484375F, 851.494140625F, 473.5771484375F, 851.6005859375F);
            this.cacheGraphicsPath.AddLine(473.5771484375F, 853.677734375F, 472.9658203125F, 853.677734375F);
            this.cacheGraphicsPath.AddLine(472.9658203125F, 853.677734375F, 472.9658203125F, 851.1669921875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(478.8125F, 853.037109375F, 479.0048828125F, 853.1513671875F, 479.33203125F, 853.279296875F, 479.6455078125F, 853.279296875F);
            this.cacheGraphicsPath.AddBezier(479.6455078125F, 853.279296875F, 480.09375F, 853.279296875F, 480.306640625F, 853.05859375F, 480.306640625F, 852.767578125F);
            this.cacheGraphicsPath.AddBezier(480.306640625F, 852.767578125F, 480.306640625F, 852.46875F, 480.12890625F, 852.3115234375F, 479.673828125F, 852.1416015625F);
            this.cacheGraphicsPath.AddBezier(479.673828125F, 852.1416015625F, 479.0478515625F, 851.9130859375F, 478.755859375F, 851.572265625F, 478.755859375F, 851.1669921875F);
            this.cacheGraphicsPath.AddBezier(478.755859375F, 851.1669921875F, 478.755859375F, 850.611328125F, 479.2109375F, 850.15625F, 479.9443359375F, 850.15625F);
            this.cacheGraphicsPath.AddBezier(479.9443359375F, 850.15625F, 480.2919921875F, 850.15625F, 480.5986328125F, 850.2490234375F, 480.783203125F, 850.3701171875F);
            this.cacheGraphicsPath.AddBezier(480.6337890625F, 850.818359375F, 480.4990234375F, 850.740234375F, 480.25F, 850.619140625F, 479.9296875F, 850.619140625F);
            this.cacheGraphicsPath.AddBezier(479.9296875F, 850.619140625F, 479.5595703125F, 850.619140625F, 479.3603515625F, 850.83203125F, 479.3603515625F, 851.087890625F);
            this.cacheGraphicsPath.AddBezier(479.3603515625F, 851.087890625F, 479.3603515625F, 851.373046875F, 479.5595703125F, 851.5009765625F, 480.0078125F, 851.6787109375F);
            this.cacheGraphicsPath.AddBezier(480.0078125F, 851.6787109375F, 480.5986328125F, 851.8994140625F, 480.9111328125F, 852.1982421875F, 480.9111328125F, 852.7099609375F);
            this.cacheGraphicsPath.AddBezier(480.9111328125F, 852.7099609375F, 480.9111328125F, 853.322265625F, 480.4345703125F, 853.7490234375F, 479.630859375F, 853.7490234375F);
            this.cacheGraphicsPath.AddBezier(479.630859375F, 853.7490234375F, 479.25390625F, 853.7490234375F, 478.9052734375F, 853.6494140625F, 478.6630859375F, 853.5068359375F);
            this.cacheGraphicsPath.AddLine(478.6630859375F, 853.5068359375F, 478.8125F, 853.037109375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(483.86328125F, 848.8828125F, 483.86328125F, 853.677734375F);
            this.cacheGraphicsPath.AddLine(483.2373046875F, 853.677734375F, 483.2373046875F, 848.8828125F);
            this.cacheGraphicsPath.AddLine(483.2373046875F, 848.8828125F, 483.86328125F, 848.8828125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(484.9951171875F, 851.1669921875F, 484.9951171875F, 850.8037109375F, 484.9873046875F, 850.51953125F, 484.966796875F, 850.234375F);
            this.cacheGraphicsPath.AddLine(485.521484375F, 850.234375F, 485.556640625F, 850.796875F);
            this.cacheGraphicsPath.AddBezier(485.5712890625F, 850.796875F, 485.7421875F, 850.4765625F, 486.140625F, 850.15625F, 486.708984375F, 850.15625F);
            this.cacheGraphicsPath.AddBezier(486.708984375F, 850.15625F, 487.185546875F, 850.15625F, 487.92578125F, 850.44140625F, 487.92578125F, 851.6220703125F);
            this.cacheGraphicsPath.AddLine(487.92578125F, 853.677734375F, 487.2998046875F, 853.677734375F);
            this.cacheGraphicsPath.AddBezier(487.2998046875F, 851.693359375F, 487.2998046875F, 851.138671875F, 487.09375F, 850.6689453125F, 486.5029296875F, 850.6689453125F);
            this.cacheGraphicsPath.AddBezier(486.5029296875F, 850.6689453125F, 486.09765625F, 850.6689453125F, 485.77734375F, 850.9599609375F, 485.6630859375F, 851.30859375F);
            this.cacheGraphicsPath.AddBezier(485.6630859375F, 851.30859375F, 485.634765625F, 851.38671875F, 485.62109375F, 851.5009765625F, 485.62109375F, 851.6005859375F);
            this.cacheGraphicsPath.AddLine(485.62109375F, 853.677734375F, 484.9951171875F, 853.677734375F);
            this.cacheGraphicsPath.AddLine(484.9951171875F, 853.677734375F, 484.9951171875F, 851.1669921875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(491.396484375F, 853.5498046875F, 491.232421875F, 853.6279296875F, 490.8701171875F, 853.7490234375F, 490.4072265625F, 853.7490234375F);
            this.cacheGraphicsPath.AddBezier(490.4072265625F, 853.7490234375F, 489.369140625F, 853.7490234375F, 488.693359375F, 853.044921875F, 488.693359375F, 851.9921875F);
            this.cacheGraphicsPath.AddBezier(488.693359375F, 851.9921875F, 488.693359375F, 850.931640625F, 489.4189453125F, 850.15625F, 490.54296875F, 850.15625F);
            this.cacheGraphicsPath.AddBezier(490.54296875F, 850.15625F, 490.9130859375F, 850.15625F, 491.240234375F, 850.2490234375F, 491.41015625F, 850.341796875F);
            this.cacheGraphicsPath.AddBezier(491.2685546875F, 850.818359375F, 491.119140625F, 850.740234375F, 490.8837890625F, 850.654296875F, 490.54296875F, 850.654296875F);
            this.cacheGraphicsPath.AddBezier(490.54296875F, 850.654296875F, 489.7529296875F, 850.654296875F, 489.326171875F, 851.2451171875F, 489.326171875F, 851.9560546875F);
            this.cacheGraphicsPath.AddBezier(489.326171875F, 851.9560546875F, 489.326171875F, 852.7529296875F, 489.8388671875F, 853.244140625F, 490.521484375F, 853.244140625F);
            this.cacheGraphicsPath.AddBezier(490.521484375F, 853.244140625F, 490.876953125F, 853.244140625F, 491.111328125F, 853.158203125F, 491.2900390625F, 853.080078125F);
            this.cacheGraphicsPath.AddLine(491.2900390625F, 853.080078125F, 491.396484375F, 853.5498046875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(493.48828125F, 853.755859375F, 492.5634765625F, 853.755859375F, 491.837890625F, 853.0732421875F, 491.837890625F, 851.984375F);
            this.cacheGraphicsPath.AddBezier(491.837890625F, 851.984375F, 491.837890625F, 850.83203125F, 492.5986328125F, 850.15625F, 493.544921875F, 850.15625F);
            this.cacheGraphicsPath.AddBezier(493.544921875F, 850.15625F, 494.5341796875F, 850.15625F, 495.2021484375F, 850.875F, 495.2021484375F, 851.9208984375F);
            this.cacheGraphicsPath.AddBezier(495.2021484375F, 851.9208984375F, 495.2021484375F, 853.201171875F, 494.3134765625F, 853.755859375F, 493.4951171875F, 853.755859375F);
            this.cacheGraphicsPath.AddLine(493.4951171875F, 853.755859375F, 493.48828125F, 853.755859375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(493.5166015625F, 853.2861328125F, 494.1142578125F, 853.2861328125F, 494.5625F, 852.724609375F, 494.5625F, 851.9423828125F);
            this.cacheGraphicsPath.AddBezier(494.5625F, 851.9423828125F, 494.5625F, 851.3583984375F, 494.2705078125F, 850.6259765625F, 493.5302734375F, 850.6259765625F);
            this.cacheGraphicsPath.AddBezier(493.5302734375F, 850.6259765625F, 492.7978515625F, 850.6259765625F, 492.4775390625F, 851.30859375F, 492.4775390625F, 851.962890625F);
            this.cacheGraphicsPath.AddBezier(492.4775390625F, 851.962890625F, 492.4775390625F, 852.7177734375F, 492.904296875F, 853.2861328125F, 493.509765625F, 853.2861328125F);
            this.cacheGraphicsPath.AddLine(493.509765625F, 853.2861328125F, 493.5166015625F, 853.2861328125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(495.9921875F, 851.30859375F, 495.9921875F, 850.9033203125F, 495.984375F, 850.5546875F, 495.9638671875F, 850.234375F);
            this.cacheGraphicsPath.AddLine(496.5107421875F, 850.234375F, 496.5400390625F, 850.91015625F);
            this.cacheGraphicsPath.AddBezier(496.560546875F, 850.91015625F, 496.7177734375F, 850.4482421875F, 497.1015625F, 850.15625F, 497.521484375F, 850.15625F);
            this.cacheGraphicsPath.AddBezier(497.521484375F, 850.15625F, 497.5849609375F, 850.15625F, 497.634765625F, 850.1640625F, 497.6923828125F, 850.1708984375F);
            this.cacheGraphicsPath.AddBezier(497.6923828125F, 850.7607421875F, 497.6279296875F, 850.75390625F, 497.564453125F, 850.7470703125F, 497.478515625F, 850.7470703125F);
            this.cacheGraphicsPath.AddBezier(497.478515625F, 850.7470703125F, 497.0380859375F, 850.7470703125F, 496.724609375F, 851.0810546875F, 496.6396484375F, 851.5439453125F);
            this.cacheGraphicsPath.AddBezier(496.6396484375F, 851.5439453125F, 496.625F, 851.6357421875F, 496.6181640625F, 851.7353515625F, 496.6181640625F, 851.8349609375F);
            this.cacheGraphicsPath.AddLine(496.6181640625F, 853.677734375F, 495.9921875F, 853.677734375F);
            this.cacheGraphicsPath.AddLine(495.9921875F, 853.677734375F, 495.9921875F, 851.30859375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(498.3466796875F, 851.3583984375F, 498.3466796875F, 850.91796875F, 498.3388671875F, 850.5615234375F, 498.318359375F, 850.234375F);
            this.cacheGraphicsPath.AddLine(498.8798828125F, 850.234375F, 498.9150390625F, 850.8251953125F);
            this.cacheGraphicsPath.AddBezier(498.9296875F, 850.8251953125F, 499.1787109375F, 850.3984375F, 499.5908203125F, 850.15625F, 500.146484375F, 850.15625F);
            this.cacheGraphicsPath.AddBezier(500.146484375F, 850.15625F, 500.9853515625F, 850.15625F, 501.611328125F, 850.8603515625F, 501.611328125F, 851.90625F);
            this.cacheGraphicsPath.AddBezier(501.611328125F, 851.90625F, 501.611328125F, 853.14453125F, 500.8505859375F, 853.755859375F, 500.046875F, 853.755859375F);
            this.cacheGraphicsPath.AddBezier(500.046875F, 853.755859375F, 499.583984375F, 853.755859375F, 499.193359375F, 853.556640625F, 498.986328125F, 853.2158203125F);
            this.cacheGraphicsPath.AddLine(498.97265625F, 853.2158203125F, 498.97265625F, 855.0859375F);
            this.cacheGraphicsPath.AddLine(498.3466796875F, 855.0859375F, 498.3466796875F, 851.3583984375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(498.97265625F, 852.2763671875F, 498.97265625F, 852.361328125F, 498.9794921875F, 852.4541015625F, 499.0009765625F, 852.5322265625F);
            this.cacheGraphicsPath.AddBezier(499.0009765625F, 852.5322265625F, 499.107421875F, 852.966796875F, 499.4921875F, 853.265625F, 499.9326171875F, 853.265625F);
            this.cacheGraphicsPath.AddBezier(499.9326171875F, 853.265625F, 500.5947265625F, 853.265625F, 500.978515625F, 852.724609375F, 500.978515625F, 851.9345703125F);
            this.cacheGraphicsPath.AddBezier(500.978515625F, 851.9345703125F, 500.978515625F, 851.2451171875F, 500.623046875F, 850.654296875F, 499.9609375F, 850.654296875F);
            this.cacheGraphicsPath.AddBezier(499.9609375F, 850.654296875F, 499.5341796875F, 850.654296875F, 499.12890625F, 850.953125F, 499.0078125F, 851.4296875F);
            this.cacheGraphicsPath.AddBezier(499.0078125F, 851.4296875F, 498.994140625F, 851.5078125F, 498.97265625F, 851.6005859375F, 498.97265625F, 851.6787109375F);
            this.cacheGraphicsPath.AddLine(498.97265625F, 851.6787109375F, 498.97265625F, 852.2763671875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(503.794921875F, 853.755859375F, 502.8701171875F, 853.755859375F, 502.14453125F, 853.0732421875F, 502.14453125F, 851.984375F);
            this.cacheGraphicsPath.AddBezier(502.14453125F, 851.984375F, 502.14453125F, 850.83203125F, 502.9052734375F, 850.15625F, 503.8515625F, 850.15625F);
            this.cacheGraphicsPath.AddBezier(503.8515625F, 850.15625F, 504.8408203125F, 850.15625F, 505.5087890625F, 850.875F, 505.5087890625F, 851.9208984375F);
            this.cacheGraphicsPath.AddBezier(505.5087890625F, 851.9208984375F, 505.5087890625F, 853.201171875F, 504.6201171875F, 853.755859375F, 503.8017578125F, 853.755859375F);
            this.cacheGraphicsPath.AddLine(503.8017578125F, 853.755859375F, 503.794921875F, 853.755859375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(503.8232421875F, 853.2861328125F, 504.4208984375F, 853.2861328125F, 504.869140625F, 852.724609375F, 504.869140625F, 851.9423828125F);
            this.cacheGraphicsPath.AddBezier(504.869140625F, 851.9423828125F, 504.869140625F, 851.3583984375F, 504.5771484375F, 850.6259765625F, 503.8369140625F, 850.6259765625F);
            this.cacheGraphicsPath.AddBezier(503.8369140625F, 850.6259765625F, 503.1044921875F, 850.6259765625F, 502.7841796875F, 851.30859375F, 502.7841796875F, 851.962890625F);
            this.cacheGraphicsPath.AddBezier(502.7841796875F, 851.962890625F, 502.7841796875F, 852.7177734375F, 503.2109375F, 853.2861328125F, 503.81640625F, 853.2861328125F);
            this.cacheGraphicsPath.AddLine(503.81640625F, 853.2861328125F, 503.8232421875F, 853.2861328125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(506.298828125F, 851.30859375F, 506.298828125F, 850.9033203125F, 506.291015625F, 850.5546875F, 506.2705078125F, 850.234375F);
            this.cacheGraphicsPath.AddLine(506.8173828125F, 850.234375F, 506.8466796875F, 850.91015625F);
            this.cacheGraphicsPath.AddBezier(506.8671875F, 850.91015625F, 507.0244140625F, 850.4482421875F, 507.408203125F, 850.15625F, 507.828125F, 850.15625F);
            this.cacheGraphicsPath.AddBezier(507.828125F, 850.15625F, 507.8916015625F, 850.15625F, 507.94140625F, 850.1640625F, 507.9990234375F, 850.1708984375F);
            this.cacheGraphicsPath.AddBezier(507.9990234375F, 850.7607421875F, 507.9345703125F, 850.75390625F, 507.87109375F, 850.7470703125F, 507.78515625F, 850.7470703125F);
            this.cacheGraphicsPath.AddBezier(507.78515625F, 850.7470703125F, 507.3447265625F, 850.7470703125F, 507.03125F, 851.0810546875F, 506.9462890625F, 851.5439453125F);
            this.cacheGraphicsPath.AddBezier(506.9462890625F, 851.5439453125F, 506.931640625F, 851.6357421875F, 506.9248046875F, 851.7353515625F, 506.9248046875F, 851.8349609375F);
            this.cacheGraphicsPath.AddLine(506.9248046875F, 853.677734375F, 506.298828125F, 853.677734375F);
            this.cacheGraphicsPath.AddLine(506.298828125F, 853.677734375F, 506.298828125F, 851.30859375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(511.015625F, 852.8525390625F, 511.015625F, 853.1513671875F, 511.029296875F, 853.443359375F, 511.0654296875F, 853.677734375F);
            this.cacheGraphicsPath.AddLine(510.5029296875F, 853.677734375F, 510.4462890625F, 853.244140625F);
            this.cacheGraphicsPath.AddBezier(510.4248046875F, 853.244140625F, 510.240234375F, 853.513671875F, 509.86328125F, 853.755859375F, 509.3720703125F, 853.755859375F);
            this.cacheGraphicsPath.AddBezier(509.3720703125F, 853.755859375F, 508.6748046875F, 853.755859375F, 508.3193359375F, 853.265625F, 508.3193359375F, 852.767578125F);
            this.cacheGraphicsPath.AddBezier(508.3193359375F, 852.767578125F, 508.3193359375F, 851.9345703125F, 509.0595703125F, 851.4794921875F, 510.3896484375F, 851.486328125F);
            this.cacheGraphicsPath.AddBezier(510.3896484375F, 851.416015625F, 510.3896484375F, 851.130859375F, 510.3115234375F, 850.611328125F, 509.6064453125F, 850.619140625F);
            this.cacheGraphicsPath.AddBezier(509.6064453125F, 850.619140625F, 509.279296875F, 850.619140625F, 508.9453125F, 850.7109375F, 508.703125F, 850.875F);
            this.cacheGraphicsPath.AddBezier(508.5615234375F, 850.455078125F, 508.845703125F, 850.27734375F, 509.265625F, 850.15625F, 509.69921875F, 850.15625F);
            this.cacheGraphicsPath.AddBezier(509.69921875F, 850.15625F, 510.7587890625F, 850.15625F, 511.015625F, 850.875F, 511.015625F, 851.5654296875F);
            this.cacheGraphicsPath.AddLine(511.015625F, 851.5654296875F, 511.015625F, 852.8525390625F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(510.4033203125F, 851.9208984375F, 509.720703125F, 851.90625F, 508.9453125F, 852.02734375F, 508.9453125F, 852.6962890625F);
            this.cacheGraphicsPath.AddBezier(508.9453125F, 852.6962890625F, 508.9453125F, 853.1083984375F, 509.2158203125F, 853.2939453125F, 509.5283203125F, 853.2939453125F);
            this.cacheGraphicsPath.AddBezier(509.5283203125F, 853.2939453125F, 509.9833984375F, 853.2939453125F, 510.275390625F, 853.0087890625F, 510.375F, 852.7177734375F);
            this.cacheGraphicsPath.AddBezier(510.375F, 852.7177734375F, 510.396484375F, 852.6533203125F, 510.4033203125F, 852.58203125F, 510.4033203125F, 852.5185546875F);
            this.cacheGraphicsPath.AddLine(510.4033203125F, 852.5185546875F, 510.4033203125F, 851.9208984375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(512.744140625F, 849.4091796875F, 512.744140625F, 850.234375F);
            this.cacheGraphicsPath.AddLine(513.640625F, 850.234375F, 513.640625F, 850.7109375F);
            this.cacheGraphicsPath.AddLine(512.744140625F, 850.7109375F, 512.744140625F, 852.560546875F);
            this.cacheGraphicsPath.AddBezier(512.744140625F, 852.560546875F, 512.744140625F, 852.9873046875F, 512.865234375F, 853.2294921875F, 513.2138671875F, 853.2294921875F);
            this.cacheGraphicsPath.AddBezier(513.2138671875F, 853.2294921875F, 513.3837890625F, 853.2294921875F, 513.4833984375F, 853.2158203125F, 513.576171875F, 853.1865234375F);
            this.cacheGraphicsPath.AddBezier(513.6044921875F, 853.6630859375F, 513.4833984375F, 853.7060546875F, 513.2919921875F, 853.7490234375F, 513.0498046875F, 853.7490234375F);
            this.cacheGraphicsPath.AddBezier(513.0498046875F, 853.7490234375F, 512.7578125F, 853.7490234375F, 512.5234375F, 853.6494140625F, 512.3740234375F, 853.4853515625F);
            this.cacheGraphicsPath.AddBezier(512.3740234375F, 853.4853515625F, 512.203125F, 853.2939453125F, 512.1318359375F, 852.9873046875F, 512.1318359375F, 852.58203125F);
            this.cacheGraphicsPath.AddLine(512.1318359375F, 850.7109375F, 511.5986328125F, 850.7109375F);
            this.cacheGraphicsPath.AddLine(511.5986328125F, 850.234375F, 512.1318359375F, 850.234375F);
            this.cacheGraphicsPath.AddLine(512.1318359375F, 849.6015625F, 512.744140625F, 849.4091796875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(514.6572265625F, 852.0703125F, 514.671875F, 852.9091796875F, 515.205078125F, 853.2578125F, 515.8310546875F, 853.2578125F);
            this.cacheGraphicsPath.AddBezier(515.8310546875F, 853.2578125F, 516.279296875F, 853.2578125F, 516.556640625F, 853.1796875F, 516.7841796875F, 853.080078125F);
            this.cacheGraphicsPath.AddBezier(516.8984375F, 853.5283203125F, 516.677734375F, 853.6279296875F, 516.29296875F, 853.7490234375F, 515.7451171875F, 853.7490234375F);
            this.cacheGraphicsPath.AddBezier(515.7451171875F, 853.7490234375F, 514.6923828125F, 853.7490234375F, 514.052734375F, 853.044921875F, 514.052734375F, 852.0126953125F);
            this.cacheGraphicsPath.AddBezier(514.052734375F, 852.0126953125F, 514.052734375F, 850.974609375F, 514.671875F, 850.15625F, 515.6748046875F, 850.15625F);
            this.cacheGraphicsPath.AddBezier(515.6748046875F, 850.15625F, 516.798828125F, 850.15625F, 517.08984375F, 851.1455078125F, 517.08984375F, 851.7783203125F);
            this.cacheGraphicsPath.AddBezier(517.08984375F, 851.7783203125F, 517.08984375F, 851.90625F, 517.0830078125F, 851.9990234375F, 517.068359375F, 852.0703125F);
            this.cacheGraphicsPath.AddLine(517.068359375F, 852.0703125F, 514.6572265625F, 852.0703125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(516.4853515625F, 851.6220703125F, 516.4921875F, 851.2236328125F, 516.3212890625F, 850.6044921875F, 515.625F, 850.6044921875F);
            this.cacheGraphicsPath.AddBezier(515.625F, 850.6044921875F, 514.984375F, 850.6044921875F, 514.7138671875F, 851.1875F, 514.6640625F, 851.6220703125F);
            this.cacheGraphicsPath.AddLine(514.6640625F, 851.6220703125F, 516.4853515625F, 851.6220703125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(520.83984375F, 848.626953125F, 520.83984375F, 852.7880859375F);
            this.cacheGraphicsPath.AddBezier(520.83984375F, 852.7880859375F, 520.83984375F, 853.0947265625F, 520.8466796875F, 853.443359375F, 520.8681640625F, 853.677734375F);
            this.cacheGraphicsPath.AddLine(520.3056640625F, 853.677734375F, 520.27734375F, 853.080078125F);
            this.cacheGraphicsPath.AddBezier(520.263671875F, 853.080078125F, 520.0712890625F, 853.4638671875F, 519.658203125F, 853.755859375F, 519.0966796875F, 853.755859375F);
            this.cacheGraphicsPath.AddBezier(519.0966796875F, 853.755859375F, 518.2646484375F, 853.755859375F, 517.6171875F, 853.0517578125F, 517.6171875F, 852.005859375F);
            this.cacheGraphicsPath.AddBezier(517.6171875F, 852.005859375F, 517.6103515625F, 850.853515625F, 518.328125F, 850.15625F, 519.16015625F, 850.15625F);
            this.cacheGraphicsPath.AddBezier(519.16015625F, 850.15625F, 519.6943359375F, 850.15625F, 520.0498046875F, 850.4052734375F, 520.19921875F, 850.67578125F);
            this.cacheGraphicsPath.AddLine(520.2138671875F, 850.67578125F, 520.2138671875F, 848.626953125F);
            this.cacheGraphicsPath.AddLine(520.2138671875F, 848.626953125F, 520.83984375F, 848.626953125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(520.2138671875F, 851.6357421875F, 520.2138671875F, 851.55078125F, 520.2060546875F, 851.451171875F, 520.1845703125F, 851.3662109375F);
            this.cacheGraphicsPath.AddBezier(520.1845703125F, 851.3662109375F, 520.0927734375F, 850.974609375F, 519.7509765625F, 850.6474609375F, 519.28125F, 850.6474609375F);
            this.cacheGraphicsPath.AddBezier(519.28125F, 850.6474609375F, 518.6337890625F, 850.6474609375F, 518.25F, 851.216796875F, 518.25F, 851.970703125F);
            this.cacheGraphicsPath.AddBezier(518.25F, 851.970703125F, 518.25F, 852.6748046875F, 518.5986328125F, 853.2509765625F, 519.267578125F, 853.2509765625F);
            this.cacheGraphicsPath.AddBezier(519.267578125F, 853.2509765625F, 519.6875F, 853.2509765625F, 520.0712890625F, 852.966796875F, 520.1845703125F, 852.4970703125F);
            this.cacheGraphicsPath.AddBezier(520.1845703125F, 852.4970703125F, 520.2060546875F, 852.4189453125F, 520.2138671875F, 852.3330078125F, 520.2138671875F, 852.2333984375F);
            this.cacheGraphicsPath.AddLine(520.2138671875F, 852.2333984375F, 520.2138671875F, 851.6357421875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(523.6845703125F, 849.6513671875F, 523.45703125F, 849.6513671875F, 523.3076171875F, 849.4736328125F, 523.3076171875F, 849.267578125F);
            this.cacheGraphicsPath.AddBezier(523.3076171875F, 849.267578125F, 523.3076171875F, 849.046875F, 523.4638671875F, 848.8759765625F, 523.6982421875F, 848.8759765625F);
            this.cacheGraphicsPath.AddBezier(523.6982421875F, 848.8759765625F, 523.92578125F, 848.8759765625F, 524.0830078125F, 849.046875F, 524.0830078125F, 849.267578125F);
            this.cacheGraphicsPath.AddBezier(524.0830078125F, 849.267578125F, 524.0830078125F, 849.4736328125F, 523.93359375F, 849.6513671875F, 523.69140625F, 849.6513671875F);
            this.cacheGraphicsPath.AddLine(523.69140625F, 849.6513671875F, 523.6845703125F, 849.6513671875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(523.3857421875F, 853.677734375F, 523.3857421875F, 850.234375F);
            this.cacheGraphicsPath.AddLine(524.01171875F, 850.234375F, 524.01171875F, 853.677734375F);
            this.cacheGraphicsPath.AddLine(524.01171875F, 853.677734375F, 523.3857421875F, 853.677734375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(525.05078125F, 851.1669921875F, 525.05078125F, 850.8037109375F, 525.04296875F, 850.51953125F, 525.0224609375F, 850.234375F);
            this.cacheGraphicsPath.AddLine(525.5771484375F, 850.234375F, 525.6123046875F, 850.796875F);
            this.cacheGraphicsPath.AddBezier(525.626953125F, 850.796875F, 525.7978515625F, 850.4765625F, 526.1962890625F, 850.15625F, 526.7646484375F, 850.15625F);
            this.cacheGraphicsPath.AddBezier(526.7646484375F, 850.15625F, 527.2412109375F, 850.15625F, 527.9814453125F, 850.44140625F, 527.9814453125F, 851.6220703125F);
            this.cacheGraphicsPath.AddLine(527.9814453125F, 853.677734375F, 527.35546875F, 853.677734375F);
            this.cacheGraphicsPath.AddBezier(527.35546875F, 851.693359375F, 527.35546875F, 851.138671875F, 527.1494140625F, 850.6689453125F, 526.55859375F, 850.6689453125F);
            this.cacheGraphicsPath.AddBezier(526.55859375F, 850.6689453125F, 526.1533203125F, 850.6689453125F, 525.8330078125F, 850.9599609375F, 525.71875F, 851.30859375F);
            this.cacheGraphicsPath.AddBezier(525.71875F, 851.30859375F, 525.6904296875F, 851.38671875F, 525.6767578125F, 851.5009765625F, 525.6767578125F, 851.6005859375F);
            this.cacheGraphicsPath.AddLine(525.6767578125F, 853.677734375F, 525.05078125F, 853.677734375F);
            this.cacheGraphicsPath.AddLine(525.05078125F, 853.677734375F, 525.05078125F, 851.1669921875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(531.2607421875F, 849.4091796875F, 531.2607421875F, 850.234375F);
            this.cacheGraphicsPath.AddLine(532.1572265625F, 850.234375F, 532.1572265625F, 850.7109375F);
            this.cacheGraphicsPath.AddLine(531.2607421875F, 850.7109375F, 531.2607421875F, 852.560546875F);
            this.cacheGraphicsPath.AddBezier(531.2607421875F, 852.560546875F, 531.2607421875F, 852.9873046875F, 531.3818359375F, 853.2294921875F, 531.73046875F, 853.2294921875F);
            this.cacheGraphicsPath.AddBezier(531.73046875F, 853.2294921875F, 531.900390625F, 853.2294921875F, 532F, 853.2158203125F, 532.0927734375F, 853.1865234375F);
            this.cacheGraphicsPath.AddBezier(532.12109375F, 853.6630859375F, 532F, 853.7060546875F, 531.80859375F, 853.7490234375F, 531.56640625F, 853.7490234375F);
            this.cacheGraphicsPath.AddBezier(531.56640625F, 853.7490234375F, 531.2744140625F, 853.7490234375F, 531.0400390625F, 853.6494140625F, 530.890625F, 853.4853515625F);
            this.cacheGraphicsPath.AddBezier(530.890625F, 853.4853515625F, 530.7197265625F, 853.2939453125F, 530.6484375F, 852.9873046875F, 530.6484375F, 852.58203125F);
            this.cacheGraphicsPath.AddLine(530.6484375F, 850.7109375F, 530.115234375F, 850.7109375F);
            this.cacheGraphicsPath.AddLine(530.115234375F, 850.234375F, 530.6484375F, 850.234375F);
            this.cacheGraphicsPath.AddLine(530.6484375F, 849.6015625F, 531.2607421875F, 849.4091796875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(532.861328125F, 848.626953125F, 533.4873046875F, 848.626953125F);
            this.cacheGraphicsPath.AddLine(533.4873046875F, 850.775390625F, 533.5009765625F, 850.775390625F);
            this.cacheGraphicsPath.AddBezier(533.5009765625F, 850.775390625F, 533.6005859375F, 850.59765625F, 533.7578125F, 850.43359375F, 533.94921875F, 850.333984375F);
            this.cacheGraphicsPath.AddBezier(533.94921875F, 850.333984375F, 534.134765625F, 850.220703125F, 534.3544921875F, 850.15625F, 534.58984375F, 850.15625F);
            this.cacheGraphicsPath.AddBezier(534.58984375F, 850.15625F, 535.0517578125F, 850.15625F, 535.7919921875F, 850.44140625F, 535.7919921875F, 851.62890625F);
            this.cacheGraphicsPath.AddLine(535.7919921875F, 853.677734375F, 535.166015625F, 853.677734375F);
            this.cacheGraphicsPath.AddBezier(535.166015625F, 851.693359375F, 535.166015625F, 851.138671875F, 534.9599609375F, 850.67578125F, 534.369140625F, 850.67578125F);
            this.cacheGraphicsPath.AddBezier(534.369140625F, 850.67578125F, 533.9638671875F, 850.67578125F, 533.650390625F, 850.9599609375F, 533.529296875F, 851.3017578125F);
            this.cacheGraphicsPath.AddBezier(533.529296875F, 851.3017578125F, 533.494140625F, 851.38671875F, 533.4873046875F, 851.4794921875F, 533.4873046875F, 851.6005859375F);
            this.cacheGraphicsPath.AddLine(533.4873046875F, 853.677734375F, 532.861328125F, 853.677734375F);
            this.cacheGraphicsPath.AddLine(532.861328125F, 853.677734375F, 532.861328125F, 848.626953125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(537.1640625F, 852.0703125F, 537.1787109375F, 852.9091796875F, 537.7119140625F, 853.2578125F, 538.337890625F, 853.2578125F);
            this.cacheGraphicsPath.AddBezier(538.337890625F, 853.2578125F, 538.7861328125F, 853.2578125F, 539.0634765625F, 853.1796875F, 539.291015625F, 853.080078125F);
            this.cacheGraphicsPath.AddBezier(539.4052734375F, 853.5283203125F, 539.1845703125F, 853.6279296875F, 538.7998046875F, 853.7490234375F, 538.251953125F, 853.7490234375F);
            this.cacheGraphicsPath.AddBezier(538.251953125F, 853.7490234375F, 537.19921875F, 853.7490234375F, 536.5595703125F, 853.044921875F, 536.5595703125F, 852.0126953125F);
            this.cacheGraphicsPath.AddBezier(536.5595703125F, 852.0126953125F, 536.5595703125F, 850.974609375F, 537.1787109375F, 850.15625F, 538.181640625F, 850.15625F);
            this.cacheGraphicsPath.AddBezier(538.181640625F, 850.15625F, 539.3056640625F, 850.15625F, 539.5966796875F, 851.1455078125F, 539.5966796875F, 851.7783203125F);
            this.cacheGraphicsPath.AddBezier(539.5966796875F, 851.7783203125F, 539.5966796875F, 851.90625F, 539.58984375F, 851.9990234375F, 539.5751953125F, 852.0703125F);
            this.cacheGraphicsPath.AddLine(539.5751953125F, 852.0703125F, 537.1640625F, 852.0703125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(538.9921875F, 851.6220703125F, 538.9990234375F, 851.2236328125F, 538.828125F, 850.6044921875F, 538.1318359375F, 850.6044921875F);
            this.cacheGraphicsPath.AddBezier(538.1318359375F, 850.6044921875F, 537.4912109375F, 850.6044921875F, 537.220703125F, 851.1875F, 537.1708984375F, 851.6220703125F);
            this.cacheGraphicsPath.AddLine(537.1708984375F, 851.6220703125F, 538.9921875F, 851.6220703125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(224.88330078125F, 857.4189453125F, 224.88330078125F, 860.2646484375F);
            this.cacheGraphicsPath.AddBezier(224.88330078125F, 860.2646484375F, 224.88330078125F, 861.33203125F, 225.35986328125F, 861.787109375F, 226F, 861.787109375F);
            this.cacheGraphicsPath.AddBezier(226F, 861.787109375F, 226.7041015625F, 861.787109375F, 227.16650390625F, 861.3173828125F, 227.16650390625F, 860.2646484375F);
            this.cacheGraphicsPath.AddLine(227.16650390625F, 857.4189453125F, 227.79248046875F, 857.4189453125F);
            this.cacheGraphicsPath.AddBezier(227.79248046875F, 860.2216796875F, 227.79248046875F, 861.6943359375F, 227.01708984375F, 862.2919921875F, 225.978515625F, 862.2919921875F);
            this.cacheGraphicsPath.AddBezier(225.978515625F, 862.2919921875F, 224.9970703125F, 862.2919921875F, 224.25732421875F, 861.7373046875F, 224.25732421875F, 860.2431640625F);
            this.cacheGraphicsPath.AddLine(224.25732421875F, 857.4189453125F, 224.88330078125F, 857.4189453125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(228.84521484375F, 859.703125F, 228.84521484375F, 859.33984375F, 228.83837890625F, 859.0556640625F, 228.81689453125F, 858.7705078125F);
            this.cacheGraphicsPath.AddLine(229.3720703125F, 858.7705078125F, 229.4072265625F, 859.3330078125F);
            this.cacheGraphicsPath.AddBezier(229.421875F, 859.3330078125F, 229.59228515625F, 859.0126953125F, 229.99072265625F, 858.6923828125F, 230.56005859375F, 858.6923828125F);
            this.cacheGraphicsPath.AddBezier(230.56005859375F, 858.6923828125F, 231.03662109375F, 858.6923828125F, 231.7763671875F, 858.9775390625F, 231.7763671875F, 860.158203125F);
            this.cacheGraphicsPath.AddLine(231.7763671875F, 862.2138671875F, 231.150390625F, 862.2138671875F);
            this.cacheGraphicsPath.AddBezier(231.150390625F, 860.2294921875F, 231.150390625F, 859.673828125F, 230.94384765625F, 859.205078125F, 230.353515625F, 859.205078125F);
            this.cacheGraphicsPath.AddBezier(230.353515625F, 859.205078125F, 229.9482421875F, 859.205078125F, 229.6279296875F, 859.49609375F, 229.51416015625F, 859.8447265625F);
            this.cacheGraphicsPath.AddBezier(229.51416015625F, 859.8447265625F, 229.48583984375F, 859.9228515625F, 229.4716796875F, 860.037109375F, 229.4716796875F, 860.13671875F);
            this.cacheGraphicsPath.AddLine(229.4716796875F, 862.2138671875F, 228.84521484375F, 862.2138671875F);
            this.cacheGraphicsPath.AddLine(228.84521484375F, 862.2138671875F, 228.84521484375F, 859.703125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(233.091796875F, 858.1875F, 232.8642578125F, 858.1875F, 232.71484375F, 858.009765625F, 232.71484375F, 857.8037109375F);
            this.cacheGraphicsPath.AddBezier(232.71484375F, 857.8037109375F, 232.71484375F, 857.5830078125F, 232.87158203125F, 857.412109375F, 233.10595703125F, 857.412109375F);
            this.cacheGraphicsPath.AddBezier(233.10595703125F, 857.412109375F, 233.333984375F, 857.412109375F, 233.490234375F, 857.5830078125F, 233.490234375F, 857.8037109375F);
            this.cacheGraphicsPath.AddBezier(233.490234375F, 857.8037109375F, 233.490234375F, 858.009765625F, 233.3408203125F, 858.1875F, 233.09912109375F, 858.1875F);
            this.cacheGraphicsPath.AddLine(233.09912109375F, 858.1875F, 233.091796875F, 858.1875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(232.79345703125F, 862.2138671875F, 232.79345703125F, 858.7705078125F);
            this.cacheGraphicsPath.AddLine(233.41943359375F, 858.7705078125F, 233.41943359375F, 862.2138671875F);
            this.cacheGraphicsPath.AddLine(233.41943359375F, 862.2138671875F, 232.79345703125F, 862.2138671875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(235.2119140625F, 857.9453125F, 235.2119140625F, 858.7705078125F);
            this.cacheGraphicsPath.AddLine(236.10791015625F, 858.7705078125F, 236.10791015625F, 859.2470703125F);
            this.cacheGraphicsPath.AddLine(235.2119140625F, 859.2470703125F, 235.2119140625F, 861.0966796875F);
            this.cacheGraphicsPath.AddBezier(235.2119140625F, 861.0966796875F, 235.2119140625F, 861.5234375F, 235.33251953125F, 861.765625F, 235.68115234375F, 861.765625F);
            this.cacheGraphicsPath.AddBezier(235.68115234375F, 861.765625F, 235.85205078125F, 861.765625F, 235.95166015625F, 861.751953125F, 236.0439453125F, 861.72265625F);
            this.cacheGraphicsPath.AddBezier(236.07275390625F, 862.19921875F, 235.95166015625F, 862.2421875F, 235.759765625F, 862.28515625F, 235.517578125F, 862.28515625F);
            this.cacheGraphicsPath.AddBezier(235.517578125F, 862.28515625F, 235.22607421875F, 862.28515625F, 234.9912109375F, 862.185546875F, 234.841796875F, 862.021484375F);
            this.cacheGraphicsPath.AddBezier(234.841796875F, 862.021484375F, 234.67138671875F, 861.830078125F, 234.60009765625F, 861.5234375F, 234.60009765625F, 861.1181640625F);
            this.cacheGraphicsPath.AddLine(234.60009765625F, 859.2470703125F, 234.06640625F, 859.2470703125F);
            this.cacheGraphicsPath.AddLine(234.06640625F, 858.7705078125F, 234.60009765625F, 858.7705078125F);
            this.cacheGraphicsPath.AddLine(234.60009765625F, 858.1376953125F, 235.2119140625F, 857.9453125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(237.125F, 860.6064453125F, 237.13916015625F, 861.4453125F, 237.6728515625F, 861.7939453125F, 238.298828125F, 861.7939453125F);
            this.cacheGraphicsPath.AddBezier(238.298828125F, 861.7939453125F, 238.7470703125F, 861.7939453125F, 239.0244140625F, 861.7158203125F, 239.251953125F, 861.6162109375F);
            this.cacheGraphicsPath.AddBezier(239.36572265625F, 862.064453125F, 239.14501953125F, 862.1640625F, 238.76123046875F, 862.28515625F, 238.21337890625F, 862.28515625F);
            this.cacheGraphicsPath.AddBezier(238.21337890625F, 862.28515625F, 237.16064453125F, 862.28515625F, 236.5205078125F, 861.5810546875F, 236.5205078125F, 860.548828125F);
            this.cacheGraphicsPath.AddBezier(236.5205078125F, 860.548828125F, 236.5205078125F, 859.5107421875F, 237.13916015625F, 858.6923828125F, 238.14208984375F, 858.6923828125F);
            this.cacheGraphicsPath.AddBezier(238.14208984375F, 858.6923828125F, 239.26611328125F, 858.6923828125F, 239.5576171875F, 859.681640625F, 239.5576171875F, 860.314453125F);
            this.cacheGraphicsPath.AddBezier(239.5576171875F, 860.314453125F, 239.5576171875F, 860.4423828125F, 239.55078125F, 860.53515625F, 239.53662109375F, 860.6064453125F);
            this.cacheGraphicsPath.AddLine(239.53662109375F, 860.6064453125F, 237.125F, 860.6064453125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(238.953125F, 860.158203125F, 238.96044921875F, 859.759765625F, 238.78955078125F, 859.140625F, 238.09228515625F, 859.140625F);
            this.cacheGraphicsPath.AddBezier(238.09228515625F, 859.140625F, 237.4521484375F, 859.140625F, 237.181640625F, 859.7236328125F, 237.13232421875F, 860.158203125F);
            this.cacheGraphicsPath.AddLine(237.13232421875F, 860.158203125F, 238.953125F, 860.158203125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(243.306640625F, 857.1630859375F, 243.306640625F, 861.32421875F);
            this.cacheGraphicsPath.AddBezier(243.306640625F, 861.32421875F, 243.306640625F, 861.630859375F, 243.31396484375F, 861.9794921875F, 243.3349609375F, 862.2138671875F);
            this.cacheGraphicsPath.AddLine(242.7734375F, 862.2138671875F, 242.74462890625F, 861.6162109375F);
            this.cacheGraphicsPath.AddBezier(242.73046875F, 861.6162109375F, 242.53857421875F, 862F, 242.1259765625F, 862.2919921875F, 241.56396484375F, 862.2919921875F);
            this.cacheGraphicsPath.AddBezier(241.56396484375F, 862.2919921875F, 240.7314453125F, 862.2919921875F, 240.08447265625F, 861.587890625F, 240.08447265625F, 860.5419921875F);
            this.cacheGraphicsPath.AddBezier(240.08447265625F, 860.5419921875F, 240.0771484375F, 859.3896484375F, 240.79541015625F, 858.6923828125F, 241.6279296875F, 858.6923828125F);
            this.cacheGraphicsPath.AddBezier(241.6279296875F, 858.6923828125F, 242.16162109375F, 858.6923828125F, 242.51708984375F, 858.94140625F, 242.66650390625F, 859.2119140625F);
            this.cacheGraphicsPath.AddLine(242.6806640625F, 859.2119140625F, 242.6806640625F, 857.1630859375F);
            this.cacheGraphicsPath.AddLine(242.6806640625F, 857.1630859375F, 243.306640625F, 857.1630859375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(242.6806640625F, 860.171875F, 242.6806640625F, 860.0869140625F, 242.673828125F, 859.9873046875F, 242.65234375F, 859.90234375F);
            this.cacheGraphicsPath.AddBezier(242.65234375F, 859.90234375F, 242.5595703125F, 859.5107421875F, 242.21826171875F, 859.18359375F, 241.7490234375F, 859.18359375F);
            this.cacheGraphicsPath.AddBezier(241.7490234375F, 859.18359375F, 241.1015625F, 859.18359375F, 240.71728515625F, 859.7529296875F, 240.71728515625F, 860.5068359375F);
            this.cacheGraphicsPath.AddBezier(240.71728515625F, 860.5068359375F, 240.71728515625F, 861.2109375F, 241.06591796875F, 861.787109375F, 241.73486328125F, 861.787109375F);
            this.cacheGraphicsPath.AddBezier(241.73486328125F, 861.787109375F, 242.154296875F, 861.787109375F, 242.53857421875F, 861.5029296875F, 242.65234375F, 861.033203125F);
            this.cacheGraphicsPath.AddBezier(242.65234375F, 861.033203125F, 242.673828125F, 860.955078125F, 242.6806640625F, 860.869140625F, 242.6806640625F, 860.76953125F);
            this.cacheGraphicsPath.AddLine(242.6806640625F, 860.76953125F, 242.6806640625F, 860.171875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(245.79638671875F, 861.4599609375F, 246.07373046875F, 861.630859375F, 246.47216796875F, 861.765625F, 246.89892578125F, 861.765625F);
            this.cacheGraphicsPath.AddBezier(246.89892578125F, 861.765625F, 247.5322265625F, 861.765625F, 247.90185546875F, 861.4384765625F, 247.90185546875F, 860.955078125F);
            this.cacheGraphicsPath.AddBezier(247.90185546875F, 860.955078125F, 247.90185546875F, 860.5068359375F, 247.64599609375F, 860.2431640625F, 246.99853515625F, 860.001953125F);
            this.cacheGraphicsPath.AddBezier(246.99853515625F, 860.001953125F, 246.21630859375F, 859.7314453125F, 245.732421875F, 859.318359375F, 245.732421875F, 858.650390625F);
            this.cacheGraphicsPath.AddBezier(245.732421875F, 858.650390625F, 245.732421875F, 857.9033203125F, 246.35107421875F, 857.3486328125F, 247.283203125F, 857.3486328125F);
            this.cacheGraphicsPath.AddBezier(247.283203125F, 857.3486328125F, 247.7666015625F, 857.3486328125F, 248.12939453125F, 857.4619140625F, 248.3359375F, 857.576171875F);
            this.cacheGraphicsPath.AddBezier(248.1650390625F, 858.087890625F, 248.015625F, 857.9951171875F, 247.69580078125F, 857.8603515625F, 247.26171875F, 857.8603515625F);
            this.cacheGraphicsPath.AddBezier(247.26171875F, 857.8603515625F, 246.607421875F, 857.8603515625F, 246.3583984375F, 858.251953125F, 246.3583984375F, 858.5791015625F);
            this.cacheGraphicsPath.AddBezier(246.3583984375F, 858.5791015625F, 246.3583984375F, 859.01953125F, 246.64990234375F, 859.240234375F, 247.3115234375F, 859.49609375F);
            this.cacheGraphicsPath.AddBezier(247.3115234375F, 859.49609375F, 248.12255859375F, 859.81640625F, 248.52783203125F, 860.201171875F, 248.52783203125F, 860.9052734375F);
            this.cacheGraphicsPath.AddBezier(248.52783203125F, 860.9052734375F, 248.52783203125F, 861.6376953125F, 247.9873046875F, 862.28515625F, 246.8564453125F, 862.28515625F);
            this.cacheGraphicsPath.AddBezier(246.8564453125F, 862.28515625F, 246.39404296875F, 862.28515625F, 245.888671875F, 862.142578125F, 245.6328125F, 861.9716796875F);
            this.cacheGraphicsPath.AddLine(245.6328125F, 861.9716796875F, 245.79638671875F, 861.4599609375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(250.1142578125F, 857.9453125F, 250.1142578125F, 858.7705078125F);
            this.cacheGraphicsPath.AddLine(251.01025390625F, 858.7705078125F, 251.01025390625F, 859.2470703125F);
            this.cacheGraphicsPath.AddLine(250.1142578125F, 859.2470703125F, 250.1142578125F, 861.0966796875F);
            this.cacheGraphicsPath.AddBezier(250.1142578125F, 861.0966796875F, 250.1142578125F, 861.5234375F, 250.23486328125F, 861.765625F, 250.58349609375F, 861.765625F);
            this.cacheGraphicsPath.AddBezier(250.58349609375F, 861.765625F, 250.75439453125F, 861.765625F, 250.85400390625F, 861.751953125F, 250.9462890625F, 861.72265625F);
            this.cacheGraphicsPath.AddBezier(250.97509765625F, 862.19921875F, 250.85400390625F, 862.2421875F, 250.662109375F, 862.28515625F, 250.419921875F, 862.28515625F);
            this.cacheGraphicsPath.AddBezier(250.419921875F, 862.28515625F, 250.12841796875F, 862.28515625F, 249.8935546875F, 862.185546875F, 249.744140625F, 862.021484375F);
            this.cacheGraphicsPath.AddBezier(249.744140625F, 862.021484375F, 249.57373046875F, 861.830078125F, 249.50244140625F, 861.5234375F, 249.50244140625F, 861.1181640625F);
            this.cacheGraphicsPath.AddLine(249.50244140625F, 859.2470703125F, 248.96875F, 859.2470703125F);
            this.cacheGraphicsPath.AddLine(248.96875F, 858.7705078125F, 249.50244140625F, 858.7705078125F);
            this.cacheGraphicsPath.AddLine(249.50244140625F, 858.1376953125F, 250.1142578125F, 857.9453125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(254.14013671875F, 861.388671875F, 254.14013671875F, 861.6875F, 254.15478515625F, 861.9794921875F, 254.18994140625F, 862.2138671875F);
            this.cacheGraphicsPath.AddLine(253.6279296875F, 862.2138671875F, 253.5712890625F, 861.7802734375F);
            this.cacheGraphicsPath.AddBezier(253.5498046875F, 861.7802734375F, 253.36474609375F, 862.0498046875F, 252.98779296875F, 862.2919921875F, 252.4970703125F, 862.2919921875F);
            this.cacheGraphicsPath.AddBezier(252.4970703125F, 862.2919921875F, 251.7998046875F, 862.2919921875F, 251.4443359375F, 861.80078125F, 251.4443359375F, 861.3037109375F);
            this.cacheGraphicsPath.AddBezier(251.4443359375F, 861.3037109375F, 251.4443359375F, 860.470703125F, 252.18408203125F, 860.015625F, 253.51416015625F, 860.0224609375F);
            this.cacheGraphicsPath.AddBezier(253.51416015625F, 859.9521484375F, 253.51416015625F, 859.6669921875F, 253.43603515625F, 859.1474609375F, 252.73193359375F, 859.1552734375F);
            this.cacheGraphicsPath.AddBezier(252.73193359375F, 859.1552734375F, 252.40478515625F, 859.1552734375F, 252.0703125F, 859.2470703125F, 251.82861328125F, 859.4111328125F);
            this.cacheGraphicsPath.AddBezier(251.68603515625F, 858.9912109375F, 251.970703125F, 858.8134765625F, 252.39013671875F, 858.6923828125F, 252.82421875F, 858.6923828125F);
            this.cacheGraphicsPath.AddBezier(252.82421875F, 858.6923828125F, 253.88427734375F, 858.6923828125F, 254.14013671875F, 859.4111328125F, 254.14013671875F, 860.1015625F);
            this.cacheGraphicsPath.AddLine(254.14013671875F, 860.1015625F, 254.14013671875F, 861.388671875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(253.52880859375F, 860.45703125F, 252.845703125F, 860.4423828125F, 252.0703125F, 860.5634765625F, 252.0703125F, 861.232421875F);
            this.cacheGraphicsPath.AddBezier(252.0703125F, 861.232421875F, 252.0703125F, 861.64453125F, 252.3408203125F, 861.830078125F, 252.65380859375F, 861.830078125F);
            this.cacheGraphicsPath.AddBezier(252.65380859375F, 861.830078125F, 253.10888671875F, 861.830078125F, 253.400390625F, 861.544921875F, 253.5F, 861.25390625F);
            this.cacheGraphicsPath.AddBezier(253.5F, 861.25390625F, 253.521484375F, 861.189453125F, 253.52880859375F, 861.1181640625F, 253.52880859375F, 861.0546875F);
            this.cacheGraphicsPath.AddLine(253.52880859375F, 861.0546875F, 253.52880859375F, 860.45703125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(255.869140625F, 857.9453125F, 255.869140625F, 858.7705078125F);
            this.cacheGraphicsPath.AddLine(256.76513671875F, 858.7705078125F, 256.76513671875F, 859.2470703125F);
            this.cacheGraphicsPath.AddLine(255.869140625F, 859.2470703125F, 255.869140625F, 861.0966796875F);
            this.cacheGraphicsPath.AddBezier(255.869140625F, 861.0966796875F, 255.869140625F, 861.5234375F, 255.98974609375F, 861.765625F, 256.33837890625F, 861.765625F);
            this.cacheGraphicsPath.AddBezier(256.33837890625F, 861.765625F, 256.50927734375F, 861.765625F, 256.60888671875F, 861.751953125F, 256.701171875F, 861.72265625F);
            this.cacheGraphicsPath.AddBezier(256.72998046875F, 862.19921875F, 256.60888671875F, 862.2421875F, 256.4169921875F, 862.28515625F, 256.1748046875F, 862.28515625F);
            this.cacheGraphicsPath.AddBezier(256.1748046875F, 862.28515625F, 255.88330078125F, 862.28515625F, 255.6484375F, 862.185546875F, 255.4990234375F, 862.021484375F);
            this.cacheGraphicsPath.AddBezier(255.4990234375F, 862.021484375F, 255.32861328125F, 861.830078125F, 255.25732421875F, 861.5234375F, 255.25732421875F, 861.1181640625F);
            this.cacheGraphicsPath.AddLine(255.25732421875F, 859.2470703125F, 254.7236328125F, 859.2470703125F);
            this.cacheGraphicsPath.AddLine(254.7236328125F, 858.7705078125F, 255.25732421875F, 858.7705078125F);
            this.cacheGraphicsPath.AddLine(255.25732421875F, 858.1376953125F, 255.869140625F, 857.9453125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(257.78271484375F, 860.6064453125F, 257.796875F, 861.4453125F, 258.33056640625F, 861.7939453125F, 258.95654296875F, 861.7939453125F);
            this.cacheGraphicsPath.AddBezier(258.95654296875F, 861.7939453125F, 259.40478515625F, 861.7939453125F, 259.68212890625F, 861.7158203125F, 259.90966796875F, 861.6162109375F);
            this.cacheGraphicsPath.AddBezier(260.0234375F, 862.064453125F, 259.802734375F, 862.1640625F, 259.4189453125F, 862.28515625F, 258.87109375F, 862.28515625F);
            this.cacheGraphicsPath.AddBezier(258.87109375F, 862.28515625F, 257.818359375F, 862.28515625F, 257.17822265625F, 861.5810546875F, 257.17822265625F, 860.548828125F);
            this.cacheGraphicsPath.AddBezier(257.17822265625F, 860.548828125F, 257.17822265625F, 859.5107421875F, 257.796875F, 858.6923828125F, 258.7998046875F, 858.6923828125F);
            this.cacheGraphicsPath.AddBezier(258.7998046875F, 858.6923828125F, 259.923828125F, 858.6923828125F, 260.21533203125F, 859.681640625F, 260.21533203125F, 860.314453125F);
            this.cacheGraphicsPath.AddBezier(260.21533203125F, 860.314453125F, 260.21533203125F, 860.4423828125F, 260.20849609375F, 860.53515625F, 260.1943359375F, 860.6064453125F);
            this.cacheGraphicsPath.AddLine(260.1943359375F, 860.6064453125F, 257.78271484375F, 860.6064453125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(259.61083984375F, 860.158203125F, 259.6181640625F, 859.759765625F, 259.447265625F, 859.140625F, 258.75F, 859.140625F);
            this.cacheGraphicsPath.AddBezier(258.75F, 859.140625F, 258.10986328125F, 859.140625F, 257.83935546875F, 859.7236328125F, 257.78955078125F, 860.158203125F);
            this.cacheGraphicsPath.AddLine(257.78955078125F, 860.158203125F, 259.61083984375F, 860.158203125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(260.90576171875F, 861.5732421875F, 261.09765625F, 861.6875F, 261.4248046875F, 861.8154296875F, 261.73779296875F, 861.8154296875F);
            this.cacheGraphicsPath.AddBezier(261.73779296875F, 861.8154296875F, 262.18603515625F, 861.8154296875F, 262.3994140625F, 861.5947265625F, 262.3994140625F, 861.3037109375F);
            this.cacheGraphicsPath.AddBezier(262.3994140625F, 861.3037109375F, 262.3994140625F, 861.0048828125F, 262.2216796875F, 860.84765625F, 261.76611328125F, 860.677734375F);
            this.cacheGraphicsPath.AddBezier(261.76611328125F, 860.677734375F, 261.14013671875F, 860.44921875F, 260.8486328125F, 860.1083984375F, 260.8486328125F, 859.703125F);
            this.cacheGraphicsPath.AddBezier(260.8486328125F, 859.703125F, 260.8486328125F, 859.1474609375F, 261.30419921875F, 858.6923828125F, 262.03662109375F, 858.6923828125F);
            this.cacheGraphicsPath.AddBezier(262.03662109375F, 858.6923828125F, 262.38525390625F, 858.6923828125F, 262.69091796875F, 858.78515625F, 262.8759765625F, 858.90625F);
            this.cacheGraphicsPath.AddBezier(262.7265625F, 859.3544921875F, 262.59130859375F, 859.2763671875F, 262.3427734375F, 859.1552734375F, 262.0224609375F, 859.1552734375F);
            this.cacheGraphicsPath.AddBezier(262.0224609375F, 859.1552734375F, 261.65234375F, 859.1552734375F, 261.453125F, 859.3681640625F, 261.453125F, 859.625F);
            this.cacheGraphicsPath.AddBezier(261.453125F, 859.625F, 261.453125F, 859.9091796875F, 261.65234375F, 860.037109375F, 262.1005859375F, 860.21484375F);
            this.cacheGraphicsPath.AddBezier(262.1005859375F, 860.21484375F, 262.69091796875F, 860.435546875F, 263.00390625F, 860.734375F, 263.00390625F, 861.24609375F);
            this.cacheGraphicsPath.AddBezier(263.00390625F, 861.24609375F, 263.00390625F, 861.8583984375F, 262.52734375F, 862.28515625F, 261.7236328125F, 862.28515625F);
            this.cacheGraphicsPath.AddBezier(261.7236328125F, 862.28515625F, 261.3466796875F, 862.28515625F, 260.998046875F, 862.185546875F, 260.75634765625F, 862.04296875F);
            this.cacheGraphicsPath.AddLine(260.75634765625F, 862.04296875F, 260.90576171875F, 861.5732421875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(267.74169921875F, 861.388671875F, 267.74169921875F, 861.6875F, 267.75634765625F, 861.9794921875F, 267.79150390625F, 862.2138671875F);
            this.cacheGraphicsPath.AddLine(267.2294921875F, 862.2138671875F, 267.1728515625F, 861.7802734375F);
            this.cacheGraphicsPath.AddBezier(267.1513671875F, 861.7802734375F, 266.96630859375F, 862.0498046875F, 266.58935546875F, 862.2919921875F, 266.0986328125F, 862.2919921875F);
            this.cacheGraphicsPath.AddBezier(266.0986328125F, 862.2919921875F, 265.4013671875F, 862.2919921875F, 265.0458984375F, 861.80078125F, 265.0458984375F, 861.3037109375F);
            this.cacheGraphicsPath.AddBezier(265.0458984375F, 861.3037109375F, 265.0458984375F, 860.470703125F, 265.78564453125F, 860.015625F, 267.11572265625F, 860.0224609375F);
            this.cacheGraphicsPath.AddBezier(267.11572265625F, 859.9521484375F, 267.11572265625F, 859.6669921875F, 267.03759765625F, 859.1474609375F, 266.33349609375F, 859.1552734375F);
            this.cacheGraphicsPath.AddBezier(266.33349609375F, 859.1552734375F, 266.00634765625F, 859.1552734375F, 265.671875F, 859.2470703125F, 265.43017578125F, 859.4111328125F);
            this.cacheGraphicsPath.AddBezier(265.28759765625F, 858.9912109375F, 265.572265625F, 858.8134765625F, 265.99169921875F, 858.6923828125F, 266.42578125F, 858.6923828125F);
            this.cacheGraphicsPath.AddBezier(266.42578125F, 858.6923828125F, 267.48583984375F, 858.6923828125F, 267.74169921875F, 859.4111328125F, 267.74169921875F, 860.1015625F);
            this.cacheGraphicsPath.AddLine(267.74169921875F, 860.1015625F, 267.74169921875F, 861.388671875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(267.13037109375F, 860.45703125F, 266.447265625F, 860.4423828125F, 265.671875F, 860.5634765625F, 265.671875F, 861.232421875F);
            this.cacheGraphicsPath.AddBezier(265.671875F, 861.232421875F, 265.671875F, 861.64453125F, 265.9423828125F, 861.830078125F, 266.25537109375F, 861.830078125F);
            this.cacheGraphicsPath.AddBezier(266.25537109375F, 861.830078125F, 266.71044921875F, 861.830078125F, 267.001953125F, 861.544921875F, 267.1015625F, 861.25390625F);
            this.cacheGraphicsPath.AddBezier(267.1015625F, 861.25390625F, 267.123046875F, 861.189453125F, 267.13037109375F, 861.1181640625F, 267.13037109375F, 861.0546875F);
            this.cacheGraphicsPath.AddLine(267.13037109375F, 861.0546875F, 267.13037109375F, 860.45703125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(268.74462890625F, 859.703125F, 268.74462890625F, 859.33984375F, 268.73779296875F, 859.0556640625F, 268.71630859375F, 858.7705078125F);
            this.cacheGraphicsPath.AddLine(269.271484375F, 858.7705078125F, 269.306640625F, 859.3330078125F);
            this.cacheGraphicsPath.AddBezier(269.3212890625F, 859.3330078125F, 269.49169921875F, 859.0126953125F, 269.89013671875F, 858.6923828125F, 270.45947265625F, 858.6923828125F);
            this.cacheGraphicsPath.AddBezier(270.45947265625F, 858.6923828125F, 270.93603515625F, 858.6923828125F, 271.67578125F, 858.9775390625F, 271.67578125F, 860.158203125F);
            this.cacheGraphicsPath.AddLine(271.67578125F, 862.2138671875F, 271.0498046875F, 862.2138671875F);
            this.cacheGraphicsPath.AddBezier(271.0498046875F, 860.2294921875F, 271.0498046875F, 859.673828125F, 270.84326171875F, 859.205078125F, 270.2529296875F, 859.205078125F);
            this.cacheGraphicsPath.AddBezier(270.2529296875F, 859.205078125F, 269.84765625F, 859.205078125F, 269.52734375F, 859.49609375F, 269.41357421875F, 859.8447265625F);
            this.cacheGraphicsPath.AddBezier(269.41357421875F, 859.8447265625F, 269.38525390625F, 859.9228515625F, 269.37109375F, 860.037109375F, 269.37109375F, 860.13671875F);
            this.cacheGraphicsPath.AddLine(269.37109375F, 862.2138671875F, 268.74462890625F, 862.2138671875F);
            this.cacheGraphicsPath.AddLine(268.74462890625F, 862.2138671875F, 268.74462890625F, 859.703125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(275.666015625F, 857.1630859375F, 275.666015625F, 861.32421875F);
            this.cacheGraphicsPath.AddBezier(275.666015625F, 861.32421875F, 275.666015625F, 861.630859375F, 275.67333984375F, 861.9794921875F, 275.6943359375F, 862.2138671875F);
            this.cacheGraphicsPath.AddLine(275.1328125F, 862.2138671875F, 275.10400390625F, 861.6162109375F);
            this.cacheGraphicsPath.AddBezier(275.08984375F, 861.6162109375F, 274.89794921875F, 862F, 274.4853515625F, 862.2919921875F, 273.92333984375F, 862.2919921875F);
            this.cacheGraphicsPath.AddBezier(273.92333984375F, 862.2919921875F, 273.0908203125F, 862.2919921875F, 272.44384765625F, 861.587890625F, 272.44384765625F, 860.5419921875F);
            this.cacheGraphicsPath.AddBezier(272.44384765625F, 860.5419921875F, 272.4365234375F, 859.3896484375F, 273.15478515625F, 858.6923828125F, 273.9873046875F, 858.6923828125F);
            this.cacheGraphicsPath.AddBezier(273.9873046875F, 858.6923828125F, 274.52099609375F, 858.6923828125F, 274.87646484375F, 858.94140625F, 275.02587890625F, 859.2119140625F);
            this.cacheGraphicsPath.AddLine(275.0400390625F, 859.2119140625F, 275.0400390625F, 857.1630859375F);
            this.cacheGraphicsPath.AddLine(275.0400390625F, 857.1630859375F, 275.666015625F, 857.1630859375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(275.0400390625F, 860.171875F, 275.0400390625F, 860.0869140625F, 275.033203125F, 859.9873046875F, 275.01171875F, 859.90234375F);
            this.cacheGraphicsPath.AddBezier(275.01171875F, 859.90234375F, 274.9189453125F, 859.5107421875F, 274.57763671875F, 859.18359375F, 274.1083984375F, 859.18359375F);
            this.cacheGraphicsPath.AddBezier(274.1083984375F, 859.18359375F, 273.4609375F, 859.18359375F, 273.07666015625F, 859.7529296875F, 273.07666015625F, 860.5068359375F);
            this.cacheGraphicsPath.AddBezier(273.07666015625F, 860.5068359375F, 273.07666015625F, 861.2109375F, 273.42529296875F, 861.787109375F, 274.09423828125F, 861.787109375F);
            this.cacheGraphicsPath.AddBezier(274.09423828125F, 861.787109375F, 274.513671875F, 861.787109375F, 274.89794921875F, 861.5029296875F, 275.01171875F, 861.033203125F);
            this.cacheGraphicsPath.AddBezier(275.01171875F, 861.033203125F, 275.033203125F, 860.955078125F, 275.0400390625F, 860.869140625F, 275.0400390625F, 860.76953125F);
            this.cacheGraphicsPath.AddLine(275.0400390625F, 860.76953125F, 275.0400390625F, 860.171875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(276.17822265625F, 862.498046875F, 278.15576171875F, 857.3408203125F);
            this.cacheGraphicsPath.AddLine(278.64697265625F, 857.3408203125F, 276.65478515625F, 862.498046875F);
            this.cacheGraphicsPath.AddLine(276.65478515625F, 862.498046875F, 276.17822265625F, 862.498046875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(280.54638671875F, 862.2919921875F, 279.62158203125F, 862.2919921875F, 278.89599609375F, 861.609375F, 278.89599609375F, 860.5205078125F);
            this.cacheGraphicsPath.AddBezier(278.89599609375F, 860.5205078125F, 278.89599609375F, 859.3681640625F, 279.65673828125F, 858.6923828125F, 280.60302734375F, 858.6923828125F);
            this.cacheGraphicsPath.AddBezier(280.60302734375F, 858.6923828125F, 281.591796875F, 858.6923828125F, 282.2607421875F, 859.4111328125F, 282.2607421875F, 860.45703125F);
            this.cacheGraphicsPath.AddBezier(282.2607421875F, 860.45703125F, 282.2607421875F, 861.7373046875F, 281.37109375F, 862.2919921875F, 280.55322265625F, 862.2919921875F);
            this.cacheGraphicsPath.AddLine(280.55322265625F, 862.2919921875F, 280.54638671875F, 862.2919921875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(280.57470703125F, 861.822265625F, 281.17236328125F, 861.822265625F, 281.6201171875F, 861.2607421875F, 281.6201171875F, 860.478515625F);
            this.cacheGraphicsPath.AddBezier(281.6201171875F, 860.478515625F, 281.6201171875F, 859.89453125F, 281.32861328125F, 859.162109375F, 280.5888671875F, 859.162109375F);
            this.cacheGraphicsPath.AddBezier(280.5888671875F, 859.162109375F, 279.85595703125F, 859.162109375F, 279.5361328125F, 859.8447265625F, 279.5361328125F, 860.4990234375F);
            this.cacheGraphicsPath.AddBezier(279.5361328125F, 860.4990234375F, 279.5361328125F, 861.25390625F, 279.962890625F, 861.822265625F, 280.5673828125F, 861.822265625F);
            this.cacheGraphicsPath.AddLine(280.5673828125F, 861.822265625F, 280.57470703125F, 861.822265625F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(283.05029296875F, 859.8447265625F, 283.05029296875F, 859.439453125F, 283.04296875F, 859.0908203125F, 283.021484375F, 858.7705078125F);
            this.cacheGraphicsPath.AddLine(283.5693359375F, 858.7705078125F, 283.59765625F, 859.4462890625F);
            this.cacheGraphicsPath.AddBezier(283.619140625F, 859.4462890625F, 283.77587890625F, 858.984375F, 284.15966796875F, 858.6923828125F, 284.57958984375F, 858.6923828125F);
            this.cacheGraphicsPath.AddBezier(284.57958984375F, 858.6923828125F, 284.6435546875F, 858.6923828125F, 284.693359375F, 858.7001953125F, 284.75F, 858.70703125F);
            this.cacheGraphicsPath.AddBezier(284.75F, 859.296875F, 284.68603515625F, 859.2900390625F, 284.6220703125F, 859.283203125F, 284.53662109375F, 859.283203125F);
            this.cacheGraphicsPath.AddBezier(284.53662109375F, 859.283203125F, 284.095703125F, 859.283203125F, 283.78271484375F, 859.6171875F, 283.697265625F, 860.080078125F);
            this.cacheGraphicsPath.AddBezier(283.697265625F, 860.080078125F, 283.68310546875F, 860.171875F, 283.67626953125F, 860.271484375F, 283.67626953125F, 860.37109375F);
            this.cacheGraphicsPath.AddLine(283.67626953125F, 862.2138671875F, 283.05029296875F, 862.2138671875F);
            this.cacheGraphicsPath.AddLine(283.05029296875F, 862.2138671875F, 283.05029296875F, 859.8447265625F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(288.28564453125F, 862.2919921875F, 287.36083984375F, 862.2919921875F, 286.63525390625F, 861.609375F, 286.63525390625F, 860.5205078125F);
            this.cacheGraphicsPath.AddBezier(286.63525390625F, 860.5205078125F, 286.63525390625F, 859.3681640625F, 287.39599609375F, 858.6923828125F, 288.34228515625F, 858.6923828125F);
            this.cacheGraphicsPath.AddBezier(288.34228515625F, 858.6923828125F, 289.3310546875F, 858.6923828125F, 290F, 859.4111328125F, 290F, 860.45703125F);
            this.cacheGraphicsPath.AddBezier(290F, 860.45703125F, 290F, 861.7373046875F, 289.1103515625F, 862.2919921875F, 288.29248046875F, 862.2919921875F);
            this.cacheGraphicsPath.AddLine(288.29248046875F, 862.2919921875F, 288.28564453125F, 862.2919921875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(288.31396484375F, 861.822265625F, 288.91162109375F, 861.822265625F, 289.359375F, 861.2607421875F, 289.359375F, 860.478515625F);
            this.cacheGraphicsPath.AddBezier(289.359375F, 860.478515625F, 289.359375F, 859.89453125F, 289.06787109375F, 859.162109375F, 288.328125F, 859.162109375F);
            this.cacheGraphicsPath.AddBezier(288.328125F, 859.162109375F, 287.59521484375F, 859.162109375F, 287.275390625F, 859.8447265625F, 287.275390625F, 860.4990234375F);
            this.cacheGraphicsPath.AddBezier(287.275390625F, 860.4990234375F, 287.275390625F, 861.25390625F, 287.7021484375F, 861.822265625F, 288.306640625F, 861.822265625F);
            this.cacheGraphicsPath.AddLine(288.306640625F, 861.822265625F, 288.31396484375F, 861.822265625F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(291.54345703125F, 857.9453125F, 291.54345703125F, 858.7705078125F);
            this.cacheGraphicsPath.AddLine(292.439453125F, 858.7705078125F, 292.439453125F, 859.2470703125F);
            this.cacheGraphicsPath.AddLine(291.54345703125F, 859.2470703125F, 291.54345703125F, 861.0966796875F);
            this.cacheGraphicsPath.AddBezier(291.54345703125F, 861.0966796875F, 291.54345703125F, 861.5234375F, 291.6640625F, 861.765625F, 292.0126953125F, 861.765625F);
            this.cacheGraphicsPath.AddBezier(292.0126953125F, 861.765625F, 292.18359375F, 861.765625F, 292.283203125F, 861.751953125F, 292.37548828125F, 861.72265625F);
            this.cacheGraphicsPath.AddBezier(292.404296875F, 862.19921875F, 292.283203125F, 862.2421875F, 292.09130859375F, 862.28515625F, 291.84912109375F, 862.28515625F);
            this.cacheGraphicsPath.AddBezier(291.84912109375F, 862.28515625F, 291.5576171875F, 862.28515625F, 291.32275390625F, 862.185546875F, 291.17333984375F, 862.021484375F);
            this.cacheGraphicsPath.AddBezier(291.17333984375F, 862.021484375F, 291.0029296875F, 861.830078125F, 290.931640625F, 861.5234375F, 290.931640625F, 861.1181640625F);
            this.cacheGraphicsPath.AddLine(290.931640625F, 859.2470703125F, 290.39794921875F, 859.2470703125F);
            this.cacheGraphicsPath.AddLine(290.39794921875F, 858.7705078125F, 290.931640625F, 858.7705078125F);
            this.cacheGraphicsPath.AddLine(290.931640625F, 858.1376953125F, 291.54345703125F, 857.9453125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(293.14404296875F, 857.1630859375F, 293.77001953125F, 857.1630859375F);
            this.cacheGraphicsPath.AddLine(293.77001953125F, 859.3115234375F, 293.7841796875F, 859.3115234375F);
            this.cacheGraphicsPath.AddBezier(293.7841796875F, 859.3115234375F, 293.8837890625F, 859.1337890625F, 294.0400390625F, 858.9697265625F, 294.23193359375F, 858.8701171875F);
            this.cacheGraphicsPath.AddBezier(294.23193359375F, 858.8701171875F, 294.41748046875F, 858.7568359375F, 294.63720703125F, 858.6923828125F, 294.87255859375F, 858.6923828125F);
            this.cacheGraphicsPath.AddBezier(294.87255859375F, 858.6923828125F, 295.33447265625F, 858.6923828125F, 296.07470703125F, 858.9775390625F, 296.07470703125F, 860.1650390625F);
            this.cacheGraphicsPath.AddLine(296.07470703125F, 862.2138671875F, 295.44873046875F, 862.2138671875F);
            this.cacheGraphicsPath.AddBezier(295.44873046875F, 860.2294921875F, 295.44873046875F, 859.673828125F, 295.24267578125F, 859.2119140625F, 294.65185546875F, 859.2119140625F);
            this.cacheGraphicsPath.AddBezier(294.65185546875F, 859.2119140625F, 294.24658203125F, 859.2119140625F, 293.93359375F, 859.49609375F, 293.8125F, 859.837890625F);
            this.cacheGraphicsPath.AddBezier(293.8125F, 859.837890625F, 293.77685546875F, 859.9228515625F, 293.77001953125F, 860.015625F, 293.77001953125F, 860.13671875F);
            this.cacheGraphicsPath.AddLine(293.77001953125F, 862.2138671875F, 293.14404296875F, 862.2138671875F);
            this.cacheGraphicsPath.AddLine(293.14404296875F, 862.2138671875F, 293.14404296875F, 857.1630859375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(297.44677734375F, 860.6064453125F, 297.46142578125F, 861.4453125F, 297.99462890625F, 861.7939453125F, 298.62060546875F, 861.7939453125F);
            this.cacheGraphicsPath.AddBezier(298.62060546875F, 861.7939453125F, 299.06884765625F, 861.7939453125F, 299.34619140625F, 861.7158203125F, 299.57373046875F, 861.6162109375F);
            this.cacheGraphicsPath.AddBezier(299.68798828125F, 862.064453125F, 299.46728515625F, 862.1640625F, 299.08251953125F, 862.28515625F, 298.53466796875F, 862.28515625F);
            this.cacheGraphicsPath.AddBezier(298.53466796875F, 862.28515625F, 297.48193359375F, 862.28515625F, 296.84228515625F, 861.5810546875F, 296.84228515625F, 860.548828125F);
            this.cacheGraphicsPath.AddBezier(296.84228515625F, 860.548828125F, 296.84228515625F, 859.5107421875F, 297.46142578125F, 858.6923828125F, 298.46435546875F, 858.6923828125F);
            this.cacheGraphicsPath.AddBezier(298.46435546875F, 858.6923828125F, 299.58837890625F, 858.6923828125F, 299.87939453125F, 859.681640625F, 299.87939453125F, 860.314453125F);
            this.cacheGraphicsPath.AddBezier(299.87939453125F, 860.314453125F, 299.87939453125F, 860.4423828125F, 299.87255859375F, 860.53515625F, 299.85791015625F, 860.6064453125F);
            this.cacheGraphicsPath.AddLine(299.85791015625F, 860.6064453125F, 297.44677734375F, 860.6064453125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(299.27490234375F, 860.158203125F, 299.28173828125F, 859.759765625F, 299.11083984375F, 859.140625F, 298.41455078125F, 859.140625F);
            this.cacheGraphicsPath.AddBezier(298.41455078125F, 859.140625F, 297.77392578125F, 859.140625F, 297.50341796875F, 859.7236328125F, 297.45361328125F, 860.158203125F);
            this.cacheGraphicsPath.AddLine(297.45361328125F, 860.158203125F, 299.27490234375F, 860.158203125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(300.65576171875F, 859.8447265625F, 300.65576171875F, 859.439453125F, 300.64794921875F, 859.0908203125F, 300.62744140625F, 858.7705078125F);
            this.cacheGraphicsPath.AddLine(301.17431640625F, 858.7705078125F, 301.20361328125F, 859.4462890625F);
            this.cacheGraphicsPath.AddBezier(301.22412109375F, 859.4462890625F, 301.38134765625F, 858.984375F, 301.76513671875F, 858.6923828125F, 302.18505859375F, 858.6923828125F);
            this.cacheGraphicsPath.AddBezier(302.18505859375F, 858.6923828125F, 302.24853515625F, 858.6923828125F, 302.29833984375F, 858.7001953125F, 302.35595703125F, 858.70703125F);
            this.cacheGraphicsPath.AddBezier(302.35595703125F, 859.296875F, 302.29150390625F, 859.2900390625F, 302.22802734375F, 859.283203125F, 302.14208984375F, 859.283203125F);
            this.cacheGraphicsPath.AddBezier(302.14208984375F, 859.283203125F, 301.70166015625F, 859.283203125F, 301.38818359375F, 859.6171875F, 301.30322265625F, 860.080078125F);
            this.cacheGraphicsPath.AddBezier(301.30322265625F, 860.080078125F, 301.28857421875F, 860.171875F, 301.28173828125F, 860.271484375F, 301.28173828125F, 860.37109375F);
            this.cacheGraphicsPath.AddLine(301.28173828125F, 862.2138671875F, 300.65576171875F, 862.2138671875F);
            this.cacheGraphicsPath.AddLine(300.65576171875F, 862.2138671875F, 300.65576171875F, 859.8447265625F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(306.9443359375F, 862.0859375F, 306.7802734375F, 862.1640625F, 306.41796875F, 862.28515625F, 305.95458984375F, 862.28515625F);
            this.cacheGraphicsPath.AddBezier(305.95458984375F, 862.28515625F, 304.91650390625F, 862.28515625F, 304.24072265625F, 861.5810546875F, 304.24072265625F, 860.5283203125F);
            this.cacheGraphicsPath.AddBezier(304.24072265625F, 860.5283203125F, 304.24072265625F, 859.4677734375F, 304.96630859375F, 858.6923828125F, 306.0908203125F, 858.6923828125F);
            this.cacheGraphicsPath.AddBezier(306.0908203125F, 858.6923828125F, 306.4599609375F, 858.6923828125F, 306.7880859375F, 858.78515625F, 306.9580078125F, 858.8779296875F);
            this.cacheGraphicsPath.AddBezier(306.81640625F, 859.3544921875F, 306.6669921875F, 859.2763671875F, 306.431640625F, 859.1904296875F, 306.0908203125F, 859.1904296875F);
            this.cacheGraphicsPath.AddBezier(306.0908203125F, 859.1904296875F, 305.30029296875F, 859.1904296875F, 304.87353515625F, 859.78125F, 304.87353515625F, 860.4921875F);
            this.cacheGraphicsPath.AddBezier(304.87353515625F, 860.4921875F, 304.87353515625F, 861.2890625F, 305.38623046875F, 861.7802734375F, 306.0693359375F, 861.7802734375F);
            this.cacheGraphicsPath.AddBezier(306.0693359375F, 861.7802734375F, 306.4248046875F, 861.7802734375F, 306.6591796875F, 861.6943359375F, 306.837890625F, 861.6162109375F);
            this.cacheGraphicsPath.AddLine(306.837890625F, 861.6162109375F, 306.9443359375F, 862.0859375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(309.03515625F, 862.2919921875F, 308.1103515625F, 862.2919921875F, 307.384765625F, 861.609375F, 307.384765625F, 860.5205078125F);
            this.cacheGraphicsPath.AddBezier(307.384765625F, 860.5205078125F, 307.384765625F, 859.3681640625F, 308.1455078125F, 858.6923828125F, 309.091796875F, 858.6923828125F);
            this.cacheGraphicsPath.AddBezier(309.091796875F, 858.6923828125F, 310.0810546875F, 858.6923828125F, 310.7490234375F, 859.4111328125F, 310.7490234375F, 860.45703125F);
            this.cacheGraphicsPath.AddBezier(310.7490234375F, 860.45703125F, 310.7490234375F, 861.7373046875F, 309.8603515625F, 862.2919921875F, 309.0419921875F, 862.2919921875F);
            this.cacheGraphicsPath.AddLine(309.0419921875F, 862.2919921875F, 309.03515625F, 862.2919921875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(309.0634765625F, 861.822265625F, 309.6611328125F, 861.822265625F, 310.109375F, 861.2607421875F, 310.109375F, 860.478515625F);
            this.cacheGraphicsPath.AddBezier(310.109375F, 860.478515625F, 310.109375F, 859.89453125F, 309.8173828125F, 859.162109375F, 309.0771484375F, 859.162109375F);
            this.cacheGraphicsPath.AddBezier(309.0771484375F, 859.162109375F, 308.3447265625F, 859.162109375F, 308.0244140625F, 859.8447265625F, 308.0244140625F, 860.4990234375F);
            this.cacheGraphicsPath.AddBezier(308.0244140625F, 860.4990234375F, 308.0244140625F, 861.25390625F, 308.451171875F, 861.822265625F, 309.056640625F, 861.822265625F);
            this.cacheGraphicsPath.AddLine(309.056640625F, 861.822265625F, 309.0634765625F, 861.822265625F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(314.419921875F, 861.267578125F, 314.419921875F, 861.630859375F, 314.4267578125F, 861.943359375F, 314.4482421875F, 862.2138671875F);
            this.cacheGraphicsPath.AddLine(313.8935546875F, 862.2138671875F, 313.857421875F, 861.65234375F);
            this.cacheGraphicsPath.AddBezier(313.84375F, 861.65234375F, 313.6875F, 861.9296875F, 313.3173828125F, 862.2919921875F, 312.705078125F, 862.2919921875F);
            this.cacheGraphicsPath.AddBezier(312.705078125F, 862.2919921875F, 312.1650390625F, 862.2919921875F, 311.517578125F, 861.986328125F, 311.517578125F, 860.7841796875F);
            this.cacheGraphicsPath.AddLine(311.517578125F, 858.7705078125F, 312.1435546875F, 858.7705078125F);
            this.cacheGraphicsPath.AddBezier(312.1435546875F, 860.669921875F, 312.1435546875F, 861.32421875F, 312.349609375F, 861.7724609375F, 312.912109375F, 861.7724609375F);
            this.cacheGraphicsPath.AddBezier(312.912109375F, 861.7724609375F, 313.3310546875F, 861.7724609375F, 313.623046875F, 861.4814453125F, 313.7373046875F, 861.1962890625F);
            this.cacheGraphicsPath.AddBezier(313.7373046875F, 861.1962890625F, 313.7724609375F, 861.111328125F, 313.7939453125F, 860.9970703125F, 313.7939453125F, 860.876953125F);
            this.cacheGraphicsPath.AddLine(313.7939453125F, 858.7705078125F, 314.419921875F, 858.7705078125F);
            this.cacheGraphicsPath.AddLine(314.419921875F, 858.7705078125F, 314.419921875F, 861.267578125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(315.458984375F, 859.703125F, 315.458984375F, 859.33984375F, 315.451171875F, 859.0556640625F, 315.4306640625F, 858.7705078125F);
            this.cacheGraphicsPath.AddLine(315.9853515625F, 858.7705078125F, 316.0205078125F, 859.3330078125F);
            this.cacheGraphicsPath.AddBezier(316.03515625F, 859.3330078125F, 316.2060546875F, 859.0126953125F, 316.6044921875F, 858.6923828125F, 317.1728515625F, 858.6923828125F);
            this.cacheGraphicsPath.AddBezier(317.1728515625F, 858.6923828125F, 317.6494140625F, 858.6923828125F, 318.3896484375F, 858.9775390625F, 318.3896484375F, 860.158203125F);
            this.cacheGraphicsPath.AddLine(318.3896484375F, 862.2138671875F, 317.763671875F, 862.2138671875F);
            this.cacheGraphicsPath.AddBezier(317.763671875F, 860.2294921875F, 317.763671875F, 859.673828125F, 317.5576171875F, 859.205078125F, 316.966796875F, 859.205078125F);
            this.cacheGraphicsPath.AddBezier(316.966796875F, 859.205078125F, 316.5615234375F, 859.205078125F, 316.2412109375F, 859.49609375F, 316.126953125F, 859.8447265625F);
            this.cacheGraphicsPath.AddBezier(316.126953125F, 859.8447265625F, 316.0986328125F, 859.9228515625F, 316.0849609375F, 860.037109375F, 316.0849609375F, 860.13671875F);
            this.cacheGraphicsPath.AddLine(316.0849609375F, 862.2138671875F, 315.458984375F, 862.2138671875F);
            this.cacheGraphicsPath.AddLine(315.458984375F, 862.2138671875F, 315.458984375F, 859.703125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(320.1328125F, 857.9453125F, 320.1328125F, 858.7705078125F);
            this.cacheGraphicsPath.AddLine(321.029296875F, 858.7705078125F, 321.029296875F, 859.2470703125F);
            this.cacheGraphicsPath.AddLine(320.1328125F, 859.2470703125F, 320.1328125F, 861.0966796875F);
            this.cacheGraphicsPath.AddBezier(320.1328125F, 861.0966796875F, 320.1328125F, 861.5234375F, 320.25390625F, 861.765625F, 320.6025390625F, 861.765625F);
            this.cacheGraphicsPath.AddBezier(320.6025390625F, 861.765625F, 320.7724609375F, 861.765625F, 320.8720703125F, 861.751953125F, 320.96484375F, 861.72265625F);
            this.cacheGraphicsPath.AddBezier(320.9931640625F, 862.19921875F, 320.8720703125F, 862.2421875F, 320.6806640625F, 862.28515625F, 320.4384765625F, 862.28515625F);
            this.cacheGraphicsPath.AddBezier(320.4384765625F, 862.28515625F, 320.146484375F, 862.28515625F, 319.912109375F, 862.185546875F, 319.7626953125F, 862.021484375F);
            this.cacheGraphicsPath.AddBezier(319.7626953125F, 862.021484375F, 319.591796875F, 861.830078125F, 319.5205078125F, 861.5234375F, 319.5205078125F, 861.1181640625F);
            this.cacheGraphicsPath.AddLine(319.5205078125F, 859.2470703125F, 318.9873046875F, 859.2470703125F);
            this.cacheGraphicsPath.AddLine(318.9873046875F, 858.7705078125F, 319.5205078125F, 858.7705078125F);
            this.cacheGraphicsPath.AddLine(319.5205078125F, 858.1376953125F, 320.1328125F, 857.9453125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(321.7333984375F, 859.8447265625F, 321.7333984375F, 859.439453125F, 321.7255859375F, 859.0908203125F, 321.705078125F, 858.7705078125F);
            this.cacheGraphicsPath.AddLine(322.2529296875F, 858.7705078125F, 322.28125F, 859.4462890625F);
            this.cacheGraphicsPath.AddBezier(322.3017578125F, 859.4462890625F, 322.458984375F, 858.984375F, 322.8427734375F, 858.6923828125F, 323.2626953125F, 858.6923828125F);
            this.cacheGraphicsPath.AddBezier(323.2626953125F, 858.6923828125F, 323.326171875F, 858.6923828125F, 323.3759765625F, 858.7001953125F, 323.43359375F, 858.70703125F);
            this.cacheGraphicsPath.AddBezier(323.43359375F, 859.296875F, 323.369140625F, 859.2900390625F, 323.3056640625F, 859.283203125F, 323.2197265625F, 859.283203125F);
            this.cacheGraphicsPath.AddBezier(323.2197265625F, 859.283203125F, 322.779296875F, 859.283203125F, 322.4658203125F, 859.6171875F, 322.380859375F, 860.080078125F);
            this.cacheGraphicsPath.AddBezier(322.380859375F, 860.080078125F, 322.3662109375F, 860.171875F, 322.359375F, 860.271484375F, 322.359375F, 860.37109375F);
            this.cacheGraphicsPath.AddLine(322.359375F, 862.2138671875F, 321.7333984375F, 862.2138671875F);
            this.cacheGraphicsPath.AddLine(321.7333984375F, 862.2138671875F, 321.7333984375F, 859.8447265625F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(324.38671875F, 858.1875F, 324.1591796875F, 858.1875F, 324.009765625F, 858.009765625F, 324.009765625F, 857.8037109375F);
            this.cacheGraphicsPath.AddBezier(324.009765625F, 857.8037109375F, 324.009765625F, 857.5830078125F, 324.166015625F, 857.412109375F, 324.400390625F, 857.412109375F);
            this.cacheGraphicsPath.AddBezier(324.400390625F, 857.412109375F, 324.6279296875F, 857.412109375F, 324.78515625F, 857.5830078125F, 324.78515625F, 857.8037109375F);
            this.cacheGraphicsPath.AddBezier(324.78515625F, 857.8037109375F, 324.78515625F, 858.009765625F, 324.6357421875F, 858.1875F, 324.3935546875F, 858.1875F);
            this.cacheGraphicsPath.AddLine(324.3935546875F, 858.1875F, 324.38671875F, 858.1875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(324.087890625F, 862.2138671875F, 324.087890625F, 858.7705078125F);
            this.cacheGraphicsPath.AddLine(324.7138671875F, 858.7705078125F, 324.7138671875F, 862.2138671875F);
            this.cacheGraphicsPath.AddLine(324.7138671875F, 862.2138671875F, 324.087890625F, 862.2138671875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(326.107421875F, 860.6064453125F, 326.1220703125F, 861.4453125F, 326.6552734375F, 861.7939453125F, 327.28125F, 861.7939453125F);
            this.cacheGraphicsPath.AddBezier(327.28125F, 861.7939453125F, 327.7294921875F, 861.7939453125F, 328.0068359375F, 861.7158203125F, 328.234375F, 861.6162109375F);
            this.cacheGraphicsPath.AddBezier(328.3486328125F, 862.064453125F, 328.1279296875F, 862.1640625F, 327.7431640625F, 862.28515625F, 327.1953125F, 862.28515625F);
            this.cacheGraphicsPath.AddBezier(327.1953125F, 862.28515625F, 326.142578125F, 862.28515625F, 325.5029296875F, 861.5810546875F, 325.5029296875F, 860.548828125F);
            this.cacheGraphicsPath.AddBezier(325.5029296875F, 860.548828125F, 325.5029296875F, 859.5107421875F, 326.1220703125F, 858.6923828125F, 327.125F, 858.6923828125F);
            this.cacheGraphicsPath.AddBezier(327.125F, 858.6923828125F, 328.2490234375F, 858.6923828125F, 328.5400390625F, 859.681640625F, 328.5400390625F, 860.314453125F);
            this.cacheGraphicsPath.AddBezier(328.5400390625F, 860.314453125F, 328.5400390625F, 860.4423828125F, 328.533203125F, 860.53515625F, 328.5185546875F, 860.6064453125F);
            this.cacheGraphicsPath.AddLine(328.5185546875F, 860.6064453125F, 326.107421875F, 860.6064453125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(327.935546875F, 860.158203125F, 327.9423828125F, 859.759765625F, 327.771484375F, 859.140625F, 327.0751953125F, 859.140625F);
            this.cacheGraphicsPath.AddBezier(327.0751953125F, 859.140625F, 326.4345703125F, 859.140625F, 326.1640625F, 859.7236328125F, 326.1142578125F, 860.158203125F);
            this.cacheGraphicsPath.AddLine(326.1142578125F, 860.158203125F, 327.935546875F, 860.158203125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(329.2294921875F, 861.5732421875F, 329.421875F, 861.6875F, 329.7490234375F, 861.8154296875F, 330.0625F, 861.8154296875F);
            this.cacheGraphicsPath.AddBezier(330.0625F, 861.8154296875F, 330.5107421875F, 861.8154296875F, 330.7236328125F, 861.5947265625F, 330.7236328125F, 861.3037109375F);
            this.cacheGraphicsPath.AddBezier(330.7236328125F, 861.3037109375F, 330.7236328125F, 861.0048828125F, 330.5458984375F, 860.84765625F, 330.0908203125F, 860.677734375F);
            this.cacheGraphicsPath.AddBezier(330.0908203125F, 860.677734375F, 329.46484375F, 860.44921875F, 329.1728515625F, 860.1083984375F, 329.1728515625F, 859.703125F);
            this.cacheGraphicsPath.AddBezier(329.1728515625F, 859.703125F, 329.1728515625F, 859.1474609375F, 329.6279296875F, 858.6923828125F, 330.361328125F, 858.6923828125F);
            this.cacheGraphicsPath.AddBezier(330.361328125F, 858.6923828125F, 330.708984375F, 858.6923828125F, 331.015625F, 858.78515625F, 331.2001953125F, 858.90625F);
            this.cacheGraphicsPath.AddBezier(331.05078125F, 859.3544921875F, 330.916015625F, 859.2763671875F, 330.6669921875F, 859.1552734375F, 330.3466796875F, 859.1552734375F);
            this.cacheGraphicsPath.AddBezier(330.3466796875F, 859.1552734375F, 329.9765625F, 859.1552734375F, 329.77734375F, 859.3681640625F, 329.77734375F, 859.625F);
            this.cacheGraphicsPath.AddBezier(329.77734375F, 859.625F, 329.77734375F, 859.9091796875F, 329.9765625F, 860.037109375F, 330.4248046875F, 860.21484375F);
            this.cacheGraphicsPath.AddBezier(330.4248046875F, 860.21484375F, 331.015625F, 860.435546875F, 331.328125F, 860.734375F, 331.328125F, 861.24609375F);
            this.cacheGraphicsPath.AddBezier(331.328125F, 861.24609375F, 331.328125F, 861.8583984375F, 330.8515625F, 862.28515625F, 330.0478515625F, 862.28515625F);
            this.cacheGraphicsPath.AddBezier(330.0478515625F, 862.28515625F, 329.6708984375F, 862.28515625F, 329.322265625F, 862.185546875F, 329.080078125F, 862.04296875F);
            this.cacheGraphicsPath.AddLine(329.080078125F, 862.04296875F, 329.2294921875F, 861.5732421875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(332.3173828125F, 862.2919921875F, 332.076171875F, 862.2919921875F, 331.9052734375F, 862.099609375F, 331.9052734375F, 861.84375F);
            this.cacheGraphicsPath.AddBezier(331.9052734375F, 861.84375F, 331.9052734375F, 861.587890625F, 332.0830078125F, 861.3955078125F, 332.33203125F, 861.3955078125F);
            this.cacheGraphicsPath.AddBezier(332.33203125F, 861.3955078125F, 332.5810546875F, 861.3955078125F, 332.751953125F, 861.5810546875F, 332.751953125F, 861.84375F);
            this.cacheGraphicsPath.AddBezier(332.751953125F, 861.84375F, 332.751953125F, 862.099609375F, 332.5810546875F, 862.2919921875F, 332.3251953125F, 862.2919921875F);
            this.cacheGraphicsPath.AddLine(332.3251953125F, 862.2919921875F, 332.3173828125F, 862.2919921875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(336.94140625F, 857.6044921875F, 338.13671875F, 857.6044921875F, 339.0751953125F, 858.5859375F, 339.0751953125F, 859.794921875F);
            this.cacheGraphicsPath.AddBezier(339.0751953125F, 859.794921875F, 339.0751953125F, 861.0185546875F, 338.13671875F, 862F, 336.9345703125F, 862F);
            this.cacheGraphicsPath.AddBezier(336.9345703125F, 862F, 335.724609375F, 862F, 334.771484375F, 861.0185546875F, 334.771484375F, 859.794921875F);
            this.cacheGraphicsPath.AddBezier(334.771484375F, 859.794921875F, 334.771484375F, 858.5859375F, 335.724609375F, 857.6044921875F, 336.9345703125F, 857.6044921875F);
            this.cacheGraphicsPath.AddLine(336.9345703125F, 857.6044921875F, 336.94140625F, 857.6044921875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(336.9267578125F, 857.8955078125F, 335.91015625F, 857.8955078125F, 335.126953125F, 858.7353515625F, 335.126953125F, 859.81640625F);
            this.cacheGraphicsPath.AddBezier(335.126953125F, 859.81640625F, 335.126953125F, 860.876953125F, 335.91015625F, 861.708984375F, 336.9345703125F, 861.708984375F);
            this.cacheGraphicsPath.AddBezier(336.9345703125F, 861.708984375F, 337.9375F, 861.72265625F, 338.7197265625F, 860.876953125F, 338.7197265625F, 859.794921875F);
            this.cacheGraphicsPath.AddBezier(338.7197265625F, 859.794921875F, 338.7197265625F, 858.7353515625F, 337.9375F, 857.8955078125F, 336.9345703125F, 857.8955078125F);
            this.cacheGraphicsPath.AddLine(336.9345703125F, 857.8955078125F, 336.9267578125F, 857.8955078125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(337.8017578125F, 858.984375F, 337.7099609375F, 858.9345703125F, 337.4462890625F, 858.8203125F, 337.1123046875F, 858.8203125F);
            this.cacheGraphicsPath.AddBezier(337.1123046875F, 858.8203125F, 336.443359375F, 858.8203125F, 336.1162109375F, 859.2470703125F, 336.1162109375F, 859.81640625F);
            this.cacheGraphicsPath.AddBezier(336.1162109375F, 859.81640625F, 336.1162109375F, 860.37109375F, 336.46484375F, 860.8193359375F, 337.119140625F, 860.8193359375F);
            this.cacheGraphicsPath.AddBezier(337.119140625F, 860.8193359375F, 337.4033203125F, 860.8193359375F, 337.673828125F, 860.7412109375F, 337.837890625F, 860.634765625F);
            this.cacheGraphicsPath.AddBezier(337.9228515625F, 860.9052734375F, 337.673828125F, 861.068359375F, 337.3466796875F, 861.125F, 337.0478515625F, 861.125F);
            this.cacheGraphicsPath.AddBezier(337.0478515625F, 861.125F, 336.22265625F, 861.125F, 335.74609375F, 860.556640625F, 335.74609375F, 859.837890625F);
            this.cacheGraphicsPath.AddBezier(335.74609375F, 859.837890625F, 335.74609375F, 859.02734375F, 336.38671875F, 858.5146484375F, 337.1044921875F, 858.5146484375F);
            this.cacheGraphicsPath.AddBezier(337.1044921875F, 858.5146484375F, 337.474609375F, 858.5146484375F, 337.7880859375F, 858.62109375F, 337.8876953125F, 858.70703125F);
            this.cacheGraphicsPath.AddLine(337.8876953125F, 858.70703125F, 337.8017578125F, 858.984375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(341.1591796875F, 862.2138671875F, 341.1591796875F, 861.830078125F);
            this.cacheGraphicsPath.AddBezier(341.6494140625F, 861.353515625F, 342.8310546875F, 860.2294921875F, 343.37109375F, 859.6318359375F, 343.37109375F, 858.9345703125F);
            this.cacheGraphicsPath.AddBezier(343.37109375F, 858.9345703125F, 343.37109375F, 858.46484375F, 343.150390625F, 858.03125F, 342.4609375F, 858.03125F);
            this.cacheGraphicsPath.AddBezier(342.4609375F, 858.03125F, 342.041015625F, 858.03125F, 341.6923828125F, 858.244140625F, 341.4794921875F, 858.421875F);
            this.cacheGraphicsPath.AddBezier(341.2802734375F, 857.9814453125F, 341.5927734375F, 857.7177734375F, 342.0556640625F, 857.51171875F, 342.5888671875F, 857.51171875F);
            this.cacheGraphicsPath.AddBezier(342.5888671875F, 857.51171875F, 343.5771484375F, 857.51171875F, 343.9970703125F, 858.1943359375F, 343.9970703125F, 858.8564453125F);
            this.cacheGraphicsPath.AddBezier(343.9970703125F, 858.8564453125F, 343.9970703125F, 859.7099609375F, 343.3779296875F, 860.400390625F, 342.404296875F, 861.3388671875F);
            this.cacheGraphicsPath.AddLine(342.041015625F, 861.6806640625F, 342.041015625F, 861.6943359375F);
            this.cacheGraphicsPath.AddLine(344.111328125F, 861.6943359375F, 344.111328125F, 862.2138671875F);
            this.cacheGraphicsPath.AddLine(344.111328125F, 862.2138671875F, 341.1591796875F, 862.2138671875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(346.28125F, 862.2919921875F, 345.3779296875F, 862.2919921875F, 344.7587890625F, 861.4453125F, 344.744140625F, 859.916015625F);
            this.cacheGraphicsPath.AddBezier(344.744140625F, 859.916015625F, 344.744140625F, 858.3583984375F, 345.419921875F, 857.51171875F, 346.359375F, 857.51171875F);
            this.cacheGraphicsPath.AddBezier(346.359375F, 857.51171875F, 347.326171875F, 857.51171875F, 347.888671875F, 858.3798828125F, 347.888671875F, 859.8525390625F);
            this.cacheGraphicsPath.AddBezier(347.888671875F, 859.8525390625F, 347.888671875F, 861.423828125F, 347.2978515625F, 862.2919921875F, 346.2880859375F, 862.2919921875F);
            this.cacheGraphicsPath.AddLine(346.2880859375F, 862.2919921875F, 346.28125F, 862.2919921875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(346.31640625F, 861.80859375F, 346.94921875F, 861.80859375F, 347.255859375F, 861.0615234375F, 347.255859375F, 859.880859375F);
            this.cacheGraphicsPath.AddBezier(347.255859375F, 859.880859375F, 347.255859375F, 858.7421875F, 346.970703125F, 857.9951171875F, 346.31640625F, 857.9951171875F);
            this.cacheGraphicsPath.AddBezier(346.31640625F, 857.9951171875F, 345.7470703125F, 857.9951171875F, 345.3779296875F, 858.720703125F, 345.3779296875F, 859.880859375F);
            this.cacheGraphicsPath.AddBezier(345.3779296875F, 859.880859375F, 345.36328125F, 861.0830078125F, 345.7333984375F, 861.80859375F, 346.3095703125F, 861.80859375F);
            this.cacheGraphicsPath.AddLine(346.3095703125F, 861.80859375F, 346.31640625F, 861.80859375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(349.9306640625F, 862.2919921875F, 349.02734375F, 862.2919921875F, 348.408203125F, 861.4453125F, 348.3935546875F, 859.916015625F);
            this.cacheGraphicsPath.AddBezier(348.3935546875F, 859.916015625F, 348.3935546875F, 858.3583984375F, 349.0693359375F, 857.51171875F, 350.0087890625F, 857.51171875F);
            this.cacheGraphicsPath.AddBezier(350.0087890625F, 857.51171875F, 350.9755859375F, 857.51171875F, 351.5380859375F, 858.3798828125F, 351.5380859375F, 859.8525390625F);
            this.cacheGraphicsPath.AddBezier(351.5380859375F, 859.8525390625F, 351.5380859375F, 861.423828125F, 350.947265625F, 862.2919921875F, 349.9375F, 862.2919921875F);
            this.cacheGraphicsPath.AddLine(349.9375F, 862.2919921875F, 349.9306640625F, 862.2919921875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(349.9658203125F, 861.80859375F, 350.5986328125F, 861.80859375F, 350.9052734375F, 861.0615234375F, 350.9052734375F, 859.880859375F);
            this.cacheGraphicsPath.AddBezier(350.9052734375F, 859.880859375F, 350.9052734375F, 858.7421875F, 350.6201171875F, 857.9951171875F, 349.9658203125F, 857.9951171875F);
            this.cacheGraphicsPath.AddBezier(349.9658203125F, 857.9951171875F, 349.396484375F, 857.9951171875F, 349.02734375F, 858.720703125F, 349.02734375F, 859.880859375F);
            this.cacheGraphicsPath.AddBezier(349.02734375F, 859.880859375F, 349.0126953125F, 861.0830078125F, 349.3828125F, 861.80859375F, 349.958984375F, 861.80859375F);
            this.cacheGraphicsPath.AddLine(349.958984375F, 861.80859375F, 349.9658203125F, 861.80859375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(352.2568359375F, 861.5029296875F, 352.4345703125F, 861.609375F, 352.83984375F, 861.787109375F, 353.28125F, 861.787109375F);
            this.cacheGraphicsPath.AddBezier(353.28125F, 861.787109375F, 354.078125F, 861.787109375F, 354.333984375F, 861.2822265625F, 354.326171875F, 860.890625F);
            this.cacheGraphicsPath.AddBezier(354.326171875F, 860.890625F, 354.3193359375F, 860.2431640625F, 353.736328125F, 859.9658203125F, 353.1318359375F, 859.9658203125F);
            this.cacheGraphicsPath.AddLine(352.783203125F, 859.9658203125F, 352.783203125F, 859.49609375F);
            this.cacheGraphicsPath.AddBezier(353.1318359375F, 859.49609375F, 353.5869140625F, 859.49609375F, 354.1630859375F, 859.26171875F, 354.1630859375F, 858.7138671875F);
            this.cacheGraphicsPath.AddBezier(354.1630859375F, 858.7138671875F, 354.1630859375F, 858.34375F, 353.9287109375F, 858.0166015625F, 353.3525390625F, 858.0166015625F);
            this.cacheGraphicsPath.AddBezier(353.3525390625F, 858.0166015625F, 352.982421875F, 858.0166015625F, 352.626953125F, 858.1806640625F, 352.427734375F, 858.322265625F);
            this.cacheGraphicsPath.AddBezier(352.2568359375F, 857.8671875F, 352.505859375F, 857.689453125F, 352.974609375F, 857.51171875F, 353.47265625F, 857.51171875F);
            this.cacheGraphicsPath.AddBezier(353.47265625F, 857.51171875F, 354.3837890625F, 857.51171875F, 354.7958984375F, 858.052734375F, 354.7958984375F, 858.6142578125F);
            this.cacheGraphicsPath.AddBezier(354.7958984375F, 858.6142578125F, 354.7958984375F, 859.09765625F, 354.5048828125F, 859.50390625F, 353.9423828125F, 859.7099609375F);
            this.cacheGraphicsPath.AddBezier(353.9423828125F, 859.7236328125F, 354.51171875F, 859.8310546875F, 354.9736328125F, 860.2578125F, 354.9736328125F, 860.9052734375F);
            this.cacheGraphicsPath.AddBezier(354.9736328125F, 860.9052734375F, 354.9736328125F, 861.64453125F, 354.390625F, 862.2919921875F, 353.2880859375F, 862.2919921875F);
            this.cacheGraphicsPath.AddBezier(353.2880859375F, 862.2919921875F, 352.7685546875F, 862.2919921875F, 352.3134765625F, 862.12890625F, 352.0859375F, 861.9794921875F);
            this.cacheGraphicsPath.AddLine(352.0859375F, 861.9794921875F, 352.2568359375F, 861.5029296875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(358.2607421875F, 860.7060546875F, 357.7626953125F, 862.2138671875F);
            this.cacheGraphicsPath.AddLine(357.1220703125F, 862.2138671875F, 358.7509765625F, 857.4189453125F);
            this.cacheGraphicsPath.AddLine(359.498046875F, 857.4189453125F, 361.1337890625F, 862.2138671875F);
            this.cacheGraphicsPath.AddLine(360.47265625F, 862.2138671875F, 359.9609375F, 860.7060546875F);
            this.cacheGraphicsPath.AddLine(359.9609375F, 860.7060546875F, 358.2607421875F, 860.7060546875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(359.83203125F, 860.2216796875F, 359.35546875F, 858.841796875F);
            this.cacheGraphicsPath.AddBezier(359.35546875F, 858.841796875F, 359.255859375F, 858.529296875F, 359.185546875F, 858.244140625F, 359.1142578125F, 857.966796875F);
            this.cacheGraphicsPath.AddBezier(359.0927734375F, 857.966796875F, 359.0283203125F, 858.244140625F, 358.9501953125F, 858.54296875F, 358.857421875F, 858.8349609375F);
            this.cacheGraphicsPath.AddLine(358.388671875F, 860.2216796875F, 359.83203125F, 860.2216796875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(364.7060546875F, 857.1630859375F, 364.7060546875F, 861.32421875F);
            this.cacheGraphicsPath.AddBezier(364.7060546875F, 861.32421875F, 364.7060546875F, 861.630859375F, 364.712890625F, 861.9794921875F, 364.734375F, 862.2138671875F);
            this.cacheGraphicsPath.AddLine(364.171875F, 862.2138671875F, 364.1435546875F, 861.6162109375F);
            this.cacheGraphicsPath.AddBezier(364.1298828125F, 861.6162109375F, 363.9375F, 862F, 363.5244140625F, 862.2919921875F, 362.962890625F, 862.2919921875F);
            this.cacheGraphicsPath.AddBezier(362.962890625F, 862.2919921875F, 362.130859375F, 862.2919921875F, 361.4833984375F, 861.587890625F, 361.4833984375F, 860.5419921875F);
            this.cacheGraphicsPath.AddBezier(361.4833984375F, 860.5419921875F, 361.4765625F, 859.3896484375F, 362.1943359375F, 858.6923828125F, 363.0263671875F, 858.6923828125F);
            this.cacheGraphicsPath.AddBezier(363.0263671875F, 858.6923828125F, 363.560546875F, 858.6923828125F, 363.916015625F, 858.94140625F, 364.0654296875F, 859.2119140625F);
            this.cacheGraphicsPath.AddLine(364.080078125F, 859.2119140625F, 364.080078125F, 857.1630859375F);
            this.cacheGraphicsPath.AddLine(364.080078125F, 857.1630859375F, 364.7060546875F, 857.1630859375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(364.080078125F, 860.171875F, 364.080078125F, 860.0869140625F, 364.072265625F, 859.9873046875F, 364.05078125F, 859.90234375F);
            this.cacheGraphicsPath.AddBezier(364.05078125F, 859.90234375F, 363.958984375F, 859.5107421875F, 363.6171875F, 859.18359375F, 363.1474609375F, 859.18359375F);
            this.cacheGraphicsPath.AddBezier(363.1474609375F, 859.18359375F, 362.5F, 859.18359375F, 362.1162109375F, 859.7529296875F, 362.1162109375F, 860.5068359375F);
            this.cacheGraphicsPath.AddBezier(362.1162109375F, 860.5068359375F, 362.1162109375F, 861.2109375F, 362.46484375F, 861.787109375F, 363.1337890625F, 861.787109375F);
            this.cacheGraphicsPath.AddBezier(363.1337890625F, 861.787109375F, 363.5537109375F, 861.787109375F, 363.9375F, 861.5029296875F, 364.05078125F, 861.033203125F);
            this.cacheGraphicsPath.AddBezier(364.05078125F, 861.033203125F, 364.072265625F, 860.955078125F, 364.080078125F, 860.869140625F, 364.080078125F, 860.76953125F);
            this.cacheGraphicsPath.AddLine(364.080078125F, 860.76953125F, 364.080078125F, 860.171875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(367.1455078125F, 862.2919921875F, 366.220703125F, 862.2919921875F, 365.4951171875F, 861.609375F, 365.4951171875F, 860.5205078125F);
            this.cacheGraphicsPath.AddBezier(365.4951171875F, 860.5205078125F, 365.4951171875F, 859.3681640625F, 366.255859375F, 858.6923828125F, 367.2021484375F, 858.6923828125F);
            this.cacheGraphicsPath.AddBezier(367.2021484375F, 858.6923828125F, 368.19140625F, 858.6923828125F, 368.859375F, 859.4111328125F, 368.859375F, 860.45703125F);
            this.cacheGraphicsPath.AddBezier(368.859375F, 860.45703125F, 368.859375F, 861.7373046875F, 367.970703125F, 862.2919921875F, 367.15234375F, 862.2919921875F);
            this.cacheGraphicsPath.AddLine(367.15234375F, 862.2919921875F, 367.1455078125F, 862.2919921875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(367.173828125F, 861.822265625F, 367.771484375F, 861.822265625F, 368.2197265625F, 861.2607421875F, 368.2197265625F, 860.478515625F);
            this.cacheGraphicsPath.AddBezier(368.2197265625F, 860.478515625F, 368.2197265625F, 859.89453125F, 367.927734375F, 859.162109375F, 367.1875F, 859.162109375F);
            this.cacheGraphicsPath.AddBezier(367.1875F, 859.162109375F, 366.455078125F, 859.162109375F, 366.134765625F, 859.8447265625F, 366.134765625F, 860.4990234375F);
            this.cacheGraphicsPath.AddBezier(366.134765625F, 860.4990234375F, 366.134765625F, 861.25390625F, 366.5615234375F, 861.822265625F, 367.1669921875F, 861.822265625F);
            this.cacheGraphicsPath.AddLine(367.1669921875F, 861.822265625F, 367.173828125F, 861.822265625F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(369.6494140625F, 857.1630859375F, 370.275390625F, 857.1630859375F);
            this.cacheGraphicsPath.AddLine(370.275390625F, 859.318359375F, 370.2890625F, 859.318359375F);
            this.cacheGraphicsPath.AddBezier(370.2890625F, 859.318359375F, 370.509765625F, 858.9345703125F, 370.908203125F, 858.6923828125F, 371.462890625F, 858.6923828125F);
            this.cacheGraphicsPath.AddBezier(371.462890625F, 858.6923828125F, 372.31640625F, 858.6923828125F, 372.9140625F, 859.404296875F, 372.9140625F, 860.4423828125F);
            this.cacheGraphicsPath.AddBezier(372.9140625F, 860.4423828125F, 372.9140625F, 861.6806640625F, 372.1318359375F, 862.2919921875F, 371.36328125F, 862.2919921875F);
            this.cacheGraphicsPath.AddBezier(371.36328125F, 862.2919921875F, 370.865234375F, 862.2919921875F, 370.474609375F, 862.099609375F, 370.2109375F, 861.64453125F);
            this.cacheGraphicsPath.AddLine(370.197265625F, 861.64453125F, 370.1611328125F, 862.2138671875F);
            this.cacheGraphicsPath.AddBezier(369.62109375F, 862.2138671875F, 369.6416015625F, 861.9794921875F, 369.6494140625F, 861.630859375F, 369.6494140625F, 861.32421875F);
            this.cacheGraphicsPath.AddLine(369.6494140625F, 861.32421875F, 369.6494140625F, 857.1630859375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(370.275390625F, 860.833984375F, 370.275390625F, 860.912109375F, 370.2822265625F, 860.990234375F, 370.296875F, 861.0615234375F);
            this.cacheGraphicsPath.AddBezier(370.296875F, 861.0615234375F, 370.4169921875F, 861.4951171875F, 370.787109375F, 861.7939453125F, 371.2353515625F, 861.7939453125F);
            this.cacheGraphicsPath.AddBezier(371.2353515625F, 861.7939453125F, 371.8974609375F, 861.7939453125F, 372.28125F, 861.2607421875F, 372.28125F, 860.470703125F);
            this.cacheGraphicsPath.AddBezier(372.28125F, 860.470703125F, 372.28125F, 859.7734375F, 371.92578125F, 859.18359375F, 371.2568359375F, 859.18359375F);
            this.cacheGraphicsPath.AddBezier(371.2568359375F, 859.18359375F, 370.830078125F, 859.18359375F, 370.431640625F, 859.482421875F, 370.310546875F, 859.9521484375F);
            this.cacheGraphicsPath.AddBezier(370.310546875F, 859.9521484375F, 370.2890625F, 860.0302734375F, 370.275390625F, 860.115234375F, 370.275390625F, 860.21484375F);
            this.cacheGraphicsPath.AddLine(370.275390625F, 860.21484375F, 370.275390625F, 860.833984375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(374.052734375F, 860.6064453125F, 374.0673828125F, 861.4453125F, 374.6005859375F, 861.7939453125F, 375.2265625F, 861.7939453125F);
            this.cacheGraphicsPath.AddBezier(375.2265625F, 861.7939453125F, 375.6748046875F, 861.7939453125F, 375.9521484375F, 861.7158203125F, 376.1796875F, 861.6162109375F);
            this.cacheGraphicsPath.AddBezier(376.2939453125F, 862.064453125F, 376.0732421875F, 862.1640625F, 375.6884765625F, 862.28515625F, 375.140625F, 862.28515625F);
            this.cacheGraphicsPath.AddBezier(375.140625F, 862.28515625F, 374.087890625F, 862.28515625F, 373.4482421875F, 861.5810546875F, 373.4482421875F, 860.548828125F);
            this.cacheGraphicsPath.AddBezier(373.4482421875F, 860.548828125F, 373.4482421875F, 859.5107421875F, 374.0673828125F, 858.6923828125F, 375.0703125F, 858.6923828125F);
            this.cacheGraphicsPath.AddBezier(375.0703125F, 858.6923828125F, 376.1943359375F, 858.6923828125F, 376.4853515625F, 859.681640625F, 376.4853515625F, 860.314453125F);
            this.cacheGraphicsPath.AddBezier(376.4853515625F, 860.314453125F, 376.4853515625F, 860.4423828125F, 376.478515625F, 860.53515625F, 376.4638671875F, 860.6064453125F);
            this.cacheGraphicsPath.AddLine(376.4638671875F, 860.6064453125F, 374.052734375F, 860.6064453125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(375.880859375F, 860.158203125F, 375.8876953125F, 859.759765625F, 375.716796875F, 859.140625F, 375.0205078125F, 859.140625F);
            this.cacheGraphicsPath.AddBezier(375.0205078125F, 859.140625F, 374.3798828125F, 859.140625F, 374.109375F, 859.7236328125F, 374.0595703125F, 860.158203125F);
            this.cacheGraphicsPath.AddLine(374.0595703125F, 860.158203125F, 375.880859375F, 860.158203125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(378.7109375F, 861.4599609375F, 378.9892578125F, 861.630859375F, 379.38671875F, 861.765625F, 379.814453125F, 861.765625F);
            this.cacheGraphicsPath.AddBezier(379.814453125F, 861.765625F, 380.447265625F, 861.765625F, 380.8173828125F, 861.4384765625F, 380.8173828125F, 860.955078125F);
            this.cacheGraphicsPath.AddBezier(380.8173828125F, 860.955078125F, 380.8173828125F, 860.5068359375F, 380.560546875F, 860.2431640625F, 379.9140625F, 860.001953125F);
            this.cacheGraphicsPath.AddBezier(379.9140625F, 860.001953125F, 379.130859375F, 859.7314453125F, 378.6474609375F, 859.318359375F, 378.6474609375F, 858.650390625F);
            this.cacheGraphicsPath.AddBezier(378.6474609375F, 858.650390625F, 378.6474609375F, 857.9033203125F, 379.2666015625F, 857.3486328125F, 380.1982421875F, 857.3486328125F);
            this.cacheGraphicsPath.AddBezier(380.1982421875F, 857.3486328125F, 380.681640625F, 857.3486328125F, 381.044921875F, 857.4619140625F, 381.2509765625F, 857.576171875F);
            this.cacheGraphicsPath.AddBezier(381.080078125F, 858.087890625F, 380.9306640625F, 857.9951171875F, 380.6103515625F, 857.8603515625F, 380.1767578125F, 857.8603515625F);
            this.cacheGraphicsPath.AddBezier(380.1767578125F, 857.8603515625F, 379.5224609375F, 857.8603515625F, 379.2734375F, 858.251953125F, 379.2734375F, 858.5791015625F);
            this.cacheGraphicsPath.AddBezier(379.2734375F, 858.5791015625F, 379.2734375F, 859.01953125F, 379.5654296875F, 859.240234375F, 380.2265625F, 859.49609375F);
            this.cacheGraphicsPath.AddBezier(380.2265625F, 859.49609375F, 381.037109375F, 859.81640625F, 381.443359375F, 860.201171875F, 381.443359375F, 860.9052734375F);
            this.cacheGraphicsPath.AddBezier(381.443359375F, 860.9052734375F, 381.443359375F, 861.6376953125F, 380.90234375F, 862.28515625F, 379.771484375F, 862.28515625F);
            this.cacheGraphicsPath.AddBezier(379.771484375F, 862.28515625F, 379.30859375F, 862.28515625F, 378.8037109375F, 862.142578125F, 378.5478515625F, 861.9716796875F);
            this.cacheGraphicsPath.AddLine(378.5478515625F, 861.9716796875F, 378.7109375F, 861.4599609375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(382.4462890625F, 858.7705078125F, 383.193359375F, 860.8056640625F);
            this.cacheGraphicsPath.AddBezier(383.193359375F, 860.8056640625F, 383.2783203125F, 861.033203125F, 383.3642578125F, 861.3037109375F, 383.4208984375F, 861.509765625F);
            this.cacheGraphicsPath.AddBezier(383.4345703125F, 861.509765625F, 383.4990234375F, 861.3037109375F, 383.5703125F, 861.0400390625F, 383.6552734375F, 860.791015625F);
            this.cacheGraphicsPath.AddLine(384.337890625F, 858.7705078125F, 385F, 858.7705078125F);
            this.cacheGraphicsPath.AddBezier(384.060546875F, 861.224609375F, 383.6123046875F, 862.40625F, 383.306640625F, 863.00390625F, 382.8798828125F, 863.380859375F);
            this.cacheGraphicsPath.AddBezier(382.8798828125F, 863.380859375F, 382.5673828125F, 863.6435546875F, 382.2685546875F, 863.75F, 382.111328125F, 863.779296875F);
            this.cacheGraphicsPath.AddBezier(381.955078125F, 863.259765625F, 382.111328125F, 863.2099609375F, 382.318359375F, 863.1103515625F, 382.5029296875F, 862.9541015625F);
            this.cacheGraphicsPath.AddBezier(382.5029296875F, 862.9541015625F, 382.673828125F, 862.818359375F, 382.8798828125F, 862.576171875F, 383.029296875F, 862.2568359375F);
            this.cacheGraphicsPath.AddBezier(383.029296875F, 862.2568359375F, 383.0576171875F, 862.1923828125F, 383.0791015625F, 862.142578125F, 383.0791015625F, 862.107421875F);
            this.cacheGraphicsPath.AddBezier(383.0791015625F, 862.107421875F, 383.0791015625F, 862.0712890625F, 383.0654296875F, 862.021484375F, 383.029296875F, 861.943359375F);
            this.cacheGraphicsPath.AddLine(381.763671875F, 858.7705078125F, 382.4462890625F, 858.7705078125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(385.4404296875F, 861.5732421875F, 385.6328125F, 861.6875F, 385.9599609375F, 861.8154296875F, 386.2734375F, 861.8154296875F);
            this.cacheGraphicsPath.AddBezier(386.2734375F, 861.8154296875F, 386.7216796875F, 861.8154296875F, 386.9345703125F, 861.5947265625F, 386.9345703125F, 861.3037109375F);
            this.cacheGraphicsPath.AddBezier(386.9345703125F, 861.3037109375F, 386.9345703125F, 861.0048828125F, 386.7568359375F, 860.84765625F, 386.3017578125F, 860.677734375F);
            this.cacheGraphicsPath.AddBezier(386.3017578125F, 860.677734375F, 385.67578125F, 860.44921875F, 385.3837890625F, 860.1083984375F, 385.3837890625F, 859.703125F);
            this.cacheGraphicsPath.AddBezier(385.3837890625F, 859.703125F, 385.3837890625F, 859.1474609375F, 385.8388671875F, 858.6923828125F, 386.572265625F, 858.6923828125F);
            this.cacheGraphicsPath.AddBezier(386.572265625F, 858.6923828125F, 386.919921875F, 858.6923828125F, 387.2265625F, 858.78515625F, 387.4111328125F, 858.90625F);
            this.cacheGraphicsPath.AddBezier(387.26171875F, 859.3544921875F, 387.126953125F, 859.2763671875F, 386.8779296875F, 859.1552734375F, 386.5576171875F, 859.1552734375F);
            this.cacheGraphicsPath.AddBezier(386.5576171875F, 859.1552734375F, 386.1875F, 859.1552734375F, 385.98828125F, 859.3681640625F, 385.98828125F, 859.625F);
            this.cacheGraphicsPath.AddBezier(385.98828125F, 859.625F, 385.98828125F, 859.9091796875F, 386.1875F, 860.037109375F, 386.6357421875F, 860.21484375F);
            this.cacheGraphicsPath.AddBezier(386.6357421875F, 860.21484375F, 387.2265625F, 860.435546875F, 387.5390625F, 860.734375F, 387.5390625F, 861.24609375F);
            this.cacheGraphicsPath.AddBezier(387.5390625F, 861.24609375F, 387.5390625F, 861.8583984375F, 387.0625F, 862.28515625F, 386.2587890625F, 862.28515625F);
            this.cacheGraphicsPath.AddBezier(386.2587890625F, 862.28515625F, 385.8818359375F, 862.28515625F, 385.533203125F, 862.185546875F, 385.291015625F, 862.04296875F);
            this.cacheGraphicsPath.AddLine(385.291015625F, 862.04296875F, 385.4404296875F, 861.5732421875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(389.09765625F, 857.9453125F, 389.09765625F, 858.7705078125F);
            this.cacheGraphicsPath.AddLine(389.994140625F, 858.7705078125F, 389.994140625F, 859.2470703125F);
            this.cacheGraphicsPath.AddLine(389.09765625F, 859.2470703125F, 389.09765625F, 861.0966796875F);
            this.cacheGraphicsPath.AddBezier(389.09765625F, 861.0966796875F, 389.09765625F, 861.5234375F, 389.21875F, 861.765625F, 389.5673828125F, 861.765625F);
            this.cacheGraphicsPath.AddBezier(389.5673828125F, 861.765625F, 389.7373046875F, 861.765625F, 389.8369140625F, 861.751953125F, 389.9296875F, 861.72265625F);
            this.cacheGraphicsPath.AddBezier(389.9580078125F, 862.19921875F, 389.8369140625F, 862.2421875F, 389.6455078125F, 862.28515625F, 389.4033203125F, 862.28515625F);
            this.cacheGraphicsPath.AddBezier(389.4033203125F, 862.28515625F, 389.111328125F, 862.28515625F, 388.876953125F, 862.185546875F, 388.7275390625F, 862.021484375F);
            this.cacheGraphicsPath.AddBezier(388.7275390625F, 862.021484375F, 388.556640625F, 861.830078125F, 388.4853515625F, 861.5234375F, 388.4853515625F, 861.1181640625F);
            this.cacheGraphicsPath.AddLine(388.4853515625F, 859.2470703125F, 387.9521484375F, 859.2470703125F);
            this.cacheGraphicsPath.AddLine(387.9521484375F, 858.7705078125F, 388.4853515625F, 858.7705078125F);
            this.cacheGraphicsPath.AddLine(388.4853515625F, 858.1376953125F, 389.09765625F, 857.9453125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(391.0107421875F, 860.6064453125F, 391.025390625F, 861.4453125F, 391.55859375F, 861.7939453125F, 392.1845703125F, 861.7939453125F);
            this.cacheGraphicsPath.AddBezier(392.1845703125F, 861.7939453125F, 392.6328125F, 861.7939453125F, 392.91015625F, 861.7158203125F, 393.1376953125F, 861.6162109375F);
            this.cacheGraphicsPath.AddBezier(393.251953125F, 862.064453125F, 393.03125F, 862.1640625F, 392.646484375F, 862.28515625F, 392.0986328125F, 862.28515625F);
            this.cacheGraphicsPath.AddBezier(392.0986328125F, 862.28515625F, 391.0458984375F, 862.28515625F, 390.40625F, 861.5810546875F, 390.40625F, 860.548828125F);
            this.cacheGraphicsPath.AddBezier(390.40625F, 860.548828125F, 390.40625F, 859.5107421875F, 391.025390625F, 858.6923828125F, 392.0283203125F, 858.6923828125F);
            this.cacheGraphicsPath.AddBezier(392.0283203125F, 858.6923828125F, 393.15234375F, 858.6923828125F, 393.443359375F, 859.681640625F, 393.443359375F, 860.314453125F);
            this.cacheGraphicsPath.AddBezier(393.443359375F, 860.314453125F, 393.443359375F, 860.4423828125F, 393.4365234375F, 860.53515625F, 393.421875F, 860.6064453125F);
            this.cacheGraphicsPath.AddLine(393.421875F, 860.6064453125F, 391.0107421875F, 860.6064453125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(392.8388671875F, 860.158203125F, 392.845703125F, 859.759765625F, 392.6748046875F, 859.140625F, 391.978515625F, 859.140625F);
            this.cacheGraphicsPath.AddBezier(391.978515625F, 859.140625F, 391.337890625F, 859.140625F, 391.0673828125F, 859.7236328125F, 391.017578125F, 860.158203125F);
            this.cacheGraphicsPath.AddLine(391.017578125F, 860.158203125F, 392.8388671875F, 860.158203125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(394.21875F, 859.703125F, 394.21875F, 859.33984375F, 394.2041015625F, 859.0556640625F, 394.1904296875F, 858.7705078125F);
            this.cacheGraphicsPath.AddLine(394.7373046875F, 858.7705078125F, 394.7666015625F, 859.326171875F);
            this.cacheGraphicsPath.AddBezier(394.787109375F, 859.326171875F, 394.9794921875F, 858.998046875F, 395.2998046875F, 858.6923828125F, 395.8759765625F, 858.6923828125F);
            this.cacheGraphicsPath.AddBezier(395.8759765625F, 858.6923828125F, 396.337890625F, 858.6923828125F, 396.6943359375F, 858.9775390625F, 396.84375F, 859.3828125F);
            this.cacheGraphicsPath.AddBezier(396.857421875F, 859.3828125F, 396.9638671875F, 859.18359375F, 397.1064453125F, 859.041015625F, 397.2490234375F, 858.9345703125F);
            this.cacheGraphicsPath.AddBezier(397.2490234375F, 858.9345703125F, 397.455078125F, 858.7783203125F, 397.67578125F, 858.6923828125F, 398.0029296875F, 858.6923828125F);
            this.cacheGraphicsPath.AddBezier(398.0029296875F, 858.6923828125F, 398.46484375F, 858.6923828125F, 399.140625F, 858.9912109375F, 399.140625F, 860.1865234375F);
            this.cacheGraphicsPath.AddLine(399.140625F, 862.2138671875F, 398.529296875F, 862.2138671875F);
            this.cacheGraphicsPath.AddBezier(398.529296875F, 860.2646484375F, 398.529296875F, 859.595703125F, 398.2802734375F, 859.205078125F, 397.7822265625F, 859.205078125F);
            this.cacheGraphicsPath.AddBezier(397.7822265625F, 859.205078125F, 397.419921875F, 859.205078125F, 397.1494140625F, 859.4677734375F, 397.03515625F, 859.7666015625F);
            this.cacheGraphicsPath.AddBezier(397.03515625F, 859.7666015625F, 397.0068359375F, 859.859375F, 396.9853515625F, 859.97265625F, 396.9853515625F, 860.080078125F);
            this.cacheGraphicsPath.AddLine(396.9853515625F, 862.2138671875F, 396.3740234375F, 862.2138671875F);
            this.cacheGraphicsPath.AddBezier(396.3740234375F, 860.1435546875F, 396.3740234375F, 859.595703125F, 396.1318359375F, 859.205078125F, 395.6552734375F, 859.205078125F);
            this.cacheGraphicsPath.AddBezier(395.6552734375F, 859.205078125F, 395.271484375F, 859.205078125F, 394.9794921875F, 859.517578125F, 394.8798828125F, 859.8310546875F);
            this.cacheGraphicsPath.AddBezier(394.8798828125F, 859.8310546875F, 394.8447265625F, 859.9228515625F, 394.830078125F, 860.0302734375F, 394.830078125F, 860.13671875F);
            this.cacheGraphicsPath.AddLine(394.830078125F, 862.2138671875F, 394.21875F, 862.2138671875F);
            this.cacheGraphicsPath.AddLine(394.21875F, 862.2138671875F, 394.21875F, 859.703125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(400.0654296875F, 861.5732421875F, 400.2578125F, 861.6875F, 400.5849609375F, 861.8154296875F, 400.8984375F, 861.8154296875F);
            this.cacheGraphicsPath.AddBezier(400.8984375F, 861.8154296875F, 401.3466796875F, 861.8154296875F, 401.5595703125F, 861.5947265625F, 401.5595703125F, 861.3037109375F);
            this.cacheGraphicsPath.AddBezier(401.5595703125F, 861.3037109375F, 401.5595703125F, 861.0048828125F, 401.3818359375F, 860.84765625F, 400.9267578125F, 860.677734375F);
            this.cacheGraphicsPath.AddBezier(400.9267578125F, 860.677734375F, 400.30078125F, 860.44921875F, 400.0087890625F, 860.1083984375F, 400.0087890625F, 859.703125F);
            this.cacheGraphicsPath.AddBezier(400.0087890625F, 859.703125F, 400.0087890625F, 859.1474609375F, 400.4638671875F, 858.6923828125F, 401.197265625F, 858.6923828125F);
            this.cacheGraphicsPath.AddBezier(401.197265625F, 858.6923828125F, 401.544921875F, 858.6923828125F, 401.8515625F, 858.78515625F, 402.0361328125F, 858.90625F);
            this.cacheGraphicsPath.AddBezier(401.88671875F, 859.3544921875F, 401.751953125F, 859.2763671875F, 401.5029296875F, 859.1552734375F, 401.1826171875F, 859.1552734375F);
            this.cacheGraphicsPath.AddBezier(401.1826171875F, 859.1552734375F, 400.8125F, 859.1552734375F, 400.61328125F, 859.3681640625F, 400.61328125F, 859.625F);
            this.cacheGraphicsPath.AddBezier(400.61328125F, 859.625F, 400.61328125F, 859.9091796875F, 400.8125F, 860.037109375F, 401.2607421875F, 860.21484375F);
            this.cacheGraphicsPath.AddBezier(401.2607421875F, 860.21484375F, 401.8515625F, 860.435546875F, 402.1640625F, 860.734375F, 402.1640625F, 861.24609375F);
            this.cacheGraphicsPath.AddBezier(402.1640625F, 861.24609375F, 402.1640625F, 861.8583984375F, 401.6875F, 862.28515625F, 400.8837890625F, 862.28515625F);
            this.cacheGraphicsPath.AddBezier(400.8837890625F, 862.28515625F, 400.5068359375F, 862.28515625F, 400.158203125F, 862.185546875F, 399.916015625F, 862.04296875F);
            this.cacheGraphicsPath.AddLine(399.916015625F, 862.04296875F, 400.0654296875F, 861.5732421875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(405.1162109375F, 857.4189453125F, 405.1162109375F, 862.2138671875F);
            this.cacheGraphicsPath.AddLine(404.490234375F, 862.2138671875F, 404.490234375F, 857.4189453125F);
            this.cacheGraphicsPath.AddLine(404.490234375F, 857.4189453125F, 405.1162109375F, 857.4189453125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(406.248046875F, 859.703125F, 406.248046875F, 859.33984375F, 406.240234375F, 859.0556640625F, 406.2197265625F, 858.7705078125F);
            this.cacheGraphicsPath.AddLine(406.7744140625F, 858.7705078125F, 406.8095703125F, 859.3330078125F);
            this.cacheGraphicsPath.AddBezier(406.82421875F, 859.3330078125F, 406.9951171875F, 859.0126953125F, 407.3935546875F, 858.6923828125F, 407.9619140625F, 858.6923828125F);
            this.cacheGraphicsPath.AddBezier(407.9619140625F, 858.6923828125F, 408.4384765625F, 858.6923828125F, 409.1787109375F, 858.9775390625F, 409.1787109375F, 860.158203125F);
            this.cacheGraphicsPath.AddLine(409.1787109375F, 862.2138671875F, 408.552734375F, 862.2138671875F);
            this.cacheGraphicsPath.AddBezier(408.552734375F, 860.2294921875F, 408.552734375F, 859.673828125F, 408.3466796875F, 859.205078125F, 407.755859375F, 859.205078125F);
            this.cacheGraphicsPath.AddBezier(407.755859375F, 859.205078125F, 407.3505859375F, 859.205078125F, 407.0302734375F, 859.49609375F, 406.916015625F, 859.8447265625F);
            this.cacheGraphicsPath.AddBezier(406.916015625F, 859.8447265625F, 406.8876953125F, 859.9228515625F, 406.8740234375F, 860.037109375F, 406.8740234375F, 860.13671875F);
            this.cacheGraphicsPath.AddLine(406.8740234375F, 862.2138671875F, 406.248046875F, 862.2138671875F);
            this.cacheGraphicsPath.AddLine(406.248046875F, 862.2138671875F, 406.248046875F, 859.703125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(412.650390625F, 862.0859375F, 412.486328125F, 862.1640625F, 412.1240234375F, 862.28515625F, 411.6611328125F, 862.28515625F);
            this.cacheGraphicsPath.AddBezier(411.6611328125F, 862.28515625F, 410.623046875F, 862.28515625F, 409.947265625F, 861.5810546875F, 409.947265625F, 860.5283203125F);
            this.cacheGraphicsPath.AddBezier(409.947265625F, 860.5283203125F, 409.947265625F, 859.4677734375F, 410.6728515625F, 858.6923828125F, 411.796875F, 858.6923828125F);
            this.cacheGraphicsPath.AddBezier(411.796875F, 858.6923828125F, 412.1669921875F, 858.6923828125F, 412.494140625F, 858.78515625F, 412.6640625F, 858.8779296875F);
            this.cacheGraphicsPath.AddBezier(412.5224609375F, 859.3544921875F, 412.373046875F, 859.2763671875F, 412.1376953125F, 859.1904296875F, 411.796875F, 859.1904296875F);
            this.cacheGraphicsPath.AddBezier(411.796875F, 859.1904296875F, 411.0068359375F, 859.1904296875F, 410.580078125F, 859.78125F, 410.580078125F, 860.4921875F);
            this.cacheGraphicsPath.AddBezier(410.580078125F, 860.4921875F, 410.580078125F, 861.2890625F, 411.0927734375F, 861.7802734375F, 411.775390625F, 861.7802734375F);
            this.cacheGraphicsPath.AddBezier(411.775390625F, 861.7802734375F, 412.130859375F, 861.7802734375F, 412.365234375F, 861.6943359375F, 412.5439453125F, 861.6162109375F);
            this.cacheGraphicsPath.AddLine(412.5439453125F, 861.6162109375F, 412.650390625F, 862.0859375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(414.7412109375F, 862.2919921875F, 413.81640625F, 862.2919921875F, 413.0908203125F, 861.609375F, 413.0908203125F, 860.5205078125F);
            this.cacheGraphicsPath.AddBezier(413.0908203125F, 860.5205078125F, 413.0908203125F, 859.3681640625F, 413.8515625F, 858.6923828125F, 414.7978515625F, 858.6923828125F);
            this.cacheGraphicsPath.AddBezier(414.7978515625F, 858.6923828125F, 415.787109375F, 858.6923828125F, 416.455078125F, 859.4111328125F, 416.455078125F, 860.45703125F);
            this.cacheGraphicsPath.AddBezier(416.455078125F, 860.45703125F, 416.455078125F, 861.7373046875F, 415.56640625F, 862.2919921875F, 414.748046875F, 862.2919921875F);
            this.cacheGraphicsPath.AddLine(414.748046875F, 862.2919921875F, 414.7412109375F, 862.2919921875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(414.76953125F, 861.822265625F, 415.3671875F, 861.822265625F, 415.8154296875F, 861.2607421875F, 415.8154296875F, 860.478515625F);
            this.cacheGraphicsPath.AddBezier(415.8154296875F, 860.478515625F, 415.8154296875F, 859.89453125F, 415.5234375F, 859.162109375F, 414.783203125F, 859.162109375F);
            this.cacheGraphicsPath.AddBezier(414.783203125F, 859.162109375F, 414.05078125F, 859.162109375F, 413.73046875F, 859.8447265625F, 413.73046875F, 860.4990234375F);
            this.cacheGraphicsPath.AddBezier(413.73046875F, 860.4990234375F, 413.73046875F, 861.25390625F, 414.1572265625F, 861.822265625F, 414.7626953125F, 861.822265625F);
            this.cacheGraphicsPath.AddLine(414.7626953125F, 861.822265625F, 414.76953125F, 861.822265625F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(417.2451171875F, 859.8447265625F, 417.2451171875F, 859.439453125F, 417.2373046875F, 859.0908203125F, 417.216796875F, 858.7705078125F);
            this.cacheGraphicsPath.AddLine(417.7646484375F, 858.7705078125F, 417.79296875F, 859.4462890625F);
            this.cacheGraphicsPath.AddBezier(417.8134765625F, 859.4462890625F, 417.970703125F, 858.984375F, 418.3544921875F, 858.6923828125F, 418.7744140625F, 858.6923828125F);
            this.cacheGraphicsPath.AddBezier(418.7744140625F, 858.6923828125F, 418.837890625F, 858.6923828125F, 418.8876953125F, 858.7001953125F, 418.9453125F, 858.70703125F);
            this.cacheGraphicsPath.AddBezier(418.9453125F, 859.296875F, 418.880859375F, 859.2900390625F, 418.8173828125F, 859.283203125F, 418.7314453125F, 859.283203125F);
            this.cacheGraphicsPath.AddBezier(418.7314453125F, 859.283203125F, 418.291015625F, 859.283203125F, 417.9775390625F, 859.6171875F, 417.892578125F, 860.080078125F);
            this.cacheGraphicsPath.AddBezier(417.892578125F, 860.080078125F, 417.8779296875F, 860.171875F, 417.87109375F, 860.271484375F, 417.87109375F, 860.37109375F);
            this.cacheGraphicsPath.AddLine(417.87109375F, 862.2138671875F, 417.2451171875F, 862.2138671875F);
            this.cacheGraphicsPath.AddLine(417.2451171875F, 862.2138671875F, 417.2451171875F, 859.8447265625F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(419.599609375F, 859.89453125F, 419.599609375F, 859.4541015625F, 419.591796875F, 859.09765625F, 419.5712890625F, 858.7705078125F);
            this.cacheGraphicsPath.AddLine(420.1328125F, 858.7705078125F, 420.16796875F, 859.361328125F);
            this.cacheGraphicsPath.AddBezier(420.1826171875F, 859.361328125F, 420.431640625F, 858.9345703125F, 420.8447265625F, 858.6923828125F, 421.3994140625F, 858.6923828125F);
            this.cacheGraphicsPath.AddBezier(421.3994140625F, 858.6923828125F, 422.23828125F, 858.6923828125F, 422.8642578125F, 859.396484375F, 422.8642578125F, 860.4423828125F);
            this.cacheGraphicsPath.AddBezier(422.8642578125F, 860.4423828125F, 422.8642578125F, 861.6806640625F, 422.103515625F, 862.2919921875F, 421.2998046875F, 862.2919921875F);
            this.cacheGraphicsPath.AddBezier(421.2998046875F, 862.2919921875F, 420.8369140625F, 862.2919921875F, 420.4462890625F, 862.0927734375F, 420.2392578125F, 861.751953125F);
            this.cacheGraphicsPath.AddLine(420.2255859375F, 861.751953125F, 420.2255859375F, 863.6220703125F);
            this.cacheGraphicsPath.AddLine(419.599609375F, 863.6220703125F, 419.599609375F, 859.89453125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(420.2255859375F, 860.8125F, 420.2255859375F, 860.8974609375F, 420.232421875F, 860.990234375F, 420.25390625F, 861.068359375F);
            this.cacheGraphicsPath.AddBezier(420.25390625F, 861.068359375F, 420.3603515625F, 861.5029296875F, 420.7451171875F, 861.80078125F, 421.185546875F, 861.80078125F);
            this.cacheGraphicsPath.AddBezier(421.185546875F, 861.80078125F, 421.84765625F, 861.80078125F, 422.2314453125F, 861.2607421875F, 422.2314453125F, 860.470703125F);
            this.cacheGraphicsPath.AddBezier(422.2314453125F, 860.470703125F, 422.2314453125F, 859.78125F, 421.8759765625F, 859.1904296875F, 421.2138671875F, 859.1904296875F);
            this.cacheGraphicsPath.AddBezier(421.2138671875F, 859.1904296875F, 420.787109375F, 859.1904296875F, 420.3818359375F, 859.4892578125F, 420.2607421875F, 859.9658203125F);
            this.cacheGraphicsPath.AddBezier(420.2607421875F, 859.9658203125F, 420.2470703125F, 860.0439453125F, 420.2255859375F, 860.13671875F, 420.2255859375F, 860.21484375F);
            this.cacheGraphicsPath.AddLine(420.2255859375F, 860.21484375F, 420.2255859375F, 860.8125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(425.048828125F, 862.2919921875F, 424.1240234375F, 862.2919921875F, 423.3984375F, 861.609375F, 423.3984375F, 860.5205078125F);
            this.cacheGraphicsPath.AddBezier(423.3984375F, 860.5205078125F, 423.3984375F, 859.3681640625F, 424.1591796875F, 858.6923828125F, 425.10546875F, 858.6923828125F);
            this.cacheGraphicsPath.AddBezier(425.10546875F, 858.6923828125F, 426.0947265625F, 858.6923828125F, 426.7626953125F, 859.4111328125F, 426.7626953125F, 860.45703125F);
            this.cacheGraphicsPath.AddBezier(426.7626953125F, 860.45703125F, 426.7626953125F, 861.7373046875F, 425.8740234375F, 862.2919921875F, 425.0556640625F, 862.2919921875F);
            this.cacheGraphicsPath.AddLine(425.0556640625F, 862.2919921875F, 425.048828125F, 862.2919921875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(425.0771484375F, 861.822265625F, 425.6748046875F, 861.822265625F, 426.123046875F, 861.2607421875F, 426.123046875F, 860.478515625F);
            this.cacheGraphicsPath.AddBezier(426.123046875F, 860.478515625F, 426.123046875F, 859.89453125F, 425.8310546875F, 859.162109375F, 425.0908203125F, 859.162109375F);
            this.cacheGraphicsPath.AddBezier(425.0908203125F, 859.162109375F, 424.3583984375F, 859.162109375F, 424.0380859375F, 859.8447265625F, 424.0380859375F, 860.4990234375F);
            this.cacheGraphicsPath.AddBezier(424.0380859375F, 860.4990234375F, 424.0380859375F, 861.25390625F, 424.46484375F, 861.822265625F, 425.0703125F, 861.822265625F);
            this.cacheGraphicsPath.AddLine(425.0703125F, 861.822265625F, 425.0771484375F, 861.822265625F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(427.552734375F, 859.8447265625F, 427.552734375F, 859.439453125F, 427.544921875F, 859.0908203125F, 427.5244140625F, 858.7705078125F);
            this.cacheGraphicsPath.AddLine(428.0712890625F, 858.7705078125F, 428.1005859375F, 859.4462890625F);
            this.cacheGraphicsPath.AddBezier(428.12109375F, 859.4462890625F, 428.2783203125F, 858.984375F, 428.662109375F, 858.6923828125F, 429.08203125F, 858.6923828125F);
            this.cacheGraphicsPath.AddBezier(429.08203125F, 858.6923828125F, 429.1455078125F, 858.6923828125F, 429.1953125F, 858.7001953125F, 429.2529296875F, 858.70703125F);
            this.cacheGraphicsPath.AddBezier(429.2529296875F, 859.296875F, 429.1884765625F, 859.2900390625F, 429.125F, 859.283203125F, 429.0390625F, 859.283203125F);
            this.cacheGraphicsPath.AddBezier(429.0390625F, 859.283203125F, 428.5986328125F, 859.283203125F, 428.28515625F, 859.6171875F, 428.2001953125F, 860.080078125F);
            this.cacheGraphicsPath.AddBezier(428.2001953125F, 860.080078125F, 428.185546875F, 860.171875F, 428.1787109375F, 860.271484375F, 428.1787109375F, 860.37109375F);
            this.cacheGraphicsPath.AddLine(428.1787109375F, 862.2138671875F, 427.552734375F, 862.2138671875F);
            this.cacheGraphicsPath.AddLine(427.552734375F, 862.2138671875F, 427.552734375F, 859.8447265625F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(432.26953125F, 861.388671875F, 432.26953125F, 861.6875F, 432.283203125F, 861.9794921875F, 432.3193359375F, 862.2138671875F);
            this.cacheGraphicsPath.AddLine(431.7568359375F, 862.2138671875F, 431.7001953125F, 861.7802734375F);
            this.cacheGraphicsPath.AddBezier(431.6787109375F, 861.7802734375F, 431.494140625F, 862.0498046875F, 431.1171875F, 862.2919921875F, 430.6259765625F, 862.2919921875F);
            this.cacheGraphicsPath.AddBezier(430.6259765625F, 862.2919921875F, 429.9287109375F, 862.2919921875F, 429.5732421875F, 861.80078125F, 429.5732421875F, 861.3037109375F);
            this.cacheGraphicsPath.AddBezier(429.5732421875F, 861.3037109375F, 429.5732421875F, 860.470703125F, 430.3134765625F, 860.015625F, 431.6435546875F, 860.0224609375F);
            this.cacheGraphicsPath.AddBezier(431.6435546875F, 859.9521484375F, 431.6435546875F, 859.6669921875F, 431.5654296875F, 859.1474609375F, 430.8603515625F, 859.1552734375F);
            this.cacheGraphicsPath.AddBezier(430.8603515625F, 859.1552734375F, 430.533203125F, 859.1552734375F, 430.19921875F, 859.2470703125F, 429.95703125F, 859.4111328125F);
            this.cacheGraphicsPath.AddBezier(429.8154296875F, 858.9912109375F, 430.099609375F, 858.8134765625F, 430.51953125F, 858.6923828125F, 430.953125F, 858.6923828125F);
            this.cacheGraphicsPath.AddBezier(430.953125F, 858.6923828125F, 432.0126953125F, 858.6923828125F, 432.26953125F, 859.4111328125F, 432.26953125F, 860.1015625F);
            this.cacheGraphicsPath.AddLine(432.26953125F, 860.1015625F, 432.26953125F, 861.388671875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(431.6572265625F, 860.45703125F, 430.974609375F, 860.4423828125F, 430.19921875F, 860.5634765625F, 430.19921875F, 861.232421875F);
            this.cacheGraphicsPath.AddBezier(430.19921875F, 861.232421875F, 430.19921875F, 861.64453125F, 430.4697265625F, 861.830078125F, 430.7822265625F, 861.830078125F);
            this.cacheGraphicsPath.AddBezier(430.7822265625F, 861.830078125F, 431.2373046875F, 861.830078125F, 431.529296875F, 861.544921875F, 431.62890625F, 861.25390625F);
            this.cacheGraphicsPath.AddBezier(431.62890625F, 861.25390625F, 431.650390625F, 861.189453125F, 431.6572265625F, 861.1181640625F, 431.6572265625F, 861.0546875F);
            this.cacheGraphicsPath.AddLine(431.6572265625F, 861.0546875F, 431.6572265625F, 860.45703125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(433.998046875F, 857.9453125F, 433.998046875F, 858.7705078125F);
            this.cacheGraphicsPath.AddLine(434.89453125F, 858.7705078125F, 434.89453125F, 859.2470703125F);
            this.cacheGraphicsPath.AddLine(433.998046875F, 859.2470703125F, 433.998046875F, 861.0966796875F);
            this.cacheGraphicsPath.AddBezier(433.998046875F, 861.0966796875F, 433.998046875F, 861.5234375F, 434.119140625F, 861.765625F, 434.4677734375F, 861.765625F);
            this.cacheGraphicsPath.AddBezier(434.4677734375F, 861.765625F, 434.6376953125F, 861.765625F, 434.7373046875F, 861.751953125F, 434.830078125F, 861.72265625F);
            this.cacheGraphicsPath.AddBezier(434.8583984375F, 862.19921875F, 434.7373046875F, 862.2421875F, 434.5458984375F, 862.28515625F, 434.3037109375F, 862.28515625F);
            this.cacheGraphicsPath.AddBezier(434.3037109375F, 862.28515625F, 434.01171875F, 862.28515625F, 433.77734375F, 862.185546875F, 433.6279296875F, 862.021484375F);
            this.cacheGraphicsPath.AddBezier(433.6279296875F, 862.021484375F, 433.45703125F, 861.830078125F, 433.3857421875F, 861.5234375F, 433.3857421875F, 861.1181640625F);
            this.cacheGraphicsPath.AddLine(433.3857421875F, 859.2470703125F, 432.8525390625F, 859.2470703125F);
            this.cacheGraphicsPath.AddLine(432.8525390625F, 858.7705078125F, 433.3857421875F, 858.7705078125F);
            this.cacheGraphicsPath.AddLine(433.3857421875F, 858.1376953125F, 433.998046875F, 857.9453125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(435.9111328125F, 860.6064453125F, 435.92578125F, 861.4453125F, 436.458984375F, 861.7939453125F, 437.0849609375F, 861.7939453125F);
            this.cacheGraphicsPath.AddBezier(437.0849609375F, 861.7939453125F, 437.533203125F, 861.7939453125F, 437.810546875F, 861.7158203125F, 438.0380859375F, 861.6162109375F);
            this.cacheGraphicsPath.AddBezier(438.15234375F, 862.064453125F, 437.931640625F, 862.1640625F, 437.546875F, 862.28515625F, 436.9990234375F, 862.28515625F);
            this.cacheGraphicsPath.AddBezier(436.9990234375F, 862.28515625F, 435.9462890625F, 862.28515625F, 435.306640625F, 861.5810546875F, 435.306640625F, 860.548828125F);
            this.cacheGraphicsPath.AddBezier(435.306640625F, 860.548828125F, 435.306640625F, 859.5107421875F, 435.92578125F, 858.6923828125F, 436.9287109375F, 858.6923828125F);
            this.cacheGraphicsPath.AddBezier(436.9287109375F, 858.6923828125F, 438.052734375F, 858.6923828125F, 438.34375F, 859.681640625F, 438.34375F, 860.314453125F);
            this.cacheGraphicsPath.AddBezier(438.34375F, 860.314453125F, 438.34375F, 860.4423828125F, 438.3369140625F, 860.53515625F, 438.322265625F, 860.6064453125F);
            this.cacheGraphicsPath.AddLine(438.322265625F, 860.6064453125F, 435.9111328125F, 860.6064453125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(437.7392578125F, 860.158203125F, 437.74609375F, 859.759765625F, 437.5751953125F, 859.140625F, 436.87890625F, 859.140625F);
            this.cacheGraphicsPath.AddBezier(436.87890625F, 859.140625F, 436.23828125F, 859.140625F, 435.9677734375F, 859.7236328125F, 435.91796875F, 860.158203125F);
            this.cacheGraphicsPath.AddLine(435.91796875F, 860.158203125F, 437.7392578125F, 860.158203125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(442.0927734375F, 857.1630859375F, 442.0927734375F, 861.32421875F);
            this.cacheGraphicsPath.AddBezier(442.0927734375F, 861.32421875F, 442.0927734375F, 861.630859375F, 442.099609375F, 861.9794921875F, 442.12109375F, 862.2138671875F);
            this.cacheGraphicsPath.AddLine(441.55859375F, 862.2138671875F, 441.5302734375F, 861.6162109375F);
            this.cacheGraphicsPath.AddBezier(441.5166015625F, 861.6162109375F, 441.32421875F, 862F, 440.9111328125F, 862.2919921875F, 440.349609375F, 862.2919921875F);
            this.cacheGraphicsPath.AddBezier(440.349609375F, 862.2919921875F, 439.517578125F, 862.2919921875F, 438.8701171875F, 861.587890625F, 438.8701171875F, 860.5419921875F);
            this.cacheGraphicsPath.AddBezier(438.8701171875F, 860.5419921875F, 438.86328125F, 859.3896484375F, 439.5810546875F, 858.6923828125F, 440.4130859375F, 858.6923828125F);
            this.cacheGraphicsPath.AddBezier(440.4130859375F, 858.6923828125F, 440.947265625F, 858.6923828125F, 441.302734375F, 858.94140625F, 441.4521484375F, 859.2119140625F);
            this.cacheGraphicsPath.AddLine(441.466796875F, 859.2119140625F, 441.466796875F, 857.1630859375F);
            this.cacheGraphicsPath.AddLine(441.466796875F, 857.1630859375F, 442.0927734375F, 857.1630859375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(441.466796875F, 860.171875F, 441.466796875F, 860.0869140625F, 441.458984375F, 859.9873046875F, 441.4375F, 859.90234375F);
            this.cacheGraphicsPath.AddBezier(441.4375F, 859.90234375F, 441.345703125F, 859.5107421875F, 441.00390625F, 859.18359375F, 440.5341796875F, 859.18359375F);
            this.cacheGraphicsPath.AddBezier(440.5341796875F, 859.18359375F, 439.88671875F, 859.18359375F, 439.5029296875F, 859.7529296875F, 439.5029296875F, 860.5068359375F);
            this.cacheGraphicsPath.AddBezier(439.5029296875F, 860.5068359375F, 439.5029296875F, 861.2109375F, 439.8515625F, 861.787109375F, 440.5205078125F, 861.787109375F);
            this.cacheGraphicsPath.AddBezier(440.5205078125F, 861.787109375F, 440.9404296875F, 861.787109375F, 441.32421875F, 861.5029296875F, 441.4375F, 861.033203125F);
            this.cacheGraphicsPath.AddBezier(441.4375F, 861.033203125F, 441.458984375F, 860.955078125F, 441.466796875F, 860.869140625F, 441.466796875F, 860.76953125F);
            this.cacheGraphicsPath.AddLine(441.466796875F, 860.76953125F, 441.466796875F, 860.171875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(443.3232421875F, 862.2919921875F, 443.08203125F, 862.2919921875F, 442.9111328125F, 862.099609375F, 442.9111328125F, 861.84375F);
            this.cacheGraphicsPath.AddBezier(442.9111328125F, 861.84375F, 442.9111328125F, 861.587890625F, 443.0888671875F, 861.3955078125F, 443.337890625F, 861.3955078125F);
            this.cacheGraphicsPath.AddBezier(443.337890625F, 861.3955078125F, 443.5869140625F, 861.3955078125F, 443.7578125F, 861.5810546875F, 443.7578125F, 861.84375F);
            this.cacheGraphicsPath.AddBezier(443.7578125F, 861.84375F, 443.7578125F, 862.099609375F, 443.5869140625F, 862.2919921875F, 443.3310546875F, 862.2919921875F);
            this.cacheGraphicsPath.AddLine(443.3310546875F, 862.2919921875F, 443.3232421875F, 862.2919921875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(446.837890625F, 860.7060546875F, 446.33984375F, 862.2138671875F);
            this.cacheGraphicsPath.AddLine(445.69921875F, 862.2138671875F, 447.328125F, 857.4189453125F);
            this.cacheGraphicsPath.AddLine(448.0751953125F, 857.4189453125F, 449.7109375F, 862.2138671875F);
            this.cacheGraphicsPath.AddLine(449.0498046875F, 862.2138671875F, 448.5380859375F, 860.7060546875F);
            this.cacheGraphicsPath.AddLine(448.5380859375F, 860.7060546875F, 446.837890625F, 860.7060546875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(448.4091796875F, 860.2216796875F, 447.9326171875F, 858.841796875F);
            this.cacheGraphicsPath.AddBezier(447.9326171875F, 858.841796875F, 447.8330078125F, 858.529296875F, 447.7626953125F, 858.244140625F, 447.69140625F, 857.966796875F);
            this.cacheGraphicsPath.AddBezier(447.669921875F, 857.966796875F, 447.60546875F, 858.244140625F, 447.52734375F, 858.54296875F, 447.4345703125F, 858.8349609375F);
            this.cacheGraphicsPath.AddLine(446.9658203125F, 860.2216796875F, 448.4091796875F, 860.2216796875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(450.39453125F, 857.1630859375F, 451.0205078125F, 857.1630859375F);
            this.cacheGraphicsPath.AddLine(451.0205078125F, 862.2138671875F, 450.39453125F, 862.2138671875F);
            this.cacheGraphicsPath.AddLine(450.39453125F, 862.2138671875F, 450.39453125F, 857.1630859375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(452.0732421875F, 857.1630859375F, 452.69921875F, 857.1630859375F);
            this.cacheGraphicsPath.AddLine(452.69921875F, 862.2138671875F, 452.0732421875F, 862.2138671875F);
            this.cacheGraphicsPath.AddLine(452.0732421875F, 862.2138671875F, 452.0732421875F, 857.1630859375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(455.2607421875F, 859.8447265625F, 455.2607421875F, 859.439453125F, 455.2529296875F, 859.0908203125F, 455.232421875F, 858.7705078125F);
            this.cacheGraphicsPath.AddLine(455.7802734375F, 858.7705078125F, 455.80859375F, 859.4462890625F);
            this.cacheGraphicsPath.AddBezier(455.8291015625F, 859.4462890625F, 455.986328125F, 858.984375F, 456.3701171875F, 858.6923828125F, 456.7900390625F, 858.6923828125F);
            this.cacheGraphicsPath.AddBezier(456.7900390625F, 858.6923828125F, 456.853515625F, 858.6923828125F, 456.9033203125F, 858.7001953125F, 456.9609375F, 858.70703125F);
            this.cacheGraphicsPath.AddBezier(456.9609375F, 859.296875F, 456.896484375F, 859.2900390625F, 456.8330078125F, 859.283203125F, 456.7470703125F, 859.283203125F);
            this.cacheGraphicsPath.AddBezier(456.7470703125F, 859.283203125F, 456.306640625F, 859.283203125F, 455.9931640625F, 859.6171875F, 455.908203125F, 860.080078125F);
            this.cacheGraphicsPath.AddBezier(455.908203125F, 860.080078125F, 455.8935546875F, 860.171875F, 455.88671875F, 860.271484375F, 455.88671875F, 860.37109375F);
            this.cacheGraphicsPath.AddLine(455.88671875F, 862.2138671875F, 455.2607421875F, 862.2138671875F);
            this.cacheGraphicsPath.AddLine(455.2607421875F, 862.2138671875F, 455.2607421875F, 859.8447265625F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(457.9130859375F, 858.1875F, 457.685546875F, 858.1875F, 457.5361328125F, 858.009765625F, 457.5361328125F, 857.8037109375F);
            this.cacheGraphicsPath.AddBezier(457.5361328125F, 857.8037109375F, 457.5361328125F, 857.5830078125F, 457.6923828125F, 857.412109375F, 457.9267578125F, 857.412109375F);
            this.cacheGraphicsPath.AddBezier(457.9267578125F, 857.412109375F, 458.154296875F, 857.412109375F, 458.3115234375F, 857.5830078125F, 458.3115234375F, 857.8037109375F);
            this.cacheGraphicsPath.AddBezier(458.3115234375F, 857.8037109375F, 458.3115234375F, 858.009765625F, 458.162109375F, 858.1875F, 457.919921875F, 858.1875F);
            this.cacheGraphicsPath.AddLine(457.919921875F, 858.1875F, 457.9130859375F, 858.1875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(457.6142578125F, 862.2138671875F, 457.6142578125F, 858.7705078125F);
            this.cacheGraphicsPath.AddLine(458.240234375F, 858.7705078125F, 458.240234375F, 862.2138671875F);
            this.cacheGraphicsPath.AddLine(458.240234375F, 862.2138671875F, 457.6142578125F, 862.2138671875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(462.2236328125F, 861.708984375F, 462.2236328125F, 862.505859375F, 462.060546875F, 862.982421875F, 461.7333984375F, 863.2880859375F);
            this.cacheGraphicsPath.AddBezier(461.7333984375F, 863.2880859375F, 461.3916015625F, 863.59375F, 460.908203125F, 863.7001953125F, 460.474609375F, 863.7001953125F);
            this.cacheGraphicsPath.AddBezier(460.474609375F, 863.7001953125F, 460.0615234375F, 863.7001953125F, 459.6064453125F, 863.6005859375F, 459.3291015625F, 863.416015625F);
            this.cacheGraphicsPath.AddBezier(459.4853515625F, 862.9326171875F, 459.712890625F, 863.08203125F, 460.068359375F, 863.2099609375F, 460.4951171875F, 863.2099609375F);
            this.cacheGraphicsPath.AddBezier(460.4951171875F, 863.2099609375F, 461.1357421875F, 863.2099609375F, 461.60546875F, 862.875F, 461.60546875F, 862F);
            this.cacheGraphicsPath.AddLine(461.60546875F, 861.623046875F, 461.5908203125F, 861.623046875F);
            this.cacheGraphicsPath.AddBezier(461.5908203125F, 861.623046875F, 461.40625F, 861.943359375F, 461.029296875F, 862.19921875F, 460.4951171875F, 862.19921875F);
            this.cacheGraphicsPath.AddBezier(460.4951171875F, 862.19921875F, 459.6416015625F, 862.19921875F, 459.0302734375F, 861.4736328125F, 459.0302734375F, 860.513671875F);
            this.cacheGraphicsPath.AddBezier(459.0302734375F, 860.513671875F, 459.0302734375F, 859.3466796875F, 459.791015625F, 858.6923828125F, 460.587890625F, 858.6923828125F);
            this.cacheGraphicsPath.AddBezier(460.587890625F, 858.6923828125F, 461.185546875F, 858.6923828125F, 461.505859375F, 858.998046875F, 461.662109375F, 859.2900390625F);
            this.cacheGraphicsPath.AddLine(461.6767578125F, 859.2900390625F, 461.697265625F, 858.7705078125F);
            this.cacheGraphicsPath.AddBezier(462.2529296875F, 858.7705078125F, 462.2314453125F, 859.0126953125F, 462.2236328125F, 859.296875F, 462.2236328125F, 859.7099609375F);
            this.cacheGraphicsPath.AddLine(462.2236328125F, 859.7099609375F, 462.2236328125F, 861.708984375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(461.59765625F, 860.1220703125F, 461.59765625F, 860.0224609375F, 461.5908203125F, 859.9306640625F, 461.5625F, 859.8447265625F);
            this.cacheGraphicsPath.AddBezier(461.5625F, 859.8447265625F, 461.4482421875F, 859.4755859375F, 461.150390625F, 859.1767578125F, 460.6875F, 859.1767578125F);
            this.cacheGraphicsPath.AddBezier(460.6875F, 859.1767578125F, 460.08984375F, 859.1767578125F, 459.6630859375F, 859.681640625F, 459.6630859375F, 860.4853515625F);
            this.cacheGraphicsPath.AddBezier(459.6630859375F, 860.4853515625F, 459.6630859375F, 861.154296875F, 460.01171875F, 861.72265625F, 460.6806640625F, 861.72265625F);
            this.cacheGraphicsPath.AddBezier(460.6806640625F, 861.72265625F, 461.0712890625F, 861.72265625F, 461.419921875F, 861.4814453125F, 461.5478515625F, 861.076171875F);
            this.cacheGraphicsPath.AddBezier(461.5478515625F, 861.076171875F, 461.583984375F, 860.9765625F, 461.59765625F, 860.85546875F, 461.59765625F, 860.7412109375F);
            this.cacheGraphicsPath.AddLine(461.59765625F, 860.7412109375F, 461.59765625F, 860.1220703125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(463.255859375F, 857.1630859375F, 463.8818359375F, 857.1630859375F);
            this.cacheGraphicsPath.AddLine(463.8818359375F, 859.3115234375F, 463.8955078125F, 859.3115234375F);
            this.cacheGraphicsPath.AddBezier(463.8955078125F, 859.3115234375F, 463.9951171875F, 859.1337890625F, 464.15234375F, 858.9697265625F, 464.34375F, 858.8701171875F);
            this.cacheGraphicsPath.AddBezier(464.34375F, 858.8701171875F, 464.529296875F, 858.7568359375F, 464.7490234375F, 858.6923828125F, 464.984375F, 858.6923828125F);
            this.cacheGraphicsPath.AddBezier(464.984375F, 858.6923828125F, 465.4462890625F, 858.6923828125F, 466.1865234375F, 858.9775390625F, 466.1865234375F, 860.1650390625F);
            this.cacheGraphicsPath.AddLine(466.1865234375F, 862.2138671875F, 465.560546875F, 862.2138671875F);
            this.cacheGraphicsPath.AddBezier(465.560546875F, 860.2294921875F, 465.560546875F, 859.673828125F, 465.3544921875F, 859.2119140625F, 464.763671875F, 859.2119140625F);
            this.cacheGraphicsPath.AddBezier(464.763671875F, 859.2119140625F, 464.3583984375F, 859.2119140625F, 464.044921875F, 859.49609375F, 463.923828125F, 859.837890625F);
            this.cacheGraphicsPath.AddBezier(463.923828125F, 859.837890625F, 463.888671875F, 859.9228515625F, 463.8818359375F, 860.015625F, 463.8818359375F, 860.13671875F);
            this.cacheGraphicsPath.AddLine(463.8818359375F, 862.2138671875F, 463.255859375F, 862.2138671875F);
            this.cacheGraphicsPath.AddLine(463.255859375F, 862.2138671875F, 463.255859375F, 857.1630859375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(467.9287109375F, 857.9453125F, 467.9287109375F, 858.7705078125F);
            this.cacheGraphicsPath.AddLine(468.8251953125F, 858.7705078125F, 468.8251953125F, 859.2470703125F);
            this.cacheGraphicsPath.AddLine(467.9287109375F, 859.2470703125F, 467.9287109375F, 861.0966796875F);
            this.cacheGraphicsPath.AddBezier(467.9287109375F, 861.0966796875F, 467.9287109375F, 861.5234375F, 468.0498046875F, 861.765625F, 468.3984375F, 861.765625F);
            this.cacheGraphicsPath.AddBezier(468.3984375F, 861.765625F, 468.568359375F, 861.765625F, 468.66796875F, 861.751953125F, 468.7607421875F, 861.72265625F);
            this.cacheGraphicsPath.AddBezier(468.7890625F, 862.19921875F, 468.66796875F, 862.2421875F, 468.4765625F, 862.28515625F, 468.234375F, 862.28515625F);
            this.cacheGraphicsPath.AddBezier(468.234375F, 862.28515625F, 467.9423828125F, 862.28515625F, 467.7080078125F, 862.185546875F, 467.55859375F, 862.021484375F);
            this.cacheGraphicsPath.AddBezier(467.55859375F, 862.021484375F, 467.3876953125F, 861.830078125F, 467.31640625F, 861.5234375F, 467.31640625F, 861.1181640625F);
            this.cacheGraphicsPath.AddLine(467.31640625F, 859.2470703125F, 466.783203125F, 859.2470703125F);
            this.cacheGraphicsPath.AddLine(466.783203125F, 858.7705078125F, 467.31640625F, 858.7705078125F);
            this.cacheGraphicsPath.AddLine(467.31640625F, 858.1376953125F, 467.9287109375F, 857.9453125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(469.443359375F, 861.5732421875F, 469.6357421875F, 861.6875F, 469.962890625F, 861.8154296875F, 470.2763671875F, 861.8154296875F);
            this.cacheGraphicsPath.AddBezier(470.2763671875F, 861.8154296875F, 470.724609375F, 861.8154296875F, 470.9375F, 861.5947265625F, 470.9375F, 861.3037109375F);
            this.cacheGraphicsPath.AddBezier(470.9375F, 861.3037109375F, 470.9375F, 861.0048828125F, 470.759765625F, 860.84765625F, 470.3046875F, 860.677734375F);
            this.cacheGraphicsPath.AddBezier(470.3046875F, 860.677734375F, 469.6787109375F, 860.44921875F, 469.38671875F, 860.1083984375F, 469.38671875F, 859.703125F);
            this.cacheGraphicsPath.AddBezier(469.38671875F, 859.703125F, 469.38671875F, 859.1474609375F, 469.841796875F, 858.6923828125F, 470.5751953125F, 858.6923828125F);
            this.cacheGraphicsPath.AddBezier(470.5751953125F, 858.6923828125F, 470.9228515625F, 858.6923828125F, 471.2294921875F, 858.78515625F, 471.4140625F, 858.90625F);
            this.cacheGraphicsPath.AddBezier(471.2646484375F, 859.3544921875F, 471.1298828125F, 859.2763671875F, 470.880859375F, 859.1552734375F, 470.560546875F, 859.1552734375F);
            this.cacheGraphicsPath.AddBezier(470.560546875F, 859.1552734375F, 470.1904296875F, 859.1552734375F, 469.9912109375F, 859.3681640625F, 469.9912109375F, 859.625F);
            this.cacheGraphicsPath.AddBezier(469.9912109375F, 859.625F, 469.9912109375F, 859.9091796875F, 470.1904296875F, 860.037109375F, 470.638671875F, 860.21484375F);
            this.cacheGraphicsPath.AddBezier(470.638671875F, 860.21484375F, 471.2294921875F, 860.435546875F, 471.5419921875F, 860.734375F, 471.5419921875F, 861.24609375F);
            this.cacheGraphicsPath.AddBezier(471.5419921875F, 861.24609375F, 471.5419921875F, 861.8583984375F, 471.0654296875F, 862.28515625F, 470.26171875F, 862.28515625F);
            this.cacheGraphicsPath.AddBezier(470.26171875F, 862.28515625F, 469.884765625F, 862.28515625F, 469.5361328125F, 862.185546875F, 469.2939453125F, 862.04296875F);
            this.cacheGraphicsPath.AddLine(469.2939453125F, 862.04296875F, 469.443359375F, 861.5732421875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(473.853515625F, 859.8447265625F, 473.853515625F, 859.439453125F, 473.845703125F, 859.0908203125F, 473.8251953125F, 858.7705078125F);
            this.cacheGraphicsPath.AddLine(474.3720703125F, 858.7705078125F, 474.4013671875F, 859.4462890625F);
            this.cacheGraphicsPath.AddBezier(474.421875F, 859.4462890625F, 474.5791015625F, 858.984375F, 474.962890625F, 858.6923828125F, 475.3828125F, 858.6923828125F);
            this.cacheGraphicsPath.AddBezier(475.3828125F, 858.6923828125F, 475.4462890625F, 858.6923828125F, 475.49609375F, 858.7001953125F, 475.5537109375F, 858.70703125F);
            this.cacheGraphicsPath.AddBezier(475.5537109375F, 859.296875F, 475.4892578125F, 859.2900390625F, 475.42578125F, 859.283203125F, 475.33984375F, 859.283203125F);
            this.cacheGraphicsPath.AddBezier(475.33984375F, 859.283203125F, 474.8994140625F, 859.283203125F, 474.5859375F, 859.6171875F, 474.5009765625F, 860.080078125F);
            this.cacheGraphicsPath.AddBezier(474.5009765625F, 860.080078125F, 474.486328125F, 860.171875F, 474.4794921875F, 860.271484375F, 474.4794921875F, 860.37109375F);
            this.cacheGraphicsPath.AddLine(474.4794921875F, 862.2138671875F, 473.853515625F, 862.2138671875F);
            this.cacheGraphicsPath.AddLine(473.853515625F, 862.2138671875F, 473.853515625F, 859.8447265625F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(476.46484375F, 860.6064453125F, 476.4794921875F, 861.4453125F, 477.0126953125F, 861.7939453125F, 477.638671875F, 861.7939453125F);
            this.cacheGraphicsPath.AddBezier(477.638671875F, 861.7939453125F, 478.0869140625F, 861.7939453125F, 478.3642578125F, 861.7158203125F, 478.591796875F, 861.6162109375F);
            this.cacheGraphicsPath.AddBezier(478.7060546875F, 862.064453125F, 478.4853515625F, 862.1640625F, 478.1005859375F, 862.28515625F, 477.552734375F, 862.28515625F);
            this.cacheGraphicsPath.AddBezier(477.552734375F, 862.28515625F, 476.5F, 862.28515625F, 475.8603515625F, 861.5810546875F, 475.8603515625F, 860.548828125F);
            this.cacheGraphicsPath.AddBezier(475.8603515625F, 860.548828125F, 475.8603515625F, 859.5107421875F, 476.4794921875F, 858.6923828125F, 477.482421875F, 858.6923828125F);
            this.cacheGraphicsPath.AddBezier(477.482421875F, 858.6923828125F, 478.6064453125F, 858.6923828125F, 478.8974609375F, 859.681640625F, 478.8974609375F, 860.314453125F);
            this.cacheGraphicsPath.AddBezier(478.8974609375F, 860.314453125F, 478.8974609375F, 860.4423828125F, 478.890625F, 860.53515625F, 478.8759765625F, 860.6064453125F);
            this.cacheGraphicsPath.AddLine(478.8759765625F, 860.6064453125F, 476.46484375F, 860.6064453125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(478.29296875F, 860.158203125F, 478.2998046875F, 859.759765625F, 478.12890625F, 859.140625F, 477.4326171875F, 859.140625F);
            this.cacheGraphicsPath.AddBezier(477.4326171875F, 859.140625F, 476.7919921875F, 859.140625F, 476.521484375F, 859.7236328125F, 476.4716796875F, 860.158203125F);
            this.cacheGraphicsPath.AddLine(476.4716796875F, 860.158203125F, 478.29296875F, 860.158203125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(479.587890625F, 861.5732421875F, 479.7802734375F, 861.6875F, 480.107421875F, 861.8154296875F, 480.4208984375F, 861.8154296875F);
            this.cacheGraphicsPath.AddBezier(480.4208984375F, 861.8154296875F, 480.869140625F, 861.8154296875F, 481.08203125F, 861.5947265625F, 481.08203125F, 861.3037109375F);
            this.cacheGraphicsPath.AddBezier(481.08203125F, 861.3037109375F, 481.08203125F, 861.0048828125F, 480.904296875F, 860.84765625F, 480.44921875F, 860.677734375F);
            this.cacheGraphicsPath.AddBezier(480.44921875F, 860.677734375F, 479.8232421875F, 860.44921875F, 479.53125F, 860.1083984375F, 479.53125F, 859.703125F);
            this.cacheGraphicsPath.AddBezier(479.53125F, 859.703125F, 479.53125F, 859.1474609375F, 479.986328125F, 858.6923828125F, 480.7197265625F, 858.6923828125F);
            this.cacheGraphicsPath.AddBezier(480.7197265625F, 858.6923828125F, 481.0673828125F, 858.6923828125F, 481.3740234375F, 858.78515625F, 481.55859375F, 858.90625F);
            this.cacheGraphicsPath.AddBezier(481.4091796875F, 859.3544921875F, 481.2744140625F, 859.2763671875F, 481.025390625F, 859.1552734375F, 480.705078125F, 859.1552734375F);
            this.cacheGraphicsPath.AddBezier(480.705078125F, 859.1552734375F, 480.3349609375F, 859.1552734375F, 480.1357421875F, 859.3681640625F, 480.1357421875F, 859.625F);
            this.cacheGraphicsPath.AddBezier(480.1357421875F, 859.625F, 480.1357421875F, 859.9091796875F, 480.3349609375F, 860.037109375F, 480.783203125F, 860.21484375F);
            this.cacheGraphicsPath.AddBezier(480.783203125F, 860.21484375F, 481.3740234375F, 860.435546875F, 481.6865234375F, 860.734375F, 481.6865234375F, 861.24609375F);
            this.cacheGraphicsPath.AddBezier(481.6865234375F, 861.24609375F, 481.6865234375F, 861.8583984375F, 481.2099609375F, 862.28515625F, 480.40625F, 862.28515625F);
            this.cacheGraphicsPath.AddBezier(480.40625F, 862.28515625F, 480.029296875F, 862.28515625F, 479.6806640625F, 862.185546875F, 479.4384765625F, 862.04296875F);
            this.cacheGraphicsPath.AddLine(479.4384765625F, 862.04296875F, 479.587890625F, 861.5732421875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(482.845703125F, 860.6064453125F, 482.8603515625F, 861.4453125F, 483.3935546875F, 861.7939453125F, 484.01953125F, 861.7939453125F);
            this.cacheGraphicsPath.AddBezier(484.01953125F, 861.7939453125F, 484.4677734375F, 861.7939453125F, 484.7451171875F, 861.7158203125F, 484.97265625F, 861.6162109375F);
            this.cacheGraphicsPath.AddBezier(485.0869140625F, 862.064453125F, 484.8662109375F, 862.1640625F, 484.4814453125F, 862.28515625F, 483.93359375F, 862.28515625F);
            this.cacheGraphicsPath.AddBezier(483.93359375F, 862.28515625F, 482.880859375F, 862.28515625F, 482.2412109375F, 861.5810546875F, 482.2412109375F, 860.548828125F);
            this.cacheGraphicsPath.AddBezier(482.2412109375F, 860.548828125F, 482.2412109375F, 859.5107421875F, 482.8603515625F, 858.6923828125F, 483.86328125F, 858.6923828125F);
            this.cacheGraphicsPath.AddBezier(483.86328125F, 858.6923828125F, 484.9873046875F, 858.6923828125F, 485.2783203125F, 859.681640625F, 485.2783203125F, 860.314453125F);
            this.cacheGraphicsPath.AddBezier(485.2783203125F, 860.314453125F, 485.2783203125F, 860.4423828125F, 485.271484375F, 860.53515625F, 485.2568359375F, 860.6064453125F);
            this.cacheGraphicsPath.AddLine(485.2568359375F, 860.6064453125F, 482.845703125F, 860.6064453125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(484.673828125F, 860.158203125F, 484.6806640625F, 859.759765625F, 484.509765625F, 859.140625F, 483.8134765625F, 859.140625F);
            this.cacheGraphicsPath.AddBezier(483.8134765625F, 859.140625F, 483.1728515625F, 859.140625F, 482.90234375F, 859.7236328125F, 482.8525390625F, 860.158203125F);
            this.cacheGraphicsPath.AddLine(482.8525390625F, 860.158203125F, 484.673828125F, 860.158203125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(486.0546875F, 859.8447265625F, 486.0546875F, 859.439453125F, 486.046875F, 859.0908203125F, 486.0263671875F, 858.7705078125F);
            this.cacheGraphicsPath.AddLine(486.5732421875F, 858.7705078125F, 486.6025390625F, 859.4462890625F);
            this.cacheGraphicsPath.AddBezier(486.623046875F, 859.4462890625F, 486.7802734375F, 858.984375F, 487.1640625F, 858.6923828125F, 487.583984375F, 858.6923828125F);
            this.cacheGraphicsPath.AddBezier(487.583984375F, 858.6923828125F, 487.6474609375F, 858.6923828125F, 487.697265625F, 858.7001953125F, 487.7548828125F, 858.70703125F);
            this.cacheGraphicsPath.AddBezier(487.7548828125F, 859.296875F, 487.6904296875F, 859.2900390625F, 487.626953125F, 859.283203125F, 487.541015625F, 859.283203125F);
            this.cacheGraphicsPath.AddBezier(487.541015625F, 859.283203125F, 487.1005859375F, 859.283203125F, 486.787109375F, 859.6171875F, 486.7021484375F, 860.080078125F);
            this.cacheGraphicsPath.AddBezier(486.7021484375F, 860.080078125F, 486.6875F, 860.171875F, 486.6806640625F, 860.271484375F, 486.6806640625F, 860.37109375F);
            this.cacheGraphicsPath.AddLine(486.6806640625F, 862.2138671875F, 486.0546875F, 862.2138671875F);
            this.cacheGraphicsPath.AddLine(486.0546875F, 862.2138671875F, 486.0546875F, 859.8447265625F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(488.798828125F, 858.7705078125F, 489.474609375F, 860.6982421875F);
            this.cacheGraphicsPath.AddBezier(489.474609375F, 860.6982421875F, 489.5888671875F, 861.0185546875F, 489.681640625F, 861.3037109375F, 489.7529296875F, 861.587890625F);
            this.cacheGraphicsPath.AddBezier(489.7734375F, 861.587890625F, 489.8515625F, 861.3037109375F, 489.951171875F, 861.0185546875F, 490.0654296875F, 860.6982421875F);
            this.cacheGraphicsPath.AddLine(490.734375F, 858.7705078125F, 491.388671875F, 858.7705078125F);
            this.cacheGraphicsPath.AddLine(490.037109375F, 862.2138671875F, 489.439453125F, 862.2138671875F);
            this.cacheGraphicsPath.AddLine(488.130859375F, 858.7705078125F, 488.798828125F, 858.7705078125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(492.263671875F, 860.6064453125F, 492.2783203125F, 861.4453125F, 492.8115234375F, 861.7939453125F, 493.4375F, 861.7939453125F);
            this.cacheGraphicsPath.AddBezier(493.4375F, 861.7939453125F, 493.8857421875F, 861.7939453125F, 494.1630859375F, 861.7158203125F, 494.390625F, 861.6162109375F);
            this.cacheGraphicsPath.AddBezier(494.5048828125F, 862.064453125F, 494.2841796875F, 862.1640625F, 493.8994140625F, 862.28515625F, 493.3515625F, 862.28515625F);
            this.cacheGraphicsPath.AddBezier(493.3515625F, 862.28515625F, 492.298828125F, 862.28515625F, 491.6591796875F, 861.5810546875F, 491.6591796875F, 860.548828125F);
            this.cacheGraphicsPath.AddBezier(491.6591796875F, 860.548828125F, 491.6591796875F, 859.5107421875F, 492.2783203125F, 858.6923828125F, 493.28125F, 858.6923828125F);
            this.cacheGraphicsPath.AddBezier(493.28125F, 858.6923828125F, 494.4052734375F, 858.6923828125F, 494.6962890625F, 859.681640625F, 494.6962890625F, 860.314453125F);
            this.cacheGraphicsPath.AddBezier(494.6962890625F, 860.314453125F, 494.6962890625F, 860.4423828125F, 494.689453125F, 860.53515625F, 494.6748046875F, 860.6064453125F);
            this.cacheGraphicsPath.AddLine(494.6748046875F, 860.6064453125F, 492.263671875F, 860.6064453125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(494.091796875F, 860.158203125F, 494.0986328125F, 859.759765625F, 493.927734375F, 859.140625F, 493.2314453125F, 859.140625F);
            this.cacheGraphicsPath.AddBezier(493.2314453125F, 859.140625F, 492.5908203125F, 859.140625F, 492.3203125F, 859.7236328125F, 492.2705078125F, 860.158203125F);
            this.cacheGraphicsPath.AddLine(492.2705078125F, 860.158203125F, 494.091796875F, 860.158203125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(498.4462890625F, 857.1630859375F, 498.4462890625F, 861.32421875F);
            this.cacheGraphicsPath.AddBezier(498.4462890625F, 861.32421875F, 498.4462890625F, 861.630859375F, 498.453125F, 861.9794921875F, 498.474609375F, 862.2138671875F);
            this.cacheGraphicsPath.AddLine(497.912109375F, 862.2138671875F, 497.8837890625F, 861.6162109375F);
            this.cacheGraphicsPath.AddBezier(497.8701171875F, 861.6162109375F, 497.677734375F, 862F, 497.2646484375F, 862.2919921875F, 496.703125F, 862.2919921875F);
            this.cacheGraphicsPath.AddBezier(496.703125F, 862.2919921875F, 495.87109375F, 862.2919921875F, 495.2236328125F, 861.587890625F, 495.2236328125F, 860.5419921875F);
            this.cacheGraphicsPath.AddBezier(495.2236328125F, 860.5419921875F, 495.216796875F, 859.3896484375F, 495.9345703125F, 858.6923828125F, 496.7666015625F, 858.6923828125F);
            this.cacheGraphicsPath.AddBezier(496.7666015625F, 858.6923828125F, 497.30078125F, 858.6923828125F, 497.65625F, 858.94140625F, 497.8056640625F, 859.2119140625F);
            this.cacheGraphicsPath.AddLine(497.8203125F, 859.2119140625F, 497.8203125F, 857.1630859375F);
            this.cacheGraphicsPath.AddLine(497.8203125F, 857.1630859375F, 498.4462890625F, 857.1630859375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(497.8203125F, 860.171875F, 497.8203125F, 860.0869140625F, 497.8125F, 859.9873046875F, 497.791015625F, 859.90234375F);
            this.cacheGraphicsPath.AddBezier(497.791015625F, 859.90234375F, 497.69921875F, 859.5107421875F, 497.357421875F, 859.18359375F, 496.8876953125F, 859.18359375F);
            this.cacheGraphicsPath.AddBezier(496.8876953125F, 859.18359375F, 496.240234375F, 859.18359375F, 495.8564453125F, 859.7529296875F, 495.8564453125F, 860.5068359375F);
            this.cacheGraphicsPath.AddBezier(495.8564453125F, 860.5068359375F, 495.8564453125F, 861.2109375F, 496.205078125F, 861.787109375F, 496.8740234375F, 861.787109375F);
            this.cacheGraphicsPath.AddBezier(496.8740234375F, 861.787109375F, 497.2939453125F, 861.787109375F, 497.677734375F, 861.5029296875F, 497.791015625F, 861.033203125F);
            this.cacheGraphicsPath.AddBezier(497.791015625F, 861.033203125F, 497.8125F, 860.955078125F, 497.8203125F, 860.869140625F, 497.8203125F, 860.76953125F);
            this.cacheGraphicsPath.AddLine(497.8203125F, 860.76953125F, 497.8203125F, 860.171875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(499.67578125F, 862.2919921875F, 499.4345703125F, 862.2919921875F, 499.263671875F, 862.099609375F, 499.263671875F, 861.84375F);
            this.cacheGraphicsPath.AddBezier(499.263671875F, 861.84375F, 499.263671875F, 861.587890625F, 499.44140625F, 861.3955078125F, 499.6904296875F, 861.3955078125F);
            this.cacheGraphicsPath.AddBezier(499.6904296875F, 861.3955078125F, 499.939453125F, 861.3955078125F, 500.1103515625F, 861.5810546875F, 500.1103515625F, 861.84375F);
            this.cacheGraphicsPath.AddBezier(500.1103515625F, 861.84375F, 500.1103515625F, 862.099609375F, 499.939453125F, 862.2919921875F, 499.68359375F, 862.2919921875F);
            this.cacheGraphicsPath.AddLine(499.68359375F, 862.2919921875F, 499.67578125F, 862.2919921875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(46.080078125F, 842.8369140625F, 46.080078125F, 843.3271484375F, 46.1103515625F, 843.787109375F, 46.16015625F, 844.037109375F);
            this.cacheGraphicsPath.AddLine(44.52978515625F, 844.037109375F, 44.439453125F, 843.607421875F);
            this.cacheGraphicsPath.AddBezier(44.3994140625F, 843.607421875F, 44.0595703125F, 843.9970703125F, 43.5693359375F, 844.1474609375F, 43.0390625F, 844.1474609375F);
            this.cacheGraphicsPath.AddBezier(43.0390625F, 844.1474609375F, 42.02880859375F, 844.1474609375F, 41.40869140625F, 843.4169921875F, 41.40869140625F, 842.5966796875F);
            this.cacheGraphicsPath.AddBezier(41.40869140625F, 842.5966796875F, 41.40869140625F, 841.2763671875F, 42.59912109375F, 840.685546875F, 44.26953125F, 840.685546875F);
            this.cacheGraphicsPath.AddBezier(44.26953125F, 840.6455078125F, 44.26953125F, 840.4462890625F, 44.11962890625F, 840.2255859375F, 43.45947265625F, 840.2255859375F);
            this.cacheGraphicsPath.AddBezier(43.45947265625F, 840.2255859375F, 42.93896484375F, 840.2255859375F, 42.39892578125F, 840.40625F, 42.06884765625F, 840.5859375F);
            this.cacheGraphicsPath.AddBezier(41.7587890625F, 839.455078125F, 42.06884765625F, 839.28515625F, 42.77880859375F, 839.0048828125F, 43.79931640625F, 839.0048828125F);
            this.cacheGraphicsPath.AddBezier(43.79931640625F, 839.0048828125F, 45.48974609375F, 839.0048828125F, 46.080078125F, 839.9453125F, 46.080078125F, 841.17578125F);
            this.cacheGraphicsPath.AddLine(46.080078125F, 841.17578125F, 46.080078125F, 842.8369140625F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(44.32958984375F, 841.7861328125F, 43.58935546875F, 841.7861328125F, 43.17919921875F, 841.986328125F, 43.17919921875F, 842.4267578125F);
            this.cacheGraphicsPath.AddBezier(43.17919921875F, 842.4267578125F, 43.17919921875F, 842.736328125F, 43.37939453125F, 842.896484375F, 43.689453125F, 842.896484375F);
            this.cacheGraphicsPath.AddBezier(43.689453125F, 842.896484375F, 43.94921875F, 842.896484375F, 44.2197265625F, 842.716796875F, 44.3095703125F, 842.4462890625F);
            this.cacheGraphicsPath.AddBezier(44.3095703125F, 842.4462890625F, 44.32958984375F, 842.3662109375F, 44.32958984375F, 842.2763671875F, 44.32958984375F, 842.1865234375F);
            this.cacheGraphicsPath.AddLine(44.32958984375F, 842.1865234375F, 44.32958984375F, 841.7861328125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(51.28173828125F, 840.7763671875F, 51.28173828125F, 839.99609375F, 51.271484375F, 839.525390625F, 51.24169921875F, 839.115234375F);
            this.cacheGraphicsPath.AddLine(52.7822265625F, 839.115234375F, 52.85205078125F, 840.005859375F);
            this.cacheGraphicsPath.AddBezier(52.89208984375F, 840.005859375F, 53.15234375F, 839.255859375F, 53.7724609375F, 839.0048828125F, 54.20263671875F, 839.0048828125F);
            this.cacheGraphicsPath.AddBezier(54.20263671875F, 839.0048828125F, 54.36279296875F, 839.0048828125F, 54.4326171875F, 839.0048828125F, 54.56298828125F, 839.03515625F);
            this.cacheGraphicsPath.AddBezier(54.56298828125F, 840.7255859375F, 54.4326171875F, 840.6962890625F, 54.29248046875F, 840.67578125F, 54.1025390625F, 840.67578125F);
            this.cacheGraphicsPath.AddBezier(54.1025390625F, 840.67578125F, 53.572265625F, 840.67578125F, 53.21240234375F, 840.8955078125F, 53.1123046875F, 841.2958984375F);
            this.cacheGraphicsPath.AddBezier(53.1123046875F, 841.2958984375F, 53.10205078125F, 841.3759765625F, 53.09228515625F, 841.486328125F, 53.09228515625F, 841.6064453125F);
            this.cacheGraphicsPath.AddLine(53.09228515625F, 844.037109375F, 51.28173828125F, 844.037109375F);
            this.cacheGraphicsPath.AddLine(51.28173828125F, 844.037109375F, 51.28173828125F, 840.7763671875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(61.59521484375F, 837.71484375F, 61.59521484375F, 839.115234375F);
            this.cacheGraphicsPath.AddLine(62.61572265625F, 839.115234375F, 62.61572265625F, 840.435546875F);
            this.cacheGraphicsPath.AddLine(61.59521484375F, 840.435546875F, 61.59521484375F, 841.8466796875F);
            this.cacheGraphicsPath.AddBezier(61.59521484375F, 841.8466796875F, 61.59521484375F, 842.4267578125F, 61.7255859375F, 842.6669921875F, 62.16552734375F, 842.6669921875F);
            this.cacheGraphicsPath.AddBezier(62.16552734375F, 842.6669921875F, 62.37548828125F, 842.6669921875F, 62.44580078125F, 842.6669921875F, 62.595703125F, 842.626953125F);
            this.cacheGraphicsPath.AddBezier(62.595703125F, 843.9970703125F, 62.3857421875F, 844.0771484375F, 61.9853515625F, 844.13671875F, 61.525390625F, 844.13671875F);
            this.cacheGraphicsPath.AddBezier(61.525390625F, 844.13671875F, 60.9951171875F, 844.13671875F, 60.55517578125F, 843.947265625F, 60.294921875F, 843.6865234375F);
            this.cacheGraphicsPath.AddBezier(60.294921875F, 843.6865234375F, 59.99462890625F, 843.38671875F, 59.83447265625F, 842.90625F, 59.83447265625F, 842.15625F);
            this.cacheGraphicsPath.AddLine(59.83447265625F, 840.435546875F, 59.224609375F, 840.435546875F);
            this.cacheGraphicsPath.AddLine(59.224609375F, 839.115234375F, 59.83447265625F, 839.115234375F);
            this.cacheGraphicsPath.AddLine(59.83447265625F, 838.1953125F, 61.59521484375F, 837.71484375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(68.9580078125F, 839.115234375F, 69.23779296875F, 840.92578125F);
            this.cacheGraphicsPath.AddBezier(69.23779296875F, 840.92578125F, 69.31787109375F, 841.416015625F, 69.40771484375F, 841.9765625F, 69.47802734375F, 842.556640625F);
            this.cacheGraphicsPath.AddBezier(69.498046875F, 842.556640625F, 69.587890625F, 841.9765625F, 69.72802734375F, 841.40625F, 69.828125F, 840.935546875F);
            this.cacheGraphicsPath.AddLine(70.21826171875F, 839.115234375F, 71.62890625F, 839.115234375F);
            this.cacheGraphicsPath.AddBezier(72.0087890625F, 840.8662109375F, 72.119140625F, 841.416015625F, 72.2490234375F, 841.9765625F, 72.3291015625F, 842.556640625F);
            this.cacheGraphicsPath.AddBezier(72.34912109375F, 842.556640625F, 72.4091796875F, 841.9765625F, 72.4990234375F, 841.40625F, 72.59912109375F, 840.845703125F);
            this.cacheGraphicsPath.AddLine(72.88916015625F, 839.115234375F, 74.64990234375F, 839.115234375F);
            this.cacheGraphicsPath.AddLine(73.17919921875F, 844.037109375F, 71.478515625F, 844.037109375F);
            this.cacheGraphicsPath.AddBezier(71.138671875F, 842.576171875F, 71.03857421875F, 842.1162109375F, 70.96826171875F, 841.7060546875F, 70.86865234375F, 841.076171875F);
            this.cacheGraphicsPath.AddBezier(70.8486328125F, 841.076171875F, 70.7783203125F, 841.7060546875F, 70.6982421875F, 842.13671875F, 70.59814453125F, 842.556640625F);
            this.cacheGraphicsPath.AddLine(70.22802734375F, 844.037109375F, 68.52783203125F, 844.037109375F);
            this.cacheGraphicsPath.AddLine(67.1171875F, 839.115234375F, 68.9580078125F, 839.115234375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(81.58203125F, 844.1474609375F, 80.11181640625F, 844.1474609375F, 78.97119140625F, 843.216796875F, 78.97119140625F, 841.6162109375F);
            this.cacheGraphicsPath.AddBezier(78.97119140625F, 841.6162109375F, 78.97119140625F, 840.0458984375F, 80.00146484375F, 839.0048828125F, 81.68212890625F, 839.0048828125F);
            this.cacheGraphicsPath.AddBezier(81.68212890625F, 839.0048828125F, 83.22265625F, 839.0048828125F, 84.2431640625F, 840.0458984375F, 84.2431640625F, 841.5263671875F);
            this.cacheGraphicsPath.AddBezier(84.2431640625F, 841.5263671875F, 84.2431640625F, 843.31640625F, 82.962890625F, 844.1474609375F, 81.59228515625F, 844.1474609375F);
            this.cacheGraphicsPath.AddLine(81.59228515625F, 844.1474609375F, 81.58203125F, 844.1474609375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(81.63232421875F, 842.876953125F, 82.12255859375F, 842.876953125F, 82.38232421875F, 842.3662109375F, 82.38232421875F, 841.576171875F);
            this.cacheGraphicsPath.AddBezier(82.38232421875F, 841.576171875F, 82.38232421875F, 840.8955078125F, 82.16259765625F, 840.275390625F, 81.63232421875F, 840.275390625F);
            this.cacheGraphicsPath.AddBezier(81.63232421875F, 840.275390625F, 81.03173828125F, 840.275390625F, 80.83203125F, 840.92578125F, 80.83203125F, 841.576171875F);
            this.cacheGraphicsPath.AddBezier(80.83203125F, 841.576171875F, 80.83203125F, 842.31640625F, 81.07177734375F, 842.876953125F, 81.6220703125F, 842.876953125F);
            this.cacheGraphicsPath.AddLine(81.6220703125F, 842.876953125F, 81.63232421875F, 842.876953125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(89.205078125F, 840.7763671875F, 89.205078125F, 839.99609375F, 89.19482421875F, 839.525390625F, 89.1650390625F, 839.115234375F);
            this.cacheGraphicsPath.AddLine(90.70556640625F, 839.115234375F, 90.775390625F, 840.005859375F);
            this.cacheGraphicsPath.AddBezier(90.8154296875F, 840.005859375F, 91.07568359375F, 839.255859375F, 91.69580078125F, 839.0048828125F, 92.1259765625F, 839.0048828125F);
            this.cacheGraphicsPath.AddBezier(92.1259765625F, 839.0048828125F, 92.2861328125F, 839.0048828125F, 92.35595703125F, 839.0048828125F, 92.486328125F, 839.03515625F);
            this.cacheGraphicsPath.AddBezier(92.486328125F, 840.7255859375F, 92.35595703125F, 840.6962890625F, 92.2158203125F, 840.67578125F, 92.02587890625F, 840.67578125F);
            this.cacheGraphicsPath.AddBezier(92.02587890625F, 840.67578125F, 91.49560546875F, 840.67578125F, 91.1357421875F, 840.8955078125F, 91.03564453125F, 841.2958984375F);
            this.cacheGraphicsPath.AddBezier(91.03564453125F, 841.2958984375F, 91.025390625F, 841.3759765625F, 91.015625F, 841.486328125F, 91.015625F, 841.6064453125F);
            this.cacheGraphicsPath.AddLine(91.015625F, 844.037109375F, 89.205078125F, 844.037109375F);
            this.cacheGraphicsPath.AddLine(89.205078125F, 844.037109375F, 89.205078125F, 840.7763671875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(99.09814453125F, 841.1162109375F, 99.1181640625F, 841.1162109375F);
            this.cacheGraphicsPath.AddBezier(99.1181640625F, 841.1162109375F, 99.22802734375F, 840.8955078125F, 99.328125F, 840.6962890625F, 99.4384765625F, 840.515625F);
            this.cacheGraphicsPath.AddLine(100.24853515625F, 839.115234375F, 102.3994140625F, 839.115234375F);
            this.cacheGraphicsPath.AddLine(100.69873046875F, 841.095703125F, 102.6494140625F, 844.037109375F);
            this.cacheGraphicsPath.AddLine(100.4287109375F, 844.037109375F, 99.45849609375F, 842.15625F);
            this.cacheGraphicsPath.AddLine(99.09814453125F, 842.63671875F, 99.09814453125F, 844.037109375F);
            this.cacheGraphicsPath.AddLine(97.28759765625F, 844.037109375F, 97.28759765625F, 836.9248046875F);
            this.cacheGraphicsPath.AddLine(99.09814453125F, 836.9248046875F, 99.09814453125F, 841.1162109375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(117.00439453125F, 843.9267578125F, 116.71435546875F, 844.0673828125F, 116.2041015625F, 844.13671875F, 115.65380859375F, 844.13671875F);
            this.cacheGraphicsPath.AddBezier(115.65380859375F, 844.13671875F, 114.01318359375F, 844.13671875F, 112.98291015625F, 843.1767578125F, 112.98291015625F, 841.6162109375F);
            this.cacheGraphicsPath.AddBezier(112.98291015625F, 841.6162109375F, 112.98291015625F, 840.2158203125F, 113.953125F, 839.015625F, 115.8740234375F, 839.015625F);
            this.cacheGraphicsPath.AddBezier(115.8740234375F, 839.015625F, 116.22412109375F, 839.015625F, 116.654296875F, 839.0654296875F, 117.00439453125F, 839.185546875F);
            this.cacheGraphicsPath.AddBezier(116.75439453125F, 840.505859375F, 116.58447265625F, 840.435546875F, 116.34423828125F, 840.3857421875F, 115.97412109375F, 840.3857421875F);
            this.cacheGraphicsPath.AddBezier(115.97412109375F, 840.3857421875F, 115.3037109375F, 840.3857421875F, 114.82373046875F, 840.845703125F, 114.83349609375F, 841.556640625F);
            this.cacheGraphicsPath.AddBezier(114.83349609375F, 841.556640625F, 114.83349609375F, 842.3564453125F, 115.3837890625F, 842.736328125F, 116.02392578125F, 842.736328125F);
            this.cacheGraphicsPath.AddBezier(116.02392578125F, 842.736328125F, 116.333984375F, 842.736328125F, 116.58447265625F, 842.6962890625F, 116.814453125F, 842.6064453125F);
            this.cacheGraphicsPath.AddLine(116.814453125F, 842.6064453125F, 117.00439453125F, 843.9267578125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(121.84619140625F, 840.7763671875F, 121.84619140625F, 839.99609375F, 121.8359375F, 839.525390625F, 121.80615234375F, 839.115234375F);
            this.cacheGraphicsPath.AddLine(123.3466796875F, 839.115234375F, 123.41650390625F, 840.005859375F);
            this.cacheGraphicsPath.AddBezier(123.45654296875F, 840.005859375F, 123.716796875F, 839.255859375F, 124.3369140625F, 839.0048828125F, 124.76708984375F, 839.0048828125F);
            this.cacheGraphicsPath.AddBezier(124.76708984375F, 839.0048828125F, 124.92724609375F, 839.0048828125F, 124.9970703125F, 839.0048828125F, 125.12744140625F, 839.03515625F);
            this.cacheGraphicsPath.AddBezier(125.12744140625F, 840.7255859375F, 124.9970703125F, 840.6962890625F, 124.85693359375F, 840.67578125F, 124.6669921875F, 840.67578125F);
            this.cacheGraphicsPath.AddBezier(124.6669921875F, 840.67578125F, 124.13671875F, 840.67578125F, 123.77685546875F, 840.8955078125F, 123.6767578125F, 841.2958984375F);
            this.cacheGraphicsPath.AddBezier(123.6767578125F, 841.2958984375F, 123.66650390625F, 841.3759765625F, 123.65673828125F, 841.486328125F, 123.65673828125F, 841.6064453125F);
            this.cacheGraphicsPath.AddLine(123.65673828125F, 844.037109375F, 121.84619140625F, 844.037109375F);
            this.cacheGraphicsPath.AddLine(121.84619140625F, 844.037109375F, 121.84619140625F, 840.7763671875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(131.369140625F, 842.2060546875F, 131.42919921875F, 842.5966796875F, 131.99951171875F, 842.81640625F, 132.6396484375F, 842.81640625F);
            this.cacheGraphicsPath.AddBezier(132.6396484375F, 842.81640625F, 133.10009765625F, 842.81640625F, 133.5400390625F, 842.7666015625F, 133.98046875F, 842.626953125F);
            this.cacheGraphicsPath.AddBezier(134.21044921875F, 843.8271484375F, 133.6201171875F, 844.056640625F, 132.97998046875F, 844.13671875F, 132.36962890625F, 844.13671875F);
            this.cacheGraphicsPath.AddBezier(132.36962890625F, 844.13671875F, 130.63916015625F, 844.13671875F, 129.65869140625F, 843.1865234375F, 129.65869140625F, 841.6259765625F);
            this.cacheGraphicsPath.AddBezier(129.65869140625F, 841.6259765625F, 129.65869140625F, 840.486328125F, 130.39892578125F, 839.0048828125F, 132.20947265625F, 839.0048828125F);
            this.cacheGraphicsPath.AddBezier(132.20947265625F, 839.0048828125F, 133.80029296875F, 839.0048828125F, 134.48046875F, 840.17578125F, 134.48046875F, 841.5263671875F);
            this.cacheGraphicsPath.AddBezier(134.48046875F, 841.5263671875F, 134.48046875F, 841.81640625F, 134.4404296875F, 842.0859375F, 134.41064453125F, 842.2060546875F);
            this.cacheGraphicsPath.AddLine(134.41064453125F, 842.2060546875F, 131.369140625F, 842.2060546875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(132.81982421875F, 840.986328125F, 132.81982421875F, 840.7060546875F, 132.68994140625F, 840.185546875F, 132.11962890625F, 840.185546875F);
            this.cacheGraphicsPath.AddBezier(132.11962890625F, 840.185546875F, 131.58935546875F, 840.185546875F, 131.37939453125F, 840.67578125F, 131.34912109375F, 840.986328125F);
            this.cacheGraphicsPath.AddLine(131.34912109375F, 840.986328125F, 132.81982421875F, 840.986328125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(143.7734375F, 842.8369140625F, 143.7734375F, 843.3271484375F, 143.8037109375F, 843.787109375F, 143.853515625F, 844.037109375F);
            this.cacheGraphicsPath.AddLine(142.22314453125F, 844.037109375F, 142.1328125F, 843.607421875F);
            this.cacheGraphicsPath.AddBezier(142.0927734375F, 843.607421875F, 141.7529296875F, 843.9970703125F, 141.2626953125F, 844.1474609375F, 140.732421875F, 844.1474609375F);
            this.cacheGraphicsPath.AddBezier(140.732421875F, 844.1474609375F, 139.72216796875F, 844.1474609375F, 139.10205078125F, 843.4169921875F, 139.10205078125F, 842.5966796875F);
            this.cacheGraphicsPath.AddBezier(139.10205078125F, 842.5966796875F, 139.10205078125F, 841.2763671875F, 140.29248046875F, 840.685546875F, 141.962890625F, 840.685546875F);
            this.cacheGraphicsPath.AddBezier(141.962890625F, 840.6455078125F, 141.962890625F, 840.4462890625F, 141.81298828125F, 840.2255859375F, 141.15283203125F, 840.2255859375F);
            this.cacheGraphicsPath.AddBezier(141.15283203125F, 840.2255859375F, 140.63232421875F, 840.2255859375F, 140.09228515625F, 840.40625F, 139.76220703125F, 840.5859375F);
            this.cacheGraphicsPath.AddBezier(139.4521484375F, 839.455078125F, 139.76220703125F, 839.28515625F, 140.47216796875F, 839.0048828125F, 141.49267578125F, 839.0048828125F);
            this.cacheGraphicsPath.AddBezier(141.49267578125F, 839.0048828125F, 143.18310546875F, 839.0048828125F, 143.7734375F, 839.9453125F, 143.7734375F, 841.17578125F);
            this.cacheGraphicsPath.AddLine(143.7734375F, 841.17578125F, 143.7734375F, 842.8369140625F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(142.02294921875F, 841.7861328125F, 141.28271484375F, 841.7861328125F, 140.87255859375F, 841.986328125F, 140.87255859375F, 842.4267578125F);
            this.cacheGraphicsPath.AddBezier(140.87255859375F, 842.4267578125F, 140.87255859375F, 842.736328125F, 141.07275390625F, 842.896484375F, 141.3828125F, 842.896484375F);
            this.cacheGraphicsPath.AddBezier(141.3828125F, 842.896484375F, 141.642578125F, 842.896484375F, 141.9130859375F, 842.716796875F, 142.0029296875F, 842.4462890625F);
            this.cacheGraphicsPath.AddBezier(142.0029296875F, 842.4462890625F, 142.02294921875F, 842.3662109375F, 142.02294921875F, 842.2763671875F, 142.02294921875F, 842.1865234375F);
            this.cacheGraphicsPath.AddLine(142.02294921875F, 842.1865234375F, 142.02294921875F, 841.7861328125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(150.8662109375F, 837.71484375F, 150.8662109375F, 839.115234375F);
            this.cacheGraphicsPath.AddLine(151.88671875F, 839.115234375F, 151.88671875F, 840.435546875F);
            this.cacheGraphicsPath.AddLine(150.8662109375F, 840.435546875F, 150.8662109375F, 841.8466796875F);
            this.cacheGraphicsPath.AddBezier(150.8662109375F, 841.8466796875F, 150.8662109375F, 842.4267578125F, 150.99658203125F, 842.6669921875F, 151.4365234375F, 842.6669921875F);
            this.cacheGraphicsPath.AddBezier(151.4365234375F, 842.6669921875F, 151.646484375F, 842.6669921875F, 151.716796875F, 842.6669921875F, 151.86669921875F, 842.626953125F);
            this.cacheGraphicsPath.AddBezier(151.86669921875F, 843.9970703125F, 151.65673828125F, 844.0771484375F, 151.25634765625F, 844.13671875F, 150.79638671875F, 844.13671875F);
            this.cacheGraphicsPath.AddBezier(150.79638671875F, 844.13671875F, 150.26611328125F, 844.13671875F, 149.826171875F, 843.947265625F, 149.56591796875F, 843.6865234375F);
            this.cacheGraphicsPath.AddBezier(149.56591796875F, 843.6865234375F, 149.265625F, 843.38671875F, 149.10595703125F, 842.90625F, 149.10595703125F, 842.15625F);
            this.cacheGraphicsPath.AddLine(149.10595703125F, 840.435546875F, 148.49560546875F, 840.435546875F);
            this.cacheGraphicsPath.AddLine(148.49560546875F, 839.115234375F, 149.10595703125F, 839.115234375F);
            this.cacheGraphicsPath.AddLine(149.10595703125F, 838.1953125F, 150.8662109375F, 837.71484375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(158.23876953125F, 842.2060546875F, 158.298828125F, 842.5966796875F, 158.869140625F, 842.81640625F, 159.50927734375F, 842.81640625F);
            this.cacheGraphicsPath.AddBezier(159.50927734375F, 842.81640625F, 159.9697265625F, 842.81640625F, 160.40966796875F, 842.7666015625F, 160.85009765625F, 842.626953125F);
            this.cacheGraphicsPath.AddBezier(161.080078125F, 843.8271484375F, 160.48974609375F, 844.056640625F, 159.849609375F, 844.13671875F, 159.2392578125F, 844.13671875F);
            this.cacheGraphicsPath.AddBezier(159.2392578125F, 844.13671875F, 157.5087890625F, 844.13671875F, 156.5283203125F, 843.1865234375F, 156.5283203125F, 841.6259765625F);
            this.cacheGraphicsPath.AddBezier(156.5283203125F, 841.6259765625F, 156.5283203125F, 840.486328125F, 157.2685546875F, 839.0048828125F, 159.0791015625F, 839.0048828125F);
            this.cacheGraphicsPath.AddBezier(159.0791015625F, 839.0048828125F, 160.669921875F, 839.0048828125F, 161.35009765625F, 840.17578125F, 161.35009765625F, 841.5263671875F);
            this.cacheGraphicsPath.AddBezier(161.35009765625F, 841.5263671875F, 161.35009765625F, 841.81640625F, 161.31005859375F, 842.0859375F, 161.2802734375F, 842.2060546875F);
            this.cacheGraphicsPath.AddLine(161.2802734375F, 842.2060546875F, 158.23876953125F, 842.2060546875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(159.689453125F, 840.986328125F, 159.689453125F, 840.7060546875F, 159.5595703125F, 840.185546875F, 158.9892578125F, 840.185546875F);
            this.cacheGraphicsPath.AddBezier(158.9892578125F, 840.185546875F, 158.458984375F, 840.185546875F, 158.2490234375F, 840.67578125F, 158.21875F, 840.986328125F);
            this.cacheGraphicsPath.AddLine(158.21875F, 840.986328125F, 159.689453125F, 840.986328125F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(171.25341796875F, 836.9248046875F, 171.25341796875F, 842.486328125F);
            this.cacheGraphicsPath.AddBezier(171.25341796875F, 842.486328125F, 171.25341796875F, 843.0966796875F, 171.2734375F, 843.70703125F, 171.29345703125F, 844.037109375F);
            this.cacheGraphicsPath.AddLine(169.6826171875F, 844.037109375F, 169.61279296875F, 843.376953125F);
            this.cacheGraphicsPath.AddBezier(169.5927734375F, 843.376953125F, 169.2724609375F, 843.9267578125F, 168.67236328125F, 844.1474609375F, 168.1123046875F, 844.1474609375F);
            this.cacheGraphicsPath.AddBezier(168.1123046875F, 844.1474609375F, 166.9716796875F, 844.1474609375F, 166.021484375F, 843.1572265625F, 166.021484375F, 841.6162109375F);
            this.cacheGraphicsPath.AddBezier(166.021484375F, 841.6162109375F, 166.01171875F, 839.9560546875F, 167.06201171875F, 839.0048828125F, 168.22216796875F, 839.0048828125F);
            this.cacheGraphicsPath.AddBezier(168.22216796875F, 839.0048828125F, 168.7626953125F, 839.0048828125F, 169.20263671875F, 839.1650390625F, 169.4228515625F, 839.4853515625F);
            this.cacheGraphicsPath.AddLine(169.44287109375F, 839.4853515625F, 169.44287109375F, 836.9248046875F);
            this.cacheGraphicsPath.AddLine(169.44287109375F, 836.9248046875F, 171.25341796875F, 836.9248046875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(169.44287109375F, 841.24609375F, 169.44287109375F, 841.17578125F, 169.44287109375F, 841.0859375F, 169.4326171875F, 841.015625F);
            this.cacheGraphicsPath.AddBezier(169.4326171875F, 841.015625F, 169.36279296875F, 840.666015625F, 169.1025390625F, 840.3857421875F, 168.72265625F, 840.3857421875F);
            this.cacheGraphicsPath.AddBezier(168.72265625F, 840.3857421875F, 168.1220703125F, 840.3857421875F, 167.85205078125F, 840.92578125F, 167.85205078125F, 841.56640625F);
            this.cacheGraphicsPath.AddBezier(167.85205078125F, 841.56640625F, 167.85205078125F, 842.326171875F, 168.22216796875F, 842.716796875F, 168.71240234375F, 842.716796875F);
            this.cacheGraphicsPath.AddBezier(168.71240234375F, 842.716796875F, 169.08251953125F, 842.716796875F, 169.3525390625F, 842.45703125F, 169.41259765625F, 842.1259765625F);
            this.cacheGraphicsPath.AddBezier(169.41259765625F, 842.1259765625F, 169.44287109375F, 842.0263671875F, 169.44287109375F, 841.916015625F, 169.44287109375F, 841.7958984375F);
            this.cacheGraphicsPath.AddLine(169.44287109375F, 841.7958984375F, 169.44287109375F, 841.24609375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(183.91748046875F, 839.115234375F, 184.197265625F, 840.92578125F);
            this.cacheGraphicsPath.AddBezier(184.197265625F, 840.92578125F, 184.27734375F, 841.416015625F, 184.3671875F, 841.9765625F, 184.4375F, 842.556640625F);
            this.cacheGraphicsPath.AddBezier(184.45751953125F, 842.556640625F, 184.54736328125F, 841.9765625F, 184.6875F, 841.40625F, 184.78759765625F, 840.935546875F);
            this.cacheGraphicsPath.AddLine(185.177734375F, 839.115234375F, 186.58837890625F, 839.115234375F);
            this.cacheGraphicsPath.AddBezier(186.96826171875F, 840.8662109375F, 187.07861328125F, 841.416015625F, 187.20849609375F, 841.9765625F, 187.28857421875F, 842.556640625F);
            this.cacheGraphicsPath.AddBezier(187.30859375F, 842.556640625F, 187.36865234375F, 841.9765625F, 187.45849609375F, 841.40625F, 187.55859375F, 840.845703125F);
            this.cacheGraphicsPath.AddLine(187.8486328125F, 839.115234375F, 189.609375F, 839.115234375F);
            this.cacheGraphicsPath.AddLine(188.138671875F, 844.037109375F, 186.43798828125F, 844.037109375F);
            this.cacheGraphicsPath.AddBezier(186.09814453125F, 842.576171875F, 185.998046875F, 842.1162109375F, 185.92822265625F, 841.7060546875F, 185.828125F, 841.076171875F);
            this.cacheGraphicsPath.AddBezier(185.80810546875F, 841.076171875F, 185.73779296875F, 841.7060546875F, 185.65771484375F, 842.13671875F, 185.5576171875F, 842.556640625F);
            this.cacheGraphicsPath.AddLine(185.1875F, 844.037109375F, 183.4873046875F, 844.037109375F);
            this.cacheGraphicsPath.AddLine(182.07666015625F, 839.115234375F, 183.91748046875F, 839.115234375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddBezier(195.24169921875F, 838.60546875F, 194.68115234375F, 838.60546875F, 194.3310546875F, 838.224609375F, 194.3310546875F, 837.7548828125F);
            this.cacheGraphicsPath.AddBezier(194.3310546875F, 837.7548828125F, 194.3310546875F, 837.2548828125F, 194.69140625F, 836.89453125F, 195.25146484375F, 836.89453125F);
            this.cacheGraphicsPath.AddBezier(195.25146484375F, 836.89453125F, 195.8115234375F, 836.89453125F, 196.16162109375F, 837.2548828125F, 196.171875F, 837.7548828125F);
            this.cacheGraphicsPath.AddBezier(196.171875F, 837.7548828125F, 196.171875F, 838.224609375F, 195.8115234375F, 838.60546875F, 195.25146484375F, 838.60546875F);
            this.cacheGraphicsPath.AddLine(195.25146484375F, 838.60546875F, 195.24169921875F, 838.60546875F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(194.34130859375F, 844.037109375F, 194.34130859375F, 839.115234375F);
            this.cacheGraphicsPath.AddLine(196.15185546875F, 839.115234375F, 196.15185546875F, 844.037109375F);
            this.cacheGraphicsPath.AddLine(196.15185546875F, 844.037109375F, 194.34130859375F, 844.037109375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(203.34375F, 837.71484375F, 203.34375F, 839.115234375F);
            this.cacheGraphicsPath.AddLine(204.3642578125F, 839.115234375F, 204.3642578125F, 840.435546875F);
            this.cacheGraphicsPath.AddLine(203.34375F, 840.435546875F, 203.34375F, 841.8466796875F);
            this.cacheGraphicsPath.AddBezier(203.34375F, 841.8466796875F, 203.34375F, 842.4267578125F, 203.47412109375F, 842.6669921875F, 203.9140625F, 842.6669921875F);
            this.cacheGraphicsPath.AddBezier(203.9140625F, 842.6669921875F, 204.1240234375F, 842.6669921875F, 204.1943359375F, 842.6669921875F, 204.34423828125F, 842.626953125F);
            this.cacheGraphicsPath.AddBezier(204.34423828125F, 843.9970703125F, 204.13427734375F, 844.0771484375F, 203.73388671875F, 844.13671875F, 203.27392578125F, 844.13671875F);
            this.cacheGraphicsPath.AddBezier(203.27392578125F, 844.13671875F, 202.74365234375F, 844.13671875F, 202.3037109375F, 843.947265625F, 202.04345703125F, 843.6865234375F);
            this.cacheGraphicsPath.AddBezier(202.04345703125F, 843.6865234375F, 201.7431640625F, 843.38671875F, 201.58349609375F, 842.90625F, 201.58349609375F, 842.15625F);
            this.cacheGraphicsPath.AddLine(201.58349609375F, 840.435546875F, 200.97314453125F, 840.435546875F);
            this.cacheGraphicsPath.AddLine(200.97314453125F, 839.115234375F, 201.58349609375F, 839.115234375F);
            this.cacheGraphicsPath.AddLine(201.58349609375F, 838.1953125F, 203.34375F, 837.71484375F);
            this.cacheGraphicsPath.CloseFigure();
            this.cacheGraphicsPath.StartFigure();
            this.cacheGraphicsPath.AddLine(209.29638671875F, 836.9248046875F, 211.10693359375F, 836.9248046875F);
            this.cacheGraphicsPath.AddLine(211.10693359375F, 839.6357421875F, 211.126953125F, 839.6357421875F);
            this.cacheGraphicsPath.AddBezier(211.126953125F, 839.6357421875F, 211.287109375F, 839.435546875F, 211.48681640625F, 839.28515625F, 211.70703125F, 839.17578125F);
            this.cacheGraphicsPath.AddBezier(211.70703125F, 839.17578125F, 211.92724609375F, 839.0654296875F, 212.197265625F, 839.0048828125F, 212.45751953125F, 839.0048828125F);
            this.cacheGraphicsPath.AddBezier(212.45751953125F, 839.0048828125F, 213.56787109375F, 839.0048828125F, 214.18798828125F, 839.7958984375F, 214.18798828125F, 841.1865234375F);
            this.cacheGraphicsPath.AddLine(214.18798828125F, 844.037109375F, 212.37744140625F, 844.037109375F);
            this.cacheGraphicsPath.AddBezier(212.37744140625F, 841.3857421875F, 212.37744140625F, 840.8056640625F, 212.1875F, 840.4560546875F, 211.7373046875F, 840.4560546875F);
            this.cacheGraphicsPath.AddBezier(211.7373046875F, 840.4560546875F, 211.39697265625F, 840.4560546875F, 211.23681640625F, 840.65625F, 211.14697265625F, 840.845703125F);
            this.cacheGraphicsPath.AddBezier(211.14697265625F, 840.845703125F, 211.11669921875F, 840.92578125F, 211.10693359375F, 841.0556640625F, 211.10693359375F, 841.1357421875F);
            this.cacheGraphicsPath.AddLine(211.10693359375F, 844.037109375F, 209.29638671875F, 844.037109375F);
            this.cacheGraphicsPath.AddLine(209.29638671875F, 844.037109375F, 209.29638671875F, 836.9248046875F);
            this.cacheGraphicsPath.CloseFigure();

            this.hashTable = new Hashtable();

            foreach(IDrawingObject child in ChildArray)
            {
                this.hashTable.Add(child.Name.ToLower(), child);
            }
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 변환하기 - Transform(sourceMatrix)

        /// <summary>
        /// 변환하기
        /// </summary>
        /// <param name="sourceMatrix">소스 매트릭스</param>
        /// <returns>변환 매트릭스</returns>
        public override Matrix Transform(Matrix sourceMatrix)
        {
            Matrix targetMatrix = new Matrix();

            IDrawingObject currentDrawingObject = this;

            while(currentDrawingObject != null)
            {
                targetMatrix.Multiply(currentDrawingObject.GetRelativeTransform(), MatrixOrder.Append);

                currentDrawingObject = currentDrawingObject.Parent;
            }

            targetMatrix.Multiply(sourceMatrix, MatrixOrder.Append);

            return targetMatrix;
        }
        #endregion

        #region 칠하기 - Paint(graphics, sourceMatrix)

        /// <summary>
        /// 칠하기
        /// </summary>
        /// <param name="graphics">그래픽스</param>
        /// <param name="sourceMatrix">소스 매트릭스</param>
        public override void Paint(Graphics graphics, Matrix sourceMatrix)
        {
            if(!IsVisible)
            {
                return;
            }
                
            GraphicsPath graphicsPath       = new GraphicsPath();
            GraphicsPath radialGraphicsPath = null;
            Pen          pen                = null;
            Brush        brush              = null;

            Matrix saveMatrix = graphics.Transform.Clone();
                
            if(this.SmoothingMode != SmoothingMode.Invalid)
            {
                graphics.SmoothingMode = this.SmoothingMode;
            }

            if(this.TextRenderingHint != TextRenderingHint.SystemDefault)
            {
                graphics.TextRenderingHint = this.TextRenderingHint;
            }

            graphics.Transform = Transform(sourceMatrix);
                
            graphicsPath.StartFigure();
            graphicsPath.AddLine(215.17236328125F, 874.8701171875F, 215.17236328125F, 848.1943359375F);
            graphicsPath.AddLine(41.22265625F, 848.1943359375F, 41.22265625F, 874.8701171875F);
            graphicsPath.AddLine(41.22265625F, 874.8701171875F, 215.17236328125F, 874.8701171875F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddLine(49.0537109375F, 864.568359375F, 50.2109375F, 860.87890625F);
            graphicsPath.AddBezier(50.2109375F, 860.87890625F, 50.4755859375F, 859.982421875F, 50.705078125F, 858.947265625F, 50.921875F, 858.0703125F);
            graphicsPath.AddBezier(50.9716796875F, 858.0703125F, 51.19775390625F, 858.939453125F, 51.44580078125F, 859.9560546875F, 51.73291015625F, 860.8828125F);
            graphicsPath.AddLine(52.91455078125F, 864.568359375F, 49.0537109375F, 864.568359375F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddLine(53.3662109375F, 866.646484375F, 54.72216796875F, 870.8857421875F);
            graphicsPath.AddLine(57.6611328125F, 870.8857421875F, 52.79248046875F, 855.916015625F);
            graphicsPath.AddLine(49.306640625F, 855.916015625F, 44.4990234375F, 870.8857421875F);
            graphicsPath.AddLine(47.32861328125F, 870.8857421875F, 48.60693359375F, 866.646484375F);
            graphicsPath.AddLine(48.60693359375F, 866.646484375F, 53.3662109375F, 866.646484375F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 255, 255, 255));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(66.91259765625F, 866.189453125F, 66.91259765625F, 866.4755859375F, 66.8916015625F, 866.744140625F, 66.8291015625F, 866.98828125F);
            graphicsPath.AddBezier(66.8291015625F, 866.98828125F, 66.552734375F, 868.177734375F, 65.578125F, 868.94140625F, 64.45556640625F, 868.94140625F);
            graphicsPath.AddBezier(64.45556640625F, 868.94140625F, 62.72265625F, 868.94140625F, 61.732421875F, 867.4873046875F, 61.732421875F, 865.494140625F);
            graphicsPath.AddBezier(61.732421875F, 865.494140625F, 61.732421875F, 863.484375F, 62.71337890625F, 861.9248046875F, 64.486328125F, 861.9248046875F);
            graphicsPath.AddBezier(64.486328125F, 861.9248046875F, 65.72216796875F, 861.9248046875F, 66.60693359375F, 862.794921875F, 66.85107421875F, 863.8515625F);
            graphicsPath.AddBezier(66.85107421875F, 863.8515625F, 66.8984375F, 864.07421875F, 66.91259765625F, 864.345703125F, 66.91259765625F, 864.564453125F);
            graphicsPath.AddLine(66.91259765625F, 864.564453125F, 66.91259765625F, 866.189453125F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddLine(66.91259765625F, 855.1171875F, 66.91259765625F, 861.2177734375F);
            graphicsPath.AddBezier(66.86767578125F, 861.2177734375F, 66.380859375F, 860.41796875F, 65.30859375F, 859.806640625F, 63.81982421875F, 859.806640625F);
            graphicsPath.AddBezier(63.81982421875F, 859.806640625F, 61.20654296875F, 859.806640625F, 58.9404296875F, 861.962890625F, 58.95703125F, 865.595703125F);
            graphicsPath.AddBezier(58.95703125F, 865.595703125F, 58.95703125F, 868.927734375F, 61.00439453125F, 871.12890625F, 63.59765625F, 871.12890625F);
            graphicsPath.AddBezier(63.59765625F, 871.12890625F, 65.16748046875F, 871.12890625F, 66.48095703125F, 870.384765625F, 67.12841796875F, 869.17578125F);
            graphicsPath.AddLine(67.17822265625F, 869.17578125F, 67.3017578125F, 870.8857421875F);
            graphicsPath.AddBezier(69.73974609375F, 870.8857421875F, 69.6904296875F, 870.1513671875F, 69.650390625F, 868.958984375F, 69.650390625F, 867.8466796875F);
            graphicsPath.AddLine(69.650390625F, 855.1171875F, 66.91259765625F, 855.1171875F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 255, 255, 255));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(77.3369140625F, 869.1494140625F, 75.708984375F, 869.1494140625F, 74.66845703125F, 867.572265625F, 74.66845703125F, 865.478515625F);
            graphicsPath.AddBezier(74.66845703125F, 865.478515625F, 74.66845703125F, 863.66796875F, 75.45654296875F, 861.78515625F, 77.376953125F, 861.78515625F);
            graphicsPath.AddBezier(77.376953125F, 861.78515625F, 79.26611328125F, 861.78515625F, 80.01806640625F, 863.7353515625F, 80.01806640625F, 865.443359375F);
            graphicsPath.AddBezier(80.01806640625F, 865.443359375F, 80.01806640625F, 867.630859375F, 78.92822265625F, 869.1494140625F, 77.359375F, 869.1494140625F);
            graphicsPath.AddLine(77.359375F, 869.1494140625F, 77.3369140625F, 869.1494140625F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(77.31591796875F, 871.12890625F, 80.0615234375F, 871.12890625F, 82.853515625F, 869.353515625F, 82.853515625F, 865.361328125F);
            graphicsPath.AddBezier(82.853515625F, 865.361328125F, 82.853515625F, 862.068359375F, 80.69873046875F, 859.806640625F, 77.47802734375F, 859.806640625F);
            graphicsPath.AddBezier(77.47802734375F, 859.806640625F, 74.216796875F, 859.806640625F, 71.87841796875F, 861.984375F, 71.87841796875F, 865.548828125F);
            graphicsPath.AddBezier(71.87841796875F, 865.548828125F, 71.87841796875F, 869.029296875F, 74.240234375F, 871.12890625F, 77.29345703125F, 871.12890625F);
            graphicsPath.AddLine(77.29345703125F, 871.12890625F, 77.31591796875F, 871.12890625F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 255, 255, 255));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(87.8525390625F, 864.6474609375F, 87.8525390625F, 864.38671875F, 87.89111328125F, 864.1484375F, 87.94091796875F, 863.93359375F);
            graphicsPath.AddBezier(87.94091796875F, 863.93359375F, 88.236328125F, 862.72265625F, 89.26025390625F, 861.9248046875F, 90.37158203125F, 861.9248046875F);
            graphicsPath.AddBezier(90.37158203125F, 861.9248046875F, 92.18115234375F, 861.9248046875F, 93.10205078125F, 863.498046875F, 93.10205078125F, 865.412109375F);
            graphicsPath.AddBezier(93.10205078125F, 865.412109375F, 93.10205078125F, 867.607421875F, 92.0625F, 868.9765625F, 90.34228515625F, 868.9765625F);
            graphicsPath.AddBezier(90.34228515625F, 868.9765625F, 89.1611328125F, 868.9765625F, 88.2109375F, 868.166015625F, 87.921875F, 867.052734375F);
            graphicsPath.AddBezier(87.921875F, 867.052734375F, 87.876953125F, 866.85546875F, 87.8525390625F, 866.6337890625F, 87.8525390625F, 866.4052734375F);
            graphicsPath.AddLine(87.8525390625F, 866.4052734375F, 87.8525390625F, 864.6474609375F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(85.11376953125F, 867.853515625F, 85.11376953125F, 868.95703125F, 85.07470703125F, 870.1572265625F, 85.025390625F, 870.8857421875F);
            graphicsPath.AddLine(87.365234375F, 870.8857421875F, 87.48828125F, 869.25390625F);
            graphicsPath.AddBezier(87.53759765625F, 869.25390625F, 88.32080078125F, 870.599609375F, 89.5556640625F, 871.12890625F, 90.9560546875F, 871.12890625F);
            graphicsPath.AddBezier(90.9560546875F, 871.12890625F, 93.412109375F, 871.12890625F, 95.87646484375F, 869.2021484375F, 95.87646484375F, 865.298828125F);
            graphicsPath.AddBezier(95.87646484375F, 865.298828125F, 95.8955078125F, 861.986328125F, 94.00537109375F, 859.806640625F, 91.36083984375F, 859.806640625F);
            graphicsPath.AddBezier(91.36083984375F, 859.806640625F, 89.7470703125F, 859.806640625F, 88.56201171875F, 860.4794921875F, 87.89697265625F, 861.5341796875F);
            graphicsPath.AddLine(87.8525390625F, 861.5341796875F, 87.8525390625F, 855.1171875F);
            graphicsPath.AddLine(85.11376953125F, 855.1171875F, 85.11376953125F, 867.853515625F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 255, 255, 255));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(100.05712890625F, 864.32421875F, 100.17919921875F, 863.212890625F, 100.87841796875F, 861.6796875F, 102.5615234375F, 861.6796875F);
            graphicsPath.AddBezier(102.5615234375F, 861.6796875F, 104.392578125F, 861.6796875F, 104.828125F, 863.318359375F, 104.81591796875F, 864.32421875F);
            graphicsPath.AddLine(104.81591796875F, 864.32421875F, 100.05712890625F, 864.32421875F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(107.2900390625F, 866.232421875F, 107.3427734375F, 865.998046875F, 107.38671875F, 865.591796875F, 107.38671875F, 865.08203125F);
            graphicsPath.AddBezier(107.38671875F, 865.08203125F, 107.38671875F, 862.70703125F, 106.244140625F, 859.8115234375F, 102.7314453125F, 859.8115234375F);
            graphicsPath.AddBezier(102.7314453125F, 859.8115234375F, 99.25732421875F, 859.8115234375F, 97.4521484375F, 862.640625F, 97.4521484375F, 865.630859375F);
            graphicsPath.AddBezier(97.4521484375F, 865.630859375F, 97.4521484375F, 868.947265625F, 99.501953125F, 871.126953125F, 103.01123046875F, 871.126953125F);
            graphicsPath.AddBezier(103.01123046875F, 871.126953125F, 104.5791015625F, 871.126953125F, 105.8623046875F, 870.83203125F, 106.7861328125F, 870.4375F);
            graphicsPath.AddBezier(106.380859375F, 868.5478515625F, 105.55615234375F, 868.8515625F, 104.65771484375F, 869.05078125F, 103.400390625F, 869.05078125F);
            graphicsPath.AddBezier(103.400390625F, 869.05078125F, 101.6513671875F, 869.05078125F, 100.134765625F, 868.193359375F, 100.06103515625F, 866.232421875F);
            graphicsPath.AddLine(100.06103515625F, 866.232421875F, 107.2900390625F, 866.232421875F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 255, 255, 255));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddLine(117.01611328125F, 855.916015625F, 117.01611328125F, 870.8857421875F);
            graphicsPath.AddLine(114.27880859375F, 870.8857421875F, 114.27880859375F, 855.916015625F);
            graphicsPath.AddLine(114.27880859375F, 855.916015625F, 117.01611328125F, 855.916015625F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 255, 255, 255));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddLine(120.0537109375F, 855.1171875F, 122.79248046875F, 855.1171875F);
            graphicsPath.AddLine(122.79248046875F, 870.8857421875F, 120.0537109375F, 870.8857421875F);
            graphicsPath.AddLine(120.0537109375F, 870.8857421875F, 120.0537109375F, 855.1171875F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 255, 255, 255));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddLine(125.74267578125F, 855.1171875F, 128.48095703125F, 855.1171875F);
            graphicsPath.AddLine(128.48095703125F, 870.8857421875F, 125.74267578125F, 870.8857421875F);
            graphicsPath.AddLine(125.74267578125F, 870.8857421875F, 125.74267578125F, 855.1171875F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 255, 255, 255));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(141.1181640625F, 867.640625F, 141.1181640625F, 868.927734375F, 141.158203125F, 870.005859375F, 141.20654296875F, 870.8857421875F);
            graphicsPath.AddLine(138.81689453125F, 870.8857421875F, 138.6845703125F, 869.25390625F);
            graphicsPath.AddBezier(138.61962890625F, 869.25390625F, 138.1630859375F, 870.01171875F, 137.09716796875F, 871.12890625F, 135.1630859375F, 871.12890625F);
            graphicsPath.AddBezier(135.1630859375F, 871.12890625F, 133.1943359375F, 871.12890625F, 131.3984375F, 869.94921875F, 131.3984375F, 866.41015625F);
            graphicsPath.AddLine(131.3984375F, 860.048828125F, 134.13623046875F, 860.048828125F);
            graphicsPath.AddBezier(134.13623046875F, 865.951171875F, 134.13623046875F, 867.75390625F, 134.703125F, 868.90625F, 136.1484375F, 868.90625F);
            graphicsPath.AddBezier(136.1484375F, 868.90625F, 137.240234375F, 868.90625F, 137.9501953125F, 868.142578125F, 138.232421875F, 867.4404296875F);
            graphicsPath.AddBezier(138.232421875F, 867.4404296875F, 138.32373046875F, 867.20703125F, 138.38037109375F, 866.912109375F, 138.38037109375F, 866.595703125F);
            graphicsPath.AddLine(138.38037109375F, 860.048828125F, 141.1181640625F, 860.048828125F);
            graphicsPath.AddLine(141.1181640625F, 860.048828125F, 141.1181640625F, 867.640625F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 255, 255, 255));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(143.95703125F, 868.392578125F, 144.5625F, 868.767578125F, 145.740234375F, 869.1845703125F, 146.71875F, 869.1845703125F);
            graphicsPath.AddBezier(146.71875F, 869.1845703125F, 147.91357421875F, 869.1845703125F, 148.4462890625F, 868.67578125F, 148.4462890625F, 867.96484375F);
            graphicsPath.AddBezier(148.4462890625F, 867.96484375F, 148.4462890625F, 867.2265625F, 148.00390625F, 866.8525390625F, 146.68359375F, 866.376953125F);
            graphicsPath.AddBezier(146.68359375F, 866.376953125F, 144.564453125F, 865.6474609375F, 143.68115234375F, 864.4912109375F, 143.69140625F, 863.201171875F);
            graphicsPath.AddBezier(143.69140625F, 863.201171875F, 143.69140625F, 861.2890625F, 145.275390625F, 859.806640625F, 147.791015625F, 859.806640625F);
            graphicsPath.AddBezier(147.791015625F, 859.806640625F, 148.978515625F, 859.806640625F, 150.0205078125F, 860.103515625F, 150.65673828125F, 860.453125F);
            graphicsPath.AddBezier(150.1142578125F, 862.376953125F, 149.65771484375F, 862.1181640625F, 148.783203125F, 861.75F, 147.82958984375F, 861.75F);
            graphicsPath.AddBezier(147.82958984375F, 861.75F, 146.86328125F, 861.75F, 146.32470703125F, 862.234375F, 146.32470703125F, 862.904296875F);
            graphicsPath.AddBezier(146.32470703125F, 862.904296875F, 146.32470703125F, 863.5947265625F, 146.84228515625F, 863.9267578125F, 148.2001953125F, 864.427734375F);
            graphicsPath.AddBezier(148.2001953125F, 864.427734375F, 150.16796875F, 865.126953125F, 151.07666015625F, 866.13671875F, 151.08642578125F, 867.7412109375F);
            graphicsPath.AddBezier(151.08642578125F, 867.7412109375F, 151.08642578125F, 869.71875F, 149.54931640625F, 871.12890625F, 146.703125F, 871.12890625F);
            graphicsPath.AddBezier(146.703125F, 871.12890625F, 145.396484375F, 871.12890625F, 144.2041015625F, 870.8193359375F, 143.40576171875F, 870.37890625F);
            graphicsPath.AddLine(143.40576171875F, 870.37890625F, 143.95703125F, 868.392578125F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 255, 255, 255));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();

            graphicsPath.StartFigure();
            graphicsPath.AddLine(156.50634765625F, 857.2734375F, 156.50634765625F, 860.052734375F);
            graphicsPath.AddLine(159.10986328125F, 860.052734375F, 159.10986328125F, 862.0966796875F);
            graphicsPath.AddLine(156.50634765625F, 862.0966796875F, 156.50634765625F, 866.876953125F);
            graphicsPath.AddBezier(156.50634765625F, 866.876953125F, 156.50634765625F, 868.201171875F, 156.85888671875F, 868.876953125F, 157.9052734375F, 868.876953125F);
            graphicsPath.AddBezier(157.9052734375F, 868.876953125F, 158.40283203125F, 868.876953125F, 158.65869140625F, 868.841796875F, 158.96875F, 868.7578125F);
            graphicsPath.AddBezier(159.02294921875F, 870.845703125F, 158.61328125F, 870.998046875F, 157.89599609375F, 871.126953125F, 157.0322265625F, 871.126953125F);
            graphicsPath.AddBezier(157.0322265625F, 871.126953125F, 156.02685546875F, 871.126953125F, 155.19287109375F, 870.7822265625F, 154.68603515625F, 870.234375F);
            graphicsPath.AddBezier(154.68603515625F, 870.234375F, 154.10009765625F, 869.607421875F, 153.83203125F, 868.609375F, 153.83203125F, 867.189453125F);
            graphicsPath.AddLine(153.83203125F, 862.0966796875F, 152.287109375F, 862.0966796875F);
            graphicsPath.AddLine(152.287109375F, 860.052734375F, 153.83203125F, 860.052734375F);
            graphicsPath.AddLine(153.83203125F, 858.037109375F, 156.50634765625F, 857.2734375F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 255, 255, 255));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(161.14892578125F, 863.533203125F, 161.14892578125F, 862.0810546875F, 161.11962890625F, 861.015625F, 161.0595703125F, 860.048828125F);
            graphicsPath.AddLine(163.43017578125F, 860.048828125F, 163.53125F, 862.1162109375F);
            graphicsPath.AddBezier(163.6083984375F, 862.1162109375F, 164.14208984375F, 860.587890625F, 165.4033203125F, 859.8115234375F, 166.572265625F, 859.8115234375F);
            graphicsPath.AddBezier(166.572265625F, 859.8115234375F, 166.83837890625F, 859.8115234375F, 166.9951171875F, 859.8203125F, 167.21337890625F, 859.876953125F);
            graphicsPath.AddBezier(167.21337890625F, 862.4521484375F, 166.9794921875F, 862.40234375F, 166.740234375F, 862.375F, 166.41064453125F, 862.375F);
            graphicsPath.AddBezier(166.41064453125F, 862.375F, 165.107421875F, 862.375F, 164.203125F, 863.2041015625F, 163.95751953125F, 864.4453125F);
            graphicsPath.AddBezier(163.95751953125F, 864.4453125F, 163.91259765625F, 864.685546875F, 163.88818359375F, 864.978515625F, 163.88818359375F, 865.26953125F);
            graphicsPath.AddLine(163.88818359375F, 870.8857421875F, 161.14892578125F, 870.8857421875F);
            graphicsPath.AddLine(161.14892578125F, 870.8857421875F, 161.14892578125F, 863.533203125F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 255, 255, 255));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(174.79931640625F, 867.072265625F, 174.79931640625F, 867.26953125F, 174.78173828125F, 867.4873046875F, 174.7236328125F, 867.677734375F);
            graphicsPath.AddBezier(174.7236328125F, 867.677734375F, 174.4580078125F, 868.474609375F, 173.66943359375F, 869.1845703125F, 172.57275390625F, 869.1845703125F);
            graphicsPath.AddBezier(172.57275390625F, 869.1845703125F, 171.70458984375F, 869.1845703125F, 171.00634765625F, 868.68359375F, 171.00634765625F, 867.615234375F);
            graphicsPath.AddBezier(171.00634765625F, 867.615234375F, 171.00634765625F, 865.95703125F, 172.86083984375F, 865.5458984375F, 174.79931640625F, 865.572265625F);
            graphicsPath.AddLine(174.79931640625F, 865.572265625F, 174.79931640625F, 867.072265625F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(177.46484375F, 864.369140625F, 177.46484375F, 862.005859375F, 176.47314453125F, 859.8115234375F, 172.99267578125F, 859.8115234375F);
            graphicsPath.AddBezier(172.99267578125F, 859.8115234375F, 171.28271484375F, 859.8115234375F, 169.88232421875F, 860.275390625F, 169.06591796875F, 860.7734375F);
            graphicsPath.AddBezier(169.60791015625F, 862.55078125F, 170.34423828125F, 862.087890625F, 171.45654296875F, 861.7490234375F, 172.52001953125F, 861.7490234375F);
            graphicsPath.AddBezier(172.52001953125F, 861.7490234375F, 174.44287109375F, 861.740234375F, 174.72705078125F, 862.91796875F, 174.72705078125F, 863.623046875F);
            graphicsPath.AddBezier(174.72705078125F, 863.80078125F, 170.7265625F, 863.7861328125F, 168.2978515625F, 865.16796875F, 168.2978515625F, 867.9150390625F);
            graphicsPath.AddBezier(168.2978515625F, 867.9150390625F, 168.2978515625F, 869.5712890625F, 169.51123046875F, 871.12890625F, 171.70751953125F, 871.12890625F);
            graphicsPath.AddBezier(171.70751953125F, 871.12890625F, 173.11376953125F, 871.12890625F, 174.25F, 870.5380859375F, 174.908203125F, 869.6875F);
            graphicsPath.AddLine(174.974609375F, 869.6875F, 175.162109375F, 870.8857421875F);
            graphicsPath.AddBezier(177.6328125F, 870.8857421875F, 177.51416015625F, 870.2177734375F, 177.46484375F, 869.2607421875F, 177.46484375F, 868.2734375F);
            graphicsPath.AddLine(177.46484375F, 868.2734375F, 177.46484375F, 864.369140625F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 255, 255, 255));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddLine(183.2890625F, 857.2734375F, 183.2890625F, 860.052734375F);
            graphicsPath.AddLine(185.8935546875F, 860.052734375F, 185.8935546875F, 862.0966796875F);
            graphicsPath.AddLine(183.2890625F, 862.0966796875F, 183.2890625F, 866.876953125F);
            graphicsPath.AddBezier(183.2890625F, 866.876953125F, 183.2890625F, 868.201171875F, 183.6435546875F, 868.876953125F, 184.68994140625F, 868.876953125F);
            graphicsPath.AddBezier(184.68994140625F, 868.876953125F, 185.185546875F, 868.876953125F, 185.4423828125F, 868.841796875F, 185.75244140625F, 868.7578125F);
            graphicsPath.AddBezier(185.8076171875F, 870.845703125F, 185.39697265625F, 870.998046875F, 184.6787109375F, 871.126953125F, 183.81640625F, 871.126953125F);
            graphicsPath.AddBezier(183.81640625F, 871.126953125F, 182.81201171875F, 871.126953125F, 181.97607421875F, 870.7822265625F, 181.46923828125F, 870.234375F);
            graphicsPath.AddBezier(181.46923828125F, 870.234375F, 180.88232421875F, 869.607421875F, 180.615234375F, 868.609375F, 180.615234375F, 867.189453125F);
            graphicsPath.AddLine(180.615234375F, 862.0966796875F, 179.0712890625F, 862.0966796875F);
            graphicsPath.AddLine(179.0712890625F, 860.052734375F, 180.615234375F, 860.052734375F);
            graphicsPath.AddLine(180.615234375F, 858.037109375F, 183.2890625F, 857.2734375F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 255, 255, 255));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(192.5869140625F, 869.1494140625F, 190.95703125F, 869.1494140625F, 189.91748046875F, 867.572265625F, 189.91748046875F, 865.478515625F);
            graphicsPath.AddBezier(189.91748046875F, 865.478515625F, 189.91748046875F, 863.66796875F, 190.70556640625F, 861.78515625F, 192.626953125F, 861.78515625F);
            graphicsPath.AddBezier(192.626953125F, 861.78515625F, 194.515625F, 861.78515625F, 195.26806640625F, 863.7353515625F, 195.26806640625F, 865.443359375F);
            graphicsPath.AddBezier(195.26806640625F, 865.443359375F, 195.26806640625F, 867.630859375F, 194.1787109375F, 869.1494140625F, 192.609375F, 869.1494140625F);
            graphicsPath.AddLine(192.609375F, 869.1494140625F, 192.5869140625F, 869.1494140625F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(192.56591796875F, 871.12890625F, 195.3115234375F, 871.12890625F, 198.1025390625F, 869.353515625F, 198.1025390625F, 865.361328125F);
            graphicsPath.AddBezier(198.1025390625F, 865.361328125F, 198.1025390625F, 862.068359375F, 195.9482421875F, 859.806640625F, 192.72607421875F, 859.806640625F);
            graphicsPath.AddBezier(192.72607421875F, 859.806640625F, 189.4658203125F, 859.806640625F, 187.1279296875F, 861.984375F, 187.1279296875F, 865.548828125F);
            graphicsPath.AddBezier(187.1279296875F, 865.548828125F, 187.1279296875F, 869.029296875F, 189.48974609375F, 871.12890625F, 192.54345703125F, 871.12890625F);
            graphicsPath.AddLine(192.54345703125F, 871.12890625F, 192.56591796875F, 871.12890625F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 255, 255, 255));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(200.36328125F, 863.533203125F, 200.36328125F, 862.0810546875F, 200.33349609375F, 861.015625F, 200.27490234375F, 860.048828125F);
            graphicsPath.AddLine(202.642578125F, 860.048828125F, 202.74462890625F, 862.1162109375F);
            graphicsPath.AddBezier(202.82275390625F, 862.1162109375F, 203.35498046875F, 860.587890625F, 204.61669921875F, 859.8115234375F, 205.7841796875F, 859.8115234375F);
            graphicsPath.AddBezier(205.7841796875F, 859.8115234375F, 206.05126953125F, 859.8115234375F, 206.20751953125F, 859.8203125F, 206.4267578125F, 859.876953125F);
            graphicsPath.AddBezier(206.4267578125F, 862.4521484375F, 206.1923828125F, 862.40234375F, 205.95361328125F, 862.375F, 205.62353515625F, 862.375F);
            graphicsPath.AddBezier(205.62353515625F, 862.375F, 204.3212890625F, 862.375F, 203.416015625F, 863.2041015625F, 203.17138671875F, 864.4453125F);
            graphicsPath.AddBezier(203.17138671875F, 864.4453125F, 203.125F, 864.685546875F, 203.1015625F, 864.978515625F, 203.1015625F, 865.26953125F);
            graphicsPath.AddLine(203.1015625F, 870.8857421875F, 200.36328125F, 870.8857421875F);
            graphicsPath.AddLine(200.36328125F, 870.8857421875F, 200.36328125F, 863.533203125F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 255, 255, 255));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddLine(210.3271484375F, 859.5625F, 210.3271484375F, 858.7958984375F);
            graphicsPath.AddBezier(210.8037109375F, 858.7958984375F, 211.06103515625F, 858.7958984375F, 211.41259765625F, 858.8193359375F, 211.41259765625F, 859.1474609375F);
            graphicsPath.AddBezier(211.41259765625F, 859.1474609375F, 211.41259765625F, 859.4990234375F, 211.2333984375F, 859.5625F, 210.92822265625F, 859.5625F);
            graphicsPath.AddLine(210.92822265625F, 859.5625F, 210.3271484375F, 859.5625F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddLine(210.3271484375F, 860.0966796875F, 210.64697265625F, 860.0966796875F);
            graphicsPath.AddLine(211.380859375F, 861.427734375F, 212.1796875F, 861.427734375F);
            graphicsPath.AddBezier(211.37353515625F, 860.04296875F, 211.79248046875F, 860.01171875F, 212.13330078125F, 859.802734375F, 212.13330078125F, 859.21875F);
            graphicsPath.AddBezier(212.13330078125F, 859.21875F, 212.13330078125F, 858.4931640625F, 211.65185546875F, 858.2578125F, 210.833984375F, 858.2578125F);
            graphicsPath.AddLine(209.64990234375F, 858.2578125F, 209.64990234375F, 861.427734375F);
            graphicsPath.AddLine(210.3271484375F, 861.427734375F, 210.3271484375F, 860.0966796875F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(213.7646484375F, 859.8505859375F, 213.7646484375F, 857.98828125F, 212.37255859375F, 856.912109375F, 210.81884765625F, 856.912109375F);
            graphicsPath.AddBezier(210.81884765625F, 856.912109375F, 209.25341796875F, 856.912109375F, 207.8623046875F, 857.98828125F, 207.8623046875F, 859.8505859375F);
            graphicsPath.AddBezier(207.8623046875F, 859.8505859375F, 207.8623046875F, 861.70703125F, 209.25341796875F, 862.791015625F, 210.81884765625F, 862.791015625F);
            graphicsPath.AddBezier(210.81884765625F, 862.791015625F, 212.37255859375F, 862.791015625F, 213.7646484375F, 861.70703125F, 213.7646484375F, 859.8505859375F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(212.91552734375F, 859.8505859375F, 212.91552734375F, 861.2021484375F, 211.95458984375F, 862.1142578125F, 210.81884765625F, 862.1142578125F);
            graphicsPath.AddBezier(210.81884765625F, 862.10546875F, 209.64990234375F, 862.1142578125F, 208.7109375F, 861.2021484375F, 208.7109375F, 859.8505859375F);
            graphicsPath.AddBezier(208.7109375F, 859.8505859375F, 208.7109375F, 858.4931640625F, 209.64990234375F, 857.5966796875F, 210.81884765625F, 857.5966796875F);
            graphicsPath.AddBezier(210.81884765625F, 857.5966796875F, 211.95458984375F, 857.5966796875F, 212.91552734375F, 858.4931640625F, 212.91552734375F, 859.8505859375F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 255, 255, 255));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddLine(109.3662109375F, 859.5625F, 109.3662109375F, 858.7958984375F);
            graphicsPath.AddBezier(109.84326171875F, 858.7958984375F, 110.10009765625F, 858.7958984375F, 110.45166015625F, 858.8193359375F, 110.45166015625F, 859.1474609375F);
            graphicsPath.AddBezier(110.45166015625F, 859.1474609375F, 110.45166015625F, 859.4990234375F, 110.27099609375F, 859.5625F, 109.96728515625F, 859.5625F);
            graphicsPath.AddLine(109.96728515625F, 859.5625F, 109.3662109375F, 859.5625F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddLine(109.3662109375F, 860.0966796875F, 109.6865234375F, 860.0966796875F);
            graphicsPath.AddLine(110.419921875F, 861.427734375F, 111.21875F, 861.427734375F);
            graphicsPath.AddBezier(110.41259765625F, 860.04296875F, 110.83154296875F, 860.01171875F, 111.17236328125F, 859.802734375F, 111.17236328125F, 859.21875F);
            graphicsPath.AddBezier(111.17236328125F, 859.21875F, 111.17236328125F, 858.4931640625F, 110.69287109375F, 858.2578125F, 109.8740234375F, 858.2578125F);
            graphicsPath.AddLine(108.68896484375F, 858.2578125F, 108.68896484375F, 861.427734375F);
            graphicsPath.AddLine(109.3662109375F, 861.427734375F, 109.3662109375F, 860.0966796875F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(112.8037109375F, 859.8505859375F, 112.8037109375F, 857.98828125F, 111.41259765625F, 856.912109375F, 109.85791015625F, 856.912109375F);
            graphicsPath.AddBezier(109.85791015625F, 856.912109375F, 108.2939453125F, 856.912109375F, 106.9013671875F, 857.98828125F, 106.9013671875F, 859.8505859375F);
            graphicsPath.AddBezier(106.9013671875F, 859.8505859375F, 106.9013671875F, 861.70703125F, 108.2939453125F, 862.791015625F, 109.85791015625F, 862.791015625F);
            graphicsPath.AddBezier(109.85791015625F, 862.791015625F, 111.41259765625F, 862.791015625F, 112.8037109375F, 861.70703125F, 112.8037109375F, 859.8505859375F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(111.95556640625F, 859.8505859375F, 111.95556640625F, 861.2021484375F, 110.99462890625F, 862.1142578125F, 109.85791015625F, 862.1142578125F);
            graphicsPath.AddBezier(109.85791015625F, 862.10546875F, 108.68896484375F, 862.1142578125F, 107.74951171875F, 861.2021484375F, 107.74951171875F, 859.8505859375F);
            graphicsPath.AddBezier(107.74951171875F, 859.8505859375F, 107.74951171875F, 858.4931640625F, 108.68896484375F, 857.5966796875F, 109.85791015625F, 857.5966796875F);
            graphicsPath.AddBezier(109.85791015625F, 857.5966796875F, 110.99462890625F, 857.5966796875F, 111.95556640625F, 858.4931640625F, 111.95556640625F, 859.8505859375F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 255, 255, 255));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddLine(225.03955078125F, 852.169921875F, 224.54150390625F, 853.677734375F);
            graphicsPath.AddLine(223.9013671875F, 853.677734375F, 225.5302734375F, 848.8828125F);
            graphicsPath.AddLine(226.27734375F, 848.8828125F, 227.91357421875F, 853.677734375F);
            graphicsPath.AddLine(227.251953125F, 853.677734375F, 226.73974609375F, 852.169921875F);
            graphicsPath.AddLine(226.73974609375F, 852.169921875F, 225.03955078125F, 852.169921875F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddLine(226.61181640625F, 851.685546875F, 226.13525390625F, 850.3056640625F);
            graphicsPath.AddBezier(226.13525390625F, 850.3056640625F, 226.03564453125F, 849.9931640625F, 225.96435546875F, 849.7080078125F, 225.89306640625F, 849.4306640625F);
            graphicsPath.AddBezier(225.8720703125F, 849.4306640625F, 225.80810546875F, 849.7080078125F, 225.7294921875F, 850.0068359375F, 225.63720703125F, 850.298828125F);
            graphicsPath.AddLine(225.16748046875F, 851.685546875F, 226.61181640625F, 851.685546875F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddLine(231.484375F, 848.626953125F, 231.484375F, 852.7880859375F);
            graphicsPath.AddBezier(231.484375F, 852.7880859375F, 231.484375F, 853.0947265625F, 231.49169921875F, 853.443359375F, 231.5126953125F, 853.677734375F);
            graphicsPath.AddLine(230.951171875F, 853.677734375F, 230.92236328125F, 853.080078125F);
            graphicsPath.AddBezier(230.908203125F, 853.080078125F, 230.71630859375F, 853.4638671875F, 230.3037109375F, 853.755859375F, 229.74169921875F, 853.755859375F);
            graphicsPath.AddBezier(229.74169921875F, 853.755859375F, 228.9091796875F, 853.755859375F, 228.26220703125F, 853.0517578125F, 228.26220703125F, 852.005859375F);
            graphicsPath.AddBezier(228.26220703125F, 852.005859375F, 228.2548828125F, 850.853515625F, 228.97314453125F, 850.15625F, 229.8056640625F, 850.15625F);
            graphicsPath.AddBezier(229.8056640625F, 850.15625F, 230.33935546875F, 850.15625F, 230.69482421875F, 850.4052734375F, 230.84423828125F, 850.67578125F);
            graphicsPath.AddLine(230.8583984375F, 850.67578125F, 230.8583984375F, 848.626953125F);
            graphicsPath.AddLine(230.8583984375F, 848.626953125F, 231.484375F, 848.626953125F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(230.8583984375F, 851.6357421875F, 230.8583984375F, 851.55078125F, 230.8515625F, 851.451171875F, 230.830078125F, 851.3662109375F);
            graphicsPath.AddBezier(230.830078125F, 851.3662109375F, 230.7373046875F, 850.974609375F, 230.39599609375F, 850.6474609375F, 229.9267578125F, 850.6474609375F);
            graphicsPath.AddBezier(229.9267578125F, 850.6474609375F, 229.279296875F, 850.6474609375F, 228.89501953125F, 851.216796875F, 228.89501953125F, 851.970703125F);
            graphicsPath.AddBezier(228.89501953125F, 851.970703125F, 228.89501953125F, 852.6748046875F, 229.24365234375F, 853.2509765625F, 229.91259765625F, 853.2509765625F);
            graphicsPath.AddBezier(229.91259765625F, 853.2509765625F, 230.33203125F, 853.2509765625F, 230.71630859375F, 852.966796875F, 230.830078125F, 852.4970703125F);
            graphicsPath.AddBezier(230.830078125F, 852.4970703125F, 230.8515625F, 852.4189453125F, 230.8583984375F, 852.3330078125F, 230.8583984375F, 852.2333984375F);
            graphicsPath.AddLine(230.8583984375F, 852.2333984375F, 230.8583984375F, 851.6357421875F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(233.92431640625F, 853.755859375F, 233F, 853.755859375F, 232.2744140625F, 853.0732421875F, 232.2744140625F, 851.984375F);
            graphicsPath.AddBezier(232.2744140625F, 851.984375F, 232.2744140625F, 850.83203125F, 233.03515625F, 850.15625F, 233.9814453125F, 850.15625F);
            graphicsPath.AddBezier(233.9814453125F, 850.15625F, 234.97021484375F, 850.15625F, 235.63916015625F, 850.875F, 235.63916015625F, 851.9208984375F);
            graphicsPath.AddBezier(235.63916015625F, 851.9208984375F, 235.63916015625F, 853.201171875F, 234.74951171875F, 853.755859375F, 233.931640625F, 853.755859375F);
            graphicsPath.AddLine(233.931640625F, 853.755859375F, 233.92431640625F, 853.755859375F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(233.953125F, 853.2861328125F, 234.55078125F, 853.2861328125F, 234.99853515625F, 852.724609375F, 234.99853515625F, 851.9423828125F);
            graphicsPath.AddBezier(234.99853515625F, 851.9423828125F, 234.99853515625F, 851.3583984375F, 234.70703125F, 850.6259765625F, 233.96728515625F, 850.6259765625F);
            graphicsPath.AddBezier(233.96728515625F, 850.6259765625F, 233.234375F, 850.6259765625F, 232.91455078125F, 851.30859375F, 232.91455078125F, 851.962890625F);
            graphicsPath.AddBezier(232.91455078125F, 851.962890625F, 232.91455078125F, 852.7177734375F, 233.34130859375F, 853.2861328125F, 233.94580078125F, 853.2861328125F);
            graphicsPath.AddLine(233.94580078125F, 853.2861328125F, 233.953125F, 853.2861328125F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddLine(236.42822265625F, 848.626953125F, 237.0546875F, 848.626953125F);
            graphicsPath.AddLine(237.0546875F, 850.7822265625F, 237.06884765625F, 850.7822265625F);
            graphicsPath.AddBezier(237.06884765625F, 850.7822265625F, 237.2890625F, 850.3984375F, 237.6875F, 850.15625F, 238.24267578125F, 850.15625F);
            graphicsPath.AddBezier(238.24267578125F, 850.15625F, 239.09619140625F, 850.15625F, 239.693359375F, 850.8681640625F, 239.693359375F, 851.90625F);
            graphicsPath.AddBezier(239.693359375F, 851.90625F, 239.693359375F, 853.14453125F, 238.9111328125F, 853.755859375F, 238.14306640625F, 853.755859375F);
            graphicsPath.AddBezier(238.14306640625F, 853.755859375F, 237.64501953125F, 853.755859375F, 237.25341796875F, 853.5634765625F, 236.990234375F, 853.1083984375F);
            graphicsPath.AddLine(236.97607421875F, 853.1083984375F, 236.9404296875F, 853.677734375F);
            graphicsPath.AddBezier(236.39990234375F, 853.677734375F, 236.42138671875F, 853.443359375F, 236.42822265625F, 853.0947265625F, 236.42822265625F, 852.7880859375F);
            graphicsPath.AddLine(236.42822265625F, 852.7880859375F, 236.42822265625F, 848.626953125F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(237.0546875F, 852.2978515625F, 237.0546875F, 852.3759765625F, 237.0615234375F, 852.4541015625F, 237.07568359375F, 852.525390625F);
            graphicsPath.AddBezier(237.07568359375F, 852.525390625F, 237.19677734375F, 852.958984375F, 237.56640625F, 853.2578125F, 238.0146484375F, 853.2578125F);
            graphicsPath.AddBezier(238.0146484375F, 853.2578125F, 238.67626953125F, 853.2578125F, 239.060546875F, 852.724609375F, 239.060546875F, 851.9345703125F);
            graphicsPath.AddBezier(239.060546875F, 851.9345703125F, 239.060546875F, 851.2373046875F, 238.70458984375F, 850.6474609375F, 238.0361328125F, 850.6474609375F);
            graphicsPath.AddBezier(238.0361328125F, 850.6474609375F, 237.609375F, 850.6474609375F, 237.2109375F, 850.9462890625F, 237.08984375F, 851.416015625F);
            graphicsPath.AddBezier(237.08984375F, 851.416015625F, 237.06884765625F, 851.494140625F, 237.0546875F, 851.5791015625F, 237.0546875F, 851.6787109375F);
            graphicsPath.AddLine(237.0546875F, 851.6787109375F, 237.0546875F, 852.2978515625F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(240.83154296875F, 852.0703125F, 240.845703125F, 852.9091796875F, 241.37939453125F, 853.2578125F, 242.00537109375F, 853.2578125F);
            graphicsPath.AddBezier(242.00537109375F, 853.2578125F, 242.45361328125F, 853.2578125F, 242.73095703125F, 853.1796875F, 242.95849609375F, 853.080078125F);
            graphicsPath.AddBezier(243.072265625F, 853.5283203125F, 242.8515625F, 853.6279296875F, 242.4677734375F, 853.7490234375F, 241.919921875F, 853.7490234375F);
            graphicsPath.AddBezier(241.919921875F, 853.7490234375F, 240.8671875F, 853.7490234375F, 240.22705078125F, 853.044921875F, 240.22705078125F, 852.0126953125F);
            graphicsPath.AddBezier(240.22705078125F, 852.0126953125F, 240.22705078125F, 850.974609375F, 240.845703125F, 850.15625F, 241.8486328125F, 850.15625F);
            graphicsPath.AddBezier(241.8486328125F, 850.15625F, 242.97265625F, 850.15625F, 243.26416015625F, 851.1455078125F, 243.26416015625F, 851.7783203125F);
            graphicsPath.AddBezier(243.26416015625F, 851.7783203125F, 243.26416015625F, 851.90625F, 243.25732421875F, 851.9990234375F, 243.2431640625F, 852.0703125F);
            graphicsPath.AddLine(243.2431640625F, 852.0703125F, 240.83154296875F, 852.0703125F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(242.65966796875F, 851.6220703125F, 242.6669921875F, 851.2236328125F, 242.49609375F, 850.6044921875F, 241.798828125F, 850.6044921875F);
            graphicsPath.AddBezier(241.798828125F, 850.6044921875F, 241.15869140625F, 850.6044921875F, 240.88818359375F, 851.1875F, 240.83837890625F, 851.6220703125F);
            graphicsPath.AddLine(240.83837890625F, 851.6220703125F, 242.65966796875F, 851.6220703125F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(243.548828125F, 854.5595703125F, 243.70556640625F, 854.1328125F, 243.8974609375F, 853.3720703125F, 243.9755859375F, 852.8525390625F);
            graphicsPath.AddBezier(244.6728515625F, 852.78125F, 244.501953125F, 853.3857421875F, 244.18896484375F, 854.17578125F, 243.98974609375F, 854.509765625F);
            graphicsPath.AddLine(243.98974609375F, 854.509765625F, 243.548828125F, 854.5595703125F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(249.3603515625F, 852.8525390625F, 249.3603515625F, 853.1513671875F, 249.375F, 853.443359375F, 249.41015625F, 853.677734375F);
            graphicsPath.AddLine(248.84814453125F, 853.677734375F, 248.79150390625F, 853.244140625F);
            graphicsPath.AddBezier(248.77001953125F, 853.244140625F, 248.5849609375F, 853.513671875F, 248.2080078125F, 853.755859375F, 247.71728515625F, 853.755859375F);
            graphicsPath.AddBezier(247.71728515625F, 853.755859375F, 247.02001953125F, 853.755859375F, 246.66455078125F, 853.265625F, 246.66455078125F, 852.767578125F);
            graphicsPath.AddBezier(246.66455078125F, 852.767578125F, 246.66455078125F, 851.9345703125F, 247.404296875F, 851.4794921875F, 248.734375F, 851.486328125F);
            graphicsPath.AddBezier(248.734375F, 851.416015625F, 248.734375F, 851.130859375F, 248.65625F, 850.611328125F, 247.9521484375F, 850.619140625F);
            graphicsPath.AddBezier(247.9521484375F, 850.619140625F, 247.625F, 850.619140625F, 247.29052734375F, 850.7109375F, 247.048828125F, 850.875F);
            graphicsPath.AddBezier(246.90625F, 850.455078125F, 247.19091796875F, 850.27734375F, 247.61083984375F, 850.15625F, 248.04443359375F, 850.15625F);
            graphicsPath.AddBezier(248.04443359375F, 850.15625F, 249.1044921875F, 850.15625F, 249.3603515625F, 850.875F, 249.3603515625F, 851.5654296875F);
            graphicsPath.AddLine(249.3603515625F, 851.5654296875F, 249.3603515625F, 852.8525390625F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(248.74853515625F, 851.9208984375F, 248.06591796875F, 851.90625F, 247.29052734375F, 852.02734375F, 247.29052734375F, 852.6962890625F);
            graphicsPath.AddBezier(247.29052734375F, 852.6962890625F, 247.29052734375F, 853.1083984375F, 247.56103515625F, 853.2939453125F, 247.8740234375F, 853.2939453125F);
            graphicsPath.AddBezier(247.8740234375F, 853.2939453125F, 248.3291015625F, 853.2939453125F, 248.62060546875F, 853.0087890625F, 248.72021484375F, 852.7177734375F);
            graphicsPath.AddBezier(248.72021484375F, 852.7177734375F, 248.74169921875F, 852.6533203125F, 248.74853515625F, 852.58203125F, 248.74853515625F, 852.5185546875F);
            graphicsPath.AddLine(248.74853515625F, 852.5185546875F, 248.74853515625F, 851.9208984375F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(250.36376953125F, 851.1669921875F, 250.36376953125F, 850.8037109375F, 250.3564453125F, 850.51953125F, 250.3349609375F, 850.234375F);
            graphicsPath.AddLine(250.89013671875F, 850.234375F, 250.92529296875F, 850.796875F);
            graphicsPath.AddBezier(250.93994140625F, 850.796875F, 251.1103515625F, 850.4765625F, 251.5087890625F, 850.15625F, 252.078125F, 850.15625F);
            graphicsPath.AddBezier(252.078125F, 850.15625F, 252.5546875F, 850.15625F, 253.29443359375F, 850.44140625F, 253.29443359375F, 851.6220703125F);
            graphicsPath.AddLine(253.29443359375F, 853.677734375F, 252.66845703125F, 853.677734375F);
            graphicsPath.AddBezier(252.66845703125F, 851.693359375F, 252.66845703125F, 851.138671875F, 252.4619140625F, 850.6689453125F, 251.87158203125F, 850.6689453125F);
            graphicsPath.AddBezier(251.87158203125F, 850.6689453125F, 251.46630859375F, 850.6689453125F, 251.14599609375F, 850.9599609375F, 251.0322265625F, 851.30859375F);
            graphicsPath.AddBezier(251.0322265625F, 851.30859375F, 251.00390625F, 851.38671875F, 250.98974609375F, 851.5009765625F, 250.98974609375F, 851.6005859375F);
            graphicsPath.AddLine(250.98974609375F, 853.677734375F, 250.36376953125F, 853.677734375F);
            graphicsPath.AddLine(250.36376953125F, 853.677734375F, 250.36376953125F, 851.1669921875F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddLine(257.28466796875F, 848.626953125F, 257.28466796875F, 852.7880859375F);
            graphicsPath.AddBezier(257.28466796875F, 852.7880859375F, 257.28466796875F, 853.0947265625F, 257.2919921875F, 853.443359375F, 257.31298828125F, 853.677734375F);
            graphicsPath.AddLine(256.75146484375F, 853.677734375F, 256.72265625F, 853.080078125F);
            graphicsPath.AddBezier(256.70849609375F, 853.080078125F, 256.5166015625F, 853.4638671875F, 256.10400390625F, 853.755859375F, 255.5419921875F, 853.755859375F);
            graphicsPath.AddBezier(255.5419921875F, 853.755859375F, 254.70947265625F, 853.755859375F, 254.0625F, 853.0517578125F, 254.0625F, 852.005859375F);
            graphicsPath.AddBezier(254.0625F, 852.005859375F, 254.05517578125F, 850.853515625F, 254.7734375F, 850.15625F, 255.60595703125F, 850.15625F);
            graphicsPath.AddBezier(255.60595703125F, 850.15625F, 256.1396484375F, 850.15625F, 256.4951171875F, 850.4052734375F, 256.64453125F, 850.67578125F);
            graphicsPath.AddLine(256.65869140625F, 850.67578125F, 256.65869140625F, 848.626953125F);
            graphicsPath.AddLine(256.65869140625F, 848.626953125F, 257.28466796875F, 848.626953125F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(256.65869140625F, 851.6357421875F, 256.65869140625F, 851.55078125F, 256.65185546875F, 851.451171875F, 256.63037109375F, 851.3662109375F);
            graphicsPath.AddBezier(256.63037109375F, 851.3662109375F, 256.53759765625F, 850.974609375F, 256.1962890625F, 850.6474609375F, 255.72705078125F, 850.6474609375F);
            graphicsPath.AddBezier(255.72705078125F, 850.6474609375F, 255.07958984375F, 850.6474609375F, 254.6953125F, 851.216796875F, 254.6953125F, 851.970703125F);
            graphicsPath.AddBezier(254.6953125F, 851.970703125F, 254.6953125F, 852.6748046875F, 255.0439453125F, 853.2509765625F, 255.71240234375F, 853.2509765625F);
            graphicsPath.AddBezier(255.71240234375F, 853.2509765625F, 256.13232421875F, 853.2509765625F, 256.5166015625F, 852.966796875F, 256.63037109375F, 852.4970703125F);
            graphicsPath.AddBezier(256.63037109375F, 852.4970703125F, 256.65185546875F, 852.4189453125F, 256.65869140625F, 852.3330078125F, 256.65869140625F, 852.2333984375F);
            graphicsPath.AddLine(256.65869140625F, 852.2333984375F, 256.65869140625F, 851.6357421875F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddLine(260.4716796875F, 848.8828125F, 260.4716796875F, 853.677734375F);
            graphicsPath.AddLine(259.845703125F, 853.677734375F, 259.845703125F, 848.8828125F);
            graphicsPath.AddLine(259.845703125F, 848.8828125F, 260.4716796875F, 848.8828125F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddLine(261.60302734375F, 848.626953125F, 262.22900390625F, 848.626953125F);
            graphicsPath.AddLine(262.22900390625F, 853.677734375F, 261.60302734375F, 853.677734375F);
            graphicsPath.AddLine(261.60302734375F, 853.677734375F, 261.60302734375F, 848.626953125F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddLine(263.28173828125F, 848.626953125F, 263.90771484375F, 848.626953125F);
            graphicsPath.AddLine(263.90771484375F, 853.677734375F, 263.28173828125F, 853.677734375F);
            graphicsPath.AddLine(263.28173828125F, 853.677734375F, 263.28173828125F, 848.626953125F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(267.84130859375F, 852.7314453125F, 267.84130859375F, 853.0947265625F, 267.84814453125F, 853.4072265625F, 267.86962890625F, 853.677734375F);
            graphicsPath.AddLine(267.31494140625F, 853.677734375F, 267.279296875F, 853.1162109375F);
            graphicsPath.AddBezier(267.26513671875F, 853.1162109375F, 267.1083984375F, 853.3935546875F, 266.73876953125F, 853.755859375F, 266.126953125F, 853.755859375F);
            graphicsPath.AddBezier(266.126953125F, 853.755859375F, 265.58642578125F, 853.755859375F, 264.93896484375F, 853.4501953125F, 264.93896484375F, 852.248046875F);
            graphicsPath.AddLine(264.93896484375F, 850.234375F, 265.56494140625F, 850.234375F);
            graphicsPath.AddBezier(265.56494140625F, 852.1337890625F, 265.56494140625F, 852.7880859375F, 265.77099609375F, 853.236328125F, 266.3330078125F, 853.236328125F);
            graphicsPath.AddBezier(266.3330078125F, 853.236328125F, 266.7529296875F, 853.236328125F, 267.04443359375F, 852.9453125F, 267.158203125F, 852.66015625F);
            graphicsPath.AddBezier(267.158203125F, 852.66015625F, 267.19384765625F, 852.5751953125F, 267.21533203125F, 852.4609375F, 267.21533203125F, 852.3408203125F);
            graphicsPath.AddLine(267.21533203125F, 850.234375F, 267.84130859375F, 850.234375F);
            graphicsPath.AddLine(267.84130859375F, 850.234375F, 267.84130859375F, 852.7314453125F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();

            graphicsPath.StartFigure();
            graphicsPath.AddBezier(268.79443359375F, 853.037109375F, 268.986328125F, 853.1513671875F, 269.3134765625F, 853.279296875F, 269.62646484375F, 853.279296875F);
            graphicsPath.AddBezier(269.62646484375F, 853.279296875F, 270.07470703125F, 853.279296875F, 270.2880859375F, 853.05859375F, 270.2880859375F, 852.767578125F);
            graphicsPath.AddBezier(270.2880859375F, 852.767578125F, 270.2880859375F, 852.46875F, 270.1103515625F, 852.3115234375F, 269.65478515625F, 852.1416015625F);
            graphicsPath.AddBezier(269.65478515625F, 852.1416015625F, 269.02880859375F, 851.9130859375F, 268.7373046875F, 851.572265625F, 268.7373046875F, 851.1669921875F);
            graphicsPath.AddBezier(268.7373046875F, 851.1669921875F, 268.7373046875F, 850.611328125F, 269.19287109375F, 850.15625F, 269.92529296875F, 850.15625F);
            graphicsPath.AddBezier(269.92529296875F, 850.15625F, 270.27392578125F, 850.15625F, 270.57958984375F, 850.2490234375F, 270.7646484375F, 850.3701171875F);
            graphicsPath.AddBezier(270.615234375F, 850.818359375F, 270.47998046875F, 850.740234375F, 270.2314453125F, 850.619140625F, 269.9111328125F, 850.619140625F);
            graphicsPath.AddBezier(269.9111328125F, 850.619140625F, 269.541015625F, 850.619140625F, 269.341796875F, 850.83203125F, 269.341796875F, 851.087890625F);
            graphicsPath.AddBezier(269.341796875F, 851.087890625F, 269.341796875F, 851.373046875F, 269.541015625F, 851.5009765625F, 269.9892578125F, 851.6787109375F);
            graphicsPath.AddBezier(269.9892578125F, 851.6787109375F, 270.57958984375F, 851.8994140625F, 270.892578125F, 852.1982421875F, 270.892578125F, 852.7099609375F);
            graphicsPath.AddBezier(270.892578125F, 852.7099609375F, 270.892578125F, 853.322265625F, 270.416015625F, 853.7490234375F, 269.6123046875F, 853.7490234375F);
            graphicsPath.AddBezier(269.6123046875F, 853.7490234375F, 269.2353515625F, 853.7490234375F, 268.88671875F, 853.6494140625F, 268.64501953125F, 853.5068359375F);
            graphicsPath.AddLine(268.64501953125F, 853.5068359375F, 268.79443359375F, 853.037109375F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddLine(272.45068359375F, 849.4091796875F, 272.45068359375F, 850.234375F);
            graphicsPath.AddLine(273.3466796875F, 850.234375F, 273.3466796875F, 850.7109375F);
            graphicsPath.AddLine(272.45068359375F, 850.7109375F, 272.45068359375F, 852.560546875F);
            graphicsPath.AddBezier(272.45068359375F, 852.560546875F, 272.45068359375F, 852.9873046875F, 272.5712890625F, 853.2294921875F, 272.919921875F, 853.2294921875F);
            graphicsPath.AddBezier(272.919921875F, 853.2294921875F, 273.0908203125F, 853.2294921875F, 273.1904296875F, 853.2158203125F, 273.28271484375F, 853.1865234375F);
            graphicsPath.AddBezier(273.3115234375F, 853.6630859375F, 273.1904296875F, 853.7060546875F, 272.99853515625F, 853.7490234375F, 272.75634765625F, 853.7490234375F);
            graphicsPath.AddBezier(272.75634765625F, 853.7490234375F, 272.46484375F, 853.7490234375F, 272.22998046875F, 853.6494140625F, 272.08056640625F, 853.4853515625F);
            graphicsPath.AddBezier(272.08056640625F, 853.4853515625F, 271.91015625F, 853.2939453125F, 271.8388671875F, 852.9873046875F, 271.8388671875F, 852.58203125F);
            graphicsPath.AddLine(271.8388671875F, 850.7109375F, 271.30517578125F, 850.7109375F);
            graphicsPath.AddLine(271.30517578125F, 850.234375F, 271.8388671875F, 850.234375F);
            graphicsPath.AddLine(271.8388671875F, 849.6015625F, 272.45068359375F, 849.4091796875F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(274.05126953125F, 851.30859375F, 274.05126953125F, 850.9033203125F, 274.0439453125F, 850.5546875F, 274.0224609375F, 850.234375F);
            graphicsPath.AddLine(274.5703125F, 850.234375F, 274.5986328125F, 850.91015625F);
            graphicsPath.AddBezier(274.6201171875F, 850.91015625F, 274.77685546875F, 850.4482421875F, 275.16064453125F, 850.15625F, 275.58056640625F, 850.15625F);
            graphicsPath.AddBezier(275.58056640625F, 850.15625F, 275.64453125F, 850.15625F, 275.6943359375F, 850.1640625F, 275.7509765625F, 850.1708984375F);
            graphicsPath.AddBezier(275.7509765625F, 850.7607421875F, 275.68701171875F, 850.75390625F, 275.623046875F, 850.7470703125F, 275.53759765625F, 850.7470703125F);
            graphicsPath.AddBezier(275.53759765625F, 850.7470703125F, 275.0966796875F, 850.7470703125F, 274.78369140625F, 851.0810546875F, 274.6982421875F, 851.5439453125F);
            graphicsPath.AddBezier(274.6982421875F, 851.5439453125F, 274.68408203125F, 851.6357421875F, 274.67724609375F, 851.7353515625F, 274.67724609375F, 851.8349609375F);
            graphicsPath.AddLine(274.67724609375F, 853.677734375F, 274.05126953125F, 853.677734375F);
            graphicsPath.AddLine(274.05126953125F, 853.677734375F, 274.05126953125F, 851.30859375F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();

            graphicsPath.StartFigure();
            graphicsPath.AddBezier(278.76708984375F, 852.8525390625F, 278.76708984375F, 853.1513671875F, 278.78173828125F, 853.443359375F, 278.81689453125F, 853.677734375F);
            graphicsPath.AddLine(278.2548828125F, 853.677734375F, 278.1982421875F, 853.244140625F);
            graphicsPath.AddBezier(278.1767578125F, 853.244140625F, 277.99169921875F, 853.513671875F, 277.61474609375F, 853.755859375F, 277.1240234375F, 853.755859375F);
            graphicsPath.AddBezier(277.1240234375F, 853.755859375F, 276.4267578125F, 853.755859375F, 276.0712890625F, 853.265625F, 276.0712890625F, 852.767578125F);
            graphicsPath.AddBezier(276.0712890625F, 852.767578125F, 276.0712890625F, 851.9345703125F, 276.81103515625F, 851.4794921875F, 278.14111328125F, 851.486328125F);
            graphicsPath.AddBezier(278.14111328125F, 851.416015625F, 278.14111328125F, 851.130859375F, 278.06298828125F, 850.611328125F, 277.35888671875F, 850.619140625F);
            graphicsPath.AddBezier(277.35888671875F, 850.619140625F, 277.03173828125F, 850.619140625F, 276.697265625F, 850.7109375F, 276.45556640625F, 850.875F);
            graphicsPath.AddBezier(276.31298828125F, 850.455078125F, 276.59765625F, 850.27734375F, 277.01708984375F, 850.15625F, 277.451171875F, 850.15625F);
            graphicsPath.AddBezier(277.451171875F, 850.15625F, 278.51123046875F, 850.15625F, 278.76708984375F, 850.875F, 278.76708984375F, 851.5654296875F);
            graphicsPath.AddLine(278.76708984375F, 851.5654296875F, 278.76708984375F, 852.8525390625F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(278.15576171875F, 851.9208984375F, 277.47265625F, 851.90625F, 276.697265625F, 852.02734375F, 276.697265625F, 852.6962890625F);
            graphicsPath.AddBezier(276.697265625F, 852.6962890625F, 276.697265625F, 853.1083984375F, 276.9677734375F, 853.2939453125F, 277.28076171875F, 853.2939453125F);
            graphicsPath.AddBezier(277.28076171875F, 853.2939453125F, 277.73583984375F, 853.2939453125F, 278.02734375F, 853.0087890625F, 278.126953125F, 852.7177734375F);
            graphicsPath.AddBezier(278.126953125F, 852.7177734375F, 278.1484375F, 852.6533203125F, 278.15576171875F, 852.58203125F, 278.15576171875F, 852.5185546875F);
            graphicsPath.AddLine(278.15576171875F, 852.5185546875F, 278.15576171875F, 851.9208984375F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddLine(280.49609375F, 849.4091796875F, 280.49609375F, 850.234375F);
            graphicsPath.AddLine(281.39208984375F, 850.234375F, 281.39208984375F, 850.7109375F);
            graphicsPath.AddLine(280.49609375F, 850.7109375F, 280.49609375F, 852.560546875F);
            graphicsPath.AddBezier(280.49609375F, 852.560546875F, 280.49609375F, 852.9873046875F, 280.61669921875F, 853.2294921875F, 280.96533203125F, 853.2294921875F);
            graphicsPath.AddBezier(280.96533203125F, 853.2294921875F, 281.13623046875F, 853.2294921875F, 281.23583984375F, 853.2158203125F, 281.328125F, 853.1865234375F);
            graphicsPath.AddBezier(281.35693359375F, 853.6630859375F, 281.23583984375F, 853.7060546875F, 281.0439453125F, 853.7490234375F, 280.8017578125F, 853.7490234375F);
            graphicsPath.AddBezier(280.8017578125F, 853.7490234375F, 280.51025390625F, 853.7490234375F, 280.275390625F, 853.6494140625F, 280.1259765625F, 853.4853515625F);
            graphicsPath.AddBezier(280.1259765625F, 853.4853515625F, 279.95556640625F, 853.2939453125F, 279.88427734375F, 852.9873046875F, 279.88427734375F, 852.58203125F);
            graphicsPath.AddLine(279.88427734375F, 850.7109375F, 279.3505859375F, 850.7109375F);
            graphicsPath.AddLine(279.3505859375F, 850.234375F, 279.88427734375F, 850.234375F);
            graphicsPath.AddLine(279.88427734375F, 849.6015625F, 280.49609375F, 849.4091796875F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(283.45458984375F, 853.755859375F, 282.5302734375F, 853.755859375F, 281.8046875F, 853.0732421875F, 281.8046875F, 851.984375F);
            graphicsPath.AddBezier(281.8046875F, 851.984375F, 281.8046875F, 850.83203125F, 282.5654296875F, 850.15625F, 283.51171875F, 850.15625F);
            graphicsPath.AddBezier(283.51171875F, 850.15625F, 284.50048828125F, 850.15625F, 285.16943359375F, 850.875F, 285.16943359375F, 851.9208984375F);
            graphicsPath.AddBezier(285.16943359375F, 851.9208984375F, 285.16943359375F, 853.201171875F, 284.27978515625F, 853.755859375F, 283.4619140625F, 853.755859375F);
            graphicsPath.AddLine(283.4619140625F, 853.755859375F, 283.45458984375F, 853.755859375F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(283.4833984375F, 853.2861328125F, 284.0810546875F, 853.2861328125F, 284.52880859375F, 852.724609375F, 284.52880859375F, 851.9423828125F);
            graphicsPath.AddBezier(284.52880859375F, 851.9423828125F, 284.52880859375F, 851.3583984375F, 284.2373046875F, 850.6259765625F, 283.49755859375F, 850.6259765625F);
            graphicsPath.AddBezier(283.49755859375F, 850.6259765625F, 282.7646484375F, 850.6259765625F, 282.44482421875F, 851.30859375F, 282.44482421875F, 851.962890625F);
            graphicsPath.AddBezier(282.44482421875F, 851.962890625F, 282.44482421875F, 852.7177734375F, 282.87158203125F, 853.2861328125F, 283.47607421875F, 853.2861328125F);
            graphicsPath.AddLine(283.47607421875F, 853.2861328125F, 283.4833984375F, 853.2861328125F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(285.95947265625F, 851.30859375F, 285.95947265625F, 850.9033203125F, 285.9521484375F, 850.5546875F, 285.9306640625F, 850.234375F);
            graphicsPath.AddLine(286.478515625F, 850.234375F, 286.5068359375F, 850.91015625F);
            graphicsPath.AddBezier(286.5283203125F, 850.91015625F, 286.68505859375F, 850.4482421875F, 287.06884765625F, 850.15625F, 287.48876953125F, 850.15625F);
            graphicsPath.AddBezier(287.48876953125F, 850.15625F, 287.552734375F, 850.15625F, 287.6025390625F, 850.1640625F, 287.6591796875F, 850.1708984375F);
            graphicsPath.AddBezier(287.6591796875F, 850.7607421875F, 287.59521484375F, 850.75390625F, 287.53125F, 850.7470703125F, 287.44580078125F, 850.7470703125F);
            graphicsPath.AddBezier(287.44580078125F, 850.7470703125F, 287.0048828125F, 850.7470703125F, 286.69189453125F, 851.0810546875F, 286.6064453125F, 851.5439453125F);
            graphicsPath.AddBezier(286.6064453125F, 851.5439453125F, 286.59228515625F, 851.6357421875F, 286.58544921875F, 851.7353515625F, 286.58544921875F, 851.8349609375F);
            graphicsPath.AddLine(286.58544921875F, 853.677734375F, 285.95947265625F, 853.677734375F);
            graphicsPath.AddLine(285.95947265625F, 853.677734375F, 285.95947265625F, 851.30859375F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(292.21875F, 852.8525390625F, 292.21875F, 853.1513671875F, 292.2333984375F, 853.443359375F, 292.2685546875F, 853.677734375F);
            graphicsPath.AddLine(291.70654296875F, 853.677734375F, 291.64990234375F, 853.244140625F);
            graphicsPath.AddBezier(291.62841796875F, 853.244140625F, 291.443359375F, 853.513671875F, 291.06640625F, 853.755859375F, 290.57568359375F, 853.755859375F);
            graphicsPath.AddBezier(290.57568359375F, 853.755859375F, 289.87841796875F, 853.755859375F, 289.52294921875F, 853.265625F, 289.52294921875F, 852.767578125F);
            graphicsPath.AddBezier(289.52294921875F, 852.767578125F, 289.52294921875F, 851.9345703125F, 290.2626953125F, 851.4794921875F, 291.5927734375F, 851.486328125F);
            graphicsPath.AddBezier(291.5927734375F, 851.416015625F, 291.5927734375F, 851.130859375F, 291.5146484375F, 850.611328125F, 290.810546875F, 850.619140625F);
            graphicsPath.AddBezier(290.810546875F, 850.619140625F, 290.4833984375F, 850.619140625F, 290.14892578125F, 850.7109375F, 289.9072265625F, 850.875F);
            graphicsPath.AddBezier(289.7646484375F, 850.455078125F, 290.04931640625F, 850.27734375F, 290.46923828125F, 850.15625F, 290.90283203125F, 850.15625F);
            graphicsPath.AddBezier(290.90283203125F, 850.15625F, 291.962890625F, 850.15625F, 292.21875F, 850.875F, 292.21875F, 851.5654296875F);
            graphicsPath.AddLine(292.21875F, 851.5654296875F, 292.21875F, 852.8525390625F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(291.60693359375F, 851.9208984375F, 290.92431640625F, 851.90625F, 290.14892578125F, 852.02734375F, 290.14892578125F, 852.6962890625F);
            graphicsPath.AddBezier(290.14892578125F, 852.6962890625F, 290.14892578125F, 853.1083984375F, 290.41943359375F, 853.2939453125F, 290.732421875F, 853.2939453125F);
            graphicsPath.AddBezier(290.732421875F, 853.2939453125F, 291.1875F, 853.2939453125F, 291.47900390625F, 853.0087890625F, 291.57861328125F, 852.7177734375F);
            graphicsPath.AddBezier(291.57861328125F, 852.7177734375F, 291.60009765625F, 852.6533203125F, 291.60693359375F, 852.58203125F, 291.60693359375F, 852.5185546875F);
            graphicsPath.AddLine(291.60693359375F, 852.5185546875F, 291.60693359375F, 851.9208984375F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(293.22216796875F, 851.30859375F, 293.22216796875F, 850.9033203125F, 293.21484375F, 850.5546875F, 293.193359375F, 850.234375F);
            graphicsPath.AddLine(293.7412109375F, 850.234375F, 293.76953125F, 850.91015625F);
            graphicsPath.AddBezier(293.791015625F, 850.91015625F, 293.94775390625F, 850.4482421875F, 294.33154296875F, 850.15625F, 294.75146484375F, 850.15625F);
            graphicsPath.AddBezier(294.75146484375F, 850.15625F, 294.81494140625F, 850.15625F, 294.86474609375F, 850.1640625F, 294.92236328125F, 850.1708984375F);
            graphicsPath.AddBezier(294.92236328125F, 850.7607421875F, 294.85791015625F, 850.75390625F, 294.79443359375F, 850.7470703125F, 294.70849609375F, 850.7470703125F);
            graphicsPath.AddBezier(294.70849609375F, 850.7470703125F, 294.26806640625F, 850.7470703125F, 293.95458984375F, 851.0810546875F, 293.869140625F, 851.5439453125F);
            graphicsPath.AddBezier(293.869140625F, 851.5439453125F, 293.85498046875F, 851.6357421875F, 293.84814453125F, 851.7353515625F, 293.84814453125F, 851.8349609375F);
            graphicsPath.AddLine(293.84814453125F, 853.677734375F, 293.22216796875F, 853.677734375F);
            graphicsPath.AddLine(293.22216796875F, 853.677734375F, 293.22216796875F, 851.30859375F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(295.83251953125F, 852.0703125F, 295.84716796875F, 852.9091796875F, 296.38037109375F, 853.2578125F, 297.00634765625F, 853.2578125F);
            graphicsPath.AddBezier(297.00634765625F, 853.2578125F, 297.45458984375F, 853.2578125F, 297.73193359375F, 853.1796875F, 297.95947265625F, 853.080078125F);
            graphicsPath.AddBezier(298.07373046875F, 853.5283203125F, 297.85302734375F, 853.6279296875F, 297.46826171875F, 853.7490234375F, 296.92041015625F, 853.7490234375F);
            graphicsPath.AddBezier(296.92041015625F, 853.7490234375F, 295.86767578125F, 853.7490234375F, 295.22802734375F, 853.044921875F, 295.22802734375F, 852.0126953125F);
            graphicsPath.AddBezier(295.22802734375F, 852.0126953125F, 295.22802734375F, 850.974609375F, 295.84716796875F, 850.15625F, 296.85009765625F, 850.15625F);
            graphicsPath.AddBezier(296.85009765625F, 850.15625F, 297.97412109375F, 850.15625F, 298.26513671875F, 851.1455078125F, 298.26513671875F, 851.7783203125F);
            graphicsPath.AddBezier(298.26513671875F, 851.7783203125F, 298.26513671875F, 851.90625F, 298.25830078125F, 851.9990234375F, 298.24365234375F, 852.0703125F);
            graphicsPath.AddLine(298.24365234375F, 852.0703125F, 295.83251953125F, 852.0703125F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(297.66064453125F, 851.6220703125F, 297.66748046875F, 851.2236328125F, 297.49658203125F, 850.6044921875F, 296.80029296875F, 850.6044921875F);
            graphicsPath.AddBezier(296.80029296875F, 850.6044921875F, 296.15966796875F, 850.6044921875F, 295.88916015625F, 851.1875F, 295.83935546875F, 851.6220703125F);
            graphicsPath.AddLine(295.83935546875F, 851.6220703125F, 297.66064453125F, 851.6220703125F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(300.90478515625F, 852.0703125F, 300.91943359375F, 852.9091796875F, 301.45263671875F, 853.2578125F, 302.07861328125F, 853.2578125F);
            graphicsPath.AddBezier(302.07861328125F, 853.2578125F, 302.52685546875F, 853.2578125F, 302.80419921875F, 853.1796875F, 303.03173828125F, 853.080078125F);
            graphicsPath.AddBezier(303.14599609375F, 853.5283203125F, 302.92529296875F, 853.6279296875F, 302.54052734375F, 853.7490234375F, 301.99267578125F, 853.7490234375F);
            graphicsPath.AddBezier(301.99267578125F, 853.7490234375F, 300.93994140625F, 853.7490234375F, 300.30029296875F, 853.044921875F, 300.30029296875F, 852.0126953125F);
            graphicsPath.AddBezier(300.30029296875F, 852.0126953125F, 300.30029296875F, 850.974609375F, 300.91943359375F, 850.15625F, 301.92236328125F, 850.15625F);
            graphicsPath.AddBezier(301.92236328125F, 850.15625F, 303.04638671875F, 850.15625F, 303.33740234375F, 851.1455078125F, 303.33740234375F, 851.7783203125F);
            graphicsPath.AddBezier(303.33740234375F, 851.7783203125F, 303.33740234375F, 851.90625F, 303.33056640625F, 851.9990234375F, 303.31591796875F, 852.0703125F);
            graphicsPath.AddLine(303.31591796875F, 852.0703125F, 300.90478515625F, 852.0703125F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(302.73291015625F, 851.6220703125F, 302.73974609375F, 851.2236328125F, 302.56884765625F, 850.6044921875F, 301.87255859375F, 850.6044921875F);
            graphicsPath.AddBezier(301.87255859375F, 850.6044921875F, 301.23193359375F, 850.6044921875F, 300.96142578125F, 851.1875F, 300.91162109375F, 851.6220703125F);
            graphicsPath.AddLine(300.91162109375F, 851.6220703125F, 302.73291015625F, 851.6220703125F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(304.41162109375F, 849.6513671875F, 304.18408203125F, 849.6513671875F, 304.03466796875F, 849.4736328125F, 304.03466796875F, 849.267578125F);
            graphicsPath.AddBezier(304.03466796875F, 849.267578125F, 304.03466796875F, 849.046875F, 304.19091796875F, 848.8759765625F, 304.42529296875F, 848.8759765625F);
            graphicsPath.AddBezier(304.42529296875F, 848.8759765625F, 304.65283203125F, 848.8759765625F, 304.81005859375F, 849.046875F, 304.81005859375F, 849.267578125F);
            graphicsPath.AddBezier(304.81005859375F, 849.267578125F, 304.81005859375F, 849.4736328125F, 304.66064453125F, 849.6513671875F, 304.41845703125F, 849.6513671875F);
            graphicsPath.AddLine(304.41845703125F, 849.6513671875F, 304.41162109375F, 849.6513671875F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddLine(304.11279296875F, 853.677734375F, 304.11279296875F, 850.234375F);
            graphicsPath.AddLine(304.73876953125F, 850.234375F, 304.73876953125F, 853.677734375F);
            graphicsPath.AddLine(304.73876953125F, 853.677734375F, 304.11279296875F, 853.677734375F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddLine(306.5322265625F, 849.4091796875F, 306.5322265625F, 850.234375F);
            graphicsPath.AddLine(307.4287109375F, 850.234375F, 307.4287109375F, 850.7109375F);
            graphicsPath.AddLine(306.5322265625F, 850.7109375F, 306.5322265625F, 852.560546875F);
            graphicsPath.AddBezier(306.5322265625F, 852.560546875F, 306.5322265625F, 852.9873046875F, 306.6533203125F, 853.2294921875F, 307.001953125F, 853.2294921875F);
            graphicsPath.AddBezier(307.001953125F, 853.2294921875F, 307.171875F, 853.2294921875F, 307.271484375F, 853.2158203125F, 307.3642578125F, 853.1865234375F);
            graphicsPath.AddBezier(307.392578125F, 853.6630859375F, 307.271484375F, 853.7060546875F, 307.080078125F, 853.7490234375F, 306.837890625F, 853.7490234375F);
            graphicsPath.AddBezier(306.837890625F, 853.7490234375F, 306.5458984375F, 853.7490234375F, 306.3115234375F, 853.6494140625F, 306.162109375F, 853.4853515625F);
            graphicsPath.AddBezier(306.162109375F, 853.4853515625F, 305.99072265625F, 853.2939453125F, 305.91943359375F, 852.9873046875F, 305.91943359375F, 852.58203125F);
            graphicsPath.AddLine(305.91943359375F, 850.7109375F, 305.38623046875F, 850.7109375F);
            graphicsPath.AddLine(305.38623046875F, 850.234375F, 305.91943359375F, 850.234375F);
            graphicsPath.AddLine(305.91943359375F, 849.6015625F, 306.5322265625F, 849.4091796875F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddLine(308.1328125F, 848.626953125F, 308.7587890625F, 848.626953125F);
            graphicsPath.AddLine(308.7587890625F, 850.775390625F, 308.7724609375F, 850.775390625F);
            graphicsPath.AddBezier(308.7724609375F, 850.775390625F, 308.8720703125F, 850.59765625F, 309.029296875F, 850.43359375F, 309.220703125F, 850.333984375F);
            graphicsPath.AddBezier(309.220703125F, 850.333984375F, 309.40625F, 850.220703125F, 309.6259765625F, 850.15625F, 309.861328125F, 850.15625F);
            graphicsPath.AddBezier(309.861328125F, 850.15625F, 310.3232421875F, 850.15625F, 311.0634765625F, 850.44140625F, 311.0634765625F, 851.62890625F);
            graphicsPath.AddLine(311.0634765625F, 853.677734375F, 310.4375F, 853.677734375F);
            graphicsPath.AddBezier(310.4375F, 851.693359375F, 310.4375F, 851.138671875F, 310.2314453125F, 850.67578125F, 309.640625F, 850.67578125F);
            graphicsPath.AddBezier(309.640625F, 850.67578125F, 309.2353515625F, 850.67578125F, 308.921875F, 850.9599609375F, 308.80078125F, 851.3017578125F);
            graphicsPath.AddBezier(308.80078125F, 851.3017578125F, 308.765625F, 851.38671875F, 308.7587890625F, 851.4794921875F, 308.7587890625F, 851.6005859375F);
            graphicsPath.AddLine(308.7587890625F, 853.677734375F, 308.1328125F, 853.677734375F);
            graphicsPath.AddLine(308.1328125F, 853.677734375F, 308.1328125F, 848.626953125F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(312.4365234375F, 852.0703125F, 312.451171875F, 852.9091796875F, 312.984375F, 853.2578125F, 313.6103515625F, 853.2578125F);
            graphicsPath.AddBezier(313.6103515625F, 853.2578125F, 314.05859375F, 853.2578125F, 314.3359375F, 853.1796875F, 314.5634765625F, 853.080078125F);
            graphicsPath.AddBezier(314.677734375F, 853.5283203125F, 314.45703125F, 853.6279296875F, 314.072265625F, 853.7490234375F, 313.5244140625F, 853.7490234375F);
            graphicsPath.AddBezier(313.5244140625F, 853.7490234375F, 312.4716796875F, 853.7490234375F, 311.83203125F, 853.044921875F, 311.83203125F, 852.0126953125F);
            graphicsPath.AddBezier(311.83203125F, 852.0126953125F, 311.83203125F, 850.974609375F, 312.451171875F, 850.15625F, 313.4541015625F, 850.15625F);
            graphicsPath.AddBezier(313.4541015625F, 850.15625F, 314.578125F, 850.15625F, 314.869140625F, 851.1455078125F, 314.869140625F, 851.7783203125F);
            graphicsPath.AddBezier(314.869140625F, 851.7783203125F, 314.869140625F, 851.90625F, 314.8623046875F, 851.9990234375F, 314.84765625F, 852.0703125F);
            graphicsPath.AddLine(314.84765625F, 852.0703125F, 312.4365234375F, 852.0703125F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(314.2646484375F, 851.6220703125F, 314.271484375F, 851.2236328125F, 314.1005859375F, 850.6044921875F, 313.404296875F, 850.6044921875F);
            graphicsPath.AddBezier(313.404296875F, 850.6044921875F, 312.763671875F, 850.6044921875F, 312.4931640625F, 851.1875F, 312.443359375F, 851.6220703125F);
            graphicsPath.AddLine(312.443359375F, 851.6220703125F, 314.2646484375F, 851.6220703125F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(315.64453125F, 851.30859375F, 315.64453125F, 850.9033203125F, 315.63671875F, 850.5546875F, 315.6162109375F, 850.234375F);
            graphicsPath.AddLine(316.1630859375F, 850.234375F, 316.1923828125F, 850.91015625F);
            graphicsPath.AddBezier(316.212890625F, 850.91015625F, 316.3701171875F, 850.4482421875F, 316.75390625F, 850.15625F, 317.173828125F, 850.15625F);
            graphicsPath.AddBezier(317.173828125F, 850.15625F, 317.2373046875F, 850.15625F, 317.287109375F, 850.1640625F, 317.3447265625F, 850.1708984375F);
            graphicsPath.AddBezier(317.3447265625F, 850.7607421875F, 317.2802734375F, 850.75390625F, 317.216796875F, 850.7470703125F, 317.130859375F, 850.7470703125F);
            graphicsPath.AddBezier(317.130859375F, 850.7470703125F, 316.6904296875F, 850.7470703125F, 316.376953125F, 851.0810546875F, 316.2919921875F, 851.5439453125F);
            graphicsPath.AddBezier(316.2919921875F, 851.5439453125F, 316.27734375F, 851.6357421875F, 316.2705078125F, 851.7353515625F, 316.2705078125F, 851.8349609375F);
            graphicsPath.AddLine(316.2705078125F, 853.677734375F, 315.64453125F, 853.677734375F);
            graphicsPath.AddLine(315.64453125F, 853.677734375F, 315.64453125F, 851.30859375F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(319.478515625F, 851.30859375F, 319.478515625F, 850.9033203125F, 319.470703125F, 850.5546875F, 319.4501953125F, 850.234375F);
            graphicsPath.AddLine(319.9970703125F, 850.234375F, 320.0263671875F, 850.91015625F);
            graphicsPath.AddBezier(320.046875F, 850.91015625F, 320.2041015625F, 850.4482421875F, 320.587890625F, 850.15625F, 321.0078125F, 850.15625F);
            graphicsPath.AddBezier(321.0078125F, 850.15625F, 321.0712890625F, 850.15625F, 321.12109375F, 850.1640625F, 321.1787109375F, 850.1708984375F);
            graphicsPath.AddBezier(321.1787109375F, 850.7607421875F, 321.1142578125F, 850.75390625F, 321.05078125F, 850.7470703125F, 320.96484375F, 850.7470703125F);
            graphicsPath.AddBezier(320.96484375F, 850.7470703125F, 320.5244140625F, 850.7470703125F, 320.2109375F, 851.0810546875F, 320.1259765625F, 851.5439453125F);
            graphicsPath.AddBezier(320.1259765625F, 851.5439453125F, 320.111328125F, 851.6357421875F, 320.1044921875F, 851.7353515625F, 320.1044921875F, 851.8349609375F);
            graphicsPath.AddLine(320.1044921875F, 853.677734375F, 319.478515625F, 853.677734375F);
            graphicsPath.AddLine(319.478515625F, 853.677734375F, 319.478515625F, 851.30859375F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(322.0888671875F, 852.0703125F, 322.103515625F, 852.9091796875F, 322.63671875F, 853.2578125F, 323.2626953125F, 853.2578125F);
            graphicsPath.AddBezier(323.2626953125F, 853.2578125F, 323.7109375F, 853.2578125F, 323.98828125F, 853.1796875F, 324.2158203125F, 853.080078125F);
            graphicsPath.AddBezier(324.330078125F, 853.5283203125F, 324.109375F, 853.6279296875F, 323.724609375F, 853.7490234375F, 323.1767578125F, 853.7490234375F);
            graphicsPath.AddBezier(323.1767578125F, 853.7490234375F, 322.1240234375F, 853.7490234375F, 321.484375F, 853.044921875F, 321.484375F, 852.0126953125F);
            graphicsPath.AddBezier(321.484375F, 852.0126953125F, 321.484375F, 850.974609375F, 322.103515625F, 850.15625F, 323.1064453125F, 850.15625F);
            graphicsPath.AddBezier(323.1064453125F, 850.15625F, 324.23046875F, 850.15625F, 324.521484375F, 851.1455078125F, 324.521484375F, 851.7783203125F);
            graphicsPath.AddBezier(324.521484375F, 851.7783203125F, 324.521484375F, 851.90625F, 324.5146484375F, 851.9990234375F, 324.5F, 852.0703125F);
            graphicsPath.AddLine(324.5F, 852.0703125F, 322.0888671875F, 852.0703125F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(323.9169921875F, 851.6220703125F, 323.923828125F, 851.2236328125F, 323.7529296875F, 850.6044921875F, 323.056640625F, 850.6044921875F);
            graphicsPath.AddBezier(323.056640625F, 850.6044921875F, 322.416015625F, 850.6044921875F, 322.1455078125F, 851.1875F, 322.095703125F, 851.6220703125F);
            graphicsPath.AddLine(322.095703125F, 851.6220703125F, 323.9169921875F, 851.6220703125F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(328.2412109375F, 853.1728515625F, 328.2412109375F, 853.9697265625F, 328.078125F, 854.4462890625F, 327.7509765625F, 854.751953125F);
            graphicsPath.AddBezier(327.7509765625F, 854.751953125F, 327.4091796875F, 855.0576171875F, 326.92578125F, 855.1640625F, 326.4921875F, 855.1640625F);
            graphicsPath.AddBezier(326.4921875F, 855.1640625F, 326.0791015625F, 855.1640625F, 325.6240234375F, 855.064453125F, 325.3466796875F, 854.8798828125F);
            graphicsPath.AddBezier(325.5029296875F, 854.396484375F, 325.73046875F, 854.5458984375F, 326.0859375F, 854.673828125F, 326.5126953125F, 854.673828125F);
            graphicsPath.AddBezier(326.5126953125F, 854.673828125F, 327.1533203125F, 854.673828125F, 327.623046875F, 854.3388671875F, 327.623046875F, 853.4638671875F);
            graphicsPath.AddLine(327.623046875F, 853.0869140625F, 327.6083984375F, 853.0869140625F);
            graphicsPath.AddBezier(327.6083984375F, 853.0869140625F, 327.423828125F, 853.4072265625F, 327.046875F, 853.6630859375F, 326.5126953125F, 853.6630859375F);
            graphicsPath.AddBezier(326.5126953125F, 853.6630859375F, 325.6591796875F, 853.6630859375F, 325.0478515625F, 852.9375F, 325.0478515625F, 851.9775390625F);
            graphicsPath.AddBezier(325.0478515625F, 851.9775390625F, 325.0478515625F, 850.810546875F, 325.80859375F, 850.15625F, 326.60546875F, 850.15625F);
            graphicsPath.AddBezier(326.60546875F, 850.15625F, 327.203125F, 850.15625F, 327.5234375F, 850.4619140625F, 327.6796875F, 850.75390625F);
            graphicsPath.AddLine(327.6943359375F, 850.75390625F, 327.71484375F, 850.234375F);
            graphicsPath.AddBezier(328.2705078125F, 850.234375F, 328.2490234375F, 850.4765625F, 328.2412109375F, 850.7607421875F, 328.2412109375F, 851.173828125F);
            graphicsPath.AddLine(328.2412109375F, 851.173828125F, 328.2412109375F, 853.1728515625F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(327.615234375F, 851.5859375F, 327.615234375F, 851.486328125F, 327.6083984375F, 851.39453125F, 327.580078125F, 851.30859375F);
            graphicsPath.AddBezier(327.580078125F, 851.30859375F, 327.4658203125F, 850.939453125F, 327.16796875F, 850.640625F, 326.705078125F, 850.640625F);
            graphicsPath.AddBezier(326.705078125F, 850.640625F, 326.107421875F, 850.640625F, 325.6806640625F, 851.1455078125F, 325.6806640625F, 851.94921875F);
            graphicsPath.AddBezier(325.6806640625F, 851.94921875F, 325.6806640625F, 852.6181640625F, 326.029296875F, 853.1865234375F, 326.6982421875F, 853.1865234375F);
            graphicsPath.AddBezier(326.6982421875F, 853.1865234375F, 327.0888671875F, 853.1865234375F, 327.4375F, 852.9453125F, 327.5654296875F, 852.5390625F);
            graphicsPath.AddBezier(327.5654296875F, 852.5390625F, 327.6015625F, 852.4404296875F, 327.615234375F, 852.3193359375F, 327.615234375F, 852.205078125F);
            graphicsPath.AddLine(327.615234375F, 852.205078125F, 327.615234375F, 851.5859375F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(329.529296875F, 849.6513671875F, 329.3017578125F, 849.6513671875F, 329.15234375F, 849.4736328125F, 329.15234375F, 849.267578125F);
            graphicsPath.AddBezier(329.15234375F, 849.267578125F, 329.15234375F, 849.046875F, 329.30859375F, 848.8759765625F, 329.54296875F, 848.8759765625F);
            graphicsPath.AddBezier(329.54296875F, 848.8759765625F, 329.7705078125F, 848.8759765625F, 329.927734375F, 849.046875F, 329.927734375F, 849.267578125F);
            graphicsPath.AddBezier(329.927734375F, 849.267578125F, 329.927734375F, 849.4736328125F, 329.7783203125F, 849.6513671875F, 329.5361328125F, 849.6513671875F);
            graphicsPath.AddLine(329.5361328125F, 849.6513671875F, 329.529296875F, 849.6513671875F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddLine(329.23046875F, 853.677734375F, 329.23046875F, 850.234375F);
            graphicsPath.AddLine(329.8564453125F, 850.234375F, 329.8564453125F, 853.677734375F);
            graphicsPath.AddLine(329.8564453125F, 853.677734375F, 329.23046875F, 853.677734375F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(330.8095703125F, 853.037109375F, 331.001953125F, 853.1513671875F, 331.3291015625F, 853.279296875F, 331.642578125F, 853.279296875F);
            graphicsPath.AddBezier(331.642578125F, 853.279296875F, 332.0908203125F, 853.279296875F, 332.3037109375F, 853.05859375F, 332.3037109375F, 852.767578125F);
            graphicsPath.AddBezier(332.3037109375F, 852.767578125F, 332.3037109375F, 852.46875F, 332.1259765625F, 852.3115234375F, 331.6708984375F, 852.1416015625F);
            graphicsPath.AddBezier(331.6708984375F, 852.1416015625F, 331.044921875F, 851.9130859375F, 330.7529296875F, 851.572265625F, 330.7529296875F, 851.1669921875F);
            graphicsPath.AddBezier(330.7529296875F, 851.1669921875F, 330.7529296875F, 850.611328125F, 331.2080078125F, 850.15625F, 331.94140625F, 850.15625F);
            graphicsPath.AddBezier(331.94140625F, 850.15625F, 332.2890625F, 850.15625F, 332.595703125F, 850.2490234375F, 332.7802734375F, 850.3701171875F);
            graphicsPath.AddBezier(332.630859375F, 850.818359375F, 332.49609375F, 850.740234375F, 332.2470703125F, 850.619140625F, 331.9267578125F, 850.619140625F);
            graphicsPath.AddBezier(331.9267578125F, 850.619140625F, 331.556640625F, 850.619140625F, 331.357421875F, 850.83203125F, 331.357421875F, 851.087890625F);
            graphicsPath.AddBezier(331.357421875F, 851.087890625F, 331.357421875F, 851.373046875F, 331.556640625F, 851.5009765625F, 332.0048828125F, 851.6787109375F);
            graphicsPath.AddBezier(332.0048828125F, 851.6787109375F, 332.595703125F, 851.8994140625F, 332.908203125F, 852.1982421875F, 332.908203125F, 852.7099609375F);
            graphicsPath.AddBezier(332.908203125F, 852.7099609375F, 332.908203125F, 853.322265625F, 332.431640625F, 853.7490234375F, 331.6279296875F, 853.7490234375F);
            graphicsPath.AddBezier(331.6279296875F, 853.7490234375F, 331.2509765625F, 853.7490234375F, 330.90234375F, 853.6494140625F, 330.66015625F, 853.5068359375F);
            graphicsPath.AddLine(330.66015625F, 853.5068359375F, 330.8095703125F, 853.037109375F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();

            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddLine(334.4658203125F, 849.4091796875F, 334.4658203125F, 850.234375F);
            graphicsPath.AddLine(335.3623046875F, 850.234375F, 335.3623046875F, 850.7109375F);
            graphicsPath.AddLine(334.4658203125F, 850.7109375F, 334.4658203125F, 852.560546875F);
            graphicsPath.AddBezier(334.4658203125F, 852.560546875F, 334.4658203125F, 852.9873046875F, 334.5869140625F, 853.2294921875F, 334.935546875F, 853.2294921875F);
            graphicsPath.AddBezier(334.935546875F, 853.2294921875F, 335.10546875F, 853.2294921875F, 335.205078125F, 853.2158203125F, 335.2978515625F, 853.1865234375F);
            graphicsPath.AddBezier(335.326171875F, 853.6630859375F, 335.205078125F, 853.7060546875F, 335.013671875F, 853.7490234375F, 334.771484375F, 853.7490234375F);
            graphicsPath.AddBezier(334.771484375F, 853.7490234375F, 334.4794921875F, 853.7490234375F, 334.2451171875F, 853.6494140625F, 334.095703125F, 853.4853515625F);
            graphicsPath.AddBezier(334.095703125F, 853.4853515625F, 333.9248046875F, 853.2939453125F, 333.853515625F, 852.9873046875F, 333.853515625F, 852.58203125F);
            graphicsPath.AddLine(333.853515625F, 850.7109375F, 333.3203125F, 850.7109375F);
            graphicsPath.AddLine(333.3203125F, 850.234375F, 333.853515625F, 850.234375F);
            graphicsPath.AddLine(333.853515625F, 849.6015625F, 334.4658203125F, 849.4091796875F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(336.37890625F, 852.0703125F, 336.3935546875F, 852.9091796875F, 336.9267578125F, 853.2578125F, 337.552734375F, 853.2578125F);
            graphicsPath.AddBezier(337.552734375F, 853.2578125F, 338.0009765625F, 853.2578125F, 338.2783203125F, 853.1796875F, 338.505859375F, 853.080078125F);
            graphicsPath.AddBezier(338.6201171875F, 853.5283203125F, 338.3994140625F, 853.6279296875F, 338.0146484375F, 853.7490234375F, 337.466796875F, 853.7490234375F);
            graphicsPath.AddBezier(337.466796875F, 853.7490234375F, 336.4140625F, 853.7490234375F, 335.7744140625F, 853.044921875F, 335.7744140625F, 852.0126953125F);
            graphicsPath.AddBezier(335.7744140625F, 852.0126953125F, 335.7744140625F, 850.974609375F, 336.3935546875F, 850.15625F, 337.396484375F, 850.15625F);
            graphicsPath.AddBezier(337.396484375F, 850.15625F, 338.5205078125F, 850.15625F, 338.8115234375F, 851.1455078125F, 338.8115234375F, 851.7783203125F);
            graphicsPath.AddBezier(338.8115234375F, 851.7783203125F, 338.8115234375F, 851.90625F, 338.8046875F, 851.9990234375F, 338.7900390625F, 852.0703125F);
            graphicsPath.AddLine(338.7900390625F, 852.0703125F, 336.37890625F, 852.0703125F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(338.20703125F, 851.6220703125F, 338.2138671875F, 851.2236328125F, 338.04296875F, 850.6044921875F, 337.3466796875F, 850.6044921875F);
            graphicsPath.AddBezier(337.3466796875F, 850.6044921875F, 336.7060546875F, 850.6044921875F, 336.435546875F, 851.1875F, 336.3857421875F, 851.6220703125F);
            graphicsPath.AddLine(336.3857421875F, 851.6220703125F, 338.20703125F, 851.6220703125F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();

            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(339.587890625F, 851.30859375F, 339.587890625F, 850.9033203125F, 339.580078125F, 850.5546875F, 339.5595703125F, 850.234375F);
            graphicsPath.AddLine(340.1064453125F, 850.234375F, 340.1357421875F, 850.91015625F);
            graphicsPath.AddBezier(340.15625F, 850.91015625F, 340.3134765625F, 850.4482421875F, 340.697265625F, 850.15625F, 341.1171875F, 850.15625F);
            graphicsPath.AddBezier(341.1171875F, 850.15625F, 341.1806640625F, 850.15625F, 341.23046875F, 850.1640625F, 341.2880859375F, 850.1708984375F);
            graphicsPath.AddBezier(341.2880859375F, 850.7607421875F, 341.2236328125F, 850.75390625F, 341.16015625F, 850.7470703125F, 341.07421875F, 850.7470703125F);
            graphicsPath.AddBezier(341.07421875F, 850.7470703125F, 340.6337890625F, 850.7470703125F, 340.3203125F, 851.0810546875F, 340.2353515625F, 851.5439453125F);
            graphicsPath.AddBezier(340.2353515625F, 851.5439453125F, 340.220703125F, 851.6357421875F, 340.2138671875F, 851.7353515625F, 340.2138671875F, 851.8349609375F);
            graphicsPath.AddLine(340.2138671875F, 853.677734375F, 339.587890625F, 853.677734375F);
            graphicsPath.AddLine(339.587890625F, 853.677734375F, 339.587890625F, 851.30859375F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(342.19921875F, 852.0703125F, 342.2138671875F, 852.9091796875F, 342.7470703125F, 853.2578125F, 343.373046875F, 853.2578125F);
            graphicsPath.AddBezier(343.373046875F, 853.2578125F, 343.8212890625F, 853.2578125F, 344.0986328125F, 853.1796875F, 344.326171875F, 853.080078125F);
            graphicsPath.AddBezier(344.4404296875F, 853.5283203125F, 344.2197265625F, 853.6279296875F, 343.8349609375F, 853.7490234375F, 343.287109375F, 853.7490234375F);
            graphicsPath.AddBezier(343.287109375F, 853.7490234375F, 342.234375F, 853.7490234375F, 341.5947265625F, 853.044921875F, 341.5947265625F, 852.0126953125F);
            graphicsPath.AddBezier(341.5947265625F, 852.0126953125F, 341.5947265625F, 850.974609375F, 342.2138671875F, 850.15625F, 343.216796875F, 850.15625F);
            graphicsPath.AddBezier(343.216796875F, 850.15625F, 344.3408203125F, 850.15625F, 344.6318359375F, 851.1455078125F, 344.6318359375F, 851.7783203125F);
            graphicsPath.AddBezier(344.6318359375F, 851.7783203125F, 344.6318359375F, 851.90625F, 344.625F, 851.9990234375F, 344.6103515625F, 852.0703125F);
            graphicsPath.AddLine(344.6103515625F, 852.0703125F, 342.19921875F, 852.0703125F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(344.02734375F, 851.6220703125F, 344.0341796875F, 851.2236328125F, 343.86328125F, 850.6044921875F, 343.1669921875F, 850.6044921875F);
            graphicsPath.AddBezier(343.1669921875F, 850.6044921875F, 342.5263671875F, 850.6044921875F, 342.255859375F, 851.1875F, 342.2060546875F, 851.6220703125F);
            graphicsPath.AddLine(342.2060546875F, 851.6220703125F, 344.02734375F, 851.6220703125F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddLine(348.380859375F, 848.626953125F, 348.380859375F, 852.7880859375F);
            graphicsPath.AddBezier(348.380859375F, 852.7880859375F, 348.380859375F, 853.0947265625F, 348.3876953125F, 853.443359375F, 348.4091796875F, 853.677734375F);
            graphicsPath.AddLine(347.8466796875F, 853.677734375F, 347.818359375F, 853.080078125F);
            graphicsPath.AddBezier(347.8046875F, 853.080078125F, 347.6123046875F, 853.4638671875F, 347.19921875F, 853.755859375F, 346.6376953125F, 853.755859375F);
            graphicsPath.AddBezier(346.6376953125F, 853.755859375F, 345.8056640625F, 853.755859375F, 345.158203125F, 853.0517578125F, 345.158203125F, 852.005859375F);
            graphicsPath.AddBezier(345.158203125F, 852.005859375F, 345.1513671875F, 850.853515625F, 345.869140625F, 850.15625F, 346.701171875F, 850.15625F);
            graphicsPath.AddBezier(346.701171875F, 850.15625F, 347.2353515625F, 850.15625F, 347.5908203125F, 850.4052734375F, 347.740234375F, 850.67578125F);
            graphicsPath.AddLine(347.7548828125F, 850.67578125F, 347.7548828125F, 848.626953125F);
            graphicsPath.AddLine(347.7548828125F, 848.626953125F, 348.380859375F, 848.626953125F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(347.7548828125F, 851.6357421875F, 347.7548828125F, 851.55078125F, 347.7470703125F, 851.451171875F, 347.7255859375F, 851.3662109375F);
            graphicsPath.AddBezier(347.7255859375F, 851.3662109375F, 347.6337890625F, 850.974609375F, 347.2919921875F, 850.6474609375F, 346.822265625F, 850.6474609375F);
            graphicsPath.AddBezier(346.822265625F, 850.6474609375F, 346.1748046875F, 850.6474609375F, 345.791015625F, 851.216796875F, 345.791015625F, 851.970703125F);
            graphicsPath.AddBezier(345.791015625F, 851.970703125F, 345.791015625F, 852.6748046875F, 346.1396484375F, 853.2509765625F, 346.80859375F, 853.2509765625F);
            graphicsPath.AddBezier(346.80859375F, 853.2509765625F, 347.228515625F, 853.2509765625F, 347.6123046875F, 852.966796875F, 347.7255859375F, 852.4970703125F);
            graphicsPath.AddBezier(347.7255859375F, 852.4970703125F, 347.7470703125F, 852.4189453125F, 347.7548828125F, 852.3330078125F, 347.7548828125F, 852.2333984375F);
            graphicsPath.AddLine(347.7548828125F, 852.2333984375F, 347.7548828125F, 851.6357421875F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddLine(351.6806640625F, 849.4091796875F, 351.6806640625F, 850.234375F);
            graphicsPath.AddLine(352.5771484375F, 850.234375F, 352.5771484375F, 850.7109375F);
            graphicsPath.AddLine(351.6806640625F, 850.7109375F, 351.6806640625F, 852.560546875F);
            graphicsPath.AddBezier(351.6806640625F, 852.560546875F, 351.6806640625F, 852.9873046875F, 351.8017578125F, 853.2294921875F, 352.150390625F, 853.2294921875F);
            graphicsPath.AddBezier(352.150390625F, 853.2294921875F, 352.3203125F, 853.2294921875F, 352.419921875F, 853.2158203125F, 352.5126953125F, 853.1865234375F);
            graphicsPath.AddBezier(352.541015625F, 853.6630859375F, 352.419921875F, 853.7060546875F, 352.228515625F, 853.7490234375F, 351.986328125F, 853.7490234375F);
            graphicsPath.AddBezier(351.986328125F, 853.7490234375F, 351.6943359375F, 853.7490234375F, 351.4599609375F, 853.6494140625F, 351.310546875F, 853.4853515625F);
            graphicsPath.AddBezier(351.310546875F, 853.4853515625F, 351.1396484375F, 853.2939453125F, 351.068359375F, 852.9873046875F, 351.068359375F, 852.58203125F);
            graphicsPath.AddLine(351.068359375F, 850.7109375F, 350.53515625F, 850.7109375F);
            graphicsPath.AddLine(350.53515625F, 850.234375F, 351.068359375F, 850.234375F);
            graphicsPath.AddLine(351.068359375F, 849.6015625F, 351.6806640625F, 849.4091796875F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(353.2822265625F, 851.30859375F, 353.2822265625F, 850.9033203125F, 353.2744140625F, 850.5546875F, 353.25390625F, 850.234375F);
            graphicsPath.AddLine(353.8017578125F, 850.234375F, 353.830078125F, 850.91015625F);
            graphicsPath.AddBezier(353.8505859375F, 850.91015625F, 354.0078125F, 850.4482421875F, 354.3916015625F, 850.15625F, 354.8115234375F, 850.15625F);
            graphicsPath.AddBezier(354.8115234375F, 850.15625F, 354.875F, 850.15625F, 354.9248046875F, 850.1640625F, 354.982421875F, 850.1708984375F);
            graphicsPath.AddBezier(354.982421875F, 850.7607421875F, 354.91796875F, 850.75390625F, 354.8544921875F, 850.7470703125F, 354.7685546875F, 850.7470703125F);
            graphicsPath.AddBezier(354.7685546875F, 850.7470703125F, 354.328125F, 850.7470703125F, 354.0146484375F, 851.0810546875F, 353.9296875F, 851.5439453125F);
            graphicsPath.AddBezier(353.9296875F, 851.5439453125F, 353.9150390625F, 851.6357421875F, 353.908203125F, 851.7353515625F, 353.908203125F, 851.8349609375F);
            graphicsPath.AddLine(353.908203125F, 853.677734375F, 353.2822265625F, 853.677734375F);
            graphicsPath.AddLine(353.2822265625F, 853.677734375F, 353.2822265625F, 851.30859375F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(357.9970703125F, 852.8525390625F, 357.9970703125F, 853.1513671875F, 358.0107421875F, 853.443359375F, 358.046875F, 853.677734375F);
            graphicsPath.AddLine(357.484375F, 853.677734375F, 357.427734375F, 853.244140625F);
            graphicsPath.AddBezier(357.40625F, 853.244140625F, 357.2216796875F, 853.513671875F, 356.8447265625F, 853.755859375F, 356.353515625F, 853.755859375F);
            graphicsPath.AddBezier(356.353515625F, 853.755859375F, 355.65625F, 853.755859375F, 355.30078125F, 853.265625F, 355.30078125F, 852.767578125F);
            graphicsPath.AddBezier(355.30078125F, 852.767578125F, 355.30078125F, 851.9345703125F, 356.041015625F, 851.4794921875F, 357.37109375F, 851.486328125F);
            graphicsPath.AddBezier(357.37109375F, 851.416015625F, 357.37109375F, 851.130859375F, 357.29296875F, 850.611328125F, 356.587890625F, 850.619140625F);
            graphicsPath.AddBezier(356.587890625F, 850.619140625F, 356.2607421875F, 850.619140625F, 355.9267578125F, 850.7109375F, 355.6845703125F, 850.875F);
            graphicsPath.AddBezier(355.54296875F, 850.455078125F, 355.8271484375F, 850.27734375F, 356.2470703125F, 850.15625F, 356.6806640625F, 850.15625F);
            graphicsPath.AddBezier(356.6806640625F, 850.15625F, 357.740234375F, 850.15625F, 357.9970703125F, 850.875F, 357.9970703125F, 851.5654296875F);
            graphicsPath.AddLine(357.9970703125F, 851.5654296875F, 357.9970703125F, 852.8525390625F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(357.384765625F, 851.9208984375F, 356.7021484375F, 851.90625F, 355.9267578125F, 852.02734375F, 355.9267578125F, 852.6962890625F);
            graphicsPath.AddBezier(355.9267578125F, 852.6962890625F, 355.9267578125F, 853.1083984375F, 356.197265625F, 853.2939453125F, 356.509765625F, 853.2939453125F);
            graphicsPath.AddBezier(356.509765625F, 853.2939453125F, 356.96484375F, 853.2939453125F, 357.2568359375F, 853.0087890625F, 357.3564453125F, 852.7177734375F);
            graphicsPath.AddBezier(357.3564453125F, 852.7177734375F, 357.3779296875F, 852.6533203125F, 357.384765625F, 852.58203125F, 357.384765625F, 852.5185546875F);
            graphicsPath.AddLine(357.384765625F, 852.5185546875F, 357.384765625F, 851.9208984375F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddLine(361.9736328125F, 848.626953125F, 361.9736328125F, 852.7880859375F);
            graphicsPath.AddBezier(361.9736328125F, 852.7880859375F, 361.9736328125F, 853.0947265625F, 361.98046875F, 853.443359375F, 362.001953125F, 853.677734375F);
            graphicsPath.AddLine(361.439453125F, 853.677734375F, 361.4111328125F, 853.080078125F);
            graphicsPath.AddBezier(361.3974609375F, 853.080078125F, 361.205078125F, 853.4638671875F, 360.7919921875F, 853.755859375F, 360.23046875F, 853.755859375F);
            graphicsPath.AddBezier(360.23046875F, 853.755859375F, 359.3984375F, 853.755859375F, 358.7509765625F, 853.0517578125F, 358.7509765625F, 852.005859375F);
            graphicsPath.AddBezier(358.7509765625F, 852.005859375F, 358.744140625F, 850.853515625F, 359.4619140625F, 850.15625F, 360.2939453125F, 850.15625F);
            graphicsPath.AddBezier(360.2939453125F, 850.15625F, 360.828125F, 850.15625F, 361.18359375F, 850.4052734375F, 361.3330078125F, 850.67578125F);
            graphicsPath.AddLine(361.34765625F, 850.67578125F, 361.34765625F, 848.626953125F);
            graphicsPath.AddLine(361.34765625F, 848.626953125F, 361.9736328125F, 848.626953125F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(361.34765625F, 851.6357421875F, 361.34765625F, 851.55078125F, 361.33984375F, 851.451171875F, 361.318359375F, 851.3662109375F);
            graphicsPath.AddBezier(361.318359375F, 851.3662109375F, 361.2265625F, 850.974609375F, 360.884765625F, 850.6474609375F, 360.4150390625F, 850.6474609375F);
            graphicsPath.AddBezier(360.4150390625F, 850.6474609375F, 359.767578125F, 850.6474609375F, 359.3837890625F, 851.216796875F, 359.3837890625F, 851.970703125F);
            graphicsPath.AddBezier(359.3837890625F, 851.970703125F, 359.3837890625F, 852.6748046875F, 359.732421875F, 853.2509765625F, 360.4013671875F, 853.2509765625F);
            graphicsPath.AddBezier(360.4013671875F, 853.2509765625F, 360.8212890625F, 853.2509765625F, 361.205078125F, 852.966796875F, 361.318359375F, 852.4970703125F);
            graphicsPath.AddBezier(361.318359375F, 852.4970703125F, 361.33984375F, 852.4189453125F, 361.34765625F, 852.3330078125F, 361.34765625F, 852.2333984375F);
            graphicsPath.AddLine(361.34765625F, 852.2333984375F, 361.34765625F, 851.6357421875F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(363.3681640625F, 852.0703125F, 363.3828125F, 852.9091796875F, 363.916015625F, 853.2578125F, 364.5419921875F, 853.2578125F);
            graphicsPath.AddBezier(364.5419921875F, 853.2578125F, 364.990234375F, 853.2578125F, 365.267578125F, 853.1796875F, 365.4951171875F, 853.080078125F);
            graphicsPath.AddBezier(365.609375F, 853.5283203125F, 365.388671875F, 853.6279296875F, 365.00390625F, 853.7490234375F, 364.4560546875F, 853.7490234375F);
            graphicsPath.AddBezier(364.4560546875F, 853.7490234375F, 363.4033203125F, 853.7490234375F, 362.763671875F, 853.044921875F, 362.763671875F, 852.0126953125F);
            graphicsPath.AddBezier(362.763671875F, 852.0126953125F, 362.763671875F, 850.974609375F, 363.3828125F, 850.15625F, 364.3857421875F, 850.15625F);
            graphicsPath.AddBezier(364.3857421875F, 850.15625F, 365.509765625F, 850.15625F, 365.80078125F, 851.1455078125F, 365.80078125F, 851.7783203125F);
            graphicsPath.AddBezier(365.80078125F, 851.7783203125F, 365.80078125F, 851.90625F, 365.7939453125F, 851.9990234375F, 365.779296875F, 852.0703125F);
            graphicsPath.AddLine(365.779296875F, 852.0703125F, 363.3681640625F, 852.0703125F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(365.1962890625F, 851.6220703125F, 365.203125F, 851.2236328125F, 365.0322265625F, 850.6044921875F, 364.3359375F, 850.6044921875F);
            graphicsPath.AddBezier(364.3359375F, 850.6044921875F, 363.6953125F, 850.6044921875F, 363.4248046875F, 851.1875F, 363.375F, 851.6220703125F);
            graphicsPath.AddLine(363.375F, 851.6220703125F, 365.1962890625F, 851.6220703125F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(366.576171875F, 851.1669921875F, 366.576171875F, 850.8037109375F, 366.5615234375F, 850.51953125F, 366.5478515625F, 850.234375F);
            graphicsPath.AddLine(367.0947265625F, 850.234375F, 367.1240234375F, 850.7900390625F);
            graphicsPath.AddBezier(367.14453125F, 850.7900390625F, 367.3369140625F, 850.4619140625F, 367.6572265625F, 850.15625F, 368.2333984375F, 850.15625F);
            graphicsPath.AddBezier(368.2333984375F, 850.15625F, 368.6953125F, 850.15625F, 369.0517578125F, 850.44140625F, 369.201171875F, 850.8466796875F);
            graphicsPath.AddBezier(369.21484375F, 850.8466796875F, 369.3212890625F, 850.6474609375F, 369.4638671875F, 850.5048828125F, 369.6064453125F, 850.3984375F);
            graphicsPath.AddBezier(369.6064453125F, 850.3984375F, 369.8125F, 850.2421875F, 370.033203125F, 850.15625F, 370.3603515625F, 850.15625F);
            graphicsPath.AddBezier(370.3603515625F, 850.15625F, 370.822265625F, 850.15625F, 371.498046875F, 850.455078125F, 371.498046875F, 851.650390625F);
            graphicsPath.AddLine(371.498046875F, 853.677734375F, 370.88671875F, 853.677734375F);
            graphicsPath.AddBezier(370.88671875F, 851.728515625F, 370.88671875F, 851.0595703125F, 370.6376953125F, 850.6689453125F, 370.1396484375F, 850.6689453125F);
            graphicsPath.AddBezier(370.1396484375F, 850.6689453125F, 369.77734375F, 850.6689453125F, 369.5068359375F, 850.931640625F, 369.392578125F, 851.23046875F);
            graphicsPath.AddBezier(369.392578125F, 851.23046875F, 369.3642578125F, 851.3232421875F, 369.3427734375F, 851.4365234375F, 369.3427734375F, 851.5439453125F);
            graphicsPath.AddLine(369.3427734375F, 853.677734375F, 368.7314453125F, 853.677734375F);
            graphicsPath.AddBezier(368.7314453125F, 851.607421875F, 368.7314453125F, 851.0595703125F, 368.4892578125F, 850.6689453125F, 368.0126953125F, 850.6689453125F);
            graphicsPath.AddBezier(368.0126953125F, 850.6689453125F, 367.62890625F, 850.6689453125F, 367.3369140625F, 850.9814453125F, 367.2373046875F, 851.294921875F);
            graphicsPath.AddBezier(367.2373046875F, 851.294921875F, 367.2021484375F, 851.38671875F, 367.1875F, 851.494140625F, 367.1875F, 851.6005859375F);
            graphicsPath.AddLine(367.1875F, 853.677734375F, 366.576171875F, 853.677734375F);
            graphicsPath.AddLine(366.576171875F, 853.677734375F, 366.576171875F, 851.1669921875F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(374.9345703125F, 852.8525390625F, 374.9345703125F, 853.1513671875F, 374.9482421875F, 853.443359375F, 374.984375F, 853.677734375F);
            graphicsPath.AddLine(374.421875F, 853.677734375F, 374.365234375F, 853.244140625F);
            graphicsPath.AddBezier(374.34375F, 853.244140625F, 374.1591796875F, 853.513671875F, 373.7822265625F, 853.755859375F, 373.291015625F, 853.755859375F);
            graphicsPath.AddBezier(373.291015625F, 853.755859375F, 372.59375F, 853.755859375F, 372.23828125F, 853.265625F, 372.23828125F, 852.767578125F);
            graphicsPath.AddBezier(372.23828125F, 852.767578125F, 372.23828125F, 851.9345703125F, 372.978515625F, 851.4794921875F, 374.30859375F, 851.486328125F);
            graphicsPath.AddBezier(374.30859375F, 851.416015625F, 374.30859375F, 851.130859375F, 374.23046875F, 850.611328125F, 373.525390625F, 850.619140625F);
            graphicsPath.AddBezier(373.525390625F, 850.619140625F, 373.1982421875F, 850.619140625F, 372.8642578125F, 850.7109375F, 372.6220703125F, 850.875F);
            graphicsPath.AddBezier(372.48046875F, 850.455078125F, 372.7646484375F, 850.27734375F, 373.1845703125F, 850.15625F, 373.6181640625F, 850.15625F);
            graphicsPath.AddBezier(373.6181640625F, 850.15625F, 374.677734375F, 850.15625F, 374.9345703125F, 850.875F, 374.9345703125F, 851.5654296875F);
            graphicsPath.AddLine(374.9345703125F, 851.5654296875F, 374.9345703125F, 852.8525390625F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(374.322265625F, 851.9208984375F, 373.6396484375F, 851.90625F, 372.8642578125F, 852.02734375F, 372.8642578125F, 852.6962890625F);
            graphicsPath.AddBezier(372.8642578125F, 852.6962890625F, 372.8642578125F, 853.1083984375F, 373.134765625F, 853.2939453125F, 373.447265625F, 853.2939453125F);
            graphicsPath.AddBezier(373.447265625F, 853.2939453125F, 373.90234375F, 853.2939453125F, 374.1943359375F, 853.0087890625F, 374.2939453125F, 852.7177734375F);
            graphicsPath.AddBezier(374.2939453125F, 852.7177734375F, 374.3154296875F, 852.6533203125F, 374.322265625F, 852.58203125F, 374.322265625F, 852.5185546875F);
            graphicsPath.AddLine(374.322265625F, 852.5185546875F, 374.322265625F, 851.9208984375F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(375.9375F, 851.30859375F, 375.9375F, 850.9033203125F, 375.9296875F, 850.5546875F, 375.9091796875F, 850.234375F);
            graphicsPath.AddLine(376.4560546875F, 850.234375F, 376.4853515625F, 850.91015625F);
            graphicsPath.AddBezier(376.505859375F, 850.91015625F, 376.6630859375F, 850.4482421875F, 377.046875F, 850.15625F, 377.466796875F, 850.15625F);
            graphicsPath.AddBezier(377.466796875F, 850.15625F, 377.5302734375F, 850.15625F, 377.580078125F, 850.1640625F, 377.6376953125F, 850.1708984375F);
            graphicsPath.AddBezier(377.6376953125F, 850.7607421875F, 377.5732421875F, 850.75390625F, 377.509765625F, 850.7470703125F, 377.423828125F, 850.7470703125F);
            graphicsPath.AddBezier(377.423828125F, 850.7470703125F, 376.9833984375F, 850.7470703125F, 376.669921875F, 851.0810546875F, 376.5849609375F, 851.5439453125F);
            graphicsPath.AddBezier(376.5849609375F, 851.5439453125F, 376.5703125F, 851.6357421875F, 376.5634765625F, 851.7353515625F, 376.5634765625F, 851.8349609375F);
            graphicsPath.AddLine(376.5634765625F, 853.677734375F, 375.9375F, 853.677734375F);
            graphicsPath.AddLine(375.9375F, 853.677734375F, 375.9375F, 851.30859375F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddLine(378.91796875F, 851.814453125F, 378.931640625F, 851.814453125F);
            graphicsPath.AddBezier(378.931640625F, 851.814453125F, 379.017578125F, 851.693359375F, 379.130859375F, 851.5439453125F, 379.23046875F, 851.4228515625F);
            graphicsPath.AddLine(380.248046875F, 850.234375F, 380.9951171875F, 850.234375F);
            graphicsPath.AddLine(379.6650390625F, 851.650390625F, 381.1796875F, 853.677734375F);
            graphicsPath.AddLine(380.4189453125F, 853.677734375F, 379.23828125F, 852.02734375F);
            graphicsPath.AddLine(378.91796875F, 852.3828125F, 378.91796875F, 853.677734375F);
            graphicsPath.AddLine(378.2919921875F, 853.677734375F, 378.2919921875F, 848.626953125F);
            graphicsPath.AddLine(378.91796875F, 848.626953125F, 378.91796875F, 851.814453125F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(381.5419921875F, 853.037109375F, 381.734375F, 853.1513671875F, 382.0615234375F, 853.279296875F, 382.375F, 853.279296875F);
            graphicsPath.AddBezier(382.375F, 853.279296875F, 382.8232421875F, 853.279296875F, 383.0361328125F, 853.05859375F, 383.0361328125F, 852.767578125F);
            graphicsPath.AddBezier(383.0361328125F, 852.767578125F, 383.0361328125F, 852.46875F, 382.8583984375F, 852.3115234375F, 382.4033203125F, 852.1416015625F);
            graphicsPath.AddBezier(382.4033203125F, 852.1416015625F, 381.77734375F, 851.9130859375F, 381.4853515625F, 851.572265625F, 381.4853515625F, 851.1669921875F);
            graphicsPath.AddBezier(381.4853515625F, 851.1669921875F, 381.4853515625F, 850.611328125F, 381.9404296875F, 850.15625F, 382.673828125F, 850.15625F);
            graphicsPath.AddBezier(382.673828125F, 850.15625F, 383.021484375F, 850.15625F, 383.328125F, 850.2490234375F, 383.5126953125F, 850.3701171875F);
            graphicsPath.AddBezier(383.36328125F, 850.818359375F, 383.228515625F, 850.740234375F, 382.9794921875F, 850.619140625F, 382.6591796875F, 850.619140625F);
            graphicsPath.AddBezier(382.6591796875F, 850.619140625F, 382.2890625F, 850.619140625F, 382.08984375F, 850.83203125F, 382.08984375F, 851.087890625F);
            graphicsPath.AddBezier(382.08984375F, 851.087890625F, 382.08984375F, 851.373046875F, 382.2890625F, 851.5009765625F, 382.7373046875F, 851.6787109375F);
            graphicsPath.AddBezier(382.7373046875F, 851.6787109375F, 383.328125F, 851.8994140625F, 383.640625F, 852.1982421875F, 383.640625F, 852.7099609375F);
            graphicsPath.AddBezier(383.640625F, 852.7099609375F, 383.640625F, 853.322265625F, 383.1640625F, 853.7490234375F, 382.3603515625F, 853.7490234375F);
            graphicsPath.AddBezier(382.3603515625F, 853.7490234375F, 381.9833984375F, 853.7490234375F, 381.634765625F, 853.6494140625F, 381.392578125F, 853.5068359375F);
            graphicsPath.AddLine(381.392578125F, 853.5068359375F, 381.5419921875F, 853.037109375F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();

            graphicsPath.StartFigure();
            graphicsPath.AddBezier(387.3544921875F, 853.755859375F, 386.4296875F, 853.755859375F, 385.7041015625F, 853.0732421875F, 385.7041015625F, 851.984375F);
            graphicsPath.AddBezier(385.7041015625F, 851.984375F, 385.7041015625F, 850.83203125F, 386.46484375F, 850.15625F, 387.4111328125F, 850.15625F);
            graphicsPath.AddBezier(387.4111328125F, 850.15625F, 388.400390625F, 850.15625F, 389.068359375F, 850.875F, 389.068359375F, 851.9208984375F);
            graphicsPath.AddBezier(389.068359375F, 851.9208984375F, 389.068359375F, 853.201171875F, 388.1796875F, 853.755859375F, 387.361328125F, 853.755859375F);
            graphicsPath.AddLine(387.361328125F, 853.755859375F, 387.3544921875F, 853.755859375F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(387.3828125F, 853.2861328125F, 387.98046875F, 853.2861328125F, 388.4287109375F, 852.724609375F, 388.4287109375F, 851.9423828125F);
            graphicsPath.AddBezier(388.4287109375F, 851.9423828125F, 388.4287109375F, 851.3583984375F, 388.13671875F, 850.6259765625F, 387.396484375F, 850.6259765625F);
            graphicsPath.AddBezier(387.396484375F, 850.6259765625F, 386.6640625F, 850.6259765625F, 386.34375F, 851.30859375F, 386.34375F, 851.962890625F);
            graphicsPath.AddBezier(386.34375F, 851.962890625F, 386.34375F, 852.7177734375F, 386.7705078125F, 853.2861328125F, 387.3759765625F, 853.2861328125F);
            graphicsPath.AddLine(387.3759765625F, 853.2861328125F, 387.3828125F, 853.2861328125F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(389.8583984375F, 851.30859375F, 389.8583984375F, 850.9033203125F, 389.8505859375F, 850.5546875F, 389.830078125F, 850.234375F);
            graphicsPath.AddLine(390.3779296875F, 850.234375F, 390.40625F, 850.91015625F);
            graphicsPath.AddBezier(390.4267578125F, 850.91015625F, 390.583984375F, 850.4482421875F, 390.9677734375F, 850.15625F, 391.3876953125F, 850.15625F);
            graphicsPath.AddBezier(391.3876953125F, 850.15625F, 391.451171875F, 850.15625F, 391.5009765625F, 850.1640625F, 391.55859375F, 850.1708984375F);
            graphicsPath.AddBezier(391.55859375F, 850.7607421875F, 391.494140625F, 850.75390625F, 391.4306640625F, 850.7470703125F, 391.3447265625F, 850.7470703125F);
            graphicsPath.AddBezier(391.3447265625F, 850.7470703125F, 390.904296875F, 850.7470703125F, 390.5908203125F, 851.0810546875F, 390.505859375F, 851.5439453125F);
            graphicsPath.AddBezier(390.505859375F, 851.5439453125F, 390.4912109375F, 851.6357421875F, 390.484375F, 851.7353515625F, 390.484375F, 851.8349609375F);
            graphicsPath.AddLine(390.484375F, 853.677734375F, 389.8583984375F, 853.677734375F);
            graphicsPath.AddLine(389.8583984375F, 853.677734375F, 389.8583984375F, 851.30859375F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddLine(394.4462890625F, 849.4091796875F, 394.4462890625F, 850.234375F);
            graphicsPath.AddLine(395.3427734375F, 850.234375F, 395.3427734375F, 850.7109375F);
            graphicsPath.AddLine(394.4462890625F, 850.7109375F, 394.4462890625F, 852.560546875F);
            graphicsPath.AddBezier(394.4462890625F, 852.560546875F, 394.4462890625F, 852.9873046875F, 394.5673828125F, 853.2294921875F, 394.916015625F, 853.2294921875F);
            graphicsPath.AddBezier(394.916015625F, 853.2294921875F, 395.0859375F, 853.2294921875F, 395.185546875F, 853.2158203125F, 395.2783203125F, 853.1865234375F);
            graphicsPath.AddBezier(395.306640625F, 853.6630859375F, 395.185546875F, 853.7060546875F, 394.994140625F, 853.7490234375F, 394.751953125F, 853.7490234375F);
            graphicsPath.AddBezier(394.751953125F, 853.7490234375F, 394.4599609375F, 853.7490234375F, 394.2255859375F, 853.6494140625F, 394.076171875F, 853.4853515625F);
            graphicsPath.AddBezier(394.076171875F, 853.4853515625F, 393.9052734375F, 853.2939453125F, 393.833984375F, 852.9873046875F, 393.833984375F, 852.58203125F);
            graphicsPath.AddLine(393.833984375F, 850.7109375F, 393.30078125F, 850.7109375F);
            graphicsPath.AddLine(393.30078125F, 850.234375F, 393.833984375F, 850.234375F);
            graphicsPath.AddLine(393.833984375F, 849.6015625F, 394.4462890625F, 849.4091796875F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();

            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(396.046875F, 851.30859375F, 396.046875F, 850.9033203125F, 396.0390625F, 850.5546875F, 396.0185546875F, 850.234375F);
            graphicsPath.AddLine(396.5654296875F, 850.234375F, 396.5947265625F, 850.91015625F);
            graphicsPath.AddBezier(396.615234375F, 850.91015625F, 396.7724609375F, 850.4482421875F, 397.15625F, 850.15625F, 397.576171875F, 850.15625F);
            graphicsPath.AddBezier(397.576171875F, 850.15625F, 397.6396484375F, 850.15625F, 397.689453125F, 850.1640625F, 397.7470703125F, 850.1708984375F);
            graphicsPath.AddBezier(397.7470703125F, 850.7607421875F, 397.6826171875F, 850.75390625F, 397.619140625F, 850.7470703125F, 397.533203125F, 850.7470703125F);
            graphicsPath.AddBezier(397.533203125F, 850.7470703125F, 397.0927734375F, 850.7470703125F, 396.779296875F, 851.0810546875F, 396.6943359375F, 851.5439453125F);
            graphicsPath.AddBezier(396.6943359375F, 851.5439453125F, 396.6796875F, 851.6357421875F, 396.6728515625F, 851.7353515625F, 396.6728515625F, 851.8349609375F);
            graphicsPath.AddLine(396.6728515625F, 853.677734375F, 396.046875F, 853.677734375F);
            graphicsPath.AddLine(396.046875F, 853.677734375F, 396.046875F, 851.30859375F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(400.763671875F, 852.8525390625F, 400.763671875F, 853.1513671875F, 400.77734375F, 853.443359375F, 400.8134765625F, 853.677734375F);
            graphicsPath.AddLine(400.2509765625F, 853.677734375F, 400.1943359375F, 853.244140625F);
            graphicsPath.AddBezier(400.1728515625F, 853.244140625F, 399.98828125F, 853.513671875F, 399.611328125F, 853.755859375F, 399.1201171875F, 853.755859375F);
            graphicsPath.AddBezier(399.1201171875F, 853.755859375F, 398.4228515625F, 853.755859375F, 398.0673828125F, 853.265625F, 398.0673828125F, 852.767578125F);
            graphicsPath.AddBezier(398.0673828125F, 852.767578125F, 398.0673828125F, 851.9345703125F, 398.8076171875F, 851.4794921875F, 400.1376953125F, 851.486328125F);
            graphicsPath.AddBezier(400.1376953125F, 851.416015625F, 400.1376953125F, 851.130859375F, 400.0595703125F, 850.611328125F, 399.3544921875F, 850.619140625F);
            graphicsPath.AddBezier(399.3544921875F, 850.619140625F, 399.02734375F, 850.619140625F, 398.693359375F, 850.7109375F, 398.451171875F, 850.875F);
            graphicsPath.AddBezier(398.3095703125F, 850.455078125F, 398.59375F, 850.27734375F, 399.013671875F, 850.15625F, 399.447265625F, 850.15625F);
            graphicsPath.AddBezier(399.447265625F, 850.15625F, 400.5068359375F, 850.15625F, 400.763671875F, 850.875F, 400.763671875F, 851.5654296875F);
            graphicsPath.AddLine(400.763671875F, 851.5654296875F, 400.763671875F, 852.8525390625F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(400.1513671875F, 851.9208984375F, 399.46875F, 851.90625F, 398.693359375F, 852.02734375F, 398.693359375F, 852.6962890625F);
            graphicsPath.AddBezier(398.693359375F, 852.6962890625F, 398.693359375F, 853.1083984375F, 398.9638671875F, 853.2939453125F, 399.2763671875F, 853.2939453125F);
            graphicsPath.AddBezier(399.2763671875F, 853.2939453125F, 399.7314453125F, 853.2939453125F, 400.0234375F, 853.0087890625F, 400.123046875F, 852.7177734375F);
            graphicsPath.AddBezier(400.123046875F, 852.7177734375F, 400.14453125F, 852.6533203125F, 400.1513671875F, 852.58203125F, 400.1513671875F, 852.5185546875F);
            graphicsPath.AddLine(400.1513671875F, 852.5185546875F, 400.1513671875F, 851.9208984375F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddLine(404.740234375F, 848.626953125F, 404.740234375F, 852.7880859375F);
            graphicsPath.AddBezier(404.740234375F, 852.7880859375F, 404.740234375F, 853.0947265625F, 404.7470703125F, 853.443359375F, 404.7685546875F, 853.677734375F);
            graphicsPath.AddLine(404.2060546875F, 853.677734375F, 404.177734375F, 853.080078125F);
            graphicsPath.AddBezier(404.1640625F, 853.080078125F, 403.9716796875F, 853.4638671875F, 403.55859375F, 853.755859375F, 402.9970703125F, 853.755859375F);
            graphicsPath.AddBezier(402.9970703125F, 853.755859375F, 402.1650390625F, 853.755859375F, 401.517578125F, 853.0517578125F, 401.517578125F, 852.005859375F);
            graphicsPath.AddBezier(401.517578125F, 852.005859375F, 401.5107421875F, 850.853515625F, 402.228515625F, 850.15625F, 403.060546875F, 850.15625F);
            graphicsPath.AddBezier(403.060546875F, 850.15625F, 403.5947265625F, 850.15625F, 403.9501953125F, 850.4052734375F, 404.099609375F, 850.67578125F);
            graphicsPath.AddLine(404.1142578125F, 850.67578125F, 404.1142578125F, 848.626953125F);
            graphicsPath.AddLine(404.1142578125F, 848.626953125F, 404.740234375F, 848.626953125F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(404.1142578125F, 851.6357421875F, 404.1142578125F, 851.55078125F, 404.1064453125F, 851.451171875F, 404.0849609375F, 851.3662109375F);
            graphicsPath.AddBezier(404.0849609375F, 851.3662109375F, 403.9931640625F, 850.974609375F, 403.6513671875F, 850.6474609375F, 403.181640625F, 850.6474609375F);
            graphicsPath.AddBezier(403.181640625F, 850.6474609375F, 402.5341796875F, 850.6474609375F, 402.150390625F, 851.216796875F, 402.150390625F, 851.970703125F);
            graphicsPath.AddBezier(402.150390625F, 851.970703125F, 402.150390625F, 852.6748046875F, 402.4990234375F, 853.2509765625F, 403.16796875F, 853.2509765625F);
            graphicsPath.AddBezier(403.16796875F, 853.2509765625F, 403.587890625F, 853.2509765625F, 403.9716796875F, 852.966796875F, 404.0849609375F, 852.4970703125F);
            graphicsPath.AddBezier(404.0849609375F, 852.4970703125F, 404.1064453125F, 852.4189453125F, 404.1142578125F, 852.3330078125F, 404.1142578125F, 852.2333984375F);
            graphicsPath.AddLine(404.1142578125F, 852.2333984375F, 404.1142578125F, 851.6357421875F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();

            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(406.134765625F, 852.0703125F, 406.1494140625F, 852.9091796875F, 406.6826171875F, 853.2578125F, 407.30859375F, 853.2578125F);
            graphicsPath.AddBezier(407.30859375F, 853.2578125F, 407.7568359375F, 853.2578125F, 408.0341796875F, 853.1796875F, 408.26171875F, 853.080078125F);
            graphicsPath.AddBezier(408.3759765625F, 853.5283203125F, 408.1552734375F, 853.6279296875F, 407.7705078125F, 853.7490234375F, 407.22265625F, 853.7490234375F);
            graphicsPath.AddBezier(407.22265625F, 853.7490234375F, 406.169921875F, 853.7490234375F, 405.5302734375F, 853.044921875F, 405.5302734375F, 852.0126953125F);
            graphicsPath.AddBezier(405.5302734375F, 852.0126953125F, 405.5302734375F, 850.974609375F, 406.1494140625F, 850.15625F, 407.15234375F, 850.15625F);
            graphicsPath.AddBezier(407.15234375F, 850.15625F, 408.2763671875F, 850.15625F, 408.5673828125F, 851.1455078125F, 408.5673828125F, 851.7783203125F);
            graphicsPath.AddBezier(408.5673828125F, 851.7783203125F, 408.5673828125F, 851.90625F, 408.560546875F, 851.9990234375F, 408.5458984375F, 852.0703125F);
            graphicsPath.AddLine(408.5458984375F, 852.0703125F, 406.134765625F, 852.0703125F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(407.962890625F, 851.6220703125F, 407.9697265625F, 851.2236328125F, 407.798828125F, 850.6044921875F, 407.1025390625F, 850.6044921875F);
            graphicsPath.AddBezier(407.1025390625F, 850.6044921875F, 406.4619140625F, 850.6044921875F, 406.19140625F, 851.1875F, 406.1416015625F, 851.6220703125F);
            graphicsPath.AddLine(406.1416015625F, 851.6220703125F, 407.962890625F, 851.6220703125F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(409.3427734375F, 851.1669921875F, 409.3427734375F, 850.8037109375F, 409.328125F, 850.51953125F, 409.314453125F, 850.234375F);
            graphicsPath.AddLine(409.8623046875F, 850.234375F, 409.890625F, 850.7900390625F);
            graphicsPath.AddBezier(409.9111328125F, 850.7900390625F, 410.103515625F, 850.4619140625F, 410.423828125F, 850.15625F, 411F, 850.15625F);
            graphicsPath.AddBezier(411F, 850.15625F, 411.4619140625F, 850.15625F, 411.818359375F, 850.44140625F, 411.9677734375F, 850.8466796875F);
            graphicsPath.AddBezier(411.9814453125F, 850.8466796875F, 412.087890625F, 850.6474609375F, 412.23046875F, 850.5048828125F, 412.373046875F, 850.3984375F);
            graphicsPath.AddBezier(412.373046875F, 850.3984375F, 412.5791015625F, 850.2421875F, 412.7998046875F, 850.15625F, 413.126953125F, 850.15625F);
            graphicsPath.AddBezier(413.126953125F, 850.15625F, 413.5888671875F, 850.15625F, 414.2646484375F, 850.455078125F, 414.2646484375F, 851.650390625F);
            graphicsPath.AddLine(414.2646484375F, 853.677734375F, 413.6533203125F, 853.677734375F);
            graphicsPath.AddBezier(413.6533203125F, 851.728515625F, 413.6533203125F, 851.0595703125F, 413.404296875F, 850.6689453125F, 412.90625F, 850.6689453125F);
            graphicsPath.AddBezier(412.90625F, 850.6689453125F, 412.5439453125F, 850.6689453125F, 412.2734375F, 850.931640625F, 412.1591796875F, 851.23046875F);
            graphicsPath.AddBezier(412.1591796875F, 851.23046875F, 412.130859375F, 851.3232421875F, 412.109375F, 851.4365234375F, 412.109375F, 851.5439453125F);
            graphicsPath.AddLine(412.109375F, 853.677734375F, 411.498046875F, 853.677734375F);
            graphicsPath.AddBezier(411.498046875F, 851.607421875F, 411.498046875F, 851.0595703125F, 411.255859375F, 850.6689453125F, 410.779296875F, 850.6689453125F);
            graphicsPath.AddBezier(410.779296875F, 850.6689453125F, 410.3955078125F, 850.6689453125F, 410.103515625F, 850.9814453125F, 410.00390625F, 851.294921875F);
            graphicsPath.AddBezier(410.00390625F, 851.294921875F, 409.96875F, 851.38671875F, 409.9541015625F, 851.494140625F, 409.9541015625F, 851.6005859375F);
            graphicsPath.AddLine(409.9541015625F, 853.677734375F, 409.3427734375F, 853.677734375F);
            graphicsPath.AddLine(409.3427734375F, 853.677734375F, 409.3427734375F, 851.1669921875F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();

            graphicsPath.Reset();

            graphicsPath.StartFigure();
            graphicsPath.AddBezier(417.701171875F, 852.8525390625F, 417.701171875F, 853.1513671875F, 417.71484375F, 853.443359375F, 417.7509765625F, 853.677734375F);
            graphicsPath.AddLine(417.1884765625F, 853.677734375F, 417.1318359375F, 853.244140625F);
            graphicsPath.AddBezier(417.1103515625F, 853.244140625F, 416.92578125F, 853.513671875F, 416.548828125F, 853.755859375F, 416.0576171875F, 853.755859375F);
            graphicsPath.AddBezier(416.0576171875F, 853.755859375F, 415.3603515625F, 853.755859375F, 415.0048828125F, 853.265625F, 415.0048828125F, 852.767578125F);
            graphicsPath.AddBezier(415.0048828125F, 852.767578125F, 415.0048828125F, 851.9345703125F, 415.7451171875F, 851.4794921875F, 417.0751953125F, 851.486328125F);
            graphicsPath.AddBezier(417.0751953125F, 851.416015625F, 417.0751953125F, 851.130859375F, 416.9970703125F, 850.611328125F, 416.2919921875F, 850.619140625F);
            graphicsPath.AddBezier(416.2919921875F, 850.619140625F, 415.96484375F, 850.619140625F, 415.630859375F, 850.7109375F, 415.388671875F, 850.875F);
            graphicsPath.AddBezier(415.2470703125F, 850.455078125F, 415.53125F, 850.27734375F, 415.951171875F, 850.15625F, 416.384765625F, 850.15625F);
            graphicsPath.AddBezier(416.384765625F, 850.15625F, 417.4443359375F, 850.15625F, 417.701171875F, 850.875F, 417.701171875F, 851.5654296875F);
            graphicsPath.AddLine(417.701171875F, 851.5654296875F, 417.701171875F, 852.8525390625F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(417.0888671875F, 851.9208984375F, 416.40625F, 851.90625F, 415.630859375F, 852.02734375F, 415.630859375F, 852.6962890625F);
            graphicsPath.AddBezier(415.630859375F, 852.6962890625F, 415.630859375F, 853.1083984375F, 415.9013671875F, 853.2939453125F, 416.2138671875F, 853.2939453125F);
            graphicsPath.AddBezier(416.2138671875F, 853.2939453125F, 416.6689453125F, 853.2939453125F, 416.9609375F, 853.0087890625F, 417.060546875F, 852.7177734375F);
            graphicsPath.AddBezier(417.060546875F, 852.7177734375F, 417.08203125F, 852.6533203125F, 417.0888671875F, 852.58203125F, 417.0888671875F, 852.5185546875F);
            graphicsPath.AddLine(417.0888671875F, 852.5185546875F, 417.0888671875F, 851.9208984375F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();

            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(418.7041015625F, 851.30859375F, 418.7041015625F, 850.9033203125F, 418.6962890625F, 850.5546875F, 418.67578125F, 850.234375F);
            graphicsPath.AddLine(419.2236328125F, 850.234375F, 419.251953125F, 850.91015625F);
            graphicsPath.AddBezier(419.2724609375F, 850.91015625F, 419.4296875F, 850.4482421875F, 419.8134765625F, 850.15625F, 420.2333984375F, 850.15625F);
            graphicsPath.AddBezier(420.2333984375F, 850.15625F, 420.296875F, 850.15625F, 420.3466796875F, 850.1640625F, 420.404296875F, 850.1708984375F);
            graphicsPath.AddBezier(420.404296875F, 850.7607421875F, 420.33984375F, 850.75390625F, 420.2763671875F, 850.7470703125F, 420.1904296875F, 850.7470703125F);
            graphicsPath.AddBezier(420.1904296875F, 850.7470703125F, 419.75F, 850.7470703125F, 419.4365234375F, 851.0810546875F, 419.3515625F, 851.5439453125F);
            graphicsPath.AddBezier(419.3515625F, 851.5439453125F, 419.3369140625F, 851.6357421875F, 419.330078125F, 851.7353515625F, 419.330078125F, 851.8349609375F);
            graphicsPath.AddLine(419.330078125F, 853.677734375F, 418.7041015625F, 853.677734375F);
            graphicsPath.AddLine(418.7041015625F, 853.677734375F, 418.7041015625F, 851.30859375F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddLine(421.6845703125F, 851.814453125F, 421.6982421875F, 851.814453125F);
            graphicsPath.AddBezier(421.6982421875F, 851.814453125F, 421.7841796875F, 851.693359375F, 421.8974609375F, 851.5439453125F, 421.9970703125F, 851.4228515625F);
            graphicsPath.AddLine(423.0146484375F, 850.234375F, 423.76171875F, 850.234375F);
            graphicsPath.AddLine(422.431640625F, 851.650390625F, 423.9462890625F, 853.677734375F);
            graphicsPath.AddLine(423.185546875F, 853.677734375F, 422.0048828125F, 852.02734375F);
            graphicsPath.AddLine(421.6845703125F, 852.3828125F, 421.6845703125F, 853.677734375F);
            graphicsPath.AddLine(421.05859375F, 853.677734375F, 421.05859375F, 848.626953125F);
            graphicsPath.AddLine(421.6845703125F, 848.626953125F, 421.6845703125F, 851.814453125F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(424.30859375F, 853.037109375F, 424.5009765625F, 853.1513671875F, 424.828125F, 853.279296875F, 425.1416015625F, 853.279296875F);
            graphicsPath.AddBezier(425.1416015625F, 853.279296875F, 425.58984375F, 853.279296875F, 425.802734375F, 853.05859375F, 425.802734375F, 852.767578125F);
            graphicsPath.AddBezier(425.802734375F, 852.767578125F, 425.802734375F, 852.46875F, 425.625F, 852.3115234375F, 425.169921875F, 852.1416015625F);
            graphicsPath.AddBezier(425.169921875F, 852.1416015625F, 424.5439453125F, 851.9130859375F, 424.251953125F, 851.572265625F, 424.251953125F, 851.1669921875F);
            graphicsPath.AddBezier(424.251953125F, 851.1669921875F, 424.251953125F, 850.611328125F, 424.70703125F, 850.15625F, 425.4404296875F, 850.15625F);
            graphicsPath.AddBezier(425.4404296875F, 850.15625F, 425.7880859375F, 850.15625F, 426.0947265625F, 850.2490234375F, 426.279296875F, 850.3701171875F);
            graphicsPath.AddBezier(426.1298828125F, 850.818359375F, 425.9951171875F, 850.740234375F, 425.74609375F, 850.619140625F, 425.42578125F, 850.619140625F);
            graphicsPath.AddBezier(425.42578125F, 850.619140625F, 425.0556640625F, 850.619140625F, 424.8564453125F, 850.83203125F, 424.8564453125F, 851.087890625F);
            graphicsPath.AddBezier(424.8564453125F, 851.087890625F, 424.8564453125F, 851.373046875F, 425.0556640625F, 851.5009765625F, 425.50390625F, 851.6787109375F);
            graphicsPath.AddBezier(425.50390625F, 851.6787109375F, 426.0947265625F, 851.8994140625F, 426.4072265625F, 852.1982421875F, 426.4072265625F, 852.7099609375F);
            graphicsPath.AddBezier(426.4072265625F, 852.7099609375F, 426.4072265625F, 853.322265625F, 425.9306640625F, 853.7490234375F, 425.126953125F, 853.7490234375F);
            graphicsPath.AddBezier(425.126953125F, 853.7490234375F, 424.75F, 853.7490234375F, 424.4013671875F, 853.6494140625F, 424.1591796875F, 853.5068359375F);
            graphicsPath.AddLine(424.1591796875F, 853.5068359375F, 424.30859375F, 853.037109375F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(430.12109375F, 853.755859375F, 429.1962890625F, 853.755859375F, 428.470703125F, 853.0732421875F, 428.470703125F, 851.984375F);
            graphicsPath.AddBezier(428.470703125F, 851.984375F, 428.470703125F, 850.83203125F, 429.2314453125F, 850.15625F, 430.177734375F, 850.15625F);
            graphicsPath.AddBezier(430.177734375F, 850.15625F, 431.1669921875F, 850.15625F, 431.8349609375F, 850.875F, 431.8349609375F, 851.9208984375F);
            graphicsPath.AddBezier(431.8349609375F, 851.9208984375F, 431.8349609375F, 853.201171875F, 430.9462890625F, 853.755859375F, 430.1279296875F, 853.755859375F);
            graphicsPath.AddLine(430.1279296875F, 853.755859375F, 430.12109375F, 853.755859375F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(430.1494140625F, 853.2861328125F, 430.7470703125F, 853.2861328125F, 431.1953125F, 852.724609375F, 431.1953125F, 851.9423828125F);
            graphicsPath.AddBezier(431.1953125F, 851.9423828125F, 431.1953125F, 851.3583984375F, 430.9033203125F, 850.6259765625F, 430.1630859375F, 850.6259765625F);
            graphicsPath.AddBezier(430.1630859375F, 850.6259765625F, 429.4306640625F, 850.6259765625F, 429.1103515625F, 851.30859375F, 429.1103515625F, 851.962890625F);
            graphicsPath.AddBezier(429.1103515625F, 851.962890625F, 429.1103515625F, 852.7177734375F, 429.537109375F, 853.2861328125F, 430.142578125F, 853.2861328125F);
            graphicsPath.AddLine(430.142578125F, 853.2861328125F, 430.1494140625F, 853.2861328125F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddLine(432.681640625F, 853.677734375F, 432.681640625F, 850.7109375F);
            graphicsPath.AddLine(432.205078125F, 850.7109375F, 432.205078125F, 850.234375F);
            graphicsPath.AddLine(432.681640625F, 850.234375F, 432.681640625F, 850.0712890625F);
            graphicsPath.AddBezier(432.681640625F, 850.0712890625F, 432.681640625F, 849.587890625F, 432.7958984375F, 849.146484375F, 433.0869140625F, 848.869140625F);
            graphicsPath.AddBezier(433.0869140625F, 848.869140625F, 433.322265625F, 848.6416015625F, 433.634765625F, 848.548828125F, 433.9189453125F, 848.548828125F);
            graphicsPath.AddBezier(433.9189453125F, 848.548828125F, 434.1474609375F, 848.548828125F, 434.33203125F, 848.5986328125F, 434.453125F, 848.6484375F);
            graphicsPath.AddBezier(434.375F, 849.1318359375F, 434.275390625F, 849.08984375F, 434.154296875F, 849.0537109375F, 433.96875F, 849.0537109375F);
            graphicsPath.AddBezier(433.96875F, 849.0537109375F, 433.4423828125F, 849.0537109375F, 433.30078125F, 849.5234375F, 433.30078125F, 850.0498046875F);
            graphicsPath.AddLine(433.30078125F, 850.234375F, 434.1328125F, 850.234375F);
            graphicsPath.AddLine(434.1328125F, 850.7109375F, 433.3076171875F, 850.7109375F);
            graphicsPath.AddLine(433.3076171875F, 853.677734375F, 432.681640625F, 853.677734375F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddLine(437.0068359375F, 852.169921875F, 436.5087890625F, 853.677734375F);
            graphicsPath.AddLine(435.8681640625F, 853.677734375F, 437.4970703125F, 848.8828125F);
            graphicsPath.AddLine(438.244140625F, 848.8828125F, 439.8798828125F, 853.677734375F);
            graphicsPath.AddLine(439.21875F, 853.677734375F, 438.70703125F, 852.169921875F);
            graphicsPath.AddLine(438.70703125F, 852.169921875F, 437.0068359375F, 852.169921875F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddLine(438.578125F, 851.685546875F, 438.1015625F, 850.3056640625F);
            graphicsPath.AddBezier(438.1015625F, 850.3056640625F, 438.001953125F, 849.9931640625F, 437.931640625F, 849.7080078125F, 437.8603515625F, 849.4306640625F);
            graphicsPath.AddBezier(437.8388671875F, 849.4306640625F, 437.7744140625F, 849.7080078125F, 437.6962890625F, 850.0068359375F, 437.603515625F, 850.298828125F);
            graphicsPath.AddLine(437.134765625F, 851.685546875F, 438.578125F, 851.685546875F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddLine(443.4521484375F, 848.626953125F, 443.4521484375F, 852.7880859375F);
            graphicsPath.AddBezier(443.4521484375F, 852.7880859375F, 443.4521484375F, 853.0947265625F, 443.458984375F, 853.443359375F, 443.48046875F, 853.677734375F);
            graphicsPath.AddLine(442.91796875F, 853.677734375F, 442.8896484375F, 853.080078125F);
            graphicsPath.AddBezier(442.8759765625F, 853.080078125F, 442.68359375F, 853.4638671875F, 442.2705078125F, 853.755859375F, 441.708984375F, 853.755859375F);
            graphicsPath.AddBezier(441.708984375F, 853.755859375F, 440.876953125F, 853.755859375F, 440.2294921875F, 853.0517578125F, 440.2294921875F, 852.005859375F);
            graphicsPath.AddBezier(440.2294921875F, 852.005859375F, 440.22265625F, 850.853515625F, 440.9404296875F, 850.15625F, 441.7724609375F, 850.15625F);
            graphicsPath.AddBezier(441.7724609375F, 850.15625F, 442.306640625F, 850.15625F, 442.662109375F, 850.4052734375F, 442.8115234375F, 850.67578125F);
            graphicsPath.AddLine(442.826171875F, 850.67578125F, 442.826171875F, 848.626953125F);
            graphicsPath.AddLine(442.826171875F, 848.626953125F, 443.4521484375F, 848.626953125F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(442.826171875F, 851.6357421875F, 442.826171875F, 851.55078125F, 442.818359375F, 851.451171875F, 442.796875F, 851.3662109375F);
            graphicsPath.AddBezier(442.796875F, 851.3662109375F, 442.705078125F, 850.974609375F, 442.36328125F, 850.6474609375F, 441.8935546875F, 850.6474609375F);
            graphicsPath.AddBezier(441.8935546875F, 850.6474609375F, 441.24609375F, 850.6474609375F, 440.8623046875F, 851.216796875F, 440.8623046875F, 851.970703125F);
            graphicsPath.AddBezier(440.8623046875F, 851.970703125F, 440.8623046875F, 852.6748046875F, 441.2109375F, 853.2509765625F, 441.8798828125F, 853.2509765625F);
            graphicsPath.AddBezier(441.8798828125F, 853.2509765625F, 442.2998046875F, 853.2509765625F, 442.68359375F, 852.966796875F, 442.796875F, 852.4970703125F);
            graphicsPath.AddBezier(442.796875F, 852.4970703125F, 442.818359375F, 852.4189453125F, 442.826171875F, 852.3330078125F, 442.826171875F, 852.2333984375F);
            graphicsPath.AddLine(442.826171875F, 852.2333984375F, 442.826171875F, 851.6357421875F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(445.892578125F, 853.755859375F, 444.9677734375F, 853.755859375F, 444.2421875F, 853.0732421875F, 444.2421875F, 851.984375F);
            graphicsPath.AddBezier(444.2421875F, 851.984375F, 444.2421875F, 850.83203125F, 445.0029296875F, 850.15625F, 445.94921875F, 850.15625F);
            graphicsPath.AddBezier(445.94921875F, 850.15625F, 446.9384765625F, 850.15625F, 447.6064453125F, 850.875F, 447.6064453125F, 851.9208984375F);
            graphicsPath.AddBezier(447.6064453125F, 851.9208984375F, 447.6064453125F, 853.201171875F, 446.7177734375F, 853.755859375F, 445.8994140625F, 853.755859375F);
            graphicsPath.AddLine(445.8994140625F, 853.755859375F, 445.892578125F, 853.755859375F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(445.9208984375F, 853.2861328125F, 446.5185546875F, 853.2861328125F, 446.966796875F, 852.724609375F, 446.966796875F, 851.9423828125F);
            graphicsPath.AddBezier(446.966796875F, 851.9423828125F, 446.966796875F, 851.3583984375F, 446.6748046875F, 850.6259765625F, 445.9345703125F, 850.6259765625F);
            graphicsPath.AddBezier(445.9345703125F, 850.6259765625F, 445.2021484375F, 850.6259765625F, 444.8818359375F, 851.30859375F, 444.8818359375F, 851.962890625F);
            graphicsPath.AddBezier(444.8818359375F, 851.962890625F, 444.8818359375F, 852.7177734375F, 445.30859375F, 853.2861328125F, 445.9140625F, 853.2861328125F);
            graphicsPath.AddLine(445.9140625F, 853.2861328125F, 445.9208984375F, 853.2861328125F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddLine(448.396484375F, 848.626953125F, 449.0224609375F, 848.626953125F);
            graphicsPath.AddLine(449.0224609375F, 850.7822265625F, 449.0361328125F, 850.7822265625F);
            graphicsPath.AddBezier(449.0361328125F, 850.7822265625F, 449.2568359375F, 850.3984375F, 449.6552734375F, 850.15625F, 450.2099609375F, 850.15625F);
            graphicsPath.AddBezier(450.2099609375F, 850.15625F, 451.0634765625F, 850.15625F, 451.6611328125F, 850.8681640625F, 451.6611328125F, 851.90625F);
            graphicsPath.AddBezier(451.6611328125F, 851.90625F, 451.6611328125F, 853.14453125F, 450.87890625F, 853.755859375F, 450.1103515625F, 853.755859375F);
            graphicsPath.AddBezier(450.1103515625F, 853.755859375F, 449.6123046875F, 853.755859375F, 449.2216796875F, 853.5634765625F, 448.9580078125F, 853.1083984375F);
            graphicsPath.AddLine(448.9443359375F, 853.1083984375F, 448.908203125F, 853.677734375F);
            graphicsPath.AddBezier(448.3681640625F, 853.677734375F, 448.388671875F, 853.443359375F, 448.396484375F, 853.0947265625F, 448.396484375F, 852.7880859375F);
            graphicsPath.AddLine(448.396484375F, 852.7880859375F, 448.396484375F, 848.626953125F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(449.0224609375F, 852.2978515625F, 449.0224609375F, 852.3759765625F, 449.029296875F, 852.4541015625F, 449.0439453125F, 852.525390625F);
            graphicsPath.AddBezier(449.0439453125F, 852.525390625F, 449.1640625F, 852.958984375F, 449.5341796875F, 853.2578125F, 449.982421875F, 853.2578125F);
            graphicsPath.AddBezier(449.982421875F, 853.2578125F, 450.64453125F, 853.2578125F, 451.0283203125F, 852.724609375F, 451.0283203125F, 851.9345703125F);
            graphicsPath.AddBezier(451.0283203125F, 851.9345703125F, 451.0283203125F, 851.2373046875F, 450.6728515625F, 850.6474609375F, 450.00390625F, 850.6474609375F);
            graphicsPath.AddBezier(450.00390625F, 850.6474609375F, 449.5771484375F, 850.6474609375F, 449.1787109375F, 850.9462890625F, 449.0576171875F, 851.416015625F);
            graphicsPath.AddBezier(449.0576171875F, 851.416015625F, 449.0361328125F, 851.494140625F, 449.0224609375F, 851.5791015625F, 449.0224609375F, 851.6787109375F);
            graphicsPath.AddLine(449.0224609375F, 851.6787109375F, 449.0224609375F, 852.2978515625F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(452.798828125F, 852.0703125F, 452.8134765625F, 852.9091796875F, 453.3466796875F, 853.2578125F, 453.97265625F, 853.2578125F);
            graphicsPath.AddBezier(453.97265625F, 853.2578125F, 454.4208984375F, 853.2578125F, 454.6982421875F, 853.1796875F, 454.92578125F, 853.080078125F);
            graphicsPath.AddBezier(455.0400390625F, 853.5283203125F, 454.8193359375F, 853.6279296875F, 454.4345703125F, 853.7490234375F, 453.88671875F, 853.7490234375F);
            graphicsPath.AddBezier(453.88671875F, 853.7490234375F, 452.833984375F, 853.7490234375F, 452.1943359375F, 853.044921875F, 452.1943359375F, 852.0126953125F);
            graphicsPath.AddBezier(452.1943359375F, 852.0126953125F, 452.1943359375F, 850.974609375F, 452.8134765625F, 850.15625F, 453.81640625F, 850.15625F);
            graphicsPath.AddBezier(453.81640625F, 850.15625F, 454.9404296875F, 850.15625F, 455.2314453125F, 851.1455078125F, 455.2314453125F, 851.7783203125F);
            graphicsPath.AddBezier(455.2314453125F, 851.7783203125F, 455.2314453125F, 851.90625F, 455.224609375F, 851.9990234375F, 455.2099609375F, 852.0703125F);
            graphicsPath.AddLine(455.2099609375F, 852.0703125F, 452.798828125F, 852.0703125F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(454.626953125F, 851.6220703125F, 454.6337890625F, 851.2236328125F, 454.462890625F, 850.6044921875F, 453.7666015625F, 850.6044921875F);
            graphicsPath.AddBezier(453.7666015625F, 850.6044921875F, 453.1259765625F, 850.6044921875F, 452.85546875F, 851.1875F, 452.8056640625F, 851.6220703125F);
            graphicsPath.AddLine(452.8056640625F, 851.6220703125F, 454.626953125F, 851.6220703125F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(457.4580078125F, 852.923828125F, 457.736328125F, 853.0947265625F, 458.1337890625F, 853.2294921875F, 458.5615234375F, 853.2294921875F);
            graphicsPath.AddBezier(458.5615234375F, 853.2294921875F, 459.1943359375F, 853.2294921875F, 459.564453125F, 852.90234375F, 459.564453125F, 852.4189453125F);
            graphicsPath.AddBezier(459.564453125F, 852.4189453125F, 459.564453125F, 851.970703125F, 459.3076171875F, 851.70703125F, 458.6611328125F, 851.4658203125F);
            graphicsPath.AddBezier(458.6611328125F, 851.4658203125F, 457.8779296875F, 851.1953125F, 457.39453125F, 850.7822265625F, 457.39453125F, 850.1142578125F);
            graphicsPath.AddBezier(457.39453125F, 850.1142578125F, 457.39453125F, 849.3671875F, 458.013671875F, 848.8125F, 458.9453125F, 848.8125F);
            graphicsPath.AddBezier(458.9453125F, 848.8125F, 459.4287109375F, 848.8125F, 459.7919921875F, 848.92578125F, 459.998046875F, 849.0400390625F);
            graphicsPath.AddBezier(459.8271484375F, 849.5517578125F, 459.677734375F, 849.458984375F, 459.357421875F, 849.32421875F, 458.923828125F, 849.32421875F);
            graphicsPath.AddBezier(458.923828125F, 849.32421875F, 458.26953125F, 849.32421875F, 458.0205078125F, 849.7158203125F, 458.0205078125F, 850.04296875F);
            graphicsPath.AddBezier(458.0205078125F, 850.04296875F, 458.0205078125F, 850.4833984375F, 458.3125F, 850.7041015625F, 458.9736328125F, 850.9599609375F);
            graphicsPath.AddBezier(458.9736328125F, 850.9599609375F, 459.7841796875F, 851.2802734375F, 460.1904296875F, 851.6650390625F, 460.1904296875F, 852.369140625F);
            graphicsPath.AddBezier(460.1904296875F, 852.369140625F, 460.1904296875F, 853.1015625F, 459.6494140625F, 853.7490234375F, 458.5185546875F, 853.7490234375F);
            graphicsPath.AddBezier(458.5185546875F, 853.7490234375F, 458.0556640625F, 853.7490234375F, 457.55078125F, 853.6064453125F, 457.294921875F, 853.435546875F);
            graphicsPath.AddLine(457.294921875F, 853.435546875F, 457.4580078125F, 852.923828125F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddLine(461.1923828125F, 850.234375F, 461.939453125F, 852.26953125F);
            graphicsPath.AddBezier(461.939453125F, 852.26953125F, 462.0244140625F, 852.4970703125F, 462.1103515625F, 852.767578125F, 462.1669921875F, 852.9736328125F);
            graphicsPath.AddBezier(462.1806640625F, 852.9736328125F, 462.2451171875F, 852.767578125F, 462.31640625F, 852.50390625F, 462.4013671875F, 852.2548828125F);
            graphicsPath.AddLine(463.083984375F, 850.234375F, 463.74609375F, 850.234375F);
            graphicsPath.AddBezier(462.806640625F, 852.6884765625F, 462.3583984375F, 853.8701171875F, 462.052734375F, 854.4677734375F, 461.6259765625F, 854.8447265625F);
            graphicsPath.AddBezier(461.6259765625F, 854.8447265625F, 461.3134765625F, 855.107421875F, 461.0146484375F, 855.2138671875F, 460.857421875F, 855.2431640625F);
            graphicsPath.AddBezier(460.701171875F, 854.7236328125F, 460.857421875F, 854.673828125F, 461.064453125F, 854.57421875F, 461.2490234375F, 854.41796875F);
            graphicsPath.AddBezier(461.2490234375F, 854.41796875F, 461.419921875F, 854.2822265625F, 461.6259765625F, 854.0400390625F, 461.775390625F, 853.720703125F);
            graphicsPath.AddBezier(461.775390625F, 853.720703125F, 461.8037109375F, 853.65625F, 461.8251953125F, 853.6064453125F, 461.8251953125F, 853.5712890625F);
            graphicsPath.AddBezier(461.8251953125F, 853.5712890625F, 461.8251953125F, 853.53515625F, 461.8115234375F, 853.4853515625F, 461.775390625F, 853.4072265625F);
            graphicsPath.AddLine(460.509765625F, 850.234375F, 461.1923828125F, 850.234375F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(464.1875F, 853.037109375F, 464.3798828125F, 853.1513671875F, 464.70703125F, 853.279296875F, 465.0205078125F, 853.279296875F);
            graphicsPath.AddBezier(465.0205078125F, 853.279296875F, 465.46875F, 853.279296875F, 465.681640625F, 853.05859375F, 465.681640625F, 852.767578125F);
            graphicsPath.AddBezier(465.681640625F, 852.767578125F, 465.681640625F, 852.46875F, 465.50390625F, 852.3115234375F, 465.048828125F, 852.1416015625F);
            graphicsPath.AddBezier(465.048828125F, 852.1416015625F, 464.4228515625F, 851.9130859375F, 464.130859375F, 851.572265625F, 464.130859375F, 851.1669921875F);
            graphicsPath.AddBezier(464.130859375F, 851.1669921875F, 464.130859375F, 850.611328125F, 464.5859375F, 850.15625F, 465.3193359375F, 850.15625F);
            graphicsPath.AddBezier(465.3193359375F, 850.15625F, 465.6669921875F, 850.15625F, 465.9736328125F, 850.2490234375F, 466.158203125F, 850.3701171875F);
            graphicsPath.AddBezier(466.0087890625F, 850.818359375F, 465.8740234375F, 850.740234375F, 465.625F, 850.619140625F, 465.3046875F, 850.619140625F);
            graphicsPath.AddBezier(465.3046875F, 850.619140625F, 464.9345703125F, 850.619140625F, 464.7353515625F, 850.83203125F, 464.7353515625F, 851.087890625F);
            graphicsPath.AddBezier(464.7353515625F, 851.087890625F, 464.7353515625F, 851.373046875F, 464.9345703125F, 851.5009765625F, 465.3828125F, 851.6787109375F);
            graphicsPath.AddBezier(465.3828125F, 851.6787109375F, 465.9736328125F, 851.8994140625F, 466.2861328125F, 852.1982421875F, 466.2861328125F, 852.7099609375F);
            graphicsPath.AddBezier(466.2861328125F, 852.7099609375F, 466.2861328125F, 853.322265625F, 465.8095703125F, 853.7490234375F, 465.005859375F, 853.7490234375F);
            graphicsPath.AddBezier(465.005859375F, 853.7490234375F, 464.62890625F, 853.7490234375F, 464.2802734375F, 853.6494140625F, 464.0380859375F, 853.5068359375F);
            graphicsPath.AddLine(464.0380859375F, 853.5068359375F, 464.1875F, 853.037109375F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();

            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddLine(467.84375F, 849.4091796875F, 467.84375F, 850.234375F);
            graphicsPath.AddLine(468.740234375F, 850.234375F, 468.740234375F, 850.7109375F);
            graphicsPath.AddLine(467.84375F, 850.7109375F, 467.84375F, 852.560546875F);
            graphicsPath.AddBezier(467.84375F, 852.560546875F, 467.84375F, 852.9873046875F, 467.96484375F, 853.2294921875F, 468.3134765625F, 853.2294921875F);
            graphicsPath.AddBezier(468.3134765625F, 853.2294921875F, 468.4833984375F, 853.2294921875F, 468.5830078125F, 853.2158203125F, 468.67578125F, 853.1865234375F);
            graphicsPath.AddBezier(468.7041015625F, 853.6630859375F, 468.5830078125F, 853.7060546875F, 468.3916015625F, 853.7490234375F, 468.1494140625F, 853.7490234375F);
            graphicsPath.AddBezier(468.1494140625F, 853.7490234375F, 467.857421875F, 853.7490234375F, 467.623046875F, 853.6494140625F, 467.4736328125F, 853.4853515625F);
            graphicsPath.AddBezier(467.4736328125F, 853.4853515625F, 467.302734375F, 853.2939453125F, 467.2314453125F, 852.9873046875F, 467.2314453125F, 852.58203125F);
            graphicsPath.AddLine(467.2314453125F, 850.7109375F, 466.6982421875F, 850.7109375F);
            graphicsPath.AddLine(466.6982421875F, 850.234375F, 467.2314453125F, 850.234375F);
            graphicsPath.AddLine(467.2314453125F, 849.6015625F, 467.84375F, 849.4091796875F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(469.7578125F, 852.0703125F, 469.7724609375F, 852.9091796875F, 470.3056640625F, 853.2578125F, 470.931640625F, 853.2578125F);
            graphicsPath.AddBezier(470.931640625F, 853.2578125F, 471.3798828125F, 853.2578125F, 471.6572265625F, 853.1796875F, 471.884765625F, 853.080078125F);
            graphicsPath.AddBezier(471.9990234375F, 853.5283203125F, 471.7783203125F, 853.6279296875F, 471.3935546875F, 853.7490234375F, 470.845703125F, 853.7490234375F);
            graphicsPath.AddBezier(470.845703125F, 853.7490234375F, 469.79296875F, 853.7490234375F, 469.1533203125F, 853.044921875F, 469.1533203125F, 852.0126953125F);
            graphicsPath.AddBezier(469.1533203125F, 852.0126953125F, 469.1533203125F, 850.974609375F, 469.7724609375F, 850.15625F, 470.775390625F, 850.15625F);
            graphicsPath.AddBezier(470.775390625F, 850.15625F, 471.8994140625F, 850.15625F, 472.1904296875F, 851.1455078125F, 472.1904296875F, 851.7783203125F);
            graphicsPath.AddBezier(472.1904296875F, 851.7783203125F, 472.1904296875F, 851.90625F, 472.18359375F, 851.9990234375F, 472.1689453125F, 852.0703125F);
            graphicsPath.AddLine(472.1689453125F, 852.0703125F, 469.7578125F, 852.0703125F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(471.5859375F, 851.6220703125F, 471.5927734375F, 851.2236328125F, 471.421875F, 850.6044921875F, 470.7255859375F, 850.6044921875F);
            graphicsPath.AddBezier(470.7255859375F, 850.6044921875F, 470.0849609375F, 850.6044921875F, 469.814453125F, 851.1875F, 469.7646484375F, 851.6220703125F);
            graphicsPath.AddLine(469.7646484375F, 851.6220703125F, 471.5859375F, 851.6220703125F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(472.9658203125F, 851.1669921875F, 472.9658203125F, 850.8037109375F, 472.951171875F, 850.51953125F, 472.9375F, 850.234375F);
            graphicsPath.AddLine(473.4853515625F, 850.234375F, 473.513671875F, 850.7900390625F);
            graphicsPath.AddBezier(473.5341796875F, 850.7900390625F, 473.7265625F, 850.4619140625F, 474.046875F, 850.15625F, 474.623046875F, 850.15625F);
            graphicsPath.AddBezier(474.623046875F, 850.15625F, 475.0849609375F, 850.15625F, 475.44140625F, 850.44140625F, 475.5908203125F, 850.8466796875F);
            graphicsPath.AddBezier(475.6044921875F, 850.8466796875F, 475.7109375F, 850.6474609375F, 475.853515625F, 850.5048828125F, 475.99609375F, 850.3984375F);
            graphicsPath.AddBezier(475.99609375F, 850.3984375F, 476.2021484375F, 850.2421875F, 476.4228515625F, 850.15625F, 476.75F, 850.15625F);
            graphicsPath.AddBezier(476.75F, 850.15625F, 477.2119140625F, 850.15625F, 477.8876953125F, 850.455078125F, 477.8876953125F, 851.650390625F);
            graphicsPath.AddLine(477.8876953125F, 853.677734375F, 477.2763671875F, 853.677734375F);
            graphicsPath.AddBezier(477.2763671875F, 851.728515625F, 477.2763671875F, 851.0595703125F, 477.02734375F, 850.6689453125F, 476.529296875F, 850.6689453125F);
            graphicsPath.AddBezier(476.529296875F, 850.6689453125F, 476.1669921875F, 850.6689453125F, 475.896484375F, 850.931640625F, 475.7822265625F, 851.23046875F);
            graphicsPath.AddBezier(475.7822265625F, 851.23046875F, 475.75390625F, 851.3232421875F, 475.732421875F, 851.4365234375F, 475.732421875F, 851.5439453125F);
            graphicsPath.AddLine(475.732421875F, 853.677734375F, 475.12109375F, 853.677734375F);
            graphicsPath.AddBezier(475.12109375F, 851.607421875F, 475.12109375F, 851.0595703125F, 474.87890625F, 850.6689453125F, 474.40234375F, 850.6689453125F);
            graphicsPath.AddBezier(474.40234375F, 850.6689453125F, 474.0185546875F, 850.6689453125F, 473.7265625F, 850.9814453125F, 473.626953125F, 851.294921875F);
            graphicsPath.AddBezier(473.626953125F, 851.294921875F, 473.591796875F, 851.38671875F, 473.5771484375F, 851.494140625F, 473.5771484375F, 851.6005859375F);
            graphicsPath.AddLine(473.5771484375F, 853.677734375F, 472.9658203125F, 853.677734375F);
            graphicsPath.AddLine(472.9658203125F, 853.677734375F, 472.9658203125F, 851.1669921875F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(478.8125F, 853.037109375F, 479.0048828125F, 853.1513671875F, 479.33203125F, 853.279296875F, 479.6455078125F, 853.279296875F);
            graphicsPath.AddBezier(479.6455078125F, 853.279296875F, 480.09375F, 853.279296875F, 480.306640625F, 853.05859375F, 480.306640625F, 852.767578125F);
            graphicsPath.AddBezier(480.306640625F, 852.767578125F, 480.306640625F, 852.46875F, 480.12890625F, 852.3115234375F, 479.673828125F, 852.1416015625F);
            graphicsPath.AddBezier(479.673828125F, 852.1416015625F, 479.0478515625F, 851.9130859375F, 478.755859375F, 851.572265625F, 478.755859375F, 851.1669921875F);
            graphicsPath.AddBezier(478.755859375F, 851.1669921875F, 478.755859375F, 850.611328125F, 479.2109375F, 850.15625F, 479.9443359375F, 850.15625F);
            graphicsPath.AddBezier(479.9443359375F, 850.15625F, 480.2919921875F, 850.15625F, 480.5986328125F, 850.2490234375F, 480.783203125F, 850.3701171875F);
            graphicsPath.AddBezier(480.6337890625F, 850.818359375F, 480.4990234375F, 850.740234375F, 480.25F, 850.619140625F, 479.9296875F, 850.619140625F);
            graphicsPath.AddBezier(479.9296875F, 850.619140625F, 479.5595703125F, 850.619140625F, 479.3603515625F, 850.83203125F, 479.3603515625F, 851.087890625F);
            graphicsPath.AddBezier(479.3603515625F, 851.087890625F, 479.3603515625F, 851.373046875F, 479.5595703125F, 851.5009765625F, 480.0078125F, 851.6787109375F);
            graphicsPath.AddBezier(480.0078125F, 851.6787109375F, 480.5986328125F, 851.8994140625F, 480.9111328125F, 852.1982421875F, 480.9111328125F, 852.7099609375F);
            graphicsPath.AddBezier(480.9111328125F, 852.7099609375F, 480.9111328125F, 853.322265625F, 480.4345703125F, 853.7490234375F, 479.630859375F, 853.7490234375F);
            graphicsPath.AddBezier(479.630859375F, 853.7490234375F, 479.25390625F, 853.7490234375F, 478.9052734375F, 853.6494140625F, 478.6630859375F, 853.5068359375F);
            graphicsPath.AddLine(478.6630859375F, 853.5068359375F, 478.8125F, 853.037109375F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddLine(483.86328125F, 848.8828125F, 483.86328125F, 853.677734375F);
            graphicsPath.AddLine(483.2373046875F, 853.677734375F, 483.2373046875F, 848.8828125F);
            graphicsPath.AddLine(483.2373046875F, 848.8828125F, 483.86328125F, 848.8828125F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(484.9951171875F, 851.1669921875F, 484.9951171875F, 850.8037109375F, 484.9873046875F, 850.51953125F, 484.966796875F, 850.234375F);
            graphicsPath.AddLine(485.521484375F, 850.234375F, 485.556640625F, 850.796875F);
            graphicsPath.AddBezier(485.5712890625F, 850.796875F, 485.7421875F, 850.4765625F, 486.140625F, 850.15625F, 486.708984375F, 850.15625F);
            graphicsPath.AddBezier(486.708984375F, 850.15625F, 487.185546875F, 850.15625F, 487.92578125F, 850.44140625F, 487.92578125F, 851.6220703125F);
            graphicsPath.AddLine(487.92578125F, 853.677734375F, 487.2998046875F, 853.677734375F);
            graphicsPath.AddBezier(487.2998046875F, 851.693359375F, 487.2998046875F, 851.138671875F, 487.09375F, 850.6689453125F, 486.5029296875F, 850.6689453125F);
            graphicsPath.AddBezier(486.5029296875F, 850.6689453125F, 486.09765625F, 850.6689453125F, 485.77734375F, 850.9599609375F, 485.6630859375F, 851.30859375F);
            graphicsPath.AddBezier(485.6630859375F, 851.30859375F, 485.634765625F, 851.38671875F, 485.62109375F, 851.5009765625F, 485.62109375F, 851.6005859375F);
            graphicsPath.AddLine(485.62109375F, 853.677734375F, 484.9951171875F, 853.677734375F);
            graphicsPath.AddLine(484.9951171875F, 853.677734375F, 484.9951171875F, 851.1669921875F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();

            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(491.396484375F, 853.5498046875F, 491.232421875F, 853.6279296875F, 490.8701171875F, 853.7490234375F, 490.4072265625F, 853.7490234375F);
            graphicsPath.AddBezier(490.4072265625F, 853.7490234375F, 489.369140625F, 853.7490234375F, 488.693359375F, 853.044921875F, 488.693359375F, 851.9921875F);
            graphicsPath.AddBezier(488.693359375F, 851.9921875F, 488.693359375F, 850.931640625F, 489.4189453125F, 850.15625F, 490.54296875F, 850.15625F);
            graphicsPath.AddBezier(490.54296875F, 850.15625F, 490.9130859375F, 850.15625F, 491.240234375F, 850.2490234375F, 491.41015625F, 850.341796875F);
            graphicsPath.AddBezier(491.2685546875F, 850.818359375F, 491.119140625F, 850.740234375F, 490.8837890625F, 850.654296875F, 490.54296875F, 850.654296875F);
            graphicsPath.AddBezier(490.54296875F, 850.654296875F, 489.7529296875F, 850.654296875F, 489.326171875F, 851.2451171875F, 489.326171875F, 851.9560546875F);
            graphicsPath.AddBezier(489.326171875F, 851.9560546875F, 489.326171875F, 852.7529296875F, 489.8388671875F, 853.244140625F, 490.521484375F, 853.244140625F);
            graphicsPath.AddBezier(490.521484375F, 853.244140625F, 490.876953125F, 853.244140625F, 491.111328125F, 853.158203125F, 491.2900390625F, 853.080078125F);
            graphicsPath.AddLine(491.2900390625F, 853.080078125F, 491.396484375F, 853.5498046875F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(493.48828125F, 853.755859375F, 492.5634765625F, 853.755859375F, 491.837890625F, 853.0732421875F, 491.837890625F, 851.984375F);
            graphicsPath.AddBezier(491.837890625F, 851.984375F, 491.837890625F, 850.83203125F, 492.5986328125F, 850.15625F, 493.544921875F, 850.15625F);
            graphicsPath.AddBezier(493.544921875F, 850.15625F, 494.5341796875F, 850.15625F, 495.2021484375F, 850.875F, 495.2021484375F, 851.9208984375F);
            graphicsPath.AddBezier(495.2021484375F, 851.9208984375F, 495.2021484375F, 853.201171875F, 494.3134765625F, 853.755859375F, 493.4951171875F, 853.755859375F);
            graphicsPath.AddLine(493.4951171875F, 853.755859375F, 493.48828125F, 853.755859375F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(493.5166015625F, 853.2861328125F, 494.1142578125F, 853.2861328125F, 494.5625F, 852.724609375F, 494.5625F, 851.9423828125F);
            graphicsPath.AddBezier(494.5625F, 851.9423828125F, 494.5625F, 851.3583984375F, 494.2705078125F, 850.6259765625F, 493.5302734375F, 850.6259765625F);
            graphicsPath.AddBezier(493.5302734375F, 850.6259765625F, 492.7978515625F, 850.6259765625F, 492.4775390625F, 851.30859375F, 492.4775390625F, 851.962890625F);
            graphicsPath.AddBezier(492.4775390625F, 851.962890625F, 492.4775390625F, 852.7177734375F, 492.904296875F, 853.2861328125F, 493.509765625F, 853.2861328125F);
            graphicsPath.AddLine(493.509765625F, 853.2861328125F, 493.5166015625F, 853.2861328125F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(495.9921875F, 851.30859375F, 495.9921875F, 850.9033203125F, 495.984375F, 850.5546875F, 495.9638671875F, 850.234375F);
            graphicsPath.AddLine(496.5107421875F, 850.234375F, 496.5400390625F, 850.91015625F);
            graphicsPath.AddBezier(496.560546875F, 850.91015625F, 496.7177734375F, 850.4482421875F, 497.1015625F, 850.15625F, 497.521484375F, 850.15625F);
            graphicsPath.AddBezier(497.521484375F, 850.15625F, 497.5849609375F, 850.15625F, 497.634765625F, 850.1640625F, 497.6923828125F, 850.1708984375F);
            graphicsPath.AddBezier(497.6923828125F, 850.7607421875F, 497.6279296875F, 850.75390625F, 497.564453125F, 850.7470703125F, 497.478515625F, 850.7470703125F);
            graphicsPath.AddBezier(497.478515625F, 850.7470703125F, 497.0380859375F, 850.7470703125F, 496.724609375F, 851.0810546875F, 496.6396484375F, 851.5439453125F);
            graphicsPath.AddBezier(496.6396484375F, 851.5439453125F, 496.625F, 851.6357421875F, 496.6181640625F, 851.7353515625F, 496.6181640625F, 851.8349609375F);
            graphicsPath.AddLine(496.6181640625F, 853.677734375F, 495.9921875F, 853.677734375F);
            graphicsPath.AddLine(495.9921875F, 853.677734375F, 495.9921875F, 851.30859375F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(498.3466796875F, 851.3583984375F, 498.3466796875F, 850.91796875F, 498.3388671875F, 850.5615234375F, 498.318359375F, 850.234375F);
            graphicsPath.AddLine(498.8798828125F, 850.234375F, 498.9150390625F, 850.8251953125F);
            graphicsPath.AddBezier(498.9296875F, 850.8251953125F, 499.1787109375F, 850.3984375F, 499.5908203125F, 850.15625F, 500.146484375F, 850.15625F);
            graphicsPath.AddBezier(500.146484375F, 850.15625F, 500.9853515625F, 850.15625F, 501.611328125F, 850.8603515625F, 501.611328125F, 851.90625F);
            graphicsPath.AddBezier(501.611328125F, 851.90625F, 501.611328125F, 853.14453125F, 500.8505859375F, 853.755859375F, 500.046875F, 853.755859375F);
            graphicsPath.AddBezier(500.046875F, 853.755859375F, 499.583984375F, 853.755859375F, 499.193359375F, 853.556640625F, 498.986328125F, 853.2158203125F);
            graphicsPath.AddLine(498.97265625F, 853.2158203125F, 498.97265625F, 855.0859375F);
            graphicsPath.AddLine(498.3466796875F, 855.0859375F, 498.3466796875F, 851.3583984375F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(498.97265625F, 852.2763671875F, 498.97265625F, 852.361328125F, 498.9794921875F, 852.4541015625F, 499.0009765625F, 852.5322265625F);
            graphicsPath.AddBezier(499.0009765625F, 852.5322265625F, 499.107421875F, 852.966796875F, 499.4921875F, 853.265625F, 499.9326171875F, 853.265625F);
            graphicsPath.AddBezier(499.9326171875F, 853.265625F, 500.5947265625F, 853.265625F, 500.978515625F, 852.724609375F, 500.978515625F, 851.9345703125F);
            graphicsPath.AddBezier(500.978515625F, 851.9345703125F, 500.978515625F, 851.2451171875F, 500.623046875F, 850.654296875F, 499.9609375F, 850.654296875F);
            graphicsPath.AddBezier(499.9609375F, 850.654296875F, 499.5341796875F, 850.654296875F, 499.12890625F, 850.953125F, 499.0078125F, 851.4296875F);
            graphicsPath.AddBezier(499.0078125F, 851.4296875F, 498.994140625F, 851.5078125F, 498.97265625F, 851.6005859375F, 498.97265625F, 851.6787109375F);
            graphicsPath.AddLine(498.97265625F, 851.6787109375F, 498.97265625F, 852.2763671875F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(503.794921875F, 853.755859375F, 502.8701171875F, 853.755859375F, 502.14453125F, 853.0732421875F, 502.14453125F, 851.984375F);
            graphicsPath.AddBezier(502.14453125F, 851.984375F, 502.14453125F, 850.83203125F, 502.9052734375F, 850.15625F, 503.8515625F, 850.15625F);
            graphicsPath.AddBezier(503.8515625F, 850.15625F, 504.8408203125F, 850.15625F, 505.5087890625F, 850.875F, 505.5087890625F, 851.9208984375F);
            graphicsPath.AddBezier(505.5087890625F, 851.9208984375F, 505.5087890625F, 853.201171875F, 504.6201171875F, 853.755859375F, 503.8017578125F, 853.755859375F);
            graphicsPath.AddLine(503.8017578125F, 853.755859375F, 503.794921875F, 853.755859375F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(503.8232421875F, 853.2861328125F, 504.4208984375F, 853.2861328125F, 504.869140625F, 852.724609375F, 504.869140625F, 851.9423828125F);
            graphicsPath.AddBezier(504.869140625F, 851.9423828125F, 504.869140625F, 851.3583984375F, 504.5771484375F, 850.6259765625F, 503.8369140625F, 850.6259765625F);
            graphicsPath.AddBezier(503.8369140625F, 850.6259765625F, 503.1044921875F, 850.6259765625F, 502.7841796875F, 851.30859375F, 502.7841796875F, 851.962890625F);
            graphicsPath.AddBezier(502.7841796875F, 851.962890625F, 502.7841796875F, 852.7177734375F, 503.2109375F, 853.2861328125F, 503.81640625F, 853.2861328125F);
            graphicsPath.AddLine(503.81640625F, 853.2861328125F, 503.8232421875F, 853.2861328125F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(506.298828125F, 851.30859375F, 506.298828125F, 850.9033203125F, 506.291015625F, 850.5546875F, 506.2705078125F, 850.234375F);
            graphicsPath.AddLine(506.8173828125F, 850.234375F, 506.8466796875F, 850.91015625F);
            graphicsPath.AddBezier(506.8671875F, 850.91015625F, 507.0244140625F, 850.4482421875F, 507.408203125F, 850.15625F, 507.828125F, 850.15625F);
            graphicsPath.AddBezier(507.828125F, 850.15625F, 507.8916015625F, 850.15625F, 507.94140625F, 850.1640625F, 507.9990234375F, 850.1708984375F);
            graphicsPath.AddBezier(507.9990234375F, 850.7607421875F, 507.9345703125F, 850.75390625F, 507.87109375F, 850.7470703125F, 507.78515625F, 850.7470703125F);
            graphicsPath.AddBezier(507.78515625F, 850.7470703125F, 507.3447265625F, 850.7470703125F, 507.03125F, 851.0810546875F, 506.9462890625F, 851.5439453125F);
            graphicsPath.AddBezier(506.9462890625F, 851.5439453125F, 506.931640625F, 851.6357421875F, 506.9248046875F, 851.7353515625F, 506.9248046875F, 851.8349609375F);
            graphicsPath.AddLine(506.9248046875F, 853.677734375F, 506.298828125F, 853.677734375F);
            graphicsPath.AddLine(506.298828125F, 853.677734375F, 506.298828125F, 851.30859375F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(511.015625F, 852.8525390625F, 511.015625F, 853.1513671875F, 511.029296875F, 853.443359375F, 511.0654296875F, 853.677734375F);
            graphicsPath.AddLine(510.5029296875F, 853.677734375F, 510.4462890625F, 853.244140625F);
            graphicsPath.AddBezier(510.4248046875F, 853.244140625F, 510.240234375F, 853.513671875F, 509.86328125F, 853.755859375F, 509.3720703125F, 853.755859375F);
            graphicsPath.AddBezier(509.3720703125F, 853.755859375F, 508.6748046875F, 853.755859375F, 508.3193359375F, 853.265625F, 508.3193359375F, 852.767578125F);
            graphicsPath.AddBezier(508.3193359375F, 852.767578125F, 508.3193359375F, 851.9345703125F, 509.0595703125F, 851.4794921875F, 510.3896484375F, 851.486328125F);
            graphicsPath.AddBezier(510.3896484375F, 851.416015625F, 510.3896484375F, 851.130859375F, 510.3115234375F, 850.611328125F, 509.6064453125F, 850.619140625F);
            graphicsPath.AddBezier(509.6064453125F, 850.619140625F, 509.279296875F, 850.619140625F, 508.9453125F, 850.7109375F, 508.703125F, 850.875F);
            graphicsPath.AddBezier(508.5615234375F, 850.455078125F, 508.845703125F, 850.27734375F, 509.265625F, 850.15625F, 509.69921875F, 850.15625F);
            graphicsPath.AddBezier(509.69921875F, 850.15625F, 510.7587890625F, 850.15625F, 511.015625F, 850.875F, 511.015625F, 851.5654296875F);
            graphicsPath.AddLine(511.015625F, 851.5654296875F, 511.015625F, 852.8525390625F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(510.4033203125F, 851.9208984375F, 509.720703125F, 851.90625F, 508.9453125F, 852.02734375F, 508.9453125F, 852.6962890625F);
            graphicsPath.AddBezier(508.9453125F, 852.6962890625F, 508.9453125F, 853.1083984375F, 509.2158203125F, 853.2939453125F, 509.5283203125F, 853.2939453125F);
            graphicsPath.AddBezier(509.5283203125F, 853.2939453125F, 509.9833984375F, 853.2939453125F, 510.275390625F, 853.0087890625F, 510.375F, 852.7177734375F);
            graphicsPath.AddBezier(510.375F, 852.7177734375F, 510.396484375F, 852.6533203125F, 510.4033203125F, 852.58203125F, 510.4033203125F, 852.5185546875F);
            graphicsPath.AddLine(510.4033203125F, 852.5185546875F, 510.4033203125F, 851.9208984375F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddLine(512.744140625F, 849.4091796875F, 512.744140625F, 850.234375F);
            graphicsPath.AddLine(513.640625F, 850.234375F, 513.640625F, 850.7109375F);
            graphicsPath.AddLine(512.744140625F, 850.7109375F, 512.744140625F, 852.560546875F);
            graphicsPath.AddBezier(512.744140625F, 852.560546875F, 512.744140625F, 852.9873046875F, 512.865234375F, 853.2294921875F, 513.2138671875F, 853.2294921875F);
            graphicsPath.AddBezier(513.2138671875F, 853.2294921875F, 513.3837890625F, 853.2294921875F, 513.4833984375F, 853.2158203125F, 513.576171875F, 853.1865234375F);
            graphicsPath.AddBezier(513.6044921875F, 853.6630859375F, 513.4833984375F, 853.7060546875F, 513.2919921875F, 853.7490234375F, 513.0498046875F, 853.7490234375F);
            graphicsPath.AddBezier(513.0498046875F, 853.7490234375F, 512.7578125F, 853.7490234375F, 512.5234375F, 853.6494140625F, 512.3740234375F, 853.4853515625F);
            graphicsPath.AddBezier(512.3740234375F, 853.4853515625F, 512.203125F, 853.2939453125F, 512.1318359375F, 852.9873046875F, 512.1318359375F, 852.58203125F);
            graphicsPath.AddLine(512.1318359375F, 850.7109375F, 511.5986328125F, 850.7109375F);
            graphicsPath.AddLine(511.5986328125F, 850.234375F, 512.1318359375F, 850.234375F);
            graphicsPath.AddLine(512.1318359375F, 849.6015625F, 512.744140625F, 849.4091796875F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(514.6572265625F, 852.0703125F, 514.671875F, 852.9091796875F, 515.205078125F, 853.2578125F, 515.8310546875F, 853.2578125F);
            graphicsPath.AddBezier(515.8310546875F, 853.2578125F, 516.279296875F, 853.2578125F, 516.556640625F, 853.1796875F, 516.7841796875F, 853.080078125F);
            graphicsPath.AddBezier(516.8984375F, 853.5283203125F, 516.677734375F, 853.6279296875F, 516.29296875F, 853.7490234375F, 515.7451171875F, 853.7490234375F);
            graphicsPath.AddBezier(515.7451171875F, 853.7490234375F, 514.6923828125F, 853.7490234375F, 514.052734375F, 853.044921875F, 514.052734375F, 852.0126953125F);
            graphicsPath.AddBezier(514.052734375F, 852.0126953125F, 514.052734375F, 850.974609375F, 514.671875F, 850.15625F, 515.6748046875F, 850.15625F);
            graphicsPath.AddBezier(515.6748046875F, 850.15625F, 516.798828125F, 850.15625F, 517.08984375F, 851.1455078125F, 517.08984375F, 851.7783203125F);
            graphicsPath.AddBezier(517.08984375F, 851.7783203125F, 517.08984375F, 851.90625F, 517.0830078125F, 851.9990234375F, 517.068359375F, 852.0703125F);
            graphicsPath.AddLine(517.068359375F, 852.0703125F, 514.6572265625F, 852.0703125F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(516.4853515625F, 851.6220703125F, 516.4921875F, 851.2236328125F, 516.3212890625F, 850.6044921875F, 515.625F, 850.6044921875F);
            graphicsPath.AddBezier(515.625F, 850.6044921875F, 514.984375F, 850.6044921875F, 514.7138671875F, 851.1875F, 514.6640625F, 851.6220703125F);
            graphicsPath.AddLine(514.6640625F, 851.6220703125F, 516.4853515625F, 851.6220703125F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddLine(520.83984375F, 848.626953125F, 520.83984375F, 852.7880859375F);
            graphicsPath.AddBezier(520.83984375F, 852.7880859375F, 520.83984375F, 853.0947265625F, 520.8466796875F, 853.443359375F, 520.8681640625F, 853.677734375F);
            graphicsPath.AddLine(520.3056640625F, 853.677734375F, 520.27734375F, 853.080078125F);
            graphicsPath.AddBezier(520.263671875F, 853.080078125F, 520.0712890625F, 853.4638671875F, 519.658203125F, 853.755859375F, 519.0966796875F, 853.755859375F);
            graphicsPath.AddBezier(519.0966796875F, 853.755859375F, 518.2646484375F, 853.755859375F, 517.6171875F, 853.0517578125F, 517.6171875F, 852.005859375F);
            graphicsPath.AddBezier(517.6171875F, 852.005859375F, 517.6103515625F, 850.853515625F, 518.328125F, 850.15625F, 519.16015625F, 850.15625F);
            graphicsPath.AddBezier(519.16015625F, 850.15625F, 519.6943359375F, 850.15625F, 520.0498046875F, 850.4052734375F, 520.19921875F, 850.67578125F);
            graphicsPath.AddLine(520.2138671875F, 850.67578125F, 520.2138671875F, 848.626953125F);
            graphicsPath.AddLine(520.2138671875F, 848.626953125F, 520.83984375F, 848.626953125F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(520.2138671875F, 851.6357421875F, 520.2138671875F, 851.55078125F, 520.2060546875F, 851.451171875F, 520.1845703125F, 851.3662109375F);
            graphicsPath.AddBezier(520.1845703125F, 851.3662109375F, 520.0927734375F, 850.974609375F, 519.7509765625F, 850.6474609375F, 519.28125F, 850.6474609375F);
            graphicsPath.AddBezier(519.28125F, 850.6474609375F, 518.6337890625F, 850.6474609375F, 518.25F, 851.216796875F, 518.25F, 851.970703125F);
            graphicsPath.AddBezier(518.25F, 851.970703125F, 518.25F, 852.6748046875F, 518.5986328125F, 853.2509765625F, 519.267578125F, 853.2509765625F);
            graphicsPath.AddBezier(519.267578125F, 853.2509765625F, 519.6875F, 853.2509765625F, 520.0712890625F, 852.966796875F, 520.1845703125F, 852.4970703125F);
            graphicsPath.AddBezier(520.1845703125F, 852.4970703125F, 520.2060546875F, 852.4189453125F, 520.2138671875F, 852.3330078125F, 520.2138671875F, 852.2333984375F);
            graphicsPath.AddLine(520.2138671875F, 852.2333984375F, 520.2138671875F, 851.6357421875F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(523.6845703125F, 849.6513671875F, 523.45703125F, 849.6513671875F, 523.3076171875F, 849.4736328125F, 523.3076171875F, 849.267578125F);
            graphicsPath.AddBezier(523.3076171875F, 849.267578125F, 523.3076171875F, 849.046875F, 523.4638671875F, 848.8759765625F, 523.6982421875F, 848.8759765625F);
            graphicsPath.AddBezier(523.6982421875F, 848.8759765625F, 523.92578125F, 848.8759765625F, 524.0830078125F, 849.046875F, 524.0830078125F, 849.267578125F);
            graphicsPath.AddBezier(524.0830078125F, 849.267578125F, 524.0830078125F, 849.4736328125F, 523.93359375F, 849.6513671875F, 523.69140625F, 849.6513671875F);
            graphicsPath.AddLine(523.69140625F, 849.6513671875F, 523.6845703125F, 849.6513671875F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddLine(523.3857421875F, 853.677734375F, 523.3857421875F, 850.234375F);
            graphicsPath.AddLine(524.01171875F, 850.234375F, 524.01171875F, 853.677734375F);
            graphicsPath.AddLine(524.01171875F, 853.677734375F, 523.3857421875F, 853.677734375F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(525.05078125F, 851.1669921875F, 525.05078125F, 850.8037109375F, 525.04296875F, 850.51953125F, 525.0224609375F, 850.234375F);
            graphicsPath.AddLine(525.5771484375F, 850.234375F, 525.6123046875F, 850.796875F);
            graphicsPath.AddBezier(525.626953125F, 850.796875F, 525.7978515625F, 850.4765625F, 526.1962890625F, 850.15625F, 526.7646484375F, 850.15625F);
            graphicsPath.AddBezier(526.7646484375F, 850.15625F, 527.2412109375F, 850.15625F, 527.9814453125F, 850.44140625F, 527.9814453125F, 851.6220703125F);
            graphicsPath.AddLine(527.9814453125F, 853.677734375F, 527.35546875F, 853.677734375F);
            graphicsPath.AddBezier(527.35546875F, 851.693359375F, 527.35546875F, 851.138671875F, 527.1494140625F, 850.6689453125F, 526.55859375F, 850.6689453125F);
            graphicsPath.AddBezier(526.55859375F, 850.6689453125F, 526.1533203125F, 850.6689453125F, 525.8330078125F, 850.9599609375F, 525.71875F, 851.30859375F);
            graphicsPath.AddBezier(525.71875F, 851.30859375F, 525.6904296875F, 851.38671875F, 525.6767578125F, 851.5009765625F, 525.6767578125F, 851.6005859375F);
            graphicsPath.AddLine(525.6767578125F, 853.677734375F, 525.05078125F, 853.677734375F);
            graphicsPath.AddLine(525.05078125F, 853.677734375F, 525.05078125F, 851.1669921875F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddLine(531.2607421875F, 849.4091796875F, 531.2607421875F, 850.234375F);
            graphicsPath.AddLine(532.1572265625F, 850.234375F, 532.1572265625F, 850.7109375F);
            graphicsPath.AddLine(531.2607421875F, 850.7109375F, 531.2607421875F, 852.560546875F);
            graphicsPath.AddBezier(531.2607421875F, 852.560546875F, 531.2607421875F, 852.9873046875F, 531.3818359375F, 853.2294921875F, 531.73046875F, 853.2294921875F);
            graphicsPath.AddBezier(531.73046875F, 853.2294921875F, 531.900390625F, 853.2294921875F, 532F, 853.2158203125F, 532.0927734375F, 853.1865234375F);
            graphicsPath.AddBezier(532.12109375F, 853.6630859375F, 532F, 853.7060546875F, 531.80859375F, 853.7490234375F, 531.56640625F, 853.7490234375F);
            graphicsPath.AddBezier(531.56640625F, 853.7490234375F, 531.2744140625F, 853.7490234375F, 531.0400390625F, 853.6494140625F, 530.890625F, 853.4853515625F);
            graphicsPath.AddBezier(530.890625F, 853.4853515625F, 530.7197265625F, 853.2939453125F, 530.6484375F, 852.9873046875F, 530.6484375F, 852.58203125F);
            graphicsPath.AddLine(530.6484375F, 850.7109375F, 530.115234375F, 850.7109375F);
            graphicsPath.AddLine(530.115234375F, 850.234375F, 530.6484375F, 850.234375F);
            graphicsPath.AddLine(530.6484375F, 849.6015625F, 531.2607421875F, 849.4091796875F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();

            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddLine(532.861328125F, 848.626953125F, 533.4873046875F, 848.626953125F);
            graphicsPath.AddLine(533.4873046875F, 850.775390625F, 533.5009765625F, 850.775390625F);
            graphicsPath.AddBezier(533.5009765625F, 850.775390625F, 533.6005859375F, 850.59765625F, 533.7578125F, 850.43359375F, 533.94921875F, 850.333984375F);
            graphicsPath.AddBezier(533.94921875F, 850.333984375F, 534.134765625F, 850.220703125F, 534.3544921875F, 850.15625F, 534.58984375F, 850.15625F);
            graphicsPath.AddBezier(534.58984375F, 850.15625F, 535.0517578125F, 850.15625F, 535.7919921875F, 850.44140625F, 535.7919921875F, 851.62890625F);
            graphicsPath.AddLine(535.7919921875F, 853.677734375F, 535.166015625F, 853.677734375F);
            graphicsPath.AddBezier(535.166015625F, 851.693359375F, 535.166015625F, 851.138671875F, 534.9599609375F, 850.67578125F, 534.369140625F, 850.67578125F);
            graphicsPath.AddBezier(534.369140625F, 850.67578125F, 533.9638671875F, 850.67578125F, 533.650390625F, 850.9599609375F, 533.529296875F, 851.3017578125F);
            graphicsPath.AddBezier(533.529296875F, 851.3017578125F, 533.494140625F, 851.38671875F, 533.4873046875F, 851.4794921875F, 533.4873046875F, 851.6005859375F);
            graphicsPath.AddLine(533.4873046875F, 853.677734375F, 532.861328125F, 853.677734375F);
            graphicsPath.AddLine(532.861328125F, 853.677734375F, 532.861328125F, 848.626953125F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(537.1640625F, 852.0703125F, 537.1787109375F, 852.9091796875F, 537.7119140625F, 853.2578125F, 538.337890625F, 853.2578125F);
            graphicsPath.AddBezier(538.337890625F, 853.2578125F, 538.7861328125F, 853.2578125F, 539.0634765625F, 853.1796875F, 539.291015625F, 853.080078125F);
            graphicsPath.AddBezier(539.4052734375F, 853.5283203125F, 539.1845703125F, 853.6279296875F, 538.7998046875F, 853.7490234375F, 538.251953125F, 853.7490234375F);
            graphicsPath.AddBezier(538.251953125F, 853.7490234375F, 537.19921875F, 853.7490234375F, 536.5595703125F, 853.044921875F, 536.5595703125F, 852.0126953125F);
            graphicsPath.AddBezier(536.5595703125F, 852.0126953125F, 536.5595703125F, 850.974609375F, 537.1787109375F, 850.15625F, 538.181640625F, 850.15625F);
            graphicsPath.AddBezier(538.181640625F, 850.15625F, 539.3056640625F, 850.15625F, 539.5966796875F, 851.1455078125F, 539.5966796875F, 851.7783203125F);
            graphicsPath.AddBezier(539.5966796875F, 851.7783203125F, 539.5966796875F, 851.90625F, 539.58984375F, 851.9990234375F, 539.5751953125F, 852.0703125F);
            graphicsPath.AddLine(539.5751953125F, 852.0703125F, 537.1640625F, 852.0703125F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(538.9921875F, 851.6220703125F, 538.9990234375F, 851.2236328125F, 538.828125F, 850.6044921875F, 538.1318359375F, 850.6044921875F);
            graphicsPath.AddBezier(538.1318359375F, 850.6044921875F, 537.4912109375F, 850.6044921875F, 537.220703125F, 851.1875F, 537.1708984375F, 851.6220703125F);
            graphicsPath.AddLine(537.1708984375F, 851.6220703125F, 538.9921875F, 851.6220703125F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddLine(224.88330078125F, 857.4189453125F, 224.88330078125F, 860.2646484375F);
            graphicsPath.AddBezier(224.88330078125F, 860.2646484375F, 224.88330078125F, 861.33203125F, 225.35986328125F, 861.787109375F, 226F, 861.787109375F);
            graphicsPath.AddBezier(226F, 861.787109375F, 226.7041015625F, 861.787109375F, 227.16650390625F, 861.3173828125F, 227.16650390625F, 860.2646484375F);
            graphicsPath.AddLine(227.16650390625F, 857.4189453125F, 227.79248046875F, 857.4189453125F);
            graphicsPath.AddBezier(227.79248046875F, 860.2216796875F, 227.79248046875F, 861.6943359375F, 227.01708984375F, 862.2919921875F, 225.978515625F, 862.2919921875F);
            graphicsPath.AddBezier(225.978515625F, 862.2919921875F, 224.9970703125F, 862.2919921875F, 224.25732421875F, 861.7373046875F, 224.25732421875F, 860.2431640625F);
            graphicsPath.AddLine(224.25732421875F, 857.4189453125F, 224.88330078125F, 857.4189453125F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();

            graphicsPath.StartFigure();
            graphicsPath.AddBezier(228.84521484375F, 859.703125F, 228.84521484375F, 859.33984375F, 228.83837890625F, 859.0556640625F, 228.81689453125F, 858.7705078125F);
            graphicsPath.AddLine(229.3720703125F, 858.7705078125F, 229.4072265625F, 859.3330078125F);
            graphicsPath.AddBezier(229.421875F, 859.3330078125F, 229.59228515625F, 859.0126953125F, 229.99072265625F, 858.6923828125F, 230.56005859375F, 858.6923828125F);
            graphicsPath.AddBezier(230.56005859375F, 858.6923828125F, 231.03662109375F, 858.6923828125F, 231.7763671875F, 858.9775390625F, 231.7763671875F, 860.158203125F);
            graphicsPath.AddLine(231.7763671875F, 862.2138671875F, 231.150390625F, 862.2138671875F);
            graphicsPath.AddBezier(231.150390625F, 860.2294921875F, 231.150390625F, 859.673828125F, 230.94384765625F, 859.205078125F, 230.353515625F, 859.205078125F);
            graphicsPath.AddBezier(230.353515625F, 859.205078125F, 229.9482421875F, 859.205078125F, 229.6279296875F, 859.49609375F, 229.51416015625F, 859.8447265625F);
            graphicsPath.AddBezier(229.51416015625F, 859.8447265625F, 229.48583984375F, 859.9228515625F, 229.4716796875F, 860.037109375F, 229.4716796875F, 860.13671875F);
            graphicsPath.AddLine(229.4716796875F, 862.2138671875F, 228.84521484375F, 862.2138671875F);
            graphicsPath.AddLine(228.84521484375F, 862.2138671875F, 228.84521484375F, 859.703125F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();

            graphicsPath.StartFigure();
            graphicsPath.AddBezier(233.091796875F, 858.1875F, 232.8642578125F, 858.1875F, 232.71484375F, 858.009765625F, 232.71484375F, 857.8037109375F);
            graphicsPath.AddBezier(232.71484375F, 857.8037109375F, 232.71484375F, 857.5830078125F, 232.87158203125F, 857.412109375F, 233.10595703125F, 857.412109375F);
            graphicsPath.AddBezier(233.10595703125F, 857.412109375F, 233.333984375F, 857.412109375F, 233.490234375F, 857.5830078125F, 233.490234375F, 857.8037109375F);
            graphicsPath.AddBezier(233.490234375F, 857.8037109375F, 233.490234375F, 858.009765625F, 233.3408203125F, 858.1875F, 233.09912109375F, 858.1875F);
            graphicsPath.AddLine(233.09912109375F, 858.1875F, 233.091796875F, 858.1875F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddLine(232.79345703125F, 862.2138671875F, 232.79345703125F, 858.7705078125F);
            graphicsPath.AddLine(233.41943359375F, 858.7705078125F, 233.41943359375F, 862.2138671875F);
            graphicsPath.AddLine(233.41943359375F, 862.2138671875F, 232.79345703125F, 862.2138671875F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddLine(235.2119140625F, 857.9453125F, 235.2119140625F, 858.7705078125F);
            graphicsPath.AddLine(236.10791015625F, 858.7705078125F, 236.10791015625F, 859.2470703125F);
            graphicsPath.AddLine(235.2119140625F, 859.2470703125F, 235.2119140625F, 861.0966796875F);
            graphicsPath.AddBezier(235.2119140625F, 861.0966796875F, 235.2119140625F, 861.5234375F, 235.33251953125F, 861.765625F, 235.68115234375F, 861.765625F);
            graphicsPath.AddBezier(235.68115234375F, 861.765625F, 235.85205078125F, 861.765625F, 235.95166015625F, 861.751953125F, 236.0439453125F, 861.72265625F);
            graphicsPath.AddBezier(236.07275390625F, 862.19921875F, 235.95166015625F, 862.2421875F, 235.759765625F, 862.28515625F, 235.517578125F, 862.28515625F);
            graphicsPath.AddBezier(235.517578125F, 862.28515625F, 235.22607421875F, 862.28515625F, 234.9912109375F, 862.185546875F, 234.841796875F, 862.021484375F);
            graphicsPath.AddBezier(234.841796875F, 862.021484375F, 234.67138671875F, 861.830078125F, 234.60009765625F, 861.5234375F, 234.60009765625F, 861.1181640625F);
            graphicsPath.AddLine(234.60009765625F, 859.2470703125F, 234.06640625F, 859.2470703125F);
            graphicsPath.AddLine(234.06640625F, 858.7705078125F, 234.60009765625F, 858.7705078125F);
            graphicsPath.AddLine(234.60009765625F, 858.1376953125F, 235.2119140625F, 857.9453125F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(237.125F, 860.6064453125F, 237.13916015625F, 861.4453125F, 237.6728515625F, 861.7939453125F, 238.298828125F, 861.7939453125F);
            graphicsPath.AddBezier(238.298828125F, 861.7939453125F, 238.7470703125F, 861.7939453125F, 239.0244140625F, 861.7158203125F, 239.251953125F, 861.6162109375F);
            graphicsPath.AddBezier(239.36572265625F, 862.064453125F, 239.14501953125F, 862.1640625F, 238.76123046875F, 862.28515625F, 238.21337890625F, 862.28515625F);
            graphicsPath.AddBezier(238.21337890625F, 862.28515625F, 237.16064453125F, 862.28515625F, 236.5205078125F, 861.5810546875F, 236.5205078125F, 860.548828125F);
            graphicsPath.AddBezier(236.5205078125F, 860.548828125F, 236.5205078125F, 859.5107421875F, 237.13916015625F, 858.6923828125F, 238.14208984375F, 858.6923828125F);
            graphicsPath.AddBezier(238.14208984375F, 858.6923828125F, 239.26611328125F, 858.6923828125F, 239.5576171875F, 859.681640625F, 239.5576171875F, 860.314453125F);
            graphicsPath.AddBezier(239.5576171875F, 860.314453125F, 239.5576171875F, 860.4423828125F, 239.55078125F, 860.53515625F, 239.53662109375F, 860.6064453125F);
            graphicsPath.AddLine(239.53662109375F, 860.6064453125F, 237.125F, 860.6064453125F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(238.953125F, 860.158203125F, 238.96044921875F, 859.759765625F, 238.78955078125F, 859.140625F, 238.09228515625F, 859.140625F);
            graphicsPath.AddBezier(238.09228515625F, 859.140625F, 237.4521484375F, 859.140625F, 237.181640625F, 859.7236328125F, 237.13232421875F, 860.158203125F);
            graphicsPath.AddLine(237.13232421875F, 860.158203125F, 238.953125F, 860.158203125F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddLine(243.306640625F, 857.1630859375F, 243.306640625F, 861.32421875F);
            graphicsPath.AddBezier(243.306640625F, 861.32421875F, 243.306640625F, 861.630859375F, 243.31396484375F, 861.9794921875F, 243.3349609375F, 862.2138671875F);
            graphicsPath.AddLine(242.7734375F, 862.2138671875F, 242.74462890625F, 861.6162109375F);
            graphicsPath.AddBezier(242.73046875F, 861.6162109375F, 242.53857421875F, 862F, 242.1259765625F, 862.2919921875F, 241.56396484375F, 862.2919921875F);
            graphicsPath.AddBezier(241.56396484375F, 862.2919921875F, 240.7314453125F, 862.2919921875F, 240.08447265625F, 861.587890625F, 240.08447265625F, 860.5419921875F);
            graphicsPath.AddBezier(240.08447265625F, 860.5419921875F, 240.0771484375F, 859.3896484375F, 240.79541015625F, 858.6923828125F, 241.6279296875F, 858.6923828125F);
            graphicsPath.AddBezier(241.6279296875F, 858.6923828125F, 242.16162109375F, 858.6923828125F, 242.51708984375F, 858.94140625F, 242.66650390625F, 859.2119140625F);
            graphicsPath.AddLine(242.6806640625F, 859.2119140625F, 242.6806640625F, 857.1630859375F);
            graphicsPath.AddLine(242.6806640625F, 857.1630859375F, 243.306640625F, 857.1630859375F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(242.6806640625F, 860.171875F, 242.6806640625F, 860.0869140625F, 242.673828125F, 859.9873046875F, 242.65234375F, 859.90234375F);
            graphicsPath.AddBezier(242.65234375F, 859.90234375F, 242.5595703125F, 859.5107421875F, 242.21826171875F, 859.18359375F, 241.7490234375F, 859.18359375F);
            graphicsPath.AddBezier(241.7490234375F, 859.18359375F, 241.1015625F, 859.18359375F, 240.71728515625F, 859.7529296875F, 240.71728515625F, 860.5068359375F);
            graphicsPath.AddBezier(240.71728515625F, 860.5068359375F, 240.71728515625F, 861.2109375F, 241.06591796875F, 861.787109375F, 241.73486328125F, 861.787109375F);
            graphicsPath.AddBezier(241.73486328125F, 861.787109375F, 242.154296875F, 861.787109375F, 242.53857421875F, 861.5029296875F, 242.65234375F, 861.033203125F);
            graphicsPath.AddBezier(242.65234375F, 861.033203125F, 242.673828125F, 860.955078125F, 242.6806640625F, 860.869140625F, 242.6806640625F, 860.76953125F);
            graphicsPath.AddLine(242.6806640625F, 860.76953125F, 242.6806640625F, 860.171875F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(245.79638671875F, 861.4599609375F, 246.07373046875F, 861.630859375F, 246.47216796875F, 861.765625F, 246.89892578125F, 861.765625F);
            graphicsPath.AddBezier(246.89892578125F, 861.765625F, 247.5322265625F, 861.765625F, 247.90185546875F, 861.4384765625F, 247.90185546875F, 860.955078125F);
            graphicsPath.AddBezier(247.90185546875F, 860.955078125F, 247.90185546875F, 860.5068359375F, 247.64599609375F, 860.2431640625F, 246.99853515625F, 860.001953125F);
            graphicsPath.AddBezier(246.99853515625F, 860.001953125F, 246.21630859375F, 859.7314453125F, 245.732421875F, 859.318359375F, 245.732421875F, 858.650390625F);
            graphicsPath.AddBezier(245.732421875F, 858.650390625F, 245.732421875F, 857.9033203125F, 246.35107421875F, 857.3486328125F, 247.283203125F, 857.3486328125F);
            graphicsPath.AddBezier(247.283203125F, 857.3486328125F, 247.7666015625F, 857.3486328125F, 248.12939453125F, 857.4619140625F, 248.3359375F, 857.576171875F);
            graphicsPath.AddBezier(248.1650390625F, 858.087890625F, 248.015625F, 857.9951171875F, 247.69580078125F, 857.8603515625F, 247.26171875F, 857.8603515625F);
            graphicsPath.AddBezier(247.26171875F, 857.8603515625F, 246.607421875F, 857.8603515625F, 246.3583984375F, 858.251953125F, 246.3583984375F, 858.5791015625F);
            graphicsPath.AddBezier(246.3583984375F, 858.5791015625F, 246.3583984375F, 859.01953125F, 246.64990234375F, 859.240234375F, 247.3115234375F, 859.49609375F);
            graphicsPath.AddBezier(247.3115234375F, 859.49609375F, 248.12255859375F, 859.81640625F, 248.52783203125F, 860.201171875F, 248.52783203125F, 860.9052734375F);
            graphicsPath.AddBezier(248.52783203125F, 860.9052734375F, 248.52783203125F, 861.6376953125F, 247.9873046875F, 862.28515625F, 246.8564453125F, 862.28515625F);
            graphicsPath.AddBezier(246.8564453125F, 862.28515625F, 246.39404296875F, 862.28515625F, 245.888671875F, 862.142578125F, 245.6328125F, 861.9716796875F);
            graphicsPath.AddLine(245.6328125F, 861.9716796875F, 245.79638671875F, 861.4599609375F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddLine(250.1142578125F, 857.9453125F, 250.1142578125F, 858.7705078125F);
            graphicsPath.AddLine(251.01025390625F, 858.7705078125F, 251.01025390625F, 859.2470703125F);
            graphicsPath.AddLine(250.1142578125F, 859.2470703125F, 250.1142578125F, 861.0966796875F);
            graphicsPath.AddBezier(250.1142578125F, 861.0966796875F, 250.1142578125F, 861.5234375F, 250.23486328125F, 861.765625F, 250.58349609375F, 861.765625F);
            graphicsPath.AddBezier(250.58349609375F, 861.765625F, 250.75439453125F, 861.765625F, 250.85400390625F, 861.751953125F, 250.9462890625F, 861.72265625F);
            graphicsPath.AddBezier(250.97509765625F, 862.19921875F, 250.85400390625F, 862.2421875F, 250.662109375F, 862.28515625F, 250.419921875F, 862.28515625F);
            graphicsPath.AddBezier(250.419921875F, 862.28515625F, 250.12841796875F, 862.28515625F, 249.8935546875F, 862.185546875F, 249.744140625F, 862.021484375F);
            graphicsPath.AddBezier(249.744140625F, 862.021484375F, 249.57373046875F, 861.830078125F, 249.50244140625F, 861.5234375F, 249.50244140625F, 861.1181640625F);
            graphicsPath.AddLine(249.50244140625F, 859.2470703125F, 248.96875F, 859.2470703125F);
            graphicsPath.AddLine(248.96875F, 858.7705078125F, 249.50244140625F, 858.7705078125F);
            graphicsPath.AddLine(249.50244140625F, 858.1376953125F, 250.1142578125F, 857.9453125F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(254.14013671875F, 861.388671875F, 254.14013671875F, 861.6875F, 254.15478515625F, 861.9794921875F, 254.18994140625F, 862.2138671875F);
            graphicsPath.AddLine(253.6279296875F, 862.2138671875F, 253.5712890625F, 861.7802734375F);
            graphicsPath.AddBezier(253.5498046875F, 861.7802734375F, 253.36474609375F, 862.0498046875F, 252.98779296875F, 862.2919921875F, 252.4970703125F, 862.2919921875F);
            graphicsPath.AddBezier(252.4970703125F, 862.2919921875F, 251.7998046875F, 862.2919921875F, 251.4443359375F, 861.80078125F, 251.4443359375F, 861.3037109375F);
            graphicsPath.AddBezier(251.4443359375F, 861.3037109375F, 251.4443359375F, 860.470703125F, 252.18408203125F, 860.015625F, 253.51416015625F, 860.0224609375F);
            graphicsPath.AddBezier(253.51416015625F, 859.9521484375F, 253.51416015625F, 859.6669921875F, 253.43603515625F, 859.1474609375F, 252.73193359375F, 859.1552734375F);
            graphicsPath.AddBezier(252.73193359375F, 859.1552734375F, 252.40478515625F, 859.1552734375F, 252.0703125F, 859.2470703125F, 251.82861328125F, 859.4111328125F);
            graphicsPath.AddBezier(251.68603515625F, 858.9912109375F, 251.970703125F, 858.8134765625F, 252.39013671875F, 858.6923828125F, 252.82421875F, 858.6923828125F);
            graphicsPath.AddBezier(252.82421875F, 858.6923828125F, 253.88427734375F, 858.6923828125F, 254.14013671875F, 859.4111328125F, 254.14013671875F, 860.1015625F);
            graphicsPath.AddLine(254.14013671875F, 860.1015625F, 254.14013671875F, 861.388671875F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(253.52880859375F, 860.45703125F, 252.845703125F, 860.4423828125F, 252.0703125F, 860.5634765625F, 252.0703125F, 861.232421875F);
            graphicsPath.AddBezier(252.0703125F, 861.232421875F, 252.0703125F, 861.64453125F, 252.3408203125F, 861.830078125F, 252.65380859375F, 861.830078125F);
            graphicsPath.AddBezier(252.65380859375F, 861.830078125F, 253.10888671875F, 861.830078125F, 253.400390625F, 861.544921875F, 253.5F, 861.25390625F);
            graphicsPath.AddBezier(253.5F, 861.25390625F, 253.521484375F, 861.189453125F, 253.52880859375F, 861.1181640625F, 253.52880859375F, 861.0546875F);
            graphicsPath.AddLine(253.52880859375F, 861.0546875F, 253.52880859375F, 860.45703125F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddLine(255.869140625F, 857.9453125F, 255.869140625F, 858.7705078125F);
            graphicsPath.AddLine(256.76513671875F, 858.7705078125F, 256.76513671875F, 859.2470703125F);
            graphicsPath.AddLine(255.869140625F, 859.2470703125F, 255.869140625F, 861.0966796875F);
            graphicsPath.AddBezier(255.869140625F, 861.0966796875F, 255.869140625F, 861.5234375F, 255.98974609375F, 861.765625F, 256.33837890625F, 861.765625F);
            graphicsPath.AddBezier(256.33837890625F, 861.765625F, 256.50927734375F, 861.765625F, 256.60888671875F, 861.751953125F, 256.701171875F, 861.72265625F);
            graphicsPath.AddBezier(256.72998046875F, 862.19921875F, 256.60888671875F, 862.2421875F, 256.4169921875F, 862.28515625F, 256.1748046875F, 862.28515625F);
            graphicsPath.AddBezier(256.1748046875F, 862.28515625F, 255.88330078125F, 862.28515625F, 255.6484375F, 862.185546875F, 255.4990234375F, 862.021484375F);
            graphicsPath.AddBezier(255.4990234375F, 862.021484375F, 255.32861328125F, 861.830078125F, 255.25732421875F, 861.5234375F, 255.25732421875F, 861.1181640625F);
            graphicsPath.AddLine(255.25732421875F, 859.2470703125F, 254.7236328125F, 859.2470703125F);
            graphicsPath.AddLine(254.7236328125F, 858.7705078125F, 255.25732421875F, 858.7705078125F);
            graphicsPath.AddLine(255.25732421875F, 858.1376953125F, 255.869140625F, 857.9453125F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();

                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(257.78271484375F, 860.6064453125F, 257.796875F, 861.4453125F, 258.33056640625F, 861.7939453125F, 258.95654296875F, 861.7939453125F);
            graphicsPath.AddBezier(258.95654296875F, 861.7939453125F, 259.40478515625F, 861.7939453125F, 259.68212890625F, 861.7158203125F, 259.90966796875F, 861.6162109375F);
            graphicsPath.AddBezier(260.0234375F, 862.064453125F, 259.802734375F, 862.1640625F, 259.4189453125F, 862.28515625F, 258.87109375F, 862.28515625F);
            graphicsPath.AddBezier(258.87109375F, 862.28515625F, 257.818359375F, 862.28515625F, 257.17822265625F, 861.5810546875F, 257.17822265625F, 860.548828125F);
            graphicsPath.AddBezier(257.17822265625F, 860.548828125F, 257.17822265625F, 859.5107421875F, 257.796875F, 858.6923828125F, 258.7998046875F, 858.6923828125F);
            graphicsPath.AddBezier(258.7998046875F, 858.6923828125F, 259.923828125F, 858.6923828125F, 260.21533203125F, 859.681640625F, 260.21533203125F, 860.314453125F);
            graphicsPath.AddBezier(260.21533203125F, 860.314453125F, 260.21533203125F, 860.4423828125F, 260.20849609375F, 860.53515625F, 260.1943359375F, 860.6064453125F);
            graphicsPath.AddLine(260.1943359375F, 860.6064453125F, 257.78271484375F, 860.6064453125F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(259.61083984375F, 860.158203125F, 259.6181640625F, 859.759765625F, 259.447265625F, 859.140625F, 258.75F, 859.140625F);
            graphicsPath.AddBezier(258.75F, 859.140625F, 258.10986328125F, 859.140625F, 257.83935546875F, 859.7236328125F, 257.78955078125F, 860.158203125F);
            graphicsPath.AddLine(257.78955078125F, 860.158203125F, 259.61083984375F, 860.158203125F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(260.90576171875F, 861.5732421875F, 261.09765625F, 861.6875F, 261.4248046875F, 861.8154296875F, 261.73779296875F, 861.8154296875F);
            graphicsPath.AddBezier(261.73779296875F, 861.8154296875F, 262.18603515625F, 861.8154296875F, 262.3994140625F, 861.5947265625F, 262.3994140625F, 861.3037109375F);
            graphicsPath.AddBezier(262.3994140625F, 861.3037109375F, 262.3994140625F, 861.0048828125F, 262.2216796875F, 860.84765625F, 261.76611328125F, 860.677734375F);
            graphicsPath.AddBezier(261.76611328125F, 860.677734375F, 261.14013671875F, 860.44921875F, 260.8486328125F, 860.1083984375F, 260.8486328125F, 859.703125F);
            graphicsPath.AddBezier(260.8486328125F, 859.703125F, 260.8486328125F, 859.1474609375F, 261.30419921875F, 858.6923828125F, 262.03662109375F, 858.6923828125F);
            graphicsPath.AddBezier(262.03662109375F, 858.6923828125F, 262.38525390625F, 858.6923828125F, 262.69091796875F, 858.78515625F, 262.8759765625F, 858.90625F);
            graphicsPath.AddBezier(262.7265625F, 859.3544921875F, 262.59130859375F, 859.2763671875F, 262.3427734375F, 859.1552734375F, 262.0224609375F, 859.1552734375F);
            graphicsPath.AddBezier(262.0224609375F, 859.1552734375F, 261.65234375F, 859.1552734375F, 261.453125F, 859.3681640625F, 261.453125F, 859.625F);
            graphicsPath.AddBezier(261.453125F, 859.625F, 261.453125F, 859.9091796875F, 261.65234375F, 860.037109375F, 262.1005859375F, 860.21484375F);
            graphicsPath.AddBezier(262.1005859375F, 860.21484375F, 262.69091796875F, 860.435546875F, 263.00390625F, 860.734375F, 263.00390625F, 861.24609375F);
            graphicsPath.AddBezier(263.00390625F, 861.24609375F, 263.00390625F, 861.8583984375F, 262.52734375F, 862.28515625F, 261.7236328125F, 862.28515625F);
            graphicsPath.AddBezier(261.7236328125F, 862.28515625F, 261.3466796875F, 862.28515625F, 260.998046875F, 862.185546875F, 260.75634765625F, 862.04296875F);
            graphicsPath.AddLine(260.75634765625F, 862.04296875F, 260.90576171875F, 861.5732421875F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(267.74169921875F, 861.388671875F, 267.74169921875F, 861.6875F, 267.75634765625F, 861.9794921875F, 267.79150390625F, 862.2138671875F);
            graphicsPath.AddLine(267.2294921875F, 862.2138671875F, 267.1728515625F, 861.7802734375F);
            graphicsPath.AddBezier(267.1513671875F, 861.7802734375F, 266.96630859375F, 862.0498046875F, 266.58935546875F, 862.2919921875F, 266.0986328125F, 862.2919921875F);
            graphicsPath.AddBezier(266.0986328125F, 862.2919921875F, 265.4013671875F, 862.2919921875F, 265.0458984375F, 861.80078125F, 265.0458984375F, 861.3037109375F);
            graphicsPath.AddBezier(265.0458984375F, 861.3037109375F, 265.0458984375F, 860.470703125F, 265.78564453125F, 860.015625F, 267.11572265625F, 860.0224609375F);
            graphicsPath.AddBezier(267.11572265625F, 859.9521484375F, 267.11572265625F, 859.6669921875F, 267.03759765625F, 859.1474609375F, 266.33349609375F, 859.1552734375F);
            graphicsPath.AddBezier(266.33349609375F, 859.1552734375F, 266.00634765625F, 859.1552734375F, 265.671875F, 859.2470703125F, 265.43017578125F, 859.4111328125F);
            graphicsPath.AddBezier(265.28759765625F, 858.9912109375F, 265.572265625F, 858.8134765625F, 265.99169921875F, 858.6923828125F, 266.42578125F, 858.6923828125F);
            graphicsPath.AddBezier(266.42578125F, 858.6923828125F, 267.48583984375F, 858.6923828125F, 267.74169921875F, 859.4111328125F, 267.74169921875F, 860.1015625F);
            graphicsPath.AddLine(267.74169921875F, 860.1015625F, 267.74169921875F, 861.388671875F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(267.13037109375F, 860.45703125F, 266.447265625F, 860.4423828125F, 265.671875F, 860.5634765625F, 265.671875F, 861.232421875F);
            graphicsPath.AddBezier(265.671875F, 861.232421875F, 265.671875F, 861.64453125F, 265.9423828125F, 861.830078125F, 266.25537109375F, 861.830078125F);
            graphicsPath.AddBezier(266.25537109375F, 861.830078125F, 266.71044921875F, 861.830078125F, 267.001953125F, 861.544921875F, 267.1015625F, 861.25390625F);
            graphicsPath.AddBezier(267.1015625F, 861.25390625F, 267.123046875F, 861.189453125F, 267.13037109375F, 861.1181640625F, 267.13037109375F, 861.0546875F);
            graphicsPath.AddLine(267.13037109375F, 861.0546875F, 267.13037109375F, 860.45703125F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(268.74462890625F, 859.703125F, 268.74462890625F, 859.33984375F, 268.73779296875F, 859.0556640625F, 268.71630859375F, 858.7705078125F);
            graphicsPath.AddLine(269.271484375F, 858.7705078125F, 269.306640625F, 859.3330078125F);
            graphicsPath.AddBezier(269.3212890625F, 859.3330078125F, 269.49169921875F, 859.0126953125F, 269.89013671875F, 858.6923828125F, 270.45947265625F, 858.6923828125F);
            graphicsPath.AddBezier(270.45947265625F, 858.6923828125F, 270.93603515625F, 858.6923828125F, 271.67578125F, 858.9775390625F, 271.67578125F, 860.158203125F);
            graphicsPath.AddLine(271.67578125F, 862.2138671875F, 271.0498046875F, 862.2138671875F);
            graphicsPath.AddBezier(271.0498046875F, 860.2294921875F, 271.0498046875F, 859.673828125F, 270.84326171875F, 859.205078125F, 270.2529296875F, 859.205078125F);
            graphicsPath.AddBezier(270.2529296875F, 859.205078125F, 269.84765625F, 859.205078125F, 269.52734375F, 859.49609375F, 269.41357421875F, 859.8447265625F);
            graphicsPath.AddBezier(269.41357421875F, 859.8447265625F, 269.38525390625F, 859.9228515625F, 269.37109375F, 860.037109375F, 269.37109375F, 860.13671875F);
            graphicsPath.AddLine(269.37109375F, 862.2138671875F, 268.74462890625F, 862.2138671875F);
            graphicsPath.AddLine(268.74462890625F, 862.2138671875F, 268.74462890625F, 859.703125F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();

            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddLine(275.666015625F, 857.1630859375F, 275.666015625F, 861.32421875F);
            graphicsPath.AddBezier(275.666015625F, 861.32421875F, 275.666015625F, 861.630859375F, 275.67333984375F, 861.9794921875F, 275.6943359375F, 862.2138671875F);
            graphicsPath.AddLine(275.1328125F, 862.2138671875F, 275.10400390625F, 861.6162109375F);
            graphicsPath.AddBezier(275.08984375F, 861.6162109375F, 274.89794921875F, 862F, 274.4853515625F, 862.2919921875F, 273.92333984375F, 862.2919921875F);
            graphicsPath.AddBezier(273.92333984375F, 862.2919921875F, 273.0908203125F, 862.2919921875F, 272.44384765625F, 861.587890625F, 272.44384765625F, 860.5419921875F);
            graphicsPath.AddBezier(272.44384765625F, 860.5419921875F, 272.4365234375F, 859.3896484375F, 273.15478515625F, 858.6923828125F, 273.9873046875F, 858.6923828125F);
            graphicsPath.AddBezier(273.9873046875F, 858.6923828125F, 274.52099609375F, 858.6923828125F, 274.87646484375F, 858.94140625F, 275.02587890625F, 859.2119140625F);
            graphicsPath.AddLine(275.0400390625F, 859.2119140625F, 275.0400390625F, 857.1630859375F);
            graphicsPath.AddLine(275.0400390625F, 857.1630859375F, 275.666015625F, 857.1630859375F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(275.0400390625F, 860.171875F, 275.0400390625F, 860.0869140625F, 275.033203125F, 859.9873046875F, 275.01171875F, 859.90234375F);
            graphicsPath.AddBezier(275.01171875F, 859.90234375F, 274.9189453125F, 859.5107421875F, 274.57763671875F, 859.18359375F, 274.1083984375F, 859.18359375F);
            graphicsPath.AddBezier(274.1083984375F, 859.18359375F, 273.4609375F, 859.18359375F, 273.07666015625F, 859.7529296875F, 273.07666015625F, 860.5068359375F);
            graphicsPath.AddBezier(273.07666015625F, 860.5068359375F, 273.07666015625F, 861.2109375F, 273.42529296875F, 861.787109375F, 274.09423828125F, 861.787109375F);
            graphicsPath.AddBezier(274.09423828125F, 861.787109375F, 274.513671875F, 861.787109375F, 274.89794921875F, 861.5029296875F, 275.01171875F, 861.033203125F);
            graphicsPath.AddBezier(275.01171875F, 861.033203125F, 275.033203125F, 860.955078125F, 275.0400390625F, 860.869140625F, 275.0400390625F, 860.76953125F);
            graphicsPath.AddLine(275.0400390625F, 860.76953125F, 275.0400390625F, 860.171875F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddLine(276.17822265625F, 862.498046875F, 278.15576171875F, 857.3408203125F);
            graphicsPath.AddLine(278.64697265625F, 857.3408203125F, 276.65478515625F, 862.498046875F);
            graphicsPath.AddLine(276.65478515625F, 862.498046875F, 276.17822265625F, 862.498046875F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(280.54638671875F, 862.2919921875F, 279.62158203125F, 862.2919921875F, 278.89599609375F, 861.609375F, 278.89599609375F, 860.5205078125F);
            graphicsPath.AddBezier(278.89599609375F, 860.5205078125F, 278.89599609375F, 859.3681640625F, 279.65673828125F, 858.6923828125F, 280.60302734375F, 858.6923828125F);
            graphicsPath.AddBezier(280.60302734375F, 858.6923828125F, 281.591796875F, 858.6923828125F, 282.2607421875F, 859.4111328125F, 282.2607421875F, 860.45703125F);
            graphicsPath.AddBezier(282.2607421875F, 860.45703125F, 282.2607421875F, 861.7373046875F, 281.37109375F, 862.2919921875F, 280.55322265625F, 862.2919921875F);
            graphicsPath.AddLine(280.55322265625F, 862.2919921875F, 280.54638671875F, 862.2919921875F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(280.57470703125F, 861.822265625F, 281.17236328125F, 861.822265625F, 281.6201171875F, 861.2607421875F, 281.6201171875F, 860.478515625F);
            graphicsPath.AddBezier(281.6201171875F, 860.478515625F, 281.6201171875F, 859.89453125F, 281.32861328125F, 859.162109375F, 280.5888671875F, 859.162109375F);
            graphicsPath.AddBezier(280.5888671875F, 859.162109375F, 279.85595703125F, 859.162109375F, 279.5361328125F, 859.8447265625F, 279.5361328125F, 860.4990234375F);
            graphicsPath.AddBezier(279.5361328125F, 860.4990234375F, 279.5361328125F, 861.25390625F, 279.962890625F, 861.822265625F, 280.5673828125F, 861.822265625F);
            graphicsPath.AddLine(280.5673828125F, 861.822265625F, 280.57470703125F, 861.822265625F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(283.05029296875F, 859.8447265625F, 283.05029296875F, 859.439453125F, 283.04296875F, 859.0908203125F, 283.021484375F, 858.7705078125F);
            graphicsPath.AddLine(283.5693359375F, 858.7705078125F, 283.59765625F, 859.4462890625F);
            graphicsPath.AddBezier(283.619140625F, 859.4462890625F, 283.77587890625F, 858.984375F, 284.15966796875F, 858.6923828125F, 284.57958984375F, 858.6923828125F);
            graphicsPath.AddBezier(284.57958984375F, 858.6923828125F, 284.6435546875F, 858.6923828125F, 284.693359375F, 858.7001953125F, 284.75F, 858.70703125F);
            graphicsPath.AddBezier(284.75F, 859.296875F, 284.68603515625F, 859.2900390625F, 284.6220703125F, 859.283203125F, 284.53662109375F, 859.283203125F);
            graphicsPath.AddBezier(284.53662109375F, 859.283203125F, 284.095703125F, 859.283203125F, 283.78271484375F, 859.6171875F, 283.697265625F, 860.080078125F);
            graphicsPath.AddBezier(283.697265625F, 860.080078125F, 283.68310546875F, 860.171875F, 283.67626953125F, 860.271484375F, 283.67626953125F, 860.37109375F);
            graphicsPath.AddLine(283.67626953125F, 862.2138671875F, 283.05029296875F, 862.2138671875F);
            graphicsPath.AddLine(283.05029296875F, 862.2138671875F, 283.05029296875F, 859.8447265625F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();

            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(288.28564453125F, 862.2919921875F, 287.36083984375F, 862.2919921875F, 286.63525390625F, 861.609375F, 286.63525390625F, 860.5205078125F);
            graphicsPath.AddBezier(286.63525390625F, 860.5205078125F, 286.63525390625F, 859.3681640625F, 287.39599609375F, 858.6923828125F, 288.34228515625F, 858.6923828125F);
            graphicsPath.AddBezier(288.34228515625F, 858.6923828125F, 289.3310546875F, 858.6923828125F, 290F, 859.4111328125F, 290F, 860.45703125F);
            graphicsPath.AddBezier(290F, 860.45703125F, 290F, 861.7373046875F, 289.1103515625F, 862.2919921875F, 288.29248046875F, 862.2919921875F);
            graphicsPath.AddLine(288.29248046875F, 862.2919921875F, 288.28564453125F, 862.2919921875F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(288.31396484375F, 861.822265625F, 288.91162109375F, 861.822265625F, 289.359375F, 861.2607421875F, 289.359375F, 860.478515625F);
            graphicsPath.AddBezier(289.359375F, 860.478515625F, 289.359375F, 859.89453125F, 289.06787109375F, 859.162109375F, 288.328125F, 859.162109375F);
            graphicsPath.AddBezier(288.328125F, 859.162109375F, 287.59521484375F, 859.162109375F, 287.275390625F, 859.8447265625F, 287.275390625F, 860.4990234375F);
            graphicsPath.AddBezier(287.275390625F, 860.4990234375F, 287.275390625F, 861.25390625F, 287.7021484375F, 861.822265625F, 288.306640625F, 861.822265625F);
            graphicsPath.AddLine(288.306640625F, 861.822265625F, 288.31396484375F, 861.822265625F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddLine(291.54345703125F, 857.9453125F, 291.54345703125F, 858.7705078125F);
            graphicsPath.AddLine(292.439453125F, 858.7705078125F, 292.439453125F, 859.2470703125F);
            graphicsPath.AddLine(291.54345703125F, 859.2470703125F, 291.54345703125F, 861.0966796875F);
            graphicsPath.AddBezier(291.54345703125F, 861.0966796875F, 291.54345703125F, 861.5234375F, 291.6640625F, 861.765625F, 292.0126953125F, 861.765625F);
            graphicsPath.AddBezier(292.0126953125F, 861.765625F, 292.18359375F, 861.765625F, 292.283203125F, 861.751953125F, 292.37548828125F, 861.72265625F);
            graphicsPath.AddBezier(292.404296875F, 862.19921875F, 292.283203125F, 862.2421875F, 292.09130859375F, 862.28515625F, 291.84912109375F, 862.28515625F);
            graphicsPath.AddBezier(291.84912109375F, 862.28515625F, 291.5576171875F, 862.28515625F, 291.32275390625F, 862.185546875F, 291.17333984375F, 862.021484375F);
            graphicsPath.AddBezier(291.17333984375F, 862.021484375F, 291.0029296875F, 861.830078125F, 290.931640625F, 861.5234375F, 290.931640625F, 861.1181640625F);
            graphicsPath.AddLine(290.931640625F, 859.2470703125F, 290.39794921875F, 859.2470703125F);
            graphicsPath.AddLine(290.39794921875F, 858.7705078125F, 290.931640625F, 858.7705078125F);
            graphicsPath.AddLine(290.931640625F, 858.1376953125F, 291.54345703125F, 857.9453125F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddLine(293.14404296875F, 857.1630859375F, 293.77001953125F, 857.1630859375F);
            graphicsPath.AddLine(293.77001953125F, 859.3115234375F, 293.7841796875F, 859.3115234375F);
            graphicsPath.AddBezier(293.7841796875F, 859.3115234375F, 293.8837890625F, 859.1337890625F, 294.0400390625F, 858.9697265625F, 294.23193359375F, 858.8701171875F);
            graphicsPath.AddBezier(294.23193359375F, 858.8701171875F, 294.41748046875F, 858.7568359375F, 294.63720703125F, 858.6923828125F, 294.87255859375F, 858.6923828125F);
            graphicsPath.AddBezier(294.87255859375F, 858.6923828125F, 295.33447265625F, 858.6923828125F, 296.07470703125F, 858.9775390625F, 296.07470703125F, 860.1650390625F);
            graphicsPath.AddLine(296.07470703125F, 862.2138671875F, 295.44873046875F, 862.2138671875F);
            graphicsPath.AddBezier(295.44873046875F, 860.2294921875F, 295.44873046875F, 859.673828125F, 295.24267578125F, 859.2119140625F, 294.65185546875F, 859.2119140625F);
            graphicsPath.AddBezier(294.65185546875F, 859.2119140625F, 294.24658203125F, 859.2119140625F, 293.93359375F, 859.49609375F, 293.8125F, 859.837890625F);
            graphicsPath.AddBezier(293.8125F, 859.837890625F, 293.77685546875F, 859.9228515625F, 293.77001953125F, 860.015625F, 293.77001953125F, 860.13671875F);
            graphicsPath.AddLine(293.77001953125F, 862.2138671875F, 293.14404296875F, 862.2138671875F);
            graphicsPath.AddLine(293.14404296875F, 862.2138671875F, 293.14404296875F, 857.1630859375F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(297.44677734375F, 860.6064453125F, 297.46142578125F, 861.4453125F, 297.99462890625F, 861.7939453125F, 298.62060546875F, 861.7939453125F);
            graphicsPath.AddBezier(298.62060546875F, 861.7939453125F, 299.06884765625F, 861.7939453125F, 299.34619140625F, 861.7158203125F, 299.57373046875F, 861.6162109375F);
            graphicsPath.AddBezier(299.68798828125F, 862.064453125F, 299.46728515625F, 862.1640625F, 299.08251953125F, 862.28515625F, 298.53466796875F, 862.28515625F);
            graphicsPath.AddBezier(298.53466796875F, 862.28515625F, 297.48193359375F, 862.28515625F, 296.84228515625F, 861.5810546875F, 296.84228515625F, 860.548828125F);
            graphicsPath.AddBezier(296.84228515625F, 860.548828125F, 296.84228515625F, 859.5107421875F, 297.46142578125F, 858.6923828125F, 298.46435546875F, 858.6923828125F);
            graphicsPath.AddBezier(298.46435546875F, 858.6923828125F, 299.58837890625F, 858.6923828125F, 299.87939453125F, 859.681640625F, 299.87939453125F, 860.314453125F);
            graphicsPath.AddBezier(299.87939453125F, 860.314453125F, 299.87939453125F, 860.4423828125F, 299.87255859375F, 860.53515625F, 299.85791015625F, 860.6064453125F);
            graphicsPath.AddLine(299.85791015625F, 860.6064453125F, 297.44677734375F, 860.6064453125F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(299.27490234375F, 860.158203125F, 299.28173828125F, 859.759765625F, 299.11083984375F, 859.140625F, 298.41455078125F, 859.140625F);
            graphicsPath.AddBezier(298.41455078125F, 859.140625F, 297.77392578125F, 859.140625F, 297.50341796875F, 859.7236328125F, 297.45361328125F, 860.158203125F);
            graphicsPath.AddLine(297.45361328125F, 860.158203125F, 299.27490234375F, 860.158203125F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(300.65576171875F, 859.8447265625F, 300.65576171875F, 859.439453125F, 300.64794921875F, 859.0908203125F, 300.62744140625F, 858.7705078125F);
            graphicsPath.AddLine(301.17431640625F, 858.7705078125F, 301.20361328125F, 859.4462890625F);
            graphicsPath.AddBezier(301.22412109375F, 859.4462890625F, 301.38134765625F, 858.984375F, 301.76513671875F, 858.6923828125F, 302.18505859375F, 858.6923828125F);
            graphicsPath.AddBezier(302.18505859375F, 858.6923828125F, 302.24853515625F, 858.6923828125F, 302.29833984375F, 858.7001953125F, 302.35595703125F, 858.70703125F);
            graphicsPath.AddBezier(302.35595703125F, 859.296875F, 302.29150390625F, 859.2900390625F, 302.22802734375F, 859.283203125F, 302.14208984375F, 859.283203125F);
            graphicsPath.AddBezier(302.14208984375F, 859.283203125F, 301.70166015625F, 859.283203125F, 301.38818359375F, 859.6171875F, 301.30322265625F, 860.080078125F);
            graphicsPath.AddBezier(301.30322265625F, 860.080078125F, 301.28857421875F, 860.171875F, 301.28173828125F, 860.271484375F, 301.28173828125F, 860.37109375F);
            graphicsPath.AddLine(301.28173828125F, 862.2138671875F, 300.65576171875F, 862.2138671875F);
            graphicsPath.AddLine(300.65576171875F, 862.2138671875F, 300.65576171875F, 859.8447265625F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(306.9443359375F, 862.0859375F, 306.7802734375F, 862.1640625F, 306.41796875F, 862.28515625F, 305.95458984375F, 862.28515625F);
            graphicsPath.AddBezier(305.95458984375F, 862.28515625F, 304.91650390625F, 862.28515625F, 304.24072265625F, 861.5810546875F, 304.24072265625F, 860.5283203125F);
            graphicsPath.AddBezier(304.24072265625F, 860.5283203125F, 304.24072265625F, 859.4677734375F, 304.96630859375F, 858.6923828125F, 306.0908203125F, 858.6923828125F);
            graphicsPath.AddBezier(306.0908203125F, 858.6923828125F, 306.4599609375F, 858.6923828125F, 306.7880859375F, 858.78515625F, 306.9580078125F, 858.8779296875F);
            graphicsPath.AddBezier(306.81640625F, 859.3544921875F, 306.6669921875F, 859.2763671875F, 306.431640625F, 859.1904296875F, 306.0908203125F, 859.1904296875F);
            graphicsPath.AddBezier(306.0908203125F, 859.1904296875F, 305.30029296875F, 859.1904296875F, 304.87353515625F, 859.78125F, 304.87353515625F, 860.4921875F);
            graphicsPath.AddBezier(304.87353515625F, 860.4921875F, 304.87353515625F, 861.2890625F, 305.38623046875F, 861.7802734375F, 306.0693359375F, 861.7802734375F);
            graphicsPath.AddBezier(306.0693359375F, 861.7802734375F, 306.4248046875F, 861.7802734375F, 306.6591796875F, 861.6943359375F, 306.837890625F, 861.6162109375F);
            graphicsPath.AddLine(306.837890625F, 861.6162109375F, 306.9443359375F, 862.0859375F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(309.03515625F, 862.2919921875F, 308.1103515625F, 862.2919921875F, 307.384765625F, 861.609375F, 307.384765625F, 860.5205078125F);
            graphicsPath.AddBezier(307.384765625F, 860.5205078125F, 307.384765625F, 859.3681640625F, 308.1455078125F, 858.6923828125F, 309.091796875F, 858.6923828125F);
            graphicsPath.AddBezier(309.091796875F, 858.6923828125F, 310.0810546875F, 858.6923828125F, 310.7490234375F, 859.4111328125F, 310.7490234375F, 860.45703125F);
            graphicsPath.AddBezier(310.7490234375F, 860.45703125F, 310.7490234375F, 861.7373046875F, 309.8603515625F, 862.2919921875F, 309.0419921875F, 862.2919921875F);
            graphicsPath.AddLine(309.0419921875F, 862.2919921875F, 309.03515625F, 862.2919921875F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(309.0634765625F, 861.822265625F, 309.6611328125F, 861.822265625F, 310.109375F, 861.2607421875F, 310.109375F, 860.478515625F);
            graphicsPath.AddBezier(310.109375F, 860.478515625F, 310.109375F, 859.89453125F, 309.8173828125F, 859.162109375F, 309.0771484375F, 859.162109375F);
            graphicsPath.AddBezier(309.0771484375F, 859.162109375F, 308.3447265625F, 859.162109375F, 308.0244140625F, 859.8447265625F, 308.0244140625F, 860.4990234375F);
            graphicsPath.AddBezier(308.0244140625F, 860.4990234375F, 308.0244140625F, 861.25390625F, 308.451171875F, 861.822265625F, 309.056640625F, 861.822265625F);
            graphicsPath.AddLine(309.056640625F, 861.822265625F, 309.0634765625F, 861.822265625F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(314.419921875F, 861.267578125F, 314.419921875F, 861.630859375F, 314.4267578125F, 861.943359375F, 314.4482421875F, 862.2138671875F);
            graphicsPath.AddLine(313.8935546875F, 862.2138671875F, 313.857421875F, 861.65234375F);
            graphicsPath.AddBezier(313.84375F, 861.65234375F, 313.6875F, 861.9296875F, 313.3173828125F, 862.2919921875F, 312.705078125F, 862.2919921875F);
            graphicsPath.AddBezier(312.705078125F, 862.2919921875F, 312.1650390625F, 862.2919921875F, 311.517578125F, 861.986328125F, 311.517578125F, 860.7841796875F);
            graphicsPath.AddLine(311.517578125F, 858.7705078125F, 312.1435546875F, 858.7705078125F);
            graphicsPath.AddBezier(312.1435546875F, 860.669921875F, 312.1435546875F, 861.32421875F, 312.349609375F, 861.7724609375F, 312.912109375F, 861.7724609375F);
            graphicsPath.AddBezier(312.912109375F, 861.7724609375F, 313.3310546875F, 861.7724609375F, 313.623046875F, 861.4814453125F, 313.7373046875F, 861.1962890625F);
            graphicsPath.AddBezier(313.7373046875F, 861.1962890625F, 313.7724609375F, 861.111328125F, 313.7939453125F, 860.9970703125F, 313.7939453125F, 860.876953125F);
            graphicsPath.AddLine(313.7939453125F, 858.7705078125F, 314.419921875F, 858.7705078125F);
            graphicsPath.AddLine(314.419921875F, 858.7705078125F, 314.419921875F, 861.267578125F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(315.458984375F, 859.703125F, 315.458984375F, 859.33984375F, 315.451171875F, 859.0556640625F, 315.4306640625F, 858.7705078125F);
            graphicsPath.AddLine(315.9853515625F, 858.7705078125F, 316.0205078125F, 859.3330078125F);
            graphicsPath.AddBezier(316.03515625F, 859.3330078125F, 316.2060546875F, 859.0126953125F, 316.6044921875F, 858.6923828125F, 317.1728515625F, 858.6923828125F);
            graphicsPath.AddBezier(317.1728515625F, 858.6923828125F, 317.6494140625F, 858.6923828125F, 318.3896484375F, 858.9775390625F, 318.3896484375F, 860.158203125F);
            graphicsPath.AddLine(318.3896484375F, 862.2138671875F, 317.763671875F, 862.2138671875F);
            graphicsPath.AddBezier(317.763671875F, 860.2294921875F, 317.763671875F, 859.673828125F, 317.5576171875F, 859.205078125F, 316.966796875F, 859.205078125F);
            graphicsPath.AddBezier(316.966796875F, 859.205078125F, 316.5615234375F, 859.205078125F, 316.2412109375F, 859.49609375F, 316.126953125F, 859.8447265625F);
            graphicsPath.AddBezier(316.126953125F, 859.8447265625F, 316.0986328125F, 859.9228515625F, 316.0849609375F, 860.037109375F, 316.0849609375F, 860.13671875F);
            graphicsPath.AddLine(316.0849609375F, 862.2138671875F, 315.458984375F, 862.2138671875F);
            graphicsPath.AddLine(315.458984375F, 862.2138671875F, 315.458984375F, 859.703125F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddLine(320.1328125F, 857.9453125F, 320.1328125F, 858.7705078125F);
            graphicsPath.AddLine(321.029296875F, 858.7705078125F, 321.029296875F, 859.2470703125F);
            graphicsPath.AddLine(320.1328125F, 859.2470703125F, 320.1328125F, 861.0966796875F);
            graphicsPath.AddBezier(320.1328125F, 861.0966796875F, 320.1328125F, 861.5234375F, 320.25390625F, 861.765625F, 320.6025390625F, 861.765625F);
            graphicsPath.AddBezier(320.6025390625F, 861.765625F, 320.7724609375F, 861.765625F, 320.8720703125F, 861.751953125F, 320.96484375F, 861.72265625F);
            graphicsPath.AddBezier(320.9931640625F, 862.19921875F, 320.8720703125F, 862.2421875F, 320.6806640625F, 862.28515625F, 320.4384765625F, 862.28515625F);
            graphicsPath.AddBezier(320.4384765625F, 862.28515625F, 320.146484375F, 862.28515625F, 319.912109375F, 862.185546875F, 319.7626953125F, 862.021484375F);
            graphicsPath.AddBezier(319.7626953125F, 862.021484375F, 319.591796875F, 861.830078125F, 319.5205078125F, 861.5234375F, 319.5205078125F, 861.1181640625F);
            graphicsPath.AddLine(319.5205078125F, 859.2470703125F, 318.9873046875F, 859.2470703125F);
            graphicsPath.AddLine(318.9873046875F, 858.7705078125F, 319.5205078125F, 858.7705078125F);
            graphicsPath.AddLine(319.5205078125F, 858.1376953125F, 320.1328125F, 857.9453125F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();

            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(321.7333984375F, 859.8447265625F, 321.7333984375F, 859.439453125F, 321.7255859375F, 859.0908203125F, 321.705078125F, 858.7705078125F);
            graphicsPath.AddLine(322.2529296875F, 858.7705078125F, 322.28125F, 859.4462890625F);
            graphicsPath.AddBezier(322.3017578125F, 859.4462890625F, 322.458984375F, 858.984375F, 322.8427734375F, 858.6923828125F, 323.2626953125F, 858.6923828125F);
            graphicsPath.AddBezier(323.2626953125F, 858.6923828125F, 323.326171875F, 858.6923828125F, 323.3759765625F, 858.7001953125F, 323.43359375F, 858.70703125F);
            graphicsPath.AddBezier(323.43359375F, 859.296875F, 323.369140625F, 859.2900390625F, 323.3056640625F, 859.283203125F, 323.2197265625F, 859.283203125F);
            graphicsPath.AddBezier(323.2197265625F, 859.283203125F, 322.779296875F, 859.283203125F, 322.4658203125F, 859.6171875F, 322.380859375F, 860.080078125F);
            graphicsPath.AddBezier(322.380859375F, 860.080078125F, 322.3662109375F, 860.171875F, 322.359375F, 860.271484375F, 322.359375F, 860.37109375F);
            graphicsPath.AddLine(322.359375F, 862.2138671875F, 321.7333984375F, 862.2138671875F);
            graphicsPath.AddLine(321.7333984375F, 862.2138671875F, 321.7333984375F, 859.8447265625F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(324.38671875F, 858.1875F, 324.1591796875F, 858.1875F, 324.009765625F, 858.009765625F, 324.009765625F, 857.8037109375F);
            graphicsPath.AddBezier(324.009765625F, 857.8037109375F, 324.009765625F, 857.5830078125F, 324.166015625F, 857.412109375F, 324.400390625F, 857.412109375F);
            graphicsPath.AddBezier(324.400390625F, 857.412109375F, 324.6279296875F, 857.412109375F, 324.78515625F, 857.5830078125F, 324.78515625F, 857.8037109375F);
            graphicsPath.AddBezier(324.78515625F, 857.8037109375F, 324.78515625F, 858.009765625F, 324.6357421875F, 858.1875F, 324.3935546875F, 858.1875F);
            graphicsPath.AddLine(324.3935546875F, 858.1875F, 324.38671875F, 858.1875F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddLine(324.087890625F, 862.2138671875F, 324.087890625F, 858.7705078125F);
            graphicsPath.AddLine(324.7138671875F, 858.7705078125F, 324.7138671875F, 862.2138671875F);
            graphicsPath.AddLine(324.7138671875F, 862.2138671875F, 324.087890625F, 862.2138671875F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(326.107421875F, 860.6064453125F, 326.1220703125F, 861.4453125F, 326.6552734375F, 861.7939453125F, 327.28125F, 861.7939453125F);
            graphicsPath.AddBezier(327.28125F, 861.7939453125F, 327.7294921875F, 861.7939453125F, 328.0068359375F, 861.7158203125F, 328.234375F, 861.6162109375F);
            graphicsPath.AddBezier(328.3486328125F, 862.064453125F, 328.1279296875F, 862.1640625F, 327.7431640625F, 862.28515625F, 327.1953125F, 862.28515625F);
            graphicsPath.AddBezier(327.1953125F, 862.28515625F, 326.142578125F, 862.28515625F, 325.5029296875F, 861.5810546875F, 325.5029296875F, 860.548828125F);
            graphicsPath.AddBezier(325.5029296875F, 860.548828125F, 325.5029296875F, 859.5107421875F, 326.1220703125F, 858.6923828125F, 327.125F, 858.6923828125F);
            graphicsPath.AddBezier(327.125F, 858.6923828125F, 328.2490234375F, 858.6923828125F, 328.5400390625F, 859.681640625F, 328.5400390625F, 860.314453125F);
            graphicsPath.AddBezier(328.5400390625F, 860.314453125F, 328.5400390625F, 860.4423828125F, 328.533203125F, 860.53515625F, 328.5185546875F, 860.6064453125F);
            graphicsPath.AddLine(328.5185546875F, 860.6064453125F, 326.107421875F, 860.6064453125F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(327.935546875F, 860.158203125F, 327.9423828125F, 859.759765625F, 327.771484375F, 859.140625F, 327.0751953125F, 859.140625F);
            graphicsPath.AddBezier(327.0751953125F, 859.140625F, 326.4345703125F, 859.140625F, 326.1640625F, 859.7236328125F, 326.1142578125F, 860.158203125F);
            graphicsPath.AddLine(326.1142578125F, 860.158203125F, 327.935546875F, 860.158203125F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(329.2294921875F, 861.5732421875F, 329.421875F, 861.6875F, 329.7490234375F, 861.8154296875F, 330.0625F, 861.8154296875F);
            graphicsPath.AddBezier(330.0625F, 861.8154296875F, 330.5107421875F, 861.8154296875F, 330.7236328125F, 861.5947265625F, 330.7236328125F, 861.3037109375F);
            graphicsPath.AddBezier(330.7236328125F, 861.3037109375F, 330.7236328125F, 861.0048828125F, 330.5458984375F, 860.84765625F, 330.0908203125F, 860.677734375F);
            graphicsPath.AddBezier(330.0908203125F, 860.677734375F, 329.46484375F, 860.44921875F, 329.1728515625F, 860.1083984375F, 329.1728515625F, 859.703125F);
            graphicsPath.AddBezier(329.1728515625F, 859.703125F, 329.1728515625F, 859.1474609375F, 329.6279296875F, 858.6923828125F, 330.361328125F, 858.6923828125F);
            graphicsPath.AddBezier(330.361328125F, 858.6923828125F, 330.708984375F, 858.6923828125F, 331.015625F, 858.78515625F, 331.2001953125F, 858.90625F);
            graphicsPath.AddBezier(331.05078125F, 859.3544921875F, 330.916015625F, 859.2763671875F, 330.6669921875F, 859.1552734375F, 330.3466796875F, 859.1552734375F);
            graphicsPath.AddBezier(330.3466796875F, 859.1552734375F, 329.9765625F, 859.1552734375F, 329.77734375F, 859.3681640625F, 329.77734375F, 859.625F);
            graphicsPath.AddBezier(329.77734375F, 859.625F, 329.77734375F, 859.9091796875F, 329.9765625F, 860.037109375F, 330.4248046875F, 860.21484375F);
            graphicsPath.AddBezier(330.4248046875F, 860.21484375F, 331.015625F, 860.435546875F, 331.328125F, 860.734375F, 331.328125F, 861.24609375F);
            graphicsPath.AddBezier(331.328125F, 861.24609375F, 331.328125F, 861.8583984375F, 330.8515625F, 862.28515625F, 330.0478515625F, 862.28515625F);
            graphicsPath.AddBezier(330.0478515625F, 862.28515625F, 329.6708984375F, 862.28515625F, 329.322265625F, 862.185546875F, 329.080078125F, 862.04296875F);
            graphicsPath.AddLine(329.080078125F, 862.04296875F, 329.2294921875F, 861.5732421875F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(332.3173828125F, 862.2919921875F, 332.076171875F, 862.2919921875F, 331.9052734375F, 862.099609375F, 331.9052734375F, 861.84375F);
            graphicsPath.AddBezier(331.9052734375F, 861.84375F, 331.9052734375F, 861.587890625F, 332.0830078125F, 861.3955078125F, 332.33203125F, 861.3955078125F);
            graphicsPath.AddBezier(332.33203125F, 861.3955078125F, 332.5810546875F, 861.3955078125F, 332.751953125F, 861.5810546875F, 332.751953125F, 861.84375F);
            graphicsPath.AddBezier(332.751953125F, 861.84375F, 332.751953125F, 862.099609375F, 332.5810546875F, 862.2919921875F, 332.3251953125F, 862.2919921875F);
            graphicsPath.AddLine(332.3251953125F, 862.2919921875F, 332.3173828125F, 862.2919921875F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(336.94140625F, 857.6044921875F, 338.13671875F, 857.6044921875F, 339.0751953125F, 858.5859375F, 339.0751953125F, 859.794921875F);
            graphicsPath.AddBezier(339.0751953125F, 859.794921875F, 339.0751953125F, 861.0185546875F, 338.13671875F, 862F, 336.9345703125F, 862F);
            graphicsPath.AddBezier(336.9345703125F, 862F, 335.724609375F, 862F, 334.771484375F, 861.0185546875F, 334.771484375F, 859.794921875F);
            graphicsPath.AddBezier(334.771484375F, 859.794921875F, 334.771484375F, 858.5859375F, 335.724609375F, 857.6044921875F, 336.9345703125F, 857.6044921875F);
            graphicsPath.AddLine(336.9345703125F, 857.6044921875F, 336.94140625F, 857.6044921875F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(336.9267578125F, 857.8955078125F, 335.91015625F, 857.8955078125F, 335.126953125F, 858.7353515625F, 335.126953125F, 859.81640625F);
            graphicsPath.AddBezier(335.126953125F, 859.81640625F, 335.126953125F, 860.876953125F, 335.91015625F, 861.708984375F, 336.9345703125F, 861.708984375F);
            graphicsPath.AddBezier(336.9345703125F, 861.708984375F, 337.9375F, 861.72265625F, 338.7197265625F, 860.876953125F, 338.7197265625F, 859.794921875F);
            graphicsPath.AddBezier(338.7197265625F, 859.794921875F, 338.7197265625F, 858.7353515625F, 337.9375F, 857.8955078125F, 336.9345703125F, 857.8955078125F);
            graphicsPath.AddLine(336.9345703125F, 857.8955078125F, 336.9267578125F, 857.8955078125F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(337.8017578125F, 858.984375F, 337.7099609375F, 858.9345703125F, 337.4462890625F, 858.8203125F, 337.1123046875F, 858.8203125F);
            graphicsPath.AddBezier(337.1123046875F, 858.8203125F, 336.443359375F, 858.8203125F, 336.1162109375F, 859.2470703125F, 336.1162109375F, 859.81640625F);
            graphicsPath.AddBezier(336.1162109375F, 859.81640625F, 336.1162109375F, 860.37109375F, 336.46484375F, 860.8193359375F, 337.119140625F, 860.8193359375F);
            graphicsPath.AddBezier(337.119140625F, 860.8193359375F, 337.4033203125F, 860.8193359375F, 337.673828125F, 860.7412109375F, 337.837890625F, 860.634765625F);
            graphicsPath.AddBezier(337.9228515625F, 860.9052734375F, 337.673828125F, 861.068359375F, 337.3466796875F, 861.125F, 337.0478515625F, 861.125F);
            graphicsPath.AddBezier(337.0478515625F, 861.125F, 336.22265625F, 861.125F, 335.74609375F, 860.556640625F, 335.74609375F, 859.837890625F);
            graphicsPath.AddBezier(335.74609375F, 859.837890625F, 335.74609375F, 859.02734375F, 336.38671875F, 858.5146484375F, 337.1044921875F, 858.5146484375F);
            graphicsPath.AddBezier(337.1044921875F, 858.5146484375F, 337.474609375F, 858.5146484375F, 337.7880859375F, 858.62109375F, 337.8876953125F, 858.70703125F);
            graphicsPath.AddLine(337.8876953125F, 858.70703125F, 337.8017578125F, 858.984375F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddLine(341.1591796875F, 862.2138671875F, 341.1591796875F, 861.830078125F);
            graphicsPath.AddBezier(341.6494140625F, 861.353515625F, 342.8310546875F, 860.2294921875F, 343.37109375F, 859.6318359375F, 343.37109375F, 858.9345703125F);
            graphicsPath.AddBezier(343.37109375F, 858.9345703125F, 343.37109375F, 858.46484375F, 343.150390625F, 858.03125F, 342.4609375F, 858.03125F);
            graphicsPath.AddBezier(342.4609375F, 858.03125F, 342.041015625F, 858.03125F, 341.6923828125F, 858.244140625F, 341.4794921875F, 858.421875F);
            graphicsPath.AddBezier(341.2802734375F, 857.9814453125F, 341.5927734375F, 857.7177734375F, 342.0556640625F, 857.51171875F, 342.5888671875F, 857.51171875F);
            graphicsPath.AddBezier(342.5888671875F, 857.51171875F, 343.5771484375F, 857.51171875F, 343.9970703125F, 858.1943359375F, 343.9970703125F, 858.8564453125F);
            graphicsPath.AddBezier(343.9970703125F, 858.8564453125F, 343.9970703125F, 859.7099609375F, 343.3779296875F, 860.400390625F, 342.404296875F, 861.3388671875F);
            graphicsPath.AddLine(342.041015625F, 861.6806640625F, 342.041015625F, 861.6943359375F);
            graphicsPath.AddLine(344.111328125F, 861.6943359375F, 344.111328125F, 862.2138671875F);
            graphicsPath.AddLine(344.111328125F, 862.2138671875F, 341.1591796875F, 862.2138671875F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(346.28125F, 862.2919921875F, 345.3779296875F, 862.2919921875F, 344.7587890625F, 861.4453125F, 344.744140625F, 859.916015625F);
            graphicsPath.AddBezier(344.744140625F, 859.916015625F, 344.744140625F, 858.3583984375F, 345.419921875F, 857.51171875F, 346.359375F, 857.51171875F);
            graphicsPath.AddBezier(346.359375F, 857.51171875F, 347.326171875F, 857.51171875F, 347.888671875F, 858.3798828125F, 347.888671875F, 859.8525390625F);
            graphicsPath.AddBezier(347.888671875F, 859.8525390625F, 347.888671875F, 861.423828125F, 347.2978515625F, 862.2919921875F, 346.2880859375F, 862.2919921875F);
            graphicsPath.AddLine(346.2880859375F, 862.2919921875F, 346.28125F, 862.2919921875F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(346.31640625F, 861.80859375F, 346.94921875F, 861.80859375F, 347.255859375F, 861.0615234375F, 347.255859375F, 859.880859375F);
            graphicsPath.AddBezier(347.255859375F, 859.880859375F, 347.255859375F, 858.7421875F, 346.970703125F, 857.9951171875F, 346.31640625F, 857.9951171875F);
            graphicsPath.AddBezier(346.31640625F, 857.9951171875F, 345.7470703125F, 857.9951171875F, 345.3779296875F, 858.720703125F, 345.3779296875F, 859.880859375F);
            graphicsPath.AddBezier(345.3779296875F, 859.880859375F, 345.36328125F, 861.0830078125F, 345.7333984375F, 861.80859375F, 346.3095703125F, 861.80859375F);
            graphicsPath.AddLine(346.3095703125F, 861.80859375F, 346.31640625F, 861.80859375F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(349.9306640625F, 862.2919921875F, 349.02734375F, 862.2919921875F, 348.408203125F, 861.4453125F, 348.3935546875F, 859.916015625F);
            graphicsPath.AddBezier(348.3935546875F, 859.916015625F, 348.3935546875F, 858.3583984375F, 349.0693359375F, 857.51171875F, 350.0087890625F, 857.51171875F);
            graphicsPath.AddBezier(350.0087890625F, 857.51171875F, 350.9755859375F, 857.51171875F, 351.5380859375F, 858.3798828125F, 351.5380859375F, 859.8525390625F);
            graphicsPath.AddBezier(351.5380859375F, 859.8525390625F, 351.5380859375F, 861.423828125F, 350.947265625F, 862.2919921875F, 349.9375F, 862.2919921875F);
            graphicsPath.AddLine(349.9375F, 862.2919921875F, 349.9306640625F, 862.2919921875F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(349.9658203125F, 861.80859375F, 350.5986328125F, 861.80859375F, 350.9052734375F, 861.0615234375F, 350.9052734375F, 859.880859375F);
            graphicsPath.AddBezier(350.9052734375F, 859.880859375F, 350.9052734375F, 858.7421875F, 350.6201171875F, 857.9951171875F, 349.9658203125F, 857.9951171875F);
            graphicsPath.AddBezier(349.9658203125F, 857.9951171875F, 349.396484375F, 857.9951171875F, 349.02734375F, 858.720703125F, 349.02734375F, 859.880859375F);
            graphicsPath.AddBezier(349.02734375F, 859.880859375F, 349.0126953125F, 861.0830078125F, 349.3828125F, 861.80859375F, 349.958984375F, 861.80859375F);
            graphicsPath.AddLine(349.958984375F, 861.80859375F, 349.9658203125F, 861.80859375F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(352.2568359375F, 861.5029296875F, 352.4345703125F, 861.609375F, 352.83984375F, 861.787109375F, 353.28125F, 861.787109375F);
            graphicsPath.AddBezier(353.28125F, 861.787109375F, 354.078125F, 861.787109375F, 354.333984375F, 861.2822265625F, 354.326171875F, 860.890625F);
            graphicsPath.AddBezier(354.326171875F, 860.890625F, 354.3193359375F, 860.2431640625F, 353.736328125F, 859.9658203125F, 353.1318359375F, 859.9658203125F);
            graphicsPath.AddLine(352.783203125F, 859.9658203125F, 352.783203125F, 859.49609375F);
            graphicsPath.AddBezier(353.1318359375F, 859.49609375F, 353.5869140625F, 859.49609375F, 354.1630859375F, 859.26171875F, 354.1630859375F, 858.7138671875F);
            graphicsPath.AddBezier(354.1630859375F, 858.7138671875F, 354.1630859375F, 858.34375F, 353.9287109375F, 858.0166015625F, 353.3525390625F, 858.0166015625F);
            graphicsPath.AddBezier(353.3525390625F, 858.0166015625F, 352.982421875F, 858.0166015625F, 352.626953125F, 858.1806640625F, 352.427734375F, 858.322265625F);
            graphicsPath.AddBezier(352.2568359375F, 857.8671875F, 352.505859375F, 857.689453125F, 352.974609375F, 857.51171875F, 353.47265625F, 857.51171875F);
            graphicsPath.AddBezier(353.47265625F, 857.51171875F, 354.3837890625F, 857.51171875F, 354.7958984375F, 858.052734375F, 354.7958984375F, 858.6142578125F);
            graphicsPath.AddBezier(354.7958984375F, 858.6142578125F, 354.7958984375F, 859.09765625F, 354.5048828125F, 859.50390625F, 353.9423828125F, 859.7099609375F);
            graphicsPath.AddBezier(353.9423828125F, 859.7236328125F, 354.51171875F, 859.8310546875F, 354.9736328125F, 860.2578125F, 354.9736328125F, 860.9052734375F);
            graphicsPath.AddBezier(354.9736328125F, 860.9052734375F, 354.9736328125F, 861.64453125F, 354.390625F, 862.2919921875F, 353.2880859375F, 862.2919921875F);
            graphicsPath.AddBezier(353.2880859375F, 862.2919921875F, 352.7685546875F, 862.2919921875F, 352.3134765625F, 862.12890625F, 352.0859375F, 861.9794921875F);
            graphicsPath.AddLine(352.0859375F, 861.9794921875F, 352.2568359375F, 861.5029296875F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddLine(358.2607421875F, 860.7060546875F, 357.7626953125F, 862.2138671875F);
            graphicsPath.AddLine(357.1220703125F, 862.2138671875F, 358.7509765625F, 857.4189453125F);
            graphicsPath.AddLine(359.498046875F, 857.4189453125F, 361.1337890625F, 862.2138671875F);
            graphicsPath.AddLine(360.47265625F, 862.2138671875F, 359.9609375F, 860.7060546875F);
            graphicsPath.AddLine(359.9609375F, 860.7060546875F, 358.2607421875F, 860.7060546875F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddLine(359.83203125F, 860.2216796875F, 359.35546875F, 858.841796875F);
            graphicsPath.AddBezier(359.35546875F, 858.841796875F, 359.255859375F, 858.529296875F, 359.185546875F, 858.244140625F, 359.1142578125F, 857.966796875F);
            graphicsPath.AddBezier(359.0927734375F, 857.966796875F, 359.0283203125F, 858.244140625F, 358.9501953125F, 858.54296875F, 358.857421875F, 858.8349609375F);
            graphicsPath.AddLine(358.388671875F, 860.2216796875F, 359.83203125F, 860.2216796875F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddLine(364.7060546875F, 857.1630859375F, 364.7060546875F, 861.32421875F);
            graphicsPath.AddBezier(364.7060546875F, 861.32421875F, 364.7060546875F, 861.630859375F, 364.712890625F, 861.9794921875F, 364.734375F, 862.2138671875F);
            graphicsPath.AddLine(364.171875F, 862.2138671875F, 364.1435546875F, 861.6162109375F);
            graphicsPath.AddBezier(364.1298828125F, 861.6162109375F, 363.9375F, 862F, 363.5244140625F, 862.2919921875F, 362.962890625F, 862.2919921875F);
            graphicsPath.AddBezier(362.962890625F, 862.2919921875F, 362.130859375F, 862.2919921875F, 361.4833984375F, 861.587890625F, 361.4833984375F, 860.5419921875F);
            graphicsPath.AddBezier(361.4833984375F, 860.5419921875F, 361.4765625F, 859.3896484375F, 362.1943359375F, 858.6923828125F, 363.0263671875F, 858.6923828125F);
            graphicsPath.AddBezier(363.0263671875F, 858.6923828125F, 363.560546875F, 858.6923828125F, 363.916015625F, 858.94140625F, 364.0654296875F, 859.2119140625F);
            graphicsPath.AddLine(364.080078125F, 859.2119140625F, 364.080078125F, 857.1630859375F);
            graphicsPath.AddLine(364.080078125F, 857.1630859375F, 364.7060546875F, 857.1630859375F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(364.080078125F, 860.171875F, 364.080078125F, 860.0869140625F, 364.072265625F, 859.9873046875F, 364.05078125F, 859.90234375F);
            graphicsPath.AddBezier(364.05078125F, 859.90234375F, 363.958984375F, 859.5107421875F, 363.6171875F, 859.18359375F, 363.1474609375F, 859.18359375F);
            graphicsPath.AddBezier(363.1474609375F, 859.18359375F, 362.5F, 859.18359375F, 362.1162109375F, 859.7529296875F, 362.1162109375F, 860.5068359375F);
            graphicsPath.AddBezier(362.1162109375F, 860.5068359375F, 362.1162109375F, 861.2109375F, 362.46484375F, 861.787109375F, 363.1337890625F, 861.787109375F);
            graphicsPath.AddBezier(363.1337890625F, 861.787109375F, 363.5537109375F, 861.787109375F, 363.9375F, 861.5029296875F, 364.05078125F, 861.033203125F);
            graphicsPath.AddBezier(364.05078125F, 861.033203125F, 364.072265625F, 860.955078125F, 364.080078125F, 860.869140625F, 364.080078125F, 860.76953125F);
            graphicsPath.AddLine(364.080078125F, 860.76953125F, 364.080078125F, 860.171875F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(367.1455078125F, 862.2919921875F, 366.220703125F, 862.2919921875F, 365.4951171875F, 861.609375F, 365.4951171875F, 860.5205078125F);
            graphicsPath.AddBezier(365.4951171875F, 860.5205078125F, 365.4951171875F, 859.3681640625F, 366.255859375F, 858.6923828125F, 367.2021484375F, 858.6923828125F);
            graphicsPath.AddBezier(367.2021484375F, 858.6923828125F, 368.19140625F, 858.6923828125F, 368.859375F, 859.4111328125F, 368.859375F, 860.45703125F);
            graphicsPath.AddBezier(368.859375F, 860.45703125F, 368.859375F, 861.7373046875F, 367.970703125F, 862.2919921875F, 367.15234375F, 862.2919921875F);
            graphicsPath.AddLine(367.15234375F, 862.2919921875F, 367.1455078125F, 862.2919921875F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(367.173828125F, 861.822265625F, 367.771484375F, 861.822265625F, 368.2197265625F, 861.2607421875F, 368.2197265625F, 860.478515625F);
            graphicsPath.AddBezier(368.2197265625F, 860.478515625F, 368.2197265625F, 859.89453125F, 367.927734375F, 859.162109375F, 367.1875F, 859.162109375F);
            graphicsPath.AddBezier(367.1875F, 859.162109375F, 366.455078125F, 859.162109375F, 366.134765625F, 859.8447265625F, 366.134765625F, 860.4990234375F);
            graphicsPath.AddBezier(366.134765625F, 860.4990234375F, 366.134765625F, 861.25390625F, 366.5615234375F, 861.822265625F, 367.1669921875F, 861.822265625F);
            graphicsPath.AddLine(367.1669921875F, 861.822265625F, 367.173828125F, 861.822265625F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddLine(369.6494140625F, 857.1630859375F, 370.275390625F, 857.1630859375F);
            graphicsPath.AddLine(370.275390625F, 859.318359375F, 370.2890625F, 859.318359375F);
            graphicsPath.AddBezier(370.2890625F, 859.318359375F, 370.509765625F, 858.9345703125F, 370.908203125F, 858.6923828125F, 371.462890625F, 858.6923828125F);
            graphicsPath.AddBezier(371.462890625F, 858.6923828125F, 372.31640625F, 858.6923828125F, 372.9140625F, 859.404296875F, 372.9140625F, 860.4423828125F);
            graphicsPath.AddBezier(372.9140625F, 860.4423828125F, 372.9140625F, 861.6806640625F, 372.1318359375F, 862.2919921875F, 371.36328125F, 862.2919921875F);
            graphicsPath.AddBezier(371.36328125F, 862.2919921875F, 370.865234375F, 862.2919921875F, 370.474609375F, 862.099609375F, 370.2109375F, 861.64453125F);
            graphicsPath.AddLine(370.197265625F, 861.64453125F, 370.1611328125F, 862.2138671875F);
            graphicsPath.AddBezier(369.62109375F, 862.2138671875F, 369.6416015625F, 861.9794921875F, 369.6494140625F, 861.630859375F, 369.6494140625F, 861.32421875F);
            graphicsPath.AddLine(369.6494140625F, 861.32421875F, 369.6494140625F, 857.1630859375F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(370.275390625F, 860.833984375F, 370.275390625F, 860.912109375F, 370.2822265625F, 860.990234375F, 370.296875F, 861.0615234375F);
            graphicsPath.AddBezier(370.296875F, 861.0615234375F, 370.4169921875F, 861.4951171875F, 370.787109375F, 861.7939453125F, 371.2353515625F, 861.7939453125F);
            graphicsPath.AddBezier(371.2353515625F, 861.7939453125F, 371.8974609375F, 861.7939453125F, 372.28125F, 861.2607421875F, 372.28125F, 860.470703125F);
            graphicsPath.AddBezier(372.28125F, 860.470703125F, 372.28125F, 859.7734375F, 371.92578125F, 859.18359375F, 371.2568359375F, 859.18359375F);
            graphicsPath.AddBezier(371.2568359375F, 859.18359375F, 370.830078125F, 859.18359375F, 370.431640625F, 859.482421875F, 370.310546875F, 859.9521484375F);
            graphicsPath.AddBezier(370.310546875F, 859.9521484375F, 370.2890625F, 860.0302734375F, 370.275390625F, 860.115234375F, 370.275390625F, 860.21484375F);
            graphicsPath.AddLine(370.275390625F, 860.21484375F, 370.275390625F, 860.833984375F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(374.052734375F, 860.6064453125F, 374.0673828125F, 861.4453125F, 374.6005859375F, 861.7939453125F, 375.2265625F, 861.7939453125F);
            graphicsPath.AddBezier(375.2265625F, 861.7939453125F, 375.6748046875F, 861.7939453125F, 375.9521484375F, 861.7158203125F, 376.1796875F, 861.6162109375F);
            graphicsPath.AddBezier(376.2939453125F, 862.064453125F, 376.0732421875F, 862.1640625F, 375.6884765625F, 862.28515625F, 375.140625F, 862.28515625F);
            graphicsPath.AddBezier(375.140625F, 862.28515625F, 374.087890625F, 862.28515625F, 373.4482421875F, 861.5810546875F, 373.4482421875F, 860.548828125F);
            graphicsPath.AddBezier(373.4482421875F, 860.548828125F, 373.4482421875F, 859.5107421875F, 374.0673828125F, 858.6923828125F, 375.0703125F, 858.6923828125F);
            graphicsPath.AddBezier(375.0703125F, 858.6923828125F, 376.1943359375F, 858.6923828125F, 376.4853515625F, 859.681640625F, 376.4853515625F, 860.314453125F);
            graphicsPath.AddBezier(376.4853515625F, 860.314453125F, 376.4853515625F, 860.4423828125F, 376.478515625F, 860.53515625F, 376.4638671875F, 860.6064453125F);
            graphicsPath.AddLine(376.4638671875F, 860.6064453125F, 374.052734375F, 860.6064453125F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(375.880859375F, 860.158203125F, 375.8876953125F, 859.759765625F, 375.716796875F, 859.140625F, 375.0205078125F, 859.140625F);
            graphicsPath.AddBezier(375.0205078125F, 859.140625F, 374.3798828125F, 859.140625F, 374.109375F, 859.7236328125F, 374.0595703125F, 860.158203125F);
            graphicsPath.AddLine(374.0595703125F, 860.158203125F, 375.880859375F, 860.158203125F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(378.7109375F, 861.4599609375F, 378.9892578125F, 861.630859375F, 379.38671875F, 861.765625F, 379.814453125F, 861.765625F);
            graphicsPath.AddBezier(379.814453125F, 861.765625F, 380.447265625F, 861.765625F, 380.8173828125F, 861.4384765625F, 380.8173828125F, 860.955078125F);
            graphicsPath.AddBezier(380.8173828125F, 860.955078125F, 380.8173828125F, 860.5068359375F, 380.560546875F, 860.2431640625F, 379.9140625F, 860.001953125F);
            graphicsPath.AddBezier(379.9140625F, 860.001953125F, 379.130859375F, 859.7314453125F, 378.6474609375F, 859.318359375F, 378.6474609375F, 858.650390625F);
            graphicsPath.AddBezier(378.6474609375F, 858.650390625F, 378.6474609375F, 857.9033203125F, 379.2666015625F, 857.3486328125F, 380.1982421875F, 857.3486328125F);
            graphicsPath.AddBezier(380.1982421875F, 857.3486328125F, 380.681640625F, 857.3486328125F, 381.044921875F, 857.4619140625F, 381.2509765625F, 857.576171875F);
            graphicsPath.AddBezier(381.080078125F, 858.087890625F, 380.9306640625F, 857.9951171875F, 380.6103515625F, 857.8603515625F, 380.1767578125F, 857.8603515625F);
            graphicsPath.AddBezier(380.1767578125F, 857.8603515625F, 379.5224609375F, 857.8603515625F, 379.2734375F, 858.251953125F, 379.2734375F, 858.5791015625F);
            graphicsPath.AddBezier(379.2734375F, 858.5791015625F, 379.2734375F, 859.01953125F, 379.5654296875F, 859.240234375F, 380.2265625F, 859.49609375F);
            graphicsPath.AddBezier(380.2265625F, 859.49609375F, 381.037109375F, 859.81640625F, 381.443359375F, 860.201171875F, 381.443359375F, 860.9052734375F);
            graphicsPath.AddBezier(381.443359375F, 860.9052734375F, 381.443359375F, 861.6376953125F, 380.90234375F, 862.28515625F, 379.771484375F, 862.28515625F);
            graphicsPath.AddBezier(379.771484375F, 862.28515625F, 379.30859375F, 862.28515625F, 378.8037109375F, 862.142578125F, 378.5478515625F, 861.9716796875F);
            graphicsPath.AddLine(378.5478515625F, 861.9716796875F, 378.7109375F, 861.4599609375F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddLine(382.4462890625F, 858.7705078125F, 383.193359375F, 860.8056640625F);
            graphicsPath.AddBezier(383.193359375F, 860.8056640625F, 383.2783203125F, 861.033203125F, 383.3642578125F, 861.3037109375F, 383.4208984375F, 861.509765625F);
            graphicsPath.AddBezier(383.4345703125F, 861.509765625F, 383.4990234375F, 861.3037109375F, 383.5703125F, 861.0400390625F, 383.6552734375F, 860.791015625F);
            graphicsPath.AddLine(384.337890625F, 858.7705078125F, 385F, 858.7705078125F);
            graphicsPath.AddBezier(384.060546875F, 861.224609375F, 383.6123046875F, 862.40625F, 383.306640625F, 863.00390625F, 382.8798828125F, 863.380859375F);
            graphicsPath.AddBezier(382.8798828125F, 863.380859375F, 382.5673828125F, 863.6435546875F, 382.2685546875F, 863.75F, 382.111328125F, 863.779296875F);
            graphicsPath.AddBezier(381.955078125F, 863.259765625F, 382.111328125F, 863.2099609375F, 382.318359375F, 863.1103515625F, 382.5029296875F, 862.9541015625F);
            graphicsPath.AddBezier(382.5029296875F, 862.9541015625F, 382.673828125F, 862.818359375F, 382.8798828125F, 862.576171875F, 383.029296875F, 862.2568359375F);
            graphicsPath.AddBezier(383.029296875F, 862.2568359375F, 383.0576171875F, 862.1923828125F, 383.0791015625F, 862.142578125F, 383.0791015625F, 862.107421875F);
            graphicsPath.AddBezier(383.0791015625F, 862.107421875F, 383.0791015625F, 862.0712890625F, 383.0654296875F, 862.021484375F, 383.029296875F, 861.943359375F);
            graphicsPath.AddLine(381.763671875F, 858.7705078125F, 382.4462890625F, 858.7705078125F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(385.4404296875F, 861.5732421875F, 385.6328125F, 861.6875F, 385.9599609375F, 861.8154296875F, 386.2734375F, 861.8154296875F);
            graphicsPath.AddBezier(386.2734375F, 861.8154296875F, 386.7216796875F, 861.8154296875F, 386.9345703125F, 861.5947265625F, 386.9345703125F, 861.3037109375F);
            graphicsPath.AddBezier(386.9345703125F, 861.3037109375F, 386.9345703125F, 861.0048828125F, 386.7568359375F, 860.84765625F, 386.3017578125F, 860.677734375F);
            graphicsPath.AddBezier(386.3017578125F, 860.677734375F, 385.67578125F, 860.44921875F, 385.3837890625F, 860.1083984375F, 385.3837890625F, 859.703125F);
            graphicsPath.AddBezier(385.3837890625F, 859.703125F, 385.3837890625F, 859.1474609375F, 385.8388671875F, 858.6923828125F, 386.572265625F, 858.6923828125F);
            graphicsPath.AddBezier(386.572265625F, 858.6923828125F, 386.919921875F, 858.6923828125F, 387.2265625F, 858.78515625F, 387.4111328125F, 858.90625F);
            graphicsPath.AddBezier(387.26171875F, 859.3544921875F, 387.126953125F, 859.2763671875F, 386.8779296875F, 859.1552734375F, 386.5576171875F, 859.1552734375F);
            graphicsPath.AddBezier(386.5576171875F, 859.1552734375F, 386.1875F, 859.1552734375F, 385.98828125F, 859.3681640625F, 385.98828125F, 859.625F);
            graphicsPath.AddBezier(385.98828125F, 859.625F, 385.98828125F, 859.9091796875F, 386.1875F, 860.037109375F, 386.6357421875F, 860.21484375F);
            graphicsPath.AddBezier(386.6357421875F, 860.21484375F, 387.2265625F, 860.435546875F, 387.5390625F, 860.734375F, 387.5390625F, 861.24609375F);
            graphicsPath.AddBezier(387.5390625F, 861.24609375F, 387.5390625F, 861.8583984375F, 387.0625F, 862.28515625F, 386.2587890625F, 862.28515625F);
            graphicsPath.AddBezier(386.2587890625F, 862.28515625F, 385.8818359375F, 862.28515625F, 385.533203125F, 862.185546875F, 385.291015625F, 862.04296875F);
            graphicsPath.AddLine(385.291015625F, 862.04296875F, 385.4404296875F, 861.5732421875F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddLine(389.09765625F, 857.9453125F, 389.09765625F, 858.7705078125F);
            graphicsPath.AddLine(389.994140625F, 858.7705078125F, 389.994140625F, 859.2470703125F);
            graphicsPath.AddLine(389.09765625F, 859.2470703125F, 389.09765625F, 861.0966796875F);
            graphicsPath.AddBezier(389.09765625F, 861.0966796875F, 389.09765625F, 861.5234375F, 389.21875F, 861.765625F, 389.5673828125F, 861.765625F);
            graphicsPath.AddBezier(389.5673828125F, 861.765625F, 389.7373046875F, 861.765625F, 389.8369140625F, 861.751953125F, 389.9296875F, 861.72265625F);
            graphicsPath.AddBezier(389.9580078125F, 862.19921875F, 389.8369140625F, 862.2421875F, 389.6455078125F, 862.28515625F, 389.4033203125F, 862.28515625F);
            graphicsPath.AddBezier(389.4033203125F, 862.28515625F, 389.111328125F, 862.28515625F, 388.876953125F, 862.185546875F, 388.7275390625F, 862.021484375F);
            graphicsPath.AddBezier(388.7275390625F, 862.021484375F, 388.556640625F, 861.830078125F, 388.4853515625F, 861.5234375F, 388.4853515625F, 861.1181640625F);
            graphicsPath.AddLine(388.4853515625F, 859.2470703125F, 387.9521484375F, 859.2470703125F);
            graphicsPath.AddLine(387.9521484375F, 858.7705078125F, 388.4853515625F, 858.7705078125F);
            graphicsPath.AddLine(388.4853515625F, 858.1376953125F, 389.09765625F, 857.9453125F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(391.0107421875F, 860.6064453125F, 391.025390625F, 861.4453125F, 391.55859375F, 861.7939453125F, 392.1845703125F, 861.7939453125F);
            graphicsPath.AddBezier(392.1845703125F, 861.7939453125F, 392.6328125F, 861.7939453125F, 392.91015625F, 861.7158203125F, 393.1376953125F, 861.6162109375F);
            graphicsPath.AddBezier(393.251953125F, 862.064453125F, 393.03125F, 862.1640625F, 392.646484375F, 862.28515625F, 392.0986328125F, 862.28515625F);
            graphicsPath.AddBezier(392.0986328125F, 862.28515625F, 391.0458984375F, 862.28515625F, 390.40625F, 861.5810546875F, 390.40625F, 860.548828125F);
            graphicsPath.AddBezier(390.40625F, 860.548828125F, 390.40625F, 859.5107421875F, 391.025390625F, 858.6923828125F, 392.0283203125F, 858.6923828125F);
            graphicsPath.AddBezier(392.0283203125F, 858.6923828125F, 393.15234375F, 858.6923828125F, 393.443359375F, 859.681640625F, 393.443359375F, 860.314453125F);
            graphicsPath.AddBezier(393.443359375F, 860.314453125F, 393.443359375F, 860.4423828125F, 393.4365234375F, 860.53515625F, 393.421875F, 860.6064453125F);
            graphicsPath.AddLine(393.421875F, 860.6064453125F, 391.0107421875F, 860.6064453125F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(392.8388671875F, 860.158203125F, 392.845703125F, 859.759765625F, 392.6748046875F, 859.140625F, 391.978515625F, 859.140625F);
            graphicsPath.AddBezier(391.978515625F, 859.140625F, 391.337890625F, 859.140625F, 391.0673828125F, 859.7236328125F, 391.017578125F, 860.158203125F);
            graphicsPath.AddLine(391.017578125F, 860.158203125F, 392.8388671875F, 860.158203125F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(394.21875F, 859.703125F, 394.21875F, 859.33984375F, 394.2041015625F, 859.0556640625F, 394.1904296875F, 858.7705078125F);
            graphicsPath.AddLine(394.7373046875F, 858.7705078125F, 394.7666015625F, 859.326171875F);
            graphicsPath.AddBezier(394.787109375F, 859.326171875F, 394.9794921875F, 858.998046875F, 395.2998046875F, 858.6923828125F, 395.8759765625F, 858.6923828125F);
            graphicsPath.AddBezier(395.8759765625F, 858.6923828125F, 396.337890625F, 858.6923828125F, 396.6943359375F, 858.9775390625F, 396.84375F, 859.3828125F);
            graphicsPath.AddBezier(396.857421875F, 859.3828125F, 396.9638671875F, 859.18359375F, 397.1064453125F, 859.041015625F, 397.2490234375F, 858.9345703125F);
            graphicsPath.AddBezier(397.2490234375F, 858.9345703125F, 397.455078125F, 858.7783203125F, 397.67578125F, 858.6923828125F, 398.0029296875F, 858.6923828125F);
            graphicsPath.AddBezier(398.0029296875F, 858.6923828125F, 398.46484375F, 858.6923828125F, 399.140625F, 858.9912109375F, 399.140625F, 860.1865234375F);
            graphicsPath.AddLine(399.140625F, 862.2138671875F, 398.529296875F, 862.2138671875F);
            graphicsPath.AddBezier(398.529296875F, 860.2646484375F, 398.529296875F, 859.595703125F, 398.2802734375F, 859.205078125F, 397.7822265625F, 859.205078125F);
            graphicsPath.AddBezier(397.7822265625F, 859.205078125F, 397.419921875F, 859.205078125F, 397.1494140625F, 859.4677734375F, 397.03515625F, 859.7666015625F);
            graphicsPath.AddBezier(397.03515625F, 859.7666015625F, 397.0068359375F, 859.859375F, 396.9853515625F, 859.97265625F, 396.9853515625F, 860.080078125F);
            graphicsPath.AddLine(396.9853515625F, 862.2138671875F, 396.3740234375F, 862.2138671875F);
            graphicsPath.AddBezier(396.3740234375F, 860.1435546875F, 396.3740234375F, 859.595703125F, 396.1318359375F, 859.205078125F, 395.6552734375F, 859.205078125F);
            graphicsPath.AddBezier(395.6552734375F, 859.205078125F, 395.271484375F, 859.205078125F, 394.9794921875F, 859.517578125F, 394.8798828125F, 859.8310546875F);
            graphicsPath.AddBezier(394.8798828125F, 859.8310546875F, 394.8447265625F, 859.9228515625F, 394.830078125F, 860.0302734375F, 394.830078125F, 860.13671875F);
            graphicsPath.AddLine(394.830078125F, 862.2138671875F, 394.21875F, 862.2138671875F);
            graphicsPath.AddLine(394.21875F, 862.2138671875F, 394.21875F, 859.703125F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(400.0654296875F, 861.5732421875F, 400.2578125F, 861.6875F, 400.5849609375F, 861.8154296875F, 400.8984375F, 861.8154296875F);
            graphicsPath.AddBezier(400.8984375F, 861.8154296875F, 401.3466796875F, 861.8154296875F, 401.5595703125F, 861.5947265625F, 401.5595703125F, 861.3037109375F);
            graphicsPath.AddBezier(401.5595703125F, 861.3037109375F, 401.5595703125F, 861.0048828125F, 401.3818359375F, 860.84765625F, 400.9267578125F, 860.677734375F);
            graphicsPath.AddBezier(400.9267578125F, 860.677734375F, 400.30078125F, 860.44921875F, 400.0087890625F, 860.1083984375F, 400.0087890625F, 859.703125F);
            graphicsPath.AddBezier(400.0087890625F, 859.703125F, 400.0087890625F, 859.1474609375F, 400.4638671875F, 858.6923828125F, 401.197265625F, 858.6923828125F);
            graphicsPath.AddBezier(401.197265625F, 858.6923828125F, 401.544921875F, 858.6923828125F, 401.8515625F, 858.78515625F, 402.0361328125F, 858.90625F);
            graphicsPath.AddBezier(401.88671875F, 859.3544921875F, 401.751953125F, 859.2763671875F, 401.5029296875F, 859.1552734375F, 401.1826171875F, 859.1552734375F);
            graphicsPath.AddBezier(401.1826171875F, 859.1552734375F, 400.8125F, 859.1552734375F, 400.61328125F, 859.3681640625F, 400.61328125F, 859.625F);
            graphicsPath.AddBezier(400.61328125F, 859.625F, 400.61328125F, 859.9091796875F, 400.8125F, 860.037109375F, 401.2607421875F, 860.21484375F);
            graphicsPath.AddBezier(401.2607421875F, 860.21484375F, 401.8515625F, 860.435546875F, 402.1640625F, 860.734375F, 402.1640625F, 861.24609375F);
            graphicsPath.AddBezier(402.1640625F, 861.24609375F, 402.1640625F, 861.8583984375F, 401.6875F, 862.28515625F, 400.8837890625F, 862.28515625F);
            graphicsPath.AddBezier(400.8837890625F, 862.28515625F, 400.5068359375F, 862.28515625F, 400.158203125F, 862.185546875F, 399.916015625F, 862.04296875F);
            graphicsPath.AddLine(399.916015625F, 862.04296875F, 400.0654296875F, 861.5732421875F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddLine(405.1162109375F, 857.4189453125F, 405.1162109375F, 862.2138671875F);
            graphicsPath.AddLine(404.490234375F, 862.2138671875F, 404.490234375F, 857.4189453125F);
            graphicsPath.AddLine(404.490234375F, 857.4189453125F, 405.1162109375F, 857.4189453125F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(406.248046875F, 859.703125F, 406.248046875F, 859.33984375F, 406.240234375F, 859.0556640625F, 406.2197265625F, 858.7705078125F);
            graphicsPath.AddLine(406.7744140625F, 858.7705078125F, 406.8095703125F, 859.3330078125F);
            graphicsPath.AddBezier(406.82421875F, 859.3330078125F, 406.9951171875F, 859.0126953125F, 407.3935546875F, 858.6923828125F, 407.9619140625F, 858.6923828125F);
            graphicsPath.AddBezier(407.9619140625F, 858.6923828125F, 408.4384765625F, 858.6923828125F, 409.1787109375F, 858.9775390625F, 409.1787109375F, 860.158203125F);
            graphicsPath.AddLine(409.1787109375F, 862.2138671875F, 408.552734375F, 862.2138671875F);
            graphicsPath.AddBezier(408.552734375F, 860.2294921875F, 408.552734375F, 859.673828125F, 408.3466796875F, 859.205078125F, 407.755859375F, 859.205078125F);
            graphicsPath.AddBezier(407.755859375F, 859.205078125F, 407.3505859375F, 859.205078125F, 407.0302734375F, 859.49609375F, 406.916015625F, 859.8447265625F);
            graphicsPath.AddBezier(406.916015625F, 859.8447265625F, 406.8876953125F, 859.9228515625F, 406.8740234375F, 860.037109375F, 406.8740234375F, 860.13671875F);
            graphicsPath.AddLine(406.8740234375F, 862.2138671875F, 406.248046875F, 862.2138671875F);
            graphicsPath.AddLine(406.248046875F, 862.2138671875F, 406.248046875F, 859.703125F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(412.650390625F, 862.0859375F, 412.486328125F, 862.1640625F, 412.1240234375F, 862.28515625F, 411.6611328125F, 862.28515625F);
            graphicsPath.AddBezier(411.6611328125F, 862.28515625F, 410.623046875F, 862.28515625F, 409.947265625F, 861.5810546875F, 409.947265625F, 860.5283203125F);
            graphicsPath.AddBezier(409.947265625F, 860.5283203125F, 409.947265625F, 859.4677734375F, 410.6728515625F, 858.6923828125F, 411.796875F, 858.6923828125F);
            graphicsPath.AddBezier(411.796875F, 858.6923828125F, 412.1669921875F, 858.6923828125F, 412.494140625F, 858.78515625F, 412.6640625F, 858.8779296875F);
            graphicsPath.AddBezier(412.5224609375F, 859.3544921875F, 412.373046875F, 859.2763671875F, 412.1376953125F, 859.1904296875F, 411.796875F, 859.1904296875F);
            graphicsPath.AddBezier(411.796875F, 859.1904296875F, 411.0068359375F, 859.1904296875F, 410.580078125F, 859.78125F, 410.580078125F, 860.4921875F);
            graphicsPath.AddBezier(410.580078125F, 860.4921875F, 410.580078125F, 861.2890625F, 411.0927734375F, 861.7802734375F, 411.775390625F, 861.7802734375F);
            graphicsPath.AddBezier(411.775390625F, 861.7802734375F, 412.130859375F, 861.7802734375F, 412.365234375F, 861.6943359375F, 412.5439453125F, 861.6162109375F);
            graphicsPath.AddLine(412.5439453125F, 861.6162109375F, 412.650390625F, 862.0859375F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(414.7412109375F, 862.2919921875F, 413.81640625F, 862.2919921875F, 413.0908203125F, 861.609375F, 413.0908203125F, 860.5205078125F);
            graphicsPath.AddBezier(413.0908203125F, 860.5205078125F, 413.0908203125F, 859.3681640625F, 413.8515625F, 858.6923828125F, 414.7978515625F, 858.6923828125F);
            graphicsPath.AddBezier(414.7978515625F, 858.6923828125F, 415.787109375F, 858.6923828125F, 416.455078125F, 859.4111328125F, 416.455078125F, 860.45703125F);
            graphicsPath.AddBezier(416.455078125F, 860.45703125F, 416.455078125F, 861.7373046875F, 415.56640625F, 862.2919921875F, 414.748046875F, 862.2919921875F);
            graphicsPath.AddLine(414.748046875F, 862.2919921875F, 414.7412109375F, 862.2919921875F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(414.76953125F, 861.822265625F, 415.3671875F, 861.822265625F, 415.8154296875F, 861.2607421875F, 415.8154296875F, 860.478515625F);
            graphicsPath.AddBezier(415.8154296875F, 860.478515625F, 415.8154296875F, 859.89453125F, 415.5234375F, 859.162109375F, 414.783203125F, 859.162109375F);
            graphicsPath.AddBezier(414.783203125F, 859.162109375F, 414.05078125F, 859.162109375F, 413.73046875F, 859.8447265625F, 413.73046875F, 860.4990234375F);
            graphicsPath.AddBezier(413.73046875F, 860.4990234375F, 413.73046875F, 861.25390625F, 414.1572265625F, 861.822265625F, 414.7626953125F, 861.822265625F);
            graphicsPath.AddLine(414.7626953125F, 861.822265625F, 414.76953125F, 861.822265625F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(417.2451171875F, 859.8447265625F, 417.2451171875F, 859.439453125F, 417.2373046875F, 859.0908203125F, 417.216796875F, 858.7705078125F);
            graphicsPath.AddLine(417.7646484375F, 858.7705078125F, 417.79296875F, 859.4462890625F);
            graphicsPath.AddBezier(417.8134765625F, 859.4462890625F, 417.970703125F, 858.984375F, 418.3544921875F, 858.6923828125F, 418.7744140625F, 858.6923828125F);
            graphicsPath.AddBezier(418.7744140625F, 858.6923828125F, 418.837890625F, 858.6923828125F, 418.8876953125F, 858.7001953125F, 418.9453125F, 858.70703125F);
            graphicsPath.AddBezier(418.9453125F, 859.296875F, 418.880859375F, 859.2900390625F, 418.8173828125F, 859.283203125F, 418.7314453125F, 859.283203125F);
            graphicsPath.AddBezier(418.7314453125F, 859.283203125F, 418.291015625F, 859.283203125F, 417.9775390625F, 859.6171875F, 417.892578125F, 860.080078125F);
            graphicsPath.AddBezier(417.892578125F, 860.080078125F, 417.8779296875F, 860.171875F, 417.87109375F, 860.271484375F, 417.87109375F, 860.37109375F);
            graphicsPath.AddLine(417.87109375F, 862.2138671875F, 417.2451171875F, 862.2138671875F);
            graphicsPath.AddLine(417.2451171875F, 862.2138671875F, 417.2451171875F, 859.8447265625F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();

            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(419.599609375F, 859.89453125F, 419.599609375F, 859.4541015625F, 419.591796875F, 859.09765625F, 419.5712890625F, 858.7705078125F);
            graphicsPath.AddLine(420.1328125F, 858.7705078125F, 420.16796875F, 859.361328125F);
            graphicsPath.AddBezier(420.1826171875F, 859.361328125F, 420.431640625F, 858.9345703125F, 420.8447265625F, 858.6923828125F, 421.3994140625F, 858.6923828125F);
            graphicsPath.AddBezier(421.3994140625F, 858.6923828125F, 422.23828125F, 858.6923828125F, 422.8642578125F, 859.396484375F, 422.8642578125F, 860.4423828125F);
            graphicsPath.AddBezier(422.8642578125F, 860.4423828125F, 422.8642578125F, 861.6806640625F, 422.103515625F, 862.2919921875F, 421.2998046875F, 862.2919921875F);
            graphicsPath.AddBezier(421.2998046875F, 862.2919921875F, 420.8369140625F, 862.2919921875F, 420.4462890625F, 862.0927734375F, 420.2392578125F, 861.751953125F);
            graphicsPath.AddLine(420.2255859375F, 861.751953125F, 420.2255859375F, 863.6220703125F);
            graphicsPath.AddLine(419.599609375F, 863.6220703125F, 419.599609375F, 859.89453125F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(420.2255859375F, 860.8125F, 420.2255859375F, 860.8974609375F, 420.232421875F, 860.990234375F, 420.25390625F, 861.068359375F);
            graphicsPath.AddBezier(420.25390625F, 861.068359375F, 420.3603515625F, 861.5029296875F, 420.7451171875F, 861.80078125F, 421.185546875F, 861.80078125F);
            graphicsPath.AddBezier(421.185546875F, 861.80078125F, 421.84765625F, 861.80078125F, 422.2314453125F, 861.2607421875F, 422.2314453125F, 860.470703125F);
            graphicsPath.AddBezier(422.2314453125F, 860.470703125F, 422.2314453125F, 859.78125F, 421.8759765625F, 859.1904296875F, 421.2138671875F, 859.1904296875F);
            graphicsPath.AddBezier(421.2138671875F, 859.1904296875F, 420.787109375F, 859.1904296875F, 420.3818359375F, 859.4892578125F, 420.2607421875F, 859.9658203125F);
            graphicsPath.AddBezier(420.2607421875F, 859.9658203125F, 420.2470703125F, 860.0439453125F, 420.2255859375F, 860.13671875F, 420.2255859375F, 860.21484375F);
            graphicsPath.AddLine(420.2255859375F, 860.21484375F, 420.2255859375F, 860.8125F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(425.048828125F, 862.2919921875F, 424.1240234375F, 862.2919921875F, 423.3984375F, 861.609375F, 423.3984375F, 860.5205078125F);
            graphicsPath.AddBezier(423.3984375F, 860.5205078125F, 423.3984375F, 859.3681640625F, 424.1591796875F, 858.6923828125F, 425.10546875F, 858.6923828125F);
            graphicsPath.AddBezier(425.10546875F, 858.6923828125F, 426.0947265625F, 858.6923828125F, 426.7626953125F, 859.4111328125F, 426.7626953125F, 860.45703125F);
            graphicsPath.AddBezier(426.7626953125F, 860.45703125F, 426.7626953125F, 861.7373046875F, 425.8740234375F, 862.2919921875F, 425.0556640625F, 862.2919921875F);
            graphicsPath.AddLine(425.0556640625F, 862.2919921875F, 425.048828125F, 862.2919921875F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(425.0771484375F, 861.822265625F, 425.6748046875F, 861.822265625F, 426.123046875F, 861.2607421875F, 426.123046875F, 860.478515625F);
            graphicsPath.AddBezier(426.123046875F, 860.478515625F, 426.123046875F, 859.89453125F, 425.8310546875F, 859.162109375F, 425.0908203125F, 859.162109375F);
            graphicsPath.AddBezier(425.0908203125F, 859.162109375F, 424.3583984375F, 859.162109375F, 424.0380859375F, 859.8447265625F, 424.0380859375F, 860.4990234375F);
            graphicsPath.AddBezier(424.0380859375F, 860.4990234375F, 424.0380859375F, 861.25390625F, 424.46484375F, 861.822265625F, 425.0703125F, 861.822265625F);
            graphicsPath.AddLine(425.0703125F, 861.822265625F, 425.0771484375F, 861.822265625F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(427.552734375F, 859.8447265625F, 427.552734375F, 859.439453125F, 427.544921875F, 859.0908203125F, 427.5244140625F, 858.7705078125F);
            graphicsPath.AddLine(428.0712890625F, 858.7705078125F, 428.1005859375F, 859.4462890625F);
            graphicsPath.AddBezier(428.12109375F, 859.4462890625F, 428.2783203125F, 858.984375F, 428.662109375F, 858.6923828125F, 429.08203125F, 858.6923828125F);
            graphicsPath.AddBezier(429.08203125F, 858.6923828125F, 429.1455078125F, 858.6923828125F, 429.1953125F, 858.7001953125F, 429.2529296875F, 858.70703125F);
            graphicsPath.AddBezier(429.2529296875F, 859.296875F, 429.1884765625F, 859.2900390625F, 429.125F, 859.283203125F, 429.0390625F, 859.283203125F);
            graphicsPath.AddBezier(429.0390625F, 859.283203125F, 428.5986328125F, 859.283203125F, 428.28515625F, 859.6171875F, 428.2001953125F, 860.080078125F);
            graphicsPath.AddBezier(428.2001953125F, 860.080078125F, 428.185546875F, 860.171875F, 428.1787109375F, 860.271484375F, 428.1787109375F, 860.37109375F);
            graphicsPath.AddLine(428.1787109375F, 862.2138671875F, 427.552734375F, 862.2138671875F);
            graphicsPath.AddLine(427.552734375F, 862.2138671875F, 427.552734375F, 859.8447265625F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(432.26953125F, 861.388671875F, 432.26953125F, 861.6875F, 432.283203125F, 861.9794921875F, 432.3193359375F, 862.2138671875F);
            graphicsPath.AddLine(431.7568359375F, 862.2138671875F, 431.7001953125F, 861.7802734375F);
            graphicsPath.AddBezier(431.6787109375F, 861.7802734375F, 431.494140625F, 862.0498046875F, 431.1171875F, 862.2919921875F, 430.6259765625F, 862.2919921875F);
            graphicsPath.AddBezier(430.6259765625F, 862.2919921875F, 429.9287109375F, 862.2919921875F, 429.5732421875F, 861.80078125F, 429.5732421875F, 861.3037109375F);
            graphicsPath.AddBezier(429.5732421875F, 861.3037109375F, 429.5732421875F, 860.470703125F, 430.3134765625F, 860.015625F, 431.6435546875F, 860.0224609375F);
            graphicsPath.AddBezier(431.6435546875F, 859.9521484375F, 431.6435546875F, 859.6669921875F, 431.5654296875F, 859.1474609375F, 430.8603515625F, 859.1552734375F);
            graphicsPath.AddBezier(430.8603515625F, 859.1552734375F, 430.533203125F, 859.1552734375F, 430.19921875F, 859.2470703125F, 429.95703125F, 859.4111328125F);
            graphicsPath.AddBezier(429.8154296875F, 858.9912109375F, 430.099609375F, 858.8134765625F, 430.51953125F, 858.6923828125F, 430.953125F, 858.6923828125F);
            graphicsPath.AddBezier(430.953125F, 858.6923828125F, 432.0126953125F, 858.6923828125F, 432.26953125F, 859.4111328125F, 432.26953125F, 860.1015625F);
            graphicsPath.AddLine(432.26953125F, 860.1015625F, 432.26953125F, 861.388671875F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(431.6572265625F, 860.45703125F, 430.974609375F, 860.4423828125F, 430.19921875F, 860.5634765625F, 430.19921875F, 861.232421875F);
            graphicsPath.AddBezier(430.19921875F, 861.232421875F, 430.19921875F, 861.64453125F, 430.4697265625F, 861.830078125F, 430.7822265625F, 861.830078125F);
            graphicsPath.AddBezier(430.7822265625F, 861.830078125F, 431.2373046875F, 861.830078125F, 431.529296875F, 861.544921875F, 431.62890625F, 861.25390625F);
            graphicsPath.AddBezier(431.62890625F, 861.25390625F, 431.650390625F, 861.189453125F, 431.6572265625F, 861.1181640625F, 431.6572265625F, 861.0546875F);
            graphicsPath.AddLine(431.6572265625F, 861.0546875F, 431.6572265625F, 860.45703125F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddLine(433.998046875F, 857.9453125F, 433.998046875F, 858.7705078125F);
            graphicsPath.AddLine(434.89453125F, 858.7705078125F, 434.89453125F, 859.2470703125F);
            graphicsPath.AddLine(433.998046875F, 859.2470703125F, 433.998046875F, 861.0966796875F);
            graphicsPath.AddBezier(433.998046875F, 861.0966796875F, 433.998046875F, 861.5234375F, 434.119140625F, 861.765625F, 434.4677734375F, 861.765625F);
            graphicsPath.AddBezier(434.4677734375F, 861.765625F, 434.6376953125F, 861.765625F, 434.7373046875F, 861.751953125F, 434.830078125F, 861.72265625F);
            graphicsPath.AddBezier(434.8583984375F, 862.19921875F, 434.7373046875F, 862.2421875F, 434.5458984375F, 862.28515625F, 434.3037109375F, 862.28515625F);
            graphicsPath.AddBezier(434.3037109375F, 862.28515625F, 434.01171875F, 862.28515625F, 433.77734375F, 862.185546875F, 433.6279296875F, 862.021484375F);
            graphicsPath.AddBezier(433.6279296875F, 862.021484375F, 433.45703125F, 861.830078125F, 433.3857421875F, 861.5234375F, 433.3857421875F, 861.1181640625F);
            graphicsPath.AddLine(433.3857421875F, 859.2470703125F, 432.8525390625F, 859.2470703125F);
            graphicsPath.AddLine(432.8525390625F, 858.7705078125F, 433.3857421875F, 858.7705078125F);
            graphicsPath.AddLine(433.3857421875F, 858.1376953125F, 433.998046875F, 857.9453125F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(435.9111328125F, 860.6064453125F, 435.92578125F, 861.4453125F, 436.458984375F, 861.7939453125F, 437.0849609375F, 861.7939453125F);
            graphicsPath.AddBezier(437.0849609375F, 861.7939453125F, 437.533203125F, 861.7939453125F, 437.810546875F, 861.7158203125F, 438.0380859375F, 861.6162109375F);
            graphicsPath.AddBezier(438.15234375F, 862.064453125F, 437.931640625F, 862.1640625F, 437.546875F, 862.28515625F, 436.9990234375F, 862.28515625F);
            graphicsPath.AddBezier(436.9990234375F, 862.28515625F, 435.9462890625F, 862.28515625F, 435.306640625F, 861.5810546875F, 435.306640625F, 860.548828125F);
            graphicsPath.AddBezier(435.306640625F, 860.548828125F, 435.306640625F, 859.5107421875F, 435.92578125F, 858.6923828125F, 436.9287109375F, 858.6923828125F);
            graphicsPath.AddBezier(436.9287109375F, 858.6923828125F, 438.052734375F, 858.6923828125F, 438.34375F, 859.681640625F, 438.34375F, 860.314453125F);
            graphicsPath.AddBezier(438.34375F, 860.314453125F, 438.34375F, 860.4423828125F, 438.3369140625F, 860.53515625F, 438.322265625F, 860.6064453125F);
            graphicsPath.AddLine(438.322265625F, 860.6064453125F, 435.9111328125F, 860.6064453125F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(437.7392578125F, 860.158203125F, 437.74609375F, 859.759765625F, 437.5751953125F, 859.140625F, 436.87890625F, 859.140625F);
            graphicsPath.AddBezier(436.87890625F, 859.140625F, 436.23828125F, 859.140625F, 435.9677734375F, 859.7236328125F, 435.91796875F, 860.158203125F);
            graphicsPath.AddLine(435.91796875F, 860.158203125F, 437.7392578125F, 860.158203125F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddLine(442.0927734375F, 857.1630859375F, 442.0927734375F, 861.32421875F);
            graphicsPath.AddBezier(442.0927734375F, 861.32421875F, 442.0927734375F, 861.630859375F, 442.099609375F, 861.9794921875F, 442.12109375F, 862.2138671875F);
            graphicsPath.AddLine(441.55859375F, 862.2138671875F, 441.5302734375F, 861.6162109375F);
            graphicsPath.AddBezier(441.5166015625F, 861.6162109375F, 441.32421875F, 862F, 440.9111328125F, 862.2919921875F, 440.349609375F, 862.2919921875F);
            graphicsPath.AddBezier(440.349609375F, 862.2919921875F, 439.517578125F, 862.2919921875F, 438.8701171875F, 861.587890625F, 438.8701171875F, 860.5419921875F);
            graphicsPath.AddBezier(438.8701171875F, 860.5419921875F, 438.86328125F, 859.3896484375F, 439.5810546875F, 858.6923828125F, 440.4130859375F, 858.6923828125F);
            graphicsPath.AddBezier(440.4130859375F, 858.6923828125F, 440.947265625F, 858.6923828125F, 441.302734375F, 858.94140625F, 441.4521484375F, 859.2119140625F);
            graphicsPath.AddLine(441.466796875F, 859.2119140625F, 441.466796875F, 857.1630859375F);
            graphicsPath.AddLine(441.466796875F, 857.1630859375F, 442.0927734375F, 857.1630859375F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(441.466796875F, 860.171875F, 441.466796875F, 860.0869140625F, 441.458984375F, 859.9873046875F, 441.4375F, 859.90234375F);
            graphicsPath.AddBezier(441.4375F, 859.90234375F, 441.345703125F, 859.5107421875F, 441.00390625F, 859.18359375F, 440.5341796875F, 859.18359375F);
            graphicsPath.AddBezier(440.5341796875F, 859.18359375F, 439.88671875F, 859.18359375F, 439.5029296875F, 859.7529296875F, 439.5029296875F, 860.5068359375F);
            graphicsPath.AddBezier(439.5029296875F, 860.5068359375F, 439.5029296875F, 861.2109375F, 439.8515625F, 861.787109375F, 440.5205078125F, 861.787109375F);
            graphicsPath.AddBezier(440.5205078125F, 861.787109375F, 440.9404296875F, 861.787109375F, 441.32421875F, 861.5029296875F, 441.4375F, 861.033203125F);
            graphicsPath.AddBezier(441.4375F, 861.033203125F, 441.458984375F, 860.955078125F, 441.466796875F, 860.869140625F, 441.466796875F, 860.76953125F);
            graphicsPath.AddLine(441.466796875F, 860.76953125F, 441.466796875F, 860.171875F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(443.3232421875F, 862.2919921875F, 443.08203125F, 862.2919921875F, 442.9111328125F, 862.099609375F, 442.9111328125F, 861.84375F);
            graphicsPath.AddBezier(442.9111328125F, 861.84375F, 442.9111328125F, 861.587890625F, 443.0888671875F, 861.3955078125F, 443.337890625F, 861.3955078125F);
            graphicsPath.AddBezier(443.337890625F, 861.3955078125F, 443.5869140625F, 861.3955078125F, 443.7578125F, 861.5810546875F, 443.7578125F, 861.84375F);
            graphicsPath.AddBezier(443.7578125F, 861.84375F, 443.7578125F, 862.099609375F, 443.5869140625F, 862.2919921875F, 443.3310546875F, 862.2919921875F);
            graphicsPath.AddLine(443.3310546875F, 862.2919921875F, 443.3232421875F, 862.2919921875F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddLine(446.837890625F, 860.7060546875F, 446.33984375F, 862.2138671875F);
            graphicsPath.AddLine(445.69921875F, 862.2138671875F, 447.328125F, 857.4189453125F);
            graphicsPath.AddLine(448.0751953125F, 857.4189453125F, 449.7109375F, 862.2138671875F);
            graphicsPath.AddLine(449.0498046875F, 862.2138671875F, 448.5380859375F, 860.7060546875F);
            graphicsPath.AddLine(448.5380859375F, 860.7060546875F, 446.837890625F, 860.7060546875F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddLine(448.4091796875F, 860.2216796875F, 447.9326171875F, 858.841796875F);
            graphicsPath.AddBezier(447.9326171875F, 858.841796875F, 447.8330078125F, 858.529296875F, 447.7626953125F, 858.244140625F, 447.69140625F, 857.966796875F);
            graphicsPath.AddBezier(447.669921875F, 857.966796875F, 447.60546875F, 858.244140625F, 447.52734375F, 858.54296875F, 447.4345703125F, 858.8349609375F);
            graphicsPath.AddLine(446.9658203125F, 860.2216796875F, 448.4091796875F, 860.2216796875F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddLine(450.39453125F, 857.1630859375F, 451.0205078125F, 857.1630859375F);
            graphicsPath.AddLine(451.0205078125F, 862.2138671875F, 450.39453125F, 862.2138671875F);
            graphicsPath.AddLine(450.39453125F, 862.2138671875F, 450.39453125F, 857.1630859375F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddLine(452.0732421875F, 857.1630859375F, 452.69921875F, 857.1630859375F);
            graphicsPath.AddLine(452.69921875F, 862.2138671875F, 452.0732421875F, 862.2138671875F);
            graphicsPath.AddLine(452.0732421875F, 862.2138671875F, 452.0732421875F, 857.1630859375F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(455.2607421875F, 859.8447265625F, 455.2607421875F, 859.439453125F, 455.2529296875F, 859.0908203125F, 455.232421875F, 858.7705078125F);
            graphicsPath.AddLine(455.7802734375F, 858.7705078125F, 455.80859375F, 859.4462890625F);
            graphicsPath.AddBezier(455.8291015625F, 859.4462890625F, 455.986328125F, 858.984375F, 456.3701171875F, 858.6923828125F, 456.7900390625F, 858.6923828125F);
            graphicsPath.AddBezier(456.7900390625F, 858.6923828125F, 456.853515625F, 858.6923828125F, 456.9033203125F, 858.7001953125F, 456.9609375F, 858.70703125F);
            graphicsPath.AddBezier(456.9609375F, 859.296875F, 456.896484375F, 859.2900390625F, 456.8330078125F, 859.283203125F, 456.7470703125F, 859.283203125F);
            graphicsPath.AddBezier(456.7470703125F, 859.283203125F, 456.306640625F, 859.283203125F, 455.9931640625F, 859.6171875F, 455.908203125F, 860.080078125F);
            graphicsPath.AddBezier(455.908203125F, 860.080078125F, 455.8935546875F, 860.171875F, 455.88671875F, 860.271484375F, 455.88671875F, 860.37109375F);
            graphicsPath.AddLine(455.88671875F, 862.2138671875F, 455.2607421875F, 862.2138671875F);
            graphicsPath.AddLine(455.2607421875F, 862.2138671875F, 455.2607421875F, 859.8447265625F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(457.9130859375F, 858.1875F, 457.685546875F, 858.1875F, 457.5361328125F, 858.009765625F, 457.5361328125F, 857.8037109375F);
            graphicsPath.AddBezier(457.5361328125F, 857.8037109375F, 457.5361328125F, 857.5830078125F, 457.6923828125F, 857.412109375F, 457.9267578125F, 857.412109375F);
            graphicsPath.AddBezier(457.9267578125F, 857.412109375F, 458.154296875F, 857.412109375F, 458.3115234375F, 857.5830078125F, 458.3115234375F, 857.8037109375F);
            graphicsPath.AddBezier(458.3115234375F, 857.8037109375F, 458.3115234375F, 858.009765625F, 458.162109375F, 858.1875F, 457.919921875F, 858.1875F);
            graphicsPath.AddLine(457.919921875F, 858.1875F, 457.9130859375F, 858.1875F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddLine(457.6142578125F, 862.2138671875F, 457.6142578125F, 858.7705078125F);
            graphicsPath.AddLine(458.240234375F, 858.7705078125F, 458.240234375F, 862.2138671875F);
            graphicsPath.AddLine(458.240234375F, 862.2138671875F, 457.6142578125F, 862.2138671875F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(462.2236328125F, 861.708984375F, 462.2236328125F, 862.505859375F, 462.060546875F, 862.982421875F, 461.7333984375F, 863.2880859375F);
            graphicsPath.AddBezier(461.7333984375F, 863.2880859375F, 461.3916015625F, 863.59375F, 460.908203125F, 863.7001953125F, 460.474609375F, 863.7001953125F);
            graphicsPath.AddBezier(460.474609375F, 863.7001953125F, 460.0615234375F, 863.7001953125F, 459.6064453125F, 863.6005859375F, 459.3291015625F, 863.416015625F);
            graphicsPath.AddBezier(459.4853515625F, 862.9326171875F, 459.712890625F, 863.08203125F, 460.068359375F, 863.2099609375F, 460.4951171875F, 863.2099609375F);
            graphicsPath.AddBezier(460.4951171875F, 863.2099609375F, 461.1357421875F, 863.2099609375F, 461.60546875F, 862.875F, 461.60546875F, 862F);
            graphicsPath.AddLine(461.60546875F, 861.623046875F, 461.5908203125F, 861.623046875F);
            graphicsPath.AddBezier(461.5908203125F, 861.623046875F, 461.40625F, 861.943359375F, 461.029296875F, 862.19921875F, 460.4951171875F, 862.19921875F);
            graphicsPath.AddBezier(460.4951171875F, 862.19921875F, 459.6416015625F, 862.19921875F, 459.0302734375F, 861.4736328125F, 459.0302734375F, 860.513671875F);
            graphicsPath.AddBezier(459.0302734375F, 860.513671875F, 459.0302734375F, 859.3466796875F, 459.791015625F, 858.6923828125F, 460.587890625F, 858.6923828125F);
            graphicsPath.AddBezier(460.587890625F, 858.6923828125F, 461.185546875F, 858.6923828125F, 461.505859375F, 858.998046875F, 461.662109375F, 859.2900390625F);
            graphicsPath.AddLine(461.6767578125F, 859.2900390625F, 461.697265625F, 858.7705078125F);
            graphicsPath.AddBezier(462.2529296875F, 858.7705078125F, 462.2314453125F, 859.0126953125F, 462.2236328125F, 859.296875F, 462.2236328125F, 859.7099609375F);
            graphicsPath.AddLine(462.2236328125F, 859.7099609375F, 462.2236328125F, 861.708984375F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(461.59765625F, 860.1220703125F, 461.59765625F, 860.0224609375F, 461.5908203125F, 859.9306640625F, 461.5625F, 859.8447265625F);
            graphicsPath.AddBezier(461.5625F, 859.8447265625F, 461.4482421875F, 859.4755859375F, 461.150390625F, 859.1767578125F, 460.6875F, 859.1767578125F);
            graphicsPath.AddBezier(460.6875F, 859.1767578125F, 460.08984375F, 859.1767578125F, 459.6630859375F, 859.681640625F, 459.6630859375F, 860.4853515625F);
            graphicsPath.AddBezier(459.6630859375F, 860.4853515625F, 459.6630859375F, 861.154296875F, 460.01171875F, 861.72265625F, 460.6806640625F, 861.72265625F);
            graphicsPath.AddBezier(460.6806640625F, 861.72265625F, 461.0712890625F, 861.72265625F, 461.419921875F, 861.4814453125F, 461.5478515625F, 861.076171875F);
            graphicsPath.AddBezier(461.5478515625F, 861.076171875F, 461.583984375F, 860.9765625F, 461.59765625F, 860.85546875F, 461.59765625F, 860.7412109375F);
            graphicsPath.AddLine(461.59765625F, 860.7412109375F, 461.59765625F, 860.1220703125F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();

            graphicsPath.StartFigure();
            graphicsPath.AddLine(463.255859375F, 857.1630859375F, 463.8818359375F, 857.1630859375F);
            graphicsPath.AddLine(463.8818359375F, 859.3115234375F, 463.8955078125F, 859.3115234375F);
            graphicsPath.AddBezier(463.8955078125F, 859.3115234375F, 463.9951171875F, 859.1337890625F, 464.15234375F, 858.9697265625F, 464.34375F, 858.8701171875F);
            graphicsPath.AddBezier(464.34375F, 858.8701171875F, 464.529296875F, 858.7568359375F, 464.7490234375F, 858.6923828125F, 464.984375F, 858.6923828125F);
            graphicsPath.AddBezier(464.984375F, 858.6923828125F, 465.4462890625F, 858.6923828125F, 466.1865234375F, 858.9775390625F, 466.1865234375F, 860.1650390625F);
            graphicsPath.AddLine(466.1865234375F, 862.2138671875F, 465.560546875F, 862.2138671875F);
            graphicsPath.AddBezier(465.560546875F, 860.2294921875F, 465.560546875F, 859.673828125F, 465.3544921875F, 859.2119140625F, 464.763671875F, 859.2119140625F);
            graphicsPath.AddBezier(464.763671875F, 859.2119140625F, 464.3583984375F, 859.2119140625F, 464.044921875F, 859.49609375F, 463.923828125F, 859.837890625F);
            graphicsPath.AddBezier(463.923828125F, 859.837890625F, 463.888671875F, 859.9228515625F, 463.8818359375F, 860.015625F, 463.8818359375F, 860.13671875F);
            graphicsPath.AddLine(463.8818359375F, 862.2138671875F, 463.255859375F, 862.2138671875F);
            graphicsPath.AddLine(463.255859375F, 862.2138671875F, 463.255859375F, 857.1630859375F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddLine(467.9287109375F, 857.9453125F, 467.9287109375F, 858.7705078125F);
            graphicsPath.AddLine(468.8251953125F, 858.7705078125F, 468.8251953125F, 859.2470703125F);
            graphicsPath.AddLine(467.9287109375F, 859.2470703125F, 467.9287109375F, 861.0966796875F);
            graphicsPath.AddBezier(467.9287109375F, 861.0966796875F, 467.9287109375F, 861.5234375F, 468.0498046875F, 861.765625F, 468.3984375F, 861.765625F);
            graphicsPath.AddBezier(468.3984375F, 861.765625F, 468.568359375F, 861.765625F, 468.66796875F, 861.751953125F, 468.7607421875F, 861.72265625F);
            graphicsPath.AddBezier(468.7890625F, 862.19921875F, 468.66796875F, 862.2421875F, 468.4765625F, 862.28515625F, 468.234375F, 862.28515625F);
            graphicsPath.AddBezier(468.234375F, 862.28515625F, 467.9423828125F, 862.28515625F, 467.7080078125F, 862.185546875F, 467.55859375F, 862.021484375F);
            graphicsPath.AddBezier(467.55859375F, 862.021484375F, 467.3876953125F, 861.830078125F, 467.31640625F, 861.5234375F, 467.31640625F, 861.1181640625F);
            graphicsPath.AddLine(467.31640625F, 859.2470703125F, 466.783203125F, 859.2470703125F);
            graphicsPath.AddLine(466.783203125F, 858.7705078125F, 467.31640625F, 858.7705078125F);
            graphicsPath.AddLine(467.31640625F, 858.1376953125F, 467.9287109375F, 857.9453125F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(469.443359375F, 861.5732421875F, 469.6357421875F, 861.6875F, 469.962890625F, 861.8154296875F, 470.2763671875F, 861.8154296875F);
            graphicsPath.AddBezier(470.2763671875F, 861.8154296875F, 470.724609375F, 861.8154296875F, 470.9375F, 861.5947265625F, 470.9375F, 861.3037109375F);
            graphicsPath.AddBezier(470.9375F, 861.3037109375F, 470.9375F, 861.0048828125F, 470.759765625F, 860.84765625F, 470.3046875F, 860.677734375F);
            graphicsPath.AddBezier(470.3046875F, 860.677734375F, 469.6787109375F, 860.44921875F, 469.38671875F, 860.1083984375F, 469.38671875F, 859.703125F);
            graphicsPath.AddBezier(469.38671875F, 859.703125F, 469.38671875F, 859.1474609375F, 469.841796875F, 858.6923828125F, 470.5751953125F, 858.6923828125F);
            graphicsPath.AddBezier(470.5751953125F, 858.6923828125F, 470.9228515625F, 858.6923828125F, 471.2294921875F, 858.78515625F, 471.4140625F, 858.90625F);
            graphicsPath.AddBezier(471.2646484375F, 859.3544921875F, 471.1298828125F, 859.2763671875F, 470.880859375F, 859.1552734375F, 470.560546875F, 859.1552734375F);
            graphicsPath.AddBezier(470.560546875F, 859.1552734375F, 470.1904296875F, 859.1552734375F, 469.9912109375F, 859.3681640625F, 469.9912109375F, 859.625F);
            graphicsPath.AddBezier(469.9912109375F, 859.625F, 469.9912109375F, 859.9091796875F, 470.1904296875F, 860.037109375F, 470.638671875F, 860.21484375F);
            graphicsPath.AddBezier(470.638671875F, 860.21484375F, 471.2294921875F, 860.435546875F, 471.5419921875F, 860.734375F, 471.5419921875F, 861.24609375F);
            graphicsPath.AddBezier(471.5419921875F, 861.24609375F, 471.5419921875F, 861.8583984375F, 471.0654296875F, 862.28515625F, 470.26171875F, 862.28515625F);
            graphicsPath.AddBezier(470.26171875F, 862.28515625F, 469.884765625F, 862.28515625F, 469.5361328125F, 862.185546875F, 469.2939453125F, 862.04296875F);
            graphicsPath.AddLine(469.2939453125F, 862.04296875F, 469.443359375F, 861.5732421875F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(473.853515625F, 859.8447265625F, 473.853515625F, 859.439453125F, 473.845703125F, 859.0908203125F, 473.8251953125F, 858.7705078125F);
            graphicsPath.AddLine(474.3720703125F, 858.7705078125F, 474.4013671875F, 859.4462890625F);
            graphicsPath.AddBezier(474.421875F, 859.4462890625F, 474.5791015625F, 858.984375F, 474.962890625F, 858.6923828125F, 475.3828125F, 858.6923828125F);
            graphicsPath.AddBezier(475.3828125F, 858.6923828125F, 475.4462890625F, 858.6923828125F, 475.49609375F, 858.7001953125F, 475.5537109375F, 858.70703125F);
            graphicsPath.AddBezier(475.5537109375F, 859.296875F, 475.4892578125F, 859.2900390625F, 475.42578125F, 859.283203125F, 475.33984375F, 859.283203125F);
            graphicsPath.AddBezier(475.33984375F, 859.283203125F, 474.8994140625F, 859.283203125F, 474.5859375F, 859.6171875F, 474.5009765625F, 860.080078125F);
            graphicsPath.AddBezier(474.5009765625F, 860.080078125F, 474.486328125F, 860.171875F, 474.4794921875F, 860.271484375F, 474.4794921875F, 860.37109375F);
            graphicsPath.AddLine(474.4794921875F, 862.2138671875F, 473.853515625F, 862.2138671875F);
            graphicsPath.AddLine(473.853515625F, 862.2138671875F, 473.853515625F, 859.8447265625F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(476.46484375F, 860.6064453125F, 476.4794921875F, 861.4453125F, 477.0126953125F, 861.7939453125F, 477.638671875F, 861.7939453125F);
            graphicsPath.AddBezier(477.638671875F, 861.7939453125F, 478.0869140625F, 861.7939453125F, 478.3642578125F, 861.7158203125F, 478.591796875F, 861.6162109375F);
            graphicsPath.AddBezier(478.7060546875F, 862.064453125F, 478.4853515625F, 862.1640625F, 478.1005859375F, 862.28515625F, 477.552734375F, 862.28515625F);
            graphicsPath.AddBezier(477.552734375F, 862.28515625F, 476.5F, 862.28515625F, 475.8603515625F, 861.5810546875F, 475.8603515625F, 860.548828125F);
            graphicsPath.AddBezier(475.8603515625F, 860.548828125F, 475.8603515625F, 859.5107421875F, 476.4794921875F, 858.6923828125F, 477.482421875F, 858.6923828125F);
            graphicsPath.AddBezier(477.482421875F, 858.6923828125F, 478.6064453125F, 858.6923828125F, 478.8974609375F, 859.681640625F, 478.8974609375F, 860.314453125F);
            graphicsPath.AddBezier(478.8974609375F, 860.314453125F, 478.8974609375F, 860.4423828125F, 478.890625F, 860.53515625F, 478.8759765625F, 860.6064453125F);
            graphicsPath.AddLine(478.8759765625F, 860.6064453125F, 476.46484375F, 860.6064453125F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(478.29296875F, 860.158203125F, 478.2998046875F, 859.759765625F, 478.12890625F, 859.140625F, 477.4326171875F, 859.140625F);
            graphicsPath.AddBezier(477.4326171875F, 859.140625F, 476.7919921875F, 859.140625F, 476.521484375F, 859.7236328125F, 476.4716796875F, 860.158203125F);
            graphicsPath.AddLine(476.4716796875F, 860.158203125F, 478.29296875F, 860.158203125F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(479.587890625F, 861.5732421875F, 479.7802734375F, 861.6875F, 480.107421875F, 861.8154296875F, 480.4208984375F, 861.8154296875F);
            graphicsPath.AddBezier(480.4208984375F, 861.8154296875F, 480.869140625F, 861.8154296875F, 481.08203125F, 861.5947265625F, 481.08203125F, 861.3037109375F);
            graphicsPath.AddBezier(481.08203125F, 861.3037109375F, 481.08203125F, 861.0048828125F, 480.904296875F, 860.84765625F, 480.44921875F, 860.677734375F);
            graphicsPath.AddBezier(480.44921875F, 860.677734375F, 479.8232421875F, 860.44921875F, 479.53125F, 860.1083984375F, 479.53125F, 859.703125F);
            graphicsPath.AddBezier(479.53125F, 859.703125F, 479.53125F, 859.1474609375F, 479.986328125F, 858.6923828125F, 480.7197265625F, 858.6923828125F);
            graphicsPath.AddBezier(480.7197265625F, 858.6923828125F, 481.0673828125F, 858.6923828125F, 481.3740234375F, 858.78515625F, 481.55859375F, 858.90625F);
            graphicsPath.AddBezier(481.4091796875F, 859.3544921875F, 481.2744140625F, 859.2763671875F, 481.025390625F, 859.1552734375F, 480.705078125F, 859.1552734375F);
            graphicsPath.AddBezier(480.705078125F, 859.1552734375F, 480.3349609375F, 859.1552734375F, 480.1357421875F, 859.3681640625F, 480.1357421875F, 859.625F);
            graphicsPath.AddBezier(480.1357421875F, 859.625F, 480.1357421875F, 859.9091796875F, 480.3349609375F, 860.037109375F, 480.783203125F, 860.21484375F);
            graphicsPath.AddBezier(480.783203125F, 860.21484375F, 481.3740234375F, 860.435546875F, 481.6865234375F, 860.734375F, 481.6865234375F, 861.24609375F);
            graphicsPath.AddBezier(481.6865234375F, 861.24609375F, 481.6865234375F, 861.8583984375F, 481.2099609375F, 862.28515625F, 480.40625F, 862.28515625F);
            graphicsPath.AddBezier(480.40625F, 862.28515625F, 480.029296875F, 862.28515625F, 479.6806640625F, 862.185546875F, 479.4384765625F, 862.04296875F);
            graphicsPath.AddLine(479.4384765625F, 862.04296875F, 479.587890625F, 861.5732421875F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(482.845703125F, 860.6064453125F, 482.8603515625F, 861.4453125F, 483.3935546875F, 861.7939453125F, 484.01953125F, 861.7939453125F);
            graphicsPath.AddBezier(484.01953125F, 861.7939453125F, 484.4677734375F, 861.7939453125F, 484.7451171875F, 861.7158203125F, 484.97265625F, 861.6162109375F);
            graphicsPath.AddBezier(485.0869140625F, 862.064453125F, 484.8662109375F, 862.1640625F, 484.4814453125F, 862.28515625F, 483.93359375F, 862.28515625F);
            graphicsPath.AddBezier(483.93359375F, 862.28515625F, 482.880859375F, 862.28515625F, 482.2412109375F, 861.5810546875F, 482.2412109375F, 860.548828125F);
            graphicsPath.AddBezier(482.2412109375F, 860.548828125F, 482.2412109375F, 859.5107421875F, 482.8603515625F, 858.6923828125F, 483.86328125F, 858.6923828125F);
            graphicsPath.AddBezier(483.86328125F, 858.6923828125F, 484.9873046875F, 858.6923828125F, 485.2783203125F, 859.681640625F, 485.2783203125F, 860.314453125F);
            graphicsPath.AddBezier(485.2783203125F, 860.314453125F, 485.2783203125F, 860.4423828125F, 485.271484375F, 860.53515625F, 485.2568359375F, 860.6064453125F);
            graphicsPath.AddLine(485.2568359375F, 860.6064453125F, 482.845703125F, 860.6064453125F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(484.673828125F, 860.158203125F, 484.6806640625F, 859.759765625F, 484.509765625F, 859.140625F, 483.8134765625F, 859.140625F);
            graphicsPath.AddBezier(483.8134765625F, 859.140625F, 483.1728515625F, 859.140625F, 482.90234375F, 859.7236328125F, 482.8525390625F, 860.158203125F);
            graphicsPath.AddLine(482.8525390625F, 860.158203125F, 484.673828125F, 860.158203125F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(486.0546875F, 859.8447265625F, 486.0546875F, 859.439453125F, 486.046875F, 859.0908203125F, 486.0263671875F, 858.7705078125F);
            graphicsPath.AddLine(486.5732421875F, 858.7705078125F, 486.6025390625F, 859.4462890625F);
            graphicsPath.AddBezier(486.623046875F, 859.4462890625F, 486.7802734375F, 858.984375F, 487.1640625F, 858.6923828125F, 487.583984375F, 858.6923828125F);
            graphicsPath.AddBezier(487.583984375F, 858.6923828125F, 487.6474609375F, 858.6923828125F, 487.697265625F, 858.7001953125F, 487.7548828125F, 858.70703125F);
            graphicsPath.AddBezier(487.7548828125F, 859.296875F, 487.6904296875F, 859.2900390625F, 487.626953125F, 859.283203125F, 487.541015625F, 859.283203125F);
            graphicsPath.AddBezier(487.541015625F, 859.283203125F, 487.1005859375F, 859.283203125F, 486.787109375F, 859.6171875F, 486.7021484375F, 860.080078125F);
            graphicsPath.AddBezier(486.7021484375F, 860.080078125F, 486.6875F, 860.171875F, 486.6806640625F, 860.271484375F, 486.6806640625F, 860.37109375F);
            graphicsPath.AddLine(486.6806640625F, 862.2138671875F, 486.0546875F, 862.2138671875F);
            graphicsPath.AddLine(486.0546875F, 862.2138671875F, 486.0546875F, 859.8447265625F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddLine(488.798828125F, 858.7705078125F, 489.474609375F, 860.6982421875F);
            graphicsPath.AddBezier(489.474609375F, 860.6982421875F, 489.5888671875F, 861.0185546875F, 489.681640625F, 861.3037109375F, 489.7529296875F, 861.587890625F);
            graphicsPath.AddBezier(489.7734375F, 861.587890625F, 489.8515625F, 861.3037109375F, 489.951171875F, 861.0185546875F, 490.0654296875F, 860.6982421875F);
            graphicsPath.AddLine(490.734375F, 858.7705078125F, 491.388671875F, 858.7705078125F);
            graphicsPath.AddLine(490.037109375F, 862.2138671875F, 489.439453125F, 862.2138671875F);
            graphicsPath.AddLine(488.130859375F, 858.7705078125F, 488.798828125F, 858.7705078125F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(492.263671875F, 860.6064453125F, 492.2783203125F, 861.4453125F, 492.8115234375F, 861.7939453125F, 493.4375F, 861.7939453125F);
            graphicsPath.AddBezier(493.4375F, 861.7939453125F, 493.8857421875F, 861.7939453125F, 494.1630859375F, 861.7158203125F, 494.390625F, 861.6162109375F);
            graphicsPath.AddBezier(494.5048828125F, 862.064453125F, 494.2841796875F, 862.1640625F, 493.8994140625F, 862.28515625F, 493.3515625F, 862.28515625F);
            graphicsPath.AddBezier(493.3515625F, 862.28515625F, 492.298828125F, 862.28515625F, 491.6591796875F, 861.5810546875F, 491.6591796875F, 860.548828125F);
            graphicsPath.AddBezier(491.6591796875F, 860.548828125F, 491.6591796875F, 859.5107421875F, 492.2783203125F, 858.6923828125F, 493.28125F, 858.6923828125F);
            graphicsPath.AddBezier(493.28125F, 858.6923828125F, 494.4052734375F, 858.6923828125F, 494.6962890625F, 859.681640625F, 494.6962890625F, 860.314453125F);
            graphicsPath.AddBezier(494.6962890625F, 860.314453125F, 494.6962890625F, 860.4423828125F, 494.689453125F, 860.53515625F, 494.6748046875F, 860.6064453125F);
            graphicsPath.AddLine(494.6748046875F, 860.6064453125F, 492.263671875F, 860.6064453125F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(494.091796875F, 860.158203125F, 494.0986328125F, 859.759765625F, 493.927734375F, 859.140625F, 493.2314453125F, 859.140625F);
            graphicsPath.AddBezier(493.2314453125F, 859.140625F, 492.5908203125F, 859.140625F, 492.3203125F, 859.7236328125F, 492.2705078125F, 860.158203125F);
            graphicsPath.AddLine(492.2705078125F, 860.158203125F, 494.091796875F, 860.158203125F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddLine(498.4462890625F, 857.1630859375F, 498.4462890625F, 861.32421875F);
            graphicsPath.AddBezier(498.4462890625F, 861.32421875F, 498.4462890625F, 861.630859375F, 498.453125F, 861.9794921875F, 498.474609375F, 862.2138671875F);
            graphicsPath.AddLine(497.912109375F, 862.2138671875F, 497.8837890625F, 861.6162109375F);
            graphicsPath.AddBezier(497.8701171875F, 861.6162109375F, 497.677734375F, 862F, 497.2646484375F, 862.2919921875F, 496.703125F, 862.2919921875F);
            graphicsPath.AddBezier(496.703125F, 862.2919921875F, 495.87109375F, 862.2919921875F, 495.2236328125F, 861.587890625F, 495.2236328125F, 860.5419921875F);
            graphicsPath.AddBezier(495.2236328125F, 860.5419921875F, 495.216796875F, 859.3896484375F, 495.9345703125F, 858.6923828125F, 496.7666015625F, 858.6923828125F);
            graphicsPath.AddBezier(496.7666015625F, 858.6923828125F, 497.30078125F, 858.6923828125F, 497.65625F, 858.94140625F, 497.8056640625F, 859.2119140625F);
            graphicsPath.AddLine(497.8203125F, 859.2119140625F, 497.8203125F, 857.1630859375F);
            graphicsPath.AddLine(497.8203125F, 857.1630859375F, 498.4462890625F, 857.1630859375F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(497.8203125F, 860.171875F, 497.8203125F, 860.0869140625F, 497.8125F, 859.9873046875F, 497.791015625F, 859.90234375F);
            graphicsPath.AddBezier(497.791015625F, 859.90234375F, 497.69921875F, 859.5107421875F, 497.357421875F, 859.18359375F, 496.8876953125F, 859.18359375F);
            graphicsPath.AddBezier(496.8876953125F, 859.18359375F, 496.240234375F, 859.18359375F, 495.8564453125F, 859.7529296875F, 495.8564453125F, 860.5068359375F);
            graphicsPath.AddBezier(495.8564453125F, 860.5068359375F, 495.8564453125F, 861.2109375F, 496.205078125F, 861.787109375F, 496.8740234375F, 861.787109375F);
            graphicsPath.AddBezier(496.8740234375F, 861.787109375F, 497.2939453125F, 861.787109375F, 497.677734375F, 861.5029296875F, 497.791015625F, 861.033203125F);
            graphicsPath.AddBezier(497.791015625F, 861.033203125F, 497.8125F, 860.955078125F, 497.8203125F, 860.869140625F, 497.8203125F, 860.76953125F);
            graphicsPath.AddLine(497.8203125F, 860.76953125F, 497.8203125F, 860.171875F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(499.67578125F, 862.2919921875F, 499.4345703125F, 862.2919921875F, 499.263671875F, 862.099609375F, 499.263671875F, 861.84375F);
            graphicsPath.AddBezier(499.263671875F, 861.84375F, 499.263671875F, 861.587890625F, 499.44140625F, 861.3955078125F, 499.6904296875F, 861.3955078125F);
            graphicsPath.AddBezier(499.6904296875F, 861.3955078125F, 499.939453125F, 861.3955078125F, 500.1103515625F, 861.5810546875F, 500.1103515625F, 861.84375F);
            graphicsPath.AddBezier(500.1103515625F, 861.84375F, 500.1103515625F, 862.099609375F, 499.939453125F, 862.2919921875F, 499.68359375F, 862.2919921875F);
            graphicsPath.AddLine(499.68359375F, 862.2919921875F, 499.67578125F, 862.2919921875F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(46.080078125F, 842.8369140625F, 46.080078125F, 843.3271484375F, 46.1103515625F, 843.787109375F, 46.16015625F, 844.037109375F);
            graphicsPath.AddLine(44.52978515625F, 844.037109375F, 44.439453125F, 843.607421875F);
            graphicsPath.AddBezier(44.3994140625F, 843.607421875F, 44.0595703125F, 843.9970703125F, 43.5693359375F, 844.1474609375F, 43.0390625F, 844.1474609375F);
            graphicsPath.AddBezier(43.0390625F, 844.1474609375F, 42.02880859375F, 844.1474609375F, 41.40869140625F, 843.4169921875F, 41.40869140625F, 842.5966796875F);
            graphicsPath.AddBezier(41.40869140625F, 842.5966796875F, 41.40869140625F, 841.2763671875F, 42.59912109375F, 840.685546875F, 44.26953125F, 840.685546875F);
            graphicsPath.AddBezier(44.26953125F, 840.6455078125F, 44.26953125F, 840.4462890625F, 44.11962890625F, 840.2255859375F, 43.45947265625F, 840.2255859375F);
            graphicsPath.AddBezier(43.45947265625F, 840.2255859375F, 42.93896484375F, 840.2255859375F, 42.39892578125F, 840.40625F, 42.06884765625F, 840.5859375F);
            graphicsPath.AddBezier(41.7587890625F, 839.455078125F, 42.06884765625F, 839.28515625F, 42.77880859375F, 839.0048828125F, 43.79931640625F, 839.0048828125F);
            graphicsPath.AddBezier(43.79931640625F, 839.0048828125F, 45.48974609375F, 839.0048828125F, 46.080078125F, 839.9453125F, 46.080078125F, 841.17578125F);
            graphicsPath.AddLine(46.080078125F, 841.17578125F, 46.080078125F, 842.8369140625F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(44.32958984375F, 841.7861328125F, 43.58935546875F, 841.7861328125F, 43.17919921875F, 841.986328125F, 43.17919921875F, 842.4267578125F);
            graphicsPath.AddBezier(43.17919921875F, 842.4267578125F, 43.17919921875F, 842.736328125F, 43.37939453125F, 842.896484375F, 43.689453125F, 842.896484375F);
            graphicsPath.AddBezier(43.689453125F, 842.896484375F, 43.94921875F, 842.896484375F, 44.2197265625F, 842.716796875F, 44.3095703125F, 842.4462890625F);
            graphicsPath.AddBezier(44.3095703125F, 842.4462890625F, 44.32958984375F, 842.3662109375F, 44.32958984375F, 842.2763671875F, 44.32958984375F, 842.1865234375F);
            graphicsPath.AddLine(44.32958984375F, 842.1865234375F, 44.32958984375F, 841.7861328125F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(51.28173828125F, 840.7763671875F, 51.28173828125F, 839.99609375F, 51.271484375F, 839.525390625F, 51.24169921875F, 839.115234375F);
            graphicsPath.AddLine(52.7822265625F, 839.115234375F, 52.85205078125F, 840.005859375F);
            graphicsPath.AddBezier(52.89208984375F, 840.005859375F, 53.15234375F, 839.255859375F, 53.7724609375F, 839.0048828125F, 54.20263671875F, 839.0048828125F);
            graphicsPath.AddBezier(54.20263671875F, 839.0048828125F, 54.36279296875F, 839.0048828125F, 54.4326171875F, 839.0048828125F, 54.56298828125F, 839.03515625F);
            graphicsPath.AddBezier(54.56298828125F, 840.7255859375F, 54.4326171875F, 840.6962890625F, 54.29248046875F, 840.67578125F, 54.1025390625F, 840.67578125F);
            graphicsPath.AddBezier(54.1025390625F, 840.67578125F, 53.572265625F, 840.67578125F, 53.21240234375F, 840.8955078125F, 53.1123046875F, 841.2958984375F);
            graphicsPath.AddBezier(53.1123046875F, 841.2958984375F, 53.10205078125F, 841.3759765625F, 53.09228515625F, 841.486328125F, 53.09228515625F, 841.6064453125F);
            graphicsPath.AddLine(53.09228515625F, 844.037109375F, 51.28173828125F, 844.037109375F);
            graphicsPath.AddLine(51.28173828125F, 844.037109375F, 51.28173828125F, 840.7763671875F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddLine(61.59521484375F, 837.71484375F, 61.59521484375F, 839.115234375F);
            graphicsPath.AddLine(62.61572265625F, 839.115234375F, 62.61572265625F, 840.435546875F);
            graphicsPath.AddLine(61.59521484375F, 840.435546875F, 61.59521484375F, 841.8466796875F);
            graphicsPath.AddBezier(61.59521484375F, 841.8466796875F, 61.59521484375F, 842.4267578125F, 61.7255859375F, 842.6669921875F, 62.16552734375F, 842.6669921875F);
            graphicsPath.AddBezier(62.16552734375F, 842.6669921875F, 62.37548828125F, 842.6669921875F, 62.44580078125F, 842.6669921875F, 62.595703125F, 842.626953125F);
            graphicsPath.AddBezier(62.595703125F, 843.9970703125F, 62.3857421875F, 844.0771484375F, 61.9853515625F, 844.13671875F, 61.525390625F, 844.13671875F);
            graphicsPath.AddBezier(61.525390625F, 844.13671875F, 60.9951171875F, 844.13671875F, 60.55517578125F, 843.947265625F, 60.294921875F, 843.6865234375F);
            graphicsPath.AddBezier(60.294921875F, 843.6865234375F, 59.99462890625F, 843.38671875F, 59.83447265625F, 842.90625F, 59.83447265625F, 842.15625F);
            graphicsPath.AddLine(59.83447265625F, 840.435546875F, 59.224609375F, 840.435546875F);
            graphicsPath.AddLine(59.224609375F, 839.115234375F, 59.83447265625F, 839.115234375F);
            graphicsPath.AddLine(59.83447265625F, 838.1953125F, 61.59521484375F, 837.71484375F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddLine(68.9580078125F, 839.115234375F, 69.23779296875F, 840.92578125F);
            graphicsPath.AddBezier(69.23779296875F, 840.92578125F, 69.31787109375F, 841.416015625F, 69.40771484375F, 841.9765625F, 69.47802734375F, 842.556640625F);
            graphicsPath.AddBezier(69.498046875F, 842.556640625F, 69.587890625F, 841.9765625F, 69.72802734375F, 841.40625F, 69.828125F, 840.935546875F);
            graphicsPath.AddLine(70.21826171875F, 839.115234375F, 71.62890625F, 839.115234375F);
            graphicsPath.AddBezier(72.0087890625F, 840.8662109375F, 72.119140625F, 841.416015625F, 72.2490234375F, 841.9765625F, 72.3291015625F, 842.556640625F);
            graphicsPath.AddBezier(72.34912109375F, 842.556640625F, 72.4091796875F, 841.9765625F, 72.4990234375F, 841.40625F, 72.59912109375F, 840.845703125F);
            graphicsPath.AddLine(72.88916015625F, 839.115234375F, 74.64990234375F, 839.115234375F);
            graphicsPath.AddLine(73.17919921875F, 844.037109375F, 71.478515625F, 844.037109375F);
            graphicsPath.AddBezier(71.138671875F, 842.576171875F, 71.03857421875F, 842.1162109375F, 70.96826171875F, 841.7060546875F, 70.86865234375F, 841.076171875F);
            graphicsPath.AddBezier(70.8486328125F, 841.076171875F, 70.7783203125F, 841.7060546875F, 70.6982421875F, 842.13671875F, 70.59814453125F, 842.556640625F);
            graphicsPath.AddLine(70.22802734375F, 844.037109375F, 68.52783203125F, 844.037109375F);
            graphicsPath.AddLine(67.1171875F, 839.115234375F, 68.9580078125F, 839.115234375F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(81.58203125F, 844.1474609375F, 80.11181640625F, 844.1474609375F, 78.97119140625F, 843.216796875F, 78.97119140625F, 841.6162109375F);
            graphicsPath.AddBezier(78.97119140625F, 841.6162109375F, 78.97119140625F, 840.0458984375F, 80.00146484375F, 839.0048828125F, 81.68212890625F, 839.0048828125F);
            graphicsPath.AddBezier(81.68212890625F, 839.0048828125F, 83.22265625F, 839.0048828125F, 84.2431640625F, 840.0458984375F, 84.2431640625F, 841.5263671875F);
            graphicsPath.AddBezier(84.2431640625F, 841.5263671875F, 84.2431640625F, 843.31640625F, 82.962890625F, 844.1474609375F, 81.59228515625F, 844.1474609375F);
            graphicsPath.AddLine(81.59228515625F, 844.1474609375F, 81.58203125F, 844.1474609375F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(81.63232421875F, 842.876953125F, 82.12255859375F, 842.876953125F, 82.38232421875F, 842.3662109375F, 82.38232421875F, 841.576171875F);
            graphicsPath.AddBezier(82.38232421875F, 841.576171875F, 82.38232421875F, 840.8955078125F, 82.16259765625F, 840.275390625F, 81.63232421875F, 840.275390625F);
            graphicsPath.AddBezier(81.63232421875F, 840.275390625F, 81.03173828125F, 840.275390625F, 80.83203125F, 840.92578125F, 80.83203125F, 841.576171875F);
            graphicsPath.AddBezier(80.83203125F, 841.576171875F, 80.83203125F, 842.31640625F, 81.07177734375F, 842.876953125F, 81.6220703125F, 842.876953125F);
            graphicsPath.AddLine(81.6220703125F, 842.876953125F, 81.63232421875F, 842.876953125F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(89.205078125F, 840.7763671875F, 89.205078125F, 839.99609375F, 89.19482421875F, 839.525390625F, 89.1650390625F, 839.115234375F);
            graphicsPath.AddLine(90.70556640625F, 839.115234375F, 90.775390625F, 840.005859375F);
            graphicsPath.AddBezier(90.8154296875F, 840.005859375F, 91.07568359375F, 839.255859375F, 91.69580078125F, 839.0048828125F, 92.1259765625F, 839.0048828125F);
            graphicsPath.AddBezier(92.1259765625F, 839.0048828125F, 92.2861328125F, 839.0048828125F, 92.35595703125F, 839.0048828125F, 92.486328125F, 839.03515625F);
            graphicsPath.AddBezier(92.486328125F, 840.7255859375F, 92.35595703125F, 840.6962890625F, 92.2158203125F, 840.67578125F, 92.02587890625F, 840.67578125F);
            graphicsPath.AddBezier(92.02587890625F, 840.67578125F, 91.49560546875F, 840.67578125F, 91.1357421875F, 840.8955078125F, 91.03564453125F, 841.2958984375F);
            graphicsPath.AddBezier(91.03564453125F, 841.2958984375F, 91.025390625F, 841.3759765625F, 91.015625F, 841.486328125F, 91.015625F, 841.6064453125F);
            graphicsPath.AddLine(91.015625F, 844.037109375F, 89.205078125F, 844.037109375F);
            graphicsPath.AddLine(89.205078125F, 844.037109375F, 89.205078125F, 840.7763671875F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddLine(99.09814453125F, 841.1162109375F, 99.1181640625F, 841.1162109375F);
            graphicsPath.AddBezier(99.1181640625F, 841.1162109375F, 99.22802734375F, 840.8955078125F, 99.328125F, 840.6962890625F, 99.4384765625F, 840.515625F);
            graphicsPath.AddLine(100.24853515625F, 839.115234375F, 102.3994140625F, 839.115234375F);
            graphicsPath.AddLine(100.69873046875F, 841.095703125F, 102.6494140625F, 844.037109375F);
            graphicsPath.AddLine(100.4287109375F, 844.037109375F, 99.45849609375F, 842.15625F);
            graphicsPath.AddLine(99.09814453125F, 842.63671875F, 99.09814453125F, 844.037109375F);
            graphicsPath.AddLine(97.28759765625F, 844.037109375F, 97.28759765625F, 836.9248046875F);
            graphicsPath.AddLine(99.09814453125F, 836.9248046875F, 99.09814453125F, 841.1162109375F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();

            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(117.00439453125F, 843.9267578125F, 116.71435546875F, 844.0673828125F, 116.2041015625F, 844.13671875F, 115.65380859375F, 844.13671875F);
            graphicsPath.AddBezier(115.65380859375F, 844.13671875F, 114.01318359375F, 844.13671875F, 112.98291015625F, 843.1767578125F, 112.98291015625F, 841.6162109375F);
            graphicsPath.AddBezier(112.98291015625F, 841.6162109375F, 112.98291015625F, 840.2158203125F, 113.953125F, 839.015625F, 115.8740234375F, 839.015625F);
            graphicsPath.AddBezier(115.8740234375F, 839.015625F, 116.22412109375F, 839.015625F, 116.654296875F, 839.0654296875F, 117.00439453125F, 839.185546875F);
            graphicsPath.AddBezier(116.75439453125F, 840.505859375F, 116.58447265625F, 840.435546875F, 116.34423828125F, 840.3857421875F, 115.97412109375F, 840.3857421875F);
            graphicsPath.AddBezier(115.97412109375F, 840.3857421875F, 115.3037109375F, 840.3857421875F, 114.82373046875F, 840.845703125F, 114.83349609375F, 841.556640625F);
            graphicsPath.AddBezier(114.83349609375F, 841.556640625F, 114.83349609375F, 842.3564453125F, 115.3837890625F, 842.736328125F, 116.02392578125F, 842.736328125F);
            graphicsPath.AddBezier(116.02392578125F, 842.736328125F, 116.333984375F, 842.736328125F, 116.58447265625F, 842.6962890625F, 116.814453125F, 842.6064453125F);
            graphicsPath.AddLine(116.814453125F, 842.6064453125F, 117.00439453125F, 843.9267578125F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(121.84619140625F, 840.7763671875F, 121.84619140625F, 839.99609375F, 121.8359375F, 839.525390625F, 121.80615234375F, 839.115234375F);
            graphicsPath.AddLine(123.3466796875F, 839.115234375F, 123.41650390625F, 840.005859375F);
            graphicsPath.AddBezier(123.45654296875F, 840.005859375F, 123.716796875F, 839.255859375F, 124.3369140625F, 839.0048828125F, 124.76708984375F, 839.0048828125F);
            graphicsPath.AddBezier(124.76708984375F, 839.0048828125F, 124.92724609375F, 839.0048828125F, 124.9970703125F, 839.0048828125F, 125.12744140625F, 839.03515625F);
            graphicsPath.AddBezier(125.12744140625F, 840.7255859375F, 124.9970703125F, 840.6962890625F, 124.85693359375F, 840.67578125F, 124.6669921875F, 840.67578125F);
            graphicsPath.AddBezier(124.6669921875F, 840.67578125F, 124.13671875F, 840.67578125F, 123.77685546875F, 840.8955078125F, 123.6767578125F, 841.2958984375F);
            graphicsPath.AddBezier(123.6767578125F, 841.2958984375F, 123.66650390625F, 841.3759765625F, 123.65673828125F, 841.486328125F, 123.65673828125F, 841.6064453125F);
            graphicsPath.AddLine(123.65673828125F, 844.037109375F, 121.84619140625F, 844.037109375F);
            graphicsPath.AddLine(121.84619140625F, 844.037109375F, 121.84619140625F, 840.7763671875F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(131.369140625F, 842.2060546875F, 131.42919921875F, 842.5966796875F, 131.99951171875F, 842.81640625F, 132.6396484375F, 842.81640625F);
            graphicsPath.AddBezier(132.6396484375F, 842.81640625F, 133.10009765625F, 842.81640625F, 133.5400390625F, 842.7666015625F, 133.98046875F, 842.626953125F);
            graphicsPath.AddBezier(134.21044921875F, 843.8271484375F, 133.6201171875F, 844.056640625F, 132.97998046875F, 844.13671875F, 132.36962890625F, 844.13671875F);
            graphicsPath.AddBezier(132.36962890625F, 844.13671875F, 130.63916015625F, 844.13671875F, 129.65869140625F, 843.1865234375F, 129.65869140625F, 841.6259765625F);
            graphicsPath.AddBezier(129.65869140625F, 841.6259765625F, 129.65869140625F, 840.486328125F, 130.39892578125F, 839.0048828125F, 132.20947265625F, 839.0048828125F);
            graphicsPath.AddBezier(132.20947265625F, 839.0048828125F, 133.80029296875F, 839.0048828125F, 134.48046875F, 840.17578125F, 134.48046875F, 841.5263671875F);
            graphicsPath.AddBezier(134.48046875F, 841.5263671875F, 134.48046875F, 841.81640625F, 134.4404296875F, 842.0859375F, 134.41064453125F, 842.2060546875F);
            graphicsPath.AddLine(134.41064453125F, 842.2060546875F, 131.369140625F, 842.2060546875F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(132.81982421875F, 840.986328125F, 132.81982421875F, 840.7060546875F, 132.68994140625F, 840.185546875F, 132.11962890625F, 840.185546875F);
            graphicsPath.AddBezier(132.11962890625F, 840.185546875F, 131.58935546875F, 840.185546875F, 131.37939453125F, 840.67578125F, 131.34912109375F, 840.986328125F);
            graphicsPath.AddLine(131.34912109375F, 840.986328125F, 132.81982421875F, 840.986328125F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(143.7734375F, 842.8369140625F, 143.7734375F, 843.3271484375F, 143.8037109375F, 843.787109375F, 143.853515625F, 844.037109375F);
            graphicsPath.AddLine(142.22314453125F, 844.037109375F, 142.1328125F, 843.607421875F);
            graphicsPath.AddBezier(142.0927734375F, 843.607421875F, 141.7529296875F, 843.9970703125F, 141.2626953125F, 844.1474609375F, 140.732421875F, 844.1474609375F);
            graphicsPath.AddBezier(140.732421875F, 844.1474609375F, 139.72216796875F, 844.1474609375F, 139.10205078125F, 843.4169921875F, 139.10205078125F, 842.5966796875F);
            graphicsPath.AddBezier(139.10205078125F, 842.5966796875F, 139.10205078125F, 841.2763671875F, 140.29248046875F, 840.685546875F, 141.962890625F, 840.685546875F);
            graphicsPath.AddBezier(141.962890625F, 840.6455078125F, 141.962890625F, 840.4462890625F, 141.81298828125F, 840.2255859375F, 141.15283203125F, 840.2255859375F);
            graphicsPath.AddBezier(141.15283203125F, 840.2255859375F, 140.63232421875F, 840.2255859375F, 140.09228515625F, 840.40625F, 139.76220703125F, 840.5859375F);
            graphicsPath.AddBezier(139.4521484375F, 839.455078125F, 139.76220703125F, 839.28515625F, 140.47216796875F, 839.0048828125F, 141.49267578125F, 839.0048828125F);
            graphicsPath.AddBezier(141.49267578125F, 839.0048828125F, 143.18310546875F, 839.0048828125F, 143.7734375F, 839.9453125F, 143.7734375F, 841.17578125F);
            graphicsPath.AddLine(143.7734375F, 841.17578125F, 143.7734375F, 842.8369140625F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(142.02294921875F, 841.7861328125F, 141.28271484375F, 841.7861328125F, 140.87255859375F, 841.986328125F, 140.87255859375F, 842.4267578125F);
            graphicsPath.AddBezier(140.87255859375F, 842.4267578125F, 140.87255859375F, 842.736328125F, 141.07275390625F, 842.896484375F, 141.3828125F, 842.896484375F);
            graphicsPath.AddBezier(141.3828125F, 842.896484375F, 141.642578125F, 842.896484375F, 141.9130859375F, 842.716796875F, 142.0029296875F, 842.4462890625F);
            graphicsPath.AddBezier(142.0029296875F, 842.4462890625F, 142.02294921875F, 842.3662109375F, 142.02294921875F, 842.2763671875F, 142.02294921875F, 842.1865234375F);
            graphicsPath.AddLine(142.02294921875F, 842.1865234375F, 142.02294921875F, 841.7861328125F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddLine(150.8662109375F, 837.71484375F, 150.8662109375F, 839.115234375F);
            graphicsPath.AddLine(151.88671875F, 839.115234375F, 151.88671875F, 840.435546875F);
            graphicsPath.AddLine(150.8662109375F, 840.435546875F, 150.8662109375F, 841.8466796875F);
            graphicsPath.AddBezier(150.8662109375F, 841.8466796875F, 150.8662109375F, 842.4267578125F, 150.99658203125F, 842.6669921875F, 151.4365234375F, 842.6669921875F);
            graphicsPath.AddBezier(151.4365234375F, 842.6669921875F, 151.646484375F, 842.6669921875F, 151.716796875F, 842.6669921875F, 151.86669921875F, 842.626953125F);
            graphicsPath.AddBezier(151.86669921875F, 843.9970703125F, 151.65673828125F, 844.0771484375F, 151.25634765625F, 844.13671875F, 150.79638671875F, 844.13671875F);
            graphicsPath.AddBezier(150.79638671875F, 844.13671875F, 150.26611328125F, 844.13671875F, 149.826171875F, 843.947265625F, 149.56591796875F, 843.6865234375F);
            graphicsPath.AddBezier(149.56591796875F, 843.6865234375F, 149.265625F, 843.38671875F, 149.10595703125F, 842.90625F, 149.10595703125F, 842.15625F);
            graphicsPath.AddLine(149.10595703125F, 840.435546875F, 148.49560546875F, 840.435546875F);
            graphicsPath.AddLine(148.49560546875F, 839.115234375F, 149.10595703125F, 839.115234375F);
            graphicsPath.AddLine(149.10595703125F, 838.1953125F, 150.8662109375F, 837.71484375F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(158.23876953125F, 842.2060546875F, 158.298828125F, 842.5966796875F, 158.869140625F, 842.81640625F, 159.50927734375F, 842.81640625F);
            graphicsPath.AddBezier(159.50927734375F, 842.81640625F, 159.9697265625F, 842.81640625F, 160.40966796875F, 842.7666015625F, 160.85009765625F, 842.626953125F);
            graphicsPath.AddBezier(161.080078125F, 843.8271484375F, 160.48974609375F, 844.056640625F, 159.849609375F, 844.13671875F, 159.2392578125F, 844.13671875F);
            graphicsPath.AddBezier(159.2392578125F, 844.13671875F, 157.5087890625F, 844.13671875F, 156.5283203125F, 843.1865234375F, 156.5283203125F, 841.6259765625F);
            graphicsPath.AddBezier(156.5283203125F, 841.6259765625F, 156.5283203125F, 840.486328125F, 157.2685546875F, 839.0048828125F, 159.0791015625F, 839.0048828125F);
            graphicsPath.AddBezier(159.0791015625F, 839.0048828125F, 160.669921875F, 839.0048828125F, 161.35009765625F, 840.17578125F, 161.35009765625F, 841.5263671875F);
            graphicsPath.AddBezier(161.35009765625F, 841.5263671875F, 161.35009765625F, 841.81640625F, 161.31005859375F, 842.0859375F, 161.2802734375F, 842.2060546875F);
            graphicsPath.AddLine(161.2802734375F, 842.2060546875F, 158.23876953125F, 842.2060546875F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(159.689453125F, 840.986328125F, 159.689453125F, 840.7060546875F, 159.5595703125F, 840.185546875F, 158.9892578125F, 840.185546875F);
            graphicsPath.AddBezier(158.9892578125F, 840.185546875F, 158.458984375F, 840.185546875F, 158.2490234375F, 840.67578125F, 158.21875F, 840.986328125F);
            graphicsPath.AddLine(158.21875F, 840.986328125F, 159.689453125F, 840.986328125F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();

            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddLine(171.25341796875F, 836.9248046875F, 171.25341796875F, 842.486328125F);
            graphicsPath.AddBezier(171.25341796875F, 842.486328125F, 171.25341796875F, 843.0966796875F, 171.2734375F, 843.70703125F, 171.29345703125F, 844.037109375F);
            graphicsPath.AddLine(169.6826171875F, 844.037109375F, 169.61279296875F, 843.376953125F);
            graphicsPath.AddBezier(169.5927734375F, 843.376953125F, 169.2724609375F, 843.9267578125F, 168.67236328125F, 844.1474609375F, 168.1123046875F, 844.1474609375F);
            graphicsPath.AddBezier(168.1123046875F, 844.1474609375F, 166.9716796875F, 844.1474609375F, 166.021484375F, 843.1572265625F, 166.021484375F, 841.6162109375F);
            graphicsPath.AddBezier(166.021484375F, 841.6162109375F, 166.01171875F, 839.9560546875F, 167.06201171875F, 839.0048828125F, 168.22216796875F, 839.0048828125F);
            graphicsPath.AddBezier(168.22216796875F, 839.0048828125F, 168.7626953125F, 839.0048828125F, 169.20263671875F, 839.1650390625F, 169.4228515625F, 839.4853515625F);
            graphicsPath.AddLine(169.44287109375F, 839.4853515625F, 169.44287109375F, 836.9248046875F);
            graphicsPath.AddLine(169.44287109375F, 836.9248046875F, 171.25341796875F, 836.9248046875F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(169.44287109375F, 841.24609375F, 169.44287109375F, 841.17578125F, 169.44287109375F, 841.0859375F, 169.4326171875F, 841.015625F);
            graphicsPath.AddBezier(169.4326171875F, 841.015625F, 169.36279296875F, 840.666015625F, 169.1025390625F, 840.3857421875F, 168.72265625F, 840.3857421875F);
            graphicsPath.AddBezier(168.72265625F, 840.3857421875F, 168.1220703125F, 840.3857421875F, 167.85205078125F, 840.92578125F, 167.85205078125F, 841.56640625F);
            graphicsPath.AddBezier(167.85205078125F, 841.56640625F, 167.85205078125F, 842.326171875F, 168.22216796875F, 842.716796875F, 168.71240234375F, 842.716796875F);
            graphicsPath.AddBezier(168.71240234375F, 842.716796875F, 169.08251953125F, 842.716796875F, 169.3525390625F, 842.45703125F, 169.41259765625F, 842.1259765625F);
            graphicsPath.AddBezier(169.41259765625F, 842.1259765625F, 169.44287109375F, 842.0263671875F, 169.44287109375F, 841.916015625F, 169.44287109375F, 841.7958984375F);
            graphicsPath.AddLine(169.44287109375F, 841.7958984375F, 169.44287109375F, 841.24609375F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddLine(183.91748046875F, 839.115234375F, 184.197265625F, 840.92578125F);
            graphicsPath.AddBezier(184.197265625F, 840.92578125F, 184.27734375F, 841.416015625F, 184.3671875F, 841.9765625F, 184.4375F, 842.556640625F);
            graphicsPath.AddBezier(184.45751953125F, 842.556640625F, 184.54736328125F, 841.9765625F, 184.6875F, 841.40625F, 184.78759765625F, 840.935546875F);
            graphicsPath.AddLine(185.177734375F, 839.115234375F, 186.58837890625F, 839.115234375F);
            graphicsPath.AddBezier(186.96826171875F, 840.8662109375F, 187.07861328125F, 841.416015625F, 187.20849609375F, 841.9765625F, 187.28857421875F, 842.556640625F);
            graphicsPath.AddBezier(187.30859375F, 842.556640625F, 187.36865234375F, 841.9765625F, 187.45849609375F, 841.40625F, 187.55859375F, 840.845703125F);
            graphicsPath.AddLine(187.8486328125F, 839.115234375F, 189.609375F, 839.115234375F);
            graphicsPath.AddLine(188.138671875F, 844.037109375F, 186.43798828125F, 844.037109375F);
            graphicsPath.AddBezier(186.09814453125F, 842.576171875F, 185.998046875F, 842.1162109375F, 185.92822265625F, 841.7060546875F, 185.828125F, 841.076171875F);
            graphicsPath.AddBezier(185.80810546875F, 841.076171875F, 185.73779296875F, 841.7060546875F, 185.65771484375F, 842.13671875F, 185.5576171875F, 842.556640625F);
            graphicsPath.AddLine(185.1875F, 844.037109375F, 183.4873046875F, 844.037109375F);
            graphicsPath.AddLine(182.07666015625F, 839.115234375F, 183.91748046875F, 839.115234375F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();

            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddBezier(195.24169921875F, 838.60546875F, 194.68115234375F, 838.60546875F, 194.3310546875F, 838.224609375F, 194.3310546875F, 837.7548828125F);
            graphicsPath.AddBezier(194.3310546875F, 837.7548828125F, 194.3310546875F, 837.2548828125F, 194.69140625F, 836.89453125F, 195.25146484375F, 836.89453125F);
            graphicsPath.AddBezier(195.25146484375F, 836.89453125F, 195.8115234375F, 836.89453125F, 196.16162109375F, 837.2548828125F, 196.171875F, 837.7548828125F);
            graphicsPath.AddBezier(196.171875F, 837.7548828125F, 196.171875F, 838.224609375F, 195.8115234375F, 838.60546875F, 195.25146484375F, 838.60546875F);
            graphicsPath.AddLine(195.25146484375F, 838.60546875F, 195.24169921875F, 838.60546875F);
            graphicsPath.CloseFigure();
            graphicsPath.StartFigure();
            graphicsPath.AddLine(194.34130859375F, 844.037109375F, 194.34130859375F, 839.115234375F);
            graphicsPath.AddLine(196.15185546875F, 839.115234375F, 196.15185546875F, 844.037109375F);
            graphicsPath.AddLine(196.15185546875F, 844.037109375F, 194.34130859375F, 844.037109375F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddLine(203.34375F, 837.71484375F, 203.34375F, 839.115234375F);
            graphicsPath.AddLine(204.3642578125F, 839.115234375F, 204.3642578125F, 840.435546875F);
            graphicsPath.AddLine(203.34375F, 840.435546875F, 203.34375F, 841.8466796875F);
            graphicsPath.AddBezier(203.34375F, 841.8466796875F, 203.34375F, 842.4267578125F, 203.47412109375F, 842.6669921875F, 203.9140625F, 842.6669921875F);
            graphicsPath.AddBezier(203.9140625F, 842.6669921875F, 204.1240234375F, 842.6669921875F, 204.1943359375F, 842.6669921875F, 204.34423828125F, 842.626953125F);
            graphicsPath.AddBezier(204.34423828125F, 843.9970703125F, 204.13427734375F, 844.0771484375F, 203.73388671875F, 844.13671875F, 203.27392578125F, 844.13671875F);
            graphicsPath.AddBezier(203.27392578125F, 844.13671875F, 202.74365234375F, 844.13671875F, 202.3037109375F, 843.947265625F, 202.04345703125F, 843.6865234375F);
            graphicsPath.AddBezier(202.04345703125F, 843.6865234375F, 201.7431640625F, 843.38671875F, 201.58349609375F, 842.90625F, 201.58349609375F, 842.15625F);
            graphicsPath.AddLine(201.58349609375F, 840.435546875F, 200.97314453125F, 840.435546875F);
            graphicsPath.AddLine(200.97314453125F, 839.115234375F, 201.58349609375F, 839.115234375F);
            graphicsPath.AddLine(201.58349609375F, 838.1953125F, 203.34375F, 837.71484375F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();
                
            graphicsPath.Reset();
                
            graphicsPath.StartFigure();
            graphicsPath.AddLine(209.29638671875F, 836.9248046875F, 211.10693359375F, 836.9248046875F);
            graphicsPath.AddLine(211.10693359375F, 839.6357421875F, 211.126953125F, 839.6357421875F);
            graphicsPath.AddBezier(211.126953125F, 839.6357421875F, 211.287109375F, 839.435546875F, 211.48681640625F, 839.28515625F, 211.70703125F, 839.17578125F);
            graphicsPath.AddBezier(211.70703125F, 839.17578125F, 211.92724609375F, 839.0654296875F, 212.197265625F, 839.0048828125F, 212.45751953125F, 839.0048828125F);
            graphicsPath.AddBezier(212.45751953125F, 839.0048828125F, 213.56787109375F, 839.0048828125F, 214.18798828125F, 839.7958984375F, 214.18798828125F, 841.1865234375F);
            graphicsPath.AddLine(214.18798828125F, 844.037109375F, 212.37744140625F, 844.037109375F);
            graphicsPath.AddBezier(212.37744140625F, 841.3857421875F, 212.37744140625F, 840.8056640625F, 212.1875F, 840.4560546875F, 211.7373046875F, 840.4560546875F);
            graphicsPath.AddBezier(211.7373046875F, 840.4560546875F, 211.39697265625F, 840.4560546875F, 211.23681640625F, 840.65625F, 211.14697265625F, 840.845703125F);
            graphicsPath.AddBezier(211.14697265625F, 840.845703125F, 211.11669921875F, 840.92578125F, 211.10693359375F, 841.0556640625F, 211.10693359375F, 841.1357421875F);
            graphicsPath.AddLine(211.10693359375F, 844.037109375F, 209.29638671875F, 844.037109375F);
            graphicsPath.AddLine(209.29638671875F, 844.037109375F, 209.29638671875F, 836.9248046875F);
            graphicsPath.CloseFigure();
                
            brush = new SolidBrush(Color.FromArgb(255, 0, 0, 0));

            graphicsPath.FillMode = FillMode.Winding;

            graphics.FillPath(brush, graphicsPath);

            if(brush != null) brush.Dispose();

            graphicsPath.Reset();

            if(pen != null)
            {
                pen.Dispose();
            }

            if(radialGraphicsPath != null)
            {
                radialGraphicsPath.Dispose();
            }

            if(graphicsPath != null)
            {
                graphicsPath.Dispose();
            }

            graphics.Transform = saveMatrix;
        }

        #endregion
    }
}